Contents
Fax Voip T38 Fax & Voice
High quality VoIP fax solution for your business

Fax and Answering Machine for your SIP/H.323/ISDN CAPI 2.0 line. Multiple SIP Registrations. Call Routing. Voice Fax Modem for your Fax & Voice software. Color faxes over VOIP and ISDN. Mail to Fax. Incoming Fax Routing: Route through e-mail, Store in a folder, Print, Custom Routing. Fax-on-Demand. Outgoing Fax Routing: E-mail Delivery Receipts, Store in a folder, Print, Custom Routing.

Table of Contents

Introduction

New in version 8.3.1

History

Installation and Setup

Installing a Trial Copy

Features

System Requirements

Removing the previous version

Microsoft .NET Framework requirements

Microsoft .NET Framework 4.5

Microsoft .NET Framework 2.0 SP1

Setup Program

Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2

Windows XP or Windows Server 2003

Starting Fax Voip for the first time

Configure SIP Line

Configure H.323 Line

Configure ISDN CAPI 2.0 Line

Configure Fax Lines

Install Windows Photo Gallery in Windows Server

Fax Voip Manager

To Run Fax Voip Manager

To Start and Stop Fax Voip

Tray Menu Options

Fax Voip Control Panel

VOIP

SIP

SIP Settings

Outbound Proxy Settings

SIP User Agent Settings

SIP Registrations

SIP Registrations Settings

To create (or edit) SIP Registration entry

To manage SIP Registration

Test SIP Registration

Restore SIP Registration Options

SIP T.38 UDPTL Redundancy

SIP Codec Settings

H.323

H.323 Settings

H.323 Gatekeeper

H.323 T.38 UDPTL Redundancy

H.323 Codec Settings

ISDN CAPI 2.0

ISDN CAPI 2.0 Settings

CAPI Fax Settings

Outgoing VOIP Call Routing

To create or edit Outgoing Call Routing rule

To manage Outgoing Call Routing rules

Outgoing VOIP Call Routing Settings

General Settings

Fax Settings

Codecs Settings

Incoming VOIP Call Routing

To create or edit Incoming Call Routing rule

To manage Incoming Call Routing rules

Incoming VOIP Call Routing Settings

General Settings

Fax Settings

Codecs Settings

Virtual COM Ports and Modems

COM Ports and Modems

To Add/Remove Fax Voip Virtual COM ports

To Add/Remove Fax Voip Modems

Using Fax Voip with 3-rd party Virtual COM Port Soft

Using Fax Voip with Eltima Virtual Serial Port Driver

To create Eltima Virtual Serial Port Pair

Using Fax Voip with Eterlogic.com Virtual Serial Ports Emulator

To create Eterlogic.com Virtual Serial Port Pair

Autorun: To start Eterlogic.com VSPE using command line shortcut

Autorun: To run Eterlogic.com VSPE as service

To configure Fax Voip with Virtual COM Port Pair

Checking the existence of COM Ports at Fax Voip startup

To attach modem to Virtual COM Port Pair

To configure Fax Software

Outgoing Modem Call Routing

Incoming Modem Call Routing

To edit rules for Incoming Modem Calls

Voice Modem Functionality and DTMF Detection

Voice Data Formats

Voice Command Sets

Voice Support via TAPI Modem driver

Voice Modem bugs in Windows 10

Supported Voice-Fax-Modem software

Caller ID Settings (Incoming Modem Calls)

Incoming Routing Methods (Built-in lines)

Route through e-mail

To create or edit e-mail routing rule

Managing Route through e-mail rules

Route through e-mail Settings

General Settings

E-mail Settings

Format Settings

E-mail Templates Settings

Store in a folder

To create or edit Store in a folder rule

Managing Store in a folder rules

Store in a folder Settings

General Settings

Store in Folder Settings

Format Settings

Print

To create or edit print routing rule

Managing Print rules

Print Routing Settings

General Settings

Print Settings

Custom routing for incoming faxes

Custom Application Requirements (Developer's Guide)

Custom Application Sample

Incoming Routing Methods (Microsoft Fax)

Route through e-mail

To create or edit e-mail routing rule

Managing Route through e-mail rules

Route through e-mail Settings

General Settings

E-mail Settings

Format Settings

E-mail Templates Settings

Store in a folder

To create or edit Store in a folder rule

Managing Store in a folder rules

Store in a folder Settings

General Settings

Store in Folder Settings

Format Settings

Print

To create or edit print routing rule

Managing Print rules

Print Routing Settings

General Settings

Print Settings

Custom routing for incoming faxes

Custom Application Requirements (Developer's Guide)

Custom Application Sample

Outgoing Routing Methods (Built-in lines)

E-mail Delivery Receipts

To create or edit E-mail Delivery Receipts rule

Managing E-mail Delivery Receipts rules

E-mail Delivery Receipts Settings

General Settings

E-mail Settings

Format Settings

E-mail Templates Settings

Store in a folder

To create or edit Store in a folder rule

Managing Store in a folder rules

Store in a folder Settings

General Settings

Store in Folder Settings

Format Settings

Print

To create or edit print routing rule

Managing Print rules

Print Routing Settings

General Settings

Print Settings

Custom routing for outgoing faxes and audio messages

Custom Application Requirements (Developer's Guide)

Custom Application Sample

Outgoing Routing Methods (Microsoft Fax)

E-mail Delivery Receipts

To create or edit E-mail Delivery Receipts rule

Managing E-mail Delivery Receipts rules

E-mail Delivery Receipts Settings

General Settings

E-mail Settings

Format Settings

E-mail Templates Settings

Store in a folder

To create or edit Store in a folder rule

Managing Store in a folder rules

Store in a folder Settings

General Settings

Store in Folder Settings

Format Settings

Print

To create or edit print routing rule

Managing Print rules

Print Routing Settings

General Settings

Print Settings

Custom routing for outgoing faxes

Custom Application Requirements (Developer's Guide)

Custom Application Sample

Fax

Fax Settings

Fax Rate Limits and Error Correction

Convert to Fax

Printto Options

To manually fix file associations on Windows 10

Cover Pages Settings (Built-in lines, Fax Voip Printer)

Sender Information Settings (Built-in lines, Fax Voip Printer)

Fax Viewer Settings

Send a Fax using SendFax.exe tool - Built-in lines

SendFax.exe command line options

Configure and Run SendFax.exe

SendFax.exe options

Fax Recipients

Documents

Convert to Fax Settings

Cover Page Settings

Sender Information Settings

Fax Settings

Schedule Settings

E-mail Receipts Settings

Send a Fax using SendFaxMS.exe tool - Microsoft Fax

SendFaxMS.exe command line options

Configure and Run SendFaxMS.exe

Cover Pages (SendFaxMS.exe)

Sender Information (SendFaxMS.exe)

E-mail Delivery Receipts (native)

SMTP Settings (Windows Fax Service)

SendFaxMS.exe options

Fax Recipients

Documents

Convert to Fax Settings

Cover Page Settings

Sender Information Settings

Priority and Schedule Settings

E-mail Receipts (native)

Track fax job (GUI mode)

Monitoring a fax

View fax properties

Manage fax job

Track fax job (console mode)

Audio

Audio Settings

Send Audio Message using SendAudio.exe tool - Built-in lines

SendAudio.exe command line options

Configure and Run SendAudio.exe

SendAudio.exe options

Recipients

Audio File

Schedule Settings

E-mail Receipts Settings

E-mail

Fax to Mail, Mail to Fax (Mail to Audio) and Delivery Receipts

Configure Mail to Fax (Mail to Audio) systems as Windows Service

Mail to Fax (Mail to Audio) - Built-in lines

Mail to Fax (Mail to Audio) Settings

Delivery Receipts to user e-mail address (Mail to Fax/Audio)

Cover Pages (Mail to Fax)

Sender Information (Mail to Fax)

Mail to Fax (Mail to Audio) Rules

To create or edit Mail to Fax (Mail to Audio) rule

To manage Mail to Fax (Mail to Audio) rules

Mail to Fax (Mail to Audio) Rules Settings

General Settings

Receipts Settings

Attachments Settings

Cover Pages Settings

Sender Information Settings

Fax Settings

E-mail Templates Settings

Sending faxes and audio messages from e-mails (Built-in lines)

Composing of e-mail message

Sending Cover Pages

E-mail attachments

Using PDF files as attachments

Blocking e-mail addresses

E-mail notifications

Mail To Fax (Mail To Audio) as Windows Service

To view Mail to Fax (Mail to Audio) log

Mail to Fax - Microsoft Fax

Mail to Fax Settings

Delivery Receipts to user e-mail address (Mail to Fax)

Cover Pages (Mail to Fax)

Sender Information (Mail to Fax)

Mail to Fax Rules

To create or edit Mail to Fax rule

To manage Mail to Fax rules

Mail to Fax Rules Settings

General Settings

Receipts Settings

Attachments Settings

Cover Pages Settings

Sender Information Settings

Schedule Settings

E-mail Templates Settings

Sending faxes from e-mails (Microsoft Fax)

Composing of e-mail message

Sending Cover Pages

E-mail attachments

Using PDF files as attachments

Blocking e-mail addresses

E-mail notifications

Mail To Fax as Windows Service

To view Mail to Fax log

Mail To Fax Troubleshooting

Frequently Asked Questions (FAQ)

Recovery of Mail to Fax function

Using e-mail attachments with file names in national languages

SMTP Settings

To obtain and install secure e-mail certificate

Testing e-mail sending

POP3 / IMAP Settings

Testing POP3 / IMAP Settings

Delivery Receipts via E-mail (Built-in lines)

E-mail Templates

Incoming Fax (built-in lines)

Outgoing Fax (built-in lines)

Outgoing Audio Message (built-in lines)

New Fax Received (Microsoft Fax Service)

Fax successfully sent (Microsoft Fax Service)

Failed to send a fax (Microsoft Fax Service)

Failed to create fax (audio) job

Options

Options and Logs

E-mail Logs

Incoming Routing Methods (Built-in lines) Logs

Incoming Routing Methods (Microsoft Fax) Logs

Outgoing Routing Methods (Built-in lines) Logs

Outgoing Routing Methods (Microsoft Fax) Logs

SendFax.exe (Built-in lines) Logs

SendFaxMS.exe (Microsoft Fax) Logs

SendAudio.exe (Built-in lines) Logs

Tray Notifications

Multi-Language Support

To create Language Profile

To edit Language Profile

Language files

System Settings

Run Fax Voip as Windows Service

To configure Fax Voip as a Windows Service

Fax Voip Services Overview

T38, G711 (audio) and CAPI Fax Modes

Faxing with Virtual COM Ports (Modems)

Configure Fax Mode

Configure Outgoing Fax Mode

Configure Incoming Fax Mode

Outgoing Fax Modes

G711 Fax Mode

T38 Fax Mode

G711 Fax + T38 Fax Mode

T38 Fax with Re-invite + G711 Fax Mode

Incoming Fax Modes

G711 Fax Mode

T38 Fax + G711 Fax Mode

G711 Fax + T38 Re-invite Detection Mode

Faxing with Built-in VOIP/ISDN Fax/Audio Lines

Fax Modes (VOIP)

G711 Fax Mode

T38 Fax + G711 Fax Mode

T38 Fax with Re-invite + G711 Fax Mode

Fax Modes (ISDN CAPI 2.0)

CAPI Fax Mode

G711 Fax Mode

Voice Codecs requirements

Default SIP Codecs Settings

Default H.323 Codecs Settings

Codecs settings (Outgoing Call Routing)

Codecs settings (Incoming Call Routing)

Color Faxes over VOIP and ISDN

VOIP Network Requirements

Configure Fax Voip

Fax Software Requirements

Remote Party Requirements

Caller ID

Receiving Caller ID

Sending Caller ID (SIP)

Sending Caller ID (H.323)

Sending Caller ID (ISDN CAPI 2.0)

Dial a Phone Number Extension

To Send a Fax to Number with Extension

Fax On Demand

With built-in VOIP/ISDN Fax/Audio lines

To configure Fax Voip

To configure VOIP PBX (AXON)

With Virtual COM Ports (modems)

Venta Fax example

T.38 and G.711 fax modes

To prepare fax document

Using Fax Voip with Windows Fax Service

To configure Fax Service using Fax Voip Control Panel

Install the Fax Service

To install Windows Fax and Scan on Windows 10 computer

To install the Fax Server role on Windows Server 2019 computer

To install Fax Services on Windows XP or Windows Server 2003

Configure the Fax Service

Windows 10

Windows Server 2019

Windows XP

Windows Server 2003

Sharing Fax Resources

To configure Fax Server (Windows Server 2019)

To configure Fax Client (Windows 10)

Configure Fax Station ID and Fax Headline

Windows 10

Windows Server 2019

Sending and Receiving Faxes

Sending Faxes

To send a fax in Windows 10 or Windows Server 2019

To send a fax in Windows XP or Windows Server 2003

To send a fax from Fax Voip

To configure sender information

To adjust fax resolution

SendFaxMS.exe command line tool

To send a fax using a different fax account

Receiving Faxes

To receive a fax in Windows 10 or Windows Server 2019

To receive a fax in Windows XP or Windows Server 2003

Monitoring and notifying

Send a Fax with Fax Voip Virtual Printer and Windows Fax Service

Send a Fax

Send a Fax to Multiple Recipients

To access faxes created by another user

Windows Fax Service Troubleshooting

Using Fax Voip with Fax & Voice Soft

Using Fax Voip with CallStation

Configure Modem with CallStation

Answering System

Receiving a Fax

Voice Message Forwarding

Fax Forwarding

Remote Access

Using Fax Voip with FaxTalk Messenger Pro 7.5

Configure Modem with FaxTalk

Send a Fax

To configure Voice & Fax Mailbox

Remote Access to Voice & Fax Mailbox

Receive Incoming Fax & Voice Messages

Using Fax Voip with BVRP Classic Phone Tools 9

Configure Modem with BVRP Classic Phone Tools

Remote Message Retrieval

Send a Fax

Receive Incoming Fax & Voice Messages

Using Fax Voip with Venta Fax & Voice

Configure Modem and Voice Command Set

Configure Voice Data Format

Voice Announcement before Fax Sending

Answering Machine Greeting

Answering Machine Remote Control

To listen to a telephone line through your computer speakers

Send a Fax

Send a Voice Message

Receive Incoming Fax & Voice Messages

Fax on Demand

Venta Fax & Voice driver (VentaEngine)

Color Faxes

VOIP Network Requirements

Configure Fax Voip

Configure Venta Fax to send Color Faxes

Configure Venta Fax to receive Color Faxes

Remote Party Requirements

Sending Color Faxes

Receiving Color Faxes

Using Fax Voip with FaxAmatic

Configure the FaxAmatic (for use with Fax Voip)

Send a Fax

Using Fax Voip with VoIP Service Providers

Configure Fax Voip with T38FAX

Configure Fax Voip with Callcentric

Configure Fax Voip with babyTEL

Configure Fax Voip with MondoTalk

Configure Fax Voip with DellMont (Betamax) providers

Sending and Receiving Faxes (Audio Messages) with built-in VOIP/ISDN Fax/Audio lines

Configure Incoming Fax Lines

Configure Outgoing Fax Lines

Configure Outgoing Audio Lines

Additional Fax Settings

Send a Fax with Fax Voip Virtual Printer

Send a Fax using Direct Converting

Send a Fax to Multiple Recipients

SendFax.exe command line tool

Send an Audio Message

SendAudio.exe command line tool

Monitoring and notifying

Fax Voip Console

Outgoing Faxes and Audio Messages

Incoming Faxes

Fax On Demand

Send a Fax from Fax Voip Console

Send Audio Message from Fax Voip Console

Managing Faxes and audio messages

View a fax

Listening to an audio message

Print a fax

Save a fax or audio message

Mail a fax or audio message

Pause and resume a fax or audio message transmission

Retry a failed transmission

Forward a fax or audio message

Delete a fax or audio message

Saving Faxes into different formats

Save as... Dialog Options

TIFF compression and resolution

SFF resolution

JPEG Qualily

Configure Fax Voip Console views

Licences

License Types

View License Status

Purchase License

Add/Change License

Upgrade to version 8

License Support

Frequently Asked Questions

Fax Voip Backup or Restore Wizard

Backup settings and files

Restore settings and files

Using Backup or Restore Wizard with older versions

Removing Fax Voip

To Remove Software

Running Fax Voip via Remote Desktop

Configure RDP on the computer I want to connect to

Connect to remote computer using RDP

Troubleshooting using RDP

Virtual Machines Problems

Frequently Asked Questions

Technical Support

Remote Assistance

Other Products

Fax Voip Windows Fax Service Provider

Fax Voip Softphone

Windows Mail Restore Tool for Windows 10, 8.1 and 7

Copyright © FaxVoip Software, LLC, 2008-2021. All Rights Reserved.


Introduction
Fax Voip T38 Fax & Voice
High quality VoIP fax solution for your business

Fax and Answering Machine for your SIP/H.323/ISDN CAPI 2.0 line. Multiple SIP Registrations. Call Routing. Voice Fax Modem for your Fax & Voice software. Color faxes over VOIP and ISDN. Mail to Fax. Incoming Fax Routing: Route through e-mail, Store in a folder, Print, Custom Routing. Fax-on-Demand. Outgoing Fax Routing: E-mail Delivery Receipts, Store in a folder, Print, Custom Routing.

About Fax Voip T38 Fax & Voice

So, you need to send faxes and you need an answering machine. You’ve got used to working with your fax software. You’ve got used to working with your answering machine software.

You want to send faxes over VOIP or ISDN and you know about T.38 fax protocol. You want to use the answering machine with your SIP, H.323 or ISDN line. You want to use your favourite fax and voice software but you don’t know how to do it.

No problem! Fax Voip T38 Fax & Voice is a solution for you and your business.

What is Fax Voip? From the perspective of your fax or voice application, it is a Voice Fax Modem. Fax Voip installs Virtual COM Ports and virtual 'Fax Voip 14.4K TAPI Voice-Fax Modems' onto your system. You can setup your Fax & Voice program to operate with Fax Voip COM ports or virtual modems. From the perspective of your VOIP internet network, it’s a SIP/H.323 client with T.38 and G.711 Fax support. From the perspective of your ISDN line, it’s CAPI 2.0 client with audio fax support. With Fax Voip you can send and receive T.38 and audio (color and black-and-white) faxes and voice messages without any hardware, using your favourite Fax & Voice program. Fax Voip is the ideal solution for the implementation of Fax and Voice Mailbox into SIP, H.323 or ISDN network. You can use Fax Voip with your VOIP or ISDN-based PBX or with your SIP/H.323/ISDN Provider. Fax Voip can also support from 1 to 100 virtual lines simultaneously.

Multiple SIP Registrations and Call Routing functions make your system the most flexible as well as allowing you to work with different SIP and H.323 providers simultaneously.

Fax Voip supports Caller ID and Dial a Phone Number Extension features.

It is also possible to send T.38, audio and CAPI faxes via Fax Voip Virtual Printer and receive faxes directly in TIFF, PDF or SFF files without using fax software, and without limiting the number of incoming fax sessions. You can manage faxes with Fax Voip Console.

You can send not only faxes, but also audio messages.

Fax Voip is a fully-functional system for sending faxes and audio messages via e-mail (Mail to Fax and Mail to Audio) and for receiving faxes to e-mail (Fax to Mail).

The Mail to Fax (Mail to Audio) - Built-in lines and Mail to Fax - Microsoft Fax functions let you send faxes directly from your e-mail application. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages.

Incoming Routing Methods (Built-in lines) : Route through e-mail , Store in a folder , Print and Incoming Routing Methods (Microsoft Fax) : Route through e-mail , Store in a folder , Print allow you to route incoming faxes to recipients on the network. Custom routing for incoming faxes (Built-in lines) and Custom routing for incoming faxes (Microsoft Fax) allow you to easy add any routing functionality by using custom application that is started after receiving a fax.

Outgoing Routing Methods (Built-in lines) : E-mail Delivery Receipts , Store in a folder , Print and Outgoing Routing Methods (Microsoft Fax) : E-mail Delivery Receipts , Store in a folder , Print allow you to route outgoing faxes and audio messages depending on the recipient's phone number, and the success or failure of sending the fax or audio message. Custom routing for outgoing faxes and audio messages (Built-in lines) and Custom routing for outgoing faxes (Microsoft Fax) allow you to easy add any routing functionality by using custom application that is started after sending a fax or audio message.

Fax on Demand function allows callers to retrieve information via fax on the same call (from a fax machine).

Fax Voip T38 Fax & Voice has been successfully tested with Microsoft Fax, BVRP Classic Phone Tools 9 , FaxTalk Messenger Pro 7.5 , CallStation , WinFax Pro and many other well-known programs.

Fax Voip has been successfully tested with T38FAX , CALLCentric , babyTEL , MondoTalk and many other VoIP service providers.


New in version 8.3.1

New in version 8.3.1 (June 2021)

  • E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) . Sending e-mail receipt to the predefined e-mail address(es), to confirm whether the fax or audio message has been sent correctly. Depending on the recipient's phone number, type of the call (fax or audio), and the success or failure of sending the fax or audio message, delivery receipt can be sent to different e-mail addresses. Sending delivery receipts to multiple recipients including using Cc and Bcc boxes. Fax can be attached to e-mail message in TIFF, PDF or SFF format. Audio message can be attached to e-mail message in WAV format. Customizable E-mail Templates. Customizable filename templates. Customizable date and time formats. This method duplicates Delivery Receipts via E-mail (Built-in lines) function. For compatibility with some other functions, the old functionality was not removed and you can use both functions independently of each other.
  • Store in a folder Outgoing Routing Method (Built-in lines) . Copying outgoing faxes and audio messages to specified folders depending on the recipient's phone number, type of the call (fax or audio), and the success or failure of sending the fax or audio message. Saving outgoing fax or audio message into multiple folders. Possibility to select fax saving format: TIFF, PDF or SFF. Customizable filename templates. Customizable date and time formats.
  • Print Outgoing Routing Method (Built-in lines) . Printing outgoing faxes depending on the recipient's fax number, and the success or failure of sending the fax. Possibility to print outgoing fax to multiple printers.
  • Custom routing for outgoing faxes and audio messages (Built-in lines) . Allows you to easy add any routing functionality by using custom application that is started after sending a fax or audio message. Code sample is attached.
  • E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) . Sending e-mail receipt to the predefined e-mail address(es), to confirm whether the fax has been sent correctly. Depending on the recipient's fax number, and the success or failure of sending the fax, delivery receipt can be sent to different e-mail addresses. Sending delivery receipts to multiple recipients including using Cc and Bcc boxes. Fax can be attached to e-mail message in TIFF, PDF or SFF format. Customizable E-mail Templates. Customizable filename templates. Customizable date and time formats. This method is a replacement for Delivery Receipts via E-mail (Microsoft Fax) function. The old functionality has been completely removed from the application.
  • Store in a folder Outgoing Routing Method (Microsoft Fax) . Copying outgoing faxes to specified folders depending on the recipient's fax number, and the success or failure of sending the fax. Saving outgoing fax into multiple folders. Possibility to select fax saving format: TIFF, PDF or SFF. Customizable filename templates. Customizable date and time formats.
  • Print Outgoing Routing Method (Microsoft Fax) . Printing outgoing faxes depending on the recipient's fax number, and the success or failure of sending the fax. Possibility to print outgoing fax to multiple printers.
  • Custom routing for outgoing faxes (Microsoft Fax) . Allows you to easy add any routing functionality by using custom application that is started after sending a fax. Code sample is attached.
  • The 'Fax Voip Extended Incoming Routing (E-mail, Store in Folder, Print, Fax-On-Demand) license' has been renamed to 'Fax Voip Extended Fax Routing (E-mail, Store in Folder, Print, Fax-On-Demand) license' and now applies to both Incoming Routing Methods and Outgoing Routing Methods.
  • In previous versions, user could specify a two-digit number in the Remove Digits option in the Outgoing VOIP Call Routing rule, which caused an outgoing call error. Fixed. By design, you can delete no more than first 9 digits in the number being dialed.
  • Configuring Windows Fax Service to archive all successfully sent faxes to Sent Items folder. This is required for correct operation of the Outgoing Fax Routing Methods - Microsoft Fax .
  • Possibility to configure Use device Transmitting Subscriber ID (TSID) option (Windows Fax Service software) using Configure Fax Service command in the Fax Voip Control Panel .
  • In user manual, added instructions on how to configure fax server (Windows Server OS, Windows Fax Service software) to be shared with client computers ( Sharing Fax Resources chapter).
  • In user manual, added instructions on how to view and manage faxes (Windows Fax Service software) created by another user ( To access faxes created by another user chapter). Added instructions on how to send a fax on behalf of another user account ( To send a fax using a different fax account chapter).
  • Some other improvements.

New in version 8.2.1 (April 2020)

  • Redesigned SendFax.exe - Built-in lines command line utility. Improvements: sending a fax to multiple recipients, support for multiple documents, configuring and running SendFax.exe using the Fax Voip Control Panel , SendFax.exe (Built-in lines) debug log option. Fixed bug with date and time recognition when using /Schedule= and /Submission= options.
  • Redesigned SendAudio.exe - Built-in lines command line utility. Improvements: sending audio message to multiple recipients, configuring and running SendAudio.exe using the Fax Voip Control Panel , SendAudio.exe (Built-in lines) debug log option. Fixed bug with date and time recognition when using /Schedule= and /Submission= options.
  • SendFaxMS.exe - Microsoft Fax command line utility. Sending a fax to one or more recipients. Support for multiple documents, cover pages, native e-mail delivery receipts. Tracking fax job . Configuring and running SendFaxMS.exe using the Fax Voip Control Panel . SendFaxMS.exe (Microsoft Fax) Logs options.
  • Changes in implementation of Incoming Fax Routing Methods (Built-in lines) : Route through e-mail , Store in a folder , Print . They are now implemented using independent executables and launched in the separated threads, which increases the stability of the system. Also, you now can enable debug logging for these features.
  • Custom routing for incoming faxes - Built-in lines . Allows you to easy add any routing functionality by using custom application that is started after receiving a fax. Code sample is attached.
  • In the e-mail templates , you now can select the locale (region and language) to specify how to display date and time values.
  • Individual e-mail templates when using Route through e-mail - Built-in lines fax routing method.
  • Individual e-mail templates when using Route through e-mail - Microsoft Fax fax routing method (Fax Voip Routing Extension).
  • Customizable filename templates when using Store in a folder - Built-in lines fax routing method. Customizable date and time formats.
  • Customizable attachment filename templates when using Route through e-mail - Built-in lines fax routing method. Customizable date and time formats.
  • Customizable filename templates when using Store in a folder - Microsoft Fax fax routing method (Fax Voip Routing Extension). Customizable date and time formats.
  • Customizable attachment filename templates when using Route through e-mail - Microsoft Fax fax routing method (Fax Voip Routing Extension). Customizable date and time formats.
  • Customizable attachment filename templates when using Delivery Receipts to user e-mail address (Mail to Fax/Audio) - Built-in lines and Delivery Receipts via E-mail (Built-in lines) functions. Customizable date and time formats.
  • Customizable attachment filename templates when using Delivery Receipts to user e-mail address (Mail to Fax) - Microsoft Fax and Delivery Receipts via E-mail (Microsoft Fax) functions. Customizable date and time formats.
  • In Windows 10 version 1903 and 1909, fixed Voice Modems bug when using TAPI.
  • Updated help system.
  • Some other improvements.

New in version 8.1.1 (March 2019)

  • Windows Server 2019 support added.
  • Ribbon user interface based on Windows Ribbon Framework is implemented in the Fax Voip Control Panel. Old-style interface is still maintained for backward compatibility.
  • Cover Pages support, when sending faxes via built-in lines and Fax Voip Console. You can send a fax that consists only of a cover page, or you can send a cover page in addition to another fax document. You can use standard templates (Confidential, FYI, Generic, Urgent) or create personal templates in the Windows Cover Page Editor application. This new functionality uses Fax Service API and requires the installation of Windows Fax Service.
  • Sending cover pages using SendFax.exe command line utility (with customization).
  • Greatly improved Mail to Fax (Mail to Audio) - Built-in lines and Mail to Fax - Microsoft Fax functionality. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages. Also, you now can enable debug logging for these features. Improved E-mail Templates .
  • Mail to Fax (Mail to Audio) Rules - Built-in lines and Mail to Fax Rules - Microsoft Fax . Depending on the e-mail address, the following settings can be overridden: Delivery Receipts, E-mail Attachments, Cover Pages, Sender Information, E-mail Templates, Fax Mode (with built-in lines), Fax Priority and Schedule (with Microsoft Fax). Blocking unwanted e-mail addresses.
  • Configuring Mail to Fax (Mail to Audio) services to be started under regular user account instead of local system account, when running Fax Voip as a Windows Service. This minimizes the probability of unexpected problems when operating as a service.
  • Changes in implementation of Incoming Fax Routing Methods (Microsoft Fax) : Route through e-mail , Store in a folder , Print . They are now implemented using Fax Voip Routing Extension integrated into the Windows Fax Service. Also, you now can enable debug logging for these features.
  • Custom routing for incoming faxes - Microsoft Fax (Fax Voip Routing Extension). Allows you to easy add any routing functionality by using custom application that is started after receiving a fax. Code sample is attached.
  • Fixed double sending the first RING when receiving an incoming call to Virtual COM Port (modem). In particular, this inevitably caused the Windows Fax Service to crash if it was configured to automatically answer after 1 ring (in all Fax Voip versions prior to 8.1.1).
  • In all supported systems, automatic installing of Windows Fax and Scan (Fax Server Role) during Fax Voip installation, if not installed. Creating shortcuts on the desktop and in the main menu. In Windows Server 2012/2012R2 and Windows Server 2008R2, installing Desktop Experience Feature, if not installed.
  • Configuring Windows Fax Service to send/receive faxes via Fax Voip Virtual COM Ports (modems) in one click, using Fax Voip Control Panel.
  • In Windows 10 version 1709 or later and on Windows Server 2019, fixed bug in Microsoft Modem Device Provider that does not store CallerID and TSID in the fax service database after receiving a fax.
  • In Windows 10, Windows Server 2019 and Windows Server 2016, fixed bug in Windows Fax and Scan software when 'Forward as E-mail' button is grayed out, while the MAPI e-mail client is installed in the system.
  • In the Fax Voip Control Panel, indication the current status of Mail to Fax services in the status bar. Indication the current status of Windows Fax Service in the status bar.
  • Sending faxes from the Fax Voip Control Panel (using Fax Voip Console / built-in lines or Windows Fax Service / Fax and Scan).
  • Updated help system.
  • Some other improvements.


History

New in version 8.3.1 ››

Version 7.6.1 (January 2018)

  • Windows Server 2016 support added.
  • When direct converting from PDF into TIFF, fixed a bug when process is stucking at 100% of CPU resources forever with some PDF files (detected in v.7.1.1 - 7.5.1).
  • When direct converting from PDF into TIFF, fixed a bug with the inability to work with PDF file names in Unicode (not in English).
  • Fixed different licence problems on the computers with FIPS cryptographic algorithms policy enabled (detected in v.7.1.1 - 7.5.1).
  • On Windows 10 Fall Creators Update (version 1709), fixed correct displaying of Device Manager when installing or removing Virtual COM Ports.
  • In the help system, the font is changed from Arial 9 to Segoe UI Light 10. The previous one does not look good on new systems, e.g. Windows 10.
  • The default styles are changed in the Fax Voip Console and in the help system.
  • Some other improvements.

Version 7.5.1 (November 2016)

  • Sending audio messages via Fax Voip built-in lines and Fax Voip Console. Fax Voip Send Audio Message Wizard.
  • SendAudio.exe command line utility. This tool allows you to automatically create audio message job and can be used in different scenarios, such as creating a large number of outgoing audio messages, as well as by software developers in their applications.
  • Mail To Audio function based on using built-in lines (similar to Mail to Fax). E-mail notifications, Delivery Receipts via e-mail, Email Templates.
  • Fixed possible crashes in the Fax Voip Console when using modern Ribbon interface.
  • Added instructions on how to fix Unimodem Audio Device problem on Windows 10 (voice modem functions via TAPI). FixModemOnWin10.exe tool.
  • Some other improvements.

Version 7.4.1 (September 2016)

  • Ribbon user interface based on Windows Ribbon Framework is implemented in the Fax Voip Console. Old-style interface is still maintained for backward compatibility.
  • An auxiliary mechanism to forcibly restore SIP Registration implemented. Can be helpful in the case of unstable registration.
  • Possibility to manually start or stop SIP Registration using Fax Voip Control Panel. Can be used for testing, as well as for manual restoring of SIP registration in the case of losing.
  • New styles applied for better compatibility with Windows 10. New set of icons. Rich tooltips in the tree view (both icon and text).
  • Some other improvements.

Version 7.3.1 (June 2016)

  • Implemented workaround that allows to pass Called Number (DID) to standard fax application (e.g. Microsoft Fax) using Caller ID string.
  • Route through e-mail Incoming Routing Method (using Microsoft Fax) implemented. Routing incoming faxes depending on both Called Number (DID) and Caller ID. Sending e-mail to multiple recipients including using Cc and Bcc boxes. Possibility to select fax delivery format: TIFF, PDF or SFF.
  • Store in a folder Incoming Routing Method (using Microsoft Fax) implemented. Routing incoming faxes depending on both Called Number (DID) and Caller ID. Saving incoming fax into multiple folders. Possibility to select fax saving format: TIFF, PDF or SFF.
  • Print Incoming Routing Method (using Microsoft Fax) implemented. Routing incoming faxes depending on both Called Number (DID) and Caller ID. Possibility to print incoming fax to multiple printers.
  • The Fax Voip Extended Incoming Routing (E-mail, Store in Folder, Print, Fax-on-Demand) license can now be combined with Virtual COM Ports (modems) license and allows to increase number of available rules when using Incoming Routing Methods (Microsoft Fax) .
  • CertMgr.exe tool removed from the installation package. All procedures using this tool are replaced with similar .Net Framework functions.
  • Some other improvements.

Version 7.2.1 (March 2016)

  • Multi-Language support added. Simple mechanism for translation into any language.
  • Possibility to customize Email Templates (used with Mail To Fax, Fax To Mail and new Delivery Receipts functions).
  • Delivery Receipts via e-mail function implemented (with both built-in lines and Microsoft Fax). This new feature is independent from the e-mail notifications when using Mail to Fax. A copy of the sent fax can be attached in TIF, PDF or SFF format. Multiple e-mail recipients can be specified using To, CC and BCC fields. In the case of built-in lines default settings can be overridden when sending a fax using Fax Voip Send Fax Wizard or sendfax.exe utility.
  • Possibility to disable delivery notifications to user email address when using Mail To Fax. A copy of the sent fax now can be attached in TIF, PDF or SFF format.
  • Added possibility not to attach received fax when using Route through e-mail method with built-in lines.
  • Possibility to specify multiple e-mail addresses with Fax To Mail based on using Microsoft Fax function.
  • Address Book (Windows Contacts) support implemented. Possibility to select fax and e-mail recipients from Address Book.
  • Fixed bug in the Outgoing VOIP Call Routing rule constructor.
  • Some other improvements.

Version 7.1.1 (September 2015)

  • Windows 10 support added.
  • Migration to .NET Framework.
  • Unicode support implemented.
  • New TAPI compliant Fax Voip 14.4K TAPI Voice-Fax Modem driver. Voice Modem support via standard Unimodem Audio Device driver. Fixed playback bug with Unimodem Transform Module on Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2012/2012R2 and Windows Server 2008/2008R2.
  • 16-bit linear PCM at 8000 Hz Voice Data Format added.
  • Implemented Hardware Hangup by detecting CD dropping from lowering DTR signal feature.
  • Fax Voip has been successfully tested with CallStation TAPI compliant fax/voice application.
  • Fixed minor bugs when displaying fax statistics in the Fax Voip Console.
  • System.Net.Mail method of sending e-mail messages via SMTP implemented. Explicit SSL (STARTTLS) support on port 587.
  • Sending digitally signed e-mail messages. Clear signing. Opaque signing.
  • Sending e-mail messages in UTF-8 encoding.
  • POP3 SSL support.
  • IMAP support implemented. IMAP SSL support.
  • Ignoring invalid server SSL certificate when sending and receiving emails using SSL.
  • Added possibility to test POP3/IMAP connection before using. Receive Mail log function added.
  • Added possibility to specify group of e-mail addresses based on domain name in the mail.ini file, when using Mail to Fax function.
  • Fixed various problems with printing under System user account on Windows Server 2012/2012R2. Fixed problems with printing standard Text Document (*.txt) files under System user account on Windows 8/8.1 and Windows Server 2012/2012R2 using Repair printto verbs function. On all systems, this function adjusts the correct file associations for the current user.
  • Added instructions on how to manually fix file associations on Windows 10 .
  • Improved protection system. Short license keys.
  • New license policy.
  • Duplicate chapters removed in the user manual.
  • Added Themes button in the HTML Help window, when started from the Fax Voip application.
  • Some other improvements.

Version 6.5.1 (July 2014)

  • Removed the requirement to always run the program with administrator privileges.
  • Common application settings are used for all users.
  • All user data, settings and logs are moved to standard Application Data folder like required.
  • Basic program settings are moved to a single location (settings.ini configuration file).
  • Improved mechanism for loading configuration.
  • Changes with IPC (interprocess communications) mechanism that is used when creating fax jobs and collecting fax statistics. In v.6.4.1 IPC based on Windows Messages was used. Now one-way MailSlot IPC technology applied.
  • Removed stupid 2-3 seconds delay when dialing any number longer than 10 digits. This is critical when starting multiple concurrent calls.
  • Changed modem installation procedure. When you add a modem, the installer no longer updates drivers for previously installed modems. Fixed some specific problems with the installation of modems on some systems.
  • A faster way to enumerate COM Ports and Modems installed in your system applied. WMI no longer used for this purpose.
  • Added possibility to selectively save settings and user data when you reinstall the program. When you upgrade from version 6.4.1 or earlier, the installer automatically imports settings and data if possible.
  • Added Fax Voip Backup or Restore Wizard . Can be used to save, restore or move your configuration and files to other computer. With some limitations can be used with older Fax Voip versions.
  • Fixed various problems with printing and using printto function. New Repair printto verbs function corrects printing and repairs standard file associations under System user account on Windows 8. On all systems, this function adjusts the correct file associations for the current user. Also, the direct call to the shimgvw.dll library instead of printto now used where possible.
  • Added icons on the START and STOP buttons. Shield icon used to indicate that administrator rights are required. Other standard system icons applied where possible.
  • Fixed crash of the Fax Voip FaxModem Control Panel when trying to use 3rd party Virtual COM Ports on Windows 8.
  • Fixed possible crashes on some computers, in particular on computers with multi-touch screen.
  • Fixed slightly incorrect behavior of Mail To... function in the Fax Voip Console.
  • Fixed bug with folder permissions definitions on Window XP/2003 if NTFS file system is used.
  • Fixed some issues related to licences. Fixed application crash on System ID change. Fixed dependency of SystemID (rare but possible on some new computers) on whether the user has administrator rights or not. In earlier versions, this annoying bug can lead to problems with the appearance of Fax Voip Send Fax Wizard. In the current version this is critical. Fixed some issues with temporary keys.
  • Improved HTML Help System. Search tab added. Breadcrumbs and navigation arrows added at the top of every page.
  • Online Web Help Manual implemented.
  • Some other improvements.

Version 6.4.1 (January 2014)

  • Windows 8.1, Windows 8.1 64-bit and Windows Server 2012 R2 support added.
  • Significant changes of built-in VOIP/ISDN Fax Lines engine that greatly increases the stability of the application when working with a large number of faxes simultaneously. More effective IPC (interprocess communications) mechanisms are used when creating fax jobs and collecting fax statistics. Temporary files no longer used. Fixed some serious bugs that could lead to crash or hang the program.
  • New mechanism for adding / updating entries in the Fax Voip Console folders that eliminates hangup. Fixed a nasty bug with auto-scrolling entries when they are updated.
  • Fax Voip application icon changed. Menu icons added. Some new menus added.
  • In the Fax Voip Console : Toolbar buttons selective text. Explorer theme added (Vista or later). Toolbar context menu. Folder bar with possibility to change its themed style (Vista or later). Automatic saving of Folder View (Thumbnails, Details etc.) in the Send a fax and Save as... dialogs (XP and Windows Server 2003).
  • Tray Notifications added to inform user about received and sent faxes.
  • Improved Help System. Pressing F1 or Help button opens the help topic associated with the current window. Themed style is applied to toolbar (Vista or later) and other elements of the Help window.
  • Fixed various problems when running Fax Voip as Windows Service . In previous versions the processes could randomly stay running after stopping the services.
  • If the license is temporary, the expiration date is displayed.
  • Some other improvements.

Version 6.3.1 (March 2013)

  • Windows 8 , Windows 8 64-bit and Windows Server 2012 support added.
  • Some changes in the Fax Voip Console design. Large icons in the Toolbar. Fixed some minor bugs.
  • Fixed some specific problems with audio fax (FAX over G.711 codec) detected in version 6.
  • Fixed using ‘ + ‘ in Call Routing options e.g. in Display Name or Fax StationID.
  • Fixed some problems when using mail_to_fax function.
  • Fixed problem with showing of the TRIAL window after activation of the license key in the case when customer forgot to restart Fax Voip manager.
  • Fixed some other issues, particularly in the SIP messages.

Version 6.2.1 (August 2012)

  • Sending and receiving faxes according to CAPI 2.0 standard via buil-in lines. B3 Protocol 4: T.30 for Group 3 fax and B3 Protocol 5: T.30 for Group 3 fax extended support. SFF (Structured Fax File) file format support.
  • Possibility to specify CAPI 2.0 fax parameters via call routing. B3 Protocol, Maximum Bitrate, Disable ECM, Enable High Resolution. Possibility to select between audio fax and CAPI fax when sending or receiving a fax via ISDN CAPI 2.0 using built-in lines.
  • Possibility to select ISDN Controller # and B-Channel # for outgoing calls via ISDN CAPI 2.0 line.
  • Possibility to use SFF file format in the Inbox folder in the Fax Voip Console . Saving faxes into SFF format using Save As... command. Added possibility to use SFF format with Route through e-mail and Store in a folder Incoming Routing Methods and with Fax to Mail based on using Microsoft Fax Service function.
  • Possibility to use Direct Converting function with SFF files.
  • Added possibility to use Fax Voip Virtual Printer to place fax jobs to Microsoft Fax Service. This feature is especially useful when creating a large number of faxes that you would like to send via Microsoft Fax program.

Version 6.1.1 (May 2012)

  • Digitally signed Virtual COM port driver that is fully compatible with 64-bit versions of Windows 7, Vista and Windows Server 2008 (include R2).
  • ISDN CAPI 2.0 support added. Audio fax via ISDN CAPI 2.0 line. Possibility to use standard fax software (e.g. Microsoft Fax), configured with Fax Voip Virtual COM Ports (modems) with ISDN phone line via CAPI 2.0 interface. Faxing with built-in lines via ISDN CAPI 2.0 also supported.
  • Fixed problem with loading Fax Voip tray icon on system startup for all versions of Windows 7 and Windows Vista. Disabled UAC message during startup.
  • Digital signatures added to setup.exe and some other files.

Version 5.6.1 (January 2012)

  • SIP over TCP support added. SIP registration, outbound proxy, outgoing and incoming calls using TCP transport.
  • SIP over TLS support added. SIP registration, outbound proxy, outgoing and incoming calls using TLS. Possibility to do outgoing and receive incoming calls with sips: prefix.
  • Possibility to receive incoming SIP calls with tel: prefix (Tel URI Scheme).
  • Fixed: outbound proxy doing unnecessary DNS lookup on target URI that might fail, preventing the SIP call from proceeding, when the outbound proxy could succeed in that lookup.
  • Possibility to specify range of local RTP ports to listen on.
  • Sending a fax to multiple fax recipients when you use Fax Voip Printer or the command Send a Fax in the Fax Voip Console.
  • Possibility to load a list of fax numbers from txt file.
  • Sendfax.exe command line utility added. This tool allows you to automatically create a fax job and can be used in different scenarios, such as creating a large number of outgoing faxes, as well as by software developers in their applications.

Version 5.5.1 (October 2011)

  • Fax On Demand function added. Possibility to send fax document prepared in advance during incoming call that routed to built-in lines. The Fax-on-Demand panel is added to the Fax Voip Console.
  • Added script for the Venta Fax program, that allows you to implement Fax On Demand system when working with Venta Fax and Fax Voip Virtual COM Ports (modems).
  • Possibility to save a fax document into the correct TIFF file when printing to Fax Voip Virtual Printer.
  • The Fax Voip Extended Incoming Routing (E-mail, Store in Folder, Print) license is transformed into the Fax Voip Extended Incoming Routing (E-mail, Store in Folder, Print, Fax-on-Demand) license.
  • Fixed the problem of SIP registration with some SIP servers (providers). The problem was that the Fax Voip did not carry out the re-registration after expiration the timeout of registration.
  • Fixed problem of correct identification of the calling and called numbers in the Fax Voip Console during incoming calls from some SIP systems. This is especially important when using Incoming Routing Methods .
  • Fixed some minor problems that could lead to the Fax Voip Console crash.

Version 5.4.1 (August 2011)

  • Route through e-mail Incoming Routing Method implemented. Sending e-mail to multiple recipients including using Cc and Bcc boxes. Possibility to select fax delivery format, TIFF or PDF, that does not depend on the format of incoming faxes in the Fax Voip Console.
  • Store in a folder Incoming Routing Method implemented. Saving incoming fax into multiple folders. Possibility to select fax saving format, TIFF or PDF, that does not depend on the format of incoming faxes in the Fax Voip Console.
  • Print Incoming Routing Method implemented. Possibility to print incoming fax to multiple printers.
  • Displaying of Incoming Routing information in the Fax Voip Console Inbox and Properties window.
  • New license type, Fax Voip Extended Incoming Routing (E-mail, Store in Folder, Print) license, is introduced.
  • Fixed possible crash when using apostrophe in the Fax Station ID and some other database fields.
  • Fixed incorrect redrawing of Fax Voip Console when using the Default button.

Version 5.3.1 (June 2011)

  • Direct Document to Fax Converting without using the Fax Voip Virtual Printer. Supported formats: PDF, TIFF, QFX, BMP, JPEG, GIF, PNG, ICO, WMF (EMF). Custom options: Resolution, Compression, Auto Rotate, A4 page, HALFTONE Effect. The Direct Converting to Fax can be used with the following functions: Sending Faxes from Fax Voip Console , Sending Faxes from E-mail (via built-in lines, as well as using Microsoft Fax). This new function completely solves the problem of using PDF attachments with Mail to Fax. Also solves the problem of sending faxes using Remote Desktop (terminal window of server operating system, RDP connection to computer with Vista, Windows 7 or Windows 2008).
  • Viewing faxes received in PDF format in the Fax Preview Panel, as well as in the similar panels in Save as... and Properties dialogs.
  • Possibility to convert faxes received in PDF format into different graphic formats. Available formats: TIFF (CCITTFAX4, CCITTFAX3, LZW, PACKBITS), PDF, BMP, JPEG, GIF, PNG, PCX. Possibility to split into pages and save only selected pages.
  • Added possibility to convert faxes received in TIFF format into PCX format.
  • Added possibility to use Resend command with faxes received in PDF.
  • Old printer dialog is replaced by the standard Print dialog (printing faxes using Fax Voip Console).
  • The Fax Voip installer no longer installs wiaaut.dll into the system. All procedures using this library are replaced with similar functions, using GDI / GDI +.
  • Improved procedures for redrawing the Fax Voip FaxModem Control Panel and Fax Voip Console (when resizing the window or its elements).
  • Improved appearance of some elements. For example buttons of selecting page numbers in the Save As... dialog in the Fax Voip Console.
  • Reducing the Fax Voip FaxModem Control Panel start-up time and the time of saving settings as a result of changing mechanism of data exchange between Fax Voip and Windows registry.

Version 5.2.1 (April 2011)

  • Redesigned Fax Voip Console engine. MS Access database (Microsoft Jet 4.0) is implemented.
  • Scheduled fax sending and Delivery Notification (via e-mail) options are added to the Fax Voip Send Fax Wizard.
  • Possibility to specify the Number of retries in the case of an unsuccessful fax transmission and the time interval between retries.
  • Possibility to Pause and then Resume of outgoing fax jobs.
  • The following columns are added to the Outbox: Submission Time, Original Scheduled Time, Scheduled Time, Retries. The Status field splitted into two columns: Status and Extended Status.
  • Tel URI Scheme implemented and now can be used with outgoing SIP calls.
  • Added the ability to use ' + ' in the phone numbers and to use non-numeric aliases for outgoing calls. However, this is not always supported by standard fax software.
  • Fixed some problems with Fax Voip FaxModem Control Panel, that sometimes could cause it's crash in version 5.1.1.
  • The following important chapters added to the manual: Licenses - Frequently Asked Questions , Virtual Machines Problems , Running Fax Voip via Remote Desktop Connection (RDP) , Remote Assistance .

Version 5.1.1 (January 2011)

  • H.323 support added.
  • H.323 Telephone numbers list, Fast Start, Slow Start, H.245 Tunneling.
  • Registration with H.323 Gatekeeper, Search for GK, Time to Live.
  • H.235 MD5 GK Authentication.
  • Direct H.323 Call Routing.
  • "Ringing" voice indication added for cases in which it has not worked before (dialing in voice mode with virtual modems).
  • Additional fixes with incorrect error codes, which arise in the case of a sudden disconnection of the telephone line during the fax transmission (with virtual modems).
  • Fixed some issues with Virtual COM Ports, which could lead to blocking ports in some situations. For example the situation when the fax software is already in the auto-answer mode at the time of starting the FaxVoip program.
  • Ignoring the Outgoing and Incoming Call Routing rules of specific kinds (rules applied to SIP calls, rules applied to H.323 calls, rules applied to calls from/to Virtual COM Ports, rules applied to calls from/to built-in lines) for the cases when these types of rules can not be used in the current configuration of the program. Highlighting rules of different types in different colors in the Fax Voip FaxModem Control Panel.
  • Fixed problem with starting FaxVoip via the system tray on Windows 7 64 bit in the TESTSIGNING=ON or DISABLE_INTEGRITY_CHECKS modes (the "Start Fax Voip T38 Fax & Voice" and "Start Fax Voip T38 Fax & Voice Service" commands).
  • Added possibility to use telephone numbers with ‘ * ‘ simbol included in the case of Mail to Fax Based on built-in VOIP Fax Lines function.
  • The Fax Voip FaxModem Control Panel now remembers its state (the current panel, the TreeView state) in which you close it.
  • All procedures of sending e-mails are moved to a separate thread to avoid problems with a large number of outgoing e-mail messages.
  • Added some comments on the version of Adobe Reader (9.4 or earlier) that is compatible with Acrobat Wrapper and should be used with Mail to Fax function.
  • Added some comments about using e-mail attachments with file names in national languages with Mail to Fax function.
  • Added instructions on how to restore the Mail to Fax function after failed experiments with various types of email attachments.
  • Added possibility to automatically check for new versions of the program.
  • Checking whether Microsoft.NET Framework is installed and what version is installed during Fax Voip installation.
  • Checking whether Fax Voip is already installed and what version is installed during Fax Voip installation. Automatic removing of Fax Voip before starting of new installation.

Version 4.7.1 (September 2010)

  • Changes in installation procedures, significantly improved the procedures of adding/removing Virtual COM ports and modems.
  • Standard 14400 bps modem driver is replaced by the new FaxVoip Modem 14400 bps Voice-Fax driver.
  • Caller ID Name feature added.
  • T.38 UDPTL Redundancy feature added.
  • Fax HeadLine field is added to the FaxVoip Console.
  • Option Use default headline and Station ID for all outgoing faxes removed. Both Fax HeadLine and Fax Station ID now can be overridden by Call Routing, in the Fax Voip Virtual Printer dialog and via Mail to Fax function.
  • Possibility to override default settings via Call Routing function: Username, Display Name, Maximum bitrate, ECM, T38 Redundancy, Fax Station ID, Fax HeadLine, Codecs.
  • Fixed some problems (incorrect error codes), which arise in the case of a sudden disconnection of the telephone line during the fax transmission.
  • Automatic recognition and management of the boot configuration options on 64-bit Windows 7, Windows Vista and Windows Server 2008 operating systems.
  • Added possibility to send T.38 re-invite in the case of Outgoing Calls via built-in lines.
  • Fixed problem with receiving G711 fax at 14400 (v.17) with Virtual COM Ports (modems).
  • Fixed issue with correct saving of the SIP Registrations table when deleting records.
  • Added protection from accidental insert of special characters when using the copy-paste function during the filling of text fields in the Fax Voip FaxModem Control Panel.

Version 4.6.1 (June 2010)

  • Windows 7 and Windows 7 x64 Edition Support added.
  • Added possibility to customize additional parameters of SIP Registration: Authentication Name, Domain/Realm, SIP Contact URL.
  • Fixed some problems with using global Outbound Proxy settings.
  • Added dummy G.729 codec to resolve problems of compatibility with SIP networks, where T.38 is supported but the other voice codecs are not supported.
  • Fixed the problem of Fax Voip crash in a situation when user tries to send a fax via built-in lines, and does not specify any SIP Call Routing rules for working with built-in lines.
  • Fixed display of SIP Registration status, if Username contains the symbol ' * '.
  • Full compatibility with XP/Vista Visual Styles (Fax Voip Console and Fax Voip FaxModem Control Panel).
  • Possibility to resize Fax Voip FaxModem Control Panel.
  • Possibility to choose Toolbar Visual Style in the Fax Voip Console on Vista and Windows 7.
  • 32-bit icons implemented into the Fax Voip Console and Fax Voip FaxModem Control Panel.
  • Restore Default View buttons added in the Fax Voip Console and Fax Voip FaxModem Control Panel.

Version 4.5.1 (April 2010)

  • Fixed problem of dialing in voice mode (time waiting for call answer). "Ringing" voice indication added.
  • Correct switching to T.38 after dialing in voice mode.
  • Fixed problem with answering incoming calls with some PBX's because of an annoying bug in our SIP code.
  • Added detailed description of how to send and receive Color Faxes over VOIP using Venta Fax and Fax Voip. This technology is fully compatible with Fax Voip.
  • Fax Preview panel in Fax Voip Console added.
  • Added possibility to view current status of incoming faxes in Fax Voip Console. Now you know about incoming fax and the page number currently received, not waiting for the end of fax reception.
  • Possibility to convert faxes into different graphic formats added. Available formats: TIFF (CCITTFAX4, CCITTFAX3, LZW, PACKBITS), PDF, BMP, JPEG, GIF, PNG. Splitting into pages and saving only selected pages also possible.
  • Implemented new Common Dialogs Send a Fax... and Save As... with Fax Preview and possibility to set options.
  • Fixed problem with correct appearance of the "Send Fax Wizard" window (after printing) "on top" on Vista or Windows 2008 systems.
  • Added XP/Vista visual styles for some of the basic user interface elements.

Version 4.4.1 (January 2010)

  • Added possibility to send faxes in Audio G711 Fax mode via Virtual COM Ports (modems). This means that now you can use standard fax software to send faxes via SIP providers without support for T.38, for example via Betamax.
  • Added function of automatic Fall back to G711 Fax mode. This feature can be useful for those SIP providers that support T.38, but support for T.38 is not always guaranteed.
  • Added possibility to View current status of outgoing faxes in Fax Voip Console. Now you know the page number currently transmitted and other statistics, not waiting for the end of fax sending.
  • Separate ECM/Bitrate settings for outgoing/incoming and T.38/audio faxes. Settings of these parameters for Virtual COM Ports (modems) and Built-in SIP Fax Lines are also separated.

Version 4.3.1 (December 2009)

  • Added possibility to send faxes without Virtual COM ports and 3rd-party fax software (both t38 and G711 faxes), using Fax Voip built-in SIP Fax Lines.
  • Added Fax Voip Printer.
  • Log Book Application replaced by Fax Voip Console application with enhanced functionality.
  • Added built-in Mail to Fax functionality (based on Fax Voip built-in SIP Fax Lines).
  • Now you can add non-numeric prefixes (eg '+') and use non-digit numbers (usernames) in the Outgoing SIP Call Routing rules.
  • Fixed issue with zero timestamp when using audio (G711) fax mode. Fixing this problem allows to work correctly, not only with Betamax, but also with many other SIP service providers and equipment for which t38 is not supported.

Version 4.2.1 (September 2009)

  • Added possibility to run Fax Voip as Windows Service.
  • Added possibility to send Emails via CDO. This makes using of Fax to Mail (both internal and via Microsoft Fax) and Mail to Fax more comfortable and reliable. You can use SMTP server with SSL support (eg gmail.com), and specify the name of sender in your national language. Added built-in SMTP-client for testing before using. New option Send Mail log (CDO) will help to identify errors in configuring SMTP.
  • In the Fax to File function added possibility to receive G711-faxes at 14400/12000 bps (v.17).
  • In the Fax to File function time of waiting for fax connection when an incoming call is increased up to 1 minute.
  • Now you can specify Local Fax ID (Fax to File function). We also added a display of Call Duration in LogBook.
  • In Mail to Fax (via Microsoft Fax) function added possibility to specify Local Fax ID (SenderFaxID =) and fax header (SenderCompany =) in the mail body.
  • In Fax to Mail (both internal and via Microsoft Fax) and Mail to Fax functions substantially changed format of email messages.
  • Fixed several bugs in Fax to File function. These defects could cause malfunction and may even lead to crash of application under certain conditions (in v.4.1.1).
  • Setup program does not install Microsoft Fax Service without user confirmation, or if it is already installed (Windows XP/2003).
  • Fax Voip blocking Mail to Fax function, if Microsoft Fax Service is not installed. This avoids the error message that does not look very nice.

Version 4.1.1 (August 2009)

  • Voice Modem Functionality added. Now you can use Fax Voip not only as "T38 fax" but also as Voice Mailbox (Answering Machine). You can use the voice greeting before sending or receiving fax. It is possible to send not only faxes, but also voice messages.
  • DTMF support added. It makes it possible to manage your Voice and Fax Mailbox using DTMF tones.
  • New voice functions have been successfully tested with Venta Fax & Voice program. Venta Fax & Voice allows to use all new Voice and DTMF features of Fax Voip. You can even listen to SIP line through your computer speakers.
  • Voice capabilities have also been successfully tested with BVRP Classic Phone Tools , and with FaxTalk Messenger Pro programs.
  • Support for Multiple SIP Registrations added. It is possible to register multiple SIP accounts with the same SIP server or have simultaneous SIP registrations with different SIP servers .
  • Support for Outgoing Call Routing and Incoming Call Routing added. Options give a possibility to route calls, depending on initial conditions, as well as allow you to use different settings for different virtual lines.
  • Added support for different Audio Codecs for SIP. Current version of Fax Voip supports following audio formats for SIP: G.711-uLaw-64k, G.711-ALaw-64k, G.723.1, G.726-32k, GSM-06.10, iLBC, SpeexNB, SpeexWB
  • Caller ID feature is added. Caller ID is now supported both via COM-port interface and using “Standart 14400 bps modem” driver via TAPI.
  • Added possibility to Dial a Phone Number Extension using DTMF tones.
  • Sending Faxes over G711 feature has been removed due to incompatibility with the new functions. This feature was added earlier in the experimental purposes and was not correct. Nevertheless, you can receive faxes as G711-audio with Receive faxes as files function.
  • SIP and t38 parts of the program have undergone significant changes. Fixed errors related to incorrect use of Outbound Proxy function. These errors are sometimes caused the lack of hearing or failing when switching to t38 fax mode.
  • Fixed some bugs in mfaxmail.exe (mfaxmail.exe required for functions Mail to Fax and Fax to Mail and uses Microsoft Fax API).
  • User Guide in PDF format has been removed from the program. This guide is actually duplicated the main help file.

Version 3.5.1

  • Windows Vista x64 Edition and Windows Server 2008 x64 Edition Support Added.
  • Added possibility to work with 3-rd party Virtual COM Ports Drivers ( Eltima Virtual Serial Port Driver , Eterlogic.com Virtual Serial Ports Emulator etc.), which is particularly important for users of Vista/Windows 2008 x64 Edition systems, but it may also be useful for all other systems.
  • Recommendations relating to work correctly with pdf attachments using Mail to Fax function are added to the help system. You need to install Acrobat Wrapper program to ensure proper closing Adobe Reader after automatic printing. http://www.biopdf.com/acrowrap/close_adobe_reader.php

Version 3.4.1

  • Windows XP x64 Edition and Windows Server 2003 x64 Edition Support Added.
  • Fixed some minor problems associated with the application icon in the System Tray. Library STrayIco.ocx is no longer used. All calls are now being implemented through API.
  • The program no longer tries to install cdosys.dll. It is anticipated that the CDO (Collaboration Data Objects) is now part of Windows and the correct library is present in all supported systems by default.
  • Added new icons for some files. This ensures a more comfortable viewing files in a folder on Vista/2008, especially if to use the Large Icons mode or the Extra Large Icons mode.

Version 3.3.1

  • Windows Vista and Windows 2008 Server Support Added

Version 3.2.1

  • Added the possibility to edit SIP Display Name and SIP User Agent.

Version 3.1.1

  • New design for Fax Voip FaxModem Control Panel applied. Now we can quickly introduce new preferences under the demands of our users.
  • Fax Voip now able to send audio-faxes (over G711 codec). This was made possible by the introduction of internal T38 to G711 Gateway. You can send audio-faxes using ECM. Receiving of audio-faxes implemented as Fax to Tiff.
  • Added the ability to change the timeout to access POP3 server.

Version 2.4.1

  • You can now check Status of SIP registration in the Fax Voip FaxModem Control Panel (with error description).

Version 2.3.1

  • New feature: Fax Voip is now a fully-functional system for sending faxes via e-mail (Mail to Fax) and for receiving faxes to e-mail (Fax to Mail). New mail-fax system is based on Microsoft Fax API, so the Microsoft Fax Service should be installed and configured to operate with Fax Voip at your computer.
  • The Setup program runs the Windows Components Wizard, which verifies that the Microsoft Fax Service is installed and, if necessary, installs it.
  • When you install a COM-port, “Standart 14400 bps Modem” is added to this port automatically. When you delete a COM-port, the modem is automatically deleted from the system.

Version 2.2.1

  • New feature: Fax Voip supports the redirection of incoming faxes to e-mail. To use this option, you should select Receive faxes as files option. Fax Voip uses account for the SMTP-server and forwards incoming faxes at the pre-specified e-mail address.

Version 2.1.1

  • SIP part of the program has undergone significant changes. Correct and stable SIP registration is now supported. Fax Voip was successfully tested for the stable operation with a large number of T.38 SIP providers directly. Now Fax Voip program accepts incoming fax calls without problems. You can use Fax Voip as an extension to the SIP PBX. There is no need to provide a static route for incoming calls. No problems with the Outbound Proxy feature as well.
  • It is now possible to save incoming faxes directly in TIFF or PDF files. Fax Voip can redirect all incoming T.38 fax calls in TIFF or PDF files without using a standard fax software, and without limiting the number of incoming fax sessions. In this mode, the virtual modem lines are not involved and can be used for outgoing T.38 fax calls. It was designed and implemented a special software for the convenience of handling incoming faxes: FaxVoip Log Book.

Version 1.1.3

  • Added support for G723.1 codec and GSM 06.10 codec. T.38 is a special fax protocol for sending faxes over voip. But it is impossible to start calls without voice codecs. If your SIP provider does not support G.711 codec, you can use G.723 or GSM codecs. Now you can select voice codecs in the Fax Voip FaxModem Control panel.
  • Added support for STUN server. It is very important feature for using with some SIP providers. Now you can enter STUN server name in the Fax Voip FaxModem Control panel.
  • Fixed some errors in using Outbound Proxy. This feature is correct now.
  • Added some comments about using Fax Voip with AXON PBX, as for incoming fax calls from external SIP Network to Fax Voip. If you have problems with incoming faxes, it is important to check Use static IP address and static mapped ports option in AXON PBX in the Network Settings panel and enter External SIP port and External RTP port starting from... values. No need to enter your Public IP address here.


Installation and Setup

  • Installing a Trial Copy
  • Features
  • System Requirements
  • Removing the previous version
  • Microsoft .NET Framework requirements
  • Run Setup Program
  • Starting Fax Voip for the first time
  • Install Windows Photo Viewer in Windows Server


Installing a Trial Copy

Installation and Setup ››

The Fax Voip software can be installed as a temporary trial copy.

With Fax Voip Virtual COM Ports (modems) you can:

  • Send and receive T.38 and audio (over G.711 codec) faxes via SIP, H.323 or ISDN CAPI 2.0 network using Virtual COM Ports (modems) and standard fax software ( Windows Fax Service / Fax and Scan , WinFax Pro and any other fax program that can operate with fax modems or COM ports directly).
  • Send and receive both T.38 and audio (over G.711 codec) faxes and Voice Messages via SIP, H.323 or ISDN CAPI 2.0 network using programs designed to work with Voice-Fax Modems ( BVRP Classic Phone Tools 9 , FaxTalk Messenger Pro 7.5 , CallStation , Venta Fax & Voice and other).
  • Use Mail to Fax - Microsoft Fax function. Multiple e-mail attachments, Cover pages , Mail to Fax Rules , E-mail Templates .
  • Use Incoming Fax Routing Methods - Microsoft Fax (Fax Voip Routing Extension): Route through e-mail , Store in a Folder , Print , Custom Routing .
  • Use Outgoing Fax Routing Methods - Microsoft Fax : E-mail Delivery Receipts , Store in a Folder , Print , Custom Routing .
  • Use SendFaxMS.exe - Microsoft Fax command line tool to send faxes.

With Fax Voip 'built-in lines' you can:

  • Send T.38, audio (over G.711 codec) and CAPI (B3 Protocol 4 or 5) faxes using Fax Voip Virtual Printer via SIP, H.323 or ISDN CAPI 2.0 network.
  • Receive T.38, audio (over G.711 codec) and CAPI (B3 Protocol 4 or 5) faxes as TIFF, PDF or SFF files from SIP, H.323 or ISDN CAPI 2.0 network.
  • Send faxes with cover pages , as well as faxes consisting of only a cover page.
  • Send audio messages via SIP, H.323 or ISDN CAPI 2.0 network.
  • Manage outgoing and received faxes and audio messages using Fax Voip Console application.
  • Use Mail to Fax (Mail to Audio) - Built-in lines and Delivery Receipts via E-mail - Built-in lines functions. Multiple e-mail attachments, Cover pages , Mail to Fax (Mail to Audio) Rules , E-mail Templates .
  • Use Incoming Fax Routing Methods - Built-in lines : Route through e-mail , Store in a Folder , Print , Custom Routing , Fax-On-Demand .
  • Use Outgoing Routing Methods - Built-in lines : E-mail Delivery Receipts , Store in a Folder , Print , Custom Routing .
  • Use SendFax.exe - Built-in lines and SendAudio.exe - Built-in lines command line tools to send faxes and audio messages.

Limitations of the trial version:

  • The trial license can be used once on a given computer.
  • The trial time period (15 days) begins when the software is installed.
  • Up to 2 Virtual COM Ports (modem lines) can be used.
  • Up to 2 Fax Voip built-in VOIP/ISDN Fax/Audio Lines can be used for outgoing fax and audio calls.
  • Up to 2 Incoming Fax Routing (Built-in lines) rules of every type: Route through e-mail , Store in a Folder , Print , Fax-On-Demand can be used.
  • Up to 2 Incoming Fax Routing (Microsoft Fax) rules of every type: Route through e-mail , Store in a Folder , Print can be used.
  • Up to 2 Outgoing Routing (Built-in lines) rules of every type: E-mail Delivery Receipts , Store in a Folder , Print can be used.
  • Up to 2 Outgoing Fax Routing (Microsoft Fax) rules of every type: E-mail Delivery Receipts , Store in a Folder , Print can be used.
  • Window with a reminder about using the unregistered version appears every 30 minutes and stops the program in the absence of action by the user.

Notes

  • If you later purchase a license, use the License page in the Fax Voip Control Panel to enter the purchased license key. You do not have to reinstall the software. Virtual COM Ports selections for modem lines, SIP, H.323, ISDN CAPI 2.0, Fax and other settings will be preserved.
  • Fax Voip T38 Fax & Voice Virtual COM Port license allows to operate with one or more Virtual COM Ports to send and receive faxes (T.38 and audio) and voice messages via SIP, H.323 or ISDN CAPI 2.0 network using your standard fax software like Microsoft Fax.
  • Fax Voip built-in VOIP/ISDN Fax/Audio Line license allows to use one or more Fax Voip built-in VOIP/ISDN Fax/Audio Lines to send and receive faxes (T.38, audio and CAPI faxes) and audio messages via SIP, H.323 or ISDN CAPI 2.0 network using Fax Voip Virtual Printer , Fax Voip Send Audio Message Wizard and Fax Voip Console .
  • Fax Voip Extended Fax Routing (E-mail, Store in Folder, Print, Fax-On-Demand) license is the extension to Fax Voip built-in VOIP/ISDN Fax/Audio Line license and Fax Voip Virtual COM Ports (modems) license and can not be used independently. This license allows to use significantly increased number of Incoming Routing Methods (Built-in lines) rules: Route through e-mail , Store in a Folder , Print , Fax-On-Demand ; Incoming Routing Methods (Microsoft Fax) rules: Route through e-mail , Store in a Folder , Print ; Outgoing Routing Methods (Built-in lines) rules: E-mail Delivery Receipts , Store in a Folder , Print and Outgoing Routing Methods (Microsoft Fax) rules: E-mail Delivery Receipts , Store in a Folder , Print .


Features

Installation and Setup ››

Virtual COM Ports (modems)

  • Up to 100 Virtual COM Ports (modems) to connect to standard fax program directly or via TAPI
  • Digitally signed Virtual COM port driver that is fully compatible with 64-bit versions of Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008/2008R2
  • Fax Voip 14.4K TAPI Voice-Fax Modem driver for modems (TAPI compliant)
  • Support for 3rd party Virtual COM Ports drivers
  • Simplified procedure of installing Virtual COM Ports and modems
  • Fax Class 1, UTI-T V.27ter/V.29/V.17, T.30 Fax Group 3 up to 14.400 Bauds
  • Error Correction Mode (ECM)
  • T.38 Real-time Fax over IP, T.38 UDPTL Redundancy, Force T.38 mode
  • Real-time Audio G711 Fax over IP
  • Auto Fall back to G711 Fax mode if T.38 not available
  • Real-time Audio Fax over ISDN CAPI 2.0
  • Color Faxes over VOIP and ISDN
  • Fax-On-Demand
  • Voice Modem support (UTI-T V.253 Conexant/Rockwell, audio formats: 16-BIT LINEAR, PCM, ALAW, ULAW)
  • Voice Modem support via Unimodem Audio Device driver (TAPI). Automatic fixing of bugs produced by Microsoft in different Windows versions
  • Voice Answering Machine support
  • Voice Greeting before sending or receiving fax
  • Remote Access to Voice and Fax Mailbox (DTMF)
  • Listening to a telephone line through computer speakers
  • Dialing a Phone Number Extension (DTMF)
  • Caller ID Number, Caller ID Name (direct COM-port connection and via TAPI)
  • Called Number (DID). Passing Called Number (DID) via Caller ID string (workaround)
  • Easy integration with Windows Fax Service. Configuring Windows Fax Service to send/receive faxes via Fax Voip Virtual COM Ports (modems) in one click. Automatic installing of Windows Fax and Scan (Fax Server Role) during Fax Voip installation. Creating shortcuts on the desktop and in the main menu. In Windows 10, automatic bug fix in Windows Fax Service / Fax and Scan software (CallerID and TSID not stored after receiving a fax, 'Forward as E-mail' button is grayed out)
  • SendFaxMS.exe - Microsoft Fax command line utility. Sending a fax to one or more recipients. Support for multiple documents, cover pages, native e-mail delivery receipts. Tracking fax job. Configuring and running SendFaxMS.exe using the Fax Voip Control Panel
  • Fax Voip Routing Extension integrated into Windows Fax Service software
  • Route through e-mail Incoming Fax Routing Method (Microsoft Fax). E-mail Templates. Customizable attachment filename templates
  • Store in a folder Incoming Fax Routing Method (Microsoft Fax). Customizable filename templates
  • Print Incoming Fax Routing Method (Microsoft Fax)
  • Custom routing for incoming faxes (Microsoft Fax)
  • E-mail Delivery Receipts Outgoing Fax Routing Method (Microsoft Fax). E-mail Templates. Customizable attachment filename templates
  • Store in a folder Outgoing Fax Routing Method (Microsoft Fax). Customizable filename templates
  • Print Outgoing Fax Routing Method (Microsoft Fax)
  • Custom routing for outgoing faxes (Microsoft Fax)

Fax Voip built-in VOIP/ISDN Fax/Audio Lines

  • T.30 Fax Group 3 up to 14.400 Bauds
  • Error Correction Mode (ECM)
  • T.38 Real-time Fax over IP, T.38 UDPTL Redundancy, Force T.38 mode
  • Real-time Audio G711 Fax over IP
  • Auto Fall back to G711 Fax mode if T.38 not available
  • CAPI Fax. B3 Protocol 4: T.30 for Group 3 fax and B3 Protocol 5: T.30 for Group 3 fax extended
  • Real-time Audio Fax over ISDN CAPI 2.0
  • Fax Station ID, Fax Header
  • Separate ECM/Bitrate settings for outgoing/incoming, T.38/audio and modem/built-in faxes
  • CAPI fax: possibility to select B3 Protocol, Maximum Bitrate, disable ECM and enable High Resolution. Separated settings for outgouing and incoming CAPI faxes
  • Receiving faxes directly into TIFF, PDF or SFF files
  • Unlimited number of incoming fax sessions
  • Fax Voip Virtual Printer. Sending a fax from any Windows application
  • Cover Pages support. Sender Information. Standard templates (Confidential, FYI, Generic, Urgent). Creating personal templates
  • Direct Document to Fax Converting. Supported formats: PDF, TIFF, SFF, QFX, BMP, JPEG, GIF, PNG, ICO, WMF (EMF)
  • Sending audio messages
  • Fax Voip Send Audio Message Wizard
  • Sending a fax or audio message to multiple recipients. Loading a list of faxes (phone numbers) from txt file
  • SendFax.exe - Built-in lines command line utility. Sending a fax to one or more recipients. Support for multiple documents, cover pages, e-mail delivery receipts. Configuring and running SendFax.exe using the Fax Voip Control Panel
  • SendAudio.exe - Built-in lines command line utility. Sending audio message to one or more recipients, e-mail delivery receipts support. Configuring and running SendAudio.exe using the Fax Voip Control Panel
  • Fax Voip Console. Ribbon user interface
  • Scheduled fax or audio message sending, Delivery Notification via e-mail
  • Retrying and restarting of failed faxes and audio messages, pause and resume fax or audio message jobs
  • Viewing current status of outgoing and incoming faxes and audio messages in the Fax Voip Console
  • Saving faxes in different graphic formats: TIFF, PDF, SFF, BMP, JPEG, GIF, PNG, PCX
  • Possibility to split faxes into pages when saving. Possibility to save only selected pages
  • Route through e-mail Incoming Fax Routing Method. E-mail Templates. Customizable attachment filename templates
  • Store in a folder Incoming Fax Routing Method. Customizable filename templates
  • Print Incoming Fax Routing Method
  • Custom routing for incoming faxes
  • Fax-On-Demand
  • E-mail Delivery Receipts Outgoing Routing Method. E-mail Templates. Customizable attachment filename templates
  • Store in a folder Outgoing Routing Method. Customizable filename templates
  • Print Outgoing Fax Routing Method
  • Custom routing for outgoing faxes and audio messages

SIP / H.323 / ISDN CAPI 2.0 support

  • SIP over UDP, SIP over TCP and SIP over TLS support
  • SIP Outbound Proxy
  • Multiple SIP Registrations, Authentication Name, Domain/Realm, SIP Contact URL, Expires Header, Forcible SIP Registration
  • Direct SIP Call Routing
  • Possibility to change SIP User Agent
  • H.323 support, Fast Start, H.245 Tunneling, Telephone numbers list
  • Registration with H.323 Gatekeeper, Search for GK, Time to Live
  • H.235 MD5 GK Authentication
  • Direct H.323 Call Routing
  • ISDN CAPI 2.0 support
  • Direct ISDN CAPI 2.0 Call Routing
  • Possibility to select ISDN Controller # and B-channel # for outgoing ISDN CAPI 2.0 calls
  • Tel URI Scheme support (with SIP only)
  • VOIP audio formats: G.711-uLaw-64k, G.711-ALaw-64k, G.723.1, G.726-32k, GSM-06.10, iLBC, SpeexNB, SpeexWB
  • CAPI 2.0 audio formats: CCITT G.711 A-law, CCITT G.711 u-law
  • Dummy G.729 codec for compatibility with T.38 only
  • STUN server support
  • Outgoing and Incoming VOIP Call Routing
  • Overriding parameters via Call Routing: Username (Caller ID Number), Display Name (Caller ID Name), MaxBitrate, ECM, T38 UDPTL Redundancy, Fax Station ID, Fax Headline, Codecs

E-mail support: Mail to Fax (Mail to Audio), Fax to Mail, Delivery Receipts

  • Mail to Fax (Mail to Audio) - Built-in lines. Mail to Fax - Microsoft Fax. Multiple e-mail attachments, Cover Pages, Sender Information
  • Mail to Fax (Mail to Audio) Rules - Built-in lines. Mail to Fax Rules - Microsoft Fax. Overriding depending on e-mail address: Delivery Receipts, E-mail Attachments, Cover Pages, Sender Information, E-mail Templates, Fax Mode (with built-in lines), Fax Priority and Schedule (with Microsoft Fax). Blocking unwanted e-mail addresses
  • Configuring Mail to Fax (Mail to Audio) services to be started under regular user account instead of local system account
  • Fax to Mail (Route through e-mail Incoming Fax Routing Method) - based on using built-in VOIP/ISDN Fax/Audio Lines. E-mail Templates. Customizable attachment filename templates
  • Fax to Mail (Route through e-mail Incoming Fax Routing Method) - based on using Microsoft Fax Service. E-mail Templates. Customizable attachment filename templates
  • Delivery Receipts via e-mail - Built-in lines (E-mail Delivery Receipts Outgoing Routing Method). Delivery Receipts via e-mail - Microsoft Fax (E-mail Delivery Receipts Outgoing Fax Routing Method). E-mail Templates. Customizable attachment filename template
  • Customizable E-mail Templates. Customizable date and time formats
  • SMTP support. CDO.Message, System.Net.Mail. Implicit SSL, Explicit SSL (STARTTLS). UTF-8 encoding
  • Sending digitally signed e-mail messages. Clear signing. Opaque signing
  • POP3/IMAP support. SSL support
  • Ignoring invalid e-mail server SSL certificate

Other

  • Fax Voip Control Panel. Ribbon user interface
  • Fax Voip Manager
  • Possibility to run as Windows Service
  • Repair ‘printto’ verbs function. Supported formats: TXT, BMP, DIB, EMF, GIF, ICO, JFIF, JPE, JPEG, JPG, JXR, PNG, RLE, TIF, TIFF, WDP, WMF
  • Multi-Language support. Simple mechanism for translation into any language
  • Address Book (Windows Contacts) support
  • Creating simple and complex (to large number of recipients) Microsoft Fax Service fax jobs using Fax Voip Virtual Printer
  • Checking for new versions of the program
  • Fax Voip Backup or Restore Wizard
  • Selective saving the configuration and user data when you reinstall the program
  • Unicode support
  • Full compatibility with operating system Visual Styles


System Requirements

Installation and Setup ››

Platforms supported*

  • Windows 10, Windows 10 64-bit, Windows Server 2019, Windows Server 2016
  • Windows 8.1, Windows 8.1 64-bit, Windows Server 2012 R2
  • Windows 8, Windows 8 64-bit, Windows Server 2012 **
  • Windows 7, Windows 7 64-bit, Windows Server 2008 R2 **
  • Windows Vista, Windows Vista 64-bit, Windows Server 2008, Windows Server 2008 64-bit **
  • Windows Server 2003, Windows Server 2003 x64 Edition, Windows XP x64 Edition **
  • Windows XP **

  • Intel-compatible PC with 32-bit or 64-bit (x64) processor.
  • Microsoft.NET Framework 4.5 or later (Windows 10/8.1/8/7/Vista/2019/2016/2012/2008)
  • Microsoft.NET Framework 2.0 Service Pack 1 or later (Windows XP/2003)

Additional system requirements

  • Windows Fax Service (Windows Fax and Scan) installed
  • Windows Picture and Fax Viewer installed (Windows XP/2003)
  • Windows Photo Gallery installed (Windows 10/8/7/Vista/2019/2016/2012/2008)
  • Adobe Acrobat Reader 11, Reader DC 2021 or earlier versions
  • Acrobat Wrapper v.11.2.0.51 or later versions (to use PDF as attachments with Mail to Fax)
  • IrfanView Software (to view faxes stored in the SFF format)

Virtual COM Ports Software compatibility

  • Eltima Virtual Serial Port Driver
  • Eterlogic.com Virtual Serial Ports Emulator

Fax & Voice Software compatibility

  • CallStation (TAPI compliant)
  • BVRP Classic Phone Tools 9
  • FaxTalk Messenger Pro 7.5
  • Venta Fax & Voice
  • VK Easy Fax

Fax Software compatibility

  • Microsoft Fax (Windows Fax and Scan)
  • WinFax PRO
  • GFI FAXmaker
  • RelayFax
  • FaxAmatic

Recommended VOIP service providers

  • T38FAX (T.38 support)
  • CALLCentric (T.38 support)
  • babyTEL (T.38 support)
  • MondoTalk (T.38 support)
  • DellMont (Betamax) : VoipBuster , Nonoh and other (Fax over G.711 codec only, quality depends on your country)

SIP PBX Software compatibility

  • Axon PBX
  • 3CX VOIP Phone System (Enterprise Edition)

H.323 Software compatibility

  • GNU Gatekeeper
  • SoLink Control Server

Network requirements

  • Network connection from the local computer to the SIP or H.323 server

Notes

  • (* : FaxVoip Software does not guarantee the correct operation of the program when you install software on Virtual Machine of any type. In the case of specific problems in such installations, technical support is not provided.
  • (** : Limited support. Some features may not work or work incorrectly. Windows XP, Windows Server 2003, Windows Vista, Windows 7 and Windows 8 are no longer supported by Microsoft.


Removing previous version

Removing the previous version

Installation and Setup ››

Fax Voip setup program automatically checks whether Fax Voip is already installed and what version is installed, and offers to remove Fax Voip before starting of new installation. No need to separately run standard uninstall procedures.

To keep the previous Fax Voip settings and files created in program operations, follow the instructions provided in the Removing the Software chapter of this user manual. If you suspect that your configuration is corrupted for some reasons, you should delete the previous settings. Alternatively, prior to the removal or reinstallation, you can run the Fax Voip Backup or Restore Wizard that allows you to save and then restore your settings and files.

When upgrading from version 7.6.1 or earlier, the Mail to Fax (Mail to Audio) Settings - Built-in lines and Mail to Fax Settings - Microsoft Fax can not be imported from the old version because of the incompatibility of the new and old implementations of these functions.

When upgrading from version 8.2.1 or earlier, the Delivery Receipts via E-mail (Microsoft Fax) settings can not be imported from the old version. In Fax Voip version 8.3.1 this functionality is replaced by the E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) .

When upgrading from version 6.4.1 or earlier, the previous settings and files are imported automatically and without confirmations. The automatic procedure works on the condition that you did not run the uninstaller of the previous version manually. The second condition is to install the new version to the same folder in which you have version 6.4.1 or earlier installed. Note that there is no backward compatibility between 6.5.1 and earlier versions, ie you can not move the imported configuration (SIP, H.323, CAPI 2.0, Call Routing, Fax, Email etc...) back to version 6.4.1 or earlier.

To save your old configuration with possibility to use with older versions, run the Fax Voip Backup or Restore Wizard before removal the old version. See also in the Using Fax Voip Backup or Restore Wizard with older versions chapter of this user manual.


Microsoft .NET Framework

Microsoft .NET Framework requirements

Installation and Setup ››

The core Fax Voip modules are written in C/C ++ and do not really use Microsoft .Net Framework. However, to work properly on Windows XP or Windows Server 2003, the Microsoft .Net Framework 2.0 SP1 or later is required, as this package contains the necessary C++ runtime libraries that are missing on these operating systems by default.

Starting from version 7.1.1, user interface (GUI) and some other modules require Microsoft .Net Framework 4.5 or later to be installed on Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008/2008R2. For backward compatibility with Windows XP and Windows Server 2003, these modules are separately compiled to run under Microsoft .Net Framework 2.0.

To install .Net Framework 2.0 SP1 on Windows XP or Windows Server 2003, see Microsoft .NET Framework 2.0 SP1 chapter of this user manual.

To install .Net Framework 4.5 on Windows 7, Windows Vista or Windows Server 2008/2008R2, see Microsoft .NET Framework 4.5 chapter of this user manual.

Microsoft .Net Framework 4.5 is included in Windows 8 and Windows Server 2012. Installation of .NET Framework not required on these operating systems.

Microsoft .Net Framework 4.5.1 (compatible with .Net Framework 4.5) is included in Windows 8.1 and Windows Server 2012R2. Installation of .NET Framework not required on these operating systems.

Microsoft .Net Framework 4.6-4.8* (compatible with .Net Framework 4.5) is included in Windows 10, Windows Server 2019 and Windows Server 2016. Installation of .NET Framework not required on these operating systems.

Notes

  • (* : Depends on Windows 10 version. For details, see .NET Framework versions and dependencies .


Microsoft .NET Framework 4.5

Microsoft .NET Framework 4.5 or later (Windows 7, Vista or Windows Server 2008/2008R2)

Installation and Setup ›› Microsoft .NET Framework ››

When installing on Windows 7, Windows Vista or Windows Server 2008/2008R2, Fax Voip requires installation of Microsoft .NET Framework 4.5 or later for the normal operation. You should make sure that Microsoft .NET Framework 4.5 already installed on your computer and install it if necessary. This can be done before installing Fax Voip program or during installation, see also Run Setup Program (Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2) chapter.

Finding out if you need to install the .NET Framework 4.5

1. Click Start, and then click Control Panel. In the Control Panel select Programs, and then click Uninstall a program.

2. In the Uninstall or change a program window scroll through the list of applications to see Microsoft .NET Framework 4.5 or later listed.

3. Close the window.

Installing the .NET Framework 4.5 manually

You can download the Microsoft .NET Framework 4.5 web installer package from the Fax Voip web site.

1. Go to the Fax Voip site at www.t38faxvoip.com . Click the Download link.

2. On the Download page find and then click the following link

Microsoft .Net Framework 4.5 dotNetFx45_Full_setup.exe 982KB

3. Once you have downloaded the install the program, run it to install the .NET Framework 4.5 on your computer. Note that you will need to have Administrator access to your computer.

Installing the .NET Framework via Windows Update

If you need to install or update the .NET Framework, Microsoft recommends you install it via Windows Update. To install or update the .NET Framework 4.5 on Windows 7, Windows Vista or Windows Server 2008/2008R2, do the following:

1. Click Start, point to All Programs, and then click Windows Update.

2. On the Windows Update page click Check for updates to find all available updates.

3. Upon completion of the search, click ... important update(s) is(are) available link in the Download and install updates for your computer pane.

4. Select Microsoft .NET Framework 4.5 (4.5.1, 4.5.2...) update as shown at the picture below, and then click OK.

5. On the next page click Install Updates button.

6. The Windows Update program will automatically download and install the selected updates.

7. After installing .NET Framework 4.5, it is recommended to repeat the updating procedure to have the latest .NET Framework version with all corrections and additions. On the Windows Update page click Check for updates.

8. Upon completion of the search, select Microsoft .NET Framework 4.5 updates, and then click OK.

9. On the next page click Install Updates button.

10. The Windows Update program will automatically download and install the selected updates.

Notes

  • The required version of Microsoft .NET Framework is already included in Windows 10, Windows 8/8.1, Windows Server 2019, Windows Server 2016 and Windows Server 2012/2012R2. Installation of .NET Framework not required on these operating systems.
  • When installing on Windows XP or Windows Server 2003, Fax Voip requires installation of Microsoft .NET Framework 2.0 SP1 or later. See in the Microsoft .NET Framework 2.0 SP1 chapter of this user manual.
  • Fax Voip automatically checks whether Microsoft .NET Framework is installed and what version is installed, and offers to install correct version if not installed.


Microsoft .NET Framework 2.0 SP1

Microsoft .NET Framework 2.0 SP1 or later (Windows XP or Windows Server 2003)

Installation and Setup ›› Microsoft .NET Framework ››

When installing on Windows XP or Windows Server 2003, Fax Voip requires installation of Microsoft .NET Framework 2.0 Service Pack 1 or later for the normal operation. You should make sure that Microsoft .NET Framework 2.0 Service Pack 1 already installed on your computer and install it if necessary. This can be done before installing Fax Voip program or during installation, see also Run Setup Program (Windows XP or Windows Server 2003) chapter.

Finding out if you need to install or update the .NET framework

1. Click Start, point to Control Panel, click Add or Remove Programs.

2. Scroll through the list of applications to see Microsoft .NET Framework listed. If it is installed the application title will also include the version number.

3. On Windows XP or Windows Server 2003 the Fax Voip FSP needs version 2.0 Service Pack 1 of the .NET framework or later. Even if you have version 2.0, you will still need to install at least version 2.0 SP1 to run the Fax Voip FSP.

Installing the .NET framework manually (Windows XP or Windows Server 2003 32 bit)

You can download the Microsoft .NET Framework 2.0 Service Pack 1 installation package from the Fax Voip web site. We can not recommend this method, but it's the fastest way to install .NET Framework on 32 bit Windows XP and Windows Server 2003 operating systems. Note that this package is not suitable for 64-bit operating systems.

1. Go to the Fax Voip site at www.t38faxvoip.com . Click the Download link.

2. On the Download page find and then click the following link

Microsoft .Net Framework 2.0 SP1 NetFx20SP1_x86.exe 23.6MB

3. Once you have downloaded the install the program, run it to install the .NET framework on your computer. Note that you will need to have Administrator access to your computer.

Installing the .NET framework manually (Windows XP or Windows Server 2003 64 bit)

You can download the Microsoft .NET Framework 2.0 Service Pack 1 installation package from the Fax Voip web site. We can not recommend this method, but it's the fastest way to install .NET Framework on 64 bit Windows XP and Windows Server 2003 operating systems. Note that this package is not suitable for 32-bit operating systems.

1. Go to the Fax Voip site at www.t38faxvoip.com . Click the Download link.

2. On the Download page find and then click the following link

Microsoft .Net Framework 2.0 SP1 NetFx20SP1_x64.exe 46.9MB

3. Once you have downloaded the install program, run it to install the .NET framework on your computer. Note that you will need to have Administrator access to your computer.

Installing the .NET framework via Windows Update

If you need to install or update the .NET framework, Microsoft recommends you install it via Windows Update at http://windowsupdate.microsoft.com . To install or update the .NET framework on Windows XP or Windows Server 2003, do the following:

1. Click Start, and then click Windows Update.

2. On the Windows Update Home page click Custom to find all available updates.

3. Upon completion of the search, click Software, Optional in the left pane.

4. Check Microsoft .NET Framework installation option as shown at the picture below, and then click Review and install updates link.

5. On the next page click Install Updates button.

6. The Installing Updates wizard will automatically download and install the selected components.

7. At the final step click the Restart Now button.

8. After installing .NET Framework, it is recommended to repeat the updating procedure to have the latest .NET Framework version with all corrections and additions. After rebooting the computer, run the Windows Update again. Click Start, and then click Windows Update.

9. On the Windows Update Home page click Express to find high-priority updates.

10. Upon completion of the search, select Microsoft .NET Framework updates, and then click Install Updates.

11. The Installing Updates wizard will automatically download and install the selected components.

12. At the final wizard step click the Restart Now button to complete the installation.

Notes

  • When installing on Windows 7, Windows Vista or Windows Server 2008/2008R2, Fax Voip requires installation of Microsoft .NET Framework 4.5 or later. See in the Microsoft .NET Framework 4.5 chapter of this user manual. The required version of Microsoft .NET Framework is included in Windows 10, Windows 8/8.1, Windows Server 2019, Windows Server 2016 and Windows Server 2012/2012R2. Installation of .NET Framework usually not required on these operating systems.
  • Fax Voip automatically checks whether Microsoft .NET Framework is installed and what version is installed, and offers to install correct version if not installed.


Setup Program

Run Setup Program

Installation and Setup ››

To install Fax Voip, follow the instructions for your operating system.

  • Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2
  • Windows XP or Windows Server 2003


Windows 10/8/7/Vista/Server 2019/2016/2012/2008

Run Setup Program (Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2)

Installation and Setup ›› Setup Program ››

1. Run setup.exe from your installation CD-ROM or ZIP archive.

2. On Windows 7, Windows Vista and Windows Server 2008/2008R2 Fax Voip setup program automatically checks whether Microsoft .NET Framework is installed on your computer and what version is installed. If Microsoft .NET Framework 4.5 is not installed, pre-installation wizard will be started and you will be prompted to install Microsoft .NET Framework.

Select one of the following options and click Next:

Install .NET Framework 4.5 and continue with installation (recommended)

If this option is selected, the Microsoft .NET Framework 4.5 Setup program included in the Fax Voip installation package will be started. You should understand that all the necessary components are downloaded from the Microsoft site during installation and installation will take significant time.

After finishing of .NET Framework 4.5 installation, you can continue to install Fax Voip.

Open Windows Update to download and install last version of .NET Framework

If this option is selected, the Windows Update window will be opened. Please install the latest version of Microsoft .NET Framework via Windows Update as described in the Microsoft .NET Framework 4.5 chapter of this user manual. After finishing of .NET Framework 4.5 installation, you should restart Fax Voip setup program.

3. Fax Voip setup program automatically detects whether Fax Voip is already installed and what version is installed, and offers to remove Fax Voip before starting of new installation. To continue with the installation click Next. When you reinstall or upgrade from version 6.5.1 or later, you can choose which settings and files created in program operations should be retained, see details in the Removing the Software chapter of this user manual. When upgrading from version 6.4.1 or earlier, the previous settings and files are imported automatically and without confirmations if to install the new version to the same folder in which you have version 6.4.1 or earlier installed, see details in the Removing the previous version chapter of this user manual.

Wait for the finishing of removal of the previous version.

4. At the final window of the pre-installation wizard click Next.

5. The Fax Voip Setup Wizard will be started.

6. Click Next. Follow the Setup Wizard. On the Ready to Install page click Install.

7. The Setup Wizard installs the Fax Voip drivers for Virtual COM Ports first.

8. The Setup program runs the Installing Modems procedure.

9. The wizard will automatically install the Fax Voip 14.4K TAPI Voice-Fax Modem drivers for virtual modems. The standard Unimodem Full-Duplex Audio Device driver is automatically installed by Windows when installing modem driver.

10. The wizard will automatically install the Virtual COM Ports.

11. On Windows 7, Windows Vista and Windows Server 2008/2008R2 notifications about installing drivers for new devices are usually displayed in the system tray.

12. After finishing of installation you will see a notification that device drivers successfully installed.

13. You can click on the message in the system tray to see the details of installation.

14. By default Fax Voip installs two ports: COM20 and COM21.

15. The Setup program runs the Installing Fax Voip Virtual Printer Wizard. During this process Windows installation CD may be required.

16. The setup program verifies if Windows Fax Service is installed at your computer. If not installed, the dialog box will be displayed. To install Windows Fax Service, click OK. Please note that automatic installation of Windows Fax Service is not supported on Windows Vista and Windows Server 2008. On these operating systems, you should install the Windows Fax Service manually, see in the Install the Fax Service chapter of this user manual. If you install the Windows Fax Service after installation of Fax Voip, don't forget to register Fax Voip Routing Extension and configure Windows Fax Service to send/receive faxes using Fax Voip modems, see in the Configure Fax Service using Fax Voip Control Panel chapter of this user manual.

17. On Windows 10, Windows 8/8.1 and Windows 7, the Fax Voip setup program automatically installs Windows Fax and Scan feature.

18. On Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008R2, the Fax Voip setup program automatically installs Fax Server role.

19. On Windows Server 2012/2012R2 and Windows Server 2008R2, the Fax Voip setup program also checks and automatically installs Desktop Experience feature.

20. Fax Voip setup program automatically configures Windows Fax Service and then starts services. The Windows Fax Service can be restarted several times during this procedure. See also Configure Fax Service using Fax Voip Control Panel chapter for more details.

21. At the final window of the Setup Wizard select Yes, restart the computer now, and then click Finish.

Notes

  • Rebooting the operating system after the installation of Virtual COM Ports and modems is not always necessary. Nevertheless, it is not recommended to ignore this step, because some programs may not properly interact with the modem drivers immediately after installation.


Windows XP/Server 2003

Run Setup Program (Windows XP or Windows Server 2003)

Installation and Setup ›› Setup Program ››

1. Run setup.exe from your installation CD-ROM or ZIP archive.

2. Fax Voip setup program automatically checks whether Microsoft .NET Framework is installed on your computer and what version is installed. If Microsoft .NET Framework is not installed, pre-installation wizard will be started and you will be prompted to install Microsoft .NET Framework.

Select one of the following options and click Next:

Install .NET Framework 3.5 SP1 and continue with installation (recommended)

If this option is selected, the Microsoft .NET Framework 3.5 SP1 Setup program included in the Fax Voip installation package will be started. Click Install button. You should understand that all the necessary components are downloaded from the Microsoft site during installation and installation will take significant time.

After finishing of .NET Framework 3.5 SP1 installation, you can continue to install Fax Voip.

Download and install .NET Framework 2.0 SP1 (minimum requirement)

If this option is selected, you will be redirected to Fax Voip website and be prompted to download and install Microsoft .NET Framework 2.0 SP1 compatible with your operating system.

In the File Download window click Run button. After finishing of .NET Framework 2.0 SP1 installation, you should restart Fax Voip setup program.

You can also cancel the installation of Fax Voip by clicking Cancel and to install the latest version of Microsoft .NET Framework via Windows Update as described in the Microsoft .NET Framework 2.0 SP1 chapter of this user manual.

3. Fax Voip setup program automatically detects whether Fax Voip is already installed and what version is installed, and offers to remove Fax Voip before starting of new installation. To continue with the installation click Next. When you reinstall or upgrade from version 6.5.1 or later, you can choose which settings and files created in program operations should be retained, see details in the Removing the Software chapter of this user manual. When upgrading from version 6.4.1 or earlier, the previous settings and files are imported automatically and without confirmations if to install the new version to the same folder in which you have version 6.4.1 or earlier installed, see details in the Removing the previous version chapter of this user manual.

Wait for the finishing of removal of the previous version.

4. At the final window of the pre-installation wizard click Next.

5. The Fax Voip Setup Wizard will be started.

6. Click Next. Follow the Setup Wizard. On the Ready to Install page click Install.

7. The Setup program runs the Installing Modems procedure.

8. The wizard will automatically install the Fax Voip 14.4K TAPI Voice-Fax Modem drivers for virtual modems.

9. The standard Unimodem Full-Duplex Audio Device driver is automatically installed by Windows when installing modem driver.

10. The wizard will automatically install the Virtual COM Ports.

11. Notifications about installing drivers for new devices are usually displayed in the system tray.

12. After finishing of installation you will see a notification that device drivers successfully installed.

13. By default Fax Voip installs two ports: COM20 and COM21.

14. The Setup program runs the Installing Fax Voip Virtual Printer Wizard. During this process Windows installation CD may be required.

15. The setup program verifies if Windows Fax Service is installed at your computer. If not installed, the dialog box will be displayed. To install Windows Fax Service, click OK.

16. Fax Voip setup program runs the Windows Components Wizard and automatically installs Fax Services. During this process Windows installation CD may be required.

17. Fax Voip setup program automatically configures Windows Fax Service and then starts services. The Windows Fax Service can be restarted several times during this procedure. See also Configure Fax Service using Fax Voip Control Panel chapter for more details.

18. At the final window of the Setup Wizard select Yes, restart the computer now, and then click Finish.

Notes

  • Rebooting the operating system after the installation of Virtual COM Ports and modems is not always necessary. Nevertheless, it is not recommended to ignore this step, because some programs may not properly interact with the modem drivers immediately after installation.


Starting Fax Voip for the first time

Installation and Setup ››

When you start Fax Voip for the first time, the Fax Voip Control Panel is displayed. After installation and rebooting the computer Fax Voip usually starts automatically. If this does not happen for some reasons, you can run Fax Voip manually. To do this, click Fax Voip T38 Fax & Voice shortcut on your desktop.

When Fax Voip Control Panel starts for the first time, the Virtual COM Ports and Modems panel will be displayed. This panel displays a list of installed Fax Voip Virtual COM Ports (usually COM20 and COM21) and modems attached to them.

To configure Fax Voip to operate with SIP line, see Configure SIP Line .

To configure Fax Voip to operate with H.323 line, see Configure H.323 Line .

To configure Fax Voip to operate with ISDN CAPI 2.0 line, see Configure ISDN CAPI 2.0 Line .


Configure SIP Line

Installation and Setup ›› Starting Fax Voip for the first time ››

This chapter shows you how to quickly configure the Fax Voip to operate with SIP service provider on the example of callcentric.com provider which supports both T.38 and audio faxes. More examples can be found in the Configure Fax Voip with VoIP Service Providers chapter of this user manual.

To configure Fax Voip follow these steps:

1. In the Fax Voip Control Panel click VOIP in TreeView.

2. Check Enable SIP option. If you don’t plan to use H.323 or CAPI 2.0, you can uncheck Enable H.323 and Enable ISDN CAPI options.

3. (Optional) In the STUN Server box enter STUN Server name, if necessary for correct operation or recommended by your SIP provider. (Examples: 'stun.voipbuster.com', 'stun01.sipphone.com', 'stun.yourstunserver.com:3478',...).

4. Click <Apply> button.

5. In the Fax Voip Control Panel click VOIP in TreeView, then click SIP.

6. In the Local UDP SIP address, Local TCP SIP address and Local TLS SIP address fields select or enter network interfaces addresses to listen for SIP requests via UDP, TCP and TLS. In the port fields, enter port numbers. ' * ' is all network interfaces and can be recommended at least for the first time. When selecting the port number you should understand that the selected port is not used by another SIP program installed on your computer. Fax Voip uses port 5070 for UDP and TCP and port 5061 for TLS by default. If you don’t plan to use SIP over TCP or SIP over TLS, you can uncheck Enable SIP over TCP Transport and Enable SIP over TLS Transport options.

7. Click <Apply> button.

8. In the Fax Voip Control Panel click VOIP in TreeView, then click SIP, then click Registrations.

9. To create new SIP Registration entry click New.

10. In the SIP Registration window, enter your username (SIP-ID) in the Username (or SIP-ID) field. Enter password in the Password field.

11. In the SIP Registrar Server field, enter the address of the SIP registrar server to be used. Can also contain the port number. If the port number other than 5060 (default), the port number should be specified. (Examples: 'sip.voipbuster.com', 'sip.myserver.com:5064', '192.168.0.5:5068', ...).

12. (Optional) In the Outbound Proxy field, enter the address of the SIP proxy to be used for registration. Can also contain the port number. If the port number other than 5060 (default), the port number should be specified. (Examples: 'sip.myproxy.com', 'proxyserver.com:5080', '192.168.0.5:5065', ...).

13. (Optional) Click <Details> button.

14. (Optional) Enter Authentication Name, Domain/Realm and SIP Contact URL. Note that these fields are usually not required. Incorrect values in these fields can lead to problems with SIP registration and incoming calls.

15. In the Expires Header field, change SIP registration timeout (if required). Default value is 180 sec.

16. Select Transport if need. By default SIP over UDP is used. Note that SIP over TCP and SIP over TLS can be not supported by your server or SIP provider.

17. Click <OK> button to fix changes.

18. Your SIP Registration entry will be displayed in the list of SIP Registrations. Click <Apply> button to save modified settings for SIP Registrations.

19. You will be prompted to create rules for outgoing calls. Click <Yes> button to create the default rules.

20. The Outgoing VOIP Call Routing page will be displayed. Default rules mean that all Outgoing Calls from any Fax Voip virtual line will be routed through your SIP Registration and without changing the dialed number. Fax Voip creates 4 default rules for outgoing calls: for outgoing calls via Virtual COM Ports (modems) with support for both T38 fax and G711 fax modes, for outgoing T.38 fax calls via built-in lines (using Fax Voip Virtual Printer and Fax Voip Console), for outgoing audio fax calls (fax over G.711 codec) via built-in lines (using Fax Voip Virtual Printer and Fax Voip Console) and for outgoing audio calls via built-in lines (using Fax Voip Console).

21. (Optional) If your SIP provider supports T.38, in many cases (in particular when working with callcentric.com ) you need to force T.38 re-invite when the outgoing call is answered. Double-click the first rule where you have From Line = COM:*. In the Voip Outgoing Call Routing Rule window, on the Fax page select Send T.38 re-invite option and then click <OK>. See also T38 Fax with Re-invite + G711 Fax Mode (T38+R,G711) chapter of this user manual. Repeat this step for the second rule where you have From Line = <T38FAX>. See also T38 Fax with Re-invite + G711 Fax Mode (T38+R,G711) chapter of this user manual. In the Fax Voip Control Panel click <Apply> button to save modified rules.

22. In the Fax Voip Control Panel click VOIP in TreeView, then click Incoming Plan. The Incoming VOIP Call Routing page will be displayed. Make sure that you have a rule for incoming SIP calls (default rule is created when you install Fax Voip). Default rule for incoming SIP calls means that all incoming calls from any SIP network will be routed to Virtual COM Ports (modems) and without number changing.

23. In the Fax Voip Control Panel click <START> button to test your SIP Registration.

24. The status of SIP Registration is displayed on the SIP Registration page. When properly configured, you should see 'Registered OK'.


Configure H.323 Line

Installation and Setup ›› Starting Fax Voip for the first time ››

This chapter shows you how to quickly configure the Fax Voip to operate using H.323. H.323 provider usually uses authentication based on IP-address of the user. To configure Fax Voip in this case you usually need to choose Do not use Gatekeeper option, and to specify the name or IP-address of the H.323 endpoint when creating rules for outgoing VOIP calls.

In some cases, you may need to use registration with H.323 gatekeeper. To configure Fax Voip in this case, you must choose Require Gatekeeper option, specify the IP-address of the gatekeeper, and select Route calls to Gatekeeper option when creating rules for outgoing VOIP calls. Using of H.235 authentication is convenient for the case of dynamic IP-address of the computer.

To configure Fax Voip follow these steps:

1. In the Fax Voip Control Panel click VOIP in TreeView.

2. Check Enable H.323 option. If you don’t plan to use SIP or CAPI 2.0, you can uncheck Enable SIP and Enable ISDN CAPI options.

3. (Optional) In the STUN Server box enter STUN Server name, if necessary for correct operation or recommended by your H.323 provider. (Examples: 'stun.voipbuster.com', 'stun01.sipphone.com', 'stun.yourstunserver.com:3478', ...).

4. Click <Apply> button.

5. In the Fax Voip Control Panel click VOIP in TreeView, then click H.323.

6. In the Local H.323 address field select or enter network interface address to listen for H.323 requests. In the port field, enter the port number. ' * ' is all network interfaces and can be recommended for using at least for the first time. When selecting the port number you should understand that the selected port is not used by another H.323 program installed on your computer. Fax Voip uses port 1720 by default.

7. Make the necessary settings with the Enable Fast Start and Enable H.245 Tunneling options, according to the requirements of your H.323 network.

8. Add your H.323 phone number to the Telephone numbers list. To add a number click <New> button. The phone numbers specified in this list are used in the process of registration with H.323 Gatekeeper (if registration with H.323 Gatekeeper is used). The top number from the Telephone numbers list will be recognized by remote party as Caller ID Number.

9. Click <Apply> button.

10. In the Fax Voip Control Panel click VOIP in TreeView, then click H.323, then click Gatekeeper.

11. Do the necessary settings:

Gatekeeper Mode

Do not use Gatekeeper (default)

In this mode Fax Voip operates as independent H.323 endpoint and does not register with H.323 Gatekeeper. All incoming H.323 calls should be routed directly to IP address and port where Fax Voip operates. This mode is preferable in the case when your H.323 provider uses your IP-address to identify you (the most common method of binding used for authentication).

Use Gatekeeper if available

Fax Voip is trying to register with H.323 Gatekeeper. If not possible, Fax Voip operates as independent H.323 endpoint without registration with H.323 Gatekeeper.

Require Gatekeeper

In this mode Fax Voip should be registered with H.323 Gatekeeper.

Search for Gatekeeper

In this mode Fax Voip is able to find the H.323 Gatekeeper automatically. Option is useful if you register with the Gatekeeper located in your local network.

Address

The H.323 Gatekeeper IP address or server name.

Time to Live

The Time To Live parameter is the duration (in seconds) for which registration with the H.323 Gatekeeper is valid. Note that this parameter can be overridden by the Gatekeeper during registration.

Use H.235 authentication

Check this option if Gatekeeper requires authentication. The H.235 cryptoTokens by MD5 hashing are used.

Login Name

H.235 login credential for authentication.

Password

H.235 password credential for authentication.

12. To be possible to do outgoing H.323 calls, you should create Outgoing VOIP Call Routing rules. Note that Fax Voip does not create rules for outgoing H.323 calls automatically. In the Fax Voip Control Panel click VOIP in TreeView, and then click Outgoing Plan.

13. To create new Outgoing VOIP Call Routing rule click New.

14. In the Outgoing VOIP Call Routing rule window, in the Dial on Line area, specify the address of H.323 enpoint where to route H.323 calls (in the Route to address field) or select Route calls to Gatekeeper option to route calls via H.323 Gatekeeper. Click <OK> button.

15. At the picture below we have created 4 rules for outgoing H.323 calls: for calls originating from the Virtual COM Ports (modems), for outgoing T.38 fax calls via built-in lines (using Fax Voip Virtual Printer and Fax Voip Console), for outgoing audio fax calls (fax over G.711 codec) via built-in lines (using Fax Voip Virtual Printer and Fax Voip Console) and for outgoing audio calls via built-in lines (using Fax Voip Console). All types of outgoing calls will be routed via H.323 Gatekeeper.

16. Click <Apply> to save Outgoing VOIP Call Routing rules.

17. In the Fax Voip Control Panel click VOIP in TreeView, then click Incoming Plan. The Incoming VOIP Call Routing list will be displayed. Make sure you have a rule for incoming H.323 calls (default rule is created when you install Fax Voip). Default rule for incoming H.323 calls means that all incoming calls from any H.323 network will be routed to Virtual COM Ports (modems) and without number changing.

18. To test registration with H.323 Gatekeeper (if configured), in the Fax Voip Control Panel click <START> button.

19. If Gatekeeper is used, the status of H.323 Registration can be viewed on the Gatekeeper page. When properly configured, you should see 'RegistrationConfirm' in the Gatekeeper status area.


Configure ISDN CAPI 2.0 Line

Installation and Setup ›› Starting Fax Voip for the first time ››

To be able to operate with ISDN line via CAPI 2.0 interface, you must have ISDN card in your computer and install CAPI 2.0 driver (capi2032.dll) supplied by the manufacturer of your ISDN card. Should also understand that some CAPI 2.0 drivers do not allow the simultaneous use of CAPI 2.0 interface for more than one CAPI 2.0 application.

To configure Fax Voip follow these steps:

1. In the Fax Voip Control Panel click VOIP in TreeView.

2. Check Enable ISDN CAPI option. If you don’t plan to use SIP or H.323, you can uncheck Enable SIP and Enable H.323 options.

3. Click <Apply> button.

4. In the Fax Voip Control Panel click VOIP in TreeView, then click ISDN CAPI 2.0.

5. In the Voice Codec field, select the G.711 codec that shall be used on your system. CAPI 2.0 applications expect and provide voice data coded according G.711 A-law or according to G.711 u-law. You should check which of these two codecs used in the configuration of your ISDN card.

6. Click <Apply> button.

7. To be possible to do outgoing ISDN CAPI 2.0 calls, you should create Outgoing VOIP Call Routing rules. Note that Fax Voip does not create rules for outgoing ISDN calls automatically. In the Fax Voip Control Panel click VOIP in TreeView, then click Outgoing Plan.

8. To create new Outgoing VOIP Call Routing rule click New.

9. In the Outgoing VOIP Call Routing rule window, in the Dial on Line area, select ISDN CAPI 2.0 option.

10. To apply the rule to calls from Virtual COM Ports (modems), select From any modem or From selected modems option. Click <OK> button.

11. To apply the rule to calls via built-in lines, select From built-in lines (via Fax Voip Console) option. The option If to send a fax via ISDN CAPI 2.0 will be selected automatically.

12. If the rule applies to fax calls via ISDN CAPI 2.0 using built-in lines, switch to Fax panel.

13. In the Fax panel, select CAPI fax (B3 Protocol 4 or 5) option to send faxes according to CAPI 2.0 specification. Or select G.711 audio fax option to send faxes as audio (fax over G.711 codec). Click <OK> button.

14. At the picture below we have created 3 rules for outgoing ISDN CAPI 2.0 calls: for calls originating from the Virtual COM Ports (modems) with audio fax support, for outgoing fax calls via built-in lines (using Fax Voip Virtual Printer and Fax Voip Console) with ISDN option and with CAPI fax according to B3 Protocol 5 support, and for outgoing audio calls via built-in lines (using Fax Voip Console).

15. Click <Apply> to save Outgoing VOIP Call Routing rules.

16. In the Fax Voip Control Panel click VOIP in TreeView, then click Incoming Plan. The Incoming VOIP Call Routing list will be displayed. Make sure you have a rule for incoming ISDN calls (default rule is created when you install Fax Voip). Default rule for incoming ISDN CAPI 2.0 calls means that all incoming calls from ISDN line will be routed to Virtual COM Ports (modems) and without number changing.

17. To test connection to your ISDN card, in the Fax Voip Control Panel click <START> button.

18. When properly configured, you should see 'Capi status: Connected OK' in the CAPI Profile area. The CAPI Profile panel also displays detailed CAPI 2.0 information, such as CAPI manufacturer, CAPI version (including manufacturer version), number of ISDN controllers and number of available B-channels for every controller.


Configure Fax Lines

Installation and Setup ›› Starting Fax Voip for the first time ››

To send/receive faxes and voice messages via Virtual COM Ports (modems), it is necessary that an external fax program has been installed on your computer and configured to operate with Fax Voip. Fax Voip can operate with any standard fax program that can operate with COM ports directly or via modem driver. Examples of settings and usage with different fax software are considered in the Using Fax Voip with Fax & Voice Soft chapter. Please note that after installation of Fax Voip version 8.1.1 or later, the Fax Voip modems are automatically configured for using with Windows Fax Service. Before configuring any other standard fax/voice software, you should manually disable sending and receiving faxes in Windows Fax and Scan (Fax Service Manager), see To configure the Windows Fax Service .

When configuring Fax Voip, pay attention to the Restart Microsoft Fax Service at startup option (in the Fax Voip Control Panel click Fax in TreeView). The Restart Microsoft Fax Service at startup option is recommended whenever Fax Voip operates with Windows Fax Service. When Fax Voip starts, Windows Fax Service restarts. If you are using the Fax Voip with another fax program, for example with FaxTalk Messenger Pro 7.5, do not use this option and uncheck it.

To send/receive faxes with Fax Voip built-in lines you don’t need to install additional fax software. More details can be found in the Sending and Receiving Faxes (Audio Messages) with built-in VOIP/ISDN Fax/Audio lines chapter of this user manual. To send a fax, simply print the required document to the Fax Voip Virtual Printer . To manage all outgoing and incoming faxes you should use Fax Voip Console application.

When configuring Fax Voip, pay attention to the Default Fax Mode option that describes the default fax protocol for sending faxes via Fax Voip Virtual Printer (in the Fax Voip Control Panel click Fax in TreeView). Select T.38 (auto) if you want to send faxes with T.38 support by default. Select audio if you want to send faxes as audio (fax over G.711 codec) by default. Select isdn if you want to send faxes via ISDN CAPI 2.0 line by default. Note that you can change Fax Mode in the Fax Voip Printer dialog window before fax sending (or using Mail to Fax (Mail to Audio) - Built-in lines function).

More details about sending faxes via e-mail soft and receiving faxes to e-mail can be found in the Mail to Fax (Mail to Audio) - Built-in lines , Mail to Fax - Microsoft Fax , Route through e-mail Incoming Routing Method (Built-in lines) , Route through e-mail Incoming Routing Method (Microsoft Fax) , E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) and E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) chapters of this user manual. It is recommended to configure these features only after you have successfully configured Fax Voip to send and receive faxes.

To configure the various additional Fax Voip functions, you should read the corresponding chapters of this user manual.


Install Windows Photo Viewer in Windows Server

To install Windows Photo Viewer in Windows Server 2012R2

Installation and Setup ››

To view faxes (TIFF format), the Windows Photo Viewer (Windows Photo Gallery) application is usually used. Please note that this application is usually not installed by default on Windows Server 2012/2012R2 and Windows Server 2008/2008R2 operating systems.

To install Windows Photo Viewer (Windows Photo Gallery) in Windows Server 2012/2012R2 or Windows Server 2008/2008R2 you need install Desktop Experience feature.

1. Switch to Search pane, type server manager, and then click Server Manager.

2. In the Server Manager click Add roles and features.

3. In the Add Role and Features Wizard, on the Features page, select the check box for Desktop Experience.

4. In the Add Role and Features Wizard click Next, and then click Install.

5. When the installation is complete, Windows will notify you that you must restart your server to complete the process.

6. After you have rebooted, make sure that the Windows Photo Viewer (Windows Photo Gallery) is installed. On Windows Server 2012R2 computer, right click the Start button, and then click Run. In the Run dialog box, enter the following command: rundll32 shimgvw.dll,ImageView_Fullscreen. Click OK. The Windows Photo Viewer application should be started.


Fax Voip Manager

  • To Run Fax Voip Manager
  • To Start and Stop Fax Voip
  • System Tray Menu Options


To Run Fax Voip Manager

Fax Voip Manager ››

To run Fax Voip Manager click Start, point to Fax Voip T38 Fax & Voice; click Fax Voip T38 Fax & Voice.

Alternatively you can click the Fax Voip T38 Fax & Voice shortcut on your desktop.


To Start and Stop Fax Voip

Fax Voip Manager ››

To start Fax Voip

To start Fax Voip, select the Start Fax Voip T38 Fax & Voice command in the Fax Voip tray menu.

You can configure Fax Voip as a Windows service . To start Fax Voip as a Windows service, select the Start Fax Voip T38 Fax & Voice Service command in the Fax Voip tray menu.

To stop Fax Voip

To stop Fax Voip, select the Stop Fax Voip T38 Fax & Voice command in the Fax Voip tray menu.

If Fax Voip is configured as a Windows service , select the Stop Fax Voip T38 Fax & Voice Service command in the Fax Voip tray menu to stop the service.


Tray Menu Options

System Tray Menu Options

Fax Voip Manager ››

When the Fax Voip is running, its icon is placed in the system tray.

To access the Fax Voip menu, right-click the Fax Voip icon in your system tray and the following pop-up menu appears:

The following commands are available in the menu:

Start Fax Voip T38 Fax & Voice (Start Fax Voip T38 Fax & Voice Service)

Click to start Fax Voip.

Stop Fax Voip T38 Fax & Voice (Stop Fax Voip T38 Fax & Voice Service)

Click to stop Fax Voip.

Fax Voip Control Panel

Click to open Fax Voip Control Panel . Alternatively, you can double click the icon in the tray.

Fax Voip Console

Click to open Fax Voip Console .

Open Fax Folder (Inbox)

Click to open Inbox folder in Windows Explorer.

Open Fax Folder (Outbox)

Click to open Outbox folder in Windows Explorer (outgoing faxes).

Open Audio Message Folder (Outbox)

Click to open Outbox folder in Windows Explorer (outgoing audio messages).

Windows Fax and Scan

Click to launch Windows Fax and Scan application.

Fax Service Manager

Click to start Microsoft Fax Service Manager. This option is only available on server operating systems, such as Windows Server 2019.

Address Book (Windows Contacts)

Click to open Address Book (Windows Contacts).

shield Backup or Restore Wizard

Click to run Fax Voip Backup or Restore Wizard. Fax Voip Backup or Restore Wizard is used to save, restore or move your configuration and files to other computer. To use this option, administrator privileges are required.

Help

Click to open Help file.

About

Display program information, version number and copyright.

Exit

Click to quit the application.


Fax Voip Control Panel

To open Fax Voip Control Panel

To open Fax Voip Control Panel, click Start, point to Fax Voip T38 Fax & Voice; click Fax Voip Control Panel. Alternatively, you can select Fax Voip Control Panel command from the Fax Voip tray icon menu.

<START>

Use this button to start Fax Voip Service (Fax Voip application).

<STOP>

Use this button to stop Fax Voip Service (Fax Voip application).

<Apply>

Use this button to save changes in your settings.

<OK>

Use this button to save changes in your settings and close Fax Voip Control Panel. If Fax Voip Service (Fax Voip application) is not running, it runs with the new settings. If Fax Voip Service (Fax Voip application) is running it is not restarted and continued to operate using the old settings. In this case, to start with new settings, you must stop and then start the Fax Voip Service (Fax Voip application).

<Cancel>

Use this button to close Fax Voip Control Panel without saving changes in your settings.

<Help>

Use this button to view the help file.

SIP Registration status

This field indicates SIP Registration status (Registered or Not Registered). This indicator works when the Fax Voip Service (Fax Voip application) is running and Enable SIP option is checked (see more details in the VOIP Settings chapter). This indicator also shows the number of current SIP registrations (first digit) and the total number of entries in your table of SIP registrations (second digit).

Fax Voip status

This field indicates if Fax Voip Service (Fax Voip application) is running.

The following information is displayed in the status bar:

Windows Fax Service

The current status of the Windows Fax Service is displayed. It should be understood that the Windows Fax Service can be automatically stoped if it is not used by applications and no device is configured to receive faxes.

Mail to Fax (Built-in) / Mail to Fax Service (Built-in)

Indicates whether the Mail to Fax subsystem based on Fax Voip built-in VOIP/ISDN Fax/Audio Lines (Fax Voip Internal Mail service) is running.

Mail to Fax (MS Fax) / Mail to Fax Service (MS Fax)

Indicates whether the Mail to Fax and Outgoing Routing Methods subsystem based on Windows Fax Service (Fax Voip MsFax Mail service) is running.

Fax Voip Control Panel Ribbon Commands

The following commands are available in the Application Menu:

Fax Voip built-in lines

Send Fax (Ctrl + F)

Click to create a new fax to be sent to one or more recipients (using built-in lines).

Send Fax (Ctrl + F)

Click to create a new fax to be sent to one or more recipients (using built-in lines).

Send Cover Page (Ctrl + C)

Click to create cover page only fax to be sent to one or more recipients (using built-in lines).

Send Test Fax Page (Ctrl + T)

Click to create and send test fax page using Fax Voip virtual printer.

Audio Message

Click to create audio message to be sent to one or more recipients (using built-in lines).

Fax Voip Console (Ctrl + V)

Click to launch Fax Voip Console .

Outbox

Click to display the Outbox folder (Fax Voip Console).

Inbox

Click to display the Inbox folder (Fax Voip Console).

Fax-on-Demand

Click to display the Fax-on-Demand folder (Fax Voip Console).

Windows Fax Service

Send Fax (Ctrl + S)

Click to create a new fax to be sent to one or more recipients (using Windows Fax Service). Any printable document can be sent as a fax.

Send Fax (Ctrl + S)

Click to create a new fax to be sent to one or more recipients (using Windows Fax Service). Any printable document can be sent as a fax.

Send Test Fax Page (Ctrl + P)

Click to create and send test fax page using Fax printer.

Windows Fax and Scan (Ctrl + W)

Click to launch Windows Fax and Scan application.

Fax Service Manager (Ctrl + M)

Click to start Microsoft Fax Service Manager. This option is only available on server operating systems, such as Windows Server 2019.

Restart Windows Fax Service

Click to restart Windows Fax Service.

Restart Fax Service

Click to restart Windows Fax Service.

Start Fax Service

Click to start Windows Fax Service.

Stop Fax Service

Click to stop Windows Fax Service.

Configure Fax Service

Click to repair Windows Fax Service components, register Fax Voip Routing Extension with the fax service and configure fax service to send/receive faxes using Fax Voip Virtual COM Ports (modems). See more details in the To configure Fax Service using Fax Voip Control Panel chapter of this user manual.

Help (F1)

Click to open Help file. To display the application help system you also can use Help Button, which is placed in the upper right corner of the Ribbon.

Exit (Ctrl + X)

Click to quit the Fax Voip Control Panel.

Fax Voip Settings (Recent Items list)

SIP Accounts

Click to configure SIP accounts to register with your VoIP Service Provider.

Outgoing VOIP Call Routing

Click to configure Outgoing VOIP Call Routing . At least one rule should be present.

Incoming VOIP Call Routing

Click to configure Incoming VOIP Call Routing . At least one rule should be present.

Virtual COM Ports and Modems

Click to configure Fax Voip Virtual COM Ports and Modems .

Route incoming faxes through e-mail (Built-in lines)

Click to configure 'Route through e-mail' incoming fax routing method (Built-in lines) .

Route incoming faxes through e-mail (Microsoft Fax)

Click to configure 'Route through e-mail' incoming fax routing method (Microsoft Fax) .

Mail to Fax (Mail to Audio) - Built-in lines

Click to configure 'Mail to Fax (Mail to Audio)' function - Built-in lines .

Mail to Fax - Microsoft Fax

Click to configure 'Mail to Fax' function - Microsoft Fax .

Licences

Click to manage your licences .

The following commands are available in the Main tab:

Built-in lines and Fax Voip Console

Send Fax (Ctrl + F)

Click to create a new fax to be sent to one or more recipients (using built-in lines).

Send Fax (Ctrl + F)

Click to create a new fax to be sent to one or more recipients (using built-in lines).

Send Cover Page (Ctrl + C)

Click to create cover page only fax to be sent to one or more recipients (using built-in lines).

Send Test Fax Page (Ctrl + T)

Click to create and send test fax page using Fax Voip virtual printer.

Audio Message

Click to create audio message to be sent to one or more recipients (using built-in lines).

Fax Voip Console (Ctrl + V)

Click to launch Fax Voip Console .

Outbox

Click to display the Outbox folder (Fax Voip Console).

Inbox

Click to display the Inbox folder (Fax Voip Console).

Fax-on-Demand

Click to display the Fax-on-Demand folder (Fax Voip Console).

Fax Voip Printer

Click to show Fax Voip Virtual Printer properties.

Windows Fax Service / Windows Fax and Scan

Send Fax (Ctrl + S)

Click to create a new fax to be sent to one or more recipients (using Windows Fax Service). Any printable document can be sent as a fax.

Send Fax (Ctrl + S)

Click to create a new fax to be sent to one or more recipients (using Windows Fax Service). Any printable document can be sent as a fax.

Send Test Fax Page (Ctrl + P)

Click to create and send test fax page using Fax printer.

Windows Fax and Scan (Ctrl + W)

Click to launch Windows Fax and Scan application.

Fax Service Manager (Ctrl + M)

Click to start Microsoft Fax Service Manager. This option is only available on server operating systems, such as Windows Server 2019.

Start Fax Service

Click to start Windows Fax Service.

Stop Fax Service

Click to stop Windows Fax Service.

Restart Fax Service

Click to restart Windows Fax Service.

Fax Printer Properties

Click to show fax printer properties.

Configure Fax Service

Click to repair Windows Fax Service components, register Fax Voip Routing Extension with the fax service and configure fax service to send/receive faxes using Fax Voip Virtual COM Ports (modems). See more details in the To configure Fax Service using Fax Voip Control Panel chapter of this user manual.

Most of the commands placed on the Main tab are also available from the Application Menu.

The following commands are available in the View tab:

Panes

Navigation Bar

Click to show or hide the Navigation Bar.

Status Bar

Click to show or hide the statusbar.

Ribbon

Uncheck this option to hide the Ribbon. After your confirmation the Fax Voip Control Panel will be switched to classic mode. Restarting the application is required.

Menu Bar

Flag this option to show the classic Menu Bar. After your confirmation the Fax Voip Control Panel will be switched to classic mode. Restarting the application is required.

Current view

Navigation Bar Theme

This option allows you to choose the Visual Style of the Navigation Bar in accordance with Visual Themes provided by the operating system. Simply choose the desired theme from the Drop-Down Gallery.

HTML Help Theme

This option allows you to choose the HTML help system Toolbar Visual Style in accordance with Visual Themes provided by the operating system. Simply choose the desired theme from the Drop-Down Gallery.

Ribbon colors

Standard Theme

Select this option to use the default Ribbon theme specified by the operating system.

Custom Blend

Select this option to customize Ribbon colors. Please note that this option does not work correctly in Windows 10 version 1809 or later and in Windows Server 2019.

Background

Select the global background color for a customized ribbon.

Highlight

Select the global highlight color for a customized ribbon (Windows 7 only).

Text

Select the global text color for a customized ribbon.

Default view

Restore Defaults

Use this option to restore the default view of the Fax Voip Control Panel. This function does not change your SIP, H.323, ISDN CAPI 2.0, Fax and other settings.

Most of the commands placed on the View tab are also available from the Navigation Bar context menu.

The following commands are available in the Tools tab:

Virtual COM Ports and Modems

Ports and Modems

Click to configure Fax Voip Virtual COM Ports and Modems .

Fix Voice Modems TAPI problem

Click to fix Voice Modems TAPI problem in Windows 10 version 1903 or 1909 (Microsoft fixed this issue in Windows 10 version 2004). See more details in the Voice Modem bugs in Windows 10 chapter of this user manual. Administrator privileges are required.

Windows Contacts

Windows Contacts

Click to open Contacts folder.

New Contact

Allows you to add a new contact card to your Contacts.

Find People

Click to find people in your Contacts.

Address Book

Opens Address Book (Windows Contacts).

Backup or Restore

Backup or Restore Wizard

Click to run Fax Voip Backup or Restore Wizard. Fax Voip Backup or Restore Wizard is used to save, restore or move your configuration and files to other computer. To use this option, administrator privileges are required.

Some Ribbon commands are contained in the so called Contextual Tabs which are available depending on the context. These commands are described separately in the appropriate chapters.

The Quick Access Toolbar (QAT) is a small, customizable toolbar that exposes a set of Commands that are specified by the application or selected by the user.

By default, the Quick Access Toolbar (QAT) is located in the title bar of the Fax Voip Control Panel window but can be configured to display below the ribbon. In addition to exposing Commands, the Quick Access Toolbar (QAT) also includes a customizable drop-down menu that contains the complete set of default Quick Access Toolbar (QAT) Commands (whether hidden or displayed in the Quick Access Toolbar (QAT)) and a set of Quick Access Toolbar (QAT) and ribbon options. Almost all ribbon controls can be added to the Quick Access Toolbar (QAT) through the context menu shown in the following screen shot.

Notes

  • Ribbon interface is not available on Windows XP and Windows Server 2003 operating systems.
  • To enable Ribbon interface on Windows Vista with Service Pack 2 (SP2) or Windows Server 2008 with SP2, Platform Update for Windows Vista / Platform Update for Windows Server 2008 should be installed. Windows Update service really does not work now on these old systems. And it is a headache for you, if your Vista system is not already updated. The only way is to manually download the necessary update (KB960362) from Microsoft Update Catalog . Please select the correct installation package depending on the name of your operating system. Before running the stand-alone installer, disconnect your computer from the internet network and then restart the system, in order to avoid the endless search for updates.


VOIP

VOIP Settings

Fax Voip Control Panel ››

Display Name

Text entered here appears on the display of the remote phone or fax machine when Fax Voip is making the outgoing call (NAME part of Caller ID). The default value for this field is 'FaxVoip'. The Display Name can be overridden by the Outgoing Call Routing settings.

Default Username

By default, Fax Voip uses the Username from this field. The default value for this field is 'FaxVoip'. This value is used as default SIP Username, H.323 ID and ISDN username (number) but can be overridden by the SIP, H.323 and ISDN CAPI 2.0 settings. The Default Username can be also overwritten by SIP Registration and Outgoing Call Routing settings. If you're using a digital Default Username here and don’t override it with other settings, the value of Default Username will be recognized by remote party as NUMBER part of Caller ID.

Voip Protocols

At least one of the following options should be selected:

Enable SIP

Check this option if you want to configure Fax Voip to operate with SIP networks.

Enable H.323

Check this option if you want to configure Fax Voip to operate with H.323 networks.

Enable ISDN CAPI

Check this option if you want to configure Fax Voip to operate with ISDN line via CAPI 2.0 interface.

Network Options

Local RTP ports to listen on

The range of RTP ports used by Fax Voip. By default Fax Voip uses ports from 5000 to 5998.

STUN Server (and Port)

Address and port of the STUN Server to be used. Can be useful if you use NAT to determine your ip-address. This option may be useful in the case of SIP as well as in the case of H.323. Note, that the default STUN port is 3478. If STUN Server port is 3478 you may not enter ':3478' in this field.

Examples:

stun01.sipphone.com

stun.voipbuster.com

stun.yourstunserver.com:3478


SIP

Fax Voip Control Panel ›› VOIP ››

  • SIP Settings
  • Outbound Proxy Settings
  • SIP User Agent Settings
  • SIP Registrations Settings
  • T.38 UDPTL Redundancy (SIP)
  • SIP Voice Codec Settings


SIP Settings

Fax Voip Control Panel ›› VOIP ›› SIP ››

SIP Username

By default FaxVoip uses Default Username specified in the VOIP settings as SIP Username but you can override it in this field. Fax Voip uses the Username from this field if operates with SIP. If you're using a digital SIP Username here, and make a direct SIP call without registration and authentication, the value of SIP Username will be recognized by remote party as NUMBER part of Caller ID. The SIP Username can be overwritten by the SIP Registration and Outgoing Call Routing settings.

Use Default Username

To modify SIP Username field, uncheck this option. If this option is checked, Fax Voip will use the Default Username specified in the VOIP settings as SIP Username.

Local UDP SIP address (and Port)

Interface/port to listen for SIP/UDP requests. All incoming SIP over UDP calls should be routed to this interface/port. ' * ' is all network interfaces and can be recommended for using at least for the first time. Note, that the default SIP over UDP port is 5060. If port is 5060 you may not enter '5060' in the port field. To avoid conflicts, please check that the selected port is not used by the other SIP software.

Examples:

192.168.0.2

* : 5070

Enable SIP over UDP Transport

Check this option to be possible to use SIP over UDP.

Local TCP SIP address (and Port)

Interface/port to listen for SIP/TCP requests. All incoming SIP over TCP calls should be routed to this interface/port. ' * ' is all network interfaces and can be recommended for using at least for the first time. Note, that the default SIP over TCP port is 5060. If port is 5060 you may not enter '5060' in the port field. To avoid conflicts, please check that the selected port is not used by the other SIP/TCP software.

Enable SIP over TCP Transport

Check this option to be possible to use SIP over TCP.

Local TLS SIP address (and Port)

Interface/port to listen for SIP/TLS requests. All incoming SIP over TLS calls should be routed to this interface/port. ' * ' is all network interfaces and can be recommended for using at least for the first time. Note, that the default SIP over TLS port is 5061. If port is 5061 you may not enter '5061' in the port field. To avoid conflicts, please check that the selected port is not used by the other SIP/TLS software.

Enable SIP over TLS Transport

Check this option to be possible to use SIP over TLS.


Outbound Proxy Settings

Fax Voip Control Panel ›› VOIP ›› SIP ››

Note that if you use this option, your proxy settings will be automatically applied to all SIP Registrations and to all outgoing SIP calls except for those cases when you specify another Outbound Proxy for SIP registration or in Outgoing VOIP Call Routing rule for your call. Messy use of this option could lead to problems of dialing (for outgoing calls) and to the problems of hearing and transmitting of the fax (for incoming calls). Thus, we do not recommend using of Default Outbound Proxy for inexperienced users. If your SIP provider requires (or supports) the using of Outbound Proxy function, we recommend that you specify the proxy settings in SIP Registration and Outgoing VOIP Call Routing rules associated with this provider. However, this option may be useful for advanced users. For example, if you do not want to use the SIP Registration function, you can enter authorization data to the server of your SIP provider here (username, password, sip-server address) and use these settings for making an outgoing call via your provider.

Use Default Outbound Proxy

Check this field if you want to specify and use Default Proxy Settings.

Proxy Server (and Port)

SIP proxy IP address. Note, that the default port is 5060 if UDP or TCP transport is used and 5061 if TLS is used. You may not to enter the port if default port is used. Note that in the case of using global Outbound Proxy, the proxy will be applied to all SIP Registrations and to all Outgouing rules, except registrations and rules with which other proxy is specified.

Examples:

sip.outboundserver.com

myoutbound.com : 5080

192.168.0.5 : 5075

Sip over UDP

Select this option to use SIP over UDP. This option is used by default. Note that in the case of using global Outbound Proxy, the selected transport will be applied to all SIP Registrations and to all Outgouing rules, except registrations and rules with which other proxy is specified.

Sip over TCP

Select this option to use SIP over TCP. If you want to use TCP, please ask your SIP provider about support for SIP over TCP. Note that in the case of using global Outbound Proxy, the selected transport will be applied to all SIP Registrations and to all Outgouing rules, except registrations and rules with which other proxy is specified.

Sip over TLS

Select this option to use SIP over TLS. If you want to use TLS, please ask your SIP provider about support for SIP over TLS. Note that in the case of using global Outbound Proxy, the selected transport will be applied to all SIP Registrations and to all Outgouing rules, except registrations and rules with which other proxy is specified.

Proxy Username (optional)

Username for authentication with proxy.

Proxy Password (optional)

Password credential for authentication with proxy.


SIP User Agent Settings

Fax Voip Control Panel ›› VOIP ›› SIP ››

Parameters considered here are used to identify Fax Voip in the process of interaction with other elements of SIP network. These parameters allow to inform other party about the program or equipment used by the user.

SIP User Agent

Information about the name of SIP equipment or software used by user. By default FaxVoip is reported.

Software Vendor

Information about the vendor or SIP software or hardware. By default FaxVoip Software vendor is reported.

Notes

  • The default value of SIP User Agent in the unregistered version is Fax_Voip_Trial www.t38faxvoip.com and you can not change it. The default value of SIP User Agent in the registered version is FaxVoip but you can change it.
  • The default value of Software Vendor is FaxVoip Software. You can change this value in registered version of Fax Voip.


SIP Registrations

Fax Voip Control Panel ›› VOIP ›› SIP ››

  • SIP Registrations Settings
  • To create (or edit) SIP Registration entry
  • To manage SIP Registrations
  • Test SIP Registration
  • Restore SIP Registration Options


SIP Registrations Settings

Fax Voip Control Panel ›› VOIP ›› SIP ›› SIP Registrations ››

Fax Voip supports Multiple SIP Registrations. You can operate with different SIP servers simultaneously, and (or) to register multiple SIP accounts on the same server. Multiple SIP Registrations feature allows you to receive incoming calls from different SIP networks. To make outgoing calls using different SIP Registrations, should make the appropriate settings in the Outgoing VOIP Call Routing. Fax Voip supports SIP registration via UDP, via TCP and via TLS. The maximum supported number of SIP registrations is not limited.

SIP Registrations Table contains the following information:

username@registrar

User account at the server of SIP provider. It consists of two parts: user name (SIP-ID) and name (ip-address) of the server. The second part can also contain the port number. If the server uses a port other than 5060 (default), the port number must be specified.

Outbound Proxy (optional)

Displays the address of SIP proxy server, which is used for registration (if specified). Outbound Proxy name can also contain the port number. If the proxy server uses a port other than 5060 (default), the port number must be specified. Icon => before the name of Outbound Proxy shows that global proxy settings specified in the "Default Outbound Proxy" are used with the current registration. If separate proxy is specified for the current registration, the UDP transport is always used. To use TCP or TLS proxy, should use global proxy settings.

Transport

Indicates transport (UDP, TCP or TLS) that is used with current registration. By default, this transport is also used for incoming calls through the current registration.

Registration status

This field indicates SIP Registration status for current registration entry (OK or description of error). This indicator works when the Fax Voip is running.

Authentication Name (optional)

Username credential for authantication.

Domain/Realm (optional)

Account domain.

Contact (optional)

Allows to override the Contact field in the SIP message REGISTER. Depending on the settings of SIP server allows to redirect incoming calls to another extension or even to another SIP endpoint.

Expires

SIP Registration timeout. Default value is 180 sec.

Restore Options

Additional options to forcebly restore SIP registration if it is unstable for whatever reason. See also Restore SIP Registration Options chapter of this user manual.

Force=yes

Fax Voip periodically sends forcible REGISTER request.

Force=no

The restore function is disabled.

Timeout=...min

The interval between sending REGISTER requests, in minutes. Can vary from 1 to 999 minutes.

Check=yes

Fax Voip does not send the REGISTER request if the current registration status is OK.

Check =no

Forced request is sent regardless of the current registration status.

UnReg=yes

Fax Voip is trying to cancel the current registration before registering again.

UnReg=no

Fax Voip sends the REGISTER request without sending command to unregister.

Delay=...sec

The interval between sending unregister and REGISTER commands, in seconds. Can vary from 1 to 10 seconds.

If SIP registration can not be used in the current configuration of the program, Fax Voip does not load it at startup and ignores this registration.

  • If Enable SIP option is unchecked (SIP is disabled, see in the VOIP Settings), Fax Voip does not load and ignores all SIP registrations.
  • If Enable SIP over UDP Transport option is unchecked (SIP over UDP is disabled, see in the SIP Settings), Fax Voip does not load and ignores registrations that use SIP over UDP transport.
  • If Enable SIP over TCP Transport option is unchecked (SIP over TCP is disabled, see in the SIP Settings), Fax Voip does not load and ignores registrations that use SIP over TCP transport.
  • If Enable SIP over TLS Transport option is unchecked (SIP over TLS is disabled, see in the SIP Settings), Fax Voip does not load and ignores registrations that use SIP over TLS transport.

The SIP registrations that can not be used in the current configuration of the program are always highlighted in red.

The following commands are available in the SIP Accounts Contextual Tab of the Ribbon:

SIP Accounts

New (Ctrl + N)

Click to create new SIP Registration entry.

Edit (Ctrl + E)

Click to edit SIP Registration entry. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more SIP Registration entries. One or more entries should be selected.

Delete (Del)

Click to delete one or more SIP Registration entries. One or more entries should be selected.

Delete All

Click to delete all the entries in the list.

Move

Use the commands below to change preference order for different SIP Registrations. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected item up.

Move Down (Ctrl + D)

Move the selected item down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Registration

Use to manually start or stop SIP registation. One of the entries should be selected. See also Test SIP Registration chapter of this user manual.

Register

Click to Register the selected SIP account(s).

Register

Click to Register the selected SIP account(s).

Unregister

Click to Unregister the selected SIP account(s).

Most of the commands placed on the SIP Accounts Contextual Tab are also available from the context menu of the list.


To create or edit SIP Registration

To create (or edit) SIP Registration entry

Fax Voip Control Panel ›› VOIP ›› SIP ›› SIP Registrations ››

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Registrations.

3. To create new SIP Registration click New. To edit an existing SIP Registration entry select it and click Edit (or double-click the selected entry).

4. In the SIP registration window, click <Details> button to view and edit the advanced settings.

5. Make the necessary settings for the selected (or new) entry.

SIP Registrations Settings

Username (or SIP-ID)

Account identifier. This is often your username or phone number.

Password

Password credential for authentication.

SIP Registrar Server

Address or name of the SIP registrar server to be used. Can also contain the port number. If the port number other than 5060 (default), the port number should be specified. (Examples: 'sip.voipbuster.com', 'sip.myserver.com:5064', '192.168.0.5:5068', ...) If TLS is used, the default port is 5061.

Outbound Proxy (optional)

Address or name of SIP proxy server, which is used for registration. Can also contain the port number. If the port number other than 5060 (default), the port number should be specified. (Examples: 'sip.myproxy.com', 'proxyserver.com:5080', '192.168.0.5:5065', ...). If Outbound Proxy is specified in this field, Fax Voip always do registration using SIP over UDP. To use proxy with TCP or TLS transport, should use global proxy settings.

Authentication Name (optional)

Username credential for authantication. Usually not required.

Domain/Realm (optional)

Account domain. Usually not required.

SIP Contact URL (optional)

Allows to override the Contact field in the SIP message REGISTER. Usually not required. Depending on the settings of SIP server allows to redirect incoming calls to another extension or even to another SIP endpoint. If you do not understand the meaning of this field, leave it blank. Incorrect value in this field can lead to problems with SIP registration and incoming calls.

Expires Header

SIP Registration timeout. Default value is 180 sec.

Transport

If Default Outbound Proxy is used, the transport specified in proxy settings will be used. If individual proxy is specified in the Outbound Proxy field, SIP over UDP will be used. Note that TCP and TLS can be not supported by your server or SIP provider.

SIP over UDP (default)

Use this option to do registration and receive incoming SIP calls via UDP.

SIP over TCP

Use this option to do registration and receive incoming SIP calls via TCP.

SIP over TLS

Use this option to do registration and receive incoming SIP calls via TLS.

Restore SIP Registration

Use these options if only registration is not stable for some reasons. See more details in the Restore SIP Registration Options chapter of this user manual.

6. Click <OK> button to fix changes.

7. Use Move Up and Move Down commands to set the preference of order for SIP Registrations.

8. Note that immediately after creating or editing the status of SIP Registration will not be displayed or may be displayed incorrectly.

9. You can test the entry before saving it. See in the Test SIP Registration chapter of this user manual.

10. Click <Apply> button to save modified settings for SIP Registrations. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

SIP Registration status for every registration is displayed in Registration status column. Summary information is displayed in the Fax Voip Service panel in the SIP Registration status field.


To Manage SIP Registrations

Fax Voip Control Panel ›› VOIP ›› SIP ›› SIP Registrations ››

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Registrations.

3. To change the preference order for SIP Registrations use Move Up and Move Down commands. One of the SIP Registrations entries should be selected.

4. To remove one or more SIP Registrations, select the entries, then click Delete.

5. Click <Apply> button to save modified settings for SIP Registrations. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Test SIP Registration

Fax Voip Control Panel ›› VOIP ›› SIP ›› SIP Registrations ››

SIP Registrations are started when you start the Fax Voip application. You can also manually start or stop SIP Registrations. This can be used in the following cases:

  • To temporarily stop and then start SIP Registration for one or more SIP accounts.
  • To manually restore SIP Registration in the case of losing registration if for some reason it can not be restored automatically.
  • To test SIP Registration after creating or editing SIP Registration entry (before saving settings).
  • To investigate the behavior of your SIP server when configuring the Forcibly send REGISTER request option. See also in the Restore SIP Registration Options chapter of this user manual.

These functions can not be used when Fax Voip is stopped. Note that these functions use the data currently displayed in the SIP accounts list instead of already saved settings. That is why you can use them to test the newly created or just edited entries without clicking <Apply> button and restarting Fax Voip.

To start SIP Registration

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Registrations.

3. Make sure that Fax Voip is started. To start Fax Voip click <START> button.

4. Select one or more SIP Registration entries.

5. Click Register or select Register command from the Register split button’s drop-down menu.

To stop SIP Registration

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Registrations.

3. Make sure that Fax Voip is started. To start Fax Voip click <START> button.

4. Select one or more SIP Registration entries.

5. Select Unregister command from the Register split button’s drop-down menu.

Notes

  • If SIP Registration is stopped by the Unregister command, it can be automatically restored after some time if Forcibly send REGISTER request option is applied. See also in the Restore SIP Registration Options chapter of this user manual. This does not apply to the case when you test newly created SIP Registration entry without saving it and restarting Fax Voip.


Restore SIP Registration Options

Fax Voip Control Panel ›› VOIP ›› SIP ›› SIP Registrations ››

Normally SIP Registration starts when you start the Fax Voip application, and then registration is held using regular methods by sending a REGISTER requests in accordance with an Expire Header timeout.

In some environments, registration is not stable. Symptoms may including being able to call in, while other times, you don't get through. This can be caused by a long refresh interval that is too long (see Expire Header parameter), unstable internet connection, some temporary problems on the side of your SIP provider etc. Even if the registration is lost, normally Fax Voip should recover the registration automatically after some time. Nevertheless, in some cases and for various reasons this does not happen and the program remains unregistered. Usually you can fix the problems by changing Expire Header timeout, specifying Outbound Proxy or/and STUN Server options etc.

Unfortunately, in some incompatibility cases, all these efforts can not lead to the desired results.

The options below allow you to fix the problem of unstable SIP Registration regardless of the reasons causing it. Fax Voip periodically sends forcible REGISTER request and restore SIP Registration without having to restart the entire application. These options are configured independently for different SIP Registration entries. Note that this is an auxiliary mechanism. No need to use it if there are no problems with SIP Registration stability.

To configure Restore SIP Registration options

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Registrations.

3. Select SIP Registration entry and click Edit (or double-click the selected entry).

4. In the SIP Registration dialog, click <Details> button.

5. Make the necessary settings in the Restore SIP Registration area.

Restore SIP Registrations

Forcibly send REGISTER request every ... min

If this option is checked, Fax Voip periodically sends forcible REGISTER request. The interval between the requests is specified in minutes and can vary from 1 to 999 minutes. Don't specify too small interval if not necessary.

Re-register if only not registered

If this option is checked, Fax Voip does not send the REGISTER request if the current registration status is OK. Otherwise the request is always sent regardless of the current registration status.

Unregister before sending REGISTER request

Check this option to cancel the current registration before re-registering. The real necessity of this command depends on the server, usually not required.

Delay between commands ... sec

The interval between sending unregister and REGISTER commands, in seconds. Can vary from 1 to 10 seconds. 1 second is usually enough. Except the case when the server responds with a big delay.

6. Click <OK> button to fix changes.

7. Click <Apply> button to save modified settings for SIP Registrations. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

Notes

  • To manually restore SIP Registration, see Test SIP Registration chapter of this user manual.


SIP T.38 Redundancy

T.38 UDPTL Redundancy (SIP)

Fax Voip Control Panel ›› VOIP ›› SIP ››

T.38 provides facilities to eliminate the effects of packet loss through data redundancy. When a packet is sent, either zero, one, two, three, or even more of the previously sent packets are repeated. (The specification does not impose a limit.) This increases the network bandwidth required (it’s still much less than not using T.38) but it allows the receiving gateway to reconstruct the complete packet sequence, even with a fairly high level of packet loss. The T.38 redundancy number corresponds to how many previous packet payloads are repeated with each packet. The values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets are specified separately.

Indication

Specifies the number of redundant T.38 fax packets to be sent to indicate CNG, CED tones, no signal. Ranges varies from 0 (no redundancy) to 5.

LS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for the low-speed V.21-based T.30 fax machine protocol. Low speed is used during the fax negotiation phase which is done at 300 Bps and is most likely to be affected by bad QoS. Ranges varies from 0 (no redundancy) to 5.

HS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for high-speed V.17, V.27, and V.29 T.4 or T.6 fax machine image data. High speed is used during the transmission phase which is done between 2400 Kbps and 14400 Kbps. Although bad QoS will deteriorate image quality, a few missing scan lines ultimately does not effect the human's perception of the received image. Ranges varies from 0 (no redundancy) to 5.

Notes

  • The T.38 redundancy values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets can be overridden by the Outgoing Call Routing and Incoming Call Routing settings.
  • The T.38 redundancy parameters specified in this pane are only applied to SIP fax calls. To configure similar settings in the case of H.323, you should change the appropriate options in the H.323 section.


SIP Codec Settings

SIP Voice Codec Settings

Fax Voip Control Panel ›› VOIP ›› SIP ››

Fax Voip supports different Audio Codecs for SIP. This is especially important in terms of some features, such as Voice Modem functionality. It is advisable to ask your SIP provider about supported audio codecs. At least one audio codec must be selected. You should understand that G711 fax mode can only operate when using G.711-ulaw or G.711-Alaw codecs. On the other hand, T38 fax mode allows to use any audio codec that is available in your SIP network. See also chapter T38 and G711 Fax Modes, subsection Voice Codecs requirements of this manual to learn more about fax modes and audio codecs.

In the left panel you can see the codecs available for use. The right panel shows codecs, selected by user. Codecs specified in the right panel can be overridden in the Outgoing Call Routing and Incoming Call Routing. Selected codecs can be arranged in preference order. By default the codec preference order only applies to outgoing calls. During incoming calls Fax Voip use the preference order given by the remote side.

You can choose from the following Audio Codecs:

G.711-uLaw-64k (default)

G.711-ALaw-64k (default)

G.729* (for compatibility with T.38 only)

G.723.1

G.726-32k

GSM-06.10

iLBC

SpeexNB

SpeexWB

The following commands are available:

<Add> (or double-click selected entry in the Available codecs panel)

Use this button to add codecs for use with Fax Voip. You must select one of the codecs in the Available codecs panel before using this button.

<Remove> (or double-click selected entry in the Selected codecs panel)

Use this button to remove codecs from the Selected codecs panel. You must select one of the codecs in the Selected codecs panel before using this button.

<Up> and <Down>

Use these buttons to change preference order for the selected audio codecs. You must select one of the codecs in the Selected codecs panel before using these buttons.

Note that you can also do any of the above actions by selecting the appropriate command from the context menu of the list.

Apply codec preference order to incoming calls

Check this option to ignore codec preference order of the other party and use Fax Voip codec preference order during incoming calls. Note that this option is not in accordance with RFC3264. Nevertheless, we found it useful to add it. It can be used with the following set of codecs (selected): G.711-uLaw-64k, G.711-ALaw-64k, G.723.1, GSM-06.10. Note, that correct work of this option with any other codecs not garanteed.

Notes

  • Dummy G.729* codec enables to report G.729 Audio Codec support for Fax T.38 Gateways that do not support G.711 and other supported audio formats; use this codec only for resolving compatibility issue. You are not able to use G.729* with Fax Voip 'Voice Modem functionality'.
  • Typically, if dummy G.729* codec is used, 'T38 Fax with Re-invite' mode for outgoing calls should be used too to ensure CNG tone generation. See in the 'T38 and G711 Fax Modes => Faxing with Virtual COM Ports => Outgoing Fax Modes => T38 Fax with Re-invite' section and in the 'T38 and G711 Fax Modes => Faxing with Built-in VOIP/ISDN fax/audio lines => Fax Modes => T38 Fax with Re-invite' section of this User Guide.
  • The Voice Codec Settings specified in this pane are only applied to SIP calls. To configure similar settings in the case of H.323, you should use the appropriate pane.


H.323

Fax Voip Control Panel ›› VOIP ››

  • H.323 Settings
  • H.323 Gatekeeper
  • T.38 UDPTL Redundancy (H.323)
  • H.323 Voice Codec Settings


H.323 Settings

Fax Voip Control Panel ›› VOIP ›› H.323 ››

H.323 ID

H.323 ID is used to identify Fax Voip as H.323 endpoint in the process of interaction with other elements of H.323 network, in particular with H.323 Gatekeeper. By default Fax Voip uses Default Username specified in the VOIP settings as H.323 ID but you can override it in this field.

Use Default Username as H.323 ID

To modify H.323 ID field, uncheck this option. If this option is checked, Fax Voip will use the Default Username specified in the VOIP settings as H.323 ID.

Local H.323 address (and Port)

Interface/port to listen for H.323 requests. All incoming H.323 calls should be routed to this interface/port. ' * ' is all network interfaces and can be recommended for using at least for the first time. Note, that the default H.323 port is 1720. If port is 1720 you may not enter '1720' in the port field. To avoid conflicts, please check that the selected port is not used by the other H.323 software.

Examples:

192.168.0.2

* : 1722

Telephone numbers

Telephone numbers list contains the digital phone numbers associated with Fax Voip in terms of H.323. If H.323 ID consists of digits, Fax Voip automatically adds it to the list of phone numbers. If you use registration with H.323 Gatekeeper, H.235 authentication is used and H.235 login consists of digits, Fax Voip automatically adds H.235 login to the list of phone numbers. The phone numbers specified in this list are used in the process of registration with H.323 Gatekeeper (the list of phone numbers to which incoming calls are possible). In the case of outgoing H.323 call, the top number from this list will be recognized by remote party as NUMBER part of Caller ID. The Caller ID NUMBER can be overridden by the Outgoing Call Routing settings (Username field).

<Up> and <Down>

Use these buttons to change phone numbers preference order. You should select one of the phone numbers before using these buttons.

<New>

Use this button to add new phone number to the list.

<Remove>

Use this button to delete one or more phone numbers from the list. You should select one or more numbers before using this button.

You can also do any of the above actions by selecting the appropriate command from the context menu of the list.

Enable Fast Start

Check this option to enable Fast Start. Uncheck this option to disable Fast Start.

Enable H.245 Tunneling

Check this option to enable H.245 tunneling. Uncheck this option to disable H.245 tunneling.


H.323 Gatekeeper

Fax Voip Control Panel ›› VOIP ›› H.323 ››

Gatekeeper Mode

Do not use Gatekeeper (default)

In this mode Fax Voip operates as independent H.323 endpoint and does not register with H.323 Gatekeeper. All incoming H.323 calls should be routed directly to IP address and port where Fax Voip operates. This mode is preferable in the case when your H.323 provider uses your IP-address to identify you (the most common method of binding used for authentication).

Use Gatekeeper if available

Fax Voip is trying to register with H.323 Gatekeeper. If not possible, Fax Voip operates as independent H.323 endpoint without registration with H.323 Gatekeeper.

Require Gatekeeper

In this mode Fax Voip should be registered with H.323 Gatekeeper.

Search for Gatekeeper

In this mode Fax Voip is able to find the H.323 Gatekeeper automatically. Option is useful if you register with the Gatekeeper located in your local network.

Address

The H.323 Gatekeeper IP address or server name.

Time to Live

The Time To Live parameter is the duration (in seconds) for which registration with the H.323 Gatekeeper is valid. Note that this parameter can be overridden by the Gatekeeper during registration.

Use H.235 authentication

Check this option if Gatekeeper requires authentication. The H.235 cryptoTokens by MD5 hashing are used.

Login Name

H.235 login credential for authentication.

Password

H.235 password credential for authentication.

Gatekeeper status

This area indicates status of registration with H.323 Gatekeeper. This indicator works when the Fax Voip Service (Fax Voip application) is running, Enable H.323 option is checked (see more details in the VOIP Settings chapter), Use Gatekeeper if available or Require Gatekeeper mode is selected and when the Gatekeeper is really found. The following information can be displayed:

      • Gatekeeper Name
      • GatekeeperConfirm/ GatekeeperReject
      • RegistrationConfirm/ RegistrationReject


H.323 T.38 Redundancy

T.38 UDPTL Redundancy (H.323)

Fax Voip Control Panel ›› VOIP ›› H.323 ››

T.38 provides facilities to eliminate the effects of packet loss through data redundancy. When a packet is sent, either zero, one, two, three, or even more of the previously sent packets are repeated. (The specification does not impose a limit.) This increases the network bandwidth required (it’s still much less than not using T.38) but it allows the receiving gateway to reconstruct the complete packet sequence, even with a fairly high level of packet loss. The T.38 redundancy number corresponds to how many previous packet payloads are repeated with each packet. The values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets are specified separately.

Indication

Specifies the number of redundant T.38 fax packets to be sent to indicate CNG, CED tones, no signal. Ranges varies from 0 (no redundancy) to 5.

LS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for the low-speed V.21-based T.30 fax machine protocol. Low speed is used during the fax negotiation phase which is done at 300 Bps and is most likely to be affected by bad QoS. Ranges varies from 0 (no redundancy) to 5.

HS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for high-speed V.17, V.27, and V.29 T.4 or T.6 fax machine image data. High speed is used during the transmission phase which is done between 2400 Kbps and 14400 Kbps. Although bad QoS will deteriorate image quality, a few missing scan lines ultimately does not effect the human's perception of the received image. Ranges varies from 0 (no redundancy) to 5.

Notes

  • The T.38 redundancy values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets can be overridden by the Outgoing Call Routing and Incoming Call Routing settings.
  • The T.38 redundancy parameters specified in this pane are only applied to H.323 fax calls. To configure similar settings in the case of SIP, you should change the appropriate options in the SIP section.


H.323 Codec Settings

H.323 Voice Codec Settings

Fax Voip Control Panel ›› VOIP ›› H.323 ››

Fax Voip supports different Audio Codecs for H.323. This is especially important in terms of some features, such as Voice Modem functionality. It is advisable to ask your H.323 provider about supported audio codecs. At least one audio codec must be selected. You should understand that G711 fax mode can only operate when using codecs G.711-ulaw or G.711-Alaw. On the other hand, T38 fax mode allows to use any audio codec that is available in your H.323 network. See also chapter T38 and G711 Fax Modes, subsection Voice Codecs requirements of this manual to learn more about fax modes and audio codecs.

In the left panel you can see codecs available for use. The right panel shows codecs, selected by user. Codecs specified in the right panel can be overridden in the Outgoing Call Routing and Incoming Call Routing. Selected codecs can be arranged in preference order. By default the codec preference order only applies to outgoing calls. During incoming calls Fax Voip use the preference order given by the remote side.

You can choose from the following Audio Codecs:

G.711-uLaw-64k (default)

G.711-ALaw-64k (default)

G.729* (for compatibility with T.38 only)

G.723.1

G.726-32k

GSM-06.10

iLBC

SpeexNB

SpeexWB

The following commands are available:

<Add> (or double-click selected entry in the Available codecs panel)

Use this button to add codecs for use with Fax Voip. You must select one of the codecs in the Available codecs panel before using this button.

<Remove> (or double-click selected entry in the Selected codecs panel)

Use this button to remove codecs from the Selected codecs panel. You must select one of the codecs in the Selected codecs panel before using this button.

<Up> and <Down>

Use these buttons to change preference order for the selected audio codecs. You must select one of the codecs in the Selected codecs panel before using these buttons.

Note that you can also do any of the above actions by selecting the appropriate command from the context menu of the list.

Notes

  • Dummy G.729* codec enables to report G.729 Audio Codec support for Fax T.38 Gateways that do not support G.711 and other supported audio formats; use this codec only for resolving compatibility issue. You are not able to use G.729* with Fax Voip 'Voice Modem functionality'.
  • Typically, if dummy G.729* codec is used, 'T38 Fax with Re-invite' mode for outgoing calls should be used too to ensure CNG tone generation. See in the 'T38 and G711 Fax Modes => Faxing with Virtual COM Ports => Outgoing Fax Modes => T38 Fax with Re-invite' section and in the 'T38 and G711 Fax Modes => Faxing with Built-in VOIP fax lines => Fax Modes => T38 Fax with Re-invite' section of this User Guide.
  • The Voice Codec Settings specified in this pane are only applied to H.323 calls. To configure similar settings in the case of SIP, you should use the appropriate pane.


ISDN CAPI 2.0

Fax Voip Control Panel ›› VOIP ››

  • ISDN CAPI 2.0 Settings
  • CAPI Fax Settings


ISDN CAPI 2.0 Settings

Fax Voip Control Panel ›› VOIP ›› ISDN CAPI 2.0 ››

ISDN CAPI 2.0 support is implemented in Fax Voip version 6.1.1. You can use ISDN CAPI 2.0 line with both Virtual COM Ports (modems) and built-in lines. Possibility to use CAPI 2.0 with Virtual COM Ports (modems) allows you to send/receive faxes via ISDN line using your standard fax application, that is not desined to operate with CAPI 2.0, for example Microsoft Fax.

Fax Voip supports 2 different methods of fax transmission via CAPI 2.0 connection:

  • CAPI Fax. This method is commonly used by the standard CAPI 2.0 fax applications. It is based on the CAPI 2.0 specification. Fax is transmitted according to B3 Protocol 4: T.30 for Group 3 fax or according to B3 Protocol 5: T.30 for Group 3 fax extended. To send and receive faxes, special SFF (Structured Fax File) file format is used. This method is currently implemented only with built-in lines. To configure CAPI fax, follow instructions in the CAPI Fax Settings chapter.
  • Fax over G.711 (audio). When sending/receiving faxes using this method, Fax Voip does not use fax features of your ISDN card, as it is usually done in the CAPI 2.0 fax applications. Fax is transmitted as standard audio data. Fax Voip operates the same way like analog fax machine that connected to the ISDN line via adapter. Fax Voip uses the same technology that is used when transmitting audio faxes via SIP or H.323 (Fax over G.711 codec). Using this method, you can send/receive faxes via ISDN CAPI 2.0 line with both Virtual COM Ports (modems) and built-in lines.

To select between CAPI fax and G.711fax in the case of built-in lines, you should configure Fax mode in the Fax Settings (Outgoing VOIP Call Routing) or Fax Settings (Incoming VOIP Call Routing) .

ISDN Username (number)

This option enables to include Calling Number (CallerID) in the CAPI 2.0 message when doing outgoing call. By default Fax Voip uses Default Username specified in the VOIP settings as ISDN number but you can override it in this field. On the other side, this parameter can be overwritten by the Outgoing Call Routing settings. Username consisting of letters is ignored, so digits should be used to include CallerID in the CAPI 2.0 message. Depending on the properties of your ISDN card, CallerID can be ignored and overridden. If you enter an incorrect ISDN number that does not satisfy your ISDN settings, the outgoing call can be rejected. Note that when using username consisting of letters, such error is not possible.

Use Default Username

To modify ISDN Username (number) field, uncheck this option. If this option is checked, Fax Voip will use the Default Username specified in the VOIP settings as ISDN Username (number).

Voice codec

CAPI 2.0 applications expect and provide voice data coded according G.711 A-law or according to G.711 u-law. Select the G.711 codec that shall be used on your system.

CAPI Profile

In this area you can view detailed information about ISDN CAPI 2.0 subsystem used on your computer. This indicator works when the Fax Voip Service (Fax Voip application) is running and Enable ISDN CAPI option is checked (see more details in the VOIP Settings chapter). The following information can be displayed:

      • CAPI status: Connected OK / Failed to connect...
      • CAPI manufacturer
      • CAPI version (including manufacturer version)
      • ISDN controllers – number of ISDN controllers
      • Number of B-channels for every controller

Notes

  • To be able to operate with ISDN line via CAPI 2.0 interface, you must have ISDN card in your computer and install CAPI 2.0 driver (capi2032.dll) supplied by the manufacturer of your ISDN card.
  • Should understand that some CAPI 2.0 drivers do not allow the simultaneous use of CAPI 2.0 interface for more than one CAPI 2.0 application.


CAPI Fax Settings

Fax Voip Control Panel ›› VOIP ›› ISDN CAPI 2.0 ››

The settings in this panel allow you to configure default CAPI Fax settings that used when sending or receiving faxes via built-in lines and ISDN CAPI 2.0 connection according to CAPI 2.0 specification (B3 Protocol 4: T.30 for Group 3 fax or B3 Protocol 5: T.30 for Group 3 fax extended). These settings are not used when sending or receiving audio fax (Fax over G.711) via ISDN CAPI 2.0 line.

CAPI Fax Settings can be configured separately for the incoming and outgoing faxes.

CAPI Fax Transmission

B3 Protocol

You can select 4: T.30 for Group 3 fax or 5: T.30 for Group 3 fax extended. Using of B3 Protocol 5 provides more possibilities. B3 Protocol 5 allows you to disable ECM (Error Correction). Moreover, using of B3 Protocol 5 provides more accurate statistics when sending a fax. In particular, the statistical data is transmitted via CONNECT_B3_ACTIVE_IND CAPI 2.0 message in the beginning of faxing, and not only via DISCONNECT_B3_IND message like we have in the case of using B3 Protocol 4. It is recommended to use B3 Protocol 5 if possible. This option can be overridden by the Outgoing Call Routing settings.

Maximum bitrate

Select maximum bitrate for outgoing CAPI faxes. In the case of CAPI fax, you can limit the Maximum bitrate by any value from 2400 up to 14400. The value 0:adaptive means that maximum bitrate is not limited. The Maximum bitrate value can be overridden by the Outgoing Call Routing settings.

Disable Error Correction (B3 Protocol 5 only)

Check this option if you want to disable Error Correction Mode for outgoing CAPI faxes. The Disable Error Correction value can be overridden by the Outgoing Call Routing settings. Should understand that this option is ignored if B3 Protocol 4 is used.

Enable High Resolution

Check this option if you want to have possibility to send faxes in High Resolution (203x196 dpi). If this option is unchecked, the High Resolution faxes will be converted into Standard Resolution (203x96 dpi) when sending a fax via CAPI 2.0 connection. This option can be overridden by the Outgoing Call Routing settings.

CAPI Fax Reception

B3 Protocol

You can select 4: T.30 for Group 3 fax or 5: T.30 for Group 3 fax extended. Using of B3 Protocol 5 provides more possibilities. B3 Protocol 5 allows you to disable ECM (Error Correction). Moreover, using of B3 Protocol 5 provides more accurate statistics when receiving a fax. In particular, the statistical data is transmitted via CONNECT_B3_ACTIVE_IND CAPI 2.0 message in the beginning of faxing, and not only via DISCONNECT_B3_IND message like we have in the case of using B3 Protocol 4. It is recommended to use B3 Protocol 5 if possible. This option can be overridden by the Incoming Call Routing settings.

Maximum bitrate

Select maximum bitrate for incoming CAPI faxes. In the case of CAPI fax, you can limit the Maximum bitrate by any value from 2400 up to 14400. The value 0:adaptive means that maximum bitrate is not limited. The Maximum bitrate value can be overridden by the Incoming Call Routing settings.

Disable Error Correction (B3 Protocol 5 only)

Check this option if you want to disable Error Correction Mode for incoming CAPI faxes. The Disable Error Correction value can be overridden by the Incoming Call Routing settings. Should understand that this option is ignored if B3 Protocol 4 is used.

Enable High Resolution

Check this option if you want to have possibility to receive faxes in High Resolution (203x196 dpi). If this option is unchecked, CAPI faxes will always be received using Standard Resolution (203x96 dpi). This option can be overridden by the Incoming Call Routing settings.


Outgoing VOIP Call Routing

Fax Voip Control Panel ›› VOIP ››

Depending on the number been dialed outgoing calls can be routed to different SIP or H.323 servers, to H.323 Gatekeeper, implemented using different SIP accounts (SIP registrations) or routed via ISDN CAPI 2.0 line. The maximum supported number of Outgoing VOIP Call Routing rules is not limited.

There are five types of rules:

  • Rules applied to outgoing calls originating from the Virtual COM Ports (modems)
  • Rules applied to outgoing fax calls originating via built-in lines (using Fax Voip Virtual Printer) with option T.38 support
  • Rules applied to outgoing fax calls originating via built-in lines (using Fax Voip Virtual Printer) with option Fax over G.711
  • Rules applied to outgoing fax calls originating via built-in lines (using Fax Voip Virtual Printer) with option ISDN
  • Rules applied to outgoing audio calls originating via built-in lines (sending audio messages)

The rules of different types highlighted in different colors in the Outgoing VOIP Call Routing table.

The rules applied to Virtual COM Ports (modems) can be applied to one, several or all ports (modems) simultaneously. Depending on the type of outgoing call, Fax Voip considers only rules that applied to the current type of call. For example, when making a call from Virtual COM Port (modem), the rules for built-in lines are ignored.

Fax Voip always checks Outgoing VOIP Call Routing rules, starting with the rule # 1. The call will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. For example, if rule # 1 applies to all Virtual COM Ports (COM: *), and for any number dialed on (.*), then other rules # 2, # 3, etc. applied to Virtual COM Ports never be able to work under any conditions. Therefore, always pay attention to the preference of order of the Outgoing VOIP Call Routing rules.

If there is no one rule that satisfies the conditions of the call, the call can not be implemented. To make outgoing calls of selected type, you must have at least one rule for this type of call in the Outgoing VOIP Call Routing table.

Depending on the number been dialed outgoing calls can be routed to

  • SIP network
  • H.323 network
  • ISDN CAPI 2.0 line

Outgoing SIP calls can be routed to

  • SIP server with which Fax Voip is registered, the call can be implemented using selected SIP account (username)
  • another IP address (SIP server name) that is not associated with the entry in the SIP registrations table

Outgoing H.323 calls can be routed to

  • H.323 Gatekeeper with which Fax Voip is registered
  • another IP address (H.323 server name) that is not associated with H.323 Gatekeeper

The following translation rules can be applied to the dialed number:

  • the specified prefix can be added to the phone number
  • the specified first few digits can be removed from phone number

The following call and fax settings can be set or overridden by the Outgoing VOIP Call Routing rule:

  • UDP, TCP or TLS transport can be selected for SIP calls
  • Tel URI scheme can be used (with outgoing SIP calls only)
  • sips: prefix can be used (with outgoing SIP over TLS calls)
  • Username (Caller ID Number)
  • Display Name (Caller ID Name)
  • Fax Mode (T.38, G.711audio fax, Send T.38 re-invite option, CAPI fax)
  • Maximum Fax Bitrate
  • ECM (Error Correction Mode)
  • T.38 Redundancy
  • B3 Protocol (CAPI fax)
  • Enable High Resolution (CAPI fax)
  • Fax Station ID (built-in lines)
  • Fax Header (built-in lines)
  • Voice Codecs

If there are no rules in the Outgoung VOIP Call Routing table and there is at least one SIP registration entry in the SIP registration table, Fax Voip automatically invites to create default rules for Outgoing calls at the time of clicking <Apply> button.

The default rules are as follows:

  • All outgoing calls originating from the Virtual COM Ports (modems) are routed to the first SIP Registration without number translation with support for both T.38 and G711fax modes.
  • All outgoing fax calls originating via built-in lines (using Fax Voip Virtual Printer) with option 'T.38 support' are routed to the first SIP Registration
  • All outgoing fax calls originating via built-in lines (using Fax Voip Virtual Printer) with option 'Fax over G.711' are routed to the first SIP Registration
  • All outgoing audio calls originating via built-in lines (sending audio messages) are routed to the first SIP Registration

To view the rules for separated Virtual COM Port (modem) line (for example COM20), click Ports and Modems=>Outgoing Plan (Outgoing Modem Call Routing) in the Fax Voip Control Panel, then select the desired port from the list.

If you have problems with Outgoung VOIP Call Routing, you can activate Enable Call Routing Logging function. To do this click Options (Options and Logs) in the Fax Voip Control Panel, then check Enable Call Routing Logging (saving and restarting are needed). Analysis of the log will help you to identify errors and to define correct rules for calls.

If the rules of some kind can not be used in the current configuration of the program, Fax Voip does not load them at startup and ignores these rules.

  • If Enable SIP option is unchecked (SIP is disabled, see in the VOIP Settings ), Fax Voip does not load and ignores rules that route calls to SIP network.
  • If Enable SIP over UDP Transport option is unchecked (SIP over UDP is disabled, see in the SIP Settings ), Fax Voip does not load and ignores rules that route calls to SIP over UDP transport.
  • If Enable SIP over TCP Transport option is unchecked (SIP over TCP is disabled, see in the SIP Settings ), Fax Voip does not load and ignores rules that route calls to SIP over TCP transport.
  • If Enable SIP over TLS Transport option is unchecked (SIP over TLS is disabled, see in the SIP Settings ), Fax Voip does not load and ignores rules that route calls to SIP over TLS transport.
  • If Enable H.323 option is unchecked (H.323 is disabled, see in the VOIP Settings ), Fax Voip does not load and ignores rules that route calls to H.323 network.
  • If Enable ISDN CAPI option is unchecked (ISDN CAPI 2.0 is disabled, see in the VOIP Settings ), Fax Voip does not load and ignores rules that route calls to ISDN CAPI 2.0 line.
  • If Virtual COM Ports (modems) not licensed, Fax Voip does not load and ignores rules applied to outgoing calls originating from the Virtual COM Ports (modems).
  • If built-in VOIP/ISDN lines not licensed, Fax Voip does not load and ignores rules applied to outgoing calls originating via built-in lines.

The rules that can not be used in the current configuration of the program are always highlighted in red in the Outgoing VOIP Call Routing table.

Outgoung VOIP Call Routing Table contains the following information:

Rule

Unique number of the current rule.

From Line

This field describes the lines for which rule applies.

' COM:.* ' means "all Virtual COM Ports (modems)". 'COM:20,21' means that the rule applies only to lines associated with ports COM20 and COM21 and does not apply to another lines (COM22, COM23, etc.) Note that in the case of using of the native Fax Voip driver for Virtual Ports you see COM-ports connected to your Fax Program here. In the case of using of Third-party drivers for Virtual COM-port Pairs here you see COM-ports connected to the Fax Voip side (In this case your Fax Program operates with another 'side' of Virtual COM-port Pair, thus your Fax Program works with other numbers of COM-ports).

'<T38FAX>' means that the rule applies only to outgoing fax calls originating via built-in lines (using Fax Voip Virtual Printer) with option "T.38 support" (see also Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio Lines chapter of this manual).

'<G711FAX>' means that the rule applies only to outgoing fax calls originating via built-in lines (using Fax Voip Virtual Printer) with option "Fax over G.711" (see also Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio Lines chapter of this manual).

'<ISDN-FAX>' means that the rule applies only to outgoing fax calls originating via built-in lines (using Fax Voip Virtual Printer) with option "ISDN" (see also Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio Lines chapter of this manual).

'<AUDIO>' means that the rule applies only to outgoing audio calls originating via built-in lines (sending audio messages) (see also Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio Lines chapter of this manual).

If Number =

Specifies the format of outgoing phone numbers for which this rule applies. For example ' .* ' means “all numbers”.

SIP/H.323

Specifies whether the outgoing call will be routed to the SIP, H.323 or ISDN network. In the case of SIP, this field also indicates transport to be used (UDP, TCP or TLS) and whether Tel URI scheme or sips: prefix is used in SIP INVITE message.

Dial on Number

Specifies Translation Rule for outgoing phone numbers. For example '<NUM>' means “without translation”, '9<NUM>' means “Prepend 9 before number”, '<NUM-2>' means “Remove first 2 digits”.

To Line

Displays SIP or H.323 server name or IP-address to which the call will be routed.

In the case of ISDN the following format is used: CAPI:[Controller]:[B-channel], where [Controller] is the # of ISDN Controller to be used ( ‘ * ‘ means first available controller) and [B-channel] is the # of B-channel to be used (‘ * ‘ means first available B-channel).

<GK> means that the call will be routed via H.323 Gatekeeper. In the case of H.323, if the registration with H.323 Gatekeeper is used, should understand that outgoing H.323 calls to arbitrary IP addresses may be prohibited by the Gatekeeper policy.

In the case of SIP, depending on the values of Username (see below) and some other Fax Voip parameters the behavior can be different:

Case 1:

1. To Line = 'sip.server.com'

2. Username = '*<default>'

3. There is at least 1 entry in the SIP Registration table with

username@registrar = '<name>@ sip.server.com', where <name> - any name.

The call will be routed using the first SIP Registration entry for the specified server.

Case 2:

1. To SIP Line = 'sip.server.com'

2. Username = 'NAME'

3. There is an entry in the SIP Registration table with

username@registrar = 'NAME@sip.server.com'.

The call will be routed via SIP Registration entry 'NAME@sip.server.com'.

Case 3:

1. To SIP Line = 'sip.server.com'

2. Username = 'NAME'

3. The server name is the same as the name of default proxy server (see in the Outbound Proxy Settings ). The Username is the same as the Proxy Username. Use default Outbound Proxy option is checked.

The call will be routed to default Proxy. The username and password specified in the proxy settings can be used for authantication.

Case 4:

1. To SIP Line = 'sip.server.com'

2. Username = '*<default>'

3. There are no SIP Registration entries with

username@registrar = '<name>@sip.server.com', where <name> - any name.

The call will be routed to sip.server.com with default SIP Username, specified in the SIP Settings field (usually FaxVoip). This method can be used if authantication is not required.

Case 5:

1. To SIP Line = 'sip.server.com'

2. Username = 'NAME'

3. There are no SIP Registrations with

username@registrar = 'NAME@sip.server.com'.

The call will be routed to sip.server.com with username NAME. This method can be used if authantication is not required. Digital NAME usually displayed at other side as NUMBER part of Caller ID.

Username

In the case of SIP, Username (SIP-ID) that will be used with the rule. Usually coincide with the Username of one of the SIP registrations. If you use *<default>, you should understand that Fax Voip can use the Username of one of the SIP registrations or default SIP Username, specified in the SIP Settings (usually FaxVoip) in this case. Different behaviors are considered in the description of To Line field. Digital Username usually displayed at other side as NUMBER part of Caller ID.

In the case of H.323, this parameter allows to override the default Caller ID Number. If you use *<default>, should understand that the top number from the Telephone numbers list (see in the H.323 Settings ) will be recognized by remote party as Caller ID Number.

In the case of ISDN, this parameter allows to override the default Caller ID Number. If you use *<default>, you should understand that default ISDN Username (number) (see in the ISDN CAPI 2.0 Settings ) will be used in this case. Username consisting of letters is ignored, so digits should be used to include CallerID in the CAPI 2.0 message when doing outgoing call.

DisplayName

Name you would like to be reported to other users. DisplayName usually displayed at other side as the NAME part of Caller ID. This option overwrites the default Display Name (see in the VOIP Settings ). *<> indicates, that the default Display Name is used.

Use Proxy

Displays the address of SIP Outbound Proxy, which is used with outgoing SIP calls (if specified). Using of different Outbound Proxy servers for SIP Registration and for Outgoing Calls via this registration is not recommended. Icon '=>' before the name of Outbound Proxy shows that you are using the Default Outbound Proxy setting, and it is used for outgoing SIP calls with the current rule.

Fax Mode

Displays Fax Mode applied to current rule. G711 means G711 fax (audio). T38 means support for T.38 mode, when sending a fax with this rule. T38+R indicates, that Fax Voip sends T.38 re-invite without waiting the re-invite from the other party. B3:4:SFF means CAPI fax according to B3 Protocol 4: T.30 for Group 3 fax specification. B3:5:SFF means CAPI fax according to B3 Protocol 5: T.30 for Group 3 fax extended specification. To avoid possible problems with sending faxes, it is strongly recommended to pre-read the detail descriptions of possible Outgoing Fax Modes. (More details in the Chapter T38, G711 (audio) and CAPI Fax Modes of this manual).

G.711 MaxRate

Maximum bitrate for audio faxes (G711 fax mode). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “Fax=>ECM/Rate=>Modem(COM port) lines=>G711 audio fax=>Maximum bitrate” field (in the case of Virtual COM Ports) or in the “Fax=>ECM/Rate=>Built-in lines=>G711 audio fax=>Transmission=>Maximum bitrate” field (in the case of built-in lines). ‘ * ’ indicates, that the default Maximum bitrate value is used.

G.711 ECM

Possibility to use Error Correction Mode for audio faxes (G711 fax mode). This option overwrites the default settings, specified in the “Fax=>ECM/Rate=>Modem(COM port) lines=>G711 audio fax=>ECM” (in the case of Virtual COM Ports) or in the “Fax=>ECM/Rate=>Built-in lines=>G711 audio fax=>Transmission=>ECM” (in the case of built-in lines). ‘ * ’ indicates, that the default ECM value is used.

T.38 MaxRate

Maximum bitrate for T.38 faxes (T38 fax mode). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “Fax=>ECM/Rate=>Built-in lines=>T38 fax=>Transmission=> Maximum bitrate” field (in the case of built-in lines). ‘ * ’ indicates, that the default Maximum bitrate value is used. In the case of Virtual COM Ports (modems) T.38 MaxRate is always set to 14400.

T.38 ECM

Possibility to use Error Correction Mode for T.38 faxes (T38 fax mode). This option overwrites the default settings, specified in the “Fax=>ECM/Rate=>Built-in lines=>T38 fax=>Transmission=>ECM” (in the case of built-in lines). ‘ * ’ indicates, that the default ECM value is used. In the case of Virtual COM Ports (modems), Error Correction Mode is always possible when T38 fax mode is used.

T.38 Redundancy

T.38 Redundancy in the format I/LS/HS, used with current rule. The values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets are specified separately. This option overwrites the default settings, specified in the “SIP=>T.38=>T.38 Redundancy” (in the case of SIP) or in the “H.323=>T.38=>T.38 Redundancy” (in the case of H.323). ‘ * ’ indicates, that the default T.38 Redundancy values are used.

CAPI MaxRate

Maximum bitrate for CAPI faxes (CAPI fax mode). Maximum bitrate can be limited by any value from 2400 up to 14400. The value 0:adaptive means that maximum bitrate is not limited. This option overwrites the default maximum bitrate, specified in the “VOIP => ISDN CAPI 2.0 => CAPI Fax => CAPI Fax Transmission => Maximum bitrate” field. ‘ * ’ indicates, that the default Maximum bitrate value is used.

CAPI ECM

Possibility to use Error Correction Mode for CAPI faxes (CAPI fax mode). This option overwrites the default settings, specified in the “VOIP => ISDN CAPI 2.0 => CAPI Fax => CAPI Fax Transmission => Disable Error Correction”. ‘ * ’ indicates, that the default ECM value is used. In the case of using B3 Protocol 4, Error Correction Mode is always possible.

CAPI High Resolution

Possibility to send faxes in High Resolution (203x196 dpi) for CAPI faxes (CAPI fax mode). This option overwrites the default settings, specified in the “VOIP => ISDN CAPI 2.0 => CAPI Fax => CAPI Fax Transmission => Enable High Resolution”. ‘ * ’ indicates, that the default value is used.

Fax StationID

Fax StationId option is used only with built-in lines. This option overwrites the default Fax ID, specified in the “Fax=>Fax Station ID (default)” field. *<> indicates, that the default Fax Station ID is used. The Fax StationID can be overridden in the Fax Voip Printer dialog window (or with Mail to Fax function).

Fax HeadLine

Fax HeadLine option is used only with built-in lines. This option overwrites the default Fax HeadLine, specified in the “Fax=>Fax HeadLine (default)” field. *<> indicates, that the default Fax HeadLine is used. The Fax HeadLine can be overridden in the Fax Voip Printer dialog window (or with Mail to Fax function).

Codecs

Codecs option overwrites the default codecs, specified in the “SIP=>Codecs=>Selected codecs” panel (in the case of SIP) or in the “H.323=>Codecs=>Selected codecs” panel (in the case of H.323). *<> indicates, that the default codecs are used. In the case of ISDN default G.711 A-law or G.711 u-law codec always used and can not be overridden via rule.

The following commands are available in the Outgoing Plan Contextual Tab of the Ribbon:

Outgoing Rules

New (Ctrl + N)

Click to create new Outgoing VOIP Call Routing rule.

Edit (Ctrl + E)

Click to edit Outgoing VOIP Call Routing rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Outgoing VOIP Call Routing rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Outgoing VOIP Call Routing rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Outgoing VOIP Call Routing rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Outgoing Plan Contextual Tab are also available from the context menu of the list.


To create or edit Outgoing Call Routing rule

To create (or edit) Outgoing VOIP Call Routing rule

Fax Voip Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ››

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window in the General panel, specify the conditions under which this rule applies (numbers of COM ports, type of line, the original format of the dialed number). Select the VOIP protocol, SIP or H.323. Or select ISDN CAPI 2.0 option. In the case of SIP, in the Dial on SIP Server field, be sure to specify the name or address of the SIP server (SIP endpoint), where to route the call. You can also select transport (UDP, TCP or TLS) to be used with outgoing SIP calls. In the case of H.323, in the Route to address field, be sure to specify the IP-address of H.323 endpoint where to route the call or select Route calls to Gatekeeper option to route calls via H.323 Gatekeeper. More details can be found in the chapter Outgoing VOIP Call Routing Settings , General Settings section.

5. Switch to the Fax panel.

6. In the Fax panel in the Fax Support area, specify Fax Mode. Change the other fax settings if necessary. More details can be found in the chapter Outgoing VOIP Call Routing Settings , Fax Settings section.

7. Switch to the Codecs panel.

8. In the Codecs panel change the codecs settings if necessary. More details can be found in the chapter Outgoing VOIP Call Routing Settings , Codecs Settings section.

9. Click <OK> button to fix changes.

10. To change the preference order for Outgoing VOIP Call Routing rules use Move Up and Move Down commands. One of the entries should be selected.

11. Click <Apply> button to save modified settings for Outgoing VOIP Call Routing. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage Outgoing Call Routing rules

To manage Outgoing VOIP Call Routing rules

Fax Voip Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ››

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To change the preference order for Outgoing VOIP Call Routing rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Outgoing VOIP Call Routing Settings

Fax Voip Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ››

This section provides information about settings, that you can do in the VOIP Outgoing Call Routing rule dialog.

  • General Settings
  • Fax Settings
  • Codecs Settings


General Settings

General Settings (Outgoing VOIP Call Routing)

Fax Voip Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ›› Outgoing VOIP Call Routing Settings ››

General Settings

Call from Fax Voip Line

You can select the type of outgoing calls (using Virtual COM Ports, or using built-in lines), for which this rule applies. In the case of Virtual COM Ports (modems) the rule can be applied to all, single or several ports. In the case of built-in lines the rule can be applied either to T.38 fax calls, or to audio fax calls, or to isdn fax calls or to audio calls (sending audio messages).

From any modem

The rule applies to all Virtual COM Ports (modems).

From selected modems

The rule applies to one or several Virtual COM Ports (modems). Virtual COM Ports for which the rule applies should be selected from the list. Note, that in the case of using Fax Voip driver for Virtual COM Ports, external ports (connected to fax program) are listed in the right panel. In the case of using 3rd party driver for Virtual COM Ports, internal ports (connected to Fax Voip application) are listed in the right panel.

From built-in lines (via Fax Voip Console)

The rule applies to outgoing calls via built-in lines.

If to send a fax with T.38 support (VOIP)

The rule applies to outgoing VOIP T.38 fax calls via built-in lines.

If to send a fax as G.711 audio (VOIP)

The rule applies to outgoing VOIP audio fax calls via built-in lines.

If to send a fax via ISDN CAPI 2.0

The rule applies to outgoing isdn fax calls via built-in lines.

If to send an audio message

The rule applies to outgoing audio calls via built-in lines (sending audio messages).

Outgoing Number Format

These options allow you to apply the rule to all, to single or to group of dialed numbers.

If Number =

Select this option to apply the rule to all dialed numbers or to single dialed number.

Select <any> to apply the rule to all dialed numbers.

Enter the phone number to apply the rule to that number only.

If Number starts with ... and number of digits =

The rule applies to numbers with specified prefix and (or) to numbers of specified length.

Dial on Number

These options allow you to transform the dialed number to the required format if necessary.

Dial on Number =

Use this option if you want to route calls without changing the dialed number, or if you want to route all calls to the specified number.

Select <NUM> to route calls without changing the dialed number.

Enter the phone number to route all calls to that number.

Remove digits ... Prepend...

Use this option if you want to add a specified prefix to the dialed number and (or) remove the first few digits (1-9) in the number being dialed. When applying Remove digits option to original dialed number that contains characters other than digits, the behavior is unpredictable.

Direct call to IP

Use this option to be possible to do direct call to IP. For example, call to number '12345*192*168*0*2*5065' will be routed to 192.168.0.2:5065 to number 12345. When selecting this option, no need to enter the address of SIP (or H.323) server in the Dial on SIP Sever (Route to address) field.

Dial on Line

The settings, specified in this area, allow you to route call to the specified SIP or H.323 endpoint or via ISDN CAPI 2.0 line. These settings also allow you to bind a call to a specific SIP Registration or route call via H.323 Gatekeeper. In the case of ISDN CAPI 2.0, you can bind a call to a specific ISDN controller and (or) B-channel.

VOIP Protocol

SIP

Select this option if you want to route calls using SIP protocol.

Transport

If this field you can select transport for outgoing SIP calls. Select SIP over UDP to use UDP. Select SIP over TCP to use TCP. Select SIP over TLS to use TLS. By default UDP is used. If Default Outbound Proxy is used (see in the Outbound Proxy Settings ), the transport specified in proxy settings will be used. If individual proxy is specified in the Use Outbound Proxy field, SIP over UDP will be used. Note that TCP and TLS can be not supported by your server.

Tel URI scheme

If this option is selected, Fax Voip will use Tel URI scheme in an outgoing SIP calls. Tel URI scheme can be used with SIP over UDP and SIP over TCP. The SIP INVITE message will be sent in the following format:

SIP/SDP Request: INVITE tel:+13601234567;phone-context=multitel.com, with session description

If this option is not selected, SIP INVITE message will be sent in standard format:

SIP/SDP Request: INVITE sip:13601234567@sipserver.com, with session description

Note that in the case of using Tel URI scheme you are not able to specify remote port in the Dial on SIP Server field. You should also understand that not every SIP server is able to operate under Tel URI scheme and should not use this option without need. On the other hand, as we know, some servers require the use of Tel URI scheme. And that's why we added this option.

sips:

This option can be used with only SIP over TLS. If this option is selected, Fax Voip will use sips: prefix instead of standard sip: prefix.

Dial on SIP Server

Name or IP-address of SIP endpoint or SIP server to which the call will be routed. Usually coincide with the SIP Registrar Server of one of the SIP Registrations. If there are entries in SIP Registrations table, the server name can be selected from the drop-down list. Note that in the case of using Tel URI scheme you are not able to specify remote port in this field.

Use Outbound Proxy

Address of SIP Outbound Proxy, which is used for Outgoing Calls. It is strongly recommended to use the same Outbound Proxy for both SIP Registration and Outgoing Calls via this registration. This option overrides the Default Outbound Proxy, specified in the Outbound Proxy Settings . If Outbound Proxy is specified in this field, Fax Voip always uses SIP over UDP when doing outgoing calls. To use proxy with TCP or TLS transport, should use Default Outbound Proxy settings (see in the Outbound Proxy Settings ).

Username

Username (SIP-ID) that will be used with the rule. Usually coincide with the Username (or SIP-ID) of one of the SIP Registrations. Digital Username usually displayed at other side as NUMBER part of Caller ID. If there are entries in the SIP Registrations table with the SIP Server specified in the Dial on SIP Server field, the Username can be selected from the drop-down list.

Use default

To modify Username field, uncheck this option. If this option is checked, Fax Voip will use either the Username from the first entry in the SIP Registration table with the SIP Server specified in the Dial on SIP Server field, or the default SIP Username, specified in the SIP Settings .

Display Name

Name you would like to be reported to other users. Display Name usually displayed at other side as the NAME part of Caller ID. This option overrides the default Display Name, specified in the VOIP Settings .

Use default

To modify Display Name field, uncheck this option. If this option is checked, the default Display Name is used.

Depending on the values, specified in the Dial on SIP Server and Username fields and some other Fax Voip parameters the behavior of the outgoing call can be different:

Case 1:

1. Dial on SIP Server = 'sip.server.com'

2. Username = '*<default>'

3. There is at least 1 entry in the SIP Registration table with

username@registrar = '<name1>@ sip.server.com', where <name1> - any name.

The call will be routed using the first SIP Registration for specified server.

Case 2:

1. Dial on SIP Server = 'sip.server.com'

2. Username = 'NAME'

3. There is a record in the SIP Registration table with

username@registrar = 'NAME@sip.server.com'.

The call will be routed via SIP Registration entry 'NAME@sip.server.com'.

Case 3:

1. Dial on SIP Server = 'sip.server.com'

2. Username = 'NAME'

3. The server name is the same as the name of default proxy server (see in the Outbound Proxy Settings ). The Username is the same as the Proxy Username. Use default Outbound Proxy option is checked.

The call will be routed to default Proxy. The username and password specified in the proxy settings can be used for authantication.

Case 4:

1. To SIP Line = 'sip.server.com'

2. Username = '*<default>'

3. There are no SIP Registration with

username@registrar = '<name>@sip.server.com', where <name> - any name.

The call will be routed to sip.server.com with default SIP Username, specified in the SIP Settings (usually FaxVoip). This method can be used if authantication is not required.

Case 5:

1. To SIP Line = 'sip.server.com'

2. Username = 'NAME'

3. There are no SIP Registrations with

username@registrar = 'NAME@sip.server.com'.

The call will be routed to sip.server.com with username NAME. This method can be used if authantication is not required. Digital NAME usually displayed at other side as NUMBER part of Caller ID.

H.323

Select this option if you want to route calls using H.323 protocol.

Route to address

Name or IP-address of H.323 endpoint to which the call will be routed. If the registration with H.323 Gatekeeper is used, should understand that outgoing H.323 calls to arbitrary IP addresses may be prohibited by the Gatekeeper policy.

Route calls to Gatekeeper

Use this option to route calls via H.323 Gatekeeper.

Username

Username that will be used with the rule. This parameter allows to override the default Caller ID Number.

Use default

To modify Username field, uncheck this option. If this option is checked, the top number from the Telephone numbers list (see in the H.323 settings ) will be recognized by remote party as Caller ID Number.

Display Name

Name you would like to be reported to other users. Display Name usually displayed at other side as the Caller ID Name. This option overrides the default Display Name, specified in the VOIP Settings .

Use default

To modify Display Name field, uncheck this option. If this option is checked, the default Display Name is used.

ISDN CAPI 2.0

Select this option if you want to route calls via ISDN CAPI 2.0 line.

Username

Username (ISDN number) that will be used with the rule. This parameter allows to override the default Caller ID Number. Username consisting of letters is ignored, so digits should be used to include CallerID in the CAPI 2.0 message. Depending on the properties of your ISDN card, CallerID can be ignored and overridden. If you enter an incorrect ISDN number that does not satisfy your ISDN settings, the outgoing call can be rejected. Note that when using username consisting of letters, such error is not possible.

Use default

To modify Username field, uncheck this option. If this option is checked, Fax Voip will use the ISDN Username (number), specified in the ISDN CAPI 2.0 Settings .

ISDN Controller

Settings in this area allow you to specify the Controller # to be used with outgouing calls via ISDN CAPI 2.0.

Use first available

The first available ISDN Controller will be used to do outgouing call using this rule.

Contoller #

Specify the Controller # to be used with outgouing calls using this rule. Note that Fax Voip does not check for the existence of the specified controller at the time of configuring. You must specify the real number of the ISDN controller available in your system.

B channel

Settings in this area allow you to specify the B-Channel # to be used with outgouing calls via ISDN CAPI 2.0.

Use first available

The first available B-Channel will be used to do outgouing call using this rule.

B Channel #

Specify the B-Channel # to be used with outgouing calls using this rule. Note that Fax Voip does not check for the existence of the specified B-Channel at the time of configuring. You must specify the real number of B-Channel available in your system.


Fax Settings

Fax Settings (Outgoing VOIP Call Routing)

Fax Voip Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ›› Outgoing VOIP Call Routing Settings ››

Fax Settings (VOIP)

Fax Settings (ISDN CAPI 2.0)

Fax Support

Fax Mode applied to the current rule.

G.711 audio fax

Check this option to send faxes as audio.

T.38 fax

Check this option to send T.38 faxes. This option can be used only with rules that route calls to SIP or H.323 line.

Send T.38 re-invite

If this option is checked, Fax Voip sends T.38 re-Invite immediately after the connection is established. If this option is unchecked, Fax Voip waits for T.38 re-invite from the other side. This option can be used only with rules that route calls to SIP or H.323 line.

CAPI fax (B3 protocol 4 or 5)

Check this option to send faxes according to CAPI 2.0 specification. This option can be used only with rules that route calls to ISDN CAPI 2.0 line using built-in lines.

G.711 Audio Fax Settings

The options, specified in this area, allow you to override default ECM and Maximum bitrate settings for audio fax.

Maximum bitrate

Use this option to change Maximum bitrate. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overrides the default maximum bitrate, specified in the “Fax=>ECM/Rate=>Modem(COM port) lines=>G711 audio fax=>Maximum bitrate” field (in the case of Virtual COM Ports) or in the “Fax=>ECM/Rate=>Built-in lines=>G711 audio fax=>Transmission=>Maximum bitrate” field (in the case of built-in lines).

Use default

To change Maximum bitrate, uncheck this option. If this option is checked, the default Maximum bitrate value is used.

Error Correction Mode

Possibility to use Error Correction Mode. This option overrides the default settings, specified in the “Fax=>ECM/Rate=>Modem(COM port) lines=>G711 audio fax=>ECM” (in the case of Virtual COM Ports) or in the “Fax=>ECM/Rate=>Built-in lines=>G711 audio fax=>Transmission=>ECM” (in the case of built-in lines).

Use default

To change default Error Correction Mode settings, uncheck this option. If this option is checked, the default settings are used.

T.38 Fax Settings

The options, specified in this area, allow you to override default ECM, Maximum bitrate and T.38 Redundancy settings for T.38 fax.

Maximum bitrate

Use this option to change Maximum bitrate. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overrides the default maximum bitrate, specified in the “Fax=>ECM/Rate=>Built-in lines=>T38 fax=>Transmission=>Maximum bitrate” field (in the case of built-in lines). In the case of Virtual COM Ports (modems) T.38 MaxRate is always set to 14400.

Use default

To change Maximum bitrate, uncheck this option. If this option is checked, the default Maximum bitrate value is used.

Error Correction Mode

Possibility to use Error Correction Mode. This option overrides the default settings, specified in the “Fax=>ECM/Rate=>Built-in lines=>T38 fax=>Transmission=>ECM” (in the case of built-in lines). In the case of Virtual COM Ports (modems), Error Correction Mode is always possible when T.38 fax mode is used.

Use default

To change default Error Correction Mode settings, uncheck this option. If this option is checked, the default settings are used.

T.38 Redundancy

The options, specified in this area, allow you to override the default SIP T.38 Redundancy or H.323 T.38 Redundancy settings.

Indication

Specifies the number of redundant T.38 fax packets to be sent to indicate CNG, CED tones, no signal. Ranges varies from 0 (no redundancy) to 5.

LS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for the low-speed V.21-based T.30 fax machine protocol. Low speed is used during the fax negotiation phase which is done at 300 Bps and is most likely to be affected by bad QoS. Ranges varies from 0 (no redundancy) to 5.

HS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for high-speed V.17, V.27, and V.29 T.4 or T.6 fax machine image data. High speed is used during the transmission phase which is done between 2400 Kbps and 14400 Kbps. Although bad QoS will deteriorate image quality, a few missing scan lines ultimately does not effect the human's perception of the received image. Ranges varies from 0 (no redundancy) to 5.

Use default

To change default SIP (or H.323) T.38 Redundancy settings, uncheck this option. If this option is checked, the default SIP (or H.323) T.38 Redundancy settings are used.

CAPI Fax Settings (B3 protocol 4 or 5)

The options, specified in this area, allow you to select B3 Protocol to be used with CAPI fax, override default ECM, Maximum bitrate and Resolution settings for CAPI fax.

B3 Protocol

Use this option to change B3 Protocol to be used. You can select 4: T.30 for Group 3 fax or 5: T.30 for Group 3 fax extended. Using of B3 Protocol 5 provides more possibilities. B3 Protocol 5 allows you to disable ECM (Error Correction). Moreover, using of B3 Protocol 5 provides more accurate statistics when sending a fax. In particular, the statistical data is transmitted via CONNECT_B3_ACTIVE_IND CAPI 2.0 message in the beginning of faxing, and not only via DISCONNECT_B3_IND message like we have in the case of using B3 Protocol 4. It is recommended to use B3 Protocol 5 if possible. This option overrides the default B3 Protocol, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax=>CAPI Fax Transmission=>B3 Protocol” field.

Use default

To change B3 Protocol, uncheck this option. If this option is checked, the default B3 Protocol is used.

Maximum bitrate

Use this option to change Maximum bitrate. Maximum bitrate can be limited by any value from 2400 up to 14400. The value 0:adaptive means that maximum bitrate is not limited. This option overrides the default maximum bitrate, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax=>CAPI Fax Transmission=>Maximum bitrate” field.

Use default

To change Maximum bitrate, uncheck this option. If this option is checked, the default Maximum bitrate value is used.

Disable ECM (B3 Protocol 5 only)

Possibility to disable Error Correction Mode. This option overrides the default settings, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax=>CAPI Fax Transmission=>Disable Error Correction”. In the case of using B3 Protocol 4, this option is not applicable.

Use default

To change default Error Correction Mode settings, uncheck this option. If this option is checked, the default settings are used.

Enable High Resolution

Check this option if you want to have possibility to send faxes in High Resolution (203x196 dpi). If this option is unchecked, the High Resolution faxes will be converted into Standard Resolution (203x96 dpi) when sending a fax via CAPI 2.0 connection. This option overrides the default settings, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax=>CAPI Fax Transmission=>Enable High Resolution”.

Use default

To change default Enable High Resolution settings, uncheck this option. If this option is checked, the default settings are used.

Fax Station ID and Fax Header

These options allow you to override default Fax Station ID and Fax Header.

Fax Station ID

Fax Station Id option is used only with built-in lines. This option overrides the default Fax Station ID, specified in the “Fax=>Fax Station ID (default)” field. The Fax StationID can be overridden in the Fax Voip Printer dialog window (or with Mail to Fax function).

Use default

To change Fax Station Id, uncheck this option. If this option is checked, the default Fax Station Id is used.

Fax HeadLine

Fax HeadLine option is used only with built-in lines. This option overrides the default Fax HeadLine, specified in the “Fax=>Fax HeadLine (default)” field.

Use default

To change Fax HeadLine, uncheck this option. If this option is checked, the default Fax HeadLine is used.

Notes

  • When sending a fax via ISDN CAPI 2.0 line using Virtual COM Ports (modems), G.711 audio fax mode is always used.


Codecs Settings

Codecs Settings (Outgoing VOIP Call Routing)

Fax Voip Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ›› Outgoing VOIP Call Routing Settings ››

Codecs Settings

Use default

To override the default Voice Codecs configuration, uncheck this option. If this option is checked, the default Voice Codecs specified in the “VOIP=>SIP=>Codecs=>Selected Codecs” panel or in the “VOIP=>H.323=>Codecs=>Selected Codecs” panel are used.

Voice Codecs

This panel shows Voice Codecs configuration applied to the current rule. Voice Codecs applied to the current rule are checked and arranged in the preference order.

To add Voice Codec, check it. To remove Voice Codec from configuration, uncheck it.

<Up> and <Down>

Use these buttons to change preference order for the selected audio codecs.

Notes

  • Dummy G.729* codec enables to report G.729 Audio Codec support for Fax T.38 Gateways that do not support G.711 and other supported audio formats; use this codec only for resolving compatibility issue. Typically, if dummy G.729* codec is used, T38 Fax with Re-invite mode for outgoing calls should be used too to ensure CNG tone generation. Note that T38 Fax with Re-invite mode is currently supported with both Virtual COM Ports (modems) and built-in lines.
  • When routing a call via ISDN CAPI 2.0 line default G.711 codec is always used.


Incoming VOIP Call Routing

Fax Voip Control Panel ›› VOIP ››

Incoming VOIP Call Routing feature allows you to configure different routes for incoming calls depending on the implementation of some initial conditions. Depending on the Caller Number, Called Number etc., the incoming call can be routed to Virtual COM Ports (modems), to Built-in VOIP/ISDN Fax Lines with T.38 support (to receive a fax as tiff, pdf or sff file), to Built-in VOIP/ISDN Fax Lines as audio fax (to receive a fax as tiff, pdf or sff file) or to Built-in VOIP/ISDN Fax Lines as CAPI fax (to receive a fax as tiff, pdf or sff file). When routing the call to Built-in VOIP/ISDN Fax Lines, Fax Voip also allows to use Fax-on-Demand function, that is to send a specified fax to caller. It is also possible to transform the phone numbers by aplying the Incoming Voip Call Routing rule, for example to add a prefix to number. This can be used together with Incoming Modem Call Routing feature to route different incoming calls to different Virtual COM Ports (modems). The maximum supported number of Incoming VOIP Call Routing rules is not limited.

There are three types of rules:

  • Rules applied to incoming SIP calls
  • Rules applied to incoming H.323 calls
  • Rules applied to incoming ISDN CAPI 2.0 calls

The rules of different types highlighted in different colors in the Incoming VOIP Call Routing table.

The incoming calls can be routed to:

  • Virtual COM Ports (modem lines)
  • Built-in VOIP/ISDN Fax Lines with T.38 support (incoming faxes are saved in the Fax Voip Console as tiff, pdf or sff files)
  • Built-in VOIP/ISDN Fax Lines as G.711 (audio) fax (incoming faxes are saved in the Fax Voip Console as tiff, pdf or sff files)
  • Built-in VOIP/ISDN Fax Lines as CAPI fax (incoming faxes are saved in the Fax Voip Console as tiff, pdf or sff files)
  • Built-in VOIP/ISDN Fax Lines with T.38 support: Fax-On-Demand (Fax Voip sends a fax during the incoming call)
  • Built-in VOIP/ISDN Fax Lines as G.711 (audio) fax: Fax-On-Demand (Fax Voip sends a fax during the incoming call)

The Translation Rule can be applied to the target phone number. For example, it is possible to add the specified prefix to number. Adding the prefix can then be used with another function - Incoming Modem Call Routing which allows you to set up separated modem lines (Virtual COM Ports) for receiving calls only with a certain prefix. Thus, the simultaneous use of the Incoming VOIP Call Routing and Incoming Modem Call Routing allows to make very flexible settings for incoming calls.

The following call and fax settings can be set or overridden by the Incoming VOIP Call Routing rule:

  • Fax Mode (T.38, G711 audio fax, Detect/Send T.38 re-invite option , CAPI fax)
  • Maximum Fax Bitrate
  • ECM (Error Correction Mode)
  • T.38 Redundancy
  • B3 Protocol (CAPI fax)
  • Enable High Resolution (CAPI fax)
  • Fax Station ID (built-in lines)
  • Fax HeadLine (built-in lines, Fax-On-Demand)
  • Voice Codecs

Fax Voip always checks Incoming VOIP Call Routing rules, starting with the rule # 1. The call will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. If there is no one rule that satisfies the conditions of the call, the call can not be implemented. For example, if rule # 1 applies for all incoming SIP calls ('VOIP Call From' = sip:.*; 'VOIP Call To' = sip:.*), then other rules # 2, # 3, etc. applied to incoming SIP calls never be able to work under any conditions. To be able to receive incoming calls of selected type (SIP, H.323 or ISDN), you must have at least one rule for this type of call in the Incoming VOIP Call Routing table.

If there are no rules in the Incoming VOIP Call Routing table, Fax Voip automatically invites to create default rules for Incoming calls at the time of clicking <Apply> button.

The default rules are as follows:

  • All incoming SIP calls with sip: prefix are routed to the Virtual COM Ports (modems) without applying number translation rules
  • All incoming H.323 calls are routed to the Virtual COM Ports (modems) without applying number translation rules
  • All incoming ISDN CAPI 2.0 calls are routed to the Virtual COM Ports (modems) without applying number translation rules

If you have problems with Incoming VOIP Call Routing, you can activate Enable Call Routing Logging function. To do this click Options (Options and Logs) in the Fax Voip Control Panel, then check Enable Call Routing Logging (saving and restarting are needed). Analysis of the log will help you to identify errors and to specify correct rules for calls.

If the rules of some kind can not be used in the current configuration of the program, Fax Voip does not load them at startup and ignores these rules.

  • If Enable SIP option is unchecked (SIP is disabled, see in the VOIP Settings ), Fax Voip does not load and ignores rules applied to incoming SIP calls.
  • If Enable SIP over TLS Transport option is unchecked (SIP over TLS is disabled, see in the SIP Settings ), Fax Voip does not load and ignores rules that have only sips: prefix in the VOIP Call From or Voip Call To fields.
  • If Enable H.323 option is unchecked (H.323 is disabled, see in the VOIP Settings ), Fax Voip does not load and ignores rules applied to incoming H.323 calls.
  • If Enable ISDN CAPI option is unchecked (CAPI 2.0 is disabled, see in the VOIP Settings ), Fax Voip does not load and ignores rules applied to incoming ISDN CAPI 2.0 calls.
  • If Virtual COM Ports (modems) not licensed, Fax Voip does not load and ignores rules that route calls to Virtual COM Ports (modem lines).
  • If built-in VOIP/ISDN lines not licensed, Fax Voip does not load and ignores rules that route calls to Built-in VOIP/ISDN Fax Lines to save incoming faxes in the Fax Voip Console.
  • If the number N of rules that represent Fax-On-Demand function exceeds the maximum number of licensed rules of this type Nmax, Fax Voip does not load and ignores the last (N-Nmax) of the Fax-On-Demand rules.

The rules that can not be used in the current configuration of the program are always highlighted in red.

Incoming VOIP Call Routing Table contains the following information:

Rule

Unique number of the current rule.

VOIP Call From

Specifies the format of SIP/H.323 address (ISDN number) of remote party for which current rule applies. SIP/H.323 address of the remote party usually has the format like 'prefix:CallerID@sipserver'. In the case of SIP, sip:, sips: and tel: prefixes are supported. In the case of H.323, h323: prefix is supported. In the case of ISDN, isdn: prefix is supported. The first part is the number of the caller, the second part is the name of SIP/H.323 server. For example 'h323:.*' means “H.323 calls from any number and from any H.323 server”, '(sip|sips|tel):.*' means “SIP calls from any number, from any sip network and with any possible prefixes”, 'sip:.*@sip.mynetwork.com' means “calls from any number from sip.mynetwork.com server only”. The biggest problem may occur when you try to specify server part of address here. It is normal that you enter the server name as 'myserver.com', and it works in terms of SIP Registration, but when you have incoming call the name of the same server looks like '@sip.myserver.com:5060'. In this example the construction 'sip:.*@myserver.com' is incorrect and will not work, the correct rule for VOIP Call From should be written as: 'sip:.*@sip.myserver.com:5060'. To avoid such problems use Enable Call Routing Logging option to understand SIP-URL structure of remote party.

VOIP Call To

Specifies the format of called number for which current rule applies. In the case of SIP, sip:, sips: and tel: prefixes are supported. In the case of H.323, the standard h323: prefix is added. In the case of ISDN, the standard isdn: prefix is added. For example '(sip|tel):.*' means “calls to any number with prefix sip: or tel:”, 'sip:100@.*' means “calls to number 100”.

To Fax Voip

Specifies the destination for Incoming Call. Translation Rule for incoming number can be applied here. For example 'line:2<NUM>' means “route calls to modem lines with prefix 2”, 'file:<T38FAX>' means “Receive faxes as tiff, pdf or sff files with T.38 support for faxes” (see also Send and Receive a fax with built-in VOIP Fax Lines section of this manual), 'file:<G711FAX>' means “Receive faxes as tiff, pdf or sff files as audio using G711 codec” (see also Send and Receive a fax with built-in VOIP Fax Lines section of this manual). 'file:<CAPI-FAX>' means “Receive faxes as tiff, pdf or sff files as CAPI fax according to B3 Protocol 4: T.30 for Group 3 fax or B3 Protocol 5: T.30 for Group 3 fax extended CAPI 2.0 specification” (see also Send and Receive a fax with built-in VOIP Fax Lines section of this manual). 'send:<T38FAX>;C:\path\fax_to_send.tif' means to send a fax “C:\path\fax_to_send.tif” during incoming call with T.38 support (Fax-On-Demand). 'send:<G711FAX>;C:\path\fax_to_send.tif' means to send a fax “C:\path\fax_to_send.tif” during incoming call as audio fax (Fax-On-Demand).

Fax Mode

Displays Fax Mode applied to the current rule. G711 means G711 fax (audio). T38 means support for T.38 mode, when receiving faxes with this rule. T38R indicates, that Fax Voip does not send T.38 re-invite but able to detect T.38 re-invite sent by the other party. B3:4:SFF means CAPI fax according to B3 Protocol 4: T.30 for Group 3 fax specification. B3:5:SFF means CAPI fax according to B3 Protocol 5: T.30 for Group 3 fax extended specification. To avoid possible problems with receiving faxes, it is strongly recommended to pre-read the detailed descriptions of possible Incoming Fax Modes. (See in the Chapter T38, G711 (audio) and CAPI Fax Modes of this manual).

G.711 MaxRate

Maximum bitrate for audio faxes (G711 fax mode). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “Fax=>ECM/Rate=>Modem(COM port) lines=>G711 audio fax=>Maximum bitrate” field (in the case of Virtual COM Ports) or in the “Fax=>ECM/Rate=>Built-in lines=>G711 audio fax=>Reception=>Maximum bitrate” field (in the case of built-in lines, fax receiving) or in the “Fax=>ECM/Rate=>Built-in lines=>G711 audio fax=>Transmission=>Maximum bitrate” (in the case of built-in lines, Fax-On-Demand). ‘ * ’ indicates, that the default Maximum bitrate value is used.

G.711 ECM

Possibility to use Error Correction Mode for audio faxes (G711 fax mode). This option overwrites the default settings, specified in the “Fax=>ECM/Rate=>Modem(COM port) lines=>G711 audio fax=>ECM” (in the case of Virtual COM Ports) or in the “Fax=>ECM/Rate=>Built-in lines=>G711 audio fax=>Reception=>ECM” (in the case of built-in lines, fax receiving) or in the “Fax=>ECM/Rate=>Built-in lines=>G711 audio fax=>Transmission=>ECM” (in the case of built-in lines, Fax-On-Demand). ‘ * ’ indicates, that the default ECM value is used.

T.38 MaxRate

Maximum bitrate for T.38 faxes (T38 fax mode). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “Fax=>ECM/Rate=>Built-in lines=>T38 fax=> Reception =>Maximum bitrate” field (in the case of built-in lines). ‘ * ’ indicates, that the default Maximum bitrate value is used. In the case of Virtual COM Ports (modems) T.38 MaxRate is always set to 14400.

T.38 ECM

Possibility to use Error Correction Mode for T.38 faxes (T38 fax mode). This option overwrites the default settings, specified in the “Fax=>ECM/Rate=>Built-in lines=>T38 fax=>Reception=>ECM” (in the case of built-in lines, fax receiving) or in the “Fax=>ECM/Rate=>Built-in lines=>T38 fax=>Transmission=>Maximum bitrate” (in the case of built-in lines, Fax-On-Demand). ‘ * ’ indicates, that the default ECM value is used. In the case of Virtual COM Ports (modems), Error Correction Mode is always possible when T38 fax mode is used.

T.38 Redundancy

T.38 Redundancy in the format I/LS/HS, used with current rule. The values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets are specified separately. This option overwrites the default settings, specified in the “SIP=>T.38=>T.38 Redundancy” fields (in the case of SIP) or in the “H.323=>T.38=>T.38 Redundancy” fields (in the case of H.323). ‘ * ’ indicates, that the default T.38 Redundancy values are used. Note, that HS-redundancy is not important in the case of incoming calls when fax is received.

CAPI MaxRate

Maximum bitrate for CAPI faxes (CAPI fax mode). Maximum bitrate can be limited by any value from 2400 up to 14400. The value 0:adaptive means that maximum bitrate is not limited. This option overwrites the default maximum bitrate, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax=>CAPI Fax Reception=>Maximum bitrate” field. ‘ * ’ indicates, that the default Maximum bitrate value is used.

CAPI ECM

Possibility to use Error Correction Mode for CAPI faxes (CAPI fax mode). This option overwrites the default settings, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax=>CAPI Fax Reception=>Disable Error Correction”. ‘ * ’ indicates, that the default ECM value is used. In the case of using B3 Protocol 4, Error Correction Mode is always possible.

CAPI High Resolution

Possibility to receive faxes in High Resolution (203x196 dpi) for CAPI faxes (CAPI fax mode). This option overwrites the default settings, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax=>CAPI Fax Reception=>Enable High Resolution”. ‘ * ’ indicates, that the default value is used.

Fax StationID

Fax StationId option is used only with built-in lines. This option overwrites the default Fax ID, specified in the “Fax=>Fax Station ID (default)” field. *<> indicates, that the default Fax Station ID is used.

Fax HeadLine

Fax HeadLine option is used only with built-in lines and only with fax sending (Fax-On-Demand). This option overwrites the default Fax HeadLine, specified in the “Fax=>Fax HeadLine (default)” field. *<> indicates, that the default Fax HeadLine is used.

Codecs

Codecs option overwrites the default codecs, specified in the “SIP=>Codecs=>Selected codecs” panel (in the case of SIP) or in the “H.323=>Codecs=>Selected codecs” panel (in the case of H.323). *<> indicates, that the default codecs are used. In the case of ISDN default G.711 A-law or G.711 u-law codec always used and can not be overridden via rule.

The following commands are available in the Incoming Plan Contextual Tab of the Ribbon:

Incoming Rules

New (Ctrl + N)

Click to create new Incoming VOIP Call Routing rule.

Edit (Ctrl + E)

Click to edit Incoming VOIP Call Routing rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Incoming VOIP Call Routing rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Incoming VOIP Call Routing rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Incoming VOIP Call Routing rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Incoming Plan Contextual Tab are also available from the context menu of the list.


To create (or edit) Incoming VOIP Call Routing rule

Fax Voip Control Panel ›› VOIP ›› Incoming VOIP Call Routing ››

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Incoming Call Routing Rule window in the General panel, in the VOIP Protocol area, select the type of incoming calls, can be SIP or H.323. Or select ISDN CAPI 2.0 option to apply the rule to incoming ISDN calls. Specify the conditions under which this rule applies (in the VOIP Call From and VOIP Call To sections). In the Call To Fax Voip Line area, be sure to specify where to route the call: to Virtual COM Ports, to built-in lines with T.38 support, to built-in lines as audio fax or to built-in lines as CAPI fax. More details can be found in the chapter Incoming VOIP Call Routing Settings , General Settings section.

5. Switch to the Fax panel.

6. In the Fax panel in the Fax Support area, specify Fax Mode. Change the other fax settings if necessary. More details can be found in the chapter Incoming VOIP Call Routing Settings , Fax Settings section.

7. Switch to the Codecs panel.

8. In the Codecs panel change the codecs settings if necessary. More details can be found in the chapter Incoming VOIP Call Routing Settings , Codecs Settings section.

9. Click <OK> button to fix changes.

10. To change the preference order for Incoming VOIP Call Routing rules use Move Up and Move Down commands. One of the entries should be selected.

11. Click <Apply> button to save modified settings for Incoming VOIP Call Routing. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage Incoming Call Routing rules

To manage Incoming VOIP Call Routing rules

Fax Voip Control Panel ›› VOIP ›› Incoming VOIP Call Routing ››

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. To change the preference order for Incoming VOIP Call Routing rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Incoming VOIP Call Routing Settings

Fax Voip Control Panel ›› VOIP ›› Incoming VOIP Call Routing ››

This section provides information about settings, that you can do in the VOIP Incoming Call Routing rule dialog.

  • General Settings
  • Fax Settings
  • Codecs Settings


General Settings

General Settings (Incoming VOIP Call Routing)

Fax Voip Control Panel ›› VOIP ›› Incoming VOIP Call Routing ›› Incoming VOIP Call Routing Settings ››

General Settings

VOIP Protocol

In this area you can select the type of incoming calls for which the rule applied. The rule can be applied to SIP, H.323 or ISDN CAPI 2.0 incoming calls.

SIP

If this option selected, the rule applies to incoming SIP calls.

H.323

If this option selected, the rule applies to incoming H.323 calls.

ISDN CAPI 2.0

If this option selected, the rule applies to incoming ISDN CAPI 2.0 calls.

VOIP Call From

The settings in this area allow to specify the first part of route pattern, for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number (username) or from a group of phone numbers. At the same time, the SIP/H.323 rule can be applied to incoming calls from any SIP or H.323 endpoint or only to incoming calls from specified SIP/H.323 endpoint (SIP/H.323 server).

Prefixes

sip:

If this option selected, the rule applies to incoming SIP calls with sip: prefix in the first part of route pattern.

sips:

If this option selected, the rule applies to incoming SIP calls with sips: prefix in the first part of route pattern. The calls with sips: prefix are possible only if TLS transport is used.

tel:

If this option selected, the rule applies to incoming SIP calls with tel: prefix in the first part of route pattern (TEL URI scheme).

From Number (Username) =

If this option selected, the rule applies to incoming calls from any number or from specified number (or username).

Select <any> to receive calls from any phone number.

Enter phone number (or username) to receive calls from this phone number (or username) only.

From Number (Username) starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

From VOIP Network

From VOIP Network option can be used only with incoming SIP and H.323 calls. Enter the name or IP-address of SIP or H.323 endpoint (SIP/H.323 server) to apply the rule to calls from this endpoint (server) only. <any> means that the rule applies to calls from any SIP or H.323 endpoint. Be careful using this field. For example, the name of the server is 'sip.myserver.com' and the port is 5060. In the SIP Registration table you can use 'sip.myserver.com' without adding port number. Nevertheless, in the case of incoming calls, the same server can insert the port number in the SIP address, ie pass the string 'sip.myserver.com:5060', or even send a different name or IP address. In this case you shoud enter 'sip.myserver.com:5060' in the From VOIP Network field. To understand the SIP URL structure you can use Enable Call Routing logging function. To activate Call Routing logging, in the Fax Voip Control Panel click Options to open Options and Logs panel, then check Enable Call Routing Logging (saving and restarting are needed).

VOIP Call To

The settings in this area allow to specify the second part of route pattern, for which this rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number (username) or to a group of phone numbers.

Prefixes

sip:

If this option selected, the rule applies to incoming SIP calls with sip: prefix in the second part of route pattern.

sips:

If this option selected, the rule applies to incoming SIP calls with sips: prefix in the second part of route pattern. The calls with sips: prefix are possible only if TLS transport is used.

tel:

If this option selected, the rule applies to incoming SIP calls with tel: prefix in the second part of route pattern (TEL URI scheme).

To Number (Username) =

If this option selected, the rule applies to incoming calls to any number or to specified number (or username).

Select <any> to receive calls addressed to any phone number.

Enter phone number (or username) to receive calls to this phone number (or username) only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number (or username) can be selected from the drop-down list.

To Number (Username) starts with

If this option selected, the rule applies to incoming calls from to the group of phone numbers with specified prefix. For example in the case of prefix '2' (see the picture below), the rule will be applied to incoming calls to 200,201,2000,2001 ,...,, but will not be applied to incoming calls to 100,301,4002 ...

Call To Fax Voip Line

The settings, specified in this area, allow you to route calls to Virtual COM Ports (modems), to built-in lines with T.38 support, to built-in lines as audio fax or to built-in lines as CAPI fax. In the case of Virtual COM Ports (modems) the specified prefix can be added to the destination phone number. Faxes, routed to the built-in lines, are saved using the tiff, pdf or sff file format and can be viewed in the Fax Voip Console. When routing the call to Built-in VOIP/ISDN Fax Lines, Fax Voip also allows to use Fax-on-Demand function, that is to send a specified fax to caller.

To Modem Line to Number =

Use this option if you want to route calls to Virtual COM Ports (modems) without changing the dialed number, or if you want to route calls to Virtual COM Ports (modems) to a specified number.

Select <NUM> to route calls without changing the destination number.

Enter the phone number to route all calls to that number. Note, that this option overrides Called Number (DID). See also Caller ID Settings (Incoming Modem Calls) chapter of this user manual.

To Modem Line with Prefix

Use this option to add a specified prefix to the destination number. This can be used together with Incoming Modem Call Routing feature to route different groups of incoming calls (depending on the prefix to be added) to different Virtual COM Ports (modems). Note, that this option overrides Called Number (DID). See also Caller ID Settings (Incoming Modem Calls) chapter of this user manual.

Receive Faxes as Files

Use this option to route incoming calls to built-in lines. Faxes, routed to the built-in lines, are saved using the tiff, pdf or sff file format and can be viewed in the Fax Voip Console.

T.38 support

Use this option to receive T.38 faxes via built-in lines. Fax Voip sends T.38 re-Invite immediately after the connection is established. If the other party answers 'not supported', Fax Voip switches to audio fax and receives the fax as audio. This option can not be used with incoming ISDN CAPI 2.0 calls.

G.711 (audio)

Use this option to receive faxes as audio via built-in lines.

CAPI Fax

Use this option to receive CAPI faxes via built-in lines according to CAPI 2.0 specification. This option can be used only with rules that applies to ISDN CAPI 2.0 incoming calls.

Send a fax (fax on demand)

Use this option to route incoming calls to built-in lines and to use Fax-on-Demand function. Fax Voip sends a specified fax to caller.

T.38 support

Fax Voip trying to send a fax using T.38. If the other party answers 'not supported', Fax Voip switches to audio fax and sends the fax as audio. Note that Fax Voip can send T.38 re-invite or to wait for T.38 re-invite, see in the Fax Settings . This option can not be used with incoming ISDN CAPI 2.0 calls.

G.711 (audio)

Use this option to send a fax as audio (Fax-on-Demand function).


Fax Settings

Fax Settings (Incoming VOIP Call Routing)

Fax Voip Control Panel ›› VOIP ›› Incoming VOIP Call Routing ›› Incoming VOIP Call Routing Settings ››

Fax Settings (VOIP)

Fax Settings (ISDN CAPI 2.0)

Fax Support

Fax Mode applied to the current rule.

G.711 audio fax

Check this option to receive faxes as audio.

T.38 fax

Check this option to receive faxes as T.38. This option can be used only with incoming calls via SIP or H.323 line.

Detect T.38 re-invite

If this option is checked, Fax Voip wait for T.38 re-Invite from the other side. If this option is unchecked, Fax Voip sends T.38 re-Invite immediately after the connection is established. This option can be used only with incoming calls via SIP or H.323 line.

Send T.38 re-invite (with Fax-on-Demand only)

This option can be used only with incoming calls via SIP or H.323 line.

If this option is checked, Fax Voip sends T.38 re-Invite immediately after the connection is established.

If this option is unchecked, Fax Voip waits for T.38 re-invite from the other side.

CAPI fax (B3 protocol 4 or 5)

Check this option to receive faxes according to CAPI 2.0 specification. This option can be used only with incoming calls via ISDN CAPI 2.0 line using built-in lines.

G.711 Audio Fax Settings

The options, specified in this area, allow you to override default ECM and Maximum bitrate settings for audio fax.

Maximum bitrate

Use this option to change Maximum bitrate. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overrides the default maximum bitrate, specified in the “Fax=>ECM/Rate=>Modem(COM port) lines=>G711 audio fax=>Maximum bitrate” field (in the case of Virtual COM Ports) or in the “Fax=>ECM/Rate=>Built-in lines=>G711 audio fax=>Reception=>Maximum bitrate” field (in the case of built-in lines).

Use default

To change Maximum bitrate, uncheck this option. If this option is checked, the default Maximum bitrate value is used.

Error Correction Mode

Possibility to use Error Correction Mode. This option overrides the default settings, specified in the “Fax=>ECM/Rate=>Modem(COM port) lines=>G711 audio fax=>ECM” (in the case of Virtual COM Ports) or in the “Fax=>ECM/Rate=>Built-in lines=>G711 audio fax=>Reception=>ECM” (in the case of built-in lines).

Use default

To change default Error Correction Mode settings, uncheck this option. If this option is checked, the default settings are used.

T.38 Fax Settings

The options, specified in this area, allow you to override default ECM, Maximum bitrate and T.38 Redundancy settings for T.38 fax.

Maximum bitrate

Use this option to change Maximum bitrate. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overrides the default maximum bitrate, specified in the “Fax=>ECM/Rate=>Built-in lines=>T38 fax=>Reception=>Maximum bitrate” field (in the case of built-in lines). In the case of Virtual COM Ports (modems) T.38 MaxRate is always set to 14400.

Use default

To change Maximum bitrate, uncheck this option. If this option is checked, the default Maximum bitrate value is used.

Error Correction Mode

Possibility to use Error Correction Mode. This option overrides the default settings, specified in the “Fax=>ECM/Rate=>Built-in lines=>T38 fax=>Reception=>ECM” (in the case of built-in lines). In the case of Virtual COM Ports (modems), Error Correction Mode is always possible when T.38 fax mode is used.

Use default

To change default Error Correction Mode settings, uncheck this option. If this option is checked, the default settings are used.

T.38 Redundancy

The options, specified in this area, allow you to override the default T.38 Redundancy settings.

Indication

Specifies the number of redundant T.38 fax packets to be sent to indicate CNG, CED tones, no signal. Ranges varies from 0 (no redundancy) to 5.

LS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for the low-speed V.21-based T.30 fax machine protocol. Low speed is used during the fax negotiation phase which is done at 300 Bps and is most likely to be affected by bad QoS. Ranges varies from 0 (no redundancy) to 5.

HS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for high-speed V.17, V.27, and V.29 T.4 or T.6 fax machine image data. High speed is used during the transmission phase which is done between 2400 Kbps and 14400 Kbps. Although bad QoS will deteriorate image quality, a few missing scan lines ultimately does not effect the human's perception of the received image. Ranges varies from 0 (no redundancy) to 5. Note that HS-Redundancy does not really affect incoming faxes, because the receiving party does not send high-speed IFP packets.

Use default

To change default SIP (or H.323) T.38 Redundancy settings, uncheck this option. If this option is checked, the default SIP (or H.323) T.38 Redundancy settings are used.

CAPI Fax Settings (B3 protocol 4 or 5)

The options, specified in this area, allow you to select B3 Protocol to be used with CAPI fax, override default ECM, Maximum bitrate and Resolution settings for CAPI fax.

B3 Protocol

Use this option to change B3 Protocol to be used. You can select 4: T.30 for Group 3 fax or 5: T.30 for Group 3 fax extended. Using of B3 Protocol 5 provides more possibilities. B3 Protocol 5 allows you to disable ECM (Error Correction). Moreover, using of B3 Protocol 5 provides more accurate statistics when receiving a fax. In particular, the statistical data is transmitted via CONNECT_B3_ACTIVE_IND CAPI 2.0 message in the beginning of faxing, and not only via DISCONNECT_B3_IND message like we have in the case of using B3 Protocol 4. It is recommended to use B3 Protocol 5 if possible. This option overrides the default B3 Protocol, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax=>CAPI Fax Reception=>B3 Protocol” field.

Use default

To change B3 Protocol, uncheck this option. If this option is checked, the default B3 Protocol is used.

Maximum bitrate

Use this option to change Maximum bitrate. Maximum bitrate can be limited by any value from 2400 up to 14400. The value 0:adaptive means that maximum bitrate is not limited. This option overrides the default maximum bitrate, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax =>CAPI Fax Reception=>Maximum bitrate” field.

Use default

To change Maximum bitrate, uncheck this option. If this option is checked, the default Maximum bitrate value is used.

Disable ECM (B3 Protocol 5 only)

Possibility to disable Error Correction Mode. This option overrides the default settings, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax=>CAPI Fax Reception=>Disable Error Correction”. In the case of using B3 Protocol 4, this option is not applicable.

Use default

To change default Error Correction Mode settings, uncheck this option. If this option is checked, the default settings are used.

Enable High Resolution

Check this option if you want to have possibility to receive faxes in High Resolution (203x196 dpi). If this option is unchecked, CAPI faxes will always be received using Standard Resolution (203x96 dpi). This option overrides the default settings, specified in the “VOIP=>ISDN CAPI 2.0=>CAPI Fax=>CAPI Fax Reception=>Enable High Resolution”.

Use default

To change default Enable High Resolution settings, uncheck this option. If this option is checked, the default settings are used.

Fax Station ID

Fax Station Id option is used only with built-in lines. This option overrides the default Fax Station ID, specified in the “Fax=>Fax Station ID (default)” field.

Use default

To change Fax Station Id, uncheck this option. If this option is checked, the default Fax Station Id is used.

Fax HeadLine (with Fax-on-Demand only)

Fax HeadLine option is used only with built-in lines in the case of applying Fax-on-Demand function (fax sending). This option overrides the default Fax HeadLine, specified in the “Fax=>Fax HeadLine (default)” field.

Use default

To change Fax HeadLine, uncheck this option. If this option is checked, the default Fax HeadLine is used.

Notes

  • When receiving a fax via ISDN CAPI 2.0 line using Virtual COM Ports (modems), G.711 audio fax mode is always used.


Codecs Settings

Codecs Settings (Incoming VOIP Call Routing)

Fax Voip Control Panel ›› VOIP ›› Incoming VOIP Call Routing ›› Incoming VOIP Call Routing Settings ››

Codecs Settings

Use default

To override the default Voice Codecs configuration, uncheck this option. If this option is checked, the default Voice Codecs specified in the “VOIP=>SIP=>Codecs=>Selected Codecs” panel or in the “VOIP=>H.323=>Codecs=>Selected Codecs” panel are used.

Voice Codecs

This panel shows Voice Codecs configuration applied to the current rule. Voice Codecs applied to the current rule are checked and arranged in the preference order. Note, that preference order is only used, if Apply codec preference order option is checked.

Apply codec preference order

The Apply codec preference order option can be used only with incoming SIP calls. This option indicates if codec preference order applies to incoming calls. There is no possibility to override this option in the Incoming Call Routing rule. Another words, the default option specified in the “SIP=>Codecs=>Selected Codecs=>Apply codec preference order to incoming calls” is always used.

Use default

This option is always checked and indicates that default Apply codec preference order value is always used.

To add Voice Codec, check it. To remove Voice Codec from configuration, uncheck it.

<Up> and <Down>

Use these buttons to change preference order for the selected audio codecs.

Notes

  • Dummy G.729* codec enables to report G.729 Audio Codec support for Fax T.38 Gateways that do not support G.711 and other supported audio formats; use this codec only for resolving compatibility issue.
  • When receiving a call via ISDN CAPI 2.0 line default G.711 codec is always used.


Virtual COM Ports and Modems

Fax Voip Control Panel ››

  • Virtual COM Ports and Modems
  • Outgoing Modem Call Routing
  • Incoming Modem Call Routing Settings
  • Voice Modem Functionality and DTMF Detection
  • Caller ID Settings (Incoming Modem Calls)


COM Ports and Modems

Virtual COM Ports and Modems

Fax Voip Control Panel ›› Virtual COM Ports and Modems ››

Depending on your selection of the Virtual COM Port Driver to be used with Fax Voip modem lines, the information displayed and features will vary.

Fax Voip Driver for Virtual COM ports

Use Fax Voip COM Ports Driver

When this option selected, Fax Voip operates via Fax Voip Virtual COM Ports.

Use 3 rd Party COM Ports Driver

When this option selected, Fax Voip operates via 3 rd party Virtual COM Ports. For example, Eltima Virtual Serial Port Driver or Eterlogic.com Virtual Serial Ports Emulator can be used.

<Add/Remove>

Use this button to Add/Remove Fax Voip lines based on the Fax Voip Virtual COM Ports Driver. To change Virtual COM Ports configuration, administrator privileges are required.

<Modems>

Use this button to view, add or remove modems, attached to Fax Voip Virtual COM Ports. Fax Voip installs Fax Voip 14.4K TAPI Voice-Fax Modem driver for modems. Compared with the standard modem driver, this driver provides support for Caller ID Number and Caller ID Name. Starting with version 7.1.1 Voice Commands are supported by the Fax Voip modem driver via TAPI and not only in the passthrough mode as it was in the previous versions. To add modems using Phone and Modems option in the Windows Control Panel not recommended. To change modems configuration, administrator privileges are required.

Number of lines

In this field you can see the number of Fax Voip Virtual COM Ports, installed in your system.

3 rd party Driver for Virtual COM ports

As an alternative, is allowed to use Virtual COM Ports drivers developed by other manufacturers. The Select COM ports connected to Fax Voip directly panel shows all the COM ports available on your system (both physical and virtual). Fax Voip does not impose any restrictions on the use of third-party Virtual COM Port drivers. Thus it is impossible to know programmatically whether the port is virtual or physical and which ports are virtual pair. The exceptions are the Fax Voip Virtual COM Ports created by the native Fax Voip driver. Fax Voip Virtual COM Ports are not shown in this panel in the Use 3rd Party Drivers for Virtual COM Ports mode. You should be extremely careful during ports selection.

Use Fax Voip COM Ports Driver

When this option selected, Fax Voip operates via Fax Voip Virtual COM Ports.

Use 3 rd Party COM Ports Driver

When this option selected, Fax Voip operates via 3 rd party Virtual COM Ports. For example, Eltima Virtual Serial Port Driver or Eterlogic.com Virtual Serial Ports Emulator can be used.

<Modems>

Use this button to view, add or remove modems. Fax Voip installs Fax Voip 14.4K TAPI Voice-Fax Modem driver for modems. Compared with the standard modem driver, this driver provides support for Caller ID Number and Caller ID Name. Starting with version 7.1.1 Voice Commands are supported by the Fax Voip modem driver via TAPI and not only in the passthrough mode as it was in the previous versions. To add modems using Phone and Modems option in the Windows Control Panel not recommended. To change modems configuration, administrator privileges are required.

Number of lines

In this field you can see the Number of selected 3 rd party Virtual COM Ports, specified to operate with Fax Voip.

Notes

  • Real number of Virtual COM Ports (modems), that you can use, depends on your current license. In trial mode you can use only the first two ports.
  • Starting with version 6.1.1 Fax Voip comes with its own digitally signed Virtual COM port driver that is fully compatible with 64-bit versions of Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008/2008R2. The possibility to use third-party drivers currently not removed, but usually there is no real need to use this feature.
  • Possibility to operate with third-party Virtual COM Port drivers depends on the compatibility of third-party software with the operating system that you use. Examples of usage are discussed in details in the Using Fax Voip with 3-rd party Virtual COM Port Soft chapter of this guide.


Add/Remove Fax Voip COM ports

To Add/Remove Fax Voip Virtual COM ports

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ››

1. Open Fax Voip Control Panel.

2. Click Ports and Modems in TreeView, then click <Add/Remove> button.

3. In the warning dialog click <Yes> to stop Fax Voip Service (Fax Voip application).

4. In the Select Ports dialog check ports that you want to add or (and) uncheck ports that you want to remove.

5. Click <OK>. To change Virtual COM Ports configuration, administrator privileges are required.

6. The wizard will automatically install the Fax Voip 14.4K TAPI Voice-Fax Modem driver for each new COM port. The standard Unimodem Full-Duplex Audio Device driver is automatically installed by Windows when installing modem driver. When you delete a COM port, the modem attached to this port is automatically deleted.

7. If you increase the total number of virtual COM ports, the wizard adds new virtual devices, and initializes the driver update procedure.

8. On systems earlier than Windows 8 notifications about installing drivers for new devices are usually displayed in the system tray. The information displayed in the tray depends on the operating system.

9. After finishing of installation you will see a notification that device drivers successfully installed.

10. You can click on the message in the system tray to see the details of installation.

11. At the final step, Fax Voip displays an updated list of Virtual COM Ports and Modems, and shows the restart your computer dialog.

12. Click <Restart Now> button to reboot the computer.

Notes

  • When you add new Virtual COM Ports (and modems), Windows updates drivers for all previously installed ports. If the total number of Virtual COM Ports is large, updating drivers may require significant time, even if you add one or two ports. Note that starting with version 6.5.1 Fax Voip no longer updates drivers for previously installed modems.
  • Real number of Virtual COM Ports (modems), that you can use, depends on your current license. In trial mode you can use only the first two ports.
  • You may install any number of Virtual COM Ports (up to 100), regardless of your current license. Nevertheless, the installation of a large number of unused ports is not recommended.
  • Rebooting the operating system after changing the configuration of Virtual COM Ports is not always necessary. Nevertheless, it is not recommended to ignore this step, because some programs may not properly interact with the modem drivers immediately after installation.
  • For Windows Fax Service / Windows Fax and Scan users, when adding Fax Voip Virtual COM Ports (modems), you should manually configure the fax service with the newly installed modems. Alternatively, you can use the Configure Fax Service command in the Ribbon, see more details in the To configure Fax Service using Fax Voip Control Panel chapter of this user manual.


Add/Remove Modems

To Add/Remove Fax Voip Modems

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ››

You can install, uninstall or reinstall the modem drivers without changing the current configuration of Virtual COM Ports.

1. Open Fax Voip Control Panel.

2. Click Ports and Modems in TreeView, then click <Modems> button.

3. In the warning dialog click <Yes> to stop Fax Voip Service (Fax Voip application).

4. To install new modems or reinstall modem drivers, in the Configuring Modems dialog select COM ports for which you want to install or reinstall modems, then click <Install Modem> button. To delete modems, select COM ports for which you want to delete modems, then click <Remove Modem> button. To change modems configuration, administrator privileges are required.

5. In the Modem Installing dialog box click <OK> to confirm modems installation/deletion.

6. The wizard will automatically install the Fax Voip 14.4K TAPI Voice-Fax Modem driver for each selected COM port. The standard Unimodem Full-Duplex Audio Device driver is automatically installed by Windows when installing modem driver. The Phone and Modem dialog appears for information purposes only.

7. After finishing of installation, Fax Voip displays an updated list of Modems. Click <OK> button to close Configuring Modems window.

8. At the final step, Fax Voip displays an updated list of Virtual COM Ports and Modems, and shows the restart your computer dialog.

9. Click <Restart Now> button to reboot the computer.

Notes

  • Fax Voip installs Fax Voip 14.4K TAPI Voice-Fax Modem driver for modems. Compared with the standard modem driver, this driver provides support for Caller ID Number and Caller ID Name. Starting with version 7.1.1 Voice Commands are supported by the Fax Voip modem driver via TAPI and not only in the passthrough mode as it was in the previous versions. To add modems using Phone and Modems option in the Windows Control Panel not recommended.
  • Note that starting with version 6.5.1 Fax Voip no longer updates drivers for previously installed modems.
  • Rebooting the operating system after changing the configuration of modems is not always necessary. Nevertheless, it is not recommended to ignore this step, because some programs may not properly interact with the modem drivers immediately after installation.
  • For Windows Fax Service / Windows Fax and Scan users, when adding Fax Voip modems, you should manually configure the fax service with the newly installed modems. Alternatively, you can use the Configure Fax Service command in the Ribbon, see more details in the To configure Fax Service using Fax Voip Control Panel chapter of this user manual.


Using Fax Voip with 3-rd party Virtual COM Ports

Using Fax Voip with 3-rd party Virtual COM Port Soft

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ››

To connect Fax Voip to standard fax software, Virtual COM Ports drivers developed by other manufacturers can be used. Communication is done via a Virtual COM Port Pair that emulates a null modem cable. All that you need to do is to create a Virtual COM Port Pair in your system (for example COM10<>COM11). After that, you should specify the “First port” (COM10) in the Fax Voip settings, and the “Second port” (COM11) in the settings of your fax program. Alternatively, you can attach Fax Voip 14.4K TAPI Voice-Fax Modem driver to the “Second port” and to configure your fax software to use this modem.

As for 3rd party drivers, we can recommend Eltima Virtual Serial Port Driver and Eterlogic.com Virtual Serial Ports Emulator . May also use other drivers, but should take into account that not all manufacturers support the fax transmission with Serial Port emulation. Below is a comparative table for the considered drivers.

Virtual Serial Port Driver Manufacturer | Windows 10 / 8 / 7 / XP / 2003 / Vista / 2019 / 2016 /2012 / 2008 support | Windows XP / 2003 x64 Edition support | Windows 10 / 8 / 7 / Vista / 2019 / 2016 / 2012 / 2008 x64 Edition support | Virtual COM-port interface for Fax Program | Possibility to operate via modem driver | License
FaxVoip Software | YES | YES | YES | YES | YES | Part of Fax Voip
Eltima Software | YES | YES | YES | YES | YES | NOT FREE 14-days Eval.
ETERLOGIC.COM | YES | YES | YES | YES | NO | FREE for 32-bit, NOT FREE For 64-bit, testing is possible

Notes

  • Starting with version 6.1.1 Fax Voip comes with its own digitally signed Virtual COM port driver that is fully compatible with 64-bit versions of Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008/2008R2. The possibility to use 3rd party drivers currently not removed, but there is usually no real need to use this feature.


Using Fax Voip with Eltima Driver

Using Fax Voip with Eltima Virtual Serial Port Driver

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ›› Using Fax Voip with 3-rd party Virtual COM Ports ››

You can use Eltima Virtual Serial Port Driver instead of native Fax Voip driver to connect Fax Voip to your standard fax software. You can use a direct connection “via COM port", or connection through the virtual Fax Voip 14.4K TAPI Voice-Fax Modem.

To download and install Eltima Virtual Serial Port Driver please visit Eltima Software website. Or you can download software from Fax Voip website .

To configure, follow the instructions below:

  • To create Eltima Virtual Serial Port Pair
  • To configure Fax Voip with Virtual COM Port Pair
  • To attach modem to Virtual COM Port Pair
  • To configure Fax Software


Create Eltima Virtual Serial Port Pair

To create Eltima Virtual Serial Port Pair

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ›› Using Fax Voip with 3-rd party Virtual COM Ports ›› Using Fax Voip with Eltima Driver ››

The example below shows how to create Virtual COM Port Pair (COM10<>COM11) using Eltima Virtual Serial Port Driver .

1. Download and install Eltima Virtual Serial Port Driver .

2. Click Launch Virtual Serial Port Driver shortcut on your desktop.

3. On the left pane select Pair, and then click <Add a new pair> button.

4. Select the First Port (COM10) and the Second Port (COM11). Click <Create> button.

5. Verify that the ports COM10 and COM11 have been successfully installed on your system.

Virtual ports COM10 and COM11 are connected with each other via virtual Null-modem cable. Now you can use them to operate with Fax Voip modem line.


Using Fax Voip with Eterlogic.com Emulator

Using Fax Voip with Eterlogic.com Virtual Serial Ports Emulator

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ›› Using Fax Voip with 3-rd party Virtual COM Ports ››

You can use Eterlogic.com Virtual Serial Ports Emulator instead of native Fax Voip driver to connect Fax Voip to your standard fax software. You can use a direct connection “via COM port".

To download and install Virtual Serial Ports Emulator please visit from ETERLOGIC.COM website. Or you can download software from Fax Voip website .

To configure, follow the instructions below:

  • To create Eterlogic.com Virtual Serial Port Pair
  • Autorun: To start Eterlogic.com VSPE using command line shortcut
  • Autorun: To run Eterlogic.com VSPE as service
  • To configure Fax Voip with Virtual COM Port Pair
  • Checking the existence of COM Ports at Fax Voip startup
  • To configure Fax Software

Notes

  • To operate with Eterlogic.com emulation via Fax Voip 14.4K TAPI Voice-Fax Modem driver is not possible. If your fax application requires a modem driver installed, use Eltima Virtual Serial Ports (see more details in the Using Fax Voip with Eltima Virtual Serial Port Driver chapter of this guide).


Create Eterlogic.com Virtual Serial Port Pair

To create Eterlogic.com Virtual Serial Port Pair

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ›› Using Fax Voip with 3-rd party Virtual COM Ports ›› Using Fax Voip with Eterlogic.com Emulator ››

The example below shows how to create Virtual COM Port Pair (COM10<>COM11) using Eterlogic.com Virtual Serial Ports Emulator .

1. Download and install Eterlogic.com Virtual Serial Ports Emulator (VSPE).

2. Start VSPE program.

3. On the Device menu, click Create.

4. In the Device type field select Pair. Then click <Next> button.

5. Select Virtual serial port 1 (COM10) and Virtual serial port 2 (COM11). Click <Finish> button.

6. Verify that the ports COM10 and COM11 have been successfully installed.

7. To save configuration file on the File menu, click Save as... . Remember config file location (for example it can be c:\config.vspe).

Virtual ports COM10 and COM11 are connected with each other via virtual Null-modem cable. You can use them to operate with Fax Voip modem line.

To run the emulation manually, just click on the configuration file (c:\config.vspe) in Windows Explorer.

Notes

  • Eterlogic.com Virtual Serial Ports Emulator is not started by default during system startup. Therefore, you need to pay special attention to configure the emulator to run automatically at startup. You can add a shortcut in the Windows Startup folder, or create VSPE_Service .


Autorun: Start Eterlogic.com VSPE using shortcut

Autorun: To start Eterlogic.com VSPE using command line shortcut

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ›› Using Fax Voip with 3-rd party Virtual COM Ports ›› Using Fax Voip with Eterlogic.com Emulator ››

If you want to automatically load VSPE Virtual COM Ports at Windows startup, please follow the steps shown below:

1. Create VSPE configuration and save it by clicking Save as... command on the File menu. Remember config file location (for example it can be c:\config.vspe).

2. Create windows shortcut. If you have installed VSPE at default location ("C:\Program Files\Eterlogic.com\Virtual Serial Ports Emulator") shortcut parameters should be as shown below:

      • Target: "C:\Program Files\Eterlogic.com\Virtual Serial Ports Emulator\VSPEmulator.exe" -minimize -hide_splash c:/config.vspe
      • Start in: "C:\Program Files\Eterlogic.com\Virtual Serial Ports Emulator"

3. Move created shortcut to the Start Menu\Programs\Startup folder.


Autorun: Run Eterlogic.com VSPE as service

Autorun: To run Eterlogic.com VSPE as service

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ›› Using Fax Voip with 3-rd party Virtual COM Ports ›› Using Fax Voip with Eterlogic.com Emulator ››

VSPE can be started as a service using one of App-to-service like programs. NSSM Service Manager tool can be used. You can download it from http://iain.cx/src/nssm or from Fax Voip website .

1. Download and install NSSM tool.

2. Create VSPE configuration and save it by clicking Save as... command on the File menu. Remember config file location (for example it can be c:\config.vspe).

3. Start cmd.exe with Run as Administrator option. Go to NSSM folder and run nssm install VSPE_Service.

4. Specify path to VSPEmulator.exe and configuration file and click <Install service> button.

5. If successful, you will see the Service successfully installed! message.

6. Run service using net start VSPE_Service command (use Run as Administrator option) or reboot your computer.


Configure Fax Voip with Virtual COM Port Pair

To configure Fax Voip with Virtual COM Port Pair

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ›› Using Fax Voip with 3-rd party Virtual COM Ports ››

The example below shows how to configure Fax Voip to operate with 3rd Party Virtual COM Ports. It is assumed that two Virtual COM Port Pairs already installed on your system, as shown in the picture below. The first pair: COM10<>COM11. The second pair: COM12<>COM13.

To configure Fax Voip do the following:

1. Open Fax Voip Control Panel.

2. Click Ports and Modems in TreeView, then select Use 3rd Party COM Ports Driver.

3. In the Select COM ports connected to Fax Voip directly panel, check First port COM10 from COM10<>COM11 pair and First port COM12 from COM12<>COM13 pair.

4. Click <Apply> button to apply settings. Then click <STOP> button and <START> button to restart Fax Voip.

You now can access Fax Voip modem lines via Second port COM11 from COM10<>COM11 pair and via Second port COM13 from COM12<>COM13 pair using your standard fax software.

If your standard fax software requires a modem driver, you need to attach Fax Voip 14.4K TAPI Voice-Fax Modem to Second port COM11 from COM10<>COM11 and to Second port COM13 from COM12<>COM13 pair. See in the To attach modem to Virtual COM Port Pair chapter of this user manual.


Check for COM Ports at startup

Checking the existence of COM Ports at Fax Voip startup

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ›› Using Fax Voip with 3-rd party Virtual COM Ports ››

In some implementations of Virtual COM Ports drivers, for example in the case of Eterlogic.com Virtual Serial Ports Emulator , Virtual COM Ports are not constantly present in the system. It is necessary to run a supplied application to start emulation. Usually emulation started at the time of operating system startup. See examples in the Autorun: To start Eterlogic.com VSPE using command line shortcut and Autorun: To run Eterlogic.com VSPE as service chapters of this user manual. Using this scheme it may happen that Fax Voip does not detect port at startup. The proposed option allows to wait for loading port emulation up to 10 seconds.

1. Open Fax Voip Control Panel.

2. Click Options in TreeView.

3. Check the Check for COM ports at startup option. This option allows to wait until VSPE will be running maximum 10 seconds during Fax Voip application starting. Used in conjunction with the autorun of VSPE at system startup. The point is that if you start Fax Voip without VSPE running, then Fax Voip will be unavailable to VSPE. Note, that this option is not compatible with the Run Fax Voip as Windows service option.

4. Click <Apply> button to apply settings.

Notes

  • You do not need to use this option when working with Eltima Virtual Serial Port Driver .


Attach modem to Virtual COM Port Pair

To attach modem to Virtual COM Port Pair

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ›› Using Fax Voip with 3-rd party Virtual COM Ports ››

The example below shows how to install modem driver when Fax Voip is configured to operate with 3rd Party Virtual COM Ports. It is assumed that two Virtual COM Port Pairs already installed on your system. The first pair: COM10<>COM11. The second pair: COM12<>COM13. It is also assumed that First port COM10 from COM10<>COM11 pair and First port COM12 from COM12<>COM13 pair are connected to Fax Voip, see in the chapter To configure Fax Voip with Virtual COM Port Pair of this user manual. The Fax Voip 14.4K TAPI Voice-Fax Modem should be attached to Second port COM11 from COM10<>COM11 and to Second port COM13 from COM12<>COM13 pair.

To install modems do the following:

1. Open Fax Voip Control Panel.

2. Click Ports and Modems in TreeView, check that the Use 3rd Party Drivers for Virtual COM Ports option is selected.

3. Click <Modems> button.

4. In the warning dialog click <Yes> to stop Fax Voip Service (Fax Voip application).

5. In the Configuring Modems dialog select COM ports for which you want to install modems. In our example you should attach the first modem to the Second port COM11 from COM10<>COM11 pair and the second modem to the Second port COM13 from COM12<>COM13 pair. Be careful when selecting ports. In the case of using third-party driver for Virtual COM Ports, Fax Voip displays all ports existing in your system, except ports selected in the panel Select COM ports connected to Fax Voip directly (Fax Voip "side" of Virtual COM Port Pair) and ports created by the native Fax Voip driver (if such ports exist in your system). In the case of our example, COM10 and COM12 will not be displayed.

6. Click <Install Modem> button. To change modems configuration, administrator privileges are required.

7. In the Modem Installing dialog box click <OK> to confirm modems installation.

8. The wizard will automatically install the Fax Voip 14.4K TAPI Voice-Fax Modem driver for each selected COM port. The standard Unimodem Full-Duplex Audio Device driver is automatically installed by Windows when installing modem driver. The Phone and Modem dialog appears for information purposes only.

9. After finishing of installation, Fax Voip displays an updated list of modems. Click <OK> button to close Configuring Modems window.

10. At the final step, Fax Voip shows the restart your computer dialog.

11. Click <Restart Now> button to reboot the computer.

Notes

  • Fax Voip installs Fax Voip 14.4K TAPI Voice-Fax Modem driver for modems. Compared with the standard modem driver, this driver provides support for Caller ID Number and Caller ID Name. Starting with version 7.1.1 Voice Commands are supported by the Fax Voip modem driver via TAPI and not only in the passthrough mode as it was in the previous versions. To add modems using Phone and Modems option in the Windows Control Panel not recommended.
  • Note that starting with version 6.5.1 Fax Voip no longer updates drivers for previously installed modems.
  • Rebooting the operating system after changing the configuration of modems is not always necessary. Nevertheless, it is not recommended to ignore this step, because some programs may not properly interact with the modem drivers immediately after installation.
  • For Windows Fax Service / Windows Fax and Scan users, when adding Fax Voip modems, you should manually configure the fax service with the newly installed modems. Alternatively, you can use the Configure Fax Service command in the Ribbon, see more details in the To configure Fax Service using Fax Voip Control Panel chapter of this user manual.


Configure Fax Software

To configure Fax Software

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› COM Ports and Modems ›› Using Fax Voip with 3-rd party Virtual COM Ports ››

The examples below shows how to configure standard fax software to operate with Fax Voip when 3rd Party Virtual COM Ports are used.

It is assumed that Virtual COM Port Pair COM10<>COM11 already installed on your system.

It is also assumed that First port COM10 from COM10<>COM11 pair is connected to Fax Voip, see in the chapter To configure Fax Voip with Virtual COM Port Pair of this user manual.

Also assumed that the Fax Voip 14.4K TAPI Voice-Fax Modem attached to Second port COM11 from COM10<>COM11 pair, see in the chapter To attach modem to Virtual COM Port Pair of this user manual.

To connect using direct connection to COM Port

Configure your fax software to use the Second port COM11 from COM10<>COM11 pair.

To connect using modem driver

Configure your fax software to use Fax Voip 14.4K TAPI Voice-Fax Modem attached to the Second port COM11 from COM10<>COM11 pair.

Notes

  • To operate with Eterlogic.com emulation via Fax Voip 14.4K TAPI Voice-Fax Modem driver is not possible. If your fax application requires a modem driver installed, use Eltima Virtual Serial Ports (see more details in the Using Fax Voip with Eltima Virtual Serial Port Driver chapter of this guide).


Outgoing Modem Call Routing

Fax Voip Control Panel ›› Virtual COM Ports and Modems ››

Fax Voip supports posibility to set different rules for Outgouing Calls from different Virtual COM Ports (modems). Outgoing Modem Call Routing panel allows you to view a set of Outgoing VOIP Call Routing rules for a single Virtual COM Port (modem).

To view rules for a single modem line, in the Line combobox select COM port, associated with this line. In the above picture you can see a set of rules applied to modem line associated with COM21. Note that in the case of using native Fax Voip driver for Virtual COM Ports, Fax Voip shows external ports (connected to the fax program). In the case of using 3rd party driver for Virtual COM Ports, Fax Voip shows internal ports (connected to the Fax Voip application).

To add/delete/modify the Outgoing Call Routing rules for selected Virtual COM Port, it is necessary to modify rules in the VOIP->Outgoing Plan panel. Doing this, pay attention to the From Line field.

Notes

  • Rules for Fax Voip built-in VOIP/ISDN Fax/Audio Lines can not be displayed in this panel.


Incoming Modem Call Routing

Fax Voip Control Panel ›› Virtual COM Ports and Modems ››

Incoming Modem Call Routing feature allows you to configure individual settings for Incoming Calls for each Virtual COM Port (modem). Allowed: to accept incoming calls addressed to any number, accept incoming calls addressed to only the numbers with a specified prefix or deny incoming calls. The simultaneous use of the Incoming VOIP Call Routing and Incoming Modem Call Routing allows to make very flexible settings for Incoming Calls. Note that in the case of using native Fax Voip driver for Virtual COM Ports, Fax Voip shows external ports (connected to the fax program). In the case of using 3rd party driver for Virtual COM Ports, Fax Voip shows internal ports (connected to the Fax Voip application).

Incoming Modem Call Routing panel shows the following information:

COM Port

COM port number associated with virtual modem line

Rule for incoming calls

Possible options are:

      • To receive Incoming Calls addressed to any number.
      • To receive Incoming Calls addressed to only the numbers with a specified prefix.
      • Do not receive Incoming Calls.

The following command is available:

<Edit> (or double-click selected entry)

Use this button to edit Incoming Modem Call Routing rule. You should select one of the entries before using this button.

Notes

  • You can also do the above action by selecting the Edit command from the context menu of the list.


To edit rules for Incoming Modem Calls

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› Incoming Modem Call Routing ››

1. Open Fax Voip Control Panel.

2. Click Ports and Modems in TreeView, then click Incoming Plan.

3. To edit the Incoming Modem Call Routing rule, select COM port and click <Edit> button (or double-click the selected COM port). Note, that in the case of using Fax Voip driver for Virtual COM Ports, Fax Voip shows external ports (connected to the fax program). In the case of using 3rd party driver for Virtual COM Ports, Fax Voip shows internal ports (connected to Fax Voip application).

4. In the Modem Incoming Call Routing Rule dialog select Receive incoming calls to any number option, if you want to have possibility to receive Incoming Calls to any numbers to the selected port.

5. If you want to receive Incoming Calls to numbers with specified prefix only, select Receive incoming calls to numbers with Prefix option and enter the prefix in the combobox.

6. If you do not want to receive Incoming calls to selected port, select Do not receive incoming calls option.

7. Click <OK> button to fix changes.

8. Click <Apply> button to save modified settings for Incoming Modem Call Routing. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Voice Modem Functionality and DTMF Detection

Fax Voip Control Panel ›› Virtual COM Ports and Modems ››

Voice Modem Functionality is supported with Fax Voip Virtual COM Ports (modems). Fax Voip can operate not only with faxes, but also with voice messages.

Voice Modem Functionality – possibility to operate as Voice Modem. In other words, the following functions are possible:

  • Playing a voice message to the telephone line.
  • Recording the voice from the telephone line.

In the recording process, a modem transforms sound signals into digital Voice Data Format . When playing a voice message, a modem transforms digital signals into sound signals.

Facsimile Command Set is used to control the Fax Functions. Fax Voip operates as Fax Class 1.

Voice Command Set is used to control the Voice Functions.

DTMF Detection feature allows to recognize the DTMF signals in the Voice mode. This can be used when operating with voice and fax mailboxes.

Voice Data Formats and Voice Command Sets supported by Fax Voip are discussed below.

Starting with version 7.1.1 Voice Modem Functionality are supported by the Fax Voip 14.4K TAPI Voice-Fax Modem driver via TAPI and not only in the passthrough mode as it was in the previous versions.

Depending on the capabilities of your Voice-Fax-Modem software, Voice Modem Functionality and DTMF Detection allow to realize the following functions:

  • Answering Machine functionality
  • Voice announcement before fax sending or fax receiving
  • Sending of voice messages.
  • Operatinging with different systems for voice and fax (Voice and Fax mailboxes).
  • Remote answering machine control.
  • Listening to a telephone line through your computer speakers.

Due to the lack of common standards for voice modems, the behavior of different Voice-Fax-Modem programs may vary. In other words, voice modem functions can be supported in part. A full set of described voice features is supported in the case of using Fax Voip with Venta Fax & Voice program. A detailed description of how to configure the Venta Fax & Voice to operate with Fax Voip can be found in the the Using Fax Voip with Venta Fax and Voice chapter of this user manual.


Voice Data Formats

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› Voice Modem Functionality and DTMF Detection ››

In the recording process, a modem transforms sound signals into digital Voice Data Format. When playing a voice message, a modem converts digital Voice Data Format into sound signals . There are different Voice Data Formats. Each format consists of three parts: audio compression method, bits per sample and sampling rate.

Fax Voip supports the following Voice Data Formats:

0, "16-BIT LINEAR", 16bits, 8000Hz

1, "UNSIGNED PCM", 8bits, 8000Hz

4, "ULAW ", 8bits, 8000Hz

5, "ALAW ", 8bits, 8000Hz

128, "8-BIT LINEAR", 8bits, 8000Hz

130, "UNSIGNED PCM", 8bits, 8000Hz

131, " ULAW ", 8bits, 8000Hz

132, " ALAW ", 8bits, 8000Hz

133, "16-BIT LINEAR", 16bits, 8000Hz

Supported Voice Data Formats are listed in the Supported audio formats panel as shown at the picture below.

Nevertheless, not all Voice-Fax-Modem programs make it possible to choose a specific format. Moreover different programs can understand the same format in different ways, for example to use reverse bit order. This brings some difficulties when setting up the voice functions in your program. Typically, the Voice-Fax-Modem program takes the decision to use a specific Voice Data Format depending on the results of Auto-detection of the modem. If you have any problems with voice, you should try to select another Voice Command Set (or select another compatible type of modem) in your program manually. For your convenience we have placed a list of supported Voice Data Formats in the Fax Voip FaxModem Control Panel.

Notes

  • To select the specific Voice Data Formats you should be guided by the instructions in the user manual of your Voice-Fax-Modem program.
  • When operating using Fax Voip 14.4K TAPI Voice-Fax Modem driver via TAPI and passthrough mode is disabled, the 8-bit unsigned linear PCM at 8000 Hz format is always used.


Voice Command Sets

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› Voice Modem Functionality and DTMF Detection ››

Although facsimile command sets are standardized, this has no bearing on Voice Command Sets. As a rule, every modem manufacturer uses its own Voice Command Set, generally very different from those used by other manufacturers. There have been some attempts at standardization (IS-101 and v.253 standards), however, only a few voice modem manufacturers support these standards. Program designed to work with Voice Modems usually performs a series of operations to identify a Voice Command Set supported by your modem. These operations are called Voice Command Set Auto-detection.

Developing the voice commands, we took into account the v.253 standard. We also analyzed the work of the hardware modem with Conexant chipset. We managed to achieve almost perfect work of voice functions with Venta Fax & Voice program. Venta Fax auto-detects Voice Command Set for Fax Voip as Conexant/Rockwell (v.253). However, other Voice-Fax-Modem programs may detect a different Voice Command Set.

If you have any problems with voice functionality with your Voice-Fax-Modem program, you should try to select another Voice Command Set (or select another compatible type of modem) in your program manually. The Voice command set panel lists some experimental results that can be used when setting up your specific program.

Supported Voice Command Sets are listed in the Voice Command Set panel as shown at the picture below.

Notes

  • To select the specific Voice command set you should be guided by the instructions in the user manual of your Voice-Fax-Modem program.
  • Starting with version 7.1.1 Voice Commands are supported by the Fax Voip 14.4K TAPI Voice-Fax Modem driver via TAPI and not only in the passthrough mode as it was in the previous versions.


Voice Support via TAPI Modem driver

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› Voice Modem Functionality and DTMF Detection ››

Most of existing Voice-Fax programs designed to operate with Voice Modems, does not really use TAPI to work with voice functions. Even when working via modem driver, the so-called passthrough mode is generally used. In the passthrough mode the program communicates with the modem directly, the implementation of voice commands in the modem driver is not required. However, some programs work with Voice Modems via TAPI functions, that requires a full Voice Modem Support in accordance with TAPI specification. Examples of such programs are CallStation and IVM Answering Attendant Software .

Starting with version 7.1.1 the Fax Voip program is equipped with a new TAPI compliant Fax Voip 14.4K TAPI Voice-Fax Modem driver. With this new driver voice modem functions are supported not only in the passthrough mode as it was in the previous versions, but also via standard TAPI functions. The standard Unimodem Full-Duplex Audio Device driver is automatically installed by Windows when installing modem driver.

When operating using Fax Voip 14.4K TAPI Voice-Fax Modem driver via TAPI and passthrough mode is disabled, the 8-bit unsigned linear PCM at 8000 Hz format is always used.

The installation of Fax Voip 14.4K TAPI Voice-Fax Modem driver also fixes the well-known playback bug with Unimodem Transform Module in Windows Vista and above (include Windows 10, both x64 and 32-bit) which prevents from playing audio through the modem to the phone line. Any telephony application that uses the modem wave driver to play audio through the modem will encounter this problem. This problem is debated for many years on Microsoft forums , but for some reasons has not been solved by Microsoft so far.

Also, in Fax Voip version 7.1.1 the Hardware Hangup by detecting CD dropping from lowering DTR signal feature was implemented. This is often used by TAPI applications to reset the modem.


Voice Modem bugs in Windows 10

Voice Modem bugs in Windows 10: how to fix

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› Voice Modem Functionality and DTMF Detection ››

Voice Modems TAPI problem in Windows 10 version 1903 and 1909

Please note that the issue described below is currently fixed by Microsoft in Windows 10 version 2004 and not present in the latest Windows 10 versions, such as May 2020 Update (version 2004, Build 19041) and October 2020 Update (version 20H2, Build 19042). If you encounter this problem on your Windows 10 computer, we currently recommend you to update your system up to the latest version.

Problem: Starting from Windows 10 version 1903, the modem voice functions is no longer working (via TAPI). The TAPI application reports 'Failed to get modem wave out ID' error and restarting the computer does not solve the problem. The problem is present in both 32-bit and 64-bit versions of Windows 10 1903 and 1909, concerns all voice modems, and has no relation to the modem manufacturer drivers.

The most complete discussions on this issue can be found in the following threads on Microsoft forums:

Windows 10 1903 Voice Modem stops working

Voice Modems and Windows 10 version 1903 & 1909 TAPI problem missing "serwvdrv.dll" in registry

Solution: you should restore missing 'wave*' = 'serwvdrv.dll' values which should be located in the following Windows registry key(s):

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32

HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Microsoft\Windows NT\CurrentVersion\Drivers32 (64-bit OS only)

To fix the problem, do the following:

1. Open Fax Voip Control Panel. To do this click Start, point to Fax Voip T38 Fax & Voice; click Fax Voip Control Panel. Alternatively, you can select Fax Voip Control Panel command from the Fax Voip tray icon menu.

2. In the Fax Voip Control Panel, click Fix Voice Modems TAPI problem in the Tools tab of the Ribbon. Administrator privileges are required.

3. Wait until the fix to be applyed. To view the log file, click <Yes>.

4. Click <Restart Now> button to reboot the computer.

You also can use FixVoiceModemsTapi1903.exe utility, which can be downloaded from the Fax Voip website:

http://www.t38faxvoip.com/downloads/8_2_1/FixVoiceModemsTapi1903.zip

Notes

  • Please note that this issue is currently fixed by Microsoft in Windows 10 version 2004 and not present in the latest Windows 10 versions, such as May 2020 Update (version 2004, Build 19041) and October 2020 Update (version 20H2, Build 19042). If you encounter this problem on your Windows 10 computer, we currently recommend you to update your system up to the latest version.
  • This fix is ​​automatically applied when you install Fax Voip version 8.2.1 or later on your computer with Windows 10 version 1903, 1909 or later. You usually should use Fix Voice Modems TAPI problem button in the Tools tab when upgrading your system from an earlier version of Windows.
  • Windows Updates, including an upgrade from Windows 10 version 1903 up to version 1909, do not require re-applying the fix if it has already been applied. Also, you do not need to re-apply the fix when installing a new modem.
  • This fix is ​​not applied in Windows 10 version 1809 or earlier and also in other operating systems.

Missing Unimodem Audio Device in the Device Manager (currently fixed by Microsoft)

Please note that the issue described below is currently fixed by Microsoft in Cumulative Update for Windows 10 Version 1607 (December 13, 2016 — KB3206632) and not present in the latest Windows 10 versions, such as Creators Update (version 1703, Build 15063) and Fall Creators Update (version 1709, Build 16299). If you encounter this problem on your Windows 10 or Windows Server 2016 computer, we currently recommend you to update your system up to the latest version.

Problem: Starting from Windows 10 Build 10586, the modem voice functions is no longer working (via TAPI) and the Unimodem Audio Device is not installed under Sound, video and game controllers under Device Manager. The problem is present on both 32-bit and 64-bit Windows 10, concerns all voice modems, and has no relation to the modem manufacturer drivers.

The most complete discussion of this problem can be found in the following thread on Microsoft forum:

56K Modem missing Unimodem Audio Device after update to Windows 10 Build 10586

Solution: you should replace modem.sys system file with the file from Windows 10 Build 10240. To fix, use FixModemOnWin10.exe utility, which can be found in the FixModemOnWin10 folder (placed in the Fax Voip installation folder, usually Program Files (x86)\FaxVoip). Alternatively, you can download the tool from the Fax Voip website:

http://www.t38faxvoip.com/downloads/7_4_1/FixModemOnWin10.zip

Notes

  • Please note that this issue is currently fixed by Microsoft in Cumulative Update for Windows 10 Version 1607 (December 13, 2016 — KB3206632) and not present in the latest Windows 10 versions, such as Creators Update (version 1703, Build 15063) and Fall Creators Update (version 1709, Build 16299). If you encounter this problem on your Windows 10 or Windows Server 2016 computer, we currently recommend you to update your system up to the latest version. For this reason, we currently do not recommend to use our fix.
  • Please note that the modem.sys is a system file and can be replaced during any Windows update. If this happens, you can use the fix tool repeatedly.


Supported Voice-Fax-Modem software

Fax Voip Control Panel ›› Virtual COM Ports and Modems ›› Voice Modem Functionality and DTMF Detection ››

Currently, Voice Modem Functions have been successfully tested with the following programs:

  • BVRP Classic Phone Tools 9
  • FaxTalk Messenger Pro 7.5
  • CallStation (TAPI compliant)
  • Venta Fax & Voice
  • VK Easy Fax

Notes

  • A detailed instructions on how to configure Fax Voip with different Fax and Voice programs can be found in the chapter Using Fax Voip with Fax & Voice Soft of this user manual.


Caller ID (Incoming Modem Calls)

Caller ID Settings (Incoming Modem Calls)

Fax Voip Control Panel ›› Virtual COM Ports and Modems ››

Settings on this page allow you to send Called Number (DID) to standard fax application (e.g. Microsoft Fax*).

In the case of Fax Voip modem, the Called Number (NDID= command) is transmitted together with the incoming call as well as Caller ID (NMBR= command). However, this is not supported by the Fax Voip 14.4K TAPI Voice-Fax Modem driver because of the absence of any standards. Moreover, standard fax software (including Microsoft Fax*) usually not able to recognize the Called Number (DID), even if it is supported by modem. At the same time, the implementation of different actions (e.g. e-mail routing) depending on Called Number (DID) is of greatest practical interest. Proposed workaround is that the Called Number (DID) is added to Caller ID string and separated from the real Caller ID by the predetermined delimiter. An application that works with the fax application API (such as Microsoft Fax API) then retrieves the Caller ID string and restore the original Caller ID and Called Number (DID) values. This workaround is required for the correct operation of the following functions: Incoming Routing Methods (Microsoft Fax): E-mail, Store in Folder, Print, Custom *.

Report only Calling Number (standard behavior)

Use this option to report Caller ID only. The picture below illustrates the default behavior.

Include Called Number (DID) in Caller ID string

Use this option to report both Caller ID and Called Number (DID). This workaround is required for the correct operation of the following functions: Incoming Routing Methods (Microsoft Fax): E-mail, Store in Folder, Print, Custom *.

Separator

Specifies the separator between Caller ID and Called Number (DID). It may consist of one or more characters. Enter or select from the dropdown list. Do not use separators which can be part of phone number. The picture below illustrates the result of applying ;DID= separator.

Notes

  • The Called Number (DID) can be overridden in the Incoming VOIP Call Routing rule. More details can be found in the chapter Incoming VOIP Call Routing Settings , General Settings section. To avoid overriding of the called number, in your rule, in the Call To Fax Voip Line area, select To Modem Line to Number = option and then select <NUM> from the dropdown list (default option).
  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


Incoming Routing Methods (Built-in lines)

Incoming Routing Methods (Built-in lines): E-mail, Store in Folder, Print, Custom

Fax Voip Control Panel ››

When receiving faxes using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines), you can configure Incoming Routing Methods to route incoming faxes to recipients on the network. Depending on the Caller Number (Caller ID) and Called Number (DID), different actions can be applied to incoming fax. These actions are defined by the so-called rules. The independent set of rules is used for each method.

The following Incoming Routing Methods can be configured:

Route through e-mail

Incoming faxes can be delivered via e-mail to one or more e-mail recipients.

Store in a folder

Incoming faxes can be copied to one or more local or network folder.

Print

This method allows to automatically print Incoming faxes.

Custom

This method allows to easy add any routing functionality by using custom application that is started after receiving a fax. The using of this method is not limited by the current licences.

Fax-On-Demand

This method allows to send a specified fax to caller instead of receiving fax. There are no separated rules for Fax-On-Demand function. To use this function, you should configure Incoming VOIP Call Routing rules.

Incoming Methods (Built-in lines) page contains the following information:

Incoming Method

The Incoming Routing Method name

Max # of Rules

Total number of rules, that can be used. It is usually the sum of Basic and Additional number of rules.

Basic

Basic number of rules, that can be used. Specified as the number of Built-in VOIP/ISDN Fax/Audio Lines + 1. The TRIAL version allows the use of no more than 2 rules of every type.

Additional

Additional number of rules, defined by the Fax Voip Extended Fax Routing (E-mail, Store in Folder, Print, Fax-On-Demand) license.

The following commands are available in the Incoming Methods Contextual Tab of the Ribbon:

Incoming Methods (Built-in lines)

Route through e-mail

Click to configure Route through e-mail (Built-in lines) rules for incoming faxes.

Store in a folder

Click to configure Store in a folder (Built-in lines) rules for incoming faxes.

Print

Click to configure Print (Built-in lines) rules for incoming faxes.

Custom

Click to configure custom routing for incoming faxes (Built-in lines).

Fax On Demand

Click to configure Incoming VOIP Call Routing rules for using Fax-on-Demand functionality with built-in lines.

Alternatively, you can double-click a method in the Incoming Methods (Built-in lines) list, or select Edit command from the context menu.

The following diagram provides an overview of the incoming fax routing process:

To view common Incoming Routing Methods log, use Enable Incoming Routing Methods (Built-in lines) debug logging option, see more details in the Incoming Routing Methods (Built-in lines) Logs chapter of this user manual. To view detailed logs for fax routing methods, use other options described in the same chapter.

Notes

  • To use Incoming Routing Methods (Built-in lines) feature, you should have the Fax Voip built-in VOIP/ISDN Fax/Audio Lines license installed.
  • The basic number of allowed rules for each method is specified as the number of built-in VOIP/ISDN Fax/Audio Lines plus 1. The TRIAL version allows the use of no more than 2 rules of every type.
  • To significantly increase the maximum number of available rules, you can purchase separate license Fax Voip Extended Fax Routing (E-mail, Store In Folder, Print, Fax-On-Demand). Note that this license can not be used in the absence of the Fax Voip built-in VOIP/ISDN Fax/Audio Lines license or Fax Voip Virtual COM Ports (modems) license.
  • The using of the Custom routing method is not limited by the current licences.
  • More details about Fax-On-Demand function can be found in the Fax-On-Demand chapter of this guide.
  • To configure Incoming Routing Methods based on using Microsoft Fax and Virtual COM Ports, see Incoming Routing Methods (Microsoft Fax): E-mail, Store in Folder, Print, Custom chapter of this user manual.


Route through e-mail

Route through e-mail Incoming Routing Method (Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ››

When receiving faxes using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines), you can configure Route through e-mail Incoming Routing Method to route incoming faxes to e-mail recipients. Depending on the Caller Number (Caller ID) and Called Number (DID), incoming fax can be routed to different e-mail addresses.

The behavior is defined by the so-called rules. Fax Voip always checks Route through email rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. For example, if rule # 1 applies for all incoming SIP calls ('VOIP Call From' = sip:.*; 'VOIP Call To' = sip:.*), then other rules # 2, # 3, etc. applied to incoming SIP calls never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send e-mail to the specified e-mail addresses. This can be used to temporarily stop sending faxes to e-mail for specified Caller (or Called) numbers.

To route an incoming fax through e-mail, you must:

  • To do the necessary settings in the Incoming VOIP Call Routing rules to receive faxes using Fax Voip built-in VOIP/ISDN Fax/Audio Lines (with T.38 support, fax as audio via G.711 codec or CAPI fax)
  • Configure SMTP settings
  • Configure 'Incoming Fax (built-in lines)' e-mail template (if necessary)
  • Create one or more rules, where you should specify e-mail recipients and the fax delivery format

Incoming fax can be routed to one or more e-mail recipients. To, CC and BCC e-mail fields can be used. The fax delivery format can be TIFF, PDF or SFF.

The maximum supported number of Route through email rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Route through e-mail fax routing method log, use Enable 'Route through e-mail (Built-in lines)' incoming routing method debug logging option, see more details in the Incoming Routing Methods (Built-in lines) Logs chapter of this user manual. To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

Route incoming faxes through e-mail table contains the following information:

Rule

Unique number of the current rule.

VOIP Call From

Specifies the first part of route pattern, for which the rule applies. SIP/H.323-address of the remote party usually has the format like 'prefix:CallerID@voipserver'. The first part is the number of the caller, the second part is the name of SIP/H.323 server. Note, that sip: prefix in the Incoming Method applies not only to calls with sip: prefix, but also to calls with sips: and tel: prefixes. For example, 'h323:.*' means “H.323 calls from any number and from any H.323 server”, 'sip:.*' means “SIP calls from any number and from any sip network”, 'sip:.*@sip.mynetwork.com' means “calls from any number from sip.mynetwork.com server only”. The biggest problem may occur when you try to specify server part of address here. It is normal that you enter the server name as 'myserver.com', and it works in terms of SIP Registration, but when you have incoming call the name of the same server looks like '@sip.myserver.com:5060'. In this example the construction 'sip:.*@myserver.com' is incorrect and will not work, the correct rule for VOIP Call From should be written as: 'sip:.*@sip.myserver.com:5060'. To avoid such problems use Enable Call Routing Logging option to understand SIP-URL structure of remote party. Prefix isdn: means that rule applies to only incoming calls via ISDN CAPI 2.0 line.

VOIP Call To

Specifies the format of called number (the second part of route pattern) for which current rule applies.

Enabled

Specifies whether e-mail sending enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send e-mail to the specified e-mail addresses. This can be used to temporarily disable sending faxes to e-mail for specified Caller (or Called) numbers.

Mail To

Contains a list of the e-mail addresses.

CC

Displays the e-mail addresses that appear in the Cc box of e-mail message.

BCC

Displays the e-mail addresses that appear in the Bcc box of e-mail message.

Notify

Specifies whether Fax Voip sends e-mail message in the case of unsuccessful fax reception.

Attach Fax

Specifies whether received fax will be attached to the e-mail message.

Format

Specifies the fax delivery format. Can be TIFF, PDF or SFF.

Filename Template

Specifies the custom filename template for the attached fax. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff.

E-mail Templates

Specifies whether custom or default settings are used for 'Incoming Fax (built-in lines)' e-mail template .

The following commands are available in the Route through e-mail Contextual Tab of the Ribbon:

Route through e-mail Rules

New (Ctrl + N)

Click to create new Route through e-mail rule.

Edit (Ctrl + E)

Click to edit Route through e-mail rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Route through e-mail rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Route through e-mail rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Route through e-mail rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Route through e-mail Contextual Tab are also available from the context menu of the list.


To create or edit e-mail routing rule

Creating or editing e-mail routing rules (Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Route through e-mail ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (Built-in) in TreeView, then click Route through e-mail.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Route through e-mail Rule window in the General panel, in the VOIP Protocol area, select the type of incoming calls, can be All available, SIP, H.323 or ISDN CAPI 2.0. Specify the conditions under which this rule applies (in the VOIP Call From and VOIP Call To sections). More details can be found in the chapter Route through e-mail Settings , General Settings section.

5. Switch to the E-mail panel.

6. In the E-mail panel, check After reception to send a fax by e-mail to enable rule. In the Mail to area, specify e-mail message recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields and then added to the Message recipients lists by using <To>, <Cc> and <Bcc> buttons. To select e-mail recipients from Address Book (Windows Contacts), click the Address Book button. More details can be found in the chapter Route through e-mail Settings , E-mail Settings section.

7. Switch to the Format panel.

8. In the Format panel select fax delivery format, TIFF, PDF or SFF. Specify how file names are generated. If you do not want to attach the fax to e-mail message, check Do not attach a copy of the received fax box. More details can be found in the chapter Route through e-mail Settings , Format Settings section.

9. Switch to the Templates panel.

10. In the Templates panel, specify whether to use default or custom settings for 'Incoming Fax (built-in lines)' e-mail template . Configure e-mail template to be used with the rule. More details can be found in the chapter Route through e-mail Settings , E-mail Templates Settings section.

11. Click <OK> button to fix changes.

12. To change the preference order for Route through e-mail Incoming Routing (Built-in lines) rules use Move Up and Move Down commands. One of the entries should be selected.

13. Click <Apply> button to save modified settings for Route through e-mail Incoming Routing (Built-in lines). Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage e-mail routing rules

Managing Route through e-mail rules (Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Route through e-mail ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (Built-in) in TreeView, then click Route through e-mail.

3. To change the preference order for Route through e-mail Incoming Routing (Built-in lines) rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Route through e-mail Settings

Route through e-mail (Built-in lines) Settings

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Route through e-mail ››

This section provides information about settings, that you can do in the Route through e-mail rule (Built-in lines) dialog.

  • General Settings
  • E-mail Settings
  • Format Settings
  • E-mail Templates Settings


General Settings

General Settings (Route through e-mail, Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Route through e-mail ›› Route through e-mail Settings ››

General Settings

VOIP Protocol

In this area you can select the type of incoming calls for which the rule applied. The rule can be applied to SIP, H.323, ISDN CAPI 2.0 or to both SIP, H.323 and ISDN CAPI 2.0 incoming calls.

SIP (sip:, sips:, tel:)

If this option is selected, the rule applies to incoming SIP calls. SIP calls include incoming calls with prefixes sip:, sips: and tel:.

H.323 (h323:)

If this option is selected, the rule applies to incoming H.323 calls.

ISDN CAPI 2.0 (isdn:)

If this option is selected, the rule applies to incoming ISDN CAPI 2.0 calls.

All available (sip:, sips:, tel:, h323:, isdn:)

If this option is selected, the rule applies to all incoming calls.

VOIP Call From

The settings in this area allow to specify the first part of route pattern, for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number (username) or from a group of phone numbers. At the same time, the SIP/H.323 rule can be applied to incoming calls from any SIP or H.323 endpoint or only to incoming calls from specified SIP/H.323 endpoint (SIP/H.323 server).

From Number (Username) =

If this option selected, the rule applies to incoming calls from any number or from specified number (or username).

Select <any> to receive calls from any phone number.

Enter phone number (or username) to receive calls from this phone number (or username) only.

From Number (Username) starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

From VOIP Network

Enter the name or IP-address of SIP or H.323 endpoint (SIP/H.323 server) to apply the rule to calls from this endpoint (server) only. <any> means that the rule applies to calls from any SIP or H.323 endpoint. Be careful using this field. For example, the name of the server is 'sip.myserver.com' and the port is 5060. In the SIP Registration table you can use 'sip.myserver.com' without adding port number. Nevertheless, in the case of incoming calls, the same server can insert the port number in the SIP URL, ie pass the string 'sip.myserver.com:5060', or even send a different name or IP address. In this case you shoud enter 'sip.myserver.com:5060' in the From VOIP Network field. To understand the SIP URL structure you can use Enable Call Routing logging function. To activate Call Routing logging, in the Fax Voip Control Panel click Options to open Options and Logs panel, then check Enable Call Routing Logging (saving and restarting are needed).

VOIP Call To

The settings in this area allow to specify the second part of route pattern, for which this rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number (username) or to a group of phone numbers.

To Number (Username) =

If this option selected, the rule applies to incoming calls to any number or to specified number (or username).

Select <any> to receive calls addressed to any phone number.

Enter phone number (or username) to receive calls to this phone number (or username) only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number (or username) can be selected from the drop-down list.

To Number (Username) starts with

If this option selected, the rule applies to incoming calls from to the group of phone numbers with specified prefix. For example in the case of prefix '2' (see the picture below), the rule will be applied to incoming calls to 200, 201, 2000, 2001,...,, but will not be applied to incoming calls to 100, 301, 4002 ...


E-mail Settings

E-mail Settings (Route through e-mail, Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Route through e-mail ›› Route through e-mail Settings ››

E-mail Settings

After reception to send a fax by e-mail

This option allows to enable or disable e-mail sending. To enable the rule, check this option. To disable e-mail sending, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send e-mail message to the specified e-mail addresses. This can be used to temporarily stop sending faxes to e-mail for specified Caller (or Called) numbers.

Send notification even if no fax message recorded

Check this option, if you want to receive info about unsuccessful faxes to the specified e-mail address.

Mail to

In this area, you can specify e-mail message recipients.

Type recipient’s Email Address

The e-mail address of the e-mail recipient that you want to add, should be initially entered in this field.

Type recipient’s name (optional)

The name of the e-mail recipient should be initially entered in this field.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

Message recipients

<To>

Use this button to add e-mail recipient to the main list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the main list of e-mail recipients.

<Cc>

Use this button to add e-mail recipient to the Cc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the Cc list of e-mail recipients.

<Bcc>

Use this button to add e-mail recipient to the Bcc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the Bcc list of e-mail recipients.


Format Settings

Format Settings (Route through e-mail, Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Route through e-mail ›› Route through e-mail Settings ››

Format Settings

Fax Delivery Format

In this area, you can specify fax delivery format that you want to use with the current rule. You also can specify whether to attach the fax to e-mail message.

Deliver incoming faxes in the following format

Select fax delivery format, that you want to use with the current rule. The incoming fax can be delivered via e-mail as TIFF, PDF or SFF attachment.

Do not attach a copy of the received fax

Check If you do not want to attach the fax to e-mail message.

Filename Template

In this area, you can specify filename template for the attached faxes.

Use Default Template (FAX...)

Select this option to use default filename template with the current rule. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected fax delivery format).

Use Custom Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %CallerID%, %StartTime%, %PagesReceived% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %CallingParty%. The full address of the calling party include prefixes (sip:, h323:, isdn: etc...). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. Examples: sip-17774731277@callcentric.com; h323-101@192.168.1.4; isdn-13195401289.
      • %CallerID%. The fax number of the caller.
      • %CalledParty%. The full address of the called party include prefixes (sip:, h323:, isdn: etc...). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. Examples: sip-7545646464@192.168.1.2-5070; h323-7778888; isdn-13192418956.
      • %CalledNumber%. The telephone number of the called party (DID).
      • %RemoteFaxID%. The Transmitting Subscriber ID (TSID) received from the fax sender.
      • %LocalFaxID%. The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.
      • %StartTime%. The time when fax reception started.
      • %EndTime%. The time when fax reception ended.
      • %Duration%. The duration of the incoming fax call or fax transmission.
      • %PagesReceived%. The number of delivered pages for received fax.
      • %BitRateEcm%. Transmission rate. The 'e' attribute is used to indicate Error Correction Mode (ECM).
      • %FaxProtocol%. Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP or ISDN CAPI 2.0, ISDN-FAX B3-4-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3-5-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
      • %Resolution%. Fax resolution. Can be one of the following values: 204x196 dpi (Fine), 204x98 dpi (Normal).
      • %Status%. Operation completion code. Example: OK (in the case of a successful fax reception). In the case of a failed fax reception contains the error description (in English).

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax delivery format).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use System.Net.Mail method for sending e-mail messages.


E-mail Templates Settings

E-mail Templates Settings (Route through e-mail, Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Route through e-mail ›› Route through e-mail Settings ››

E-mail Templates Settings

On this page you can override the default settings for 'Incoming Fax (built-in lines)' e-mail template .

Use default e-mail templates settings

If this option checked, the default settings for e-mail templates are used.

E-mail Templates

In this area, you can specify custom settings for e-mail templates that will be applied to the current rule only.

Select Template

Use this drop-down list to select the template you want to edit. You can configure the following e-mail template: Incoming Fax (built-in lines).

Use Default Template

Check this box if you don’t want to customize the selected template. The e-mail template embedded into the program code will be used in this case.

To customize the selected template, see notes below.

Notes

  • For more information on how to configure Incoming Fax (built-in lines) template, see E-mail Templates: Incoming Fax (built-in lines) . Settings for the Route through e-mail rule should be made in the same way.


Store in a folder

Store in a folder Incoming Routing Method (Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ››

When receiving faxes using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines), you can configure Store in a folder Incoming Routing Method to copy incoming faxes to specified local or network folders. Depending on the Caller Number (Caller ID) and Called Number (DID), incoming fax can be routed to different folders.

The behavior is defined by the so-called rules. Fax Voip always checks Store in a folder rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. For example, if rule # 1 applies for all incoming SIP calls ('VOIP Call From' = sip:.*; 'VOIP Call To' = sip:.*), then other rules # 2, # 3, etc. applied to incoming SIP calls never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified Caller (or Called) numbers.

To store an incoming fax in the specified folder, you must:

  • To do the necessary settings in the Incoming VOIP Call Routing rules to receive faxes using Fax Voip built-in VOIP/ISDN Fax/Audio Lines (with T.38 support, fax as audio via G.711 codec or CAPI fax)
  • Create one or more rules, where you should specify folder names and format for saving incoming faxes

Incoming fax can be routed to one or more local or network folders. The format for saving incoming faxes can be TIFF, PDF or SFF.

The maximum supported number of Store in a folder rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Store in a folder fax routing method log, use Enable 'Store in a folder (Built-in lines)' incoming routing method debug logging option, see more details in the Incoming Routing Methods (Built-in lines) Logs chapter of this user manual.

Store incoming faxes in a folder table contains the following information:

Rule

Unique number of the current rule.

VOIP Call From

Specifies the first part of route pattern, for which the rule applies. SIP/H.323-address of the remote party usually has the format like 'prefix:CallerID@voipserver'. The first part is the number of the caller, the second part is the name of SIP/H.323 server. Note, that sip: prefix in the Incoming Method applies not only to calls with sip: prefix, but also to calls with sips: and tel: prefixes. For example, 'h323:.*' means “H.323 calls from any number and from any H.323 server”, 'sip:.*' means “SIP calls from any number and from any sip network”, 'sip:.*@sip.mynetwork.com' means “calls from any number from sip.mynetwork.com server only”. The biggest problem may occur when you try to specify server part of address here. It is normal that you enter the server name as 'myserver.com', and it works in terms of SIP Registration, but when you have incoming call the name of the same server looks like '@sip.myserver.com:5060'. In this example the construction 'sip:.*@myserver.com' is incorrect and will not work, the correct rule for VOIP Call From should be written as: 'sip:.*@sip.myserver.com:5060'. To avoid such problems use Enable Call Routing Logging option to understand SIP-URL structure of remote party. Prefix isdn: means that rule applies to only incoming calls via ISDN CAPI 2.0 line.

VOIP Call To

Specifies the format of called number (the second part of route pattern) for which current rule applies.

Enabled

Specifies whether store in a folder procedure enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable the store in a folder procedure for specified Caller (or Called) numbers.

Store in Folder

Displays folders locations for storing copies of incoming faxes.

Format

Specifies the format for saving incoming faxes. Can be TIFF, PDF or SFF.

Filename Template

Specifies the custom filename template to be used when copying received faxes to the specified folder(s). When specifying the default filename template, file names are generated based on the current date and time, and also random value.

The following commands are available in the Store in a folder Contextual Tab of the Ribbon:

Store in a folder Rules

New (Ctrl + N)

Click to create new Store in a folder rule.

Edit (Ctrl + E)

Click to edit Store in a folder rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Store in a folder rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Store in a folder Contextual Tab are also available from the context menu of the list.


To create or edit Store in a folder rule

Creating or editing Store in a folder rules (Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Store in a folder ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (Built-in) in TreeView, then click Store in a folder.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Store in a folder Rule window in the General panel, in the VOIP Protocol area, select the type of incoming calls, can be All available, SIP, H.323 or ISDN CAPI 2.0. Specify the conditions under which this rule applies (in the VOIP Call From and VOIP Call To sections). More details can be found in the chapter Store in a folder Settings , General Settings section.

5. Switch to the Store in Folder panel.

6. In the Store in Folder panel, check After reception to copy a fax into specified folders to enable rule. In the Store in Folder area, specify folders where to store incoming faxes. The folder should be initially selected or typed in the text field and then added to the Store in folders list by using <Add> button. More details can be found in the chapter Store in a folder Settings , Store in Folder settings section.

7. Switch to the Format panel.

8. In the Format panel select format for saving incoming faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter Store in a folder Settings , Format Settings section.

9. Click <OK> button to fix changes.

10. To change the preference order for Store in a Folder Incoming Routing (Built-in lines) rules use Move Up and Move Down commands. One of the entries should be selected.

11. Click <Apply> button to save modified settings for Store in a Folder Incoming Routing (Built-in lines). Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage Store in a folder rules

Managing Store in a folder rules (Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Store in a folder ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (Built-in) in TreeView, then click Store in a folder.

3. To change the preference order for Store in a Folder Incoming Routing (Built-in lines) rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Store in a folder Settings

Store in a folder (Built-in lines) Settings

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Store in a folder ››

This section provides information about settings, that you can do in the Store in a folder rule (Built-in lines) dialog.

  • General Settings
  • Store in Folder Settings
  • Format Settings


General Settings

General Settings (Store in a folder, Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Store in a folder ›› Store in a folder Settings ››

General Settings

VOIP Protocol

In this area you can select the type of incoming calls for which the rule applied. The rule can be applied to SIP, H.323, ISDN CAPI 2.0 or to both SIP, H.323 and ISDN CAPI 2.0 incoming calls.

SIP (sip:, sips:, tel:)

If this option is selected, the rule applies to incoming SIP calls. SIP calls include incoming calls with prefixes sip:, sips: and tel:.

H.323 (h323:)

If this option is selected, the rule applies to incoming H.323 calls.

ISDN CAPI 2.0 (isdn:)

If this option is selected, the rule applies to incoming ISDN CAPI 2.0 calls.

All available (sip:, sips:, tel:, h323:, isdn:)

If this option is selected, the rule applies to all incoming calls.

VOIP Call From

The settings in this area allow to specify the first part of route pattern, for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number (username) or from a group of phone numbers. At the same time, the SIP/H.323 rule can be applied to incoming calls from any SIP or H.323 endpoint or only to incoming calls from specified SIP/H.323 endpoint (SIP/H.323 server).

From Number (Username) =

If this option selected, the rule applies to incoming calls from any number or from specified number (or username).

Select <any> to receive calls from any phone number.

Enter phone number (or username) to receive calls from this phone number (or username) only.

From Number (Username) starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

From VOIP Network

Enter the name or IP-address of SIP or H.323 endpoint (SIP/H.323 server) to apply the rule to calls from this endpoint (server) only. <any> means that the rule applies to calls from any SIP or H.323 endpoint. Be careful using this field. For example, the name of the server is 'sip.myserver.com' and the port is 5060. In the SIP Registration table you can use 'sip.myserver.com' without adding port number. Nevertheless, in the case of incoming calls, the same server can insert the port number in the SIP URL, ie pass the string 'sip.myserver.com:5060', or even send a different name or IP address. In this case you shoud enter 'sip.myserver.com:5060' in the From VOIP Network field. To understand the SIP URL structure you can use Enable Call Routing logging function. To activate Call Routing logging, in the Fax Voip Control Panel click Options to open Options and Logs panel, then check Enable Call Routing Logging (saving and restarting are needed).

VOIP Call To

The settings in this area allow to specify the second part of route pattern, for which this rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number (username) or to a group of phone numbers.

To Number (Username) =

If this option selected, the rule applies to incoming calls to any number or to specified number (or username).

Select <any> to receive calls addressed to any phone number.

Enter phone number (or username) to receive calls to this phone number (or username) only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number (or username) can be selected from the drop-down list.

To Number (Username) starts with

If this option selected, the rule applies to incoming calls from to the group of phone numbers with specified prefix. For example in the case of prefix '2' (see the picture below), the rule will be applied to incoming calls to 200, 201, 2000, 2001,...,, but will not be applied to incoming calls to 100, 301, 4002 ...


Store In Folder Settings

Store in Folder Settings (Store in a folder, Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Store in a folder ›› Store in a folder Settings ››

Store in Folder Settings

After reception to copy a fax into specified folders

This option allows to enable or disable store in a folder procedure. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified Caller (or Called) numbers.

Store in folder

In this area, you can specify local or network folders where incoming faxes should be stored.

<Browse>

Click this button to select the desired folder using standard windows Browse For Folder dialog. Local or network folder can be selected.

You can also manually type the folder name in the text field.

Store in folders

<Add>

Use this button to add folder to the list of folders. The folder should be initially selected or entered in the text field.

<Remove>

Use this button to remove folder from the list of folders.


Format Settings

Format Settings (Store in a folder, Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Store in a folder ›› Store in a folder Settings ››

Format Settings

Format for saving incoming faxes

In this area, you can specify fax format that you want to use with the current rule.

Save incoming faxes in the following format

Select the fax format, that you want to use with the current rule. The incoming faxes can be stored in the TIFF, PDF or SFF format.

Filename Template

In this area, you can specify filename template to be used when copying received faxes to the specified folder(s).

Use Default Template

Select this option to use default filename template with the current rule. When specifying the default filename template, file names are generated based on the current date and time, and also random value.

Use Custom Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %CallerID%, %StartTime%, %PagesReceived% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %CallingParty%. The full address of the calling party include prefixes (sip:, h323:, isdn: etc...). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. Examples: sip-17774731277@callcentric.com; h323-101@192.168.1.4; isdn-13195401289.
      • %CallerID%. The fax number of the caller.
      • %CalledParty%. The full address of the called party include prefixes (sip:, h323:, isdn: etc...). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. Examples: sip-7545646464@192.168.1.2-5070; h323-7778888; isdn-13192418956.
      • %CalledNumber%. The telephone number of the called party (DID).
      • %RemoteFaxID%. The Transmitting Subscriber ID (TSID) received from the fax sender.
      • %LocalFaxID%. The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.
      • %StartTime%. The time when fax reception started.
      • %EndTime%. The time when fax reception ended.
      • %Duration%. The duration of the incoming fax call or fax transmission.
      • %PagesReceived%. The number of delivered pages for received fax.
      • %BitRateEcm%. Transmission rate. The 'e' attribute is used to indicate Error Correction Mode (ECM).
      • %FaxProtocol%. Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP or ISDN CAPI 2.0, ISDN-FAX B3-4-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3-5-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
      • %Resolution%. Fax resolution. Can be one of the following values: 204x196 dpi (Fine), 204x98 dpi (Normal).
      • %Status%. Operation completion code. Example: OK (in the case of a successful fax reception). In the case of a failed fax reception contains the error description (in English).

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When generating identical file names (for example, when specifying custom filename template without using %variables%), a sequential number is added to the file name. For example, if the filename template is 'FAX' and the fax format is 'PDF', faxes will be copied to the specified folder(s) with the following names: FAX.pdf, FAX (2).pdf, FAX (3).pdf ....


Print

Print Incoming Routing Method (Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ››

When receiving faxes using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines), you can configure selective print-out of the incoming faxes by using Print Incoming Routing Method. Depending on the Caller Number (Caller ID) and Called Number (DID), incoming fax can be printed to different printers.

The behavior is defined by the so-called rules. Fax Voip always checks Print rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. For example, if rule # 1 applies for all incoming SIP calls ('VOIP Call From' = sip:.*; 'VOIP Call To' = sip:.*), then other rules # 2, # 3, etc. applied to incoming SIP calls never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified Caller (or Called) numbers.

To print an incoming fax to the specified printer, you must:

  • To do the necessary settings in the Incoming VOIP Call Routing rules to receive faxes using Fax Voip built-in VOIP/ISDN Fax/Audio Lines (with T.38 support, fax as audio via G.711 codec or CAPI fax)
  • Create one or more rules, where you should specify printers

Incoming fax can be routed to one or more printers.

The maximum supported number of Print rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Print fax routing method log, use Enable 'Print (Built-in lines)' incoming routing method debug logging option, see more details in the Incoming Routing Methods (Built-in lines) Logs chapter of this user manual.

Print incoming faxes table contains the following information:

Rule

Unique number of the current rule.

VOIP Call From

Specifies the first part of route pattern, for which the rule applies. SIP/H.323-address of the remote party usually has the format like 'prefix:CallerID@voipserver'. The first part is the number of the caller, the second part is the name of SIP/H.323 server. Note, that sip: prefix in the Incoming Method applies not only to calls with sip: prefix, but also to calls with sips: and tel: prefixes. For example, 'h323:.*' means “H.323 calls from any number and from any H.323 server”, 'sip:.*' means “SIP calls from any number and from any sip network”, 'sip:.*@sip.mynetwork.com' means “calls from any number from sip.mynetwork.com server only”. The biggest problem may occur when you try to specify server part of address here. It is normal that you enter the server name as 'myserver.com', and it works in terms of SIP Registration, but when you have incoming call the name of the same server looks like '@sip.myserver.com:5060'. In this example the construction 'sip:.*@myserver.com' is incorrect and will not work, the correct rule for VOIP Call From should be written as: 'sip:.*@sip.myserver.com:5060'. To avoid such problems use Enable Call Routing Logging option to understand SIP-URL structure of remote party. Prefix isdn: means that rule applies to only incoming calls via ISDN CAPI 2.0 line.

VOIP Call To

Specifies the format of called number (the second part of route pattern) for which current rule applies.

Enabled

Specifies whether incoming fax printing enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified Caller (or Called) numbers.

Printer

Displays printers for printing incoming faxes.

The following commands are available in the Print Contextual Tab of the Ribbon:

Print Rules

New (Ctrl + N)

Click to create new Print rule.

Edit (Ctrl + E)

Click to edit Print rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Print rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Print Contextual Tab are also available from the context menu of the list.

Notes

  • The selected printer does not have to show any dialog boxes before printing. You should also understand that if Fax Voip is started "As Windows Service", printing will be carried out on behalf of the SYSTEM user account (without possibility to show dialog box). For this reason, we strongly recommend to do the initial tests of this method in the mode of "Application", not in the "As Service" mode.


To create or edit print routing rule

Creating or editing Print rules (Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Print ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (Built-in) in TreeView, then click Print.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Print Rule window in the General panel, in the VOIP Protocol area, select the type of incoming calls, can be All available, SIP, H.323 or ISDN CAPI 2.0. Specify the conditions under which this rule applies (in the VOIP Call From and VOIP Call To sections). More details can be found in the chapter Print Routing Settings , General Settings section.

5. Switch to the Print panel.

6. In the Print panel, check After reception to print a fax to enable rule. in the Select Printers area, specify printers. The printer should be initially selected and then added to the Printer names list by using <Add> button. More details can be found in the chapter Print Routing Settings , Print settings section.

7. Click <OK> button to fix changes.

8. To change the preference order for Print Incoming Routing (Built-in lines) rules use Move Up and Move Down commands. One of the entries should be selected.

9. Click <Apply> button to save modified settings for Print Incoming Routing (Built-in lines). Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage print routing rules

Managing Print rules (Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Print ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (Built-in) in TreeView, then click Print.

3. To change the preference order for Print Routing (Built-in lines) rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Print Routing Settings

Print Routing (Built-in lines) Settings

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Print ››

This section provides information about settings, that you can do in the Print rule (Built-in lines) dialog.

  • General Settings
  • Print Settings


General Settings

General Settings (Print Routing, Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Print ›› Print Routing Settings ››

General Settings

VOIP Protocol

In this area you can select the type of incoming calls for which the rule applied. The rule can be applied to SIP, H.323, ISDN CAPI 2.0 or to both SIP, H.323 and ISDN CAPI 2.0 incoming calls.

SIP (sip:, sips:, tel:)

If this option is selected, the rule applies to incoming SIP calls. SIP calls include incoming calls with prefixes sip:, sips: and tel:.

H.323 (h323:)

If this option is selected, the rule applies to incoming H.323 calls.

ISDN CAPI 2.0 (isdn:)

If this option is selected, the rule applies to incoming ISDN CAPI 2.0 calls.

All available (sip:, sips:, tel:, h323:, isdn:)

If this option is selected, the rule applies to all incoming calls.

VOIP Call From

The settings in this area allow to specify the first part of route pattern, for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number (username) or from a group of phone numbers. At the same time, the SIP/H.323 rule can be applied to incoming calls from any SIP or H.323 endpoint or only to incoming calls from specified SIP/H.323 endpoint (SIP/H.323 server).

From Number (Username) =

If this option selected, the rule applies to incoming calls from any number or from specified number (or username).

Select <any> to receive calls from any phone number.

Enter phone number (or username) to receive calls from this phone number (or username) only.

From Number (Username) starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

From VOIP Network

Enter the name or IP-address of SIP or H.323 endpoint (SIP/H.323 server) to apply the rule to calls from this endpoint (server) only. <any> means that the rule applies to calls from any SIP or H.323 endpoint. Be careful using this field. For example, the name of the server is 'sip.myserver.com' and the port is 5060. In the SIP Registration table you can use 'sip.myserver.com' without adding port number. Nevertheless, in the case of incoming calls, the same server can insert the port number in the SIP URL, ie pass the string 'sip.myserver.com:5060', or even send a different name or IP address. In this case you shoud enter 'sip.myserver.com:5060' in the From VOIP Network field. To understand the SIP URL structure you can use Enable Call Routing logging function. To activate Call Routing logging, in the Fax Voip Control Panel click Options to open Options and Logs panel, then check Enable Call Routing Logging (saving and restarting are needed).

VOIP Call To

The settings in this area allow to specify the second part of route pattern, for which this rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number (username) or to a group of phone numbers.

To Number (Username) =

If this option selected, the rule applies to incoming calls to any number or to specified number (or username).

Select <any> to receive calls addressed to any phone number.

Enter phone number (or username) to receive calls to this phone number (or username) only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number (or username) can be selected from the drop-down list.

To Number (Username) starts with

If this option selected, the rule applies to incoming calls from to the group of phone numbers with specified prefix. For example in the case of prefix '2' (see the picture below), the rule will be applied to incoming calls to 200, 201, 2000, 2001,...,, but will not be applied to incoming calls to 100, 301, 4002 ...


Print Settings

Print Settings (Print Routing, Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Print ›› Print Routing Settings ››

Print Settings

After reception to print a fax

This option allows to enable or disable incoming fax printing. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified Caller (or Called) numbers.

Select Printers

In this area, you can specify printers for printing incoming faxes.

Before adding the printer, you should select it in the combobox.

Printer names

<Add>

Use this button to add printer to the list of printers. The printer should be initially selected in the combobox.

<Remove>

Use this button to remove printer from the list of printers.


Custom Routing

Custom routing for incoming faxes (Built-in lines)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ››

The Custom Routing Method (Built-in lines) allows you to easy add any routing functionality by using custom application that is started after receiving a fax. The using of this method is not limited by the current licences.

This method provides software vendors with a flexible way to connect software applications that route received fax transmissions through multiple routing methods. These routing methods can include, but are not limited to: printing faxes, storing faxes, converting fax graphic images to text files, delivering faxes in electronic mail attachments etc. The software vendor is responsible for developing functions of the method, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration.

When executing Custom Routing Method (Built-in lines), Fax Voip starts the application, specified by the customer, after receiving a fax. The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax file and other important parameters, such as CallerID, Called Number (DID), Sender Fax ID (TSID), Recipient Fax ID (CSID) etc. and then do any necessary actions. The custom application must be terminated automatically after execution. The application is responsible for deleting the temporary copy of the received fax (TIFF, PDF or SFF file) and the folder in which this file is placed. Custom Application is started using the current user account or the Local System account (if Fax Voip is running as a Windows service), so the corresponding account must have necessary access to files, folders and other objects with which your application works. See more details in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

Custom application that should be started after receiving a fax

Here you can choose the application that will be started after receiving a fax. You can browse to a preferred executable file or enter the file path. The example of the custom routing application (RouteCustom.exe) can be found in the Fax Voip installation folder, usually C:\Program Files (x86)\FaxVoip\RouteCustom.exe. See also in the Custom Application Sample chapter of this user manual.

Create temporary copy of the received fax in the following format:

If you select this option, the method creates a temporary folder (subfolder in the %temp% folder for the current user account or the Local System account) and copies the received fax (TIFF, PDF or SFF file depending on your choice) into this folder. The temporary folder (%temp%) for the current user account is usually C:\Users\<Account Name>\AppData\Local\Temp\. The temporary folder for the Local System account is usually C:\Windows\TEMP\. The path to the temporary fax file is passed to the custom application via FaxFileName command-line argument. The custom application is responsible for deleting the temporary fax file and the temporary folder in which this file is located. If this option is not checked, the method does not create the copy of the received fax.

Enable custom routing

If you select this option, the Fax Voip software applies the Custom Routing Method (Built-in lines) for all incoming faxes received using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines).


Custom Application Requirements

Custom Application Requirements (Developer's Guide)

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Custom Routing ››

The custom routing application, specified by the customer, is started by the Fax Voip software when executing Custom Routing Method (Built-in lines), after receiving a fax. The individual developer is responsible for developing this application, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration. The application functions can include, but are not limited to: printing faxes, storing faxes, converting fax graphic images to text files, delivering faxes in electronic mail attachments etc.

Below are the general requirements that must be taken into account by the software vendor when writing the custom application.

Command-Line Arguments

The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax file and other important parameters, such as CallerID, Called Number (DID), Sender Fax ID (TSID), Recipient Fax ID (CSID) etc.

The following is an example of the command-line arguments passed to your application:

/@@@FaxFileName=C:\Windows\TEMP\220120200123192788362_ccc\FAX.pdf

/@@@CallingParty=sip:19012223344@callcentric.com

/@@@CalledParty=sip:16314901610@192.168.11.2:5070

/@@@CallerId=19012223344 /@@@CalledNumber=16314901610

/@@@RemoteFaxID=(901) 222-3344 /@@@LocalFaxID=(631) 490-16-10 FAX

/@@@ElapsedTime=00:01:28 /@@@ReceiveTime=01.14.2020@23:15:34

/@@@EndTime=01.14.2020@23:17:02 /@@@PageCount=3 /@@@BitRate=14400

/@@@Ecm=0 /@@@FaxMode=T.38 /@@@Resolution=204x196 dpi /@@@Status=OK

The command line contains the following arguments:

/@@@FaxFileName=

The temporary copy of the fax file (TIFF, PDF or SFF file depending on your choice) associated with a received fax document. This file and the temporary folder in which it is located (subfolder in the %temp% folder for the current user account or the Local System account) should be deleted in custom routing application after applying necessary actions. If the Create temporary copy of the received fax in the following format option is unchecked, this argument is missing in the command line. See also in the Custom routing for incoming faxes (Built-in lines) chapter of this user manual.

/@@@CallingParty=

The full address of the calling party include prefixes (sip:, h323:, isdn: etc...).

/@@@CalledParty=

The full address of the called party include prefixes (sip:, h323:, isdn: etc...).

/@@@CallerId=

The fax number of the caller.

/@@@CalledNumber=

The telephone number of the called party (DID).

/@@@RemoteFaxID=

The Transmitting Subscriber ID (TSID) received from the fax sender.

/@@@LocalFaxID=

The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.

/@@@ElapsedTime=

The duration of the incoming fax call or fax transmission. The format of this string is 'hh:mm:ss'.

/@@@ReceiveTime=

The time when fax reception started. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@EndTime=

The time when fax reception ended. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@PageCount=

Specifies the number of pages in the received fax document.

/@@@BitRate=

Fax transmission rate.

/@@@Ecm=

Indicates whether Error Correction Mode (ECM) has been used when receiving a fax. Can be one of the following values: 1 - with ECM, 0 - without ECM, -1 - no data available, when receiving a fax using ISDN-FAX B3:4:SFF protocol.

/@@@FaxMode=

Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP or ISDN CAPI 2.0, ISDN-FAX B3:4:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3:5:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.

/@@@Resolution=

Fax resolution (Image quality). Can be one of the following values: 204x196 dpi (Fine), 204x98 dpi (Normal).

/@@@Status=

Operation completion code. Example: OK (in the case of a successful fax reception). In the case of a failed fax reception contains the error description (in English).

Temporary copy of the received fax

If the Create temporary copy of the received fax in the following format option is checked (see in the Custom routing for incoming faxes (Built-in lines) chapter of this user manual), the Custom Routing Method (Built-in lines) creates a temporary folder and copies the received fax (TIFF, PDF or SFF file depending on your choice) into this folder. The temporary folder is created in the %temp% folder for the current user account or the Local System account (if Fax Voip is running as a Windows service). The path to the temporary fax file is passed to the custom application via FaxFileName command-line argument, see above.

For example,

/@@@FaxFileName=C:\Windows\TEMP\220120200123192788362_ccc\FAX.pdf

The path to the fax file (PDF format) is:

C:\Windows\TEMP\220120200123192788362_ccc\FAX.pdf

The path to the temporary folder is:

C:\Windows\TEMP\220120200123192788362_ccc\

The temporary folder in which fax file (FAX.tif, FAX.pdf or FAX.sff) is placed can be used by your custom routing application to store temporary files that your application generates.

The custom application is responsible for deleting the temporary fax file and the temporary folder in which this file is located. You must permanently delete the temporary folder in your application after you perform all the necessary actions.

If the Create temporary copy of the received fax in the following format option is not checked, the Custom Routing Method (Built-in lines) does not create the copy of the received fax.

Running under current user account or Local System account

The custom application is started using the current user account or the Local System account (if Fax Voip is running as a Windows service), so the corresponding account must have necessary access to files, folders and other objects with which your application works.

Terminating the application

The Custom Routing Method (Built-in lines) executes the custom routing application in the separated thread by calling the CreateProcess function . The Fax Voip does not monitor the application after it is started and does not guarantee its correct completion. The developer of the custom routing application is responsible for the correct automatic termination of the application after execution.


Custom Application Sample

Fax Voip Control Panel ›› Incoming Routing Methods (Built-in lines) ›› Custom Routing ››

The example of the custom routing application (RouteCustom.exe) can be found in the Fax Voip installation folder, usually C:\Program Files (x86)\FaxVoip\RouteCustom.exe.

The source codes (RouteCustom.zip archive) can be found in the Fax Voip data folder, usually C:\ProgramData\FaxVoip\Samples\RouteCustom.zip. To unpack the archive, right click it and then select Extract All... from the context menu.

The code example is a console application written in Visual Basic .Net and can be compiled using Microsoft Visual Studio 2013 or later versions.

This sample demonstrates the use of a custom routing method (Built-in lines) for incoming faxes, taking into account the requirements for writing such application, see also in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

  • The application parses the predefined command line and populates the internal structure where it stores path to the temporary fax file (TIFF, PDF or SFF file depending on your choice) and other routing info parameters, such as CallerID, Called Number (DID), Sender Fax ID (TSID), Recipient Fax ID (CSID) etc.
  • Writes the routing info into standard ini file.
  • Copies the temporary fax file to the specified folder with an unique name that contains the date and time the fax was received.
  • Before the application finishes, it deletes the temporary folder and the temporary fax file placed in this folder.
  • The application provides automatic completion after performing all necessary actions.
  • The application uses folders and files for which the current user account and the Local System account definitely have write access.

To use the sample

1. Copy the RouteCustom.exe file into the Fax Voip installation folder. You can use a different folder, but make sure that the current user account (Local System account) has access to your folder.

2. Open Fax Voip Control Panel. Click Incoming Methods (Built-in) in TreeView, then click Custom.

3. On the Custom routing for incoming faxes (Built-in lines) page, select the Enable custom routing check box.

4. In the Custom application that should be started after receiving a fax field, enter the path to RouteCustom.exe file or select it using the small button placed to the right of the field.

5. Select the Create temporary copy of the received fax in the following format check box. Select the file format in which the temporary copy of the received fax should be created. Can be TIFF, PDF or SFF.

6. Click <Apply> button to save changes.

After receiving a fax,

1. Open the Fax Voip data folder in Windows Explorer, usually C:\ProgramData\FaxVoip\.

2. Check the RouteCustom subfolder for RouteCustom.ini file.

3. Check the RouteCustom\Incoming Faxes subfolder for copy of the received fax.

4. The RouteCustom.txt log file is stored in the log subfolder.


Incoming Routing Methods (Microsoft Fax)

Incoming Routing Methods (Microsoft Fax): E-mail, Store in Folder, Print, Custom

Fax Voip Control Panel ››

Fax Voip implements Fax Voip Routing Extension that is integrated into the Windows Fax Service. When the fax service receives a fax transmission, it routes the received document through each of the fax routing methods defined by a fax routing extension.

When receiving faxes using Microsoft Fax * application (via Fax Voip Virtual COM Ports), you can configure Incoming Routing Methods to route incoming faxes to recipients on the network. Depending on the Caller Number (Caller ID) and Called Number (DID), different actions can be applied to incoming fax. These actions are defined by the so-called rules. The independent set of rules is used for each method.

The fax routing methods defined by the Fax Voip Routing Extension are very similar to the fax routing methods defined by the Microsoft Routing Extension (available on any Windows Server computer, such as Windows Server 2019, Windows Server 2016, Windows Server 2012R2 etc.). The essential difference is the possibility to do routing based on Called Number (DID) and without being tied to a specific modem device. This was made possible by implementing the workaround that is described in the Caller ID settings (Incoming Modem Calls) chapter of this user manual. In addition, Fax Voip routing methods work not only on Windows Server computers, but also on any workstation, such as Windows 10, Windows 8.1 etc.

The Fax Voip Routing Extension includes the following Incoming Routing Methods that can be configured in the Fax Voip Control Panel:

Route through e-mail

Incoming faxes can be delivered via e-mail to one or more e-mail recipients.

Store in a folder

Incoming faxes can be copied to one or more local or network folder.

Print

This method allows to automatically print Incoming faxes.

Custom

This method allows to easy add any routing functionality by using custom application that is started after receiving a fax. The using of this method is not limited by the current licences.

Incoming Methods (Microsoft Fax) page contains the following information:

Incoming Method

The Incoming Routing Method name

Max # of Rules

Total number of rules, that can be used. It is usually the sum of Basic and Additional number of rules.

Basic

Basic number of rules, that can be used. Specified as the number of Virtual COM Ports (modems) + 1. The TRIAL version allows the use of no more than 2 rules of every type.

Additional

Additional number of rules, defined by the Fax Voip Extended Fax Routing (E-mail, Store in Folder, Print, Fax-On-Demand) license.

The following commands are available in the Incoming Methods Contextual Tab of the Ribbon:

Incoming Methods (Microsoft Fax)

Route through e-mail

Click to configure Route through e-mail (Microsoft Fax) rules for incoming faxes.

Store in a folder

Click to configure Store in a folder (Microsoft Fax) rules for incoming faxes.

Print

Click to configure Print (Microsoft Fax) rules for incoming faxes.

Custom

Click to configure custom routing for incoming faxes (Microsoft Fax).

Alternatively, you can double-click a method in the Incoming Methods (Microsoft Fax) list, or select Edit command from the context menu.

The following diagram provides an overview of the incoming fax routing process:

On Windows Server computer, you can view Fax Voip Routing Extension fax routing methods in the Microsoft Fax Service Manager, see picture below.

When configuring Fax Voip Routing Extension fax routing methods, please take note of the following:

  • The Incoming Routing Methods (Microsoft Fax) should be configured in the Fax Voip Control Panel.
  • You should not enable or disable fax routing methods for separately taken Fax Voip 14.4K TAPI Voice-Fax Modem devices in the Microsoft Fax Service Manager or using any other way. The Fax Voip software automatically enables or disables the fax routing method for all Fax Voip 14.4K TAPI Voice-Fax Modem devices, depending on the presence or absence of the rules for this method.
  • If you have Fax Voip Virtual COM Ports (modems) license, you can use the Fax Voip Routing Extension fax routing methods not only with Fax Voip 14.4K TAPI Voice-Fax Modem devices, but also with other fax devices installed in your system (hardware modems, etc.). In this case you should manually enable fax routing methods for your fax devices using Microsoft Fax Service Manager or any other way. Also, most likely you will not be able to route faxes based on Called Number (DID) because it is usually not transmitted into the Windows Fax Service software.
  • On Windows Server computer, you can set priority order of incoming routing methods. In the Microsoft Fax Service Manager, on the left pane double-click Fax, double-click Incoming Routing, click Global Methods (see the picture above). In the details pane, right-click the method required, and then click either Move up or Move down. It should be understood that this option has practically no effect, because each method defined by the Fax Voip Routing Extension is always executed in the separated thread. This architecture also significantly increases the reliability of the entire application, when compared with our previous implementations (Fax Voip T38 Fax and Voice, version 7).

To view Fax Voip Routing Extension log, use Enable Fax Voip Routing Extension debug logging option, see more details in the Incoming Routing Methods (Microsoft Fax) Logs chapter of this user manual. To view detailed logs for fax routing methods, use other options described in the same chapter.

Notes

  • To use Incoming Routing Methods (Microsoft Fax) feature, you should have the Fax Voip Virtual COM Ports (modems) license installed.
  • The basic number of allowed rules for each method is specified as the number of Virtual COM Ports (modems) plus 1. The TRIAL version allows the use of no more than 2 rules of every type.
  • To significantly increase the maximum number of available rules, you can purchase separate license Fax Voip Extended Fax Routing (E-mail, Store In Folder, Print, Fax-On-Demand). Note that this license can not be used in the absence of the Fax Voip Virtual COM Ports (modems) license or Fax Voip built-in VOIP/ISDN Fax/Audio Lines license.
  • The using of the Custom routing method is not limited by the current licences.
  • To configure Incoming Routing Methods based on using built-in VOIP/ISDN Fax/Audio Lines, see Incoming Routing Methods (Built-in lines): E-mail, Store in Folder, Print, Custom chapter of this user manual.
  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


Route through e-mail

Route through e-mail Incoming Routing Method (Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ››

When receiving faxes using Microsoft Fax * application (via Fax Voip Virtual COM Ports), you can configure Route through email Incoming Routing Method to route incoming faxes to e-mail recipients. Depending on the Caller Number (Caller ID) and Called Number (DID), incoming fax can be routed to different e-mail addresses.

The behavior is defined by the so-called rules. Fax Voip always checks Route through email rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. For example, if rule # 1 applies for all incoming calls ('Caller ID' = .*; 'Called Number' = .*), then other rules # 2, # 3, etc. applied to incoming calls never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send e-mail to the specified e-mail addresses. This can be used to temporarily stop sending faxes to e-mail for specified Caller (or Called) numbers.

To route an incoming fax through e-mail, you must:

  • To do the necessary settings in the Incoming VOIP Call Routing rules to receive faxes via Fax Voip Virtual COM Ports (modems)
  • Configure the Windows Fax Service to receive faxes using Fax Voip modem(s)
  • Configure Caller ID settings (Incoming Modem Calls)
  • Configure SMTP settings
  • Configure 'New Fax Received (Microsoft Fax Service)' e-mail template (if necessary)
  • Create one or more rules, where you should specify e-mail recipients and the fax delivery format

Incoming fax can be routed to one or more e-mail recipients. To, CC and BCC e-mail fields can be used. The fax delivery format can be TIFF, PDF or SFF.

The maximum supported number of Route through email rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Route through e-mail fax routing method log, use Enable 'Route through e-mail (Microsoft Fax)' incoming routing method debug logging option, see more details in the Incoming Routing Methods (Microsoft Fax) Logs chapter of this user manual. To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

Route incoming faxes through e-mail table contains the following information:

Rule

Unique number of the current rule.

Caller ID

Specifies the Caller ID pattern for which the rule applies.

Called Number

Specifies the Called Number (DID) pattern for which the current rule applies. To enable DID recognition on the side of Microsoft Fax program, select Include Called Number (DID) in Caller ID string option and specify separator between Caller ID and DID. See details in the Caller ID settings (Incoming Modem Calls) chapter of this user manual.

Enabled

Specifies whether e-mail sending enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send e-mail to the specified e-mail addresses. This can be used to temporarily disable sending faxes to e-mail for specified Caller (or Called) numbers.

Mail To

Contains a list of the e-mail addresses.

CC

Displays the e-mail addresses that appear in the Cc box of e-mail message.

BCC

Displays the e-mail addresses that appear in the Bcc box of e-mail message.

Attach Fax

Specifies whether received fax will be attached to the e-mail message.

Format

Specifies the fax delivery format. Can be TIFF, PDF or SFF.

Filename Template

Specifies the custom filename template for the attached fax. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff.

E-mail Templates

Specifies whether custom or default settings are used for 'New Fax Received (Microsoft Fax Service)' e-mail template .

The following commands are available in the Route through e-mail Contextual Tab of the Ribbon:

Route through e-mail Rules

New (Ctrl + N)

Click to create new Route through e-mail rule.

Edit (Ctrl + E)

Click to edit Route through e-mail rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Route through e-mail rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Route through e-mail rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Route through e-mail rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Route through e-mail Contextual Tab are also available from the context menu of the list.

Notes

  • To route faxes based on Called Number (DID), select Include Called Number (DID) in Caller ID string option and specify separator between Caller ID and DID. Otherwise, all the rules except rules with Called Number = <any> (.*) will be ignored. See details in the Caller ID settings (Incoming Modem Calls) chapter of this user manual.
  • When routing faxes based on Called Number (DID), please note that the Called Number (DID) can be overridden in the Incoming VOIP Call Routing rule. More details can be found in the chapter Incoming VOIP Call Routing Settings , General Settings section. To avoid overriding of the called number, in your rule, in the Call To Fax Voip Line area, select To Modem Line to Number = option and then select <NUM> from the dropdown list (default option).
  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


To create or edit e-mail routing rule

Creating or editing e-mail routing rules (Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Route through e-mail ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (MS Fax) in TreeView, then click Route through e-mail.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Route through e-mail Rule window in the General panel, specify the conditions under which this rule applies (in the Caller ID and Called Number (DID) sections). More details can be found in the chapter Route through e-mail Settings , General Settings section.

5. Switch to the E-mail panel.

6. In the E-mail panel, check After reception to send a fax by e-mail to enable rule. In the Mail to area, specify e-mail message recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields and then added to the Message recipients lists by using <To>, <Cc> and <Bcc> buttons. To select e-mail recipients from Address Book (Windows Contacts), click the Address Book button. More details can be found in the chapter Route through e-mail Settings , E-mail Settings section.

7. Switch to the Format panel.

8. In the Format panel select fax delivery format, TIFF, PDF or SFF. Specify how file names are generated. If you do not want to attach the fax to e-mail message, check Do not attach a copy of the received fax box. More details can be found in the chapter Route through e-mail Settings , Format Settings section.

9. Switch to the Templates panel.

10. In the Templates panel, specify whether to use default or custom settings for 'New Fax Received (Microsoft Fax Service)' e-mail template . Configure e-mail template to be used with the rule. More details can be found in the chapter Route through e-mail Settings , E-mail Templates Settings section.

11. Click <OK> button to fix changes.

12. To change the preference order for Route through e-mail Incoming Routing (Microsoft Fax) rules use Move Up and Move Down commands. One of the entries should be selected.

13. Click <Apply> button to save modified settings for Route through e-mail Incoming Routing (Microsoft Fax). Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage e-mail routing rules

Managing Route through e-mail rules (Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Route through e-mail ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (MS Fax) in TreeView, then click Route through e-mail.

3. To change the preference order for Route through e-mail Incoming Routing (Microsoft Fax) rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Route through e-mail Settings

Route through e-mail (Microsoft Fax) Settings

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Route through e-mail ››

This section provides information about settings, that you can do in the Route through e-mail rule (Microsoft Fax) dialog.

  • General Settings
  • E-mail Settings
  • Format Settings
  • E-mail Templates Settings


General Settings

General Settings (Route through e-mail, Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Route through e-mail ›› Route through e-mail Settings ››

General Settings

Caller ID

The settings in this area allow to specify the Caller ID pattern for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number or from a group of phone numbers.

Caller ID =

If this option selected, the rule applies to incoming calls from any number or from specified number.

Select <any> to receive calls from any phone number.

Enter phone number to receive calls from this phone number only.

Caller ID starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

Called Number (DID)

The settings in this area allow to specify the Called Number (DID) pattern for which the current rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number or to a group of phone numbers. To enable DID recognition on the side of Microsoft Fax program, select Include Called Number (DID) in Caller ID string option and specify separator between Caller ID and DID. See details in the Caller ID settings (Incoming Modem Calls) chapter of this user manual. When routing faxes based on Called Number (DID), please also note that the Called Number (DID) can be overridden in the Incoming VOIP Call Routing rule. More details can be found in the chapter Incoming VOIP Call Routing Settings , General Settings section. To avoid overriding of the called number, in your rule, in the Call To Fax Voip Line area, select To Modem Line to Number = option and then select <NUM> from the dropdown list (default option).

Called Number =

If this option selected, the rule applies to incoming calls to any number or to specified number.

Select <any> to receive calls addressed to any phone number.

Enter phone number to receive calls to this phone number only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number can be selected from the drop-down list.

Called Number starts with

If this option selected, the rule applies to incoming calls from to the group of phone numbers with specified prefix. For example in the case of prefix '1631' (see the picture below), the rule will be applied to incoming calls to 16317008090, 16314901610,...,, but will not be applied to incoming calls to 14259876543, 13601234567 ...


E-mail Settings

E-mail Settings (Route through e-mail, Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Route through e-mail ›› Route through e-mail Settings ››

E-mail Settings

After reception to send a fax by e-mail

This option allows to enable or disable e-mail sending. To enable the rule, check this option. To disable e-mail sending, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send e-mail message to the specified e-mail addresses. This can be used to temporarily stop sending faxes to e-mail for specified Caller (or Called) numbers.

Mail to

In this area, you can specify e-mail message recipients.

Type recipient’s Email Address

The e-mail address of the e-mail recipient that you want to add, should be initially entered in this field.

Type recipient’s name (optional)

The name of e-mail recipient should be initially entered in this field.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

Message recipients

<To>

Use this button to add e-mail recipient to the main list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields

<Remove>

Use this button to remove e-mail recipient from the main list of e-mail recipients.

<Cc>

Use this button to add e-mail recipient to the Cc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields

<Remove>

Use this button to remove e-mail recipient from the Cc list of e-mail recipients.

<Bcc>

Use this button to add e-mail recipient to the Bcc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields

<Remove>

Use this button to remove e-mail recipient from the Bcc list of e-mail recipients.


Format Settings

Format Settings (Route through e-mail, Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Route through e-mail ›› Route through e-mail Settings ››

Format Settings

Fax Delivery Format

In this area, you can specify fax delivery format that you want to use with the current rule. You also can specify whether to attach the fax to e-mail message.

Deliver incoming faxes in the following format

Select fax delivery format, that you want to use with the current rule. The incoming fax can be delivered via e-mail as TIFF, PDF or SFF attachment.

Do not attach a copy of the received fax

Check If you do not want to attach the fax to e-mail message.

Filename Template

In this area, you can specify filename template for the attached faxes.

Use Default Template (FAX...)

Select this option to use default filename template with the current rule. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected fax delivery format).

Use Custom Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %CallerID%, %StartTime%, %PagesReceived% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %CallerID%. The telephone number of the calling device.
      • %CalledNumber%. The telephone number of the called party (DID).
      • %RemoteFaxID%. The Transmitting Subscriber ID (TSID) received from the fax sender.
      • %LocalFaxID%. The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.
      • %StartTime%. The starting time for the fax job that received the fax document.
      • %EndTime%. The ending time for the fax job that received the fax document.
      • %Duration%. The total time that elapses between the beginning of fax reception and the end of fax reception.
      • %PagesReceived%. The number of pages in the received fax document.
      • %DeviceName%. The name of the device that received the fax document. Example: Fax Voip 14.4K TAPI Voice-Fax Modem #2.
      • %FaxMessageID%. The unique number that identifies the fax job that received the fax document.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax delivery format).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use System.Net.Mail method for sending e-mail messages.


E-mail Templates Settings

E-mail Templates Settings (Route through e-mail, Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Route through e-mail ›› Route through e-mail Settings ››

E-mail Templates Settings

On this page you can override the default settings for 'New Fax Received (Microsoft Fax Service)' e-mail template .

Use default e-mail templates settings

If this option checked, the default settings for e-mail templates are used.

E-mail Templates

In this area, you can specify custom settings for e-mail templates that will be applied to the current rule only.

Select Template

Use this drop-down list to select the template you want to edit. You can configure the following e-mail template: New Fax Received (Microsoft Fax Service).

Use Default Template

Check this box if you don’t want to customize the selected template. The e-mail template embedded into the program code will be used in this case.

To customize the selected template, see notes below.

Notes

  • For more information on how to configure New Fax Received (Microsoft Fax Service) template, see E-mail Templates: New Fax Received (Microsoft Fax Service) . Settings for the Route through e-mail rule should be made in the same way.


Store in a folder

Store in a folder Incoming Routing Method (Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ››

When receiving faxes using Microsoft Fax * application (via Fax Voip Virtual COM Ports), you can configure Store in a folder Incoming Routing Method to copy incoming faxes to specified local or network folders. Depending on the Caller Number (Caller ID) and Called Number (DID), incoming fax can be routed to different folders.

The behavior is defined by the so-called rules. Fax Voip always checks Store in a folder rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. For example, if rule # 1 applies for all incoming calls ('Caller ID' = .*; 'Called Number' = .*), then other rules # 2, # 3, etc. applied to incoming calls never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified Caller (or Called) numbers.

To store an incoming fax in the specified folder, you must:

  • To do the necessary settings in the Incoming VOIP Call Routing rules to receive faxes via Fax Voip Virtual COM Ports (modems)
  • Configure the Windows Fax Service to receive faxes using Fax Voip modem(s)
  • Configure Caller ID settings (Incoming Modem Calls)
  • Create one or more rules, where you should specify folder names and format for saving incoming faxes

Incoming fax can be routed to one or more local or network folders. The format for saving incoming faxes can be TIFF, PDF or SFF.

The maximum supported number of Store in a folder rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Store in a folder fax routing method log, use Enable 'Store in a folder (Microsoft Fax)' incoming routing method debug logging option, see more details in the Incoming Routing Methods (Microsoft Fax) Logs chapter of this user manual.

Store incoming faxes in a folder table contains the following information:

Rule

Unique number of the current rule.

Caller ID

Specifies the Caller ID pattern for which the rule applies.

Called Number

Specifies the Called Number (DID) pattern for which the current rule applies. To enable DID recognition on the side of Microsoft Fax program, select Include Called Number (DID) in Caller ID string option and specify separator between Caller ID and DID. See details in the Caller ID settings (Incoming Modem Calls) chapter of this user manual.

Enabled

Specifies whether store in a folder procedure enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified Caller (or Called) numbers.

Store in Folder

Displays folders locations for storing copies of incoming faxes.

Format

Specifies the format for saving incoming faxes. Can be TIFF, PDF or SFF.

Filename Template

Specifies the custom filename template to be used when copying received faxes to the specified folder(s). When specifying the default filename template, file names are generated based on the current date and time, and also random value.

The following commands are available in the Store in a folder Contextual Tab of the Ribbon:

Store in a folder Rules

New (Ctrl + N)

Click to create new Store in a folder rule.

Edit (Ctrl + E)

Click to edit Store in a folder rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Store in a folder rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Store in a folder Contextual Tab are also available from the context menu of the list.

Notes

  • To use the Store in a folder method, the Network Service account must have access to the folders that you use.
  • To route faxes based on Called Number (DID), select Include Called Number (DID) in Caller ID string option and specify separator between Caller ID and DID. Otherwise, all the rules except rules with Called Number = <any> (.*) will be ignored. See details in the Caller ID settings (Incoming Modem Calls) chapter of this user manual.
  • When routing faxes based on Called Number (DID), please note that the Called Number (DID) can be overridden in the Incoming VOIP Call Routing rule. More details can be found in the chapter Incoming VOIP Call Routing Settings , General Settings section. To avoid overriding of the called number, in your rule, in the Call To Fax Voip Line area, select To Modem Line to Number = option and then select <NUM> from the dropdown list (default option).
  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


To create or edit Store in a folder rule

Creating or editing Store in a folder rules (Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Store in a folder ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (MS Fax) in TreeView, then click Store in a folder.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Store in a folder Rule window in the General panel, specify the conditions under which this rule applies (in the Caller ID and Called Number (DID) sections). More details can be found in the chapter Store in a folder Settings , General Settings section.

5. Switch to the Store in Folder panel.

6. In the Store in Folder panel, check After reception to copy a fax into specified folders to enable rule. In the Store in Folder area, specify folders where to store incoming faxes. The folder should be initially selected or typed in the text field and then added to the Store in folders list by using <Add> button. More details can be found in the chapter Store in a folder Settings , Store in Folder settings section.

7. Switch to the Format panel.

8. In the Format panel select format for saving incoming faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter Store in a folder Settings , Format Settings section.

9. Click <OK> button to fix changes.

10. To use the Store in a folder method, the Network Service account must have access to the folders that you use. In the dialog box shown in the figure below, click Yes to grant access to the specified folders for Network Service account.

11. To change the preference order for Store in a Folder Incoming Routing (Microsoft Fax) rules use Move Up and Move Down commands. One of the entries should be selected.

12. Click <Apply> button to save modified settings for Store in a Folder Incoming Routing (Microsoft Fax). Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage Store in a folder rules

Managing Store in a folder rules (Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Store in a folder ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (MS Fax) in TreeView, then click Store in a folder.

3. To change the preference order for Store in a Folder Incoming Routing (Microsoft Fax) rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Store in a folder Settings

Store in a folder (Microsoft Fax) Settings

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Store in a folder ››

This section provides information about settings, that you can do in the Store in a folder rule (Microsoft Fax) dialog.

  • General Settings
  • Store in Folder Settings
  • Format Settings


General Settings

General Settings (Store in a folder, Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Store in a folder ›› Store in a folder Settings ››

General Settings

Caller ID

The settings in this area allow to specify the Caller ID pattern for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number or from a group of phone numbers.

Caller ID =

If this option selected, the rule applies to incoming calls from any number or from specified number.

Select <any> to receive calls from any phone number.

Enter phone number to receive calls from this phone number only.

Caller ID starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

Called Number (DID)

The settings in this area allow to specify the Called Number (DID) pattern for which the current rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number or to a group of phone numbers. To enable DID recognition on the side of Microsoft Fax program, select Include Called Number (DID) in Caller ID string option and specify separator between Caller ID and DID. See details in the Caller ID settings (Incoming Modem Calls) chapter of this user manual. When routing faxes based on Called Number (DID), please also note that the Called Number (DID) can be overridden in the Incoming VOIP Call Routing rule. More details can be found in the chapter Incoming VOIP Call Routing Settings , General Settings section. To avoid overriding of the called number, in your rule, in the Call To Fax Voip Line area, select To Modem Line to Number = option and then select <NUM> from the dropdown list (default option).

Called Number =

If this option selected, the rule applies to incoming calls to any number or to specified number.

Select <any> to receive calls addressed to any phone number.

Enter phone number to receive calls to this phone number only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number can be selected from the drop-down list.

Called Number starts with

If this option selected, the rule applies to incoming calls from to the group of phone numbers with specified prefix. For example in the case of prefix '1631' (see the picture below), the rule will be applied to incoming calls to 16317008090, 16314901610,...,, but will not be applied to incoming calls to 14259876543, 13601234567 ...


Store In Folder Settings

Store in Folder Settings (Store in a folder, Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Store in a folder ›› Store in a folder Settings ››

Store in Folder Settings

After reception to copy a fax into specified folders

This option allows to enable or disable store in a folder procedure. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified Caller (or Called) numbers.

Store in folder

In this area, you can specify local or network folders where incoming faxes should be stored.

<Browse>

Click this button to select the desired folder using standard windows Browse For Folder dialog. Local or network folder can be selected.

You can also manually type the folder name in the text field.

Store in folders

<Add>

Use this button to add folder to the list of folders. The folder should be initially selected or entered in the text field.

<Remove>

Use this button to remove folder from the list of folders.

Notes

  • To use the Store in a folder method, the Network Service account must have access to the folders that you use.


Format Settings

Format Settings (Store in a folder, Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Store in a folder ›› Store in a folder Settings ››

Format Settings

Format for saving incoming faxes

In this area, you can specify fax format that you want to use with the current rule.

Save incoming faxes in the following format

Select the fax format, that you want to use with the current rule. The incoming faxes can be stored in the TIFF, PDF or SFF format.

Filename Template

In this area, you can specify filename template to be used when copying received faxes to the specified folder(s).

Use Default Template

Select this option to use default filename template with the current rule. When specifying the default filename template, file names are generated based on the current date and time, and also random value.

Use Custom Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %CallerID%, %StartTime%, %PagesReceived% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %CallerID%. The telephone number of the calling device.
      • %CalledNumber%. The telephone number of the called party (DID).
      • %RemoteFaxID%. The Transmitting Subscriber ID (TSID) received from the fax sender.
      • %LocalFaxID%. The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.
      • %StartTime%. The starting time for the fax job that received the fax document.
      • %EndTime%. The ending time for the fax job that received the fax document.
      • %Duration%. The total time that elapses between the beginning of fax reception and the end of fax reception.
      • %PagesReceived%. The number of pages in the received fax document.
      • %DeviceName%. The name of the device that received the fax document. Example: Fax Voip 14.4K TAPI Voice-Fax Modem #2.
      • %FaxMessageID%. The unique number that identifies the fax job that received the fax document.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When generating identical file names (for example, when specifying custom filename template without using %variables%), a sequential number is added to the file name. For example, if the filename template is 'FAX' and the fax format is 'PDF', faxes will be copied to the specified folder(s) with the following names: FAX.pdf, FAX (2).pdf, FAX (3).pdf ....


Print

Print Incoming Routing Method (Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ››

When receiving faxes using Microsoft Fax * application (via Fax Voip Virtual COM Ports), you can configure selective print-out of the incoming faxes by using Print Incoming Routing Method. Depending on the Caller Number (Caller ID) and Called Number (DID), incoming fax can be printed to different printers.

The behavior is defined by the so-called rules. Fax Voip always checks Print rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. For example, if rule # 1 applies for all incoming calls ('Caller ID' = .*; 'Called Number' = .*), then other rules # 2, # 3, etc. applied to incoming calls never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified Caller (or Called) numbers.

To print an incoming fax to the specified printer, you must:

  • To do the necessary settings in the Incoming VOIP Call Routing rules to receive faxes via Fax Voip Virtual COM Ports (modems)
  • Configure the Windows Fax Service to receive faxes using Fax Voip modem(s)
  • Configure Caller ID settings (Incoming Modem Calls)
  • Create one or more rules, where you should specify printers

Incoming fax can be routed to one or more printers.

The maximum supported number of Print rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Print fax routing method log, use Enable 'Print (Microsoft Fax)' incoming routing method debug logging option, see more details in the Incoming Routing Methods (Microsoft Fax) Logs chapter of this user manual.

Print incoming faxes table contains the following information:

Rule

Unique number of the current rule.

Caller ID

Specifies the Caller ID pattern for which the rule applies.

Called Number

Specifies the Called Number (DID) pattern for which the current rule applies. To enable DID recognition on the side of Microsoft Fax program, select Include Called Number (DID) in Caller ID string option and specify separator between Caller ID and DID. See details in the Caller ID settings (Incoming Modem Calls) chapter of this user manual.

Enabled

Specifies whether incoming fax printing enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified Caller (or Called) numbers.

Printer

Displays printers for printing incoming faxes.

The following commands are available in the Print Contextual Tab of the Ribbon:

Print Rules

New (Ctrl + N)

Click to create new Print rule.

Edit (Ctrl + E)

Click to edit Print rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Print rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Print Contextual Tab are also available from the context menu of the list.

Notes

  • When using Print method, the printing is carried out on behalf of the Network Service account. For this reason, the selected printer does not have to show any dialog boxes before printing.
  • To route faxes based on Called Number (DID), select Include Called Number (DID) in Caller ID string option and specify separator between Caller ID and DID. Otherwise, all the rules except rules with Called Number = <any> (.*) will be ignored. See details in the Caller ID settings (Incoming Modem Calls) chapter of this user manual.
  • When routing faxes based on Called Number (DID), please note that the Called Number (DID) can be overridden in the Incoming VOIP Call Routing rule. More details can be found in the chapter Incoming VOIP Call Routing Settings , General Settings section. To avoid overriding of the called number, in your rule, in the Call To Fax Voip Line area, select To Modem Line to Number = option and then select <NUM> from the dropdown list (default option).
  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


To create or edit print routing rule

Creating or editing Print rules (Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Print ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (MS Fax) in TreeView, then click Print.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Print Rule window in the General panel, in the VOIP Protocol area, specify the conditions under which this rule applies (in the Caller ID and Called Number (DID) sections). More details can be found in the chapter Print Routing Settings , General Settings section.

5. Switch to the Print panel.

6. In the Print panel, check After reception to print a fax to enable rule. in the Select Printers area, specify printers. The printer should be initially selected and then added to the Printer names list by using <Add> button. More details can be found in the chapter Print Routing Settings , Print settings section.

7. Click <OK> button to fix changes.

8. To change the preference order for Print Incoming Routing (Microsoft Fax) rules use Move Up and Move Down commands. One of the entries should be selected.

9. Click <Apply> button to save modified settings for Print Incoming Routing (Microsoft Fax). Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage print routing rules

Managing Print rules (Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Print ››

1. Open Fax Voip Control Panel.

2. Click Incoming Methods (MS Fax) in TreeView, then click Print.

3. To change the preference order for Print Routing (Microsoft Fax) rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Print Routing Settings

Print Routing (Microsoft Fax) Settings

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Print ››

This section provides information about settings, that you can do in the Print rule (Microsoft Fax) dialog.

  • General Settings
  • Print Settings


General Settings

General Settings (Print Routing, Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Print ›› Print Routing Settings ››

General Settings

Caller ID

The settings in this area allow to specify the Caller ID pattern for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number or from a group of phone numbers.

Caller ID =

If this option selected, the rule applies to incoming calls from any number or from specified number.

Select <any> to receive calls from any phone number.

Enter phone number to receive calls from this phone number only.

Caller ID starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

Called Number (DID)

The settings in this area allow to specify the Called Number (DID) pattern for which the current rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number or to a group of phone numbers. To enable DID recognition on the side of Microsoft Fax program, select Include Called Number (DID) in Caller ID string option and specify separator between Caller ID and DID. See details in the Caller ID settings (Incoming Modem Calls) chapter of this user manual. When routing faxes based on Called Number (DID), please also note that the Called Number (DID) can be overridden in the Incoming VOIP Call Routing rule. More details can be found in the chapter Incoming VOIP Call Routing Settings , General Settings section. To avoid overriding of the called number, in your rule, in the Call To Fax Voip Line area, select To Modem Line to Number = option and then select <NUM> from the dropdown list (default option).

Called Number =

If this option selected, the rule applies to incoming calls to any number or to specified number.

Select <any> to receive calls addressed to any phone number.

Enter phone number to receive calls to this phone number only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number can be selected from the drop-down list.

Called Number starts with

If this option selected, the rule applies to incoming calls from to the group of phone numbers with specified prefix. For example in the case of prefix '1631' (see the picture below), the rule will be applied to incoming calls to 16317008090, 16314901610,...,, but will not be applied to incoming calls to 14259876543, 13601234567 ...


Print Settings

Print Settings (Print Routing, Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Print ›› Print Routing Settings ››

Print Settings

After reception to print a fax

This option allows to enable or disable incoming fax printing. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified Caller (or Called) numbers.

Select Printers

In this area, you can specify printers for printing incoming faxes.

Before adding the printer, you should select it in the combobox.

Printer names

<Add>

Use this button to add printer to the list of printers. The printer should be initially selected in the combobox.

<Remove>

Use this button to remove printer from the list of printers.


Custom Routing

Custom routing for incoming faxes (Microsoft Fax)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ››

The Custom Routing Method (Microsoft Fax) defined by the Fax Voip Routing Extension allows you to easy add any routing functionality by using custom application that is started after receiving a fax. The using of this method is not limited by the current licences.

This method provides software vendors with a flexible way to connect software applications that route received fax transmissions through multiple routing methods. These routing methods can include, but are not limited to: printing faxes, storing faxes, converting fax graphic images to text files, delivering faxes in electronic mail attachments etc. The software vendor is responsible for developing functions of the method, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration.

When executing Custom Routing Method (Fax Voip Routing Extension), the Windows Fax Service starts the application, specified by the customer, after receiving a fax. The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax file (TIFF) and other important parameters, such as CallerID, Called Number (DID), TSID, CSID etc. and then do any necessary actions. The custom application must be terminated automatically after execution. The application is responsible for deleting the temporary copy of the received fax (TIFF file) and the folder in which this file is placed. Custom Application is started using the Network Service account, so the Network Service account must have necessary access to files, folders and other objects with which your application works. See more details in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

Custom application that should be started after receiving a fax

Here you can choose the application that will be started after receiving a fax. You can browse to a preferred executable file or enter the file path. The example of the custom routing application (RouteCustomMS.exe) can be found in the Fax Voip installation folder, usually C:\Program Files (x86)\FaxVoip\RouteCustomMS.exe. See also in the Custom Application Sample chapter of this user manual.

Create temporary copy of the received fax (TIFF file)

If you select this option, the method creates a temporary folder (subfolder in the %temp% folder for the Network Service account) and copies the received fax (TIFF file) into this folder. The temporary folder (%temp%) for the Network Service account is usually C:\Windows\ServiceProfiles\NetworkService\AppData\Local\Temp\. The path to the temporary TIFF file is passed to the custom application via TiffFileName command-line argument. The custom application is responsible for deleting the temporary TIFF file and the temporary folder in which this file is located. If this option is not checked, the method does not create the copy of the received fax, but the custom application can still access the received fax by using Fax Service API functions (based on Job ID parameter that is also passed via command line).

Enable custom routing

The Fax Voip software automatically enables or disables the Custom method (Fax Voip Routing Extension) for all Fax Voip 14.4K TAPI Voice-Fax Modem devices, depending on whether this option is checked or not.


Custom Application Requirements

Custom Application Requirements (Developer's Guide)

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Custom Routing ››

The custom routing application, specified by the customer, is started by the Windows Fax Service when executing Custom Routing Method (Fax Voip Routing Extension), after receiving a fax. The individual developer is responsible for developing this application, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration. The application functions can include, but are not limited to: printing faxes, storing faxes, converting fax graphic images to text files, delivering faxes in electronic mail attachments etc.

Below are the general requirements that must be taken into account by the software vendor when writing the custom application.

Command-Line Arguments

The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax file (TIFF) and other important parameters, such as CallerID, Called Number (DID), TSID, CSID etc.

The following is an example of the command-line arguments passed to your application:

/@@@TiffFileName=C:\Windows\ServiceProfiles\NetworkService\AppData\Local\Temp\42008_cc\FAX.tif

/@@@JobId=42008 /@@@ElapsedTime=00:00:51

/@@@ReceiveTime=11.18.2018@04:21:08 /@@@PageCount=1

/@@@Csid=Fax Voip /@@@Tsid=(901) 222-3344

/@@@CallerId=19012223344 /@@@RoutingInfo=16314901610

/@@@ReceiverName=Fax Voip 14.4K TAPI Voice-Fax Modem /@@@ReceiverNumber=Fax Voip

/@@@DeviceName=Fax Voip 14.4K TAPI Voice-Fax Modem /@@@DeviceId=65592

Command line arguments match to the elements of the FAX_ROUTE structure , see below:

/@@@TiffFileName=

The temporary copy of the fax file (TIFF) associated with a received fax document. This file and the temporary folder in which it is located (subfolder in the %temp% folder for Network Service account) should be deleted in custom routing application after applying necessary actions. If the Create temporary copy of the received fax (TIFF file) option is unchecked, this argument is missing in the command line. See also in the Custom routing for incoming faxes (Microsoft Fax) chapter of this user manual.

/@@@JobId=

Specifies a unique number that identifies the fax job that received the fax document.

/@@@ElapsedTime=

Represents the total time that elapses between the beginning of fax reception and the end of fax reception. The format of this string is 'hh:mm:ss'.

/@@@ReceiveTime=

The starting time for the fax job that received the fax document. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@PageCount=

Specifies the number of pages in the received fax document.

/@@@Csid=

Specifies the called station identifier of the local fax device (Local Fax ID) that received the fax document. This identifier is usually a telephone number.

/@@@Tsid=

Specifies the transmitting station identifier of the remote fax device (Remote Fax ID) that sent the fax document. This identifier is usually a telephone number.

/@@@CallerId=

Identifies the calling device that sent the fax document. This string usually includes the telephone number of the calling device. Fax Voip Routing Extension library (FaxVoipRouteExtWin64.dll / FaxVoipRouteExtWin32.dll) parses Caller ID string supplied by the fax service and then stores the real Caller ID in this string. See also in the Caller ID settings (Incoming Modem Calls) chapter of this user manual.

/@@@RoutingInfo=

Specifies the routing string for the received fax document. Fax Voip Routing Extension library (FaxVoipRouteExtWin64.dll / FaxVoipRouteExtWin32.dll) parses Caller ID string supplied by the fax service and then stores the Called Number (DID) in this string. To enable DID recognition on the side of Windows Fax Service, select Include Called Number (DID) in Caller ID string option and specify separator between Caller ID and DID. See details in the Caller ID settings (Incoming Modem Calls) chapter of this user manual.

/@@@ReceiverName=

According to MSDN, specifies the name of the person who received the fax document (usually coincides with DeviceName and not used).

/@@@ReceiverNumber=

According to MSDN, specifies the telephone number of the fax device that received the fax document (usually coincides with Csid - local fax device identifier, and not used).

/@@@DeviceName=

Specifies the name of the device that received the fax document.

/@@@DeviceId=

Specifies the permanent line identifier for the receiving fax device.

Temporary copy of the received fax (TIFF file)

If the Create temporary copy of the received fax (TIFF file) option is checked (see in the Custom routing for incoming faxes (Microsoft Fax) chapter of this user manual), the Custom Routing Method (Fax Voip Routing Extension) creates a temporary folder and copies the received fax (TIFF file) into this folder. The temporary folder is created in the %temp% folder for the Network Service account. The path to the temporary TIFF file is passed to the custom application via TiffFileName command-line argument, see above.

For example,

/@@@TiffFileName=C:\Windows\ServiceProfiles\NetworkService\AppData\Local\Temp\42008_cc\FAX.tif

The path to the TIFF file is:

C:\Windows\ServiceProfiles\NetworkService\AppData\Local\Temp\42008_cc\FAX.tif

The path to the temporary folder is:

C:\Windows\ServiceProfiles\NetworkService\AppData\Local\Temp\42008_cc\

The temporary folder in which TIFF file (FAX.tif) is placed can be used by your custom routing application to store temporary files that your application generates.

The custom application is responsible for deleting the temporary TIFF file and the temporary folder in which this file is located. You must permanently delete the temporary folder in your application after you perform all the necessary actions.

If the Create temporary copy of the received fax (TIFF file) option is not checked, the Custom Routing Method (Fax Voip Routing Extension) does not create the copy of the received fax, but the custom application can still access the received fax by using Fax Service API functions (based on JobId parameter that is also passed via command line).

Running under Network Service account

The custom application is started in the context of the Windows Fax Service using the Network Service account, so the Network Service account must have necessary access to files, folders and other objects with which your application works.

Terminating the application

The Custom Routing Method (Fax Voip Routing Extension) executes the custom routing application in the separated thread by calling the CreateProcess function . The Windows Fax Service does not monitor the application after it is started and does not guarantee its correct completion. The developer of the custom routing application is responsible for the correct automatic termination of the application after execution.


Custom Application Sample

Fax Voip Control Panel ›› Incoming Routing Methods (Microsoft Fax) ›› Custom Routing ››

The example of the custom routing application (RouteCustomMS.exe) can be found in the Fax Voip installation folder, usually C:\Program Files (x86)\FaxVoip\RouteCustomMS.exe.

The source codes (RouteCustomMS.zip archive) can be found in the Fax Voip data folder, usually C:\ProgramData\FaxVoip\Samples\RouteCustomMS.zip. To unpack the archive, right click it and then select Extract All... from the context menu.

The code example is a console application written in Visual Basic .Net and can be compiled using Microsoft Visual Studio 2013 or later versions.

This sample demonstrates the use of a custom routing method (Microsoft Fax) for incoming faxes, taking into account the requirements for writing such application, see also in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

  • The application parses the predefined command line and populates the internal structure where it stores path to the temporary TIFF file and other routing info parameters, such as CallerID, Called Number (DID), TSID, CSID etc.
  • Writes the routing info into standard ini file.
  • Copies the temporary TIFF file to the specified folder with an unique name that contains the date and time the fax was received.
  • Before the application finishes, it deletes the temporary folder and the temporary TIFF file placed in this folder.
  • The application provides automatic completion after performing all necessary actions.
  • The application uses folders and files for which Network Service account definitely has write access.

To use the sample

1. Copy the RouteCustomMS.exe file into the Fax Voip installation folder. You can use a different folder, but make sure that the Network Service account has access to your folder.

2. Open Fax Voip Control Panel. Click Incoming Methods (MS Fax) in TreeView, then click Custom.

3. On the Custom routing for incoming faxes (Microsoft Fax) page, select the Enable custom routing check box.

4. In the Custom application that should be started after receiving a fax field, enter the path to RouteCustomMS.exe file or select it using the small button placed to the right of the field.

5. Select the Create temporary copy of the received fax (TIFF file) check box.

6. Click <Apply> button to save changes.

After receiving a fax,

1. Open the Fax Voip data folder in Windows Explorer, usually C:\ProgramData\FaxVoip\.

2. Check the RouteCustomMS subfolder for RouteCustomMS.ini file.

3. Check the RouteCustomMS\Incoming Faxes subfolder for copy of the received fax.

4. The RouteCustomMS.txt log file is stored in the log subfolder.


Outgoing Routing Methods (Built-in lines)

Outgoing Routing Methods (Built-in lines): E-mail, Store in Folder, Print, Custom

Fax Voip Control Panel ››

When sending faxes and audio messages using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines), you can configure Outgoing Routing Methods to route outgoing faxes and audio messages. Depending on the recipient's phone number, type of the call (fax or audio), and the success or failure of sending the fax or audio message, different actions can be applied to outgoing fax or audio message. These actions are defined by the so-called rules. The independent set of rules is used for each method.

The following Outgoing Routing Methods can be configured:

E-mail Delivery Receipts

An e-mail receipt can be sent to one or more e-mail addresses, to confirm whether the fax or audio message has been sent correctly.

Store in a folder

Outgoing faxes and audio messages can be copied to one or more local or network folder.

Print

This method allows to automatically print outgoing faxes.

Custom

This method allows to easy add any routing functionality by using custom application that is started after sending a fax or audio message. The using of this method is not limited by the current licences.

Outgoing Methods (Built-in lines) page contains the following information:

Outgoing Method

The Outgoing Routing Method name.

Priority

The priority order of Outgoing Routing Methods. It should be understood that this option has practically no effect, because each method is always executed in the separated thread. To change the priority order, use the Move Up and Move Down commands, see below.

Max # of Rules

Total number of rules, that can be used. It is usually the sum of Basic and Additional number of rules.

Basic

Basic number of rules, that can be used. Specified as the number of Built-in VOIP/ISDN Fax/Audio Lines + 1. The TRIAL version allows the use of no more than 2 rules of every type.

Additional

Additional number of rules, defined by the Fax Voip Extended Fax Routing (E-mail, Store in Folder, Print, Fax-On-Demand) license.

The following commands are available in the Outgoing Methods Contextual Tab of the Ribbon:

Outgoing Methods (Built-in lines)

E-mail Receipts

Click to configure E-mail Delivery Receipts (Built-in lines) rules for outgoing faxes and audio messages.

Store in a folder

Click to configure Store in a folder (Built-in lines) rules for outgoing faxes and audio messages.

Print

Click to configure Print (Built-in lines) rules for outgoing faxes.

Custom

Click to configure custom routing for outgoing faxes and audio messages (Built-in lines).

Move

Use the commands below to change preference order for different Outgoing Methods (Built-in lines). One of the methods should be selected.

Move Up (Ctrl + U)

Move the selected method up.

Move Down (Ctrl + D)

Move the selected method down.

To configure outgoing method, you also can double-click a method in the Outgoing Methods (Built-in lines) list, or select Edit command from the context menu.

The following diagram provides an overview of the outgoing fax or audio message routing process:

To view common Outgoing Routing Methods log, use Enable Outgoing Routing Methods (Built-in lines) debug logging option, see more details in the Outgoing Routing Methods (Built-in lines) Logs chapter of this user manual. To view detailed logs for routing methods, use other options described in the same chapter.

Notes

  • To use Outgoing Routing Methods (Built-in lines) feature, you should have the Fax Voip built-in VOIP/ISDN Fax/Audio Lines license installed.
  • The basic number of allowed rules for each method is specified as the number of built-in VOIP/ISDN Fax/Audio Lines plus 1. The TRIAL version allows the use of no more than 2 rules of every type.
  • To significantly increase the maximum number of available rules, you can purchase separate license Fax Voip Extended Fax Routing (E-mail, Store In Folder, Print, Fax-On-Demand). Note that this license can not be used in the absence of the Fax Voip built-in VOIP/ISDN Fax/Audio Lines license or Fax Voip Virtual COM Ports (modems) license.
  • The using of the Custom routing method is not limited by the current licences.
  • To configure Outgoing Routing Methods based on using Microsoft Fax and Virtual COM Ports, see Outgoing Routing Methods (Microsoft Fax): E-mail, Store in Folder, Print, Custom chapter of this user manual.


E-mail Delivery Receipts

E-mail Delivery Receipts Outgoing Routing Method (Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ››

The E-mail Delivery Receipts Outgoing Routing Method implemented in Fax Voip version 8.3.1 duplicates the old Delivery Receipts via E-mail (Built-in lines) functionality that was present in version 8.2.1 or earlier. For compatibility with some other functions, the old functionality was not removed in version 8.3.1 and you can use both functions independently of each other.

When sending faxes and audio messages using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines), you can configure E-mail Delivery Receipts Outgoing Routing Method to send e-mail receipts to the predefined e-mail address(es), to confirm whether the fax or audio message has been sent correctly. Delivery notification receipts provide users with information about the success or failure of their sent faxes and audio messages. Note that this functionality is completely independent from the similar function, which is used together with Mail to Fax (Mail to Audio) - Built-in lines , see Delivery notification to user e-mail address option in the Delivery Receipts to user e-mail address (Mail to Fax/Audio) - Built-in lines chapter of this user manual. The notification to e-mail is sent regardless of the method of creating a fax or audio message. Depending on the recipient's phone number, type of the call (fax or audio), and the success or failure of sending the fax or audio message, delivery receipt can be sent to different e-mail addresses.

The behavior is defined by the so-called rules. Fax Voip always checks E-mail Delivery Receipts rules, starting with the rule # 1. The receipt will be sent according to the first rule, which satisfies the specified conditions. All other rules are ignored. For example, if rule # 1 applies for all outgoing faxes and audio messages ('Recipient Number' = .*; 'Fax' = yes; 'Audio' = yes; 'OK' = yes; 'Failed' = yes), then other rules # 2, # 3, etc. applied to outgoing faxes and audio messages never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send delivery receipt to the specified e-mail addresses. This can be used to temporarily stop sending receipts for a specified recipient's phone number.

To use E-mail Delivery Receipts functionality, you must:

  • Configure Fax Voip to send faxes using built-in lines
  • Configure Fax Voip to send audio messages using built-in lines
  • Configure SMTP settings
  • Configure 'Outgoing Fax (built-in lines)' e-mail template (if necessary)
  • Configure 'Outgoing Audio Message (built-in lines)' e-mail template (if necessary)
  • Create one or more rules, where you should specify e-mail recipients and delivery format for faxes and audio messages

The delivery receipt can be sent to one or more e-mail recipients. To, CC and BCC e-mail fields can be used. A copy of the sent fax can be attached to the e-mail message in TIFF, PDF or SFF format. A copy of the sent audio message can be attached to the e-mail message in WAV format.

The maximum supported number of E-mail Delivery Receipts rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view E-mail Delivery Receipts routing method log, use Enable 'E-mail Delivery Receipts (Built-in lines)' outgoing routing method debug logging option, see more details in the Outgoing Routing Methods (Built-in lines) Logs chapter of this user manual. To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

E-mail Delivery Receipts (Built-in lines) table contains the following information:

Rule

Unique number of the current rule.

Recipient Number

Specifies the recipient's phone number pattern for which the rule applies.

Fax

Specifies whether the rule applies when sending a fax.

Audio

Specifies whether the rule applies when sending audio message.

OK

Specifies whether the rule applies for successfully sent faxes and audio messages.

Failed

Specifies whether the rule applies for failed fax or audio message sending.

Enabled

Specifies whether e-mail sending enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send delivery receipt to the specified e-mail addresses. This can be used to temporarily stop sending receipts for a specified recipient's phone number.

Mail To

Contains a list of the e-mail addresses.

CC

Contains a list of the e-mail addresses that appear in the Cc box of e-mail message.

BCC

Contains a list of the e-mail addresses that appear in the Bcc box of e-mail message.

Attach Fax

Specifies whether to attach a copy of the sent fax to the e-mail message.

Fax Format

Specifies the file format for the attached fax. Can be TIFF, PDF or SFF.

Fax Filename Template

Specifies the custom filename template for the attached fax. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff.

Attach Audio

Specifies whether to attach a copy of the sent audio message (WAV file) to the e-mail message.

Audio Filename Template

Specifies the custom filename template for the attached audio message. When specifying the default filename template, the audio attachment name is MESSAGE.wav.

E-mail Templates

Specifies whether custom or default settings are used for E-mail Templates .

The following commands are available in the E-mail Receipts Contextual Tab of the Ribbon:

E-mail Receipts Rules

New (Ctrl + N)

Click to create new E-mail Delivery Receipts rule.

Edit (Ctrl + E)

Click to edit E-mail Delivery Receipts rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more E-mail Delivery Receipts rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more E-mail Delivery Receipts rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different E-mail Delivery Receipts rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the E-mail Receipts Contextual Tab are also available from the context menu of the list.


To create or edit E-mail Delivery Receips rule

Creating or editing E-mail Delivery Receips rule (Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› E-mail Delivery Receipts ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (Built-in) in TreeView, then click E-mail Receipts.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the E-mail Delivery Receipts Rule window in the General panel, specify the recipient phone numbers for which this rule applies (in the Recipient Number section). Specify whether the rule applies when sending a fax or/and when sending audio message. Specify whether the rule applies for successfully sent faxes and audio messages or/and for failed fax or audio message sending. More details can be found in the chapter E-mail Delivery Receipts Settings , General Settings section.

5. Switch to the E-mail panel.

6. In the E-mail panel, check After sending a fax or audio message to send delivery receipt by e-mail to enable rule. In the Mail to area, specify e-mail message recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields and then added to the Message recipients lists by using <To>, <Cc> and <Bcc> buttons. To select e-mail recipients from Address Book (Windows Contacts), click the Address Book button. More details can be found in the chapter E-mail Delivery Receipts Settings , E-mail Settings section.

7. Switch to the Format panel.

8. In the Format panel specify whether to attach a copy of the sent fax (audio message) to the e-mail message. Select format for the attached faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter E-mail Delivery Receipts Settings , Format Settings section.

9. Switch to the Templates panel.

10. In the Templates panel, specify whether to use default or custom settings for e-mail templates. Configure e-mail templates to be used with the rule. More details can be found in the chapter E-mail Delivery Receipts Settings , E-mail Templates Settings section.

11. Click <OK> button to fix changes.

12. To change the preference order for E-mail Delivery Receipts (Built-in lines) outgoing routing method rules use Move Up and Move Down commands. One of the entries should be selected.

13. Click <Apply> button to save modified settings for E-mail Delivery Receipts (Built-in lines) rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage E-mail Delivery Receips rules

Managing E-mail Delivery Receips rules (Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› E-mail Delivery Receipts ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (Built-in) in TreeView, then click E-mail Receipts.

3. To change the preference order for E-mail Delivery Receipts (Built-in lines) outgoing routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


E-mail Delivery Receipts Settings

E-mail Delivery Receipts (Built-in lines) Settings

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› E-mail Delivery Receipts ››

This section provides information about settings, that you can do in the E-mail Delivery Receipts rule (Built-in lines) dialog.

  • General Settings
  • E-mail Settings
  • Format Settings
  • E-mail Templates Settings


General Settings

General Settings (E-mail Delivery Receipts, Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

General Settings

Recipient Number

The settings in this area allow to specify the recipient's phone number pattern for which the rule applies. The rule can be applied to outgoing faxes and audio messages to any phone number, to a single phone number or to a group of phone numbers.

Recipient Number =

If this option selected, the rule applies to outgoing faxes and audio messages to any phone number or to a single phone number.

Select <any> to apply the rule to outgoing faxes and audio messages to any phone number.

Enter phone number to apply the rule to outgoing faxes and audio messages to this phone number only.

Recipient Number starts with

If this option selected, the rule applies to outgoing faxes and audio messages to the group of phone numbers with specified prefix.

Fax or Audio

The options in this area allow to specify whether to apply the rule when sending a fax or/and when sending audio message. At least one of these options must be selected.

Apply the rule when sending a fax

If this option selected, the rule is applied in the case of sending a fax.

Apply the rule when sending audio message

If this option selected, the rule is applied in the case of sending audio message.

Success or failure

The options in this area allow to specify whether to apply the rule for successfully sent faxes and audio messages or/and for failed fax or audio message sending. At least one of these options must be selected.

Apply the rule for successfully sent faxes and audio messages

If this option selected, the rule is applied in the case of successfull fax or audio message sending.

Apply the rule for failed fax or audio message sending

If this option selected, the rule is applied in the case of unsuccessfull fax or audio message sending.


E-mail Settings

E-mail Settings (E-mail Delivery Receipts, Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

E-mail Settings

After sending a fax or audio message to send delivery receipt by e-mail

This option allows to enable or disable e-mail sending. To enable the rule, check this option. To disable e-mail sending, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send delivery receipt to the specified e-mail addresses. This can be used to temporarily stop sending receipts for a specified recipient's phone number.

Mail to

In this area, you can specify e-mail message recipients.

Type recipient’s Email Address

The e-mail address of the e-mail recipient that you want to add, should be initially entered in this field.

Type recipient’s name (optional)

The name of the e-mail recipient should be initially entered in this field.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

Message recipients

<To>

Use this button to add e-mail recipient to the main list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the main list of e-mail recipients.

<Cc>

Use this button to add e-mail recipient to the Cc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the Cc list of e-mail recipients.

<Bcc>

Use this button to add e-mail recipient to the Bcc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the Bcc list of e-mail recipients.


Format Settings

Format Settings (E-mail Delivery Receipts, Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

Format Settings

Delivery Format and Filename Templates

In this area, you can specify whether a copy of the fax or audio message should be attached to the e-mail message, select the file format for the attached faxes and specify filename templates for attached faxes and audio messages to be used with the current rule.

On the Fax tab page, you can specify whether a copy of the fax should be attached to the e-mail message. You can select the file format (TIFF, PDF or SFF) and specify filename template for attached faxes.

Attach a copy of the sent fax in the following format

Check this box to attach a copy of the fax to the e-mail message. Select the file format in which you want to receive a copy of the fax. Can be TIFF, PDF or SFF.

The options below are responsible for how file names are generated for the attached faxes.

Use Default Filename Template (FAX...)

Select this option to use default filename template. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected format).

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom fax filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %DocumentName%. If the fax is generated by the Mail to Fax - Built-in lines function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string. Otherwise replaced with an empty string.
      • %PagesTotal%. The total number of pages in the outgoing fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient.
      • %LocalFaxID%. The transmitting station identifier (TSID) that identifies you as a fax sender, sent to the fax recipient.
      • %SubmissionTime%. The time the outgoing fax was originally added for sending.
      • %OriginalScheduledTime%. The time the outgoing fax was originally scheduled for sending.
      • %StartTime%. The time when the outgoing fax call or fax transmission started.
      • %EndTime%. The time when the outgoing fax call or fax transmission ended.
      • %Duration%. The duration of the outgoing fax call or fax transmission.
      • %Retries%. The number of times the system has tried to send the fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %BitRateEcm%. Transmission rate. The 'e' attribute is used to indicate Error Correction Mode (ECM).
      • %FaxProtocol%. Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP, ISDN - audio fax via ISDN CAPI 2.0 line, ISDN-FAX B3-4-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3-5-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
      • %Resolution%. Fax resolution. Can be one of the following values: 204x196 dpi (Fine), 204x98 dpi (Normal).
      • %Status%. Operation completion code. OK in the case of a successful fax sending. In the case of a failed fax sending contains the error description (in English).

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

On the Audio tab page, you can specify whether a copy of the audio message should be attached to the e-mail message. You can specify filename template for attached audio files.

Attach a copy of the sent audio message

Check this box to attach a copy of the audio message (WAV file) to the e-mail message.

The options below are responsible for how file names are generated for the attached audio messages.

Use Default Filename Template (MESSAGE.wav)

Select this option to use default filename template. When specifying the default filename template, the audio attachment name is MESSAGE.wav.

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientPhoneNumber%, %StartTime% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom audio message filename template (replaced by actual data):

      • %RecipientPhoneNumber%. The phone number of the recipient.
      • %DocumentName%. If the audio message is generated by the Mail to Audio - Built-in lines function, this is the name of the original audio file including file extension. Otherwise replaced with an empty string.
      • %WavLength%. The length of the audio message in seconds.
      • %SubmissionTime%. The time the outgoing audio message was originally added for sending.
      • %OriginalScheduledTime%. The time the outgoing audio message was originally scheduled for sending.
      • %StartTime%. The time when the outgoing call or audio message transmission started.
      • %EndTime%. The time when the outgoing call or audio message transmission ended.
      • %Duration%. The duration of the outgoing call or audio message transmission.
      • %Retries%. The number of times the system has tried to send the audio message. The total number of possible retries depends on the limit set.
      • %Status%. Operation completion code. OK in the case of a successful sending of audio message. In the case of a failed sending of audio message contains the error description (in English).

The following variable is deprecated and supported only for compatibility with previous versions, do not use it in your new templates:

      • %WavLenth%. (typo in versions prior to 8.3.1) The length of the audio message in seconds. Instead, use %WavLength%.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use System.Net.Mail method for sending e-mail messages.


E-mail Templates Settings

E-mail Templates Settings (E-mail Delivery Receipts, Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

E-mail Templates Settings

On this page you can override the default settings for e-mail templates, see in the E-mail Templates chapter of this user manual.

Use default e-mail templates settings

If this option checked, the default settings for e-mail templates are used.

E-mail Templates

In this area, you can specify custom settings for e-mail templates that will be applied to the current rule only.

Select Template

Use this drop-down list to select the template you want to edit. You can configure the following e-mail templates: Outgoing Fax (built-in lines), Outgoing Audio Message (built-in lines).

Use Default Template

Check this box if you don’t want to customize the selected template. The e-mail template embedded into the program code will be used in this case.

To customize the selected template, see notes below.

Notes

  • For more information on how to configure Outgoing Fax (built-in lines) template, see E-mail Templates: Outgoing Fax (built-in lines) . Settings for the E-mail Delivery Receipts rule should be made in the same way.
  • For more information on how to configure Outgoing Audio Message (built-in lines) template, see E-mail Templates: Outgoing Audio Message (built-in lines) . Settings for the E-mail Delivery Receipts rule should be made in the same way.


Store in a folder

Store in a folder Outgoing Routing Method (Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ››

When sending faxes and audio messages using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines), you can configure Store in a folder Outgoing Routing Method to copy outgoing faxes and audio messages to specified local or network folders. Depending on the recipient's phone number, type of the call (fax or audio), and the success or failure of sending the fax or audio message, outgoing fax or audio message can be routed to different folders.

The behavior is defined by the so-called rules. Fax Voip always checks Store in a folder rules, starting with the rule # 1. The fax or audio message will be routed according to the first rule, which satisfies the specified conditions. All other rules are ignored. For example, if rule # 1 applies for all outgoing faxes and audio messages ('Recipient Number' = .*; 'Fax' = yes; 'Audio' = yes; 'OK' = yes; 'Failed' = yes), then other rules # 2, # 3, etc. applied to outgoing faxes and audio messages never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes and audio messages to the specified folders. This can be used to temporarily disable store in a folder procedure for a specified recipient's phone number.

To store an outgoing fax or audio message in the specified folder, you must:

  • Configure Fax Voip to send faxes using built-in lines
  • Configure Fax Voip to send audio messages using built-in lines
  • Create one or more rules, where you should specify folder names and format for saving outgoing faxes and audio messages

Outgoing fax or audio message can be routed to one or more local or network folders. The format for saving outgoing faxes can be TIFF, PDF or SFF. Audio messages can be stored in WAV format.

The maximum supported number of Store in a folder rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Store in a folder routing method log, use Enable 'Store in a folder (Built-in lines)' outgoing routing method debug logging option, see more details in the Outgoing Routing Methods (Built-in lines) Logs chapter of this user manual.

Store outgoing faxes and audio messages in a folder (Built-in lines) table contains the following information:

Rule

Unique number of the current rule.

Recipient Number

Specifies the recipient's phone number pattern for which the rule applies.

Fax

Specifies whether the rule applies when sending a fax.

Audio

Specifies whether the rule applies when sending audio message.

OK

Specifies whether the rule applies for successfully sent faxes and audio messages.

Failed

Specifies whether the rule applies for failed fax or audio message sending.

Enabled

Specifies whether store in a folder procedure enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes and audio messages to the specified folders. This can be used to temporarily disable store in a folder procedure for a specified recipient's phone number.

Store in Folder

Displays folders locations for storing copies of outgoing faxes and audio messages.

Fax Format

Specifies the format for saving outgoing faxes. Can be TIFF, PDF or SFF.

Fax Filename Template

Specifies the custom filename template to be used when copying outgoing faxes to the specified folder(s). When specifying the default filename template, file names are generated based on the current date and time, and also random value.

Audio Filename Template

Specifies the custom filename template to be used when copying outgoing audio messages to the specified folder(s). When specifying the default filename template, file names are generated based on the current date and time, and also random value.

The following commands are available in the Store in a folder Contextual Tab of the Ribbon:

Store in a folder Rules

New (Ctrl + N)

Click to create new Store in a folder rule.

Edit (Ctrl + E)

Click to edit Store in a folder rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Store in a folder rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Store in a folder Contextual Tab are also available from the context menu of the list.


To create or edit Store in a folder rule

Creating or editing Store in a folder rules (Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Store in a folder ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (Built-in) in TreeView, then click Store in a folder.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Store in a folder Rule window in the General panel, specify the recipient phone numbers for which this rule applies (in the Recipient Number section). Specify whether the rule applies when sending a fax or/and when sending audio message. Specify whether the rule applies for successfully sent faxes and audio messages or/and for failed fax or audio message sending. More details can be found in the chapter Store in a folder Settings , General Settings section.

5. Switch to the Store in Folder panel.

6. In the Store in Folder panel, check After sending to copy a fax or audio message into specified folders to enable rule. In the Store in Folder area, specify folders where to store outgoing faxes and audio messages. The folder should be initially selected or typed in the text field and then added to the Store in folders list by using <Add> button. More details can be found in the chapter Store in a folder Settings , Store in Folder settings section.

7. Switch to the Format panel.

8. In the Format panel select format for saving outgoing faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter Store in a folder Settings , Format Settings section.

9. Click <OK> button to fix changes.

10. To change the preference order for Store in a Folder (Built-in lines) outgoing routing method rules use Move Up and Move Down commands. One of the entries should be selected.

11. Click <Apply> button to save modified settings for Store in a Folder (Built-in lines) rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage Store in a folder rules

Managing Store in a folder rules (Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Store in a folder ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (Built-in) in TreeView, then click Store in a folder.

3. To change the preference order for Store in a Folder (Built-in lines) outgoing routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Store in a folder Settings

Store in a folder (Built-in lines) Settings

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Store in a folder ››

This section provides information about settings, that you can do in the Store in a folder rule (Built-in lines) dialog.

  • General Settings
  • Store in Folder Settings
  • Format Settings


General Settings

General Settings (Store in a folder, Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Store in a folder ›› Store in a folder Settings ››

General Settings

Recipient Number

The settings in this area allow to specify the recipient's phone number pattern for which the rule applies. The rule can be applied to outgoing faxes and audio messages to any phone number, to a single phone number or to a group of phone numbers.

Recipient Number =

If this option selected, the rule applies to outgoing faxes and audio messages to any phone number or to a single phone number.

Select <any> to apply the rule to outgoing faxes and audio messages to any phone number.

Enter phone number to apply the rule to outgoing faxes and audio messages to this phone number only.

Recipient Number starts with

If this option selected, the rule applies to outgoing faxes and audio messages to the group of phone numbers with specified prefix.

Fax or Audio

The options in this area allow to specify whether to apply the rule when sending a fax or/and when sending audio message. At least one of these options must be selected.

Apply the rule when sending a fax

If this option selected, the rule is applied in the case of sending a fax.

Apply the rule when sending audio message

If this option selected, the rule is applied in the case of sending audio message.

Success or failure

The options in this area allow to specify whether to apply the rule for successfully sent faxes and audio messages or/and for failed fax or audio message sending. At least one of these options must be selected.

Apply the rule for successfully sent faxes and audio messages

If this option selected, the rule is applied in the case of successfull fax or audio message sending.

Apply the rule for failed fax or audio message sending

If this option selected, the rule is applied in the case of unsuccessfull fax or audio message sending.


Store in Folder Settings

Store in Folder Settings (Store in a folder, Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Store in a folder ›› Store in a folder Settings ››

Store in Folder Settings

After sending to copy a fax or audio message into specified folders

This option allows to enable or disable store in a folder procedure. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes and audio messages to the specified folders. This can be used to temporarily disable store in a folder procedure for a specified recipient's phone number.

Store in folder

In this area, you can specify local or network folders where outgoing faxes and audio messages should be stored.

<Browse>

Click this button to select the desired folder using standard windows Browse For Folder dialog. Local or network folder can be selected.

You can also manually type the folder name in the text field.

Store in folders

<Add>

Use this button to add folder to the list of folders. The folder should be initially selected or entered in the text field.

<Remove>

Use this button to remove folder from the list of folders.


Format Settings

Format Settings (Store in a folder, Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Store in a folder ›› Store in a folder Settings ››

Format Settings

Saving Format and Filename Templates

In this area, you can select fax format that you want to use with the current rule and specify filename templates to be used when copying outgoing faxes and audio messages to the specified folder(s).

On the Fax tab page, you can select the file format (TIFF, PDF or SFF) and specify filename template to be used when copying outgoing faxes to the specified folder(s).

Save outgoing faxes in the following format

Select the fax format, that you want to use with the current rule. The outgoing faxes can be stored in the TIFF, PDF or SFF format.

The options below are responsible for how file names are generated when copying faxes to the specified folder(s).

Use Default Filename Template

Select this option to use default filename template with the current rule. When specifying the default filename template, file names are generated based on the current date and time, and also random value.

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom fax filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %DocumentName%. If the fax is generated by the Mail to Fax - Built-in lines function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string. Otherwise replaced with an empty string.
      • %PagesTotal%. The total number of pages in the outgoing fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient.
      • %LocalFaxID%. The transmitting station identifier (TSID) that identifies you as a fax sender, sent to the fax recipient.
      • %SubmissionTime%. The time the outgoing fax was originally added for sending.
      • %OriginalScheduledTime%. The time the outgoing fax was originally scheduled for sending.
      • %StartTime%. The time when the outgoing fax call or fax transmission started.
      • %EndTime%. The time when the outgoing fax call or fax transmission ended.
      • %Duration%. The duration of the outgoing fax call or fax transmission.
      • %Retries%. The number of times the system has tried to send the fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %BitRateEcm%. Transmission rate. The 'e' attribute is used to indicate Error Correction Mode (ECM).
      • %FaxProtocol%. Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP, ISDN - audio fax via ISDN CAPI 2.0 line, ISDN-FAX B3-4-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3-5-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
      • %Resolution%. Fax resolution. Can be one of the following values: 204x196 dpi (Fine), 204x98 dpi (Normal).
      • %Status%. Operation completion code. OK in the case of a successful fax sending. In the case of a failed fax sending contains the error description (in English).

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

On the Audio tab page, you can specify filename template to be used when copying outgoing audio messages to the specified folder(s). The options below are responsible for how audio file names are generated.

Use Default Filename Template

Select this option to use default filename template with the current rule. When specifying the default filename template, file names are generated based on the current date and time, and also random value.

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientPhoneNumber%, %StartTime% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom audio message filename template (replaced by actual data):

      • %RecipientPhoneNumber%. The phone number of the recipient.
      • %DocumentName%. If the audio message is generated by the Mail to Audio - Built-in lines function, this is the name of the original audio file including file extension. Otherwise replaced with an empty string.
      • %WavLength%. The length of the audio message in seconds.
      • %SubmissionTime%. The time the outgoing audio message was originally added for sending.
      • %OriginalScheduledTime%. The time the outgoing audio message was originally scheduled for sending.
      • %StartTime%. The time when the outgoing call or audio message transmission started.
      • %EndTime%. The time when the outgoing call or audio message transmission ended.
      • %Duration%. The duration of the outgoing call or audio message transmission.
      • %Retries%. The number of times the system has tried to send the audio message. The total number of possible retries depends on the limit set.
      • %Status%. Operation completion code. OK in the case of a successful sending of audio message. In the case of a failed sending of audio message contains the error description (in English).

The following variable is deprecated and supported only for compatibility with previous versions, do not use it in your new templates:

      • %WavLenth%. (typo in versions prior to 8.3.1) The length of the audio message in seconds. Instead, use %WavLength%.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats).

Notes

  • When generating identical file names (for example, when specifying custom filename template without using %variables%), a sequential number is added to the file name. For example, if the filename template is 'FAX' and the fax format is 'PDF', faxes will be copied to the specified folder(s) with the following names: FAX.pdf, FAX (2).pdf, FAX (3).pdf ....


Print

Print Outgoing Routing Method (Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ››

When sending faxes using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines), you can configure selective print-out of the outgoing faxes by using Print Outgoing Routing Method. Depending on the recipient's fax number, and the success or failure of sending the fax, outgoing fax can be printed to different printers.

The behavior is defined by the so-called rules. Fax Voip always checks Print rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the specified conditions. All other rules are ignored. For example, if rule # 1 applies for all outgoing faxes ('Fax Number' = .*; 'OK' = yes; 'Failed' = yes), then other rules # 2, # 3, etc. applied to outgoing faxes never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for a specified recipient's fax number.

To print outgoing fax to the specified printer, you must:

  • Configure Fax Voip to send faxes using built-in lines
  • Create one or more rules, where you should specify printers

Outgoing fax can be routed to one or more printers.

The maximum supported number of Print rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Print outgoing fax routing method log, use Enable 'Print (Built-in lines)' outgoing routing method debug logging option, see more details in the Outgoing Routing Methods (Built-in lines) Logs chapter of this user manual.

Print outgoing faxes (Built-in lines) table contains the following information:

Rule

Unique number of the current rule.

Fax Number

Specifies the recipient's fax number pattern for which the rule applies.

OK

Specifies whether the rule applies for successfully sent faxes.

Failed

Specifies whether the rule applies for failed fax sending.

Enabled

Specifies whether outgoing fax printing enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for a specified recipient's fax number.

Printer

Displays printers for printing outgoing faxes.

The following commands are available in the Print Contextual Tab of the Ribbon:

Print Rules

New (Ctrl + N)

Click to create new Print rule.

Edit (Ctrl + E)

Click to edit Print rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Print rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Print Contextual Tab are also available from the context menu of the list.

Notes

  • The selected printer does not have to show any dialog boxes before printing. You should also understand that if Fax Voip is started "As Windows Service", printing will be carried out on behalf of the SYSTEM user account (without possibility to show dialog box). For this reason, we strongly recommend to do the initial tests of this method in the mode of "Application", not in the "As Service" mode.


To create or edit print routing rule

Creating or editing Print rules (Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Print ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (Built-in) in TreeView, then click Print.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Print Rule window in the General panel, specify the recipient fax numbers for which this rule applies (in the Recipient Fax Number section). Specify whether the rule applies for successfully sent faxes or/and for failed fax sending. More details can be found in the chapter Print Routing Settings , General Settings section.

5. Switch to the Print panel.

6. In the Print panel, check After sending to print a fax to enable rule. in the Select Printers area, specify printers. The printer should be initially selected and then added to the Printer names list by using <Add> button. More details can be found in the chapter Print Routing Settings , Print settings section.

7. Click <OK> button to fix changes.

8. To change the preference order for Print (Built-in lines) outgoing fax routing method rules use Move Up and Move Down commands. One of the entries should be selected.

9. Click <Apply> button to save modified settings for Print (Built-in lines) rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage print routing rules

Managing Print rules (Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Print ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (Built-in) in TreeView, then click Print.

3. To change the preference order for Print (Built-in lines) outgoing fax routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Print Routing Settings

Print Routing (Built-in lines) Settings

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Print ››

This section provides information about settings, that you can do in the Print rule (Built-in lines) dialog.

  • General Settings
  • Print Settings


General Settings

General Settings (Print Routing, Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Print ›› Print Routing Settings ››

General Settings

Recipient Fax Number

The settings in this area allow to specify the recipient's fax number pattern for which the rule applies. The rule can be applied to outgoing faxes to any fax number, to a single fax number or to a group of fax numbers.

Fax Number =

If this option selected, the rule applies to outgoing faxes to any fax number or to a single fax number.

Select <any> to apply the rule to outgoing faxes to any fax number.

Enter fax number to apply the rule to outgoing faxes to this fax number only.

Fax Number starts with

If this option selected, the rule applies to outgoing faxes to the group of fax numbers with specified prefix.

Success or failure

The options in this area allow to specify whether to apply the rule for successfully sent faxes or/and for failed fax sending. At least one of these options must be selected.

Apply the rule for successfully sent faxes

If this option selected, the rule is applied in the case of successfull fax sending.

Apply the rule for failed fax sending

If this option selected, the rule is applied in the case of unsuccessfull fax sending.


Print Settings

Print Settings (Print Routing, Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Print ›› Print Routing Settings ››

Print Settings

After sending to print a fax

This option allows to enable or disable outgoing fax printing. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for a specified recipient's fax number.

Select Printers

In this area, you can specify printers for printing outgoing faxes.

Before adding the printer, you should select it in the combobox.

Printer names

<Add>

Use this button to add printer to the list of printers. The printer should be initially selected in the combobox.

<Remove>

Use this button to remove printer from the list of printers.


Custom Routing

Custom routing for outgoing faxes and audio messages (Built-in lines)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ››

The Custom Routing Method (Built-in lines) allows you to easy add any routing functionality by using custom application that is started after sending a fax or audio message. The using of this method is not limited by the current licences.

This method provides software vendors with a flexible way to connect software applications that route outgoing faxes and audio messages through multiple routing methods. These routing methods can include, but are not limited to: printing faxes, storing faxes and audio messages, converting fax graphic images to text files, delivering faxes and audio messages in electronic mail attachments etc. The software vendor is responsible for developing functions of the method, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration.

When executing Custom Routing Method (Built-in lines), Fax Voip starts the application, specified by the customer, after sending a fax or audio message. The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax or audio file and other important parameters, such as Recipient Number, Sender Fax ID (TSID), Recipient Fax ID (CSID) etc. and then do any necessary actions. The custom application must be terminated automatically after execution. The application is responsible for deleting the temporary copy of the outgoing fax (TIFF, PDF or SFF file) or audio message (WAV file) and the folder in which this file is placed. Custom Application is started using the current user account or the Local System account (if Fax Voip is running as a Windows service), so the corresponding account must have necessary access to files, folders and other objects with which your application works. See more details in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

Custom application that should be started after sending a fax or audio message

Here you can choose the application that will be started after sending a fax or audio message. You can browse to a preferred executable file or enter the file path. The example of the custom routing application (RouteOutCustom.exe) can be found in the Fax Voip installation folder, usually C:\Program Files (x86)\FaxVoip\RouteOutCustom.exe. See also in the Custom Application Sample chapter of this user manual.

Create temporary copy of the sent fax in the following format:

If you select this option, the method creates a temporary folder (subfolder in the %temp% folder for the current user account or the Local System account) and copies the outgouing fax (TIFF, PDF or SFF file depending on your choice) into this folder. The temporary folder (%temp%) for the current user account is usually C:\Users\<Account Name>\AppData\Local\Temp\. The temporary folder for the Local System account is usually C:\Windows\TEMP\. The path to the temporary fax file is passed to the custom application via FileName command-line argument. The custom application is responsible for deleting the temporary fax file and the temporary folder in which this file is located. If this option is not checked, the method does not create the copy of the outgouing fax.

Create temporary copy of the sent audio message

If you select this option, the method creates a temporary folder (subfolder in the %temp% folder for the current user account or the Local System account) and copies the outgouing audio message (WAV file) into this folder. The temporary folder (%temp%) for the current user account is usually C:\Users\<Account Name>\AppData\Local\Temp\. The temporary folder for the Local System account is usually C:\Windows\TEMP\. The path to the temporary audio file is passed to the custom application via FileName command-line argument. The custom application is responsible for deleting the temporary audio file and the temporary folder in which this file is located. If this option is not checked, the method does not create the copy of the outgouing audio message.

Enable custom routing

If you select this option, the Fax Voip software applies the Custom Routing Method (Built-in lines) for all outgouing faxes and audio messages sent using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines).


Custom Application Requirements

Custom Application Requirements (Developer's Guide)

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Custom Routing ››

The custom routing application, specified by the customer, is started by the Fax Voip software when executing Custom Routing Method (Built-in lines), after sending a fax or audio message. The individual developer is responsible for developing this application, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration. The application functions can include, but are not limited to: printing faxes, storing faxes and audio messages, converting fax graphic images to text files, delivering faxes and audio messages in electronic mail attachments etc.

Below are the general requirements that must be taken into account by the software vendor when writing the custom application.

Command-Line Arguments

The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax or audio file and other important parameters, such as Recipient Number, Sender Fax ID (TSID), Recipient Fax ID (CSID) etc.

The following is an example of the command-line arguments passed to your application when sending a fax:

/@@@Fax

/@@@FileName=C:\WINDOWS\TEMP\7E5371130B5A12C12C_occc\FAX.pdf

/@@@RecipientNumber=19012223344

/@@@SenderEmail=Dan@t38faxvoip.com

/@@@DocumentName=invoice07_10_20_003.pdf;Information.txt /@@@PagesTotal=4

/@@@RemoteFaxID=(901) 222-3344 /@@@LocalFaxID=(631) 490-16-10 FAX /@@@FaxHeader=FaxVoip Software, LLC

/@@@SubmissionTime=07.10.2020@01:28:18 /@@@OriginalScheduledTime=07.10.2020@01:28:18

/@@@ScheduledTime=07.10.2020@01:28:18

/@@@StartTime=07.10.2020@01:32:49 /@@@EndTime=07.10.2020@01:36:14 /@@@Duration=00:03:25

/@@@BitRate=14400 /@@@Ecm=0 /@@@FaxMode=T.38 /@@@PagesTransferred=4 /@@@Resolution=204x196 dpi

/@@@JobStatus=Completed /@@@ExtendedStatus=OK /@@@Retries=0

The following is an example of the command-line arguments passed to your application when sending an audio message:

/@@@Audio

/@@@FileName=C:\WINDOWS\TEMP\7E53772E3B8E3A03A0_occc\MESSAGE.wav

/@@@RecipientNumber=19012223344

/@@@SenderEmail=Dan@t38faxvoip.com

/@@@DocumentName=Maid with the Flaxen Hair.mp3

/@@@WaveLength=156.1 s /@@@WaveFrequency=8,000 kHz

/@@@SubmissionTime=07.10.2020@01:28:18 /@@@OriginalScheduledTime=07.10.2020@01:28:18

/@@@ScheduledTime=07.10.2020@01:28:18

/@@@StartTime=07.10.2020@01:32:49 /@@@EndTime=07.10.2020@01:35:26 /@@@Duration=00:02:37

/@@@JobStatus=Completed /@@@ExtendedStatus=OK /@@@Retries=0

The command line arguments differ depending on the type of outgoing call (fax or audio message). The command line can contain the following arguments:

/@@@Fax

Indicates that the outgoing call is a fax call.

/@@@Audio

Indicates that the outgoing call is an audio call.

/@@@FileName=

The temporary copy of the outgoing fax (TIFF, PDF or SFF file depending on your choice) or audio message (WAV file). This file and the temporary folder in which it is located (subfolder in the %temp% folder for the current user account or the Local System account) should be deleted in custom routing application after applying necessary actions. If the Create temporary copy of the sent fax in the following format option (Create temporary copy of the sent audio message option) is unchecked, this argument is missing in the command line. See also in the Custom routing for outgoing faxes and audio messages (Built-in lines) chapter of this user manual.

/@@@RecipientNumber=

The fax or phone number of the recipient.

/@@@SenderEmail=

E-mail address associated with the sender. If the fax or audio message is generated by the Mail to Fax (Mail to Audio) function, this is the sender's e-mail address extracted from the e-mail message.

/@@@DocumentName=

If the fax is generated by the Mail to Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. If the audio message is generated by the Mail to Audio function, this is the name of the original audio file including file extension.

/@@@PagesTotal=

The total number of pages in the outbound fax. The value (-1) is used when no data is available.

/@@@RemoteFaxID=

The Called Subscriber ID (CSID) received from the fax recipient.

/@@@LocalFaxID=

The Transmitting Subscriber ID (TSID) that identifies you as a fax sender, sent to the fax recipient.

/@@@FaxHeader=

The text that is transmitted at the top of each faxed page.

/@@@WaveLength=

The length of the audio message in seconds.

/@@@WaveFrequency=

The sample rate, kHz of the audio file.

/@@@SubmissionTime=

The time that the outgoing fax or audio message was submitted for processing. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@OriginalScheduledTime=

The time that the fax or audio message was originally scheduled for transmission. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@ScheduledTime=

The time that the fax or audio message was scheduled for transmission for the last time. This may be later than the original scheduled time due to delays, such as a busy number or due to previous unsuccessful retries. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@StartTime=

The time when the outgoing call or fax (audio message) transmission started. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@EndTime=

The time when the outgoing call or fax (audio message) transmission ended. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@Duration=

The duration of the outgoing call or fax (audio message) transmission. The format of this string is 'hh:mm:ss'.

/@@@BitRate=

Fax transmission rate.

/@@@Ecm=

Indicates whether Error Correction Mode (ECM) has been used when sending a fax. Can be one of the following values: 1 - with ECM, 0 - without ECM, -1 - no data available, in particular when sending a fax using ISDN-FAX B3:4:SFF protocol.

/@@@FaxMode=

Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP or ISDN CAPI 2.0, ISDN-FAX B3:4:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3:5:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.

/@@@PagesTransferred=

The number of successfully sent fax pages. The value (-1) is used when no data is available.

/@@@Resolution=

Fax resolution (Image quality). Can be one of the following values: 204x196 dpi (Fine), 204x98 dpi (Normal).

/@@@JobStatus=

Status of the fax or audio message job (in English). Examples: Completed, Retries exceeded.

/@@@Status=

Operation completion code. Example: OK (in the case of a successful sending of fax or audio message). In the case of a failed sending of fax or audio message contains the error description (in English).

/@@@Retries=

The number of times that the system attempted to transmit an outgoing fax or audio message after the initial transmission attempt failed.

Temporary copy of the sent fax or audio message

If the Create temporary copy of the sent fax in the following format option (Create temporary copy of the sent audio message option) is checked (see in the Custom routing for outgoing faxes and audio messages (Built-in lines) chapter of this user manual), the Custom Routing Method (Built-in lines) creates a temporary folder and copies the outgoing fax (TIFF, PDF or SFF file depending on your choice) or audio message (WAV file) into this folder. The temporary folder is created in the %temp% folder for the current user account or the Local System account (if Fax Voip is running as a Windows service). The path to the temporary fax or audio file is passed to the custom application via FileName command-line argument, see above.

For example,

/@@@FileName=C:\WINDOWS\TEMP\7E5371130B5A12C12C_occc\FAX.pdf

The path to the fax file (PDF format) is:

C:\WINDOWS\TEMP\7E5371130B5A12C12C_occc\FAX.pdf

The path to the temporary folder is:

C:\Windows\TEMP\7E5371130B5A12C12C_occc\

For example,

/@@@FileName=C:\WINDOWS\TEMP\7E53772E3B8E3A03A0_occc\MESSAGE.wav

The path to the audio file is:

C:\WINDOWS\TEMP\7E53772E3B8E3A03A0_occc\MESSAGE.wav

The path to the temporary folder is:

C:\Windows\TEMP\7E53772E3B8E3A03A0_occc\

The temporary folder in which fax file (FAX.tif, FAX.pdf or FAX.sff) or audio file (MESSAGE.wav) is placed can be used by your custom routing application to store temporary files that your application generates.

The custom application is responsible for deleting the temporary fax or audio file and the temporary folder in which this file is located. You must permanently delete the temporary folder in your application after you perform all the necessary actions.

If the Create temporary copy of the sent fax in the following format option (Create temporary copy of the sent audio message option) is not checked, the Custom Routing Method (Built-in lines) does not create the copy of the outgoing fax or audio message.

Running under current user account or Local System account

The custom application is started using the current user account or the Local System account (if Fax Voip is running as a Windows service), so the corresponding account must have necessary access to files, folders and other objects with which your application works.

Terminating the application

The Custom Routing Method (Built-in lines) executes the custom routing application in the separated thread by calling the CreateProcess function . The Fax Voip does not monitor the application after it is started and does not guarantee its correct completion. The developer of the custom routing application is responsible for the correct automatic termination of the application after execution.


Custom Application Sample

Fax Voip Control Panel ›› Outgoing Routing Methods (Built-in lines) ›› Custom Routing ››

The example of the custom routing application (RouteOutCustom.exe) can be found in the Fax Voip installation folder, usually C:\Program Files (x86)\FaxVoip\RouteOutCustom.exe.

The source codes (RouteOutCustom.zip archive) can be found in the Fax Voip data folder, usually C:\ProgramData\FaxVoip\Samples\RouteOutCustom.zip. To unpack the archive, right click it and then select Extract All... from the context menu.

The code example is a console application written in Visual Basic .Net and can be compiled using Microsoft Visual Studio 2013 or later versions.

This sample demonstrates the use of a custom routing method (Built-in lines) for outgoing faxes and audio messages, taking into account the requirements for writing such application, see also in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

  • The application parses the predefined command line and populates the internal structure where it stores path to the temporary fax file (TIFF, PDF or SFF file depending on your choice) or audio file (WAV) and other routing info parameters, such as Recipient Number, Sender Fax ID (TSID), Recipient Fax ID (CSID) etc.
  • Writes the routing info into standard ini file.
  • Copies the temporary fax file (TIFF, PDF or SFF) or audio file (WAV) to the specified folder with an unique name that contains the date and time the fax or audio message was sent.
  • Before the application finishes, it deletes the temporary folder and the temporary fax or audio file placed in this folder.
  • The application provides automatic completion after performing all necessary actions.
  • The application uses folders and files for which the current user account and the Local System account definitely have write access.

To use the sample

1. Copy the RouteOutCustom.exe file into the Fax Voip installation folder. You can use a different folder, but make sure that the current user account (Local System account) has access to your folder.

2. Open Fax Voip Control Panel. Click Outgoing Methods (Built-in) in TreeView, then click Custom.

3. On the Custom routing for outgoing faxes and audio messages (Built-in lines) page, select the Enable custom routing check box.

4. In the Custom application that should be started after sending a fax or audio message field, enter the path to RouteOutCustom.exe file or select it using the small button placed to the right of the field.

5. Select the Create temporary copy of the sent fax in the following format check box. Select the file format in which the temporary copy of the outgoing fax should be created. Can be TIFF, PDF or SFF.

6. Select the Create temporary copy of the sent audio message check box.

7. Click <Apply> button to save changes.

After sending a fax or audio message,

1. Open the Fax Voip data folder in Windows Explorer, usually C:\ProgramData\FaxVoip\.

2. Check the RouteOutCustom subfolder for RouteOutCustom.ini file.

3. Check the RouteOutCustom\Outgoing Messages subfolder for copy of the outgoing fax or audio message.

4. The RouteOutCustom.txt log file is stored in the log subfolder.


Outgoing Routing Methods (Microsoft Fax)

Outgoing Routing Methods (Microsoft Fax): E-mail, Store in Folder, Print, Custom

Fax Voip Control Panel ››

When sending faxes using Microsoft Fax * application (via Fax Voip Virtual COM Ports), you can configure Outgoing Routing Methods to route outgoing faxes. Depending on the recipient's fax number, and the success or failure of sending the fax, different actions can be applied to outgoing fax. These actions are defined by the so-called rules. The independent set of rules is used for each method.

The following Outgoing Routing Methods can be configured:

E-mail Delivery Receipts

An e-mail receipt can be sent to one or more e-mail addresses, to confirm whether the fax has been sent correctly.

Store in a folder

Outgoing faxes can be copied to one or more local or network folder.

Print

This method allows to automatically print outgoing faxes.

Custom

This method allows to easy add any routing functionality by using custom application that is started after sending a fax. The using of this method is not limited by the current licences.

Outgoing Methods (Microsoft Fax) page contains the following information:

Outgoing Method

The Outgoing Routing Method name.

Priority

The priority order of Outgoing Routing Methods. It should be understood that the outgoing routing methods for each fax are executed sequentially in a single thread. Certain operations (sending an e-mail, converting to another graphic format, printing, etc.) may take some time, often up to several seconds. To change the priority order, use the Move Up and Move Down commands, see below.

Max # of Rules

Total number of rules, that can be used. It is usually the sum of Basic and Additional number of rules.

Basic

Basic number of rules, that can be used. Specified as the number of Virtual COM Ports (modems) + 1. The TRIAL version allows the use of no more than 2 rules of every type.

Additional

Additional number of rules, defined by the Fax Voip Extended Fax Routing (E-mail, Store in Folder, Print, Fax-On-Demand) license.

The following commands are available in the Outgoing Methods Contextual Tab of the Ribbon:

Outgoing Methods (Microsoft Fax)

E-mail Receipts

Click to configure E-mail Delivery Receipts (Microsoft Fax) rules for outgoing faxes.

Store in a folder

Click to configure Store in a folder (Microsoft Fax) rules for outgoing faxes.

Print

Click to configure Print (Microsoft Fax) rules for outgoing faxes.

Custom

Click to configure custom routing for outgoing faxes (Microsoft Fax).

Move

Use the commands below to change preference order for different Outgoing Methods (Microsoft Fax). One of the methods should be selected.

Move Up (Ctrl + U)

Move the selected method up.

Move Down (Ctrl + D)

Move the selected method down.

To configure outgoing method, you also can double-click a method in the Outgoing Methods (Microsoft Fax) list, or select Edit command from the context menu.

The following diagram provides an overview of the outgoing fax routing process:

When using Outgoing Routing Methods (Microsoft Fax), please take note of the following:

  • If you have Fax Voip Virtual COM Ports (modems) license, you can use the Outgoing Routing Methods (Microsoft Fax) not only with Fax Voip 14.4K TAPI Voice-Fax Modem devices, but also with other fax devices installed in your system (hardware modems, etc.).
  • On Windows Server computer, to access successfully sent faxes, the fax service should be configured to archive all successfully sent faxes to Sent Items folder, see below.
  • The Outgoing Routing Methods (Microsoft Fax) are called from the Mail to Fax - Microsoft Fax module (Fax Voip MsFax Mail service). For this reason, the Mail to Fax - Microsoft Fax subsystem (Fax Voip MsFax Mail service) is started if at least one of the methods is configured to be used.
  • Outgoing Routing Methods (Microsoft Fax) process only outgoing fax jobs created under current user account or user account under which Fax Voip MsFax Mail service is started (if Fax Voip is running as a Windows service), see also in the Configure Mail to Fax (Mail to Audio) systems as Windows Service chapter of this user manual. This is because the Fax Service Extended COM API cannot track events for faxes created under other user accounts (by design). The issue cannot be fixed in Fax Voip T38 Fax & Voice application. If this is critical, please use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), where the mentioned problem is fixed and the Outgoing Fax Routing Methods work regardless of the user account under which the fax job was created, see also notes below.

To view Outgoing Routing Methods log, use Enable Outgoing Routing Methods (Microsoft Fax) debug logging option, see more details in the Outgoing Routing Methods (Microsoft Fax) Logs chapter of this user manual. The Outgoing Routing Methods (Microsoft Fax) are called from the Mail to Fax - Microsoft Fax module (Fax Voip MsFax Mail service) and this is reflected in the corresponding log, use Enable Mail to Fax and Outgoing Routing Methods debug logging - Microsoft Fax option, see more details in the E-mail Logs chapter.

Notes

  • To use Outgoing Routing Methods (Microsoft Fax) feature, you should have the Fax Voip Virtual COM Ports (modems) license installed.
  • The basic number of allowed rules for each method is specified as the number of Virtual COM Ports (modems) plus 1. The TRIAL version allows the use of no more than 2 rules of every type.
  • To significantly increase the maximum number of available rules, you can purchase separate license Fax Voip Extended Fax Routing (E-mail, Store In Folder, Print, Fax-On-Demand). Note that this license can not be used in the absence of the Fax Voip Virtual COM Ports (modems) license or Fax Voip built-in VOIP/ISDN Fax/Audio Lines license.
  • The using of the Custom routing method is not limited by the current licences.
  • To configure Outgoing Routing Methods based on using built-in VOIP/ISDN Fax/Audio Lines, see Outgoing Routing Methods (Built-in lines): E-mail, Store in Folder, Print, Custom chapter of this user manual.
  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.

Configuring fax service to archive all successfully sent faxes

On Windows Server computer, to access successfully sent faxes, the fax service should be configured to archive all successfully sent faxes to Sent Items folder. Normally, this is automatically configured when installing Fax Voip, see also Configure Fax Service using Fax Voip Control Panel .

To manually configure fax service to archive all incoming and sent faxes in Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2, do the following:

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip tray icon menu or click Fax Service Manager in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Archives page, check Archive all faxes to this folder option. By default, incoming and sent faxes are stored in the C:\ProgramData\Microsoft\Windows NT\MSFax folder. Click Apply.

To manually configure fax service to archive all successfully sent faxes in Windows Server 2003, do the following:

1. Click Start, point to All Programs, point to Accessories, point to Communications, point to Fax, and then click Fax Service Manager.

2. In the Microsoft Fax Service Manager, on the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Sent Items page, check Archive all successfully sent faxes to this folder option. By default, successfully sent faxes are stored in the C:\Documents and Settings\All Users\Application Data\Microsoft\Windows NT\MSFax\SentItems folder. Click Apply.


E-mail Delivery Receipts

E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ››

When sending faxes using Microsoft Fax * application (via Fax Voip Virtual COM Ports), you can configure E-mail Delivery Receipts Outgoing Routing Method to send e-mail receipts to the predefined e-mail address(es), to confirm whether the fax has been sent correctly. Delivery notification receipts provide users with information about the success or failure of their sent faxes. Note that this functionality is completely independent from the similar function, which is used together with Mail to Fax - Microsoft Fax , see Delivery notification to user e-mail address option in the Delivery Receipts to user e-mail address (Mail to Fax) - Microsoft Fax chapter of this user manual. The notification to e-mail is sent regardless of the method of creating a fax. Depending on the recipient's fax number, and the success or failure of sending the fax, delivery receipt can be sent to different e-mail addresses.

The behavior is defined by the so-called rules. Fax Voip always checks E-mail Delivery Receipts rules, starting with the rule # 1. The receipt will be sent according to the first rule, which satisfies the specified conditions. All other rules are ignored. For example, if rule # 1 applies for all outgoing faxes ('Fax Number' = .*; 'OK' = yes; 'Failed' = yes), then other rules # 2, # 3, etc. applied to outgoing faxes never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send delivery receipt to the specified e-mail addresses. This can be used to temporarily stop sending receipts for a specified recipient's fax number.

To use E-mail Delivery Receipts functionality, you must:

  • To do the necessary settings in the Outgoing VOIP Call Routing rules to send faxes via Fax Voip Virtual COM Ports (modems)
  • Configure the Windows Fax Service to send faxes using Fax Voip modem(s)
  • Configure SMTP settings
  • Configure 'Fax successfully sent (Microsoft Fax Service)' e-mail template (if necessary)
  • Configure 'Failed to send a fax (Microsoft Fax Service)' e-mail template (if necessary)
  • Create one or more rules, where you should specify e-mail recipients and the fax delivery format

The delivery receipt can be sent to one or more e-mail recipients. To, CC and BCC e-mail fields can be used. A copy of the sent fax can be attached to the e-mail message in TIFF, PDF or SFF format.

The maximum supported number of E-mail Delivery Receipts rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view E-mail Delivery Receipts outgoing fax routing method log, use Enable Outgoing Routing Methods (Microsoft Fax) debug logging option, see more details in the Outgoing Routing Methods (Microsoft Fax) Logs chapter of this user manual. To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

E-mail Delivery Receipts (Microsoft Fax) table contains the following information:

Rule

Unique number of the current rule.

Fax Number

Specifies the recipient's fax number pattern for which the rule applies.

OK

Specifies whether the rule applies for successfully sent faxes.

Failed

Specifies whether the rule applies for failed fax sending.

Enabled

Specifies whether e-mail sending enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send delivery receipt to the specified e-mail addresses. This can be used to temporarily disable sending receipts for a specified recipient's fax number.

Mail To

Contains a list of the e-mail addresses.

CC

Contains a list of the e-mail addresses that appear in the Cc box of e-mail message.

BCC

Contains a list of the e-mail addresses that appear in the Bcc box of e-mail message.

Attach Fax

Specifies whether to attach a copy of the sent fax to the e-mail message.

Format

Specifies the file format for the attached fax. Can be TIFF, PDF or SFF.

Filename Template

Specifies the custom filename template for the attached fax. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff.

E-mail Templates

Specifies whether custom or default settings are used for E-mail Templates .

The following commands are available in the E-mail Receipts Contextual Tab of the Ribbon:

E-mail Receipts Rules

New (Ctrl + N)

Click to create new E-mail Delivery Receipts rule.

Edit (Ctrl + E)

Click to edit E-mail Delivery Receipts rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more E-mail Delivery Receipts rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more E-mail Delivery Receipts rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different E-mail Delivery Receipts rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the E-mail Receipts Contextual Tab are also available from the context menu of the list.

Notes

  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


To create or edit E-mail Delivery Receips rule

Creating or editing E-mail Delivery Receips rule (Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› E-mail Delivery Receipts ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (MS Fax) in TreeView, then click E-mail Receipts.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the E-mail Delivery Receipts Rule window in the General panel, specify the recipient fax numbers for which this rule applies (in the Recipient Fax Number section). Specify whether the rule applies for successfully sent faxes or/and for failed fax sending. More details can be found in the chapter E-mail Delivery Receipts Settings , General Settings section.

5. Switch to the E-mail panel.

6. In the E-mail panel, check After sending a fax to send delivery receipt by e-mail to enable rule. In the Mail to area, specify e-mail message recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields and then added to the Message recipients lists by using <To>, <Cc> and <Bcc> buttons. To select e-mail recipients from Address Book (Windows Contacts), click the Address Book button. More details can be found in the chapter E-mail Delivery Receipts Settings , E-mail Settings section.

7. Switch to the Format panel.

8. In the Format panel specify whether to attach a copy of the sent fax to the e-mail message. Select format for the attached faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter E-mail Delivery Receipts Settings , Format Settings section.

9. Switch to the Templates panel.

10. In the Templates panel, specify whether to use default or custom settings for e-mail templates. Configure e-mail templates to be used with the rule. More details can be found in the chapter E-mail Delivery Receipts Settings , E-mail Templates Settings section.

11. Click <OK> button to fix changes.

12. To change the preference order for E-mail Delivery Receipts (Microsoft Fax) outgoing fax routing method rules use Move Up and Move Down commands. One of the entries should be selected.

13. Click <Apply> button to save modified settings for E-mail Delivery Receipts (Microsoft Fax) rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage E-mail Delivery Receips rules

Managing E-mail Delivery Receips rules (Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› E-mail Delivery Receipts ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (MS Fax) in TreeView, then click E-mail Receipts.

3. To change the preference order for E-mail Delivery Receipts (Microsoft Fax) outgoing fax routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


E-mail Delivery Receipts Settings

E-mail Delivery Receipts (Microsoft Fax) Settings

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› E-mail Delivery Receipts ››

This section provides information about settings, that you can do in the E-mail Delivery Receipts rule (Microsoft Fax) dialog.

  • General Settings
  • E-mail Settings
  • Format Settings
  • E-mail Templates Settings


General Settings

General Settings (E-mail Delivery Receipts, Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

General Settings

Recipient Fax Number

The settings in this area allow to specify the recipient's fax number pattern for which the rule applies. The rule can be applied to outgoing faxes to any fax number, to a single fax number or to a group of fax numbers.

Fax Number =

If this option selected, the rule applies to outgoing faxes to any fax number or to a single fax number.

Select <any> to apply the rule to outgoing faxes to any fax number.

Enter fax number to apply the rule to outgoing faxes to this fax number only.

Fax Number starts with

If this option selected, the rule applies to outgoing faxes to the group of fax numbers with specified prefix.

Success or failure

The options in this area allow to specify whether to apply the rule for successfully sent faxes or/and for failed fax sending. At least one of these options must be selected.

Apply the rule for successfully sent faxes

If this option selected, the rule is applied in the case of successfull fax sending.

Apply the rule for failed fax sending

If this option selected, the rule is applied in the case of unsuccessfull fax sending.


E-mail Settings

E-mail Settings (E-mail Delivery Receipts, Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

E-mail Settings

After sending a fax to send delivery receipt by e-mail

This option allows to enable or disable e-mail sending. To enable the rule, check this option. To disable e-mail sending, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not send delivery receipt to the specified e-mail addresses. This can be used to temporarily stop sending receipts for a specified recipient's fax number.

Mail to

In this area, you can specify e-mail message recipients.

Type recipient’s Email Address

The e-mail address of the e-mail recipient that you want to add, should be initially entered in this field.

Type recipient’s name (optional)

The name of the e-mail recipient should be initially entered in this field.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

Message recipients

<To>

Use this button to add e-mail recipient to the main list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the main list of e-mail recipients.

<Cc>

Use this button to add e-mail recipient to the Cc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the Cc list of e-mail recipients.

<Bcc>

Use this button to add e-mail recipient to the Bcc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s Email Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the Bcc list of e-mail recipients.


Format Settings

Format Settings (E-mail Delivery Receipts, Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

Format Settings

Fax Delivery Format

In this area, you can specify whether a copy of the fax should be attached to the e-mail message and select the file format for the attached faxes to be used with the current rule.

Attach a copy of the sent fax in the following format:

Check this box to attach a copy of the fax to the e-mail message. Select the file format in which you want to receive a copy of the fax. Can be TIFF, PDF or SFF.

Filename Template

In this area, you can specify filename template for the attached faxes.

Use Default Template (FAX...)

Select this option to use default filename template with the current rule. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected format).

Use Custom Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %RecipientName%. The name of the recipient.
      • %DocumentName%. The user-friendly name to display for the fax document. If the fax is generated by the Mail to Fax - Microsoft Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string. When sending a fax in the usual way (from the Windows Fax and Scan software), can be constantly replaced by the pointless string (e. g. 'Test Fax'), due to errors in the Microsoft Fax software.
      • %Subject%. Contains the contents of the subject field on the cover page of the fax.
      • %PagesTotal%. The total number of pages in the fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
      • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as fax number specified in the Sender Information , or it is specified by the settings of the fax device that was used for fax transmission, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.
      • %SubmissionTime%. The time that the fax was submitted for processing.
      • %OriginalScheduledTime%. The time that the fax was originally scheduled for transmission.
      • %StartTime%. The time that the fax began transmitting.
      • %EndTime%. The time that the fax completed transmission.
      • %Duration%. The duration of the fax transmission.
      • %Retries%. In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %DeviceName%. The name of the device on which the fax message was transmitted. Example: Fax Voip 14.4K TAPI Voice-Fax Modem #2.
      • %Status%. Operation completion code. Examples: OK (in the case of a successful fax sending), NO_ANSWER, BUSY.
      • %FaxMessageID%. The unique identifier for the outbound fax.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use System.Net.Mail method for sending e-mail messages.


E-mail Templates Settings

E-mail Templates Settings (E-mail Delivery Receipts, Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

E-mail Templates Settings

On this page you can override the default settings for e-mail templates, see in the E-mail Templates chapter of this user manual.

Use default e-mail templates settings

If this option checked, the default settings for e-mail templates are used.

E-mail Templates

In this area, you can specify custom settings for e-mail templates that will be applied to the current rule only.

Select Template

Use this drop-down list to select the template you want to edit. You can configure the following e-mail templates: Fax successfully sent (Microsoft Fax Service), Failed to send a fax (Microsoft Fax Service).

Use Default Template

Check this box if you don’t want to customize the selected template. The e-mail template embedded into the program code will be used in this case.

To customize the selected template, see notes below.

Notes

  • For more information on how to configure Fax successfully sent (Microsoft Fax Service) template, see E-mail Templates: Fax successfully sent (Microsoft Fax Service) . Settings for the E-mail Delivery Receipts rule should be made in the same way.
  • For more information on how to configure Failed to send a fax (Microsoft Fax Service) template, see E-mail Templates: Failed to send a fax (Microsoft Fax Service) . Settings for the E-mail Delivery Receipts rule should be made in the same way.


Store in a folder

Store in a folder Outgoing Routing Method (Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ››

When sending faxes using Microsoft Fax * application (via Fax Voip Virtual COM Ports), you can configure Store in a folder Outgoing Routing Method to copy outgoing faxes to specified local or network folders. Depending on the recipient's fax number, and the success or failure of sending the fax, outgoing fax can be routed to different folders.

The behavior is defined by the so-called rules. Fax Voip always checks Store in a folder rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the specified conditions. All other rules are ignored. For example, if rule # 1 applies for all outgoing faxes ('Fax Number' = .*; 'OK' = yes; 'Failed' = yes), then other rules # 2, # 3, etc. applied to outgoing faxes never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for a specified recipient's fax number.

To store outgoing fax in the specified folder, you must:

  • To do the necessary settings in the Outgoing VOIP Call Routing rules to send faxes via Fax Voip Virtual COM Ports (modems)
  • Configure the Windows Fax Service to send faxes using Fax Voip modem(s)
  • Create one or more rules, where you should specify folder names and format for saving outgoing faxes

Outgoing fax can be routed to one or more local or network folders. The format for saving outgoing faxes can be TIFF, PDF or SFF.

The maximum supported number of Store in a folder rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Store in a folder outgoing fax routing method log, use Enable Outgoing Routing Methods (Microsoft Fax) debug logging option, see more details in the Outgoing Routing Methods (Microsoft Fax) Logs chapter of this user manual.

Store outgoing faxes in a folder (Microsoft Fax) table contains the following information:

Rule

Unique number of the current rule.

Fax Number

Specifies the recipient's fax number pattern for which the rule applies.

OK

Specifies whether the rule applies for successfully sent faxes.

Failed

Specifies whether the rule applies for failed fax sending.

Enabled

Specifies whether store in a folder procedure enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for a specified recipient's fax number.

Store in Folder

Displays folders locations for storing copies of outgoing faxes.

Format

Specifies the format for saving outgoing faxes. Can be TIFF, PDF or SFF.

Filename Template

Specifies the custom filename template to be used when copying outgoing faxes to the specified folder(s). When specifying the default filename template, file names are generated based on the current date and time, and also random value.

The following commands are available in the Store in a folder Contextual Tab of the Ribbon:

Store in a folder Rules

New (Ctrl + N)

Click to create new Store in a folder rule.

Edit (Ctrl + E)

Click to edit Store in a folder rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Store in a folder rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Store in a folder Contextual Tab are also available from the context menu of the list.

Notes

  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


To create or edit Store in a folder rule

Creating or editing Store in a folder rules (Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Store in a folder ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (MS Fax) in TreeView, then click Store in a folder.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Store in a folder Rule window in the General panel, specify the recipient fax numbers for which this rule applies (in the Recipient Fax Number section). Specify whether the rule applies for successfully sent faxes or/and for failed fax sending. More details can be found in the chapter Store in a folder Settings , General Settings section.

5. Switch to the Store in Folder panel.

6. In the Store in Folder panel, check After sending to copy a fax into specified folders to enable rule. In the Store in Folder area, specify folders where to store outgoing faxes. The folder should be initially selected or typed in the text field and then added to the Store in folders list by using <Add> button. More details can be found in the chapter Store in a folder Settings , Store in Folder settings section.

7. Switch to the Format panel.

8. In the Format panel select format for saving outgoing faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter Store in a folder Settings , Format Settings section.

9. Click <OK> button to fix changes.

10. To change the preference order for Store in a folder (Microsoft Fax) outgoing fax routing method rules use Move Up and Move Down commands. One of the entries should be selected.

11. Click <Apply> button to save modified settings for Store in a folder (Microsoft Fax) rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage Store in a folder rules

Managing Store in a folder rules (Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Store in a folder ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (MS Fax) in TreeView, then click Store in a folder.

3. To change the preference order for Store in a folder (Microsoft Fax) outgoing fax routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Store in a folder Settings

Store in a folder (Microsoft Fax) Settings

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Store in a folder ››

This section provides information about settings, that you can do in the Store in a folder rule (Microsoft Fax) dialog.

  • General Settings
  • Store in Folder Settings
  • Format Settings


General Settings

General Settings (Store in a folder, Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Store in a folder ›› Store in a folder Settings ››

General Settings

Recipient Fax Number

The settings in this area allow to specify the recipient's fax number pattern for which the rule applies. The rule can be applied to outgoing faxes to any fax number, to a single fax number or to a group of fax numbers.

Fax Number =

If this option selected, the rule applies to outgoing faxes to any fax number or to a single fax number.

Select <any> to apply the rule to outgoing faxes to any fax number.

Enter fax number to apply the rule to outgoing faxes to this fax number only.

Fax Number starts with

If this option selected, the rule applies to outgoing faxes to the group of fax numbers with specified prefix.

Success or failure

The options in this area allow to specify whether to apply the rule for successfully sent faxes or/and for failed fax sending. At least one of these options must be selected.

Apply the rule for successfully sent faxes

If this option selected, the rule is applied in the case of successfull fax sending.

Apply the rule for failed fax sending

If this option selected, the rule is applied in the case of unsuccessfull fax sending.


Store in Folder Settings

Store in Folder Settings (Store in a folder, Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Store in a folder ›› Store in a folder Settings ››

Store in Folder Settings

After sending to copy a fax into specified folders

This option allows to enable or disable store in a folder procedure. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for a specified recipient's fax number.

Store in folder

In this area, you can specify local or network folders where outgoing faxes should be stored.

<Browse>

Click this button to select the desired folder using standard windows Browse For Folder dialog. Local or network folder can be selected.

You can also manually type the folder name in the text field.

Store in folders

<Add>

Use this button to add folder to the list of folders. The folder should be initially selected or entered in the text field.

<Remove>

Use this button to remove folder from the list of folders.


Format Settings

Format Settings (Store in a folder, Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Store in a folder ›› Store in a folder Settings ››

Format Settings

Format for saving outgoing faxes

In this area, you can specify fax format that you want to use with the current rule.

Save outgoing faxes in the following format

Select the fax format, that you want to use with the current rule. The outgoing faxes can be stored in the TIFF, PDF or SFF format.

Filename Template

In this area, you can specify filename template to be used when copying outgoing faxes to the specified folder(s).

Use Default Template

Select this option to use default filename template with the current rule. When specifying the default filename template, file names are generated based on the current date and time, and also random value.

Use Custom Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %RecipientName%. The name of the recipient.
      • %DocumentName%. The user-friendly name to display for the fax document. If the fax is generated by the Mail to Fax - Microsoft Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string. When sending a fax in the usual way (from the Windows Fax and Scan software), can be constantly replaced by the pointless string (e. g. 'Test Fax'), due to errors in the Microsoft Fax software.
      • %Subject%. Contains the contents of the subject field on the cover page of the fax.
      • %PagesTotal%. The total number of pages in the fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
      • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as fax number specified in the Sender Information , or it is specified by the settings of the fax device that was used for fax transmission, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.
      • %SubmissionTime%. The time that the fax was submitted for processing.
      • %OriginalScheduledTime%. The time that the fax was originally scheduled for transmission.
      • %StartTime%. The time that the fax began transmitting.
      • %EndTime%. The time that the fax completed transmission.
      • %Duration%. The duration of the fax transmission.
      • %Retries%. In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %DeviceName%. The name of the device on which the fax message was transmitted. Example: Fax Voip 14.4K TAPI Voice-Fax Modem #2.
      • %Status%. Operation completion code. Examples: OK (in the case of a successful fax sending), NO_ANSWER, BUSY.
      • %FaxMessageID%. The unique identifier for the outbound fax.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When generating identical file names (for example, when specifying custom filename template without using %variables%), a sequential number is added to the file name. For example, if the filename template is 'FAX' and the fax format is 'PDF', faxes will be copied to the specified folder(s) with the following names: FAX.pdf, FAX (2).pdf, FAX (3).pdf ....


Print

Print Outgoing Routing Method (Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ››

When sending faxes using Microsoft Fax * application (via Fax Voip Virtual COM Ports), you can configure selective print-out of the outgoing faxes by using Print Outgoing Routing Method. Depending on the recipient's fax number, and the success or failure of sending the fax, outgoing fax can be printed to different printers.

The behavior is defined by the so-called rules. Fax Voip always checks Print rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the specified conditions. All other rules are ignored. For example, if rule # 1 applies for all outgoing faxes ('Fax Number' = .*; 'OK' = yes; 'Failed' = yes), then other rules # 2, # 3, etc. applied to outgoing faxes never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for a specified recipient's fax number.

To print outgoing fax to the specified printer, you must:

  • To do the necessary settings in the Outgoing VOIP Call Routing rules to send faxes via Fax Voip Virtual COM Ports (modems)
  • Configure the Windows Fax Service to send faxes using Fax Voip modem(s)
  • Create one or more rules, where you should specify printers

Outgoing fax can be routed to one or more printers.

The maximum supported number of Print rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Print outgoing fax routing method log, use Enable Outgoing Routing Methods (Microsoft Fax) debug logging option, see more details in the Outgoing Routing Methods (Microsoft Fax) Logs chapter of this user manual.

Print outgoing faxes (Microsoft Fax) table contains the following information:

Rule

Unique number of the current rule.

Fax Number

Specifies the recipient's fax number pattern for which the rule applies.

OK

Specifies whether the rule applies for successfully sent faxes.

Failed

Specifies whether the rule applies for failed fax sending.

Enabled

Specifies whether outgoing fax printing enabled or disabled. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for a specified recipient's fax number.

Printer

Displays printers for printing outgoing faxes.

The following commands are available in the Print Contextual Tab of the Ribbon:

Print Rules

New (Ctrl + N)

Click to create new Print rule.

Edit (Ctrl + E)

Click to edit Print rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Print rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Print Contextual Tab are also available from the context menu of the list.

Notes

  • The selected printer does not have to show any dialog boxes before printing. You should also understand that if Fax Voip is started "As Windows Service", printing will be carried out on behalf of the user account under which Fax Voip MsFax Mail service is started (without possibility to show dialog box). For this reason, we strongly recommend to do the initial tests of this method in the mode of "Application", not in the "As Service" mode..
  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


To create or edit print routing rule

Creating or editing Print rules (Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Print ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (MS Fax) in TreeView, then click Print.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Print Rule window in the General panel, specify the recipient fax numbers for which this rule applies (in the Recipient Fax Number section). Specify whether the rule applies for successfully sent faxes or/and for failed fax sending. More details can be found in the chapter Print Routing Settings , General Settings section.

5. Switch to the Print panel.

6. In the Print panel, check After sending to print a fax to enable rule. in the Select Printers area, specify printers. The printer should be initially selected and then added to the Printer names list by using <Add> button. More details can be found in the chapter Print Routing Settings , Print settings section.

7. Click <OK> button to fix changes.

8. To change the preference order for Print (Microsoft Fax) outgoing fax routing method rules use Move Up and Move Down commands. One of the entries should be selected.

9. Click <Apply> button to save modified settings for Print (Microsoft Fax) rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage print routing rules

Managing Print rules (Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Print ››

1. Open Fax Voip Control Panel.

2. Click Outgoing Methods (MS Fax) in TreeView, then click Print.

3. To change the preference order for Print (Microsoft Fax) outgoing fax routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Print Routing Settings

Print Routing (Microsoft Fax) Settings

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Print ››

This section provides information about settings, that you can do in the Print rule (Microsoft Fax) dialog.

  • General Settings
  • Print Settings


General Settings

General Settings (Print Routing, Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Print ›› Print Routing Settings ››

General Settings

Recipient Fax Number

The settings in this area allow to specify the recipient's fax number pattern for which the rule applies. The rule can be applied to outgoing faxes to any fax number, to a single fax number or to a group of fax numbers.

Fax Number =

If this option selected, the rule applies to outgoing faxes to any fax number or to a single fax number.

Select <any> to apply the rule to outgoing faxes to any fax number.

Enter fax number to apply the rule to outgoing faxes to this fax number only.

Fax Number starts with

If this option selected, the rule applies to outgoing faxes to the group of fax numbers with specified prefix.

Success or failure

The options in this area allow to specify whether to apply the rule for successfully sent faxes or/and for failed fax sending. At least one of these options must be selected.

Apply the rule for successfully sent faxes

If this option selected, the rule is applied in the case of successfull fax sending.

Apply the rule for failed fax sending

If this option selected, the rule is applied in the case of unsuccessfull fax sending.


Print Settings

Print Settings (Print Routing, Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Print ›› Print Routing Settings ››

Print Settings

After sending to print a fax

This option allows to enable or disable outgoing fax printing. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for a specified recipient's fax number.

Select Printers

In this area, you can specify printers for printing outgoing faxes.

Before adding the printer, you should select it in the combobox.

Printer names

<Add>

Use this button to add printer to the list of printers. The printer should be initially selected in the combobox.

<Remove>

Use this button to remove printer from the list of printers.


Custom Routing

Custom routing for outgoing faxes (Microsoft Fax)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ››

The Custom Routing Method (Microsoft Fax) allows you to easy add any routing functionality by using custom application that is started after sending a fax. The using of this method is not limited by the current licences.

This method provides software vendors with a flexible way to connect software applications that route outgoing fax through multiple routing methods. These routing methods can include, but are not limited to: printing faxes, storing faxes, converting fax graphic images to text files, delivering faxes in electronic mail attachments etc. The software vendor is responsible for developing functions of the method, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration.

When executing Custom Routing Method (Microsoft Fax), Fax Voip starts the application, specified by the customer, after sending a fax. The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax file and other important parameters, such as Recipient Fax Number, TSID, CSID etc. and then do any necessary actions. The custom application must be terminated automatically after execution. The application is responsible for deleting the temporary copy of the outgoing fax (TIFF, PDF or SFF file) and the folder in which this file is placed. Custom Application is started using the current user account or user account under which the Mail to Fax service (MS Fax) is running (if Fax Voip is running as a Windows service), so the corresponding account must have necessary access to files, folders and other objects with which your application works. See more details in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

Custom application that should be started after sending a fax

Here you can choose the application that will be started after sending a fax. You can browse to a preferred executable file or enter the file path. The example of the custom routing application (RouteOutCustomMS.exe) can be found in the Fax Voip installation folder, usually C:\Program Files (x86)\FaxVoip\RouteOutCustomMS.exe. See also in the Custom Application Sample chapter of this user manual.

Create temporary copy of the sent fax in the following format:

If you select this option, the method creates a temporary folder (subfolder in the %temp% folder for the current user account or user account under which the Mail to Fax service (MS Fax) is running) and copies the outgouing fax (TIFF, PDF or SFF file depending on your choice) into this folder. The path to the temporary folder (%temp%) is usually C:\Users\<Account Name>\AppData\Local\Temp\. The path to the temporary fax file is passed to the custom application via FaxFileName command-line argument. The custom application is responsible for deleting the temporary fax file and the temporary folder in which this file is located. If this option is not checked, the method does not create the copy of the outgouing fax, but the custom application can still access the outgouing fax by using Fax Service API functions (based on Job ID parameter that is also passed via command line).

Enable custom routing

If you select this option, the Fax Voip software applies the Custom Routing Method (Microsoft Fax) for all outgouing faxes sent using Microsoft Fax application (via Fax Voip Virtual COM Ports).


Custom Application Requirements

Custom Application Requirements (Developer's Guide)

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Custom Routing ››

The custom routing application, specified by the customer, is started by the Fax Voip software when executing Custom Routing Method (Microsoft Fax), after sending a fax. The individual developer is responsible for developing this application, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration. The application functions can include, but are not limited to: printing faxes, storing faxes, converting fax graphic images to text files, delivering faxes in electronic mail attachments etc.

Below are the general requirements that must be taken into account by the software vendor when writing the custom application.

Command-Line Arguments

The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax file and other important parameters, such as Recipient Fax Number, TSID, CSID etc.

The following is an example of the command-line arguments passed to your application:

/@@@FaxFileName=C:\Users\UserAccountName\AppData\Local\Temp\201d656bff5f86f_occ\FAX.pdf

/@@@RecipientFaxNumber=19012223344 /@@@RecipientName=John Smith

/@@@SenderName=Dan Black /@@@SenderFaxNumber=(631) 490-2023

/@@@SenderTSID=(631) 490-2023 FAX /@@@SenderEmail=Dan@t38faxvoip.com

/@@@SenderCompany=FaxVoip Software, LLC /@@@SenderDepartment=Sales

/@@@SenderTitle=Sales Manager /@@@SenderOfficeLocation=14

/@@@SenderHomePhone=(425) 686-1097 /@@@SenderOfficePhone=(631) 490-1288

/@@@SenderAddress=324 6th Avenue\n10014 New York\nUSA /@@@SenderBillingCode=015

/@@@DocumentName=invoice07_10_20_003.pdf;Information.txt /@@@HasCoverPage=1

/@@@Subject=This is the subject line on the cover page of the fax.

/@@@PagesTotal=4 /@@@TiffSize=132386

/@@@CSID=(901) 222-3344 /@@@TSID=Fax Voip /@@@Priority=1

/@@@SubmissionTime=07.10.2020@01:28:18 /@@@OriginalScheduledTime=07.10.2020@01:28:18

/@@@StartTime=07.10.2020@01:32:49 /@@@EndTime=07.10.2020@01:36:14 /@@@Duration=00:03:25

/@@@Retries=0 /@@@PagesTransferred=4 /@@@DeviceName=Fax Voip 14.4K TAPI Voice-Fax Modem

/@@@Status=OK /@@@JobId=201d656bff5f86f /@@@BroadcastId=2001d656bff5f75e

Command line arguments match to the elements of the following objects: FaxOutgoingJob , FaxOutgoingMessage , FaxRecipient , FaxSender , see Fax Service Extended COM Reference documentation.

/@@@FaxFileName=

The temporary copy of the fax file (TIFF, PDF or SFF file depending on your choice) associated with outgoing fax document. This file and the temporary folder in which it is located (subfolder in the %temp% folder for the current user account or user account under which the Mail to Fax service (MS Fax) is running) should be deleted in custom routing application after applying necessary actions. If the Create temporary copy of the sent fax in the following format option is unchecked, this argument is missing in the command line. See also in the Custom routing for outgoing faxes (Microsoft Fax) chapter of this user manual.

/@@@RecipientFaxNumber=

The fax number of the recipient.

/@@@RecipientName=

The name of the recipient. Can be displayed on the cover page.

/@@@SenderName=

The name of the sender.

/@@@SenderFaxNumber=

The fax number associated with the sender.

/@@@SenderTSID=

The transmitting station identifier (TSID) for the sender's device, specified in the Sender Information . Displayed at the top of each faxed page. Note that depending on the fax server settings, it may be different from the actually transmitted TSID, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual. See also the description of TSID command-line argument.

/@@@SenderEmail=

E-mail address associated with the sender. If the fax is generated by the Mail to Fax function, this is the sender's e-mail address extracted from the e-mail message.

/@@@SenderCompany=

The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline).

/@@@SenderDepartment=

The department name associated with the sender.

/@@@SenderTitle=

The title associated with the sender.

/@@@SenderOfficeLocation=

The office location of the sender.

/@@@SenderHomePhone=

The home telephone number associated with the sender.

/@@@SenderOfficePhone=

The office telephone number associated with the sender.

/@@@SenderAddress=

The street address associated with the sender. Usually includes the city, state, zip code (postal code) and country/region for the sender. To indicate wrap lines, the '\n' character is used.

/@@@SenderBillingCode=

The billing code associated with the sender.

/@@@DocumentName=

The user-friendly name to display for the fax document. If the fax is generated by the Mail to Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are separated by a semicolon. When sending a fax consisting only of a cover page, replaced with an empty string. When sending a fax in the usual way (from the Windows Fax and Scan software), can be constantly replaced by the pointless string (e. g. 'Test Fax'), due to errors in the Microsoft Fax software.

/@@@HasCoverPage=

Indicates whether the fax has a cover page. Supported only on Windows Vista and later. Can be one of the following values: 1 - has a cover page, 0 - no cover page, -1 - no data available, on Windows XP and Windows Server 2003.

/@@@Subject=

Contains the contents of the subject field on the cover page of the fax.

/@@@PagesTotal=

The total number of pages in the outbound fax.

/@@@TiffSize=

The size, in bytes, of the Tagged Image File Format Class F (TIFF Class F) file associated with the outbound fax.

/@@@CSID=

The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.

/@@@TSID=

The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as SenderTSID, or it is specified by the settings of the fax device that was used for fax transmission.

/@@@Priority=

Priority used when sending the fax. Can be one of the following values: 0 - low, 1 - normal, 2 - high.

/@@@SubmissionTime=

The time that the outgoing fax was submitted for processing. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@OriginalScheduledTime=

The time that the fax was originally scheduled for transmission. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@StartTime=

The time that the outgoing fax began transmitting. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@EndTime=

The time that the outgoing fax completed transmission. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@Duration=

Represents the total time that elapses between the beginning of fax transmission and the end of fax transmission. The format of this string is 'hh:mm:ss'.

/@@@Retries=

In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.

/@@@PagesTransferred=

The number of successfully sent fax pages.

/@@@DeviceName=

Specifies the name of the device on which the fax message was transmitted.

/@@@Status=

Operation completion code. Example: OK (in the case of a successful fax sending), NO_ANSWER, BUSY.

/@@@JobId=

The unique identifier for the outgoing fax.

/@@@BroadcastId=

The unique identifier assigned to the fax job during the submission process. When you submit a fax to be sent to more than one recipient, separate fax jobs will be created, but as part of the same fax broadcast, they will share the same Broadcast ID.

Temporary copy of the sent fax

If the Create temporary copy of the sent fax in the following format option is checked (see in the Custom routing for outgoing faxes (Microsoft Fax) chapter of this user manual), the Custom Routing Method (Microsoft Fax) creates a temporary folder and copies the outgoing fax (TIFF, PDF or SFF file depending on your choice) into this folder. The temporary folder is created in the %temp% folder for the current user account or user account under which the Mail to Fax service (MS Fax) is running (if Fax Voip is running as a Windows service). The path to the temporary fax file is passed to the custom application via FaxFileName command-line argument, see above.

For example,

/@@@FaxFileName=C:\Users\UserAccountName\AppData\Local\Temp\201d656bff5f86f_occ\FAX.pdf

The path to the fax file (PDF format) is:

C:\Users\UserAccountName\AppData\Local\Temp\201d656bff5f86f_occ\FAX.pdf

The path to the temporary folder is:

C:\Users\UserAccountName\AppData\Local\Temp\201d656bff5f86f_occ\

The temporary folder in which fax file (FAX.tif, FAX.pdf or FAX.sff) is placed can be used by your custom routing application to store temporary files that your application generates.

The custom application is responsible for deleting the temporary fax file and the temporary folder in which this file is located. You must permanently delete the temporary folder in your application after you perform all the necessary actions.

If the Create temporary copy of the sent fax in the following format option is not checked, the Custom Routing Method (Microsoft Fax) does not create the copy of the outgoing fax, but the custom application can still access the outgoing fax by using Fax Service API functions (based on JobId parameter that is also passed via command line).

Running under current user account or user account under which the Mail to Fax service (MS Fax) is running

The custom application is started using the current user account or user account under which the Mail to Fax service (MS Fax) is running (if Fax Voip is running as a Windows service), so the corresponding account must have necessary access to files, folders and other objects with which your application works.

Terminating the application

The Custom Routing Method (Microsoft Fax) executes the custom routing application in the separated thread by calling the CreateProcess function . The Fax Voip does not monitor the application after it is started and does not guarantee its correct completion. The developer of the custom routing application is responsible for the correct automatic termination of the application after execution.


Custom Application Sample

Fax Voip Control Panel ›› Outgoing Routing Methods (Microsoft Fax) ›› Custom Routing ››

The example of the custom routing application (RouteOutCustomMS.exe) can be found in the Fax Voip installation folder, usually C:\Program Files (x86)\FaxVoip\RouteOutCustomMS.exe.

The source codes (RouteOutCustomMS.zip archive) can be found in the Fax Voip data folder, usually C:\ProgramData\FaxVoip\Samples\RouteOutCustomMS.zip. To unpack the archive, right click it and then select Extract All... from the context menu.

The code example is a console application written in Visual Basic .Net and can be compiled using Microsoft Visual Studio 2013 or later versions.

This sample demonstrates the use of a custom routing method (Microsoft Fax) for outgoing faxes, taking into account the requirements for writing such application, see also in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

  • The application parses the predefined command line and populates the internal structure where it stores path to the temporary fax file (TIFF, PDF or SFF file depending on your choice) and other routing info parameters, such as Recipient Fax Number, TSID, CSID etc.
  • Writes the routing info into standard ini file.
  • Copies the temporary TIFF, PDF or SFF file to the specified folder with an unique name that contains the date and time the fax was sent.
  • Before the application finishes, it deletes the temporary folder and the temporary fax file placed in this folder.
  • The application provides automatic completion after performing all necessary actions.
  • The application uses folders and files for which any user account definitely has write access.

To use the sample

1. Copy the RouteOutCustomMS.exe file into the Fax Voip installation folder. You can use a different folder, but make sure that current user account (user account under which the Mail to Fax service (MS Fax) is running) has access to your folder.

2. Open Fax Voip Control Panel. Click Outgoing Methods (MS Fax) in TreeView, then click Custom.

3. On the Custom routing for outgoing faxes (Microsoft Fax) page, select the Enable custom routing check box.

4. In the Custom application that should be started after sending a fax field, enter the path to RouteOutCustomMS.exe file or select it using the small button placed to the right of the field.

5. Select the Create temporary copy of the sent fax in the following format check box. Select the file format in which the temporary copy of the outgoing fax should be created. Can be TIFF, PDF or SFF.

6. Click <Apply> button to save changes.

After sending a fax,

1. Open the Fax Voip data folder in Windows Explorer, usually C:\ProgramData\FaxVoip\.

2. Check the RouteOutCustomMS subfolder for RouteOutCustomMS.ini file.

3. Check the RouteOutCustomMS\Outgoing Faxes subfolder for copy of the outgoing fax.

4. The RouteOutCustomMS.txt log file is stored in the log subfolder.


Fax

Fax Voip Control Panel ››

  • Fax Settings
  • Fax Rate Limits and Error Correction
  • Convert to Fax Settings
  • Printto Options
  • Cover Pages Settings (Built-in lines, Fax Voip Printer)
  • Sender Information Settings (Built-in lines, Fax Voip Printer)
  • Fax Viewer Settings


Fax Settings

Fax Voip Control Panel ›› Fax ››

Restart Fax Service at startup

This option is recommended whenever Fax Voip operates with Microsoft Fax Service*. When Fax Voip starts, Microsoft Fax reloaded. If you are using Fax Voip with another fax program or with Built-in VOIP/ISDN Fax/Audio Lines, do not use this option. To change this option, administrator privileges are required.

Fax Voip Printer and Receive faxes as files options:

These settings are applied when using Fax Voip built-in Fax/Audio Lines, and do not affect the use of Fax Voip Virtual COM Ports (modems).

Default Fax Mode

Select T.38 (auto) if you want to send faxes with T.38 support by default. Select audio if you want to send faxes as audio (fax over G.711 codec) by default. Select isdn if you want to send faxes via ISDN CAPI 2.0 line by default. Note that you can change Fax Mode in the Fax Voip Printer dialog window (or with Mail to Fax function) before fax sending.

Fax Voip Printer Image Quality

Select 204x196 dpi if you want to send faxes in high-quality resolution (Fine). Or select 200x98 dpi to send faxes in Normal resolution. The fax in Normal resolution is transmitted two times faster than the fax in Fine resolution. You can also adjust fax resolution by changing the property of Fax Voip Printer (Printer Preferences=>Advanced=>Print Quality) when printing a document. Keep in mind that this option is applied only to faxes created using Fax Voip Printer and does not depend on the similar option that you have in the Convert to Fax settings.

Save Incoming Faxes as

Select TIFF if you want to have your faxes delivered as TIFF files. Select PDF, if you want to have your faxes delivered as PDF files. Or select SFF, if you want to have your faxes delivered as SFF files. In the case of receiving faxes as audio (over G.711 codec) or using T.38 protocol, it is recommended to use TIFF format. In the case of receiving CAPI faxes according to B3 Protocol 4: T.30 for Group 3 fax or according to B3 Protocol 5: T.30 for Group 3 fax extended, it is recommended to use SFF format.

Fax transmissions

Settings in this area are used to specify the number of retries in the case of failed fax transmission and the time interval between retries.

Number of retries

Specifies the maximum number of transmission retries before the fax job receives a Retries exceeded status.

Retry after

Specifies the number of minutes between the end of the last failed fax transmission and the next retry.

Fax Station ID (default)

Default Fax ID. Maximum length is 20 characters. The Fax Station ID can be overridden by the Outgoing Call Routing and Incoming Call Routing settings. In the case of outgoing faxes Fax Station ID also can be changed in the Fax Voip Printer dialog window (or with Mail to Fax function).

Fax HeadLine (default)

Default Fax Headline. Maximum length is 50 characters. (The maximum length in TRIAL version of Fax Voip is 25 characters). The date, time, headline and page number are transmitted at the top of each fax page. If this field is left blank, the fax header is not transmitted. In the trial version the fax header is always transmitted and provides information about using of unregistered version of Fax Voip. The Fax HeadLine can be overridden by the Outgoing Call Routing settings. The Fax HeadLine also can be changed in the Fax Voip Printer dialog window (or with Mail to Fax function).

Notes

  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


Fax Rate Limits and ECM

Fax Rate Limits and Error Correction

Fax Voip Control Panel ›› Fax ››

Error Correction Mode and Maximum Bitrate can be configured separately for the incoming and outgoing faxes, as well as for T.38 fax and G711 fax modes.

Modem (COM port) lines

Audio fax over G.711 codec

Maximum bitrate

Select maximum bitrate for audio faxes (G711 fax mode). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This value can be reduced in settings of your fax program, if the program allows you to customize bitrate. The Maximum bitrate value can be overridden by the Outgoing Call Routing and Incoming Call Routing settings.

ECM

Check this option if you want to have a possibility to use Error Correction Mode when G711 fax mode is used. Possibility to use ECM also depends on settings and capabilities of your fax program. The ECM value can be overridden by the Outgoing Call Routing and Incoming Call Routing settings.

T.38 fax

Maximum bitrate

(Not implemented yet). The maximum bitrate is set to 14400. Nevertheless, this value can be reduced in settings of your fax program, if the program allows you to customize bitrate.

ECM

(Not implemented yet). Fax Voip allows to use Error Correction Mode when T.38 fax mode is used. Possibility to use ECM in this case depends only on settings and capabilities of your fax program.

Built-in lines

T38 fax

Reception

Maximum bitrate

Select maximum bitrate for incoming T.38 faxes (T.38 fax mode). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Incoming Call Routing settings.

ECM

Check this option if you want to have a possibility to use Error Correction Mode for incoming T.38 faxes. The ECM value can be overridden by the Incoming Call Routing settings.

Transmission

Maximum bitrate

Select maximum bitrate for outgoing T.38 faxes (T.38 fax mode). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Outgoing Call Routing settings or Incoming Call Routing (in the case of using Fax-on-Demand function).

ECM

Check this option if you want to have a possibility to use Error Correction Mode for outgoing T.38 faxes. The ECM value can be overridden by the Outgoing Call Routing settings or Incoming Call Routing (in the case of using Fax-on-Demand function).

Audio fax over G.711 codec

Reception

Maximum bitrate

Select maximum bitrate for incoming audio faxes (G711 fax mode). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Incoming Call Routing settings.

ECM

Check this option if you want to have a possibility to use Error Correction Mode for incoming audio faxes. The ECM value can be overridden by the Incoming Call Routing settings.

Transmission

Maximum bitrate

Select maximum bitrate for outgoing audio faxes (G711 fax mode). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Outgoing Call Routing settings or Incoming Call Routing (in the case of using Fax-on-Demand function).

ECM

Check this option if you want to have a possibility to use Error Correction Mode for outgoing audio faxes. The ECM value can be overridden by the Outgoing Call Routing settings or Incoming Call Routing (in the case of using Fax-on-Demand function).

Notes

  • To configure default Maximum bitrate and ECM settings for the case of CAPI fax, follow instructions in the chapter CAPI Fax Settings .


Convert to Fax

Convert to Fax Settings

Fax Voip Control Panel ›› Fax ››

Direct Converting to Fax feature allows to convert some of the most popular graphics file formats into compatible fax format (TIFF), which is used with built-in fax lines ( Fax Voip Console application). This feature is also used with the Mail to Fax - Microsoft Fax function and when sending a fax using SendFaxMS.exe command line tool (Microsoft Fax) .

The main features of Direct Converting to Fax:

  • Fax Voip Virtual Printer is not used when preparing a fax
  • Installing the application associated with the required file extension is not necessary.

Currently supported file formats (can be converted to fax directly):

*.pdf (Adobe PDF file) (default)

*.tif, *.tiff (TIFF Image) (default)

*.sff (Structured Fax File) (default)

*.qfx (Ventafax QFX File) (default)

*.bmp (Bitmap Image)

*.jpg, *.jpeg (JPEG Image)

*.gif (GIF Image)

*.png (PNG Image)

*.ico (Icon)

*.wmf, *.emf (Windows Meta File)

Direct Converting to Fax is used in the following cases:

  • To Send a Fax using Send a Fax command in the Fax Voip Console
  • To Send a Fax using SendFax.exe command line tool (Built-in lines)
  • With Mail to Fax - Built-in lines function.
  • To Send a Fax using SendFaxMS.exe command line tool (Microsoft Fax)
  • With Mail to Fax - Microsoft Fax function.

The most frequent problems that can be solved with the help of Direct Converting to Fax:

  • Possibility to use PDF attachments with both Mail to Fax - Built-in lines and Mail to Fax - Microsoft Fax functions. Installation of Adobe Reader as well as Acrobat Wrapper are not required. No need to do complicated settings to do Mail to Fax working with PDF attachments.
  • Possibility to Send a Fax using Send a Fax command in the Fax Voip Console , when accessing a computer with Windows Server 2003 (terminal session) or computer with Windows Vista/7/8/8.1/10 or Windows Server 2008/2008R2/2012/2012R2/2016/2019 (any type of Remote Desktop Connection). See also Troubleshooting using RDP section.

Select file types to be converted to fax format directly

This table contains a list of file types that can be converted into fax format directly (the Fax Voip Virtual Printer not used). If the file type is selected, the Direct Converting procedure will be applied to all files of this type. If the file type is not selected, the file will be printed using Fax Voip Virtual Printer and application associated in the system with this file type. All other file types not listed in the table are always printed using Fax Voip Virtual Printer and the associated application.

TIFF options:

These settings allow to specify the format of fax (output TIFF file), created as a result of Direct Converting.

Resolution

Select 204x196 dpi (Fine) if you want to send faxes in high-quality resolution (Fine). Or select 204x98 dpi (Normal) if you want to send faxes in Normal resolution. Normal fax runs two times faster than Fine. This option does not depend on the similar option that you have in the Fax Voip printer settings. This option is ignored if Direct Converting is used with Mail to Fax - Microsoft Fax function.

Compression

Compression format of the output TIFF file. Fax Voip can convert original documents into TIFF using the following TIFF compression formats: PACKBITS, CCITTFAX3, CCITTFAX4, LZW, NO COMPRESSION. Any of these formats can be used for outgoing faxes. In general case, we recommend to select CCITTFAX3 or CCITTFAX4. In the case of converting a large number of color pictures with HALFTONE Effect option selected, better to select LZW compression since it saves disk space. Note that this option does not affect the quality, the time of transmitting and other properties of the fax when sending. This option is ignored if Direct Converting is used with Mail to Fax - Microsoft Fax function.

Auto Rotate

This parameter controls the automatic orientation selection algorithm. If this option is selected and the original document is in landscape orientation, the document will be rotated 90 degrees clockwise when converting into fax format. If this option is not selected, the original orientation will be preserved. This option can be ignored if Direct Converting is used with Mail to Fax - Microsoft Fax function.

A4 page

Check to send A4 page fax. If this option selected, Fax Voip sets the page width to 1728 and the page height in the range of 1100...1210 (204x98 dpi) or in the range of 2200...2420 (204x196 dpi). If this option not selected, Fax Voip does not control the page height. This option can be ignored if Direct Converting is used with Mail to Fax - Microsoft Fax function.

HALFTONE Effect

Halftone is the reprographic technique that simulates continuous tone imagery through the use of dots, varying either in size, in shape or in spacing. You need to use this option when converting color documents to fax. If this option is not selected, the color image converted to black and white fax format, will be of very low quality. It should be noted that in the case of direct conversion the default Windows settings are used when HALFTONE function applies. In the case of converting a large number of color pictures with HALFTONE Effect option selected, better to select LZW compression since it saves disk space. However if the fax is created from a color document and HALFTONE effect option selected, the time of transmittion will be large enough. Fax, created using the Fax Voip Virtual Printer (the same color document) has acceptable quality and is transmitted much faster. Note also that in the case of Direct Converting of PDF files containing color images, this option is ignored, a HALFTONE effect is always applied, the size of TIFF file and the time of fax transmission are not very large and the quality of fax is acceptable.

The results of applying different combinations of the above options are shown in the picture below:

Notes

  • The Direct Converting to Fax function not applied if user prints a document using the Fax Voip Virtual Printer.
  • Keep in mind, that Send a Fax using Direct Converting feature can be used when you work in the terminal window of server operating system. This feature also can be used via Remote Desktop Connection (RDP) if Fax Voip installed on Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2 (any type of RDP session).
  • It’s recommended to use Direct Converting to Fax function with PDF files, especially if you use Mail to Fax function and PDF attachments .


Printto Options

Fax Voip Control Panel ›› Fax ››

The standard printto verbs are used by Windows to associate file extension with application responsible for printing of files with given extension. For example, to print text document (*.txt) notepad.exe application usually used. To print files with .doc and .rtf extensions Microsoft Word is used. Printing PDF is usually associated with Acrobat Reader etc... To print files in different graphics formats shimgvw.dll system library or Paint application typically used.

Fax Voip uses printto functionality in the following cases (except when using the Direct Converting ):

  • When sending a fax using Send a Fax command in the Fax Voip Console (printing to Fax Voip Virtual Printer).
  • When sending a fax using the Send Fax (using built-in lines) and Send Fax (using Windows Fax Service) commands in the Fax Voip Control Panel.
  • When sending a fax using SendFax.exe command line tool - Built-in lines (printing to Fax Voip Virtual Printer).
  • When sending a fax using SendFaxMS.exe command line tool - Microsoft Fax ( FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods, Fax Service API).
  • When using Mail to Fax - Built-in lines function (printing to Fax Voip Virtual Printer).
  • When using Mail to Fax - Microsoft Fax function ( FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods, Fax Service API).
  • When sending a fax using Fax Voip Printer and Microsoft Fax Service ( FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods, Fax Service API).
  • When you print a fax in the Fax Voip Console (printing to printer selected by user).

This functionality is also used by the Windows Fax and Scan application in the following cases:

  • When creating a fax using the New Fax command in Windows Fax and Scan and then adding document by selecting Insert -> File Attachment... .
  • When selecting Send to -> Fax recipient command from the context menu of the file in Windows Explorer.

The described printto functionality is very useful, but it depends on the applications installed on the system and the settings made ​​by the user. Lack of correct file associations leads to inoperability of the above functions with certain file extensions. Even in the case of well-known extensions, the file association can be corrupted when you install new application. Starting with Windows Vista not possible to configure printto file associations via user interface. In Windows 10 and Windows 8 / 8.1 the default associations do not allow the use printto with most of file extensions. In Windows Server 2019 / 2016 / 2012 / 2012R2 this problem is not present because new Windows Store apps is not installed by default.

The function described in this chapter restores correct file associations for standard file types, and also solves some other printing problems.

Note, that on Windows 10 the function described in this chapter does not resolve all the issues and the file associations should be assigned manually, see To manually fix file associations on Windows 10 chapter of this user manual.

Printto options:

Click to read how to manually fix file associations on Windows 10

Click to open To manually fix file associations on Windows 10 chapter of this user manual. The chapter contains information important for Windows 10 users. The information may also be useful for users of other operating systems, such as Windows 8/8.1 or Windows Server 2019/2016/2012/2012R2.

<Repair ‘printto’ verbs>

Use this button to fix standard printto file associations and solve some other printing problems. To use this option, administrator privileges are usually required. Administrator rights are requested only when necessary.

Depending on the operating system, the function solves the following issues:

On Windows 10 / 8 / 8.1 64-bit and Windows Server 2019 / 2016 / 2012 / 2012R2

Fixes printing from windows service. Well-known bug. The application does not see printers. In the case of calling FaxDocument.ConnectedSubmit2 method (Fax Service API) application hangs. In other cases the printing fails. Critical when running Fax Voip As Windows Service.

On Windows 8 / 8.1 both 32-bit and 64-bit

Assigns standard file associations under SYSTEM user account. The associations on the specified operating systems are not defined by default under SYSTEM user account. The following file extensions can be fixed: *.txt, *.bmp, *. dib, *. emf, *. gif, *. ico, *. jfif, *. jpe, *. jpeg, *.jpg, *.jxr, *.png, *. rle, *.tif, *.tiff, *.wdp, *.wmf. On Windows 10 the file associations should be assigned manually, see To manually fix file associations on Windows 10 chapter of this user manual. Please note that this fix is ​​no longer required in Fax Voip version 8.2.1 or later. Mail to Fax services are normally configured to be started under regular user account, see details in the Configure Mail to Fax (Mail to Audio) systems as Windows Service chapter of this user manual.

On all Operating Systems

Repairs standard ‘printto’ verbs for standard ProgID classes. The currently supported ProgID classes are: txtfile, giffile, jpegfile, pjpegfile, pjpegfile, pngfile, TIFImage.Document, wdpfile, PBrush, emffile, rlefile, wmffile, Paint.Picture, icofile.

On all Operating Systems

Repairs standard ‘printto’ verbs for standard file extensions under current user account. The currently supported file extensions are: *.txt, *.bmp, *. dib, *. emf, *. gif, *. ico, *. jfif, *. jpe, *. jpeg, *.jpg, *.jxr, *.png, *. rle, *.tif, *.tiff, *.wdp, *.wmf. On Windows 10 the file associations should be assigned manually, see To manually fix file associations on Windows 10 chapter of this user manual.

Notes

  • The Repair ‘printto’ verbs function is always performed during Fax Voip program installation. However, at the time of installation the function is initially executed with administrator privileges, ie excluding the settings of the current user. We recommend that you run this function after Fax Voip installation, and in the case of problems with printing.
  • The log file printto_fix.txt is always stored in the {CommonAppDataFolder}\FaxVoip\log folder, where {CommonAppDataFolder} is the system file directory containing application data for all users. On Windows XP the name of this folder is usually C:\Documents and Settings\All Users\Application Data. On Windows Vista, Windows 7, Windows 8/8.1 and Windows 10 the name of this folder is usually C:\ProgramData.
  • Note also that starting with version 6.5.1 the direct call to the shimgvw.dll system library used where possible instead of calling printto.
  • For Windows 10 users, see also To manually fix file associations on Windows 10 chapter of this user manual.


To manually fix file associations on Windows 10

Fax Voip Control Panel ›› Fax ›› Printto Options ››

On Windows 10, the applying of Repair ‘printto’ verbs function unfortunately is not enough to fully resolve the problems with printing (printto function). The mechanism of assigning the file associations once again changed in this operating system. You need to manually assign the associations of file types with specific applications.

The file associations can be easily configured for the current user account. When Run Fax Voip as Windows service option is used, configure Mail to Fax services to use regular user account. See details in the Configure Mail to Fax (Mail to Audio) systems as Windows Service chapter of this user manual.

To configure file associations for the current user account

1. Right-click the Start button, and then click Settings.

2. In the Windows Settings window click Apps, and then click Default apps.

3. On the Default apps page, click Choose default apps by file type.

4. Under Choose default apps by file type, make sure that file extension (e.g. .tif) is associated with the desired application. To change the default program, click the extension, and then select application to be used with selected file type (e.g. Windows Photo Viewer).

5. Open Fax Voip Control Panel. Click Fax in TreeView, then click Fax Converter. Click Repair ‘printto’ verbs (see also Printto Options chapter).

The list of recommended file type associations for standard file types can be found below. You can assign other default programs, but correct operation of printto function is not guaranteed in this case.

To configure file associations under SYSTEM user account

Please note that starting with Fax Voip version 8.2.1, the fix described below is no longer required. Mail to Fax services are normally configured to be started under regular user account, see details in the Configure Mail to Fax (Mail to Audio) systems as Windows Service chapter of this user manual.

1. To run the configuration tools under System user account, you need PsExec.exe tool that is included in the Sysinternals Suite By Mark Russinovich package. You can download the full package from https://download.sysinternals.com/files/SysinternalsSuite.zip of download the necessary file separately from Fax Voip website . Unpack the archive and put PsExec.exe file somewhere on your hard drive (e.g. C:\Sysinternals\PsExec.exe).

2. Create windows shortcut. If you have PsExec.exe at C:\Sysinternals\PsExec.exe shortcut parameters should be as shown below:

      • Target: C:\Sysinternals\PsExec.exe -i -s cmd.exe
      • Start in: C:\Sysinternals

3. On the Compatibility page of PsExec – Shortcut Properties check Run this program as an administrator option. Click Apply to save shortcut properties.

4. Click PsExec.exe shortcut. Administrator privileges are required.

5. In the new cmd window, in the command prompt type whoami to verify that the window is started under System user account (nt authority\system).

6. In the command prompt type OpenWith.exe .<file extension> (e.g. OpenWith.exe .txt) and press <Enter>.

7. In the popup Open With window select the program to be used with selected file type (e.g. Notepad), check Always use this app to open...files and then click OK, see picture below.

8. Ignore errors of opening file and close the appropriate dialog boxes or/and the blank application window that can be opened. You can also avoid the error message by specifying the existing file name in your command, e.g. by typing OpenWith.exe somefile.txt instead of OpenWith.exe .txt.

9. Open Fax Voip Control Panel. Click Fax in TreeView, then click Fax Converter. Click Repair ‘printto’ verbs (see also Printto Options chapter).

The list of recommended file type associations for standard file types can be found below. You can assign other default programs, but correct operation of printto function is not guaranteed in this case.

Recommended file associations

In the table below you will find the settings that we recommend for standard file type associations. You can assign other default programs, but correct operation of printto function is not guaranteed in this case.

Extension

Description

Default program

.bmp

Bitmap image

Paint

.dib

Bitmap image

Paint

.emf

EMF File

Paint

.gif

GIF File

Windows Photo Viewer

.ico

ICO File

Windows Photo Viewer

.jfif

JPEG image

Windows Photo Viewer

.jpe

JPEG image

Windows Photo Viewer

.jpeg

JPEG image

Windows Photo Viewer

.jpg

JPEG image

Windows Photo Viewer

.jxr

Windows Media Photo

Windows Photo Viewer

.png

PNG image

Windows Photo Viewer

.rle

RLE File

Paint

.tif

TIFF image

Windows Photo Viewer

.tiff

TIFF image

Windows Photo Viewer

.wdp

Windows Media Photo

Windows Photo Viewer

.wmf

WMF File

Paint

.txt

Text Document

Notepad

Notes

  • The method of assigning file associations, decribed in this chapter, can be used not only on Windows 10 but also on other operating systems, such as Windows 8/8.1 or Windows Server 2019/2016/2012/2012R2.
  • The described method can be also applied to other file types, that are not mentioned in the Recommended file associations list.


Cover Pages

Cover Pages Settings (Built-in lines, Fax Voip Printer)

Fax Voip Control Panel ›› Fax ››

On this page you can specify default cover page settings that will be used when sending a fax via Fax Voip built-in VOIP/ISDN Fax/Audio Lines (using Fax Voip Virtual Printer and Fax Voip Console application).

A cover page contains user-specified information about a fax sender and a recipient, and often a short message, together with system information, such as transmission date and time. You can use cover pages in different ways. You can send a fax that consists only of a cover page. Your fax message will be included as a cover page note. Alternatively, you can send a cover page in addition to another fax document. For example, you might fax a Microsoft Word document and include a cover page with it. In this case, the cover page will be added to the document and sent as the first page in the fax.

The options below can be overridden in the Fax Voip Send Fax Wizard when creating a fax , or using SendFax.exe command line tool (Built-in lines) .

Click to configure sender information

Click to switch to the Sender Information page to configure default sender information.

Include cover page with faxes

Specifies whether the cover page will be added to the document and sent as the first page in the fax.

When sending faxes consisting only of a cover page:

Resolution

Select 204x196 dpi (Fine) if you want to send cover page only faxes in high-quality resolution (Fine). Or select 204x98 dpi (Normal) if you want to send cover page only faxes in Normal resolution. In the case of adding cover page to the main document, the resolution of the cover page is assigned automatically.

Compression

Compression format of the output TIFF file when creating cover page only fax. The following formats can be selected: PACKBITS, CCITTFAX3, CCITTFAX4, LZW, NO COMPRESSION. This option does not affect the quality, the time of transmitting and other properties of the fax when sending. This option is ignored in the case of adding cover page to the main document.

Use common cover page template

If this option selected, the common cover page template will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages. Please note that these are standard templates included in the operating system.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Subject (default)

In this box, you can specify the default fax subject. This information is usually displayed on cover page. You can leave this field empty.

Cover page notes (default)

In this box, you can specify the default text of a message or note from the sender that will appear on the cover page. You can leave this field empty. Both subject and notes can be specified or overridden in the Fax Voip Send Fax Wizard when sending a fax.

Notes

  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (Built-in lines, Fax Voip Printer) chapter of this user manual.
  • The default cover page settings used with Mail to Fax function should be specified separately, see in the Cover Pages Settings (Mail to Fax) - Built-in lines chapter of this user manual.
  • When creating fax cover pages for sending via Fax Voip built-in lines, the system cover page templates and Fax Service API ( FaxPrintCoverPage function) are used. You also need Fax Cover Page Editor application to create your own personal cover page templates. For this reason, installation of the Windows Fax Service is required for this functionality, see in the Install the Fax Service chapter of this user manual.


Sender Information

Sender Information Settings (Built-in lines, Fax Voip Printer)

Fax Voip Control Panel ›› Fax ››

On this page you can specify information about the fax sender for inclusion on the cover page when sending a fax via Fax Voip built-in VOIP/ISDN Fax/Audio Lines (using Fax Voip Virtual Printer and Fax Voip Console application).

The options below can be overridden in the Fax Voip Send Fax Wizard when creating a fax , using SendFax.exe command line tool (Built-in lines) and when using Mail to Fax function, see in the Sender Information Settings (Mail to Fax) - Built-in lines chapter of this user manual.

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

Title

The title associated with the sender.

Company

The company name associated with the sender.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Notes

  • Unfortunately, you cannot use the standard E-mail field, which you can place on your cover page template using Insert -> Sender -> E-mail command in the Fax Cover Page Editor. When printing cover page, Fax Voip uses old-style FaxPrintCoverPage function (Fax Service Client API for Windows 2000) and FAX_COVERPAGE_INFO structure that does not contain info about sender's e-mail address. As a workaround, you can use any other field by renaming its title to 'E-mail:' in your cover page template.


Fax Viewer

Fax Viewer Settings

Fax Voip Control Panel ›› Fax ››

Open TIFF command

Here you can choose the TIFF viewer software that will be used to view faxes stored as TIFF files. You can browse to a preferred executable file or enter the file path. Standard options are: 1) explorer – to view TIFF files in the system explorer window according to your system settings. 2) rundll32 shimgvw.dll,ImageView_Fullscreen – to view TIFF files using Windows Picture and Fax Viewer (Windows XP) or Windows Photo Gallery (Windows 10, Windows 8/8.1, Windows 7 or Windows Vista).

Open PDF command

Here you can choose the PDF viewer software that will be used to view faxes stored as PDF files. You can browse to a preferred executable file or enter the file path. Standard option is explorer – to view PDF files in the system explorer window according to your system settings. You can select path to Acrobat Reader application, usually C:\Program Files\Adobe\Reader 11.0\Reader\AcroRd32.exe.

Open SFF command

Here you can choose the SFF viewer software that will be used to view faxes stored as SFF files. You can browse to a preferred executable file or enter the file path. Standard option is explorer – to view SFF files in the system explorer window according to your system settings. To view SFF files, you can for example install and use IrfanView application .

Default

Use this button to reset Open TIFF command, Open PDF command and Open SFF command to default.


Send a Fax using SendFax.exe tool - Built-in lines

Fax Voip Control Panel ››

SendFax.exe is a command line utility that allows you to automatically create a fax job and place it in the Outbox folder in the Fax Voip Console .

For more information about SendFax.exe and command line options, see SendFax.exe command line options - Built-in lines .

To configure command line and then run SendFax.exe from the Fax Voip Control Panel, see To Configure and Run SendFax.exe (Built-in lines) using Fax Voip Control Panel .

For more information about Configure SendFax.exe options dialog box, see SendFax.exe options - Built-in lines .

To view SendFax.exe logs, see SendFax.exe (Built-in lines) Logs .


SendFax.exe command line options

SendFax.exe command line options - Built-in lines

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ››

SendFax.exe is a command line utility that allows you to automatically create a fax job and place it in the Outbox folder in the Fax Voip Console . Can be used in different scenarios, such as bat-files or in the custom applications. Helps to automate the process of fax sending.

SendFax.exe can be found in the Fax Voip installation folder. This tool uses Fax Voip libraries and should be placed in the Fax Voip installation folder. You should not move SendFax.exe to other folder.

To generate a command line and test SendFax.exe, open Fax Voip Control Panel, click Fax in the tree, and then click SendFax.exe (Built-in), see in the To Configure and Run SendFax.exe (Built-in lines) using Fax Voip Control Panel chapter of this user manual.

The example of usage with bat-file can be found in the following file:

*{CommonAppDataFolder}\FaxVoip\Plugins\SendFax\Sample\SendFax_test.bat

usage (GUI mode): SendFax.exe [options]

usage (console mode): SendFax_c.exe [options]

Fax Recipient options:

To specify single recipient, use /FaxNumber and /RecipientName options. To specify multiple recipients, use /RecipientList option.

/FaxNumber=value

The fax number of the person you want to send the fax to.

/RecipientName=value

The name of the person you want to send the fax to. Can be displayed on the cover page.

/RecipientList=value

The full path to the text file in which the list of fax recipients is stored. Each line corresponds to a single recipient. You can specify not only the fax number, but also the name of the recipient e.g. 3068811245<Robert>.

Fax Document options:

To send a single document, use /FileName option. To send multiple documents, use /FileList option. To send a fax consisting only of a cover page, skip these options and specify '/CoverPage=true'.

/FileName=value

The full path to the document to be sent as a fax.

/FileList=value

The full path to the text file in which the list of documents is stored. Each line corresponds to a single document. Full paths to the files should be specified.

Cover Page options:

/CoverPage=value

Overrides the 'Include cover pages with faxes' option specified in the Cover Pages Settings (Built-in lines, Fax Voip Printer) .

/CoverPage=true

Include cover page with fax. Required option when sending a fax consisting only of the cover page.

/CoverPage=false

Don't Include cover page with fax.

/CoverInfo=value

The full path to the custom ini-file that contains information for creating the cover page. Overrides the default Cover Pages Settings (Built-in lines, Fax Voip Printer) and Sender Information Settings (Built-in lines, Fax Voip Printer) .

The ini-file structure is as follows:

[Template]

Overrides the default cover page template. If the section does not exist, default template is used.

UseServerCoverPage=

1 - use common template; 0 - use personal template

CoverPageName=

Cover page name (confident, fyi, generic, urgent) or full path to the template file.

[Sender]

Overrides the default sender information. If the section does not exist, default values are used.

SdrName=

The name of the sender.

SdrFaxNumber=

Fax number associated with the sender.

SdrCompany=

The company name associated with the sender.

SdrDepartment=

The department name associated with the sender.

SdrTitle=

The title associated with the sender.

SdrOfficeLocation=

The office location of the sender.

SdrHomePhone=

The home telephone number associated with the sender.

SdrOfficePhone=

The office telephone number.

SdrAddress=

The street address associated with the sender. To wrap lines, use '\n' character.

[Content]

Overrides default cover page subject and note. If the section does not exist, default values are used.

CoverPageSubject=

The cover page subject.

CoverPageNote=

The cover page note. To wrap lines, use '\n' character.

Fax options:

/FaxStationID=value

The transmitting station identifier for the sender's device. Displayed at the top of each faxed page. Overrides the default Fax Station ID specified in the Fax Settings or in the Outgoing VOIP Call Routing rule .

/FaxHeader=value

Fax HeadLine string. Displayed at the top of each faxed page. Overrides the default Fax HeadLine specified in the Fax Settings or in the Outgoing VOIP Call Routing rule .

/FaxProtocol=value

Overrides the default value specified in the Fax Settings .

/FaxProtocol=t38

Send fax as T.38.

/FaxProtocol=audio

Send fax as G.711 audio.

/FaxProtocol=isdn

Send fax via ISDN CAPI 2.0.

Schedule options:

/Schedule=value

Send the fax no sooner than the specified date and time. The date and time format should match the settings of your computer, e.g. 25.10.2019 22:15:30 If this option is not used or the date and time can not be recognized, the current date and time are used.

/Submission=value

The date and time when your fax is submitted. It may be useful for example to simplify sorting in the Fax Voip Console when adding a large number of fax jobs. The date and time format should match the settings of your computer, e.g. 25.10.2019 22:15:30 If this option is not used or the date and time can not be recognized, the current date and time are used.

E-mail Delivery Receipts options:

If at least one of the /EmailTo, /EmailCC or /EmailBCC options is specified, then the default addresses specified in the Delivery Receipts via E-mail (Built-in lines) settings will be overridden. You can specify not only the address, but also the name of the recipient. Multiple email addresses must be separated by semicolon. Example: /EmailTo=Andreas<andreas73@gmail.com>;sales@mycompany.com

/EmailNotify=value

Overrides the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings.

/EmailNotify=true

Send a delivery report through SMTP mail.

/EmailNotify=false

Do not send a delivery report through SMTP mail.

/EmailTo=value

The e-mail address(es) to which the Fax Voip should send a delivery receipt when the fax job reaches a final state.

/EmailCC=value

The e-mail address(es) to which the copy of delivery receipt (Cc) should be sent.

/EmailBCC=value

The e-mail address(es) to which the blind carbon copy of delivery receipt (Bcc) should be sent.

/EmailAttach=value

Overrides the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings.

/EmailAttach=true

Attach a fax to the receipt.

/EmailAttach=false

Do not attach a fax to the receipt.

/EmailFormat=value

Overrides the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings.

/EmailFormat=TIFF

Attach fax in the TIFF format.

/EmailFormat=PDF

Attach fax in the PDF format.

/EmailFormat=SFF

Attach fax in the SFF format.

TIFF options:

Applied if only Direct Converting is used. Resolution and Compression options are also applied if fax consists only of the cover page.

/Resolution=value

Overrides the default value specified in the Fax Converter settings .

/Resolution=204x196

Send fax in high-quality resolution (Fine).

/Resolution=204x98

Send fax in Normal resolution.

/Compression=value

Overrides the default value specified in the Fax Converter settings .

/Compression=LZW

/Compression=2

Create TIFF in LZW compression format.

/Compression=CCITTFAX3

/Compression=3

Create TIFF in CCITTFAX3 compression format.

/Compression=CCITTFAX4

/Compression=4

Create TIFF in CCITTFAX4 compression format.

/Compression=PACKBITS

/Compression=5

Create TIFF in PACKBITS compression format.

/Compression=NONE

/Compression=6

Create TIFF with NO COMPRESSION.

/AutoRotate=value

Overrides the default value specified in the Fax Converter settings .

/AutoRotate=true

Apply automatic orientation selection algorithm.

/AutoRotate=false

Don't use automatic orientation selection algorithm.

/A4Page=value

Overrides the default value specified in the Fax Converter settings .

/A4Page=true

Set the page width and height to A4 page format.

/A4Page=false

Do not control the page height.

/HALFTONE=value

Overrides the default value specified in the Fax Converter settings .

/HALFTONE=true

Apply HALFTONE Effect to the fax.

/HALFTONE=false

Don't apply HALFTONE Effect to the fax.

Converting options (forced modes):

/ForceDirectConvert

Create the fax using Direct Converting function. Fax Converter settings are ignored. Can be applied only with the following file types: pdf, tif(tiff), sff, qfx, bmp, jpg(jpeg), gif, png, ico, wmf(emf).

/ForcePrint

Create the fax using Fax Voip Virtual Printer. Fax Converter settings are ignored. If printing fails, the utility will attempt to create the fax using Direct Converting function.

/UseOriginalTIFF

Applicable to the case when the single original document is in the TIFF format compatible with Fax Voip. To create such a file, you can use the Save As option when printing to Fax Voip printer. If to specify this option with TIFF in wrong format, fax transmission will fail.

Console options:

To operate in console mode, run the SendFax_c.exe application.

/DoNotCloseConsole

Do not close console after execution. 'Press any key to continue . . .' message is displayed.

/Console

Using this option, you can run SendFax.exe application (GUI version) in console mode. Please note that the calling application does not wait for the console to terminate in this case. Instead, run SendFax_c.exe application.

Debug and log options:

/DebugLog

Enable debug log containing detailed information about SendFax.exe operations.

Log file path: *{CommonAppDataFolder}\FaxVoip\log\SendFax_Debug.txt

/Log

Enable simple log containing brief information about SendFax.exe operations.

Log file path: *{CommonAppDataFolder}\FaxVoip\log\SendFax_Log.txt

e.g.

SendFax.exe /FaxNumber=13607451257 /RecipientName=Andre Hedges /CoverPage=true

/CoverInfo=C:\ProgramData\FaxVoip\Plugins\SendFax\Sample\coverpage_test.ini /DebugLog /Log

SendFax_c.exe "/FaxNumber=14251234567 /RecipientName=Bob Linkermann /CoverPage=true

/FileName=C:\ProgramData\FaxVoip\Plugins\SendFax\Sample\testPDF.pdf

/EmailNotify=true /EmailTo=Andreas<andreas73@gmail.com> /DoNotCloseConsole /DebugLog /Log"

SendFax_c.exe /RecipientList=C:\ProgramData\FaxVoip\Plugins\SendFax\Sample\Recipients_test.txt

/FileList=C:\ProgramData\FaxVoip\Plugins\SendFax\Sample\FileList_test.txt

/FaxStationID=1(425)987-6543 /FaxHeader=This is my company /DoNotCloseConsole /DebugLog /Log

SendFax_c.exe /FaxNumber=1234567 /FileName=C:\ProgramData\FaxVoip\Plugins\SendFax\Sample\testJPEG.jpg

/FaxProtocol=t38 /Resolution=204x196 /AutoRotate=true /A4Page=false /HALFTONE=true /ForceDirectConvert

/DoNotCloseConsole /DebugLog /Log

Notes

  • In order to avoid errors when processing the command line, it is recommended to use quotation marks (see the example above).
  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Configure and Run SendFax.exe

To Configure and Run SendFax.exe (Built-in lines) using Fax Voip Control Panel

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ››

On this page you can easily configure SendFax.exe command line options and then run it to send a fax. The proposed visual tool can be useful for developers who want to test and then use SendFax.exe in their applications, as well as for ordinary users who just want to send a fax.

The following commands are available in the SendFax.exe Contextual Tab of the Ribbon:

Run SendFax.exe

Run

Click to run SendFax.exe utility with selected options.

Copy

Click to copy the command line to the Clipboard.

Console Mode

Select this check box to run console version of SendFax.exe utility (SendFax_c.exe). When launched in the parent console, a new console window is not created. The calling process is waiting for the console application to complete. If check box is not selected, SendFax.exe is launched in GUI mode. The GUI mode is useful for hiding the console.

Do not close console

If this check box is selected, the console window is not closed after execution and 'Press any key to continue . . .' message is displayed. Adds /DoNotCloseConsole option to command line. Do not use this option in automated scripts.

Configure SendFax.exe

Edit

Click to configure SendFax.exe command line options, see SendFax.exe options . To quickly change command line options of the specified type, double-click the selected entry in the SendFax.exe options list.

Refresh

Click to update SendFax.exe command line, using options configured in the SendFax.exe options list.

Clear

Click to clear SendFax.exe command line options.

Recipient list

Click to view/edit the list of fax recipients stored in a separate text file (/RecipientList command line option, usually used when sending a fax to multiple recipients).

Document list

Click to view/edit the list of documents to be sent as a fax, which is stored in a separate text file (/FileList command line option, usually used when sending multiple fax documents).

Cover Page

Click to view/edit the cover page settings stored in a separate ini file (/CoverInfo command line option).

SendFax.exe Logs

Enable debug log

Select this check box to enable debug log containing detailed information about SendFax.exe operations. Adds /DebugLog option to command line.

Enable simple log

Select this check box to enable simple log containing brief information about SendFax.exe operations. Adds /Log option to command line.

View debug log

Click to view SendFax.exe debug log.

View debug log

Click to view SendFax.exe debug log.

View simple log

Click to view SendFax.exe simple log.

SendFax.exe logs

Click to switch to the SendFax.exe (Built-in lines) Logs page.

Command line

SendFax.exe command line, consists of the application path and command line arguments. It is automatically generated based on your configuration. The text field can be edited manually, but these changes are not saved and do not guarantee the correct launch of the SendFax.exe utility.

SendFax.exe options list allows you to easily view the current SendFax.exe setting. To quickly change command line options of the specified type, double-click the selected entry. See also SendFax.exe options chapter of this user manual. The following options can be configured:

  • Console Mode. Indicates whether the application starts in console (Type: YES; SendFax_c.exe) or GUI mode (Type: NO; SendFax.exe).
  • Fax Recipients. A fax can be sent to one recipient (Type: SINGLE; /FaxNumber=...[/RecipientName=...]) or to multiple recipients (Type: LIST; /RecipientList=).
  • Include Cover Page. Specifies whether the cover page will be added to the document and sent as the first page in the fax. You can use the default 'Include cover pages with faxes' option specified in the Cover Pages Settings (Built-in lines, Fax Voip Printer) (Type: DEFAULT), or you can override it (Type: OVERRIDE; /CoverPage=...)
  • Cover Page Info. You can use default Cover Pages Settings (Built-in lines, Fax Voip Printer) and Sender Information Settings (Built-in lines, Fax Voip Printer) (Type: DEFAULT), or you can override them completely or partially using ini-file (Type: OVERRIDE; /CoverInfo=...).
  • Fax Documents. You can send a single fax document (Type: SINGLE; /FileName=...), multiple fax documents (Type: LIST; /FileList=...), or you can send a fax consisting only of a cover page (Type: NONE).
  • Schedule Fax. The fax can be sent immediately (Type: NOW) or scheduled for a later time (Type: TIME; /Schedule=...).
  • Submission Time. The date and time when your fax is submitted. The default date and time (Type: NOW) can be overridden (Type: TIME; /Submission=...). It may be useful for example to simplify sorting in the Fax Voip Console when adding a large number of fax jobs.
  • Fax Station ID. The transmitting station identifier for the sender's device. Displayed at the top of each faxed page. The default value can be used (Type: DEFAULT). Or you can override the default Fax Station ID specified in the Fax Settings or in the Outgoing VOIP Call Routing rule (Type: OVERRIDE; /FaxStationID=...).
  • Fax Headline. Fax HeadLine string. Displayed at the top of each faxed page. The default value can be used (Type: DEFAULT). Or you can override the default Fax HeadLine specified in the Fax Settings or in the Outgoing VOIP Call Routing rule (Type: OVERRIDE; /FaxHeader=...).
  • Fax Mode. Fax protocol: t38 - to send T.38 fax, audio - to send audio fax over G.711 codec, isdn - to send a fax via ISDN CAPI 2.0 line. The default value can be used (Type: DEFAULT). Or you can override the default fax mode specified in the Fax Settings (Type: OVERRIDE; /FaxProtocol=...).
  • Force Direct Converting. (Type: YES; /ForceDirectConvert) The fax is created using Direct Converting function. Fax Converter settings are ignored. Can be applied only with the following file types: pdf, tif(tiff), sff, qfx, bmp, jpg(jpeg), gif, png, ico, wmf(emf). (Type: NO) The /ForceDirectConvert option is not applied.
  • Force Printing. (Type: YES; /ForcePrint) The fax is created using Fax Voip Virtual Printer. Fax Converter settings are ignored. If printing fails, the utility will attempt to create the fax using Direct Converting function. (Type: NO) The /ForcePrint option is not applied.
  • Use original TIFF file. (Type: YES; /UseOriginalTIFF) The original TIFF file is used. Applicable to the case when the single original document is in the TIFF format compatible with Fax Voip. To create such a file, you can use the Save As option when printing to Fax Voip printer. If to specify this option with TIFF in wrong format, fax transmission will fail. (Type: NO) The /UseOriginalTIFF option is not applied.
  • TIFF Resolution. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /Resolution=...).
  • TIFF Compression. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /Compression=...).
  • Auto Rotate. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /AutoRotate=...).
  • A4 Page. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /A4Page=...).
  • HALFTONE Effect. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /HALFTONE=...).
  • E-mail Receipts. Specifies whether to send a delivery report through SMTP mail. You can use the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /EmailNotify=...).
  • E-mail To, CC, BCC. The e-mail address(es) to which the Fax Voip should send a delivery receipt, the copy of delivery receipt (Cc) and the blind carbon copy of delivery receipt (Bcc) when the fax job reaches a final state. You can use the default E-mail To, CC and BCC values specified in the Delivery Receipts via E-mail (Built-in lines) settings (Type: DEFAULT), or you can override them (Type: OVERRIDE; /EmailTo=...; /EmailCC=...; /EmailBCC=...).
  • Attach Fax to Receipt. Indicates whether to attach a fax to the receipt. You can use the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /EmailAttach=...).
  • Attached Fax Format. The file format in which the fax should be attached to receipt (TIFF, PDF or SFF). You can use the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /EmailFormat=...).
  • Do not close console. If this option is specified (Type: YES; /DoNotCloseConsole), the console is not closed after execution and 'Press any key to continue . . .' message is displayed. If this option is not specified (Type: NO) the console exits immediately after execution.
  • Enable Debug Log. If this option is specified (Type: YES; /DebugLog), the debug log containing detailed information about SendFax.exe operations is generated. If this option is not specified (Type: NO) the debug log is not generated.
  • Enable Simple Log. If this option is specified (Type: YES; /Log), the simple log containing brief information about SendFax.exe operations is generated. If this option is not specified (Type: NO) the simple log is not generated.


SendFax.exe options

SendFax.exe options - Built-in lines

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ››

This section provides information on how to configure SendFax.exe command line options using the Configure SendFax.exe options dialog box, see also in the To Configure and Run SendFax.exe (Built-in lines) using Fax Voip Control Panel chapter of this user manual.

To configure SendFax.exe options and then run SendFax.exe, do the following:

1. Open Fax Voip Control Panel.

2. Click Fax in TreeView, and then click SendFax.exe (Built-in).

3. To edit command line options click Edit in the SendFax.exe Contextual Tab of the Ribbon. To quickly change command line options of the specified type, double-click the selected entry in the SendFax.exe options list.

4. In the Configure SendFax.exe options window, specify one or more fax recipients, select documents to send as a fax and specify other necessary options. Click OK.

5. To run SendFax.exe utility with selected options click Run in the SendFax.exe Contextual Tab of the Ribbon.

The following options can be configured in the Configure SendFax.exe options dialog box:

  • Fax Recipients
  • Documents
  • Convert to Fax Settings
  • Cover Page Settings
  • Sender Information Settings
  • Fax Settings
  • Schedule Settings
  • E-mail Receipts


Fax Recipients

Fax Recipients (SendFax.exe options, Built-in lines)

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ›› SendFax.exe options ››

Fax Recipients

On this page you can specify one or more fax recipients.

Fax number

The fax number of the person you want to send the fax to. To send a fax to multiple recipients, type each recipient's fax number in the Fax number field and (optionally) recipient's name in the Recipient name field, and then click Add to add the recipient to the list of recipients.

Recipient name

The name of the person you want to send the fax to. Can be displayed on the cover page.

<Address book>

Click to select one or more fax recipients from Address Book (Windows Contacts). To be added to the list of fax recipients, the selected recipient should have non-empty Business fax field or non-empty Home fax field.

<Add From File>

Click to load a list of fax numbers from selected text file. When preparing a text file, you must be guided by the following rules:

      • Each row can contain a single fax number.
      • The fax number should be placed in the beginning of the row. Spaces and tabs at the beginning of the row are ignored.
      • The row can contain any additional information such as company name, phone number etc. This information should be separated from the fax number using any of the following delimiters: space, tab or semicolon.

Please note that this method does not allow to add recipient names.

<Add>

Use this button to add the recipient to the list of recipients. The recipient's fax number should be initially entered in the Fax number field and (optionally) the recipient's name should be entered in the Recipient name field.

<Remove>

Use this button to remove the recipient from the list of recipients.

<Edit>

Click this button to change the recipient's fax number and name. One of the recipients should be selected in the list.

Store the list of recipients in the file

Select this check box, to store the list of fax recipients in the text file (/RecipientList= command line option). The full path to the text file in which the list of fax recipients is stored should be specified in the text box below. If this check box is not selected, the single fax recipient is specified by using /FaxNumber= and (optionally) /RecipientName= command line options.

<Browse>

Click this button to specify the path to the text file in which the list of fax recipients is stored. The default path is *{CommonAppDataFolder}\FaxVoip\Plugins\SendFax\Recipients.txt.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Documents

Documents (SendFax.exe options, Built-in lines)

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ›› SendFax.exe options ››

Documents

On this page you can specify one or more documents to send as a fax.

Document

The full path to the document to be sent as a fax. To send multiple documents, select each document in this text box, and then click Add to add the document to the list of documents.

<Browse>

Click this button to select the path to the document to be sent as a fax. Any printable document can be sent as a fax.

<Add>

Use this button to add the document to the list of documents. The document should be initially selected in the text box above.

<Remove>

Use this button to remove the document from the list of documents.

Store the list of documents in the file

Select this check box, to store the list of documents in the text file (/FileList= command line option). The full path to the text file in which the list of documents is stored should be specified in the text box below. If this check box is not selected, the full path to the single document to be sent as a fax is specified by using /FileName= command line option.

<Browse>

Click this button to specify the path to the text file in which the list of documents is stored. The default path is *{CommonAppDataFolder}\FaxVoip\Plugins\SendFax\FileList.txt.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Convert to Fax

Convert to Fax Settings (SendFax.exe options, Built-in lines)

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ›› SendFax.exe options ››

Convert to Fax Settings

On this page you can specify how to convert your documents into fax (TIFF file).

TIFF Options (applied if only Direct Converting is used)

In this area, you can override the default TIFF Options specified in the Fax Converter settings . These options only applied if the fax is created using Direct Converting. The /Resolution and /Compression options are also applied when sending a fax consisting only of a cover page.

Resolution (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select 204x196 dpi (Fine) to send a fax in high-quality resolution (/Resolution=204x196 command line option). Or select 204x98 dpi (Normal) to send a fax in low-quality resolution (/Resolution=204x98 command line option). When sending a fax consisting only of a cover page, this option overrides the default value specified in the Cover Pages Settings (Built-in lines, Fax Voip Printer) .

Compression (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select the compression format of the output TIFF file (/Compression= command line option). When sending a fax consisting only of a cover page, this option overrides the default value specified in the Cover Pages Settings (Built-in lines, Fax Voip Printer) .

Auto Rotate (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select True to apply automatic orientation selection algorithm (/AutoRotate=true command line option). Or select False to not use automatic orientation selection algorithm (/AutoRotate=false command line option).

A4 page (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select True to set the page width and height to A4 page format (/A4Page=true command line option). Or select False to not control the page height (/A4Page=false command line option).

HALFTONE Effect (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select True to apply HALFTONE Effect to the fax (/HALFTONE=true command line option). Or select False to not apply HALFTONE Effect to the fax (/HALFTONE=false command line option).

Forced Modes

The options below allow you to ignore the default Fax Converter settings .

Force Direct Converting

Select this check box to create the fax using Direct Converting function (/ForceDirectConvert command line option). Fax Converter settings are ignored. Can be applied only with the following file types: pdf, tif(tiff), sff, qfx, bmp, jpg(jpeg), gif, png, ico, wmf(emf).

Force Printing

Select this check box to create the fax using Fax Voip Virtual Printer (/ForcePrint command line option). Fax Converter settings are ignored. If printing fails, the SendFax.exe utility will attempt to create the fax using Direct Converting function.

Use original TIFF file

Select this check box to use original TIFF file (/UseOriginalTIFF command line option). Applicable to the case when the single original document is in the TIFF format compatible with Fax Voip. To create such a file, you can use the Save As option when printing to Fax Voip printer. If to specify this option with TIFF in wrong format, fax transmission will fail.


Cover Page

Cover Page Settings (SendFax.exe options, Built-in lines)

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ›› SendFax.exe options ››

Cover Page Settings

A cover page contains user-specified information about a fax sender and a recipient, and often a short message, together with system information, such as transmission date and time. You can use cover pages in different ways. You can send a fax that consists only of a cover page. Your fax message will be included as a cover page note. Alternatively, you can send a cover page in addition to another fax document. For example, you might fax a Microsoft Word document and include a cover page with it. In this case, the cover page will be added to the document and sent as the first page in the fax.

On this page you can override the default settings for cover page specified in the Cover Pages Settings (Built-in lines, Fax Voip Printer) .

Include cover page (override)

Select this check box to override the default Include cover pages with faxes option specified in the Cover Pages Settings (Built-in lines, Fax Voip Printer) . On the right, select True to include cover page with fax (/CoverPage=true command line option). Or select False to not Include cover page with fax (/CoverPage=false command line option). To send a fax consisting only of a cover page, select the check box and then select True on the right (/CoverPage=true is a required command line option in this case).

Cover page template (override default settings)

Select this check box to override the default coverpage template specified in the Cover Pages Settings (Built-in lines, Fax Voip Printer) . The modified settings are stored in the [Template] section of the custom ini-file (/CoverInfo= command line option).

Use common cover page template

If this option selected, the common cover page template stored on the fax server will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages. Please note that these are standard templates included in the operating system.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Cover page subject and note (override default settings)

Select this check box to override the default coverpage subject and note specified in the Cover Pages Settings (Built-in lines, Fax Voip Printer) . The modified settings are stored in the [Content] section of the custom ini-file (/CoverInfo= command line option).

Subject line

In this box, you can specify the fax subject. This information is usually displayed on cover page. You can leave this field empty.

Cover page note

In this box, you can specify the text of a message or note from the sender that will appear on the cover page. You can leave this field empty.

Store cover page information in this file

The full path to the custom ini-file that contains information for creating the cover page (/CoverInfo= command line option).

<Browse>

Click this button to specify the path to the custom ini-file in which the cover page information is stored. The default path is *{CommonAppDataFolder}\FaxVoip\Plugins\SendFax\coverpage.ini.

Notes

  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (SendFax.exe options, Built-in lines) chapter of this user manual.
  • When creating fax cover pages for sending via Fax Voip built-in lines, the system cover page templates and Fax Service API ( FaxPrintCoverPage function) are used. You also need Fax Cover Page Editor application to create your own personal cover page templates. For this reason, installation of the Windows Fax Service is required for this functionality, see in the Install the Fax Service chapter of this user manual.
  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Sender Information

Sender Information Settings (SendFax.exe options, Built-in lines)

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ›› SendFax.exe options ››

Sender Information Settings

Sender information is displayed on cover pages.

On this page you can override the default settings for sender information specified in the Sender Information Settings (Built-in lines, Fax Voip Printer) .

Sender information (override default settings)

Select this check box to override the default settings for sender information specified in the Sender Information Settings (Built-in lines, Fax Voip Printer) . The modified settings are stored in the [Sender] section of the custom ini-file (/CoverInfo= command line option).

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

Title

The title associated with the sender.

Company

The company name associated with the sender.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Notes

  • Unfortunately, you cannot use the standard E-mail field, which you can place on your cover page template using Insert -> Sender -> E-mail command in the Fax Cover Page Editor. When printing cover page, Fax Voip uses old-style FaxPrintCoverPage function (Fax Service Client API for Windows 2000) and FAX_COVERPAGE_INFO structure that does not contain info about sender's e-mail address.


Fax Settings

Fax Settings (SendFax.exe options, Built-in lines)

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ›› SendFax.exe options ››

Fax Settings

On this page you can override the default settings for fax options specified in the Fax Settings or/and in the Outgoing VOIP Call Routing rule .

Fax Mode (override)

Select this check box to override the default fax mode specified in the Fax Settings . On the right, select T.38 (auto) to send a fax with T.38 support (/FaxProtocol=t38 command line option). Select audio to send an audio fax over G.711 codec (/FaxProtocol=audio command line option). Select isdn to send a fax via ISDN CAPI 2.0 line (/FaxProtocol=isdn command line option).

Fax Station ID (override)

Select this check box to override the default Fax Station ID specified in the Fax Settings or in the Outgoing VOIP Call Routing rule (/FaxStationID= command line option). The transmitting station identifier for the sender's device is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The Fax Station ID is transmitted at the top of each faxed page. Usually consists of the sender's fax number and business name. The Fax Station ID is limited to 20 characters.

Fax HeadLine (override)

Select this check box to override the default Fax HeadLine specified in the Fax Settings or in the Outgoing VOIP Call Routing rule (/FaxHeader= command line option). Fax HeadLine string is transmitted at the top of each faxed page. The Fax HeadLine is limited to 50 characters.


Schedule

Schedule Settings (SendFax.exe options, Built-in lines)

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ›› SendFax.exe options ››

Schedule Fax

On this page you can specify when you want your fax to be sent.

Schedule Fax

In this area, you can specify when you want your fax to be sent.

Now

Select this option to send a fax immediately after creating a job.

At this time

Select this option to specify the date and time you wish to send your fax (/Schedule= command line option).

Submission Time (tweak)

In this area, you can specify the submission time for your fax.

Now

Select this option to use the default date and time.

At this time

Select this option to specify the date and time when your fax is submitted (/Submission= command line option). It may be useful for example to simplify sorting in the Fax Voip Console when adding a large number of fax jobs.


E-mail Receipts

E-mail Receipts Settings (SendFax.exe options, Built-in lines)

Fax Voip Control Panel ›› Send a Fax using SendFax.exe tool - Built-in lines ›› SendFax.exe options ››

E-mail Delivery Receipts

On this page you can override the default settings for e-mail delivery receipts, see Delivery Receipts via E-mail (Built-in lines) .

Send e-mail delivery receipt (override)

Select this check box to override the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings. On the right, select True to send a delivery report through SMTP mail (/EmailNotify=true command line option). Or select False to not send a delivery report through SMTP mail (/EmailNotify=false command line option).

E-mail To (override)

Select this check box to override the default e-mail address(es) specified in the Delivery Receipts via E-mail (Built-in lines) settings. On the right, specify the e-mail address to which the Fax Voip should send a delivery receipt when the fax job reaches a final state (/EmailTo= command line option). You can specify not only the address, but also the name of the recipient. You can also specify multiple recipients which should be separated by a semicolon. Example: Andreas<andreas73@gmail.com>;sales@mycompany.com

CC:

Specify the e-mail address(es) to which the copy of delivery receipt (Cc) should be sent.

BCC:

Specify the e-mail address(es) to which the blind carbon copy of delivery receipt (Bcc) should be sent.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

Attach a copy of the sent fax (override)

Select this check box to override the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings. On the right, select True to attach a fax to the receipt (/EmailAttach=true command line option). Or select False to not attach a fax to the receipt (/EmailAttach=false command line option).

Fax Delivery Format (override)

Select this check box to override the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings. On the right, select the file format in which the fax should be attached to receipt: TIFF, PDF or SFF (/EmailFormat= command line option).


Send a Fax using SendFaxMS.exe tool - Microsoft Fax

Fax Voip Control Panel ››

SendFaxMS.exe is a command line utility that allows you to automatically create and track a fax job when using Windows Fax Service and Windows Fax and Scan application.

For more information about SendFaxMS.exe and command line options, see SendFaxMS.exe command line options - Microsoft Fax .

To configure command line and then run SendFaxMS.exe from the Fax Voip Control Panel, see To Configure and Run SendFaxMS.exe (Microsoft Fax) using Fax Voip Control Panel .

For more information about Configure SendFaxMS.exe options dialog box, see SendFaxMS.exe options - Microsoft Fax .

To track the fax job when starting the SendFaxMS.exe in GUI mode, see Track fax job (GUI mode) - Microsoft Fax .

To track the fax job when starting the SendFaxMS.exe in console mode, see Track fax job (console mode) - Microsoft Fax .

To view SendFaxMS.exe logs, see SendFaxMS.exe (Microsoft Fax) Logs .


SendFaxMS.exe command line options

SendFaxMS.exe command line options - Microsoft Fax

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ››

SendFaxMS.exe is a command line utility that allows you to automatically create and track a fax job when using Windows Fax Service and Windows Fax and Scan application. Can be used in different scenarios, such as bat-files or in the custom applications. Helps to automate the process of fax sending.

SendFaxMS.exe can be found in the Fax Voip installation folder. This tool uses Fax Voip libraries and should be placed in the Fax Voip installation folder. You should not move SendFaxMS.exe to other folder.

To generate a command line and test SendFaxMS.exe, open Fax Voip Control Panel, click Fax in the tree, and then click SendFaxMS.exe (MS Fax), see in the To Configure and Run SendFaxMS.exe (Microsoft Fax) using Fax Voip Control Panel chapter of this user manual.

The example of usage with bat-file can be found in the following file:

*{CommonAppDataFolder}\FaxVoip\Plugins\SendFaxMS\Sample\SendFaxMS_test.bat

usage (GUI mode): SendFaxMS.exe [options]

usage (console mode): SendFaxMS_c.exe [options]

Fax Recipient options:

To specify single recipient, use /FaxNumber and /RecipientName options. To specify multiple recipients, use /RecipientList option.

/FaxNumber=value

The fax number of the person you want to send the fax to.

/RecipientName=value

The name of the person you want to send the fax to. Can be displayed on the cover page.

/RecipientList=value

The full path to the text file in which the list of fax recipients is stored. Each line corresponds to a single recipient. You can specify not only the fax number, but also the name of the recipient e.g. 3068811245<Robert>.

Fax Document options:

To send a single document, use /FileName option. To send multiple documents, use /FileList option. To send a fax consisting only of a cover page, skip these options and specify '/CoverPage=true'.

/FileName=value

The full path to the document to be sent as a fax.

/FileList=value

The full path to the text file in which the list of documents is stored. Each line corresponds to a single document. Full paths to the files should be specified.

/DocumentName=value

The user-friendly name to display for the fax document. Overrides the default value, which lists the original names of documents to be sent.

Cover Page options:

/CoverPage=value

Overrides the 'Include cover pages with faxes' option specified in the Cover Pages Settings (SendFaxMS.exe) - Microsoft Fax .

/CoverPage=true

Include cover page with fax. Required option when sending a fax consisting only of the cover page.

/CoverPage=false

Don't Include cover page with fax.

/CoverInfo=value

The full path to the custom ini-file that contains information for creating the cover page. Overrides the default Cover Pages Settings (SendFaxMS.exe) - Microsoft Fax and Sender Information Settings (SendFaxMS.exe) - Microsoft Fax .

The ini-file structure is as follows:

[Template]

Overrides the default cover page template. If the section does not exist, default template is used.

UseServerCoverPage=

1 - use common template; 0 - use personal template

CoverPageName=

Cover page name (confident, fyi, generic, urgent) or full path to the template file.

[Sender]

Overrides the default sender information. If the section does not exist, default values are used.

SdrName=

The name of the sender.

SdrFaxNumber=

Fax number associated with the sender.

SdrEmail=

The e-mail address associated with the sender. Can be overridden by the /SdrEmail option. The e-mail address can be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ).

SdrCompany=

The company name associated with the sender. Displayed at the top of each faxed page. Can be overridden by the /FaxHeader option.

SdrDepartment=

The department name associated with the sender.

SdrTitle=

The title associated with the sender.

SdrOfficeLocation=

The office location of the sender.

SdrHomePhone=

The home telephone number associated with the sender.

SdrOfficePhone=

The office telephone number.

SdrAddress=

The street address associated with the sender. To wrap lines, use '\n' character.

SdrBillingCode=

The billing code associated with the sender.

SdrTsid=

The transmitting station identifier (TSID) for the sender's device. Displayed at the top of each faxed page. Can be overridden by the /FaxStationID option.

[Content]

Overrides default cover page subject and note. If the section does not exist, default values are used.

CoverPageSubject=

The cover page subject.

CoverPageNote=

The cover page note. To wrap lines, use '\n' character.

Fax options (overrides):

/FaxStationID=value

The transmitting station identifier (TSID) for the sender's device. Displayed at the top of each faxed page. Overrides the TSID specified in the 'Sender Information', including the default Windows Fax Service settings.

/FaxHeader=value

Fax HeadLine string. Displayed at the top of each faxed page. Overrides the 'Company name' value, specified in the 'Sender Information', including the default Windows Fax Service settings.

/SdrEmail=value

The e-mail address associated with the sender. Overrides the e-mail address specified in the 'Sender Information', including the default Windows Fax Service settings. The e-mail address can be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ).

Schedule and Priority options:

/Priority=value

Specifies the priority to use when sending the fax.

/Priority=Low

The fax will be sent with a low priority.

/Priority=Normal

The fax will be sent with a normal priority (default).

/Priority=High

The fax will be sent with a high priority.

/Discount

Send the fax during the discount rate period.

/Schedule=value

Send the fax no sooner than the specified date and time. The date and time format should match the settings of your computer, e.g. 10.07.2019 22:15:30 If this option is not used or the date and time can not be recognized, the current date and time are used.

TIFF options (applied if only Direct Converting is used):

/AutoRotate=value

Overrides the default value specified in the Fax Converter settings .

/AutoRotate=true

Apply automatic orientation selection algorithm.

/AutoRotate=false

Don't use automatic orientation selection algorithm.

/A4Page=value

Overrides the default value specified in the Fax Converter settings .

/A4Page=true

Set the page width and height to A4 page format.

/A4Page=false

Do not control the page height.

/HALFTONE=value

Overrides the default value specified in the Fax Converter settings .

/HALFTONE=true

Apply HALFTONE Effect to the fax.

/HALFTONE=false

Don't apply HALFTONE Effect to the fax.

Converting options (forced modes):

/ForceDirectConvert

Create the fax using Direct Converting function. Fax Converter settings are ignored. Can be applied only with the following file types: pdf, tif(tiff), sff, qfx, bmp, jpg(jpeg), gif, png, ico, wmf(emf).

/ForcePrint

Create the fax using fax printer. Fax Converter settings are ignored. If printing fails, the utility will attempt to create the fax using Direct Converting function.

E-mail Delivery Receipts options (native):

Native E-mail Delivery Receipts are part of Windows Fax Service software and only available in Windows Server OS. This functionality does not support SSL when sending e-mails.

/EmailReceiptMS=value

Overrides the default value specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax .

/EmailReceiptMS=true

Send a delivery report through SMTP mail.

/EmailReceiptMS=false

Do not send a delivery report through SMTP mail.

/ReceiptAddressMS=value

The e-mail address to which the fax service should send a delivery receipt when the fax job reaches a final state. Overrides the default address specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax .

/GroupReceiptMS=value

Overrides the default value specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax .

/GroupReceiptMS=true

Send a summary receipt for all the recipients of the broadcast.

/GroupReceiptMS=false

Send an individual delivery receipt for each recipient of the broadcast.

/ReceiptAttachFaxMS=value

Overrides the default value specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax .

/ReceiptAttachFaxMS=true

Attach a fax to the receipt.

/ReceiptAttachFaxMS=false

Do not attach a fax to the receipt.

Fax Track options:

/Track

Track fax activity after creating a job. This option is ignored when sending a fax to multiple recipients.

/JobID=value

Do not create new fax job. Only track previously created fax. Valid outbound fax job ID should be specified. When using this option, all the above options are ignored.

Console options:

To operate in console mode, run the SendFaxMS_c.exe application.

/DoNotCloseConsole

Do not close console after execution. 'Press any key to continue . . .' message is displayed.

/Console

Using this option, you can run SendFaxMS.exe application (GUI version) in console mode. Please note that the calling application does not wait for the console to terminate in this case. Instead, run SendFaxMS_c.exe application.

Debug and log options:

/DebugLog

Enable debug log containing detailed information about SendFaxMS.exe operations.

Log file path: *{CommonAppDataFolder}\FaxVoip\log\SendFaxMS_Debug.txt

/Log

Enable simple log containing brief information about SendFaxMS.exe operations.

Log file path: *{CommonAppDataFolder}\FaxVoip\log\SendFaxMS_Log.txt

e.g.

SendFaxMS.exe /FaxNumber=13607451257 /RecipientName=Andre Hedges /CoverPage=true

/CoverInfo=C:\ProgramData\FaxVoip\Plugins\SendFaxMS\Sample\coverpage_test.ini /Track /DebugLog /Log

SendFaxMS_c.exe /FaxNumber=14251234567 /RecipientName=Bob Linkermann /CoverPage=true

/FileName=C:\ProgramData\FaxVoip\Plugins\SendFaxMS\Sample\testPDF.pdf

/Priority=High /ForceDirectConvert /Track /DoNotCloseConsole /DebugLog /Log

SendFaxMS_c.exe /RecipientList=C:\ProgramData\FaxVoip\Plugins\SendFaxMS\Sample\Recipients_test.txt

/FileList=C:\ProgramData\FaxVoip\Plugins\SendFaxMS\Sample\FileList_test.txt

/FaxStationID=1(425)987-6543 /FaxHeader=This is my company /DoNotCloseConsole /DebugLog /Log

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Configure and Run SendFaxMS.exe

To Configure and Run SendFaxMS.exe (Microsoft Fax) using Fax Voip Control Panel

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ››

On this page you can easily configure SendFaxMS.exe command line options and then run it to send a fax or to track the status of a previously created fax. The proposed visual tool can be useful for developers who want to test and then use SendFaxMS.exe in their applications, as well as for ordinary users who just want to send a fax.

The following commands are available in the SendFaxMS.exe Contextual Tab of the Ribbon:

Run SendFaxMS.exe

Run

Click to run SendFaxMS.exe utility with selected options.

Copy

Click to copy the command line to the Clipboard.

Track Fax

Select this check box to track fax activity after creating a job. Adds /Track option to command line. This option is ignored when sending a fax to multiple recipients.

Console Mode

Select this check box to run console version of SendFaxMS.exe utility (SendFaxMS_c.exe). When launched in the parent console, a new console window is not created. The calling process is waiting for the console application to complete. If check box is not selected, SendFaxMS.exe is launched in GUI mode. The GUI mode is useful to track the fax and also for hiding the console.

Do not close console

If this check box is selected, the console window is not closed after execution and 'Press any key to continue . . .' message is displayed. Adds /DoNotCloseConsole option to command line. Do not use this option in automated scripts.

Configure SendFaxMS.exe

Edit

Click to configure SendFaxMS.exe command line options, see SendFaxMS.exe options . To quickly change command line options of the specified type, double-click the selected entry in the SendFaxMS.exe options list.

Refresh

Click to update SendFaxMS.exe command line, using options configured in the SendFaxMS.exe options list.

Clear

Click to clear SendFaxMS.exe command line options.

Recipient list

Click to view/edit the list of fax recipients stored in a separate text file (/RecipientList command line option, usually used when sending a fax to multiple recipients).

Document list

Click to view/edit the list of documents to be sent as a fax, which is stored in a separate text file (/FileList command line option, usually used when sending multiple fax documents).

Cover Page

Click to view/edit the cover page settings stored in a separate ini file (/CoverInfo command line option).

SendFaxMS.exe Logs

Enable debug log

Select this check box to enable debug log containing detailed information about SendFaxMS.exe operations. Adds /DebugLog option to command line.

Enable simple log

Select this check box to enable simple log containing brief information about SendFaxMS.exe operations. Adds /Log option to command line.

View debug log

Click to view SendFaxMS.exe debug log.

View debug log

Click to view SendFaxMS.exe debug log.

View simple log

Click to view SendFaxMS.exe simple log.

SendFaxMS.exe logs

Click to switch to the SendFaxMS.exe (Microsoft Fax) Logs page.

Command line

SendFaxMS.exe command line, consists of the application path and command line arguments. It is automatically generated based on your configuration. The text field can be edited manually, but these changes are not saved and do not guarantee the correct launch of the SendFaxMS.exe utility.

Do not create new fax job. Only track previously created fax.

Select this check box if you want to track previously created fax. Valid outbound Fax Job ID should be specified. When using this option, a new fax is not created.

Fax Job ID

Valid outbound fax job ID - unique identifier for the outbound fax message.

Fax Job ID can be obtained using Fax Service API, see FaxOutgoingJob.Id property , or it can be viewed in the Windows Fax and Scan software, in the fax properties. In Windows Fax and Scan, in the Outbox, select the fax, and then right-click it. On the context menu, click Properties. The Job ID property can be found on the Details page.

SendFaxMS.exe options list allows you to easily view the current SendFaxMS.exe setting. To quickly change command line options of the specified type, double-click the selected entry. See also SendFaxMS.exe options chapter of this user manual. The following options can be configured:

  • Console Mode. Indicates whether the application starts in console (Type: YES; SendFaxMS_c.exe) or GUI mode (Type: NO; SendFaxMS.exe).
  • Fax Recipients. A fax can be sent to one recipient (Type: SINGLE; /FaxNumber=...[/RecipientName=...]) or to multiple recipients (Type: LIST; /RecipientList=).
  • Include Cover Page. Specifies whether the cover page will be added to the document and sent as the first page in the fax. You can use the default 'Include cover pages with faxes' option specified in the Cover Pages Settings (SendFaxMS.exe) - Microsoft Fax (Type: DEFAULT), or you can override it (Type: OVERRIDE; /CoverPage=...)
  • Cover Page Info. You can use default Cover Pages Settings (SendFaxMS.exe) - Microsoft Fax and Sender Information Settings (SendFaxMS.exe) - Microsoft Fax (Type: DEFAULT), or you can override them completely or partially using ini-file (Type: OVERRIDE; /CoverInfo=...).
  • Fax Documents. You can send a single fax document (Type: SINGLE; /FileName=...), multiple fax documents (Type: LIST; /FileList=...), or you can send a fax consisting only of a cover page (Type: NONE).
  • Document Name. The user-friendly name to display for the fax document. The default value, which lists the original names of documents to be sent (Type: DEFAULT) can be overridden (Type: OVERRIDE; /DocumentName=...).
  • Schedule Fax. The fax can be sent immediately (Type: NOW), scheduled for a later time (Type: TIME; /Schedule=...) or sent during the discount rate period (Type: DISCOUNT; /Discount).
  • Priority. Specifies the priority to use when sending the fax. The fax can be sent with a low priority (Type: LOW; /Priority=Low), normal priority (Type: NORMAL) or high priority (Type: HIGH; /Priority=High).
  • Fax Station ID. The transmitting station identifier (TSID) for the sender's device. Displayed at the top of each faxed page. The default value can be used (Type: DEFAULT). Or you can override the TSID specified in the 'Sender Information', including the default Windows Fax Service settings (Type: OVERRIDE; /FaxStationID=...).
  • Fax Headline. Fax HeadLine (Company name) string. Displayed at the top of each faxed page. The default value can be used (Type: DEFAULT). Or you can override the 'Company name' value, specified in the 'Sender Information', including the default Windows Fax Service settings (Type: OVERRIDE; /FaxHeader=...).
  • Sender E-mail. The e-mail address associated with the sender. The default value can be used (Type: DEFAULT). Or you can override the e-mail address specified in the 'Sender Information', including the default Windows Fax Service settings (Type: OVERRIDE; /SdrEmail=...). The e-mail address can be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ).
  • Force Direct Converting. (Type: YES; /ForceDirectConvert) The fax is created using Direct Converting function. Fax Converter settings are ignored. Can be applied only with the following file types: pdf, tif(tiff), sff, qfx, bmp, jpg(jpeg), gif, png, ico, wmf(emf). (Type: NO) The /ForceDirectConvert option is not applied.
  • Force Printing. (Type: YES; /ForcePrint) The fax is created using fax printer. Fax Converter settings are ignored. If printing fails, the utility will attempt to create the fax using Direct Converting function. (Type: NO) The /ForcePrint option is not applied.
  • Auto Rotate. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /AutoRotate=...).
  • A4 Page. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /A4Page=...).
  • HALFTONE Effect. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /HALFTONE=...).
  • E-mail Receipts (native). Specifies whether to send a delivery report through SMTP mail. You can use the default value specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax (Type: DEFAULT), or you can override it (Type: OVERRIDE; /EmailReceiptMS=...). Native E-mail Delivery Receipts are part of Windows Fax Service software and only available in Windows Server OS. This functionality does not support SSL when sending e-mails.
  • E-mail To (native). The e-mail address to which the fax service should send a delivery receipt when the fax job reaches a final state. You can use the default value specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax (Type: DEFAULT), or you can override it (Type: OVERRIDE; /ReceiptAddressMS=...).
  • Group Receipt (native). Indicates whether to send an individual delivery receipt for each recipient of the broadcast, or to send a summary receipt for all the recipients. You can use the default value specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax (Type: DEFAULT), or you can override it (Type: OVERRIDE; /GroupReceiptMS=...).
  • Attach Fax to Receipt (native). Indicates whether to attach a fax to the receipt. You can use the default value specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax (Type: DEFAULT), or you can override it (Type: OVERRIDE; /ReceiptAttachFaxMS=...).
  • Track Fax. You can track fax activity after creating a job (Type: YES; /Track). This option is ignored when sending a fax to multiple recipients. If this option is not specified, the SendFaxMS.exe terminates after creating a fax job (Type: NO).
  • Do not close console. If this option is specified (Type: YES; /DoNotCloseConsole), the console is not closed after execution and 'Press any key to continue . . .' message is displayed. If this option is not specified (Type: NO) the console exits immediately after execution.
  • Enable Debug Log. If this option is specified (Type: YES; /DebugLog), the debug log containing detailed information about SendFaxMS.exe operations is generated. If this option is not specified (Type: NO) the debug log is not generated.
  • Enable Simple Log. If this option is specified (Type: YES; /Log), the simple log containing brief information about SendFaxMS.exe operations is generated. If this option is not specified (Type: NO) the simple log is not generated.


Cover Pages

Cover Pages Settings (SendFaxMS.exe) - Microsoft Fax

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› Configure and Run SendFaxMS.exe ››

On this page you can specify default cover page settings that will be used when sending a fax using SendFaxMS.exe command line utility .

A cover page contains user-specified information about a fax sender and a recipient, and often a short message, together with system information, such as transmission date and time. You can use cover pages in different ways. You can send a fax that consists only of a cover page. Your fax message will be included as a cover page note. Alternatively, you can send a cover page in addition to another fax document. For example, you might fax a Microsoft Word document and include a cover page with it. In this case, the cover page will be added to the document and sent as the first page in the fax.

The options below can be overridden by the /CoverPage and /CoverInfo command line options, see in the SendFaxMS.exe command line options - Microsoft Fax and Cover Page Settings (SendFaxMS.exe options, Microsoft Fax) chapters of this user manual.

Click to configure sender information

Click to switch to the Sender Information (SendFaxMS.exe) - Microsoft Fax page to configure default sender information that will be used when using SendFaxMS.exe utility.

Include cover page with faxes

Specifies whether the cover page will be added to the document and sent as the first page in the fax when using SendFaxMS.exe utility.

Use common cover page template

If this option selected, the common cover page template stored on the fax server will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Subject (default)

In this box, you can specify the default fax subject that will be used when using SendFaxMS.exe utility. This information is usually displayed on cover page. You can leave this field empty.

Cover page notes (default)

In this box, you can specify the default text of a message or note from the sender that will appear on the cover page (when using SendFaxMS.exe utility). You can leave this field empty.

Notes

  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (SendFaxMS.exe) - Microsoft Fax chapter of this user manual.


Sender Information

Sender Information Settings (SendFaxMS.exe) - Microsoft Fax

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› Configure and Run SendFaxMS.exe ››

On this page you can specify information about the fax sender for inclusion on the cover page in the case of using SendFaxMS.exe command line utility . The Fax ID (TSID) is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. Company name and Fax ID (TSID) are also displayed at the top of each faxed page (Fax Headline). The e-mail address specified in the E-mail field can be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ).

The options below can be overridden by the /CoverInfo command line option, see in the SendFaxMS.exe command line options - Microsoft Fax and Sender Information Settings (SendFaxMS.exe options, Microsoft Fax) chapters of this user manual.

Use default sender information when using SendFaxMS.exe tool

If this option selected, the default sender information specified in the Windows Fax and Scan software (Tools -> Sender Information...) is used. You should understand that default sender information depends on the user account under which the SendFaxMS.exe utility is launched.

Use the following sender information when using SendFaxMS.exe tool

If this option selected, the SendFaxMS.exe utility uses the sender information specified below.

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

E-mail

The e-mail address associated with the sender. The e-mail address can be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ). Can be overridden by the /SdrEmail command line option.

Title

The title associated with the sender.

Company

The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline). The Fax Headline is limited to 50 characters. Can be overridden by the /FaxHeader command line option.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Fax ID (TSID)

The transmitting station identifier (TSID) for the sender's device. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters. Note that depending on the fax server settings, this option can be ignored and TSID specified in the settings of the fax device is actually transmitted, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual. Can be overridden by the /FaxStationID command line option.

Billing code

The billing code associated with the sender.

Notes

  • The e-mail address specified in the E-mail field can be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ). To use this functionality, you should manually enable Send faxes from e-mail (using Windows Fax Service) option in the Mail to Fax Settings - Microsoft Fax . To avoid sending an e-mail in this case, you should create Mail to Fax Rule for the specified e-mail address and disable sending notifications, see in the Receipts Settings (Mail to Fax Rule, Microsoft Fax) chapter of this user manual.


E-mail Receipts (native)

E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› Configure and Run SendFaxMS.exe ››

On this page you can specify default settings for native e-mail delivery receipts that will be used when sending a fax using SendFaxMS.exe command line utility .

Native E-mail Delivery Receipts are part of Windows Fax Service software and only available in Windows Server OS (e.g. Windows Server 2019). This functionality does not support SSL when sending e-mails. Alternatively, you can specify an e-mail address in the Sender Information Settings , and it can then be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ). You can also use the E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) from the Fax Voip package.

The options below can be overridden by the following command line options: /EmailReceiptMS, /ReceiptAddressMS, /GroupReceiptMS and /ReceiptAttachFaxMS, see in the SendFaxMS.exe command line options - Microsoft Fax and E-mail Receipts - native (SendFaxMS.exe options, Microsoft Fax) chapters of this user manual.

Do not send e-mail delivery receipts when using SendFaxMS.exe tool

Select this option to disable delivery receipts. Can be overridden by the /EmailReceiptMS command line option.

Send e-mail delivery receipts when using SendFaxMS.exe tool

Select this option to send a delivery report through SMTP mail. Can be overridden by the /EmailReceiptMS command line option.

E-mail To:

The e-mail address to which the fax service should send a delivery receipt when the fax job reaches a final state, that is, when the fax has been successfully sent or when the transmission fails. Can be overridden by the /ReceiptAddressMS command line option.

<Address Book>

Click to select e-mail recipient from Address Book (Windows Contacts).

Use one receipt for delivery to multiple recipients

Indicates whether to send an individual delivery receipt for each recipient of the broadcast, or to send a summary receipt for all the recipients. If this box is not checked, an individual delivery receipt will be sent for each recipient of the broadcast. Can be overridden by the /GroupReceiptMS command line option.

Attach a copy of the sent fax

Check this box to attach a fax (TIFF file) to the receipt. When a fax is sent to multiple recipients and Use one receipt for delivery to multiple recipients option is specified, the fax usually cannot be attached to the receipt because the fax differs for each recipient. Can be overridden by the /ReceiptAttachFaxMS command line option.

<Configure SMTP>

Click to configure SMTP Settings (Windows Fax Service) . Administrator privileges are required.


SMTP Settings (Windows Fax Service)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› Configure and Run SendFaxMS.exe ›› E-mail Receipts (native) ››

To configure SMTP settings to be used with Native E-mail Delivery Receipts functionality, follow these steps:

1. Open Fax Voip Control Panel.

2. Click Fax in TreeView, then click SendFaxMS.exe (MS Fax), then click E-mail Receipts (native).

3. Click <Configure SMTP> button.

4. In the SMTP Settings (Windows Fax Service) window, configure the SMTP settings.

SMTP Settings (Windows Fax Service)

Enable SMTP e-mail receipts delivery

Select this check box to enable sending delivery reports through SMTP mail.

From e-mail address

The e-mail address from which the mail message receipt will be sent.

Server address

The name of the SMTP server from which the receipts will be sent.

Port

The SMTP port number, usually 25.

Anonymous access

The server sends fax transmission receipts using a nonauthenticated SMTP protocol. Usually not used.

Basic authentication

The server sends fax transmission receipts using a basic (plain text) authenticated SMTP protocol. User name and Password are required. You should usually select this option.

Integrated Windows Authentication

The server sends fax transmission receipts using an NTLM-authenticated SMTP protocol. User name and Password are required. Usually not used.

User name

The SMTP user name used for authenticated connections. This is usually the same as the part of e-mail address to the left of the at sign (@).

Password

The SMTP password used for authenticated connections.

Confirm password

This field is used to confirm the SMTP password.

Use these SMTP settings for the Route Through E-mail incoming routing method (Microsoft Routing Extension)

Indicates whether to use the above SMTP settings for the Microsoft Routing Extension, which allows incoming faxes to be routed to e-mail addresses (native functionality).

5. Click <OK> button to save your settings. All the changes are applied immediately. Administrator privileges are required.

Notes

  • This functionality is a part of Windows Fax Service software and only available in Windows Server OS (e.g. Windows Server 2019). SSL is not supported when sending e-mails.
  • Alternatively, you can configure SMTP settings using Microsoft Fax Service Manager. To access these settings, on the left pane right click on the Fax, select Properties and then switch to Receipts page.


SendFaxMS.exe options

SendFaxMS.exe options - Microsoft Fax

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ››

This section provides information on how to configure SendFaxMS.exe command line options using the Configure SendFaxMS.exe options dialog box, see also in the To Configure and Run SendFaxMS.exe (Microsoft Fax) using Fax Voip Control Panel chapter of this user manual.

To configure SendFaxMS.exe options and then run SendFaxMS.exe, do the following:

1. Open Fax Voip Control Panel.

2. Click Fax in TreeView, and then click SendFaxMS.exe (MS Fax).

3. To edit command line options click Edit in the SendFaxMS.exe Contextual Tab of the Ribbon. To quickly change command line options of the specified type, double-click the selected entry in the SendFaxMS.exe options list.

4. In the Configure SendFaxMS.exe options window, specify one or more fax recipients, select documents to send as a fax and specify other necessary options. Click OK.

5. To run SendFaxMS.exe utility with selected options click Run in the SendFaxMS.exe Contextual Tab of the Ribbon.

The following options can be configured in the Configure SendFaxMS.exe options dialog box:

  • Fax Recipients
  • Documents
  • Convert to Fax Settings
  • Cover Page Settings
  • Sender Information Settings
  • Priority and Schedule Settings
  • E-mail Receipts (native)


Fax Recipients

Fax Recipients (SendFaxMS.exe options, Microsoft Fax)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› SendFaxMS.exe options ››

Fax Recipients

On this page you can specify one or more fax recipients.

Fax number

The fax number of the person you want to send the fax to. To send a fax to multiple recipients, type each recipient's fax number in the Fax number field and (optionally) recipient's name in the Recipient name field, and then click Add to add the recipient to the list of recipients.

Recipient name

The name of the person you want to send the fax to. Can be displayed on the cover page.

<Address book>

Click to select one or more fax recipients from Address Book (Windows Contacts). To be added to the list of fax recipients, the selected recipient should have non-empty Business fax field or non-empty Home fax field.

<Add From File>

Click to load a list of fax numbers from selected text file. When preparing a text file, you must be guided by the following rules:

      • Each row can contain a single fax number.
      • The fax number should be placed in the beginning of the row. Spaces and tabs at the beginning of the row are ignored.
      • The row can contain any additional information such as company name, phone number etc. This information should be separated from the fax number using any of the following delimiters: space, tab or semicolon.

Please note that this method does not allow to add recipient names.

<Add>

Use this button to add the recipient to the list of recipients. The recipient's fax number should be initially entered in the Fax number field and (optionally) the recipient's name should be entered in the Recipient name field.

<Remove>

Use this button to remove the recipient from the list of recipients.

<Edit>

Click this button to change the recipient's fax number and name. One of the recipients should be selected in the list.

Store the list of recipients in the file

Select this check box, to store the list of fax recipients in the text file (/RecipientList= command line option). The full path to the text file in which the list of fax recipients is stored should be specified in the text box below. If this check box is not selected, the single fax recipient is specified by using /FaxNumber= and (optionally) /RecipientName= command line options.

<Browse>

Click this button to specify the path to the text file in which the list of fax recipients is stored. The default path is *{CommonAppDataFolder}\FaxVoip\Plugins\SendFaxMS\Recipients.txt.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Documents

Documents (SendFaxMS.exe options, Microsoft Fax)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› SendFaxMS.exe options ››

Documents

On this page you can specify one or more documents to send as a fax.

Document

The full path to the document to be sent as a fax. To send multiple documents, select each document in this text box, and then click Add to add the document to the list of documents.

<Browse>

Click this button to select the path to the document to be sent as a fax. Any printable document can be sent as a fax.

<Add>

Use this button to add the document to the list of documents. The document should be initially selected in the text box above.

<Remove>

Use this button to remove the document from the list of documents.

Store the list of documents in the file

Select this check box, to store the list of documents in the text file (/FileList= command line option). The full path to the text file in which the list of documents is stored should be specified in the text box below. If this check box is not selected, the full path to the single document to be sent as a fax is specified by using /FileName= command line option.

<Browse>

Click this button to specify the path to the text file in which the list of documents is stored. The default path is *{CommonAppDataFolder}\FaxVoip\Plugins\SendFaxMS\FileList.txt.

Document name (override)

Select this check box to override the default user-friendly name to display for the fax document (/DocumentName= command line option). Specify the document name in the text box on the right. If this check box is not selected, the default value (the list of original document names to be send) is used.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Convert to Fax

Convert to Fax Settings (SendFaxMS.exe options, Microsoft Fax)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› SendFaxMS.exe options ››

Convert to Fax Settings

On this page you can specify how to convert your documents into fax (TIFF file).

TIFF Options (applied if only Direct Converting is used)

In this area, you can override the default TIFF Options specified in the Fax Converter settings . These options only applied if the fax is created using Direct Converting.

Auto Rotate (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select True to apply automatic orientation selection algorithm (/AutoRotate=true command line option). Or select False to not use automatic orientation selection algorithm (/AutoRotate=false command line option).

A4 page (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select True to set the page width and height to A4 page format (/A4Page=true command line option). Or select False to not control the page height (/A4Page=false command line option).

HALFTONE Effect (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select True to apply HALFTONE Effect to the fax (/HALFTONE=true command line option). Or select False to not apply HALFTONE Effect to the fax (/HALFTONE=false command line option).

Forced Modes

The options below allow you to ignore the default Fax Converter settings .

Force Direct Converting

Select this check box to create the fax using Direct Converting function (/ForceDirectConvert command line option). Fax Converter settings are ignored. Can be applied only with the following file types: pdf, tif(tiff), sff, qfx, bmp, jpg(jpeg), gif, png, ico, wmf(emf).

Force Printing

Select this check box to create the fax using fax printer (/ForcePrint command line option). Fax Converter settings are ignored. If printing fails, the SendFaxMS.exe utility will attempt to create the fax using Direct Converting function.


Cover Page

Cover Page Settings (SendFaxMS.exe options, Microsoft Fax)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› SendFaxMS.exe options ››

Cover Page Settings

A cover page contains user-specified information about a fax sender and a recipient, and often a short message, together with system information, such as transmission date and time. You can use cover pages in different ways. You can send a fax that consists only of a cover page. Your fax message will be included as a cover page note. Alternatively, you can send a cover page in addition to another fax document. For example, you might fax a Microsoft Word document and include a cover page with it. In this case, the cover page will be added to the document and sent as the first page in the fax.

On this page you can override the default settings for cover page specified in the Cover Pages Settings (SendFaxMS.exe) - Microsoft Fax .

Include cover page (override)

Select this check box to override the default Include cover pages with faxes option specified in the Cover Pages Settings (SendFaxMS.exe) - Microsoft Fax . On the right, select True to include cover page with fax (/CoverPage=true command line option). Or select False to not Include cover page with fax (/CoverPage=false command line option). To send a fax consisting only of a cover page, select the check box and then select True on the right (/CoverPage=true is a required command line option in this case).

Cover page template (override default SendFaxMS.exe settings)

Select this check box to override the default coverpage template specified in the Cover Pages Settings (SendFaxMS.exe) - Microsoft Fax . The modified settings are stored in the [Template] section of the custom ini-file (/CoverInfo= command line option).

Use common cover page template

If this option selected, the common cover page template stored on the fax server will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Cover page subject and note (override default SendFaxMS.exe settings)

Select this check box to override the default coverpage subject and note specified in the Cover Pages Settings (SendFaxMS.exe) - Microsoft Fax . The modified settings are stored in the [Content] section of the custom ini-file (/CoverInfo= command line option).

Subject line

In this box, you can specify the fax subject. This information is usually displayed on cover page. You can leave this field empty.

Cover page note

In this box, you can specify the text of a message or note from the sender that will appear on the cover page. You can leave this field empty.

Store cover page information in this file

The full path to the custom ini-file that contains information for creating the cover page (/CoverInfo= command line option).

<Browse>

Click this button to specify the path to the custom ini-file in which the cover page information is stored. The default path is *{CommonAppDataFolder}\FaxVoip\Plugins\SendFaxMS\coverpage.ini.

Notes

  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (SendFaxMS.exe options, Microsoft Fax) chapter of this user manual.
  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Sender Information

Sender Information Settings (SendFaxMS.exe options, Microsoft Fax)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› SendFaxMS.exe options ››

Sender Information Settings

Sender information is displayed on cover pages. The Fax ID (TSID) is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. Company name and Fax ID (TSID) are also displayed at the top of each faxed page (Fax Headline). The e-mail address specified in the E-mail field can be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ).

On this page you can override the default settings for sender information specified in the Sender Information Settings (SendFaxMS.exe) - Microsoft Fax .

Sender information (override default SendFaxMS.exe settings)

Select this check box to override the default settings for sender information specified in the Sender Information Settings (SendFaxMS.exe) - Microsoft Fax . The modified settings are stored in the [Sender] section of the custom ini-file (/CoverInfo= command line option).

Use default sender information

Indicates whether the default sender information specified in the Windows Fax and Scan software (Tools -> Sender Information...) is used. You should understand that default sender information depends on the user account under which the SendFaxMS.exe utility is launched.

Use the following sender information

If this option selected, the SendFaxMS.exe utility uses the sender information specified below.

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

E-mail

The e-mail address associated with the sender. The e-mail address can be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ). Can be overridden by the Sender e-mail (override) option, see below (/SdrEmail= command line option).

Title

The title associated with the sender.

Company

The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline). The Fax Headline is limited to 50 characters. Can be overridden by the Fax Headline (override) option, see below (/FaxHeader= command line option).

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Fax ID (TSID)

The transmitting station identifier (TSID) for the sender's device. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters. Note that depending on the fax server settings, this option can be ignored and TSID specified in the settings of the fax device is actually transmitted, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual. Can be overridden by the Fax Station ID (override) option, see below (/FaxStationID= command line option).

Billing code

The billing code associated with the sender.

Fax Station ID (override)

Select this check box to override the default transmitting station identifier (TSID) specified in the 'Sender Information', including the default Windows Fax Service settings (/FaxStationID= command line option). Specify the TSID in the text box on the right. The TSID is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is also transmitted at the top of each faxed page.

Fax Headline (override)

Select this check box to override the default Fax HeadLine (Company name) string specified in the 'Sender Information', including the default Windows Fax Service settings (/FaxHeader= command line option). Specify the Fax HeadLine in the text box on the right. The Fax HeadLine is usually transmitted at the top of each faxed page.

Sender e-mail (override)

Select this check box to override the default e-mail address specified in the 'Sender Information', including the default Windows Fax Service settings (/SdrEmail= command line option). Specify the e-mail address in the text box on the right. The e-mail address can be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ).

Notes

  • The e-mail address specified in the E-mail field or using Sender e-mail (override) option (/SdrEmail= command line option) can be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ). To use this functionality, you should manually enable Send faxes from e-mail (using Windows Fax Service) option in the Mail to Fax Settings - Microsoft Fax . To avoid sending an e-mail in this case, you should create Mail to Fax Rule for the specified e-mail address and disable sending notifications, see in the Receipts Settings (Mail to Fax Rule, Microsoft Fax) chapter of this user manual.


Priority and Schedule

Priority and Schedule Settings (SendFaxMS.exe options, Microsoft Fax)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› SendFaxMS.exe options ››

Priority and Schedule

On this page you can specify when you want your fax to be sent, and set the priority of the fax.

Priority

In this area, you can specify the priority to use when sending the fax.

Send fax as

Specify the priority to use. All faxes that have a high priority (/Priority=High command line option) will be sent before a fax that has a normal or a low priority (/Priority=Low command line option). All faxes that have a normal priority will be sent before a fax that has a low priority. The default priority is normal.

Schedule Fax

In this area, you can specify when you want your fax to be sent.

Now

Select this option to send a fax immediately after creating a job.

When discount rates apply

Select this option if the fax should be sent when discount rates apply (/Discount command line option). On Windows Server 2019 computer, discount rate settings can be configured in Microsoft Fax Service Manager (Fax (Local) -> Properties -> Outbox). On Windows 10 computer, discount rate settings can be configured in Windows Fax and Scan application (Tools -> Fax Settings -> Advanced).

At this time

Select this option to specify the date and time you wish to send your fax (/Schedule= command line option).


E-mail Receipts (native)

E-mail Receipts - native (SendFaxMS.exe options, Microsoft Fax)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› SendFaxMS.exe options ››

E-mail Delivery Receipts (native)

Native E-mail Delivery Receipts are part of Windows Fax Service software and only available in Windows Server OS (e.g. Windows Server 2019). This functionality does not support SSL when sending e-mails. Alternatively, you can specify an e-mail address in the Sender Information Settings , and it can then be processed by Mail to Fax - Microsoft Fax function ( e-mail receipts to the specified address ). You can also use the E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) from the Fax Voip package.

On this page you can override the default settings for native e-mail delivery receipts specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax .

Send e-mail delivery receipt (override)

Select this check box to override the default value specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax . On the right, select True to send a delivery report through SMTP mail (/EmailReceiptMS=true command line option). Or select False to not send a delivery report through SMTP mail (/EmailReceiptMS=false command line option).

E-mail To (override)

Select this check box to override the default e-mail address specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax . On the right, specify the e-mail address to which the fax service should send a delivery receipt when the fax job reaches a final state (/ReceiptAddressMS= command line option).

<Address Book>

Click to select e-mail recipient from Address Book (Windows Contacts).

Use one receipt for delivery to multiple recipients (override)

Select this check box to override the default value specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax . On the right, select True to send a summary receipt for all the recipients of the broadcast (/GroupReceiptMS=true command line option). Or select False to send an individual delivery receipt for each recipient of the broadcast (/GroupReceiptMS=false command line option).

Attach a copy of the sent fax (override)

Select this check box to override the default value specified in the E-mail Delivery Receipts (native) Settings (SendFaxMS.exe) - Microsoft Fax . On the right, select True to attach a fax (TIFF file) to the receipt (/ReceiptAttachFaxMS=true command line option). Or select False to not attach a fax to the receipt (/ReceiptAttachFaxMS=false command line option).

<Configure SMTP>

Click to configure SMTP Settings (Windows Fax Service) . Administrator privileges are required. Alternatively, you can configure SMTP settings using Microsoft Fax Service Manager. To access SMTP settings, in the Microsoft Fax Service Manager, on the left pane right click on the Fax, select Properties and then switch to Receipts page.


Track fax job (GUI mode)

Track fax job (GUI mode) - Microsoft Fax

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ››

When starting the SendFaxMS.exe utility in GUI mode with /Track command line option, the fax track window is displayed. The fax track window is similar to the Fax Monitor included in the Windows Fax and Scan software, but it allows you to track the specific outgoing fax job you just created. You can not only monitor the fax , but also manage your fax and view fax properties . The /Track option is ignored when sending a fax to multiple recipients. You also can track previously created fax by using /JobID= command line option.

Fax Track Window Ribbon Commands

The following commands are available in the Application Menu:

View (F3)

Click to view the fax in the TIFF viewer software. See also Fax Viewer Settings .

Delete (Del)

Click to delete the fax. Cancels the current fax sending process and disconnects. The fax is permanently deleted from the Outbox or Sent Items folder.

Pause

Click to pause the fax.

Resume

Click to resume the fax.

Restart

Click to restart the fax job in the case of failed transmission.

Help (F1)

Click to open Help file. To display the application help system you also can use Help Button, which is placed in the upper right corner of the Ribbon.

Exit (Ctrl + X)

Click to quit the application.

The following commands are available in the Main tab:

Fax

View (F3)

Click to view the fax in the TIFF viewer software. See also Fax Viewer Settings .

Delete (Del)

Click to delete the fax. Cancels the current fax sending process and disconnects. The fax is permanently deleted from the Outbox or Sent Items folder.

Actions

Pause

Click to pause the fax.

Resume

Click to resume the fax.

Restart

Click to restart the fax job in the case of failed transmission.

Panes

Events

Click to show or hide the event log. See also Monitoring a fax .

Properties

Click to show or hide the fax properties. See also View fax properties .

Preview

Click to show or hide the preview pane.

The following commands are available in the View tab:

Ribbon colors

Standard Theme

Select this option to use the default Ribbon theme specified by the operating system.

Custom Blend

Select this option to customize Ribbon colors. Please note that this option does not work correctly in Windows 10 version 1809 or later and in Windows Server 2019.

Background

Select the global background color for a customized ribbon.

Highlight

Select the global highlight color for a customized ribbon (Windows 7 only).

Text

Select the global text color for a customized ribbon.

Current view

Ribbon

Uncheck this option to hide the Ribbon. Switching to the classic mode will occur the next time you start the application.

Toolbar

Flag this option to show the classic Toolbar. Switching to the classic mode will occur the next time you start the application.

Menu Bar

Flag this option to show the classic Menu Bar. Switching to the classic mode will occur the next time you start the application.

Default view

Restore Defaults

Use this option to restore the default view of the fax track window.

The Quick Access Toolbar (QAT) is a small, customizable toolbar that exposes a set of Commands that are specified by the application or selected by the user.

By default, the Quick Access Toolbar (QAT) is located in the title bar of the fax track window but can be configured to display below the ribbon. In addition to exposing Commands, the Quick Access Toolbar (QAT) also includes a customizable drop-down menu that contains the complete set of default Quick Access Toolbar (QAT) Commands (whether hidden or displayed in the Quick Access Toolbar (QAT)) and a set of Quick Access Toolbar (QAT) and ribbon options. Almost all ribbon controls can be added to the Quick Access Toolbar (QAT) through the context menu shown in the following screen shot.

Notes

  • Ribbon interface is not available on Windows XP and Windows Server 2003 operating systems.
  • To enable Ribbon interface on Windows Vista with Service Pack 2 (SP2) or Windows Server 2008 with SP2, Platform Update for Windows Vista / Platform Update for Windows Server 2008 should be installed. Windows Update service really does not work now on these old systems. And it is a headache for you, if your Vista system is not already updated. The only way is to manually download the necessary update (KB960362) from Microsoft Update Catalog . Please select the correct installation package depending on the name of your operating system. Before running the stand-alone installer, disconnect your computer from the internet network and then restart the system, in order to avoid the endless search for updates.


Monitoring a fax

Monitoring a fax (Microsoft Fax)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› Track fax job (GUI mode) ››

When you launch the SendFaxMS.exe utility with /Track command line option, a window with the current information about your fax is displayed immediately after the job is successfully created. The main area displays information about the fax recipient, current status of the fax (e.g. which page is being currently transmitted), as well as information about the time elapsed since the fax transmission is started. To view a complete list of events related to your fax, click Events in the ribbon. You can stop fax tracking at any time by closing the fax track window.


View fax properties

View fax properties (Microsoft Fax)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› Track fax job (GUI mode) ››

To view fax properties in the fax track window, click Properties in the ribbon. To show the preview pane, click Preview.

The following fax properties are displayed in the General tab:

Fax Properties (General)

  • Recipient Number. The fax number associated with the recipient.
  • Recipient Name. The name of the recipient. Can be displayed on the cover page.
  • Pages. The total number of pages in the outbound fax.
  • Status. The current status of the fax job (e.g In progress, Retrying, Completed).
  • Extended Status. The fax job's extended status (e.g Dialing, Sending page..., No answer, Busy).
  • CSID. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
  • TSID. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as fax number specified in the Sender Information , or it is specified by the settings of the fax device that was used for fax transmission, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.
  • Device Name. The name of the device on which the fax message was transmitted. Example: Fax Voip 14.4K TAPI Voice-Fax Modem #2.
  • Retries. In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
  • Scheduled Time. Indicates the time to submit the fax for processing to the fax service.
  • Start Time. The time that the outbound fax job began transmitting.
  • End Time. The time that the outbound fax job completed transmission.
  • Duration. The duration of the fax transmission.

The following fax properties are displayed in the Details tab:

Fax Properties (Details)

  • Document Name. The user-friendly name to display for the fax document.
  • Cover Page. Indicates whether the fax has a cover page. Supported only in Windows Vista and later. In Windows XP and Windows Server 2003 replaced with an empty string.
  • Subject. Contains the contents of the subject field on the cover page of the fax.
  • Size. The size, in kilobytes, of the Tagged Image File Format Class F (TIFF Class F) file associated with the outbound fax.
  • Priority. Priority used when sending the fax; for example, normal, low, or high priority.
  • Job ID. The unique identifier for the outbound fax job. You can use the identifier to retrieve the archived fax message after the job completes successfully. You should use this identifier when starting SendFaxMS.exe with /JobID= command line option to track previously created fax.
  • Broadcast ID. The unique identifier assigned to the fax job during the submission process. When you submit a fax to be sent to more than one recipient, separate fax jobs will be created, but as part of the same fax broadcast, they will share the same Broadcast ID.
  • Submission Time. The time that the outbound fax was submitted for processing.
  • Original Scheduled Time. The time that the fax was originally scheduled for transmission.
  • Scheduled Type. Specifies the schedule type that was used for the transmission. This property can indicate the following: the fax should be transmitted right away, that it should be sent at a specified time, or that it should be sent during a period of discounted rates. Supported only in Windows Vista and later. In Windows XP and Windows Server 2003 replaced with an empty string.
  • Receipt Type. Specifies the type of delivery receipt to deliver when the fax message reaches a final state. The receipt type can be Simple Mail Transport Protocol (SMTP) mail or no receipt. Native E-mail Delivery Receipts are only available in Windows Server OS (e.g. Windows Server 2019), see also in the E-mail Receipts (native) chapter of this user manual.
  • Receipt Address. The e-mail address to which the native delivery report will be sent. Supported only in Windows Server 2008 and later. In Windows Server 2003 replaced with an empty string.
  • Group Broadcast Receipts. Indicates whether to send an individual delivery receipt for each recipient of the broadcast or to send a summary receipt for all recipients.

The following fax properties are displayed in the Sender Information tab:

Fax Properties (Sender Information)

  • Name. The name of the sender.
  • Fax Number. Fax number associated with the sender.
  • E-mail. The e-mail address associated with the sender.
  • Title. The title associated with the sender.
  • Company. The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline).
  • Department. The department name associated with the sender.
  • Office Location. The office location of the sender.
  • Work Phone. The office telephone number associated with the sender.
  • Home Phone. The home telephone number associated with the sender.
  • Address. The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.
  • Billing Code. The billing code associated with the sender.
  • TSID. The transmitting station identifier (TSID) for the sender's device, usually the same as fax number specified in the Sender Information . Note that depending on the fax server settings, it may be different from the actually transmitted Fax ID, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.

The Preview tab is used to preview the fax.

Fax Preview


Manage fax job

Manage fax job (Microsoft Fax)

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ›› Track fax job (GUI mode) ››

When you launch the SendFaxMS.exe utility in GUI mode with /Track command line option, you can not only view information about the fax progress, but also manage your fax.

To view the fax in the TIFF viewer software, click View or press F3 key.

To delete the fax, click Delete or press Del key. This command cancels the current fax sending process and disconnects. The fax is permanently deleted from the Outbox or Sent Items folder.

To pause the fax, click Pause.

To resume the fax, click Resume.

To restart the fax job in the case of failed transmission, click Restart.


Track fax job (console mode)

Track fax job (console mode) - Microsoft Fax

Fax Voip Control Panel ›› Send a Fax using SendFaxMS.exe tool - Microsoft Fax ››

When starting the console version of SendFaxMS.exe utility (SendFaxMS_c.exe) with /Track command line option, the information about fax events (e.g. which page is being currently transmitted) is output directly to the console. The /Track option is ignored when sending a fax to multiple recipients. You also can track previously created fax by using /JobID= command line option.

By default, the fax tracking process stops when the fax is successfully sent or the number of retries is exceeded, after which SendFaxMS.exe utility automatically terminates. If you do not want the console to close automatically after execution, use the /DoNotCloseConsole command line option. You can stop fax tracking at any time by closing the console window, or by pressing the Ctrl + C key combination.

Notes

  • Please note that you cannot manage your fax job when starting SendFaxMS.exe utility in console mode.


Audio

Fax Voip Control Panel ››

  • Audio Settings


Audio Settings

Fax Voip Control Panel ›› Audio ››

These settings are applied when sending audio messages using Fax Voip built-in Fax/Audio Lines, and do not affect the use of Fax Voip Virtual COM Ports (modems).

Sending Audio Messages (Built-in lines)

Settings in this area are used to specify the number of retries in the case of failed audio message transmission and the time interval between retries.

Number of retries

Specifies the maximum number of transmission retries before the audio message job receives a Retries exceeded status.

Retry after

Specifies the number of minutes between the end of the last failed audio message transmission and the next retry.

Playing Audio Files

Open WAV command

Here you can choose the program for playing audio (.wav) files. You can browse to a preferred executable file or enter the file path. Standard options are: 1) explorer – to play WAV file according to your system settings; 2) rundll32 msdxm.ocx,RunDll /play /close – to open WAV file using Windows Media Player (Windows XP).

Default

Use this button to reset Open WAV command to default.


Send Audio Message using SendAudio.exe tool - Built-in lines

Fax Voip Control Panel ››

SendAudio.exe is a command line utility that allows you to automatically create an audio message job and place it in the Outbox folder in the Fax Voip Console .

For more information about SendAudio.exe and command line options, see SendAudio.exe command line options - Built-in lines .

To configure command line and then run SendAudio.exe from the Fax Voip Control Panel, see To Configure and Run SendAudio.exe (Built-in lines) using Fax Voip Control Panel .

For more information about Configure SendAudio.exe options dialog box, see SendAudio.exe options - Built-in lines .

To view SendAudio.exe logs, see SendAudio.exe (Built-in lines) Logs .


SendAudio.exe command line options

SendAudio.exe command line options - Built-in lines

Fax Voip Control Panel ›› Send Audio Message using SendAudio.exe tool - Built-in lines ››

SendAudio.exe is a command line utility that allows you to automatically create an audio message job and place it in the Outbox folder in the Fax Voip Console . Can be used in different scenarios, such as bat-files or in the custom applications. Helps to automate the process of sending audio messages.

SendAudio.exe can be found in the Fax Voip installation folder. This tool uses Fax Voip libraries and should be placed in the Fax Voip installation folder. You should not move SendAudio.exe to other folder.

To generate a command line and test SendAudio.exe, open Fax Voip Control Panel, click Audio in the tree, and then click SendAudio.exe (Built-in), see in the To Configure and Run SendAudio.exe (Built-in lines) using Fax Voip Control Panel chapter of this user manual.

The example of usage with bat-file can be found in the following file:

*{CommonAppDataFolder}\FaxVoip\Plugins\SendAudio\Sample\SendAudio_test.bat

usage (GUI mode): SendAudio.exe [options]

usage (console mode): SendAudio_c.exe [options]

Recipient options:

To specify single recipient, use /PhoneNumber option. To specify multiple recipients, use /RecipientList option.

/PhoneNumber=value

The phone number of the person you want to send the audio message to.

/RecipientList=value

The full path to the text file in which the list of audio message recipients is stored. Each line corresponds to a single phone number.

Audio File options:

/FileName=value

The full path to the audio file (*.wav or *.mp3).

Schedule options:

/Schedule=value

Send the audio message no sooner than the specified date and time. The date and time format should match the settings of your computer, e.g. 25.10.2019 22:15:30 If this option is not used or the date and time can not be recognized, the current date and time are used.

/Submission=value

The date and time when your audio message is submitted. It may be useful for example to simplify sorting in the Fax Voip Console when adding a large number of audio message jobs. The date and time format should match the settings of your computer, e.g. 25.10.2019 22:15:30 If this option is not used or the date and time can not be recognized, the current date and time are used.

E-mail Delivery Receipts options:

If at least one of the /EmailTo, /EmailCC or /EmailBCC options is specified, then the default addresses specified in the Delivery Receipts via E-mail (Built-in lines) settings will be overridden. You can specify not only the address, but also the name of the recipient. Multiple email addresses must be separated by semicolon. Example: /EmailTo=Andreas<andreas73@gmail.com>;sales@mycompany.com

/EmailNotify=value

Overrides the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings.

/EmailNotify=true

Send a delivery report through SMTP mail.

/EmailNotify=false

Do not send a delivery report through SMTP mail.

/EmailTo=value

The e-mail address(es) to which the Fax Voip should send a delivery receipt when the audio message job reaches a final state.

/EmailCC=value

The e-mail address(es) to which the copy of delivery receipt (Cc) should be sent.

/EmailBCC=value

The e-mail address(es) to which the blind carbon copy of delivery receipt (Bcc) should be sent.

/EmailAttach=value

Overrides the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings.

/EmailAttach=true

Attach an audio message to the receipt.

/EmailAttach=false

Do not attach an audio message to the receipt.

Converting options:

/UseOriginalWAV

Applicable to the case when the original audio file is in the WAV format compatible with Fax Voip. To create such a file, you can use the Save As option when using Fax Voip Send Audio Message Wizard. If to specify this option with WAV in wrong format, the audio transmission will fail.

Console options:

To operate in console mode, run the SendAudio_c.exe application.

/DoNotCloseConsole

Do not close console after execution. 'Press any key to continue . . .' message is displayed.

/Console

Using this option, you can run SendAudio.exe application (GUI version) in console mode. Please note that the calling application does not wait for the console to terminate in this case. Instead, run SendAudio_c.exe application.

Debug and log options:

/DebugLog

Enable debug log containing detailed information about SendAudio.exe operations.

Log file path: *{CommonAppDataFolder}\FaxVoip\log\SendAudio_Debug.txt

/Log

Enable simple log containing brief information about SendAudio.exe operations.

Log file path: *{CommonAppDataFolder}\FaxVoip\log\SendAudio_Log.txt

e.g.

SendAudio.exe /PhoneNumber=14251234567

/FileName=C:\ProgramData\FaxVoip\Sounds\Samples\music_1.wav /UseOriginalWAV /DebugLog /Log

SendAudio_c.exe "/PhoneNumber=0014259876543

/FileName=C:\Documents\mp3\testaudio.mp3 /EmailNotify=true

/EmailTo=Andreas<andreas73@gmail.com> /DoNotCloseConsole /DebugLog /Log"

SendAudio_c.exe /RecipientList=C:\ProgramData\FaxVoip\Plugins\SendAudio\Sample\Recipients_test.txt

/FileName=C:\ProgramData\FaxVoip\Sounds\Samples\music_2.wav

/DoNotCloseConsole /DebugLog /Log

Notes

  • In order to avoid errors when processing the command line, it is recommended to use quotation marks (see the example above).
  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Configure and Run SendAudio.exe

To Configure and Run SendAudio.exe (Built-in lines) using Fax Voip Control Panel

Fax Voip Control Panel ›› Send Audio Message using SendAudio.exe tool - Built-in lines ››

On this page you can easily configure SendAudio.exe command line options and then run it to send an audio message. The proposed visual tool can be useful for developers who want to test and then use SendAudio.exe in their applications, as well as for ordinary users who just want to send an audio message.

The following commands are available in the SendAudio.exe Contextual Tab of the Ribbon:

Run SendAudio.exe

Run

Click to run SendAudio.exe utility with selected options.

Copy

Click to copy the command line to the Clipboard.

Console Mode

Select this check box to run console version of SendAudio.exe utility (SendAudio_c.exe). When launched in the parent console, a new console window is not created. The calling process is waiting for the console application to complete. If check box is not selected, SendAudio.exe is launched in GUI mode. The GUI mode is useful for hiding the console.

Do not close console

If this check box is selected, the console window is not closed after execution and 'Press any key to continue . . .' message is displayed. Adds /DoNotCloseConsole option to command line. Do not use this option in automated scripts.

Configure SendAudio.exe

Edit

Click to configure SendAudio.exe command line options, see SendAudio.exe options . To quickly change command line options of the specified type, double-click the selected entry in the SendAudio.exe options list.

Refresh

Click to update SendAudio.exe command line, using options configured in the SendAudio.exe options list.

Clear

Click to clear SendAudio.exe command line options.

Recipient list

Click to view/edit the list of audio message recipients stored in a separate text file (/RecipientList command line option, usually used when sending an audio message to multiple recipients).

SendAudio.exe Logs

Enable debug log

Select this check box to enable debug log containing detailed information about SendAudio.exe operations. Adds /DebugLog option to command line.

Enable simple log

Select this check box to enable simple log containing brief information about SendAudio.exe operations. Adds /Log option to command line.

View debug log

Click to view SendAudio.exe debug log.

View debug log

Click to view SendAudio.exe debug log.

View simple log

Click to view SendAudio.exe simple log.

SendAudio.exe logs

Click to switch to the SendAudio.exe (Built-in lines) Logs page.

Command line

SendAudio.exe command line, consists of the application path and command line arguments. It is automatically generated based on your configuration. The text field can be edited manually, but these changes are not saved and do not guarantee the correct launch of the SendAudio.exe utility.

SendAudio.exe options list allows you to easily view the current SendAudio.exe setting. To quickly change command line options of the specified type, double-click the selected entry. See also SendAudio.exe options chapter of this user manual. The following options can be configured:

  • Console Mode. Indicates whether the application starts in console (Type: YES; SendAudio_c.exe) or GUI mode (Type: NO; SendAudio.exe).
  • Recipients. Audio message can be sent to one recipient (Type: SINGLE; /PhoneNumber=...) or to multiple recipients (Type: LIST; /RecipientList=).
  • Audio File. You only can send a single audio file (Type: SINGLE; /FileName=...).
  • Use original WAV file. (Type: YES; /UseOriginalWAV) The original WAV file is used. Applicable to the case when the original audio file is in the WAV format compatible with Fax Voip. To create such a file, you can use the Save As option when using Fax Voip Send Audio Message Wizard. If to specify this option with WAV in wrong format, the audio transmission will fail. (Type: NO) The /UseOriginalWAV option is not applied.
  • Schedule Audio Message. The audio message can be sent immediately (Type: NOW) or scheduled for a later time (Type: TIME; /Schedule=...).
  • Submission Time. The date and time when your audio message is submitted. The default date and time (Type: NOW) can be overridden (Type: TIME; /Submission=...). It may be useful for example to simplify sorting in the Fax Voip Console when adding a large number of audio message jobs.
  • E-mail Receipts. Specifies whether to send a delivery report through SMTP mail. You can use the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /EmailNotify=...).
  • E-mail To, CC, BCC. The e-mail address(es) to which the Fax Voip should send a delivery receipt, the copy of delivery receipt (Cc) and the blind carbon copy of delivery receipt (Bcc) when the audio message job reaches a final state. You can use the default E-mail To, CC and BCC values specified in the Delivery Receipts via E-mail (Built-in lines) settings (Type: DEFAULT), or you can override them (Type: OVERRIDE; /EmailTo=...; /EmailCC=...; /EmailBCC=...).
  • Attach Audio Message. Indicates whether to attach an audio message to the receipt. You can use the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /EmailAttach=...).
  • Do not close console. If this option is specified (Type: YES; /DoNotCloseConsole), the console is not closed after execution and 'Press any key to continue . . .' message is displayed. If this option is not specified (Type: NO) the console exits immediately after execution.
  • Enable Debug Log. If this option is specified (Type: YES; /DebugLog), the debug log containing detailed information about SendAudio.exe operations is generated. If this option is not specified (Type: NO) the debug log is not generated.
  • Enable Simple Log. If this option is specified (Type: YES; /Log), the simple log containing brief information about SendAudio.exe operations is generated. If this option is not specified (Type: NO) the simple log is not generated.


SendAudio.exe options

SendAudio.exe options - Built-in lines

Fax Voip Control Panel ›› Send Audio Message using SendAudio.exe tool - Built-in lines ››

This section provides information on how to configure SendAudio.exe command line options using the Configure SendAudio.exe options dialog box, see also in the To Configure and Run SendAudio.exe (Built-in lines) using Fax Voip Control Panel chapter of this user manual.

To configure SendAudio.exe options and then run SendAudio.exe, do the following:

1. Open Fax Voip Control Panel.

2. Click Audio in TreeView, and then click SendAudio.exe (Built-in).

3. To edit command line options click Edit in the SendAudio.exe Contextual Tab of the Ribbon. To quickly change command line options of the specified type, double-click the selected entry in the SendAudio.exe options list.

4. In the Configure SendAudio.exe options window, specify one or more audio message recipients, select the audio file to be sent and specify other necessary options. Click OK.

5. To run SendAudio.exe utility with selected options click Run in the SendAudio.exe Contextual Tab of the Ribbon.

The following options can be configured in the Configure SendAudio.exe options dialog box:

  • Recipients
  • Audio File
  • Schedule Settings
  • E-mail Receipts


Recipients

Recipients (SendAudio.exe options, Built-in lines)

Fax Voip Control Panel ›› Send Audio Message using SendAudio.exe tool - Built-in lines ›› SendAudio.exe options ››

Recipients

On this page you can specify one or more audio message recipients.

Phone number

The phone number of the person you want to send the audio message to. To send an audio message to multiple recipients, type each recipient's phone number in the Phone number field, and then click Add to add the phone number to the list of recipients.

<Address book>

Click to select one or more recipients from Address Book (Windows Contacts). To be added to the list of recipients, the selected recipient should have non-empty Business phone field or non-empty Home phone field.

<Add From File>

Click to load a list of phone numbers from selected text file. When preparing a text file, you must be guided by the following rules:

      • Each row can contain a single phone number.
      • The phone number should be placed in the beginning of the row. Spaces and tabs at the beginning of the row are ignored.
      • The row can contain any additional information such as company name etc. This information should be separated from the phone number using any of the following delimiters: space, tab or semicolon.

<Add>

Use this button to add the phone number to the list of recipients. The recipient's phone number should be initially entered in the Phone number field.

<Remove>

Use this button to remove the phone number from the list of recipients.

<Edit>

Click this button to change the recipient's phone number. One of the recipients should be selected in the list.

Store the list of recipients in the file

Select this check box, to store the list of audio message recipients in the text file (/RecipientList= command line option). The full path to the text file in which the list of recipients is stored should be specified in the text box below. If this check box is not selected, the single recipient is specified by using /PhoneNumber= option.

<Browse>

Click this button to specify the path to the text file in which the list of recipients is stored. The default path is *{CommonAppDataFolder}\FaxVoip\Plugins\SendAudio\Recipients.txt.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Audio File

Audio File (SendAudio.exe options, Built-in lines)

Fax Voip Control Panel ›› Send Audio Message using SendAudio.exe tool - Built-in lines ›› SendAudio.exe options ››

Audio File

On this page you can specify the audio file to be sent.

Audio File

The full path to the audio file to be sent.

<Browse>

Click this button to select the path to the audio file to be sent (*.wav or *.mp3).

Use original WAV file

Select this check box to use original WAV file (/UseOriginalWAV command line option). Applicable to the case when the original audio file is in the WAV format compatible with Fax Voip. To create such a file, you can use the Save As option when using Fax Voip Send Audio Message Wizard. If to specify this option with WAV in wrong format, the audio transmission will fail.


Schedule

Schedule Settings (SendAudio.exe options, Built-in lines)

Fax Voip Control Panel ›› Send Audio Message using SendAudio.exe tool - Built-in lines ›› SendAudio.exe options ››

Schedule Audio Message

On this page you can specify when you want your audio message to be sent.

Schedule Audio Message

In this area, you can specify when you want your audio message to be sent.

Now

Select this option to send an audio message immediately after creating a job.

At this time

Select this option to specify the date and time you wish to send your audio message (/Schedule= command line option).

Submission Time (tweak)

In this area, you can specify the submission time for your audio message.

Now

Select this option to use the default date and time.

At this time

Select this option to specify the date and time when your audio message is submitted (/Submission= command line option). It may be useful for example to simplify sorting in the Fax Voip Console when adding a large number of audio message jobs.


E-mail Receipts

E-mail Receipts Settings (SendAudio.exe options, Built-in lines)

Fax Voip Control Panel ›› Send Audio Message using SendAudio.exe tool - Built-in lines ›› SendAudio.exe options ››

E-mail Delivery Receipts

On this page you can override the default settings for e-mail delivery receipts, see Delivery Receipts via E-mail (Built-in lines) .

Send e-mail delivery receipt (override)

Select this check box to override the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings. On the right, select True to send a delivery report through SMTP mail (/EmailNotify=true command line option). Or select False to not send a delivery report through SMTP mail (/EmailNotify=false command line option).

E-mail To (override)

Select this check box to override the default e-mail address(es) specified in the Delivery Receipts via E-mail (Built-in lines) settings. On the right, specify the e-mail address to which the Fax Voip should send a delivery receipt when the audio message job reaches a final state (/EmailTo= command line option). You can specify not only the address, but also the name of the recipient. You can also specify multiple recipients which should be separated by a semicolon. Example: Andreas<andreas73@gmail.com>;sales@mycompany.com

CC:

Specify the e-mail address(es) to which the copy of delivery receipt (Cc) should be sent.

BCC:

Specify the e-mail address(es) to which the blind carbon copy of delivery receipt (Bcc) should be sent.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

Attach a copy of the sent audio message (override)

Select this check box to override the default value specified in the Delivery Receipts via E-mail (Built-in lines) settings. On the right, select True to attach an audio message to the receipt (/EmailAttach=true command line option). Or select False to not attach an audio message to the receipt (/EmailAttach=false command line option).


E-mail

Fax Voip Control Panel ››

  • Fax to Mail, Mail to Fax (Mail to Audio) and Delivery Receipts
  • Mail to Fax (Mail to Audio) - Built-in lines
  • Mail to Fax - Microsoft Fax
  • Mail To Fax Troubleshooting
  • SMTP Settings
  • POP3 / IMAP Settings
  • Delivery Receipts via E-mail (Built-in lines)
  • E-mail Templates


Fax to Mail, Mail to Fax (Mail to Audio) and Delivery Receipts

Fax Voip Control Panel ›› E-mail ››

Fax to Mail

The Fax To Mail function is implemented using Route through e-mail Incoming Fax Routing Methods. Depending on the Caller Number (Caller ID) and Called Number (DID), incoming fax can be routed to different e-mail addresses. The same incoming fax can be routed to one or more e-mail recipients. To, CC and BCC e-mail fields can be used, the fax delivery format (TIFF, PDF or SFF) can be selected individually for each rule. There are two functions:

  • Route through e-mail Incoming Routing Method (Built-in lines). Fax Voip should be configured to receive faxes using Fax Voip Console application (via built-in VOIP/ISDN Fax/Audio Lines). To use this functionality, you need Fax Voip built-in VOIP/ISDN Fax/Audio Lines license and (optionally) Extended Fax Routing (E-mail, Store In Folder, Print, Fax-On-Demand) license. For more details, see Route through e-mail Incoming Routing Method (Built-in lines) .
  • Route through e-mail Incoming Routing Method (Microsoft Fax). Windows Fax Service should be installed and configured to receive faxes using Fax Voip modem devices. Fax Voip should be configured to receive faxes via Virtual COM Ports (modems). To use this functionality, you need Fax Voip Virtual COM Ports (modems) license and (optionally) Extended Fax Routing (E-mail, Store In Folder, Print, Fax-On-Demand) license. For more details, see Route through e-mail Incoming Routing Method (Microsoft Fax) .

Mail to Fax and Mail to Audio

The Mail to Fax function will let you send faxes directly from your e-mail application. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages.

The Mail to Audio function allows you to send audio messages via phone line from your e-mail program. The audio message should be attached in WAV or MP3 format.

Fax Voip has two Mail to Fax (Mail to Audio) systems:

  • Mail to Fax and Mail to Audio based on using Fax Voip built-in VOIP/ISDN Fax/Audio Lines. Fax Voip should be configured to send faxes and audio messages via built-in lines. To use this function, you need Fax Voip built-in VOIP/ISDN Fax/Audio Lines license. To configure, see Mail to Fax (Mail to Audio) - Built-in lines .
  • Mail to Fax based on using Microsoft Fax Service. Windows Fax Service should be installed and configured to send faxes using Fax Voip modem devices. Fax Voip should be configured to send faxes via Virtual COM Ports (modems). To use this function, you need Fax Voip Virtual COM Ports (modems) license. To configure, see Mail to Fax - Microsoft Fax .

Please note that these two systems cannot be used simultaneously.

Delivery Receipts via E-mail

Delivery notification receipts provide users with information about the success or failure of their sent faxes and audio messages. An e-mail receipt is sent to the predefined e-mail address(es) and regardless of the method of creating a fax or audio message. The delivery receipt can be sent to one or more e-mail recipients. To, CC and BCC e-mail fields can be used. A copy of the sent fax can be attached to the e-mail message in TIFF, PDF or SFF format. A copy of the sent audio message can be attached to the e-mail message in WAV format. In Fax Voip version 8.3.1 or later, the Delivery Receipts via e-mail functionality is implemented using E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) and E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) . For compatibility with some other functions, the old Delivery Receipts via E-mail (Built-in lines) functionality was not removed in version 8.3.1 and you can use both functions independently of each other.

Using links on the page shown below, you can quickly navigate to configuring functions described in this chapter.


Configure Mail to Fax as Windows Service

Configure Mail to Fax (Mail to Audio) systems as Windows Service

Fax Voip Control Panel ›› E-mail ›› Fax to Mail, Mail to Fax (Mail to Audio) and Delivery Receipts ››

The Fax Voip application, and also Mail to Fax (Mail to Audio) systems can be configured as Windows Service. The services can be automatically started on Windows startup, before user logon. This option is useful for multi-user systems.

It is strongly recommended to run Fax Voip mail services on behalf of the regular user account, and not under the local system or network service accounts. The specified user will be able to configure file type associations (responsible for the correct printing of various documents) and also view and manage faxes generated by the service in Windows Fax and Scan application (when using Mail to Fax based on Microsoft Fax function).

To configure Mail to Fax (Mail to Audio) systems as Windows Service

1. Open Fax Voip Control Panel. Click Options in TreeView.

2. In the case when Fax Voip is not yet configured as a service, flag the Run Fax Voip as Windows Service box, and then click Apply. In the case when Fax Voip is already configured as a service, click Select User Account button. Administrator privileges are required.

3. In the Mail to Fax (Mail to Audio) services window, specify the user name and password of the account that will be used to run the Fax Voip mail services. The user account must be in the form DOMAIN\Username. By default, Fax Voip suggests you to use the current account (with administrator rights). You should clear understand that the file type associations (responsible for correct printing of various documents) should be configured under the specified user account. Also, only the specified user will be able to view and manage faxes generated by the service in Windows Fax and Scan application (when using Mail to Fax based on Microsoft Fax function). For the reasons mentioned above, you should not run these services under system or network service accounts*. Click OK.

4. After the installation is complete, be sure that the name of the selected account is displayed in the Fax Voip Mail to Fax service... is configured to be started under this account fields, see picture below.

Notes

  • (* : To start the services under Local System account, type LocalSystem in the User name box (password is not required). To start the service under Network Service account, type NT AUTHORITY\NetworkService in the User name box (password is not required). Please note that running Fax Voip mail services under system or network service accounts is not recommended.
  • The user account that will be used to run the Fax Voip mail services should have Log on as a service right. When installing the services, Fax Voip forcibly adds Log on as a service right to the specified account. On some systems you can check and configure Log on as service right by using Local Group Policy Editor (gpedit.msc) under Local Computer Policy -> Computer Configuration -> Windows Settings -> Security Settings -> Local Policies -> User Rights Assignment, Log on as a service policy.

To change user account under which the service is started

It is assumed that Fax Voip is already configured as Windows Service.

1. Right click the Start button, and then click Computer Management.

2. In the Computer Management, on the left pane double-click Computer Management (Local), double-click Services and Applications, click Services.

3. Right click on the Fax Voip Internal Mail (Fax Voip MsFax Mail) service. On the context menu, click Properties.

4. In the Fax Voip ... Mail Properties (Local Computer) window, on the Log On page, select This account and then click Browse... .

5. In the Select User dialog, type account name and then click Check Names. Click OK.

6. Type the password for the selected user account in the Password and Confirm Password boxes, and then click OK.

7. Right click on the Fax Voip Internal Mail (Fax Voip MsFax Mail) service. On the context menu, click Restart.

Notes

  • Alternatively, you can click Select User Account button on the Options page, in the Fax Voip Control Panel. Then follow the procedure described at the beginning of this chapter, specifying the desired user account.


Mail to Fax (Mail to Audio) - Built-in lines

Fax Voip Control Panel ›› E-mail ››

The Mail to Fax function will let you send faxes directly from your e-mail application. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages.

The Mail to Audio function allows you to send audio messages via phone line from your e-mail program. The audio message should be attached in WAV or MP3 format.

Mail to Fax (Mail to Audio) - Built-in lines functionality is based on sending faxes and audio messages via Fax Voip built-in VOIP/ISDN Fax/Audio Lines and Fax Voip Console . To use this function, you need Fax Voip built-in VOIP/ISDN Fax/Audio Lines license.

To use Mail to Fax (Mail to Audio) - Built-in lines function, you must:

  • Configure Fax Voip to send faxes using built-in lines. Make the necessary settings in the Outgoing VOIP Call Routing rules to send faxes via Fax Voip built-in VOIP/ISDN Fax/Audio Lines (using T.38, audio or isdn fax mode). Make sure that you can send faxes manually. See in the Send a Fax with Fax Voip Virtual Printer and Sending Faxes from Fax Voip Console chapters of this user manual.
  • Configure Fax Voip to send audio messages using built-in lines. Make the necessary settings in the Outgoing VOIP Call Routing rules to send audio messages via Fax Voip built-in VOIP/ISDN Fax/Audio Lines. Make sure that you can send audio messages manually. See in the Sending Audio Messages from Fax Voip Console chapter of this user manual.
  • Configure POP3 / IMAP settings. Make sure that your settings are correct. Use <Test> button. Save your settings.
  • Configure SMTP settings. Make sure that your settings are correct. Use <Test> button. Save your settings.
  • Configure 'Outgoing Fax (built-in lines)' e-mail template (if necessary).
  • Configure 'Outgoing Audio Message (built-in lines)' e-mail template (if necessary).
  • Configure 'Failed to create fax (audio) job' e-mail template (if necessary).
  • Enable 'Mail to Fax (Mail to Audio) - Built-in lines' function.

To enable Mail to Fax (Mail to Audio) - Built-in lines function, configure e-mail attachment types and fax settings, see Mail to Fax (Mail to Audio) Settings - Built-in lines .

To configure fax or audio message delivery notifications via e-mail, see Delivery Receipts to user e-mail address (Mail to Fax/Audio) - Built-in lines .

To use fax cover pages, see Cover Pages Settings (Mail to Fax) - Built-in lines .

To specify information about the fax sender for inclusion on the cover page, see Sender Information Settings (Mail to Fax) - Built-in lines .

To customize the behavior of the Mail to Fax (Mail to Audio) - Built-in lines function, depending on the sender's e-mail address, see Mail to Fax (Mail to Audio) Rules - Built-in lines .

For the necessary information on creating and sending fax or audio message e-mails, see Sending faxes and audio messages from e-mails (Built-in lines) .

To configure Mail to Fax (Mail to Audio) subsystem to be started as Windows Service, see Configure Mail to Fax as Windows Service .

If you have problems, see Mail to Fax Troubleshooting . See also To view Mail to Fax (Mail to Audio) log .


Mail to Fax (Mail to Audio) Settings

Mail to Fax (Mail to Audio) Settings - Built-in lines

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ››

To enable or disable Mail to Fax (Mail to Audio)

Send faxes and audio messages from e-mail (using Windows built-in lines)

This option allows you to enable or disable Mail to Fax (Mail to Audio) - Built-in lines functionality. Check this checkbox, if you want to send faxes and audio messages from e-mail. If Fax Voip is configured As Windows Service, administrator privileges are required to change this option.

By default, the Mail to Fax (Mail to Audio) function is available for any e-mail address. However, you can allow or deny the use of this function for one, several, or all e-mail addresses by using Mail to Fax (Mail to Audio) Rules . See also in the General Settings (Mail to Fax/Audio Rule) chapter of this user manual.

Notes

  • Mail to Fax (Mail to Audio) - Built-in lines and Mail to Fax - Microsoft Fax functionalities cannot be used simultaneously. When you enable Send faxes and audio messages from e-mail (using built-in lines) option, the Send faxes from e-mail (using Windows Fax Service) option is automatically disabled. See also in the Mail to Fax Settings - Microsoft Fax chapter of this user manual.

E-mail attachment types

The options below can be overridden in the Mail to Fax (Mail to Audio) Rules , see in the Attachments Settings (Mail to Fax/Audio Rule) chapter of this user manual.

Allow any file types as e-mail attachments

If this option is selected, Mail to Fax (Mail to Audio) will accept e-mails with any attachments. Please note that this in no way guarantees that your attachment will be correctly converted into a fax or audio message and sent to the recipient. See also in the E-mail attachments chapter of this user manual.

Allow only the specified file extensions

If this option is selected, Mail to Fax (Mail to Audio) will only accept e-mail attachments with specified file extensions. Enter the file extensions in the text box on the right. The file extensions should be separated by a semicolon. Example: .TIF;.PDF;.TXT;.WAV.

Fax options

The options below can be overridden in the Mail to Fax (Mail to Audio) Rules , see in the Fax Settings (Mail to Fax/Audio Rule) chapter of this user manual.

Fax Mode

Specify the fax mode to be used when sending the fax generated by the Mail to Fax function. Select T.38 (auto) if you want to send faxes with T.38 support. Select audio if you want to send faxes as audio (fax over G.711 codec). Select isdn if you want to send faxes via ISDN CAPI 2.0 line. This option overrides the default Fax Mode, specified in the Fax Settings .

Use default

To change Fax Mode, uncheck this option. If this option is checked, the default Fax Mode is used.

Fax Station ID

Fax Station ID to be used when sending the fax generated by the Mail to Fax function. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The Fax Station ID is transmitted at the top of each faxed page. Usually consists of the sender's fax number and business name. The Fax Station ID is limited to 20 characters. This option overrides the default Fax Station ID, specified in the Fax Settings or in the Outgoing VOIP Call Routing settings.

Use default

To change Fax Station Id, uncheck this option. If this option is checked, the default Fax Station Id is used.

Fax HeadLine

Fax HeadLine to be used when sending the fax generated by the Mail to Fax function. It is transmitted at the top of each faxed page. The Fax HeadLine is limited to 50 characters. This option overrides the default Fax HeadLine, specified in the Fax Settings or in the Outgoing VOIP Call Routing settings.

Use default

To change Fax HeadLine, uncheck this option. If this option is checked, the default Fax HeadLine is used.

Mail to Fax (Mail to Audio) Service - Built-in lines

Startup type

Indicates how the Mail to Fax (Mail to Audio) subsystem is started (Application or Windows Service). In the case of service, the name of the account under which the Fax Voip Internal Mail service is started is also displayed.

Status

Indicates if mail subsystem (Fax Voip Internal Mail service) is running.

Click to configure services

Click to switch to the Options and Logs page where you can configure whether to run Fax Voip as Windows service or not, and also specify the user account under which mail services should be started. See also in the Configure Mail to Fax (Mail to Audio) systems as Windows Service chapter of this user manual.


Delivery Receipts

Delivery Receipts to user e-mail address (Mail to Fax/Audio) - Built-in lines

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ››

On this page you can specify whether e-mail sender should be notified via e-mail of a successful or failed fax or audio message delivery. You can select the format for attached faxes and specify how file names are generated.

The options below can be overridden in the Mail to Fax (Mail to Audio) Rules , see in the Receipts Settings (Mail to Fax/Audio Rule) chapter of this user manual.

Click to configure e-mail templates

Click to switch to the E-mail Templates page to configure default e-mail templates that will be used with Mail to Fax (Mail to Audio) function.

Delivery notification to user e-mail address

Specifies whether to send a notification of a successful or failed fax or audio message delivery to the sender's e-mail address.

On the Fax tab page, you can specify whether a copy of the sent fax should be attached to the e-mail message. You can select the file format (TIFF, PDF or SFF) and specify filename template for attached faxes.

Attach a copy of the sent fax in the following format

Specifies whether a copy of the sent fax should be attached to the e-mail message. Select the file format in which you want to receive a copy of the sent fax. Can be TIFF, PDF or SFF. Note that this option is ignored in the case of any errors in the fax job creation (not possible to convert your original document into the fax format, the specified fax number is invalid, e-mail address is blocked etc.). In this case the delivery notification is always sent without fax attachment.

The options below are responsible for how file names are generated for the attached faxes.

Use Default Filename Template (FAX...)

Select this option to use default filename template. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected format).

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom fax filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %DocumentName%. If the fax is generated by the Mail to Fax - Built-in lines function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string.
      • %PagesTotal%. The total number of pages in the outgoing fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient.
      • %LocalFaxID%. The transmitting station identifier (TSID) that identifies you as a fax sender, sent to the fax recipient.
      • %SubmissionTime%. The time the outgoing fax was originally added for sending.
      • %OriginalScheduledTime%. The time the outgoing fax was originally scheduled for sending.
      • %StartTime%. The time when the outgoing fax call or fax transmission started.
      • %EndTime%. The time when the outgoing fax call or fax transmission ended.
      • %Duration%. The duration of the outgoing fax call or fax transmission.
      • %Retries%. The number of times the system has tried to send the fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %BitRateEcm%. Transmission rate. The 'e' attribute is used to indicate Error Correction Mode (ECM).
      • %FaxProtocol%. Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP, ISDN - audio fax via ISDN CAPI 2.0 line, ISDN-FAX B3-4-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3-5-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
      • %Resolution%. Fax resolution. Can be one of the following values: 204x196 dpi (Fine), 204x98 dpi (Normal).
      • %Status%. Operation completion code. OK in the case of a successful fax sending. In the case of a failed fax sending contains the error description (in English).

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

On the Audio tab page, you can specify whether a copy of the sent audio message should be attached to the e-mail message. You can specify filename template for attached audio files.

Attach a copy of the sent audio message

Specifies whether a copy of the sent audio message (WAV file) should be attached to the e-mail message. Note that this option is ignored in the case of any errors in the audio message job creation (not possible to convert your original file into correct audio format, the specified phone number is invalid, e-mail address is blocked etc.). In this case the delivery notification is always sent without audio attachment.

The options below are responsible for how file names are generated for the attached audio messages.

Use Default Filename Template (MESSAGE.wav)

Select this option to use default filename template. When specifying the default filename template, the audio attachment name is MESSAGE.wav.

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientPhoneNumber%, %StartTime% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom audio message filename template (replaced by actual data):

      • %RecipientPhoneNumber%. The phone number of the recipient.
      • %DocumentName%. If the audio message is generated by the Mail to Audio - Built-in lines function, this is the name of the original audio file including file extension.
      • %WavLength%. The length of the audio message in seconds.
      • %SubmissionTime%. The time the outgoing audio message was originally added for sending.
      • %OriginalScheduledTime%. The time the outgoing audio message was originally scheduled for sending.
      • %StartTime%. The time when the outgoing call or audio message transmission started.
      • %EndTime%. The time when the outgoing call or audio message transmission ended.
      • %Duration%. The duration of the outgoing call or audio message transmission.
      • %Retries%. The number of times the system has tried to send the audio message. The total number of possible retries depends on the limit set.
      • %Status%. Operation completion code. OK in the case of a successful sending of audio message. In the case of a failed sending of audio message contains the error description (in English).

The following variable is deprecated and supported only for compatibility with previous versions, do not use it in your new templates:

      • %WavLenth%. (typo in versions prior to 8.3.1) The length of the audio message in seconds. Instead, use %WavLength%.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use System.Net.Mail method for sending e-mail messages.


Cover Pages

Cover Pages Settings (Mail to Fax) - Built-in lines

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ››

The options below can be overridden in the Mail to Fax (Mail to Audio) Rules , see in the Cover Pages Settings (Mail to Fax/Audio Rule) chapter of this user manual.

Click to configure sender information

Click to switch to the Sender Information (Mail to Fax) - Built-in lines page to configure default sender information that will be used with Mail to Fax function.

Include cover page with faxes

Specifies whether the cover page will be added to the document and sent as the first page in the fax when using Mail to Fax function.

Allow to send faxes consisting only of a cover page

Specifies whether you can send faxes consisting only of a cover page when using Mail to Fax function.

Use common cover page template

If this option selected, the common cover page template will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages. Please note that these are standard templates included in the operating system.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Notes

  • When using Mail to Fax function, you can specify cover page subject and cover page note in the body part of your e-mail message. The recipient name, as well as the recipient fax number can be specified in the subject of your e-mail message. See details in the Sending Cover Pages chapter of this user manual.
  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (Mail to Fax) chapter of this user manual.
  • When creating fax cover pages for sending via Fax Voip built-in lines, the system cover page templates and Fax Service API ( FaxPrintCoverPage function) are used. You also need Fax Cover Page Editor application to create your own personal cover page templates. For this reason, installation of the Windows Fax Service is required for this functionality, see in the Install the Fax Service chapter of this user manual.


Sender Information

Sender Information Settings (Mail to Fax) - Built-in lines

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ››

On this page you can specify information about the fax sender for inclusion on the cover page in the case of using Mail to Fax function.

The options below can be overridden in the Mail to Fax (Mail to Audio) Rules , see in the Sender Information Settings (Mail to Fax/Audio Rule) chapter of this user manual.

Use default sender information when using Mail to Fax function

If this option selected, the default sender information specified in the Sender Information Settings (Built-in lines, Fax Voip Printer) is used.

Use the following sender information when using the Mail to Fax function

If this option selected, the Mail to Fax function uses the sender information specified below.

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

Title

The title associated with the sender.

Company

The company name associated with the sender.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Notes

  • Unfortunately, you cannot use the standard E-mail field, which you can place on your cover page template using Insert -> Sender -> E-mail command in the Fax Cover Page Editor. When printing cover page, Fax Voip uses old-style FaxPrintCoverPage function (Fax Service Client API for Windows 2000) and FAX_COVERPAGE_INFO structure that does not contain info about sender's e-mail address.


Mail To Fax (Mail to Audio) Rules

Mail to Fax (Mail to Audio) Rules - Built-in lines

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ››

The so-called Mail to Fax (Mail to Audio) rules allow you to customize the behavior of the Mail to Fax (Mail to Audio) - Built-in lines function, depending on the sender's e-mail address. The maximum supported number of Mail to Fax (Mail to Audio) rules is not limited.

Fax Voip always checks Mail to Fax (Mail to Audio) rules, starting with the rule # 1. If the e-mail address matches the pattern, specified in the rule, then all subsequent rules are ignored. For example, if rule # 1 applies for all e-mail addresses ('E-mail' = *@*), then other rules # 2, # 3, etc. never be able to work under any conditions. If there is no one rule that matches the sender's e-mail address, the default Mail to Fax (Mail to Audio) Settings will be applied.

The rule can be applied to:

  • single e-mail address
  • group of e-mails with specified domain part
  • all e-mail addresses

There are two types of rules:

  • Allow. Rules that allow the using of Mail to Fax (Mail to Audio) functionality for the specified e-mail address(es).
  • Deny. Rules that deny the using of Mail to Fax (Mail to Audio) functionality for the specified e-mail address(es).

The following Mail to Fax (Mail to Audio) Settings can be set or overridden by the Mail to Fax (Mail to Audio) rules:

  • Delivery notification to user e-mail address
  • File types that can be used as e-mail attachments
  • Cover Pages
  • Sender Information
  • Fax options
  • E-mail Templates : Outgoing Fax (built-in lines) , Outgoing Audio Message (built-in lines) , Failed to create fax (audio) job

Customization rules (Mail to Fax/Audio) - Built-in lines table contains the following information:

Rule

Unique number of the current rule.

E-mail

Specifies the e-mail address pattern for which the rule applies.

Allow

Specifies whether the rule allow or deny the using of Mail to Fax (Mail to Audio) functionality for the specified e-mail address(es).

Receipts

Specifies whether custom or default Mail to Fax (Mail to Audio) settings are used for fax delivery notifications .

Attachments

Specifies whether custom or default Mail to Fax (Mail to Audio) settings are used for e-mail attachments.

Cover Pages

Specifies whether custom or default Mail to Fax settings are used for Cover Pages .

Sender Info

Specifies whether custom or default Mail to Fax settings are used for Sender Information .

Fax Options

Specifies whether custom or default Mail to Fax settings are used for fax options.

E-mail Templates

Specifies whether custom or default settings are used for E-mail Templates .

The following commands are available in the Mail to Fax Contextual Tab of the Ribbon:

Mail to Fax Rules

New (Ctrl + N)

Click to create new Mail to Fax (Mail to Audio) rule.

Edit (Ctrl + E)

Click to edit Mail to Fax (Mail to Audio) rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Mail to Fax (Mail to Audio) rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Mail to Fax (Mail to Audio) rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Mail to Fax (Mail to Audio) rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Mail to Fax Contextual Tab are also available from the context menu of the list.


To create or edit Mail to Fax (Mail to Audio) rule

To create or edit Mail to Fax (Mail to Audio) rule - Built-in lines

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Mail To Fax (Mail to Audio) Rules ››

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax/Audio (Built-in), then click Customization.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Mail to Fax (Mail to Audio) Rule window in the General panel, specify the e-mail address for which this rule applies. To select e-mail address from Address Book (Windows Contacts), click the Address Book button. Select the type of rule: Allow or Deny. More details can be found in the chapter Mail to Fax (Mail to Audio) Rules Settings , General Settings section.

5. Switch to the Receipts panel.

6. In the Receipts panel, specify whether to use default or custom settings for fax or audio message delivery notifications. Specify whether e-mail sender should be notified via e-mail of a successful or failed fax or audio message delivery. Select format for the attached faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter Mail to Fax (Mail to Audio) Rules Settings , Receipts Settings section.

7. Switch to the Attachments panel.

8. In the Attachments panel, specify whether to use default or custom settings for e-mail attachments. Specify whether the customer can use any types of e-mail attachments or only files with the specified extensions. More details can be found in the chapter Mail to Fax (Mail to Audio) Rules Settings , Attachments Settings section.

9. Switch to the Cover Pages panel.

10. In the Cover Pages panel, specify whether to use default or custom settings for fax cover pages. Specify whether the customer can use cover pages. Select common or personal cover page template to be used. More details can be found in the chapter Mail to Fax (Mail to Audio) Rules Settings , Cover Pages Settings section.

11. Switch to the Sender panel.

12. In the Sender panel, specify whether to use default or custom settings for sender information. Enter information about the fax sender. To import sender information for the specified e-mail address from Address Book (Windows Contacts), click the Address Book button. More details can be found in the chapter Mail to Fax (Mail to Audio) Rules Settings , Sender Information Settings section.

13. Switch to the Fax panel.

14. In the Fax panel, specify whether to use default or custom settings for fax options. Specify the Fax Mode, Fax Station ID and Fax Headline to be used. More details can be found in the chapter Mail to Fax (Mail to Audio) Rules Settings , Fax Settings section.

15. Switch to the Templates panel.

16. In the Templates panel, specify whether to use default or custom settings for e-mail templates. Configure e-mail templates to be used with the rule. More details can be found in the chapter Mail to Fax (Mail to Audio) Rules Settings , E-mail Templates Settings section.

17. Click <OK> button to fix changes.

18. To change the preference order for Mail to Fax (Mail to Audio) rules use Move Up and Move Down commands. One of the entries should be selected.

19. Click <Apply> button to save modified settings for Mail to Fax (Mail to Audio) rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage Mail to Fax (Mail to Audio) rules

To manage Mail to Fax (Mail to Audio) rules - Built-in lines

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Mail To Fax (Mail to Audio) Rules ››

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax/Audio (Built-in), then click Customization.

3. To change the preference order for Mail to Fax (Mail to Audio) rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Mail to Fax (Mail to Audio) Rules Settings

Mail to Fax (Mail to Audio) Rules Settings - Built-in lines

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Mail To Fax (Mail to Audio) Rules ››

This section provides information about settings, that you can do in the Mail to Fax (Mail to Audio) Rule dialog.

  • General Settings
  • Receipts Settings
  • Attachments Settings
  • Cover Pages Settings
  • Sender Information Settings
  • Fax Settings
  • E-mail Templates Settings


General Settings

General Settings (Mail to Fax/Audio Rule, Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Mail To Fax (Mail to Audio) Rules ›› Mail to Fax (Mail to Audio) Rules Settings ››

General Settings

E-mail address

The settings in this area allow to specify the E-mail address pattern for which the rule applies. The rule can be applied to single e-mail address, to the group of e-mails with the specified domain part or to all e-mail addresses.

E-mail address

If this option selected, the rule applies to single e-mail address.

<Address Book>

Click this button to select e-mail address from Address Book (Windows Contacts). When using this option, the Sender Information for the selected contact can be also imported from the Address Book.

E-mail group

If this option selected, the rule applies to the group of e-mails with the specified domain part.

Any e-mail address

If this option selected, the rule applies to all e-mail addresses.

Type of rule

The settings in this area allow to specify the type of rule. The rule can allow or deny the using of Mail to Fax (Mail to Audio) functionality for the specified e-mail address(es).

Allow

If this option selected, the Mail to Fax (Mail to Audio) function processes e-mails from the specified e-mail address(es).

Deny

If this option selected, the Mail to Fax (Mail to Audio) function does not process e-mails from the specified e-mail address(es).


Receipts Settings

Receipts Settings (Mail to Fax/Audio Rule, Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Mail To Fax (Mail to Audio) Rules ›› Mail to Fax (Mail to Audio) Rules Settings ››

Receipts Settings

On this page you can override the default settings for fax or audio message delivery notifications specified in the Delivery Receipts Settings (Mail to Fax/Audio) .

Use default Mail to Fax (Mail to Audio) settings

If this option checked, the default settings for fax or audio message delivery notifications are used.

Click to configure e-mail templates

Click to switch to the Templates page.

Delivery Receipts

In this area, you can specify custom settings for fax or audio message delivery notifications that will be applied to the current rule only.

Delivery notification to user e-mail address

Specifies whether to send a notification of a successful or failed fax or audio message delivery to the sender's e-mail address.

On the Fax tab page, you can specify whether a copy of the sent fax should be attached to the e-mail message. You can select the file format (TIFF, PDF or SFF) and specify filename template for attached faxes.

Attach a copy of the sent fax in the following format

Specifies whether a copy of the sent fax should be attached to the e-mail message. Select the file format in which you want to receive a copy of the sent fax. Can be TIFF, PDF or SFF. Note that this option is ignored in the case of any errors in the fax job creation (not possible to convert your original document into the fax format, the specified fax number is invalid, e-mail address is blocked etc.). In this case the delivery notification is always sent without fax attachment.

The options below are responsible for how file names are generated for the attached faxes.

Use Default Filename Template (FAX...)

Select this option to use default filename template. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected format).

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom fax filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %DocumentName%. If the fax is generated by the Mail to Fax - Built-in lines function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string.
      • %PagesTotal%. The total number of pages in the outgoing fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient.
      • %LocalFaxID%. The transmitting station identifier (TSID) that identifies you as a fax sender, sent to the fax recipient.
      • %SubmissionTime%. The time the outgoing fax was originally added for sending.
      • %OriginalScheduledTime%. The time the outgoing fax was originally scheduled for sending.
      • %StartTime%. The time when the outgoing fax call or fax transmission started.
      • %EndTime%. The time when the outgoing fax call or fax transmission ended.
      • %Duration%. The duration of the outgoing fax call or fax transmission.
      • %Retries%. The number of times the system has tried to send the fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %BitRateEcm%. Transmission rate. The 'e' attribute is used to indicate Error Correction Mode (ECM).
      • %FaxProtocol%. Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP, ISDN - audio fax via ISDN CAPI 2.0 line, ISDN-FAX B3-4-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3-5-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
      • %Resolution%. Fax resolution. Can be one of the following values: 204x196 dpi (Fine), 204x98 dpi (Normal).
      • %Status%. Operation completion code. OK in the case of a successful fax sending. In the case of a failed fax sending contains the error description (in English).

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

On the Audio tab page, you can specify whether a copy of the sent audio message should be attached to the e-mail message. You can specify filename template for attached audio files.

Attach a copy of the sent audio message

Specifies whether a copy of the sent audio message (WAV file) should be attached to the e-mail message. Note that this option is ignored in the case of any errors in the audio message job creation (not possible to convert your original file into correct audio format, the specified phone number is invalid, e-mail address is blocked etc.). In this case the delivery notification is always sent without audio attachment.

The options below are responsible for how file names are generated for the attached audio messages.

Use Default Filename Template (MESSAGE.wav)

Select this option to use default filename template. When specifying the default filename template, the audio attachment name is MESSAGE.wav.

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientPhoneNumber%, %StartTime% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom audio message filename template (replaced by actual data):

      • %RecipientPhoneNumber%. The phone number of the recipient.
      • %DocumentName%. If the audio message is generated by the Mail to Audio - Built-in lines function, this is the name of the original audio file including file extension.
      • %WavLength%. The length of the audio message in seconds.
      • %SubmissionTime%. The time the outgoing audio message was originally added for sending.
      • %OriginalScheduledTime%. The time the outgoing audio message was originally scheduled for sending.
      • %StartTime%. The time when the outgoing call or audio message transmission started.
      • %EndTime%. The time when the outgoing call or audio message transmission ended.
      • %Duration%. The duration of the outgoing call or audio message transmission.
      • %Retries%. The number of times the system has tried to send the audio message. The total number of possible retries depends on the limit set.
      • %Status%. Operation completion code. OK in the case of a successful sending of audio message. In the case of a failed sending of audio message contains the error description (in English).

The following variable is deprecated and supported only for compatibility with previous versions, do not use it in your new templates:

      • %WavLenth%. (typo in versions prior to 8.3.1) The length of the audio message in seconds. Instead, use %WavLength%.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use System.Net.Mail method for sending e-mail messages.


Attachments Settings

Attachments Settings (Mail to Fax/Audio Rule, Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Mail To Fax (Mail to Audio) Rules ›› Mail to Fax (Mail to Audio) Rules Settings ››

Attachments Settings

On this page you can override the default settings for e-mail attachments specified in the Mail to Fax (Mail to Audio) Settings .

Use default Mail to Fax (Mail to Audio) settings

If this option checked, the default settings for e-mail attachments are used.

Attachment types

In this area, you can specify custom settings for e-mail attachments that will be applied to the current rule only.

Allow any file types as e-mail attachments

If this option is selected, Mail to Fax (Mail to Audio) will accept e-mails with any attachments. Please note that this in no way guarantees that your attachment will be correctly converted into a fax or audio message and sent to the recipient. See also in the E-mail attachments chapter of this user manual.

Allow only the specified file extensions

If this option is selected, Mail to Fax (Mail to Audio) will only accept e-mail attachments with specified file extensions. Enter the file extensions in the text box below. The file extensions should be separated by a semicolon. Example: .TIF;.PDF;.TXT;.WAV.


Cover Pages Settings

Cover Pages Settings (Mail to Fax/Audio Rule, Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Mail To Fax (Mail to Audio) Rules ›› Mail to Fax (Mail to Audio) Rules Settings ››

Cover Pages Settings

On this page you can override the default settings for cover pages specified in the Cover Pages Settings (Mail to Fax) .

Use default Mail to Fax settings

If this option checked, the default settings for cover pages are used.

Click to configure sender information

Click to switch to the Sender page.

Cover Pages

In this area, you can specify custom settings for fax cover pages that will be applied to the current rule only.

Include cover page with faxes

Specifies whether the cover page will be added to the document and sent as the first page in the fax when using Mail to Fax function.

Allow to send faxes consisting only of a cover page

Specifies whether you can send faxes consisting only of a cover page when using Mail to Fax function.

Use common cover page template

If this option selected, the common cover page template will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages. Please note that these are standard templates included in the operating system.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Notes

  • When using Mail to Fax function, you can specify cover page subject and cover page note in the body part of your e-mail message. The recipient name, as well as the recipient fax number can be specified in the subject of your e-mail message. See details in the Sending Cover Pages chapter of this user manual.
  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (Mail to Fax/Audio Rule) chapter of this user manual.
  • When creating fax cover pages for sending via Fax Voip built-in lines, the system cover page templates and Fax Service API ( FaxPrintCoverPage function) are used. You also need Fax Cover Page Editor application to create your own personal cover page templates. For this reason, installation of the Windows Fax Service is required for this functionality, see in the Install the Fax Service chapter of this user manual.


Sender Information Settings

Sender Information Settings (Mail to Fax/Audio Rule, Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Mail To Fax (Mail to Audio) Rules ›› Mail to Fax (Mail to Audio) Rules Settings ››

Sender Information Settings

Sender information is displayed on cover pages.

On this page you can override the default settings for sender information specified in the Sender Information Settings (Mail to Fax) .

Use default Mail to Fax settings

If this option checked, the default settings for sender information are used.

Sender Information

In this area, you can specify custom settings for sender information that will be applied to the current rule only.

Use default sender information when using Mail to Fax function

If this option selected, the default sender information specified in the Sender Information Settings (Built-in lines, Fax Voip Printer) is used.

Use the following sender information when using the Mail to Fax function

If this option selected, the Mail to Fax function uses the sender information specified below.

<Address Book>

Click this button to import sender information for the specified e-mail address from Address Book (Windows Contacts).

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

Title

The title associated with the sender.

Company

The company name associated with the sender.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Notes

  • Unfortunately, you cannot use the standard E-mail field, which you can place on your cover page template using Insert -> Sender -> E-mail command in the Fax Cover Page Editor. When printing cover page, Fax Voip uses old-style FaxPrintCoverPage function (Fax Service Client API for Windows 2000) and FAX_COVERPAGE_INFO structure that does not contain info about sender's e-mail address.


Fax Settings

Fax Settings (Mail to Fax/Audio Rule, Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Mail To Fax (Mail to Audio) Rules ›› Mail to Fax (Mail to Audio) Rules Settings ››

Fax Settings

On this page you can override the default settings for fax options specified in the Mail to Fax (Mail to Audio) Settings .

Use default Mail to Fax settings

If this option checked, the default settings for fax options are used.

Fax Mode, Fax Station ID and Fax Header

In this area, you can specify custom settings for fax options that will be applied to the current rule only.

Fax Mode

Specify the fax mode to be used. Select T.38 (auto) if you want to send faxes with T.38 support. Select audio if you want to send faxes as audio (fax over G.711 codec). Select isdn if you want to send faxes via ISDN CAPI 2.0 line. This option overrides the default Fax Mode, specified in the Fax Settings .

Use default

To change Fax Mode, uncheck this option. If this option is checked, the default Fax Mode is used.

Fax Station ID

Fax Station ID to be used. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The Fax Station ID is transmitted at the top of each faxed page. Usually consists of the sender's fax number and business name. The Fax Station ID is limited to 20 characters. This option overrides the default Fax Station ID, specified in the Fax Settings or in the Outgoing VOIP Call Routing settings.

Use default

To change Fax Station Id, uncheck this option. If this option is checked, the default Fax Station Id is used.

Fax HeadLine

Fax HeadLine to be used. It is transmitted at the top of each faxed page. The Fax HeadLine is limited to 50 characters. This option overrides the default Fax HeadLine, specified in the Fax Settings or in the Outgoing VOIP Call Routing settings.

Use default

To change Fax HeadLine, uncheck this option. If this option is checked, the default Fax HeadLine is used.


E-mail Templates Settings

E-mail Templates Settings (Mail to Fax/Audio Rule, Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Mail To Fax (Mail to Audio) Rules ›› Mail to Fax (Mail to Audio) Rules Settings ››

E-mail Templates Settings

On this page you can override the default settings for e-mail templates, see in the E-mail Templates chapter of this user manual.

Use default e-mail templates settings

If this option checked, the default settings for e-mail templates are used.

E-mail Templates

In this area, you can specify custom settings for e-mail templates that will be applied to the current rule only.

Select Template

Use this drop-down list to select the template you want to edit. You can configure the following e-mail templates: Outgoing Fax (built-in lines), Outgoing Audio Message (built-in lines), Failed to create fax (audio) job.

Use Default Template

Check this box if you don’t want to customize the selected template. The e-mail template embedded into the program code will be used in this case.

To customize the selected template, see notes below.

Notes

  • For more information on how to configure Outgoing Fax (built-in lines) template, see E-mail Templates: Outgoing Fax (built-in lines) . Settings for the Mail to Fax (Mail to Audio) rule should be made in the same way.
  • For more information on how to configure Outgoing Audio Message (built-in lines) template, see E-mail Templates: Outgoing Audio Message (built-in lines) . Settings for the Mail to Fax (Mail to Audio) rule should be made in the same way.
  • For more information on how to configure Failed to create fax (audio) job template, see E-mail Templates: Failed to create fax (audio) job . Settings for the Mail to Fax (Mail to Audio) rule should be made in the same way.


Sending faxes and audio messages from e-mails

Sending faxes and audio messages from e-mails (Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ››

This section provides you with the necessary information on using Mail to Fax (Mail to Audio) - Built-in lines function.

To create and send fax or audio message e-mail, see Composing of e-mail message .

To send faxes with cover pages, see Sending Cover Pages .

Supported e-mail attachments are discussed in the E-mail attachments chapter.

To use PDF files as e-mail attachments, see Using PDF files as attachment .

To configure a list of e-mail users that can use Mail to Fax (Mail to Audio) function, see Blocking e-mail addresses .

For information about e-mail notifications of a successful or failed fax (audio message) delivery, see E-mail notifications .

For information related to running Mail to Fax (Mail to Audio) function as a Windows Service, see Using Mail to Fax (Mail to Audio) as Windows Service .

Notes

  • To send faxes using Mail to Fax - Microsoft Fax function, please read Sending faxes from e-mails (Microsoft Fax) chapter of this user manual.


Composing of e-mail message

Composing of e-mail message (Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Sending faxes and audio messages from e-mails ››

To send a fax e-mail

To send a fax e-mail, you need to create an e-mail containing the following mandatory elements:

  • To: The e-mail address configured on the Fax Voip POP3 / IMAP Settings to accept fax or audio message e-mails (e.g. faxserver@t38faxvoip.com).
  • Subject: The subject line is used to determine the numbers you wish to send the fax to (e.g. 14256681718). You can specify not only Recipient Fax Number but also the Recipient Name (e.g. 16317801544<Andreas Grein>). You can also specify several fax recipients which should be separated by semicolons (e.g. 14256681718;16317801544<Andreas Grein>). The Recipient Name is usually displayed on fax cover page, see also in the Sending Cover Pages chapter of this user manual.
  • The email body. You can to leave this field empty. Optionally, you can specify cover page subject and cover page note in the body part of your e-mail message. See details in the Sending Cover Pages chapter of this user manual.
  • Attachments. The actual fax content is taken from the attachment. You can attach one or more files that will be merged into a single fax message. Supported file formats that can be converted into the fax are discussed in the E-mail attachments chapter. In the case of sending a fax consisting only of a cover page, you should not attach files to your e-mail message.

To send an audio message e-mail

To send an audio message e-mail, you need to create an e-mail containing the following mandatory elements:

  • To: The e-mail address configured on the Fax Voip POP3 / IMAP Settings to accept fax or audio message e-mails (e.g. faxserver@t38faxvoip.com).
  • Subject: The subject line is used to determine the numbers you wish to send the audio message to (e.g. 18502121616). You can specify several phone numbers which should be separated by semicolons (e.g. 18502121616;13605108074).
  • Attachments. The actual audio content is taken from the attachment. Allowed file extensions for audio messages: WAV and MP3. Please note that sending multiple audio attachments are not supported.

Notes

  • Sending multiple audio attachments, as well as sending attachments of different types (fax and audio) in single e-mail message are not supported. In both cases, the 'Audio file in combination with multiple attachments' error will be returned in the e-mail delivery notification.


Sending Cover Pages

Sending Cover Pages (Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Sending faxes and audio messages from e-mails ››

Mail to Fax function allows you to use fax cover pages when sending faxes from e-mail. A cover page contains user-specified information about a fax sender and a recipient, and often a short message, together with system information, such as transmission date and time.

To specify common or personal cover page template to be used, see Cover Pages Settings (Mail to Fax) . The Include cover page with faxes option is responsable for adding the cover page to the fax document. The Allow to send faxes consisting only of a cover page option allows you to send single-page faxes in which the fax message is included as a cover page note. The settings for cover pages can be personalized for different sender e-mail addresses by using Mail to Fax (Mail to Audio) Rules , see also Cover Pages Settings (Mail to Fax/Audio Rule) .

To specify sender information to be displayed on cover pages, see Sender Information Settings (Mail to Fax) . The sender information can be personalized for different sender e-mail addresses by using Mail to Fax (Mail to Audio) Rules , see also Sender Information Settings (Mail to Fax/Audio Rule) .

The Recipient Name, as well as the Recipient Fax Number should be specified in the subject line of your e-mail message, see picture below.

Cover page subject and cover page note should be included in the body part of your e-mail message. The string that contains the contents of the cover page subject should be enclosed in square brackets and placed above the text that contains the contents of the cover page note. Empty strings in the beginning of the text and also between the subject and the note are ignored. The figure below shows how to create an e-mail message.

The figure below shows the cover page after faxing.

Notes

  • When creating fax cover pages for sending via Fax Voip built-in lines, the system cover page templates and Fax Service API ( FaxPrintCoverPage function) are used. You also need Fax Cover Page Editor application to create your own personal cover page templates. For this reason, installation of the Windows Fax Service is required for this functionality, see in the Install the Fax Service chapter of this user manual.
  • Unfortunately, you cannot use the standard E-mail field, which you can place on your cover page template using Insert -> Sender -> E-mail command in the Fax Cover Page Editor. When printing cover page, Fax Voip uses old-style FaxPrintCoverPage function (Fax Service Client API for Windows 2000) and FAX_COVERPAGE_INFO structure that does not contain info about sender's e-mail address.


E-mail attachments

E-mail attachments (Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Sending faxes and audio messages from e-mails ››

When using Mail to Audio function, you should use WAV or MP3 e-mail attachments.

When using Mail to Fax function, the actual fax content is taken from the e-mail attachment. You can attach one or more files that will be merged into a single fax message.

By default, the Fax Voip does not impose any restrictions on the types of attachments that you can use. Unfortunately, this in no way guarantees that your attachment will be correctly converted into a fax or audio message and sent to the recipient. To avoid undesirable problems, please test Mail to Fax (Mail to Audio) function with different attachment types on your computer, configure your operating system (if necessary) and then specify file extensions that will be used with Mail to Fax (Mail to Audio) in Fax Voip settings. The information below will help you to configure your system.

Your document (e-mail attachment) can be converted into a fax in two different ways:

  • Using Direct Converting to Fax feature.
  • Printing in the background (printto function) using Fax Voip Virtual Printer.

Direct Converting to Fax

Direct Converting to Fax feature allows to convert some of the most popular graphics file formats into compatible fax format (TIFF). Installing the application associated with the required file extension is not necessary. Supported file extensions: *.PDF, *.TIF, *.TIFF, *.SFF, *.QFX, *.BMP, *.JPG, *.JPEG, *.GIF, *.PNG, *.ICO, *.WMF, *.EMF. To use Direct Converting to Fax for the specified attachment type, flag the corresponding file extension in the Fax Voip Control Panel (Fax -> Fax Converter), see details in the Convert to Fax Settings chapter of this user manual.

Printing in the background

If Direct Converting to Fax is not supported and not configured for your file extension (e-mail attachment), Mail to Fax function trying to print it in the background using Fax Voip Virtual Printer. The application associated with the required file extension should be installed and registered on your computer. The associated application should support standard printto command that is used by Windows when printing a file. For example, to print text document (*.txt) notepad.exe application usually used. To print files in different graphics formats shimgvw.dll system library or Paint application typically used. To print files with .doc and .rtf extensions, installation of Microsoft Word is required.

Theoretically, any printable file can be used as e-mail attachment. However, not all is as good as we would like. For example, if you print with Microsoft Word (*. doc, * rtf), printing is not in the background. The associated application can show dialog boxes when printing, this requires the user to participate, which will make it impossible to automatically print the document. Some file types, which are normally printed “manually”, can not be printed in the background. In other words, the situation with printto is strongly dependent on the specific machine and applications installed on it.

The correct printto functionality can be easily fixed for the following file extensions: *.TXT, *.BMP, *.DIB, *.EMF, *.GIF, *.ICO, *.JFIF, *.JPE, *.JPEG, *.JPG, *.JXR, *.PNG, *.RLE, *.TIF, *.TIFF, *.WDP, *.WMF by using Repair ‘printto’ verbs command in the Fax Voip Control Panel (Fax -> Fax Converter), see details in the Printto Options chapter of this user manual. For Windows 10 users, see also To manually fix file associations on Windows 10 .

In the case of unsuccessful printing of your document (e-mail attachment), Mail to Fax function trying to use Direct Converting to Fax (if supported for this file extension).

In the case of unsuccessful printing, you typically may encounter two types of errors. In the first case, the Mail to Fax subsystem immediately returns 'The document could not be printed or converted into the fax' error in the fax delivery notification via e-mail. In the second case, the Mail to Fax subsystem returns the error after 30 seconds of waiting (internal timeout), during which the Mail to Fax subsystem hangs. Upon detection 'Printing... Failed. Timeout expired.' in the Mail to Fax (Mail to Audio) log , we recommend to block file extension by using Allow only the specified file extensions option (see below) or use Direct Converting to Fax feature for this file type (if possible).

To configure Mail to Fax (Mail to Audio) to operate with specified e-mail attachments only

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax/Audio (Built-in).

3. Select Allow only the specified file extensions option. Enter the file extensions in the text box on the right. The file extensions should be separated by a semicolon. Example: .TIF;.PDF;.TXT;.WAV.

4. Click <Apply> button. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

The settings for e-mail attachments can be personalized for different sender e-mail addresses by using Mail to Fax (Mail to Audio) Rules , see also Attachments Settings (Mail to Fax/Audio Rule) .

Notes

  • It is strongly recommended to use Direct Converting to Fax function if this is possible with file type you want to use. In the case of using Direct Converting to Fax, additional tests and installing the application associated with selected file type not required.
  • To fix printto associations for standard file extensions, use Repair ‘printto’ verbs function. See in the Printto Options chapter of this user manual. For Windows 10 users, see also To manually fix file associations on Windows 10 .


Using PDF files as attachments

Using PDF files as attachments (Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Sending faxes and audio messages from e-mails ››

Adobe Portable Document Format (PDF) is one of the most popular formats when working with faxes. Therefore, we have to consider this topic separately. When using Mail to Fax feature, two different methods can be used, when preparing the fax from the original PDF document:

  • Direct Converting to Fax of your PDF document (recommended).
  • Printing the original PDF document (printto function) using Fax Voip Virtual Printer.

To use Direct Converting to Fax (recommended)

1. Open Fax Voip Control Panel.

2. Click Fax in TreeView, then click Fax Converter.

3. In the Select file types to be converted to fax format directly list, select the check box next to the Adobe PDF file type, to use direct converting for PDF files.

4. Click <Apply> button. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

To print PDF files using printto

If Direct Converting to Fax is disabled for PDF files, Fax Voip automatically prints PDF file using the standard program specified on your system for viewing and printing PDF files. Usually it is Adobe Acrobat Reader. Since version 8 of the Adobe Reader it has changed behavior when used to print PDF documents automatically. It will no longer close itself after being called using ShellExecute(printto, ...) API function. In this situation, PDF files can not be used as e-mail attachments.

Nevertheless, there is a solution to this issue. More information can be found at http://www.biopdf.com/ :

http://www.biopdf.com/acrowrap/close_adobe_reader.php

You need to download and install Acrobat Wrapper . In this case the Adobe Reader will be closed correctly after “printing”.

If you use Adobe Reader with Mail to Fax function for processing mails with PDF attachments, the following should be taken into account:

  • To automatically close PDF files after printing, the last version of Acrobat Wrapper should be installed after the installation of Adobe Reader.
  • The last Adobe Reader versions tested with current version of Acrobat Wrapper are Adobe Reader X version 11.0.23 and Adobe Reader DC 2021.001.20155.
  • After any updates of Adobe Reader you must to reinstall Acrobat Wrapper. In this regard, it is desirable to disable the automatic update of Adobe Reader.
  • The described method usually does not work on new operating systems, such as Windows 10, Windows 8/8.1 or Windows 7, in the case of configuring Mail to Fax as Windows Service regardless of the version of Adobe Reader and Acrobat Wrapper.

To download and install Adobe Reader do the following:

1. Go to this web page at adobe site: Download new and previous versions of Adobe Reader .

2. Select the operation system and the language. In the Select a version field select Reader 11.0.XX English for Windows or Reader DC 2021.X.X English for Windows. We recommend you to uncheck Google Chrome and Google Toolbar options, not clear if you need them.

3. Click Download now button and follow the installation instructions.

Notes

  • All the problems associated with 'print PDF files using printto' feature can not be considered as errors in the Fax Voip software. The recommendations in this chapter are provided 'AS IS' and any claims relating to this function are not considered by our support team.
  • To resolve problems arising as a result of failed tests, follow the instructions in the Mail to Fax Troubleshooting chapter of this user manual.


Blocking e-mail addresses

Blocking e-mail addresses (Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Sending faxes and audio messages from e-mails ››

By default, Mail to Fax (Mail to Audio) - Built-in lines function handles fax (audio message) e-mails received from any e-mail address. This is not a good practice, since anyone who knows the e-mail address of the Fax Voip server can send unauthorized faxes or audio messages. To avoid this, we strongly recommend that you set up a list of e-mail users who are allowed to use the Mail to Fax (Mail to Audio) functionality. This task can be easily done with the help of Mail to Fax (Mail to Audio) Rules .

To block an e-mail address

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax/Audio (Built-in), then click Customization.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Mail to Fax (Mail to Audio) Rule window, on the General page, specify the e-mail address for which the rule applies or select the e-mail address from Address Book (Windows Contacts) by clicking the Address Book button. To apply the rule to the group of e-mails, select E-mail group option and then specify the domain (e.g. gmail.com). To apply the rule to all e-mail addresses, select Any e-mail address option. In the Type of rule area, select Deny. See also in the chapter Mail to Fax (Mail to Audio) Rules Settings , General Settings section.

5. Optionally, you can disable delivery notifications to the blocked e-mail address(es). To do this, on the Receipts page, uncheck Use default Mail to Fax (Mail to Audio) settings option, and then uncheck Delivery notification to user e-mail address option. Otherwise, the e-mail user will receive a notification with 'Sorry, your e-mail address has been blocked...' error when trying to send an e-mail message. See also in the chapter Mail to Fax (Mail to Audio) Rules Settings , Receipts Settings section.

6. Click <OK> button to fix changes.

7. To change the preference order for Mail to Fax (Mail to Audio) rules use Move Up and Move Down commands. One of the entries should be selected.

8. Click <Apply> button to save modified settings for Mail to Fax (Mail to Audio) rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

In this example, see the figure above, the using of Mail to Fax (Mail to Audio) function is allowed for any e-mail address with @t38faxvoip.com domain part, except the robby@t38faxvoip.com address, for which the separated Deny rule is created. Note that the rule for 'robby@t38faxvoip.com' is placed before the rule for '*@t38faxvoip.com'. The Deny rule, which applies to all e-mail addresses (*@*), must be placed after all other rules.


E-mail notifications

E-mail notifications (Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Sending faxes and audio messages from e-mails ››

When using Mail to Fax (Mail to Audio) - Built-in lines function, the e-mail user can receive e-mail notifications of a successful or failed fax or audio message delivery. To enable or disable delivery notifications, see Delivery notification to user e-mail address option in the Delivery Receipts to user e-mail address (Mail to Fax/Audio) - Built-in lines chapter of this user manual. The settings can be personalized for different sender e-mail addresses by using Mail to Fax (Mail to Audio) Rules , see also Receipts Settings (Mail to Fax/Audio Rule) .

In the case of failed fax or audio message delivery, an e-mail notification usually contains the error code and its description. The table below shows tipical errors, as well as some recommendations for troubleshooting.

Error | Error description | How to fix the problem
Fax successfully sent / Audio message successfully sent
OK |  |
Failed to send fax (audio message)
Retries exceeded | Error description, returned by the Fax Voip (built-in lines). Examples: No answer, No response after sending a page, Remote party cleared call, No call route etc. | The fax or audio job was created successfully and can be viewed in the Fax Voip Console ( Outbox folder), but for some reason sending of a fax (audio message) failed. Not always indicates a real problem (for example, the phone line can be really busy, the call was not answered, the dialed number is not a fax number etc.). In any case these errors are in no way related to Mail to Fax (Mail to Audio) function. Try first to send a fax ( send an audio message ) from the Fax Voip Console. If does not work, configure Fax Voip to send faxes and audio messages (via built-in lines) correct way. Please read this user manual.
Recipients not specified. | At least one recipient should be specified in the subject of the e-mail message. | Specify the correct recipient fax/phone number in the subject line of your e-mail message. For more details, see Composing of e-mail message .
No attachments in your e-mail. | No attachments in your e-mail or unreadable attachment name. Sending cover pages only option is also disabled for your account. Nothing to send. | Create an e-mail that contains attachment(s), see Composing of e-mail message . Enable the Allow to send faxes consisting only of a cover page option, see Cover Pages Settings (Mail to Fax) . If you sent an e-mail with attachment, but the attachment somehow "lost" (strange...), try changing the type of incoming mail server from IMAP to POP3 or try with another server, see POP3 / IMAP Settings .
File extention not supported. | The file extention... is not supported. Error Index File = ... (with specifying the e-mail attachment name). Please contact the administrator of the server to get detailed information about supported formats. | Explicitly specify the extension of your file next to the option Allow only the specified file extensions or select Allow any file types as e-mail attachments option. For more details, see Mail to Fax (Mail to Audio) Settings and E-mail attachments .
Audio file in combination with multiple attachments. | The audio file extension... is supported, but can not be combined with other e-mail attachments. Error Index File = ... (with specifying the e-mail attachment name that caused the error). | Sending multiple audio attachments, as well as sending attachments of different types (fax and audio) in single e-mail message are not supported. Create an e-mail that contains either one or more fax attachments or a single audio attachment, see Composing of e-mail message .
The document could not be converted into fax. | The document could not be printed or converted into the fax. Error Index File = ... (with specifying the e-mail attachment name that caused the error). | For getting more accurate information about the error, examine the Mail to Fax (Mail to Audio) log file. Install the application associated with the required file extension. The associated application should support standard printto command that is used by Windows when printing a file. For more details, see E-mail attachments . Also, make sure your file is not corrupted.
The document could not be converted into fax. | Failed to merge files into single TIFF file. (Failed to copy file into final TIFF file.) | Internal error when merging or copying already prepared one or several TIFF files. For getting more accurate information about the error, examine the Mail to Fax (Mail to Audio) log file.
The file could not be converted into audio. | Failed to convert audio file into compatible format. | Most likely the format of your audio file is unsupported or your file with .WAV or .MP3 extension is corrupted.
Failed to create cover page. | Error when creating cover page. | To create fax cover pages, Fax Voip uses FaxPrintCoverPage function (Fax Service API). Verify that the Windows Fax Service is installed on your computer, see Install the Fax Services . Make sure that correct cover page template is specified, see Cover Pages Settings (Mail to Fax) .
Failed to submit fax job(s). | Error when creating fax job(s). | For getting more accurate information, examine the Mail to Fax (Mail to Audio) log file.
Failed to submit audio job(s). | Error when creating audio job(s). | For getting more accurate information, examine the Mail to Fax (Mail to Audio) log file.
Your e-mail address has been blocked.
Incorrect Sender e-mail. | Sorry, your e-mail address has been blocked. Please contact administrator of the server. | The e-mail address is blocked by the Mail to Fax (Mail to Audio) Rules . For more details, see Blocking e-mail addresses .


Mail to Fax (Mail to Audio) as Windows Service

Using Mail to Fax (Mail to Audio) as Windows Service (Built-in lines)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ›› Sending faxes and audio messages from e-mails ››

The Fax Voip application, and also Mail to Fax (Mail to Audio) - Built-in lines system can be configured as a Windows Service. The services can be automatically started on Windows startup, before user logon. This option is useful for multi-user systems. To properly configure Mail to Fax (Mail to Audio) subsystem when running as a Windows Service, see Configure Mail to Fax (Mail to Audio) systems as Windows Service chapter of this user manual.

Run the service under user account

It is strongly recommended to run Fax Voip Internal Mail service on behalf of the regular user account, and not under the local system or network service accounts. The specified user will be able to configure file type associations (responsible for the correct printing of various documents).

Configuring file type associations

When creating a fax from your document, the Mail to Fax function trying to print the document in the background using Fax Voip Virtual Printer. The success of this operation is specified by the presence of the application associated with the required file extension that should be installed and correctly registered on your computer. The associated application should support standard printto command that is used by Windows when printing a file. The file type associations, responsible for the correct printing of various documents, can be easily configured for the current user account. However, there is no easy way to configure file type associations for the local system or network service accounts. If the Fax Voip Internal Mail service is started under Local System account, the Mail to Fax function does not see your settings and usually not able to print the document. If the Fax Voip Internal Mail service is started under the specified user account, the specified user can configure file type associations in the usual way (when logged into the system).

For more details, see also the folllowing chapters of this user manual: E-mail attachments , Printto Options , To manually fix file associations on Windows 10 .

Notes

  • When configuring Mail to Fax (Mail to Audio) to use different e-mail attachments, always make tests under current user account before you re-configure Mail to Fax (Mail to Audio) subsystem to be started as a Windows Service.
  • Repeat your tests after reconfiguring Mail to Fax (Mail to Audio) subsystem to be started as a Windows Service.


To view Mail to Fax (Mail to Audio) log

To view Mail to Fax (Mail to Audio) log - Built-in lines

Fax Voip Control Panel ›› E-mail ›› Mail to Fax (Mail to Audio) - Built-in lines ››

1. Open Fax Voip Control Panel.

2. Click Options in TreeView, then click E-mail Logs. Then select Enable Mail to Fax (Mail to Audio) debug logging - Built-in lines option.

3. To automatically remove debug log file on Mail to Fax (Mail to Audio) system (Fax Voip Internal Mail service) startup, select Clear log at Mail to Fax (Mail to Audio) service startup option.

4. Click <Apply> button.

To view Mail to Fax (Mail to Audio) log click <View> button near the Enable Mail to Fax (Mail to Audio) debug logging - Built-in lines checkbox.

Notes

  • To view detailed information about receiving e-mail messages, use Enable Receive Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.
  • To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.


Mail to Fax - Microsoft Fax

Fax Voip Control Panel ›› E-mail ››

The Mail to Fax function will let you send faxes directly from your e-mail application. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages.

Mail to Fax - Microsoft Fax functionality is based on using Fax Service API and sending faxes via Windows Fax Service and Windows Fax and Scan application. Windows Fax Service should be installed on your computer. To use this function, you need Fax Voip Virtual COM Ports (modems) license.

To use Mail to Fax - Microsoft Fax function, you must:

  • Configure the Windows Fax Service to send faxes using Fax Voip modem device(s). You can use the Configure Fax Service command in the Ribbon, see more details in the To configure Fax Service using Fax Voip Control Panel chapter of this user manual. Make the necessary settings in the Outgoing VOIP Call Routing rules to send faxes via Virtual COM Ports (modems). Make sure that you can send faxes manually using Windows Fax and Scan application. Check Restart Fax Service at startup option (recommended whenever Fax Voip operates with Windows Fax Service), see in the Fax Settings chapter of this user manual.
  • Configure POP3 / IMAP settings. Make sure that your settings are correct. Use <Test> button. Save your settings.
  • Configure SMTP settings. Make sure that your settings are correct. Use <Test> button. Save your settings.
  • Configure 'Fax successfully sent (Microsoft Fax Service)' e-mail template (if necessary).
  • Configure 'Failed to send a fax (Microsoft Fax Service)' e-mail template (if necessary).
  • Configure 'Failed to create fax (audio) job' e-mail template (if necessary).
  • Enable 'Mail to Fax - Microsoft Fax' function.

To enable Mail to Fax - Microsoft Fax function, configure e-mail attachment types, specify priority and schedule parameters, see Mail to Fax Settings - Microsoft Fax .

To configure fax delivery notifications via e-mail, see Delivery Receipts to user e-mail address (Mail to Fax) - Microsoft Fax .

To use fax cover pages, see Cover Pages Settings (Mail to Fax) - Microsoft Fax .

To specify information about the fax sender for inclusion on the cover page, see Sender Information Settings (Mail to Fax) - Microsoft Fax .

To customize the behavior of the Mail to Fax - Microsoft Fax function, depending on the sender's e-mail address, see Mail to Fax Rules - Microsoft Fax .

For the necessary information on creating and sending fax e-mails, see Sending faxes from e-mails (Microsoft Fax) .

To configure Mail to Fax subsystem to be started as Windows Service, see Configure Mail to Fax as Windows Service .

If you have problems, see Mail to Fax Troubleshooting . See also To view Mail to Fax log .


Mail to Fax Settings

Mail to Fax Settings - Microsoft Fax

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ››

To enable or disable Mail to Fax

Send faxes from e-mail (using Windows Fax Service)

This option allows you to enable or disable Mail to Fax - Microsoft Fax functionality. Check this checkbox, if you want to send faxes from e-mail. If Fax Voip is configured As Windows Service, administrator privileges may be required to change this option.

By default, the Mail to Fax function is available for any e-mail address. However, you can allow or deny the use of this function for one, several, or all e-mail addresses by using Mail to Fax Rules . See also in the General Settings (Mail to Fax Rule) chapter of this user manual.

Notes

  • Mail to Fax - Microsoft Fax and Mail to Fax (Mail to Audio) - Built-in lines functionalities cannot be used simultaneously. When you enable Send faxes from e-mail (using Windows Fax Service) option, the Send faxes and audio messages from e-mail (using built-in lines) option is automatically disabled. See also in the Mail to Fax (Mail to Audio) Settings - Built-in lines chapter of this user manual.

E-mail attachment types

The options below can be overridden in the Mail to Fax Rules , see in the Attachments Settings (Mail to Fax Rule) chapter of this user manual.

Allow any file types as e-mail attachments

If this option is selected, Mail to Fax will accept e-mails with any attachments. Please note that this in no way guarantees that your document will be correctly converted and faxed. See also in the E-mail attachments chapter of this user manual.

Allow only the specified file extensions

If this option is selected, Mail to Fax will only accept e-mail attachments with specified file extensions. Enter the file extensions in the text box on the right. The file extensions should be separated by a semicolon. Example: .TIF;.PDF;.TXT.

Priority and schedule

The options below can be overridden in the Mail to Fax Rules , see in the Schedule Settings (Mail to Fax Rule) chapter of this user manual.

When sending faxes from e-mails, set the following priority

Specify the priority to use when sending the fax generated by the Mail to Fax function. All faxes that have a high priority will be sent before a fax that has a normal or a low priority. All faxes that have a normal priority will be sent before a fax that has a low priority. The default priority is normal.

Schedule faxes from e-mails when discount rates apply

Specify if the fax generated by the Mail to Fax function should be sent when discount rates apply. On Windows Server computer, discount rate settings can be configured in Microsoft Fax Service Manager (Fax (Local) -> Properties -> Outbox). On Windows 10 (Windows 8.1, Windows 7) computer, discount rate settings can be configured in Windows Fax and Scan application (Tools -> Fax Settings -> Advanced).

Mail to Fax Service - Microsoft Fax

Startup type

Indicates how the Mail to Fax subsystem is started (Application or Windows Service). In the case of service, the name of the account under which the Fax Voip MsFax Mail service is started is also displayed.

Status

Indicates if mail subsystem (Fax Voip MsFax Mail service) is running.

Click to configure services

Click to switch to the Options and Logs page where you can configure whether to run Fax Voip as Windows service or not, and also specify the user account under which mail services should be started. See also in the Configure Mail to Fax (Mail to Audio) systems as Windows Service chapter of this user manual.


Delivery Receipts

Delivery Receipts to user e-mail address (Mail to Fax) - Microsoft Fax

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ››

On this page you can specify whether e-mail sender should be notified via e-mail of a successful or failed fax delivery. You can select the format for attached faxes and specify how file names are generated.

The options below can be overridden in the Mail to Fax Rules , see in the Receipts Settings (Mail to Fax Rule) chapter of this user manual.

Click to configure e-mail templates

Click to switch to the E-mail Templates page to configure default e-mail templates that will be used with Mail to Fax function.

Delivery notification to user e-mail address

Specifies whether to send a notification of a successful or failed fax delivery to the sender's e-mail address.

Attach a copy of the sent fax in the following format

Specifies whether a copy of the sent fax should be attached to the e-mail message. Select the file format in which you want to receive a copy of the sent fax. Can be TIFF, PDF or SFF. Note that this option is ignored in the case of any errors in the fax job creation (not possible to convert your original document into the fax format, the specified fax number is invalid, e-mail address is blocked etc.). In this case the delivery notification is always sent without fax attachment.

The options below are responsible for how file names are generated for the attached faxes.

Use Default Filename Template (FAX...)

Select this option to use default filename template. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected format).

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %RecipientName%. The name of the recipient.
      • %DocumentName%. If the fax is generated by the Mail to Fax - Microsoft Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string.
      • %Subject%. Contains the contents of the subject field on the cover page of the fax.
      • %PagesTotal%. The total number of pages in the fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
      • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as TSID specified in the Sender Information Settings , or it is specified by the settings of the fax device that was used for fax transmission.
      • %SubmissionTime%. The time that the fax was submitted for processing.
      • %OriginalScheduledTime%. The time that the fax was originally scheduled for transmission.
      • %StartTime%. The time that the fax began transmitting.
      • %EndTime%. The time that the fax completed transmission.
      • %Duration%. The duration of the fax transmission.
      • %Retries%. In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %DeviceName%. The name of the device on which the fax message was transmitted. Example: Fax Voip 14.4K TAPI Voice-Fax Modem #2.
      • %Status%. Operation completion code. Examples: OK (in the case of a successful fax sending), NO_ANSWER, BUSY.
      • %FaxMessageID%. The unique identifier for the outbound fax.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use System.Net.Mail method for sending e-mail messages.


Cover Pages

Cover Pages Settings (Mail to Fax) - Microsoft Fax

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ››

The options below can be overridden in the Mail to Fax Rules , see in the Cover Pages Settings (Mail to Fax Rule) chapter of this user manual.

Click to configure sender information

Click to switch to the Sender Information (Mail to Fax) - Microsoft Fax page to configure default sender information that will be used with Mail to Fax function.

Include cover page with faxes

Specifies whether the cover page will be added to the document and sent as the first page in the fax when using Mail to Fax function.

Allow to send faxes consisting only of a cover page

Specifies whether you can send faxes consisting only of a cover page when using Mail to Fax function.

Use common cover page template

If this option selected, the common cover page template stored on the fax server will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Notes

  • When using Mail to Fax function, you can specify cover page subject and cover page note in the body part of your e-mail message. The recipient name, as well as the recipient fax number can be specified in the subject of your e-mail message. See details in the Sending Cover Pages chapter of this user manual.
  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (Mail to Fax) chapter of this user manual.


Sender Information

Sender Information Settings (Mail to Fax) - Microsoft Fax

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ››

On this page you can specify information about the fax sender for inclusion on the cover page in the case of using Mail to Fax function. The Fax ID (TSID) is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. Company name and Fax ID (TSID) are also displayed at the top of each faxed page (Fax Headline).

The options below can be overridden in the Mail to Fax Rules , see in the Sender Information Settings (Mail to Fax Rule) chapter of this user manual.

Use default sender information when using Mail to Fax function

If this option selected, the default sender information specified in the Windows Fax and Scan software (Tools -> Sender Information...) is used. You should understand that default sender information depends on the user account under which the Fax Voip (Fax Voip MsFax Mail service) is started.

Use the following sender information when using the Mail to Fax function

If this option selected, the Mail to Fax function uses the sender information specified below.

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

Title

The title associated with the sender.

Company

The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline). The Fax Headline is limited to 50 characters.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Fax ID (TSID)

The transmitting station identifier (TSID) for the sender's device. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters. Note that depending on the fax server settings, this option can be ignored and TSID specified in the settings of the fax device is actually transmitted, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.

Billing code

The billing code associated with the sender.

Notes

  • In the case of using Mail to Fax - Microsoft Fax function, the e-mail address, associated with the sender, that also can be displayed on the cover page is forcibly extracted from the e-mail message. The e-mail address, specified in the Windows Fax and Scan software (Tools -> Sender Information...) is ignored.
  • If you specify an e-mail address in the Windows Fax and Scan software (Tools -> Sender Information...) and then send the fax in the usual way (from the Windows Fax and Scan software), and at the same time the Mail to Fax - Microsoft Fax function is active, then your fax will be handled by the Mail to Fax system, and the notification of a successful or failed fax delivery will be sent to the specified e-mail address. To avoid sending an e-mail in this case, you should create Mail to Fax rule for the specified e-mail address and disable sending notifications, see in the Receipts Settings (Mail to Fax Rule) chapter of this user manual.


Mail to Fax Rules

Mail to Fax Rules - Microsoft Fax

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ››

The so-called Mail to Fax rules allow you to customize the behavior of the Mail to Fax - Microsoft Fax function, depending on the sender's e-mail address. The maximum supported number of Mail to Fax rules is not limited.

Fax Voip always checks Mail to Fax rules, starting with the rule # 1. If the e-mail address matches the pattern, specified in the rule, then all subsequent rules are ignored. For example, if rule # 1 applies for all e-mail addresses ('E-mail' = *@*), then other rules # 2, # 3, etc. never be able to work under any conditions. If there is no one rule that matches the sender's e-mail address, the default Mail to Fax Settings will be applied.

The rule can be applied to:

  • single e-mail address
  • group of e-mails with specified domain part
  • all e-mail addresses

There are two types of rules:

  • Allow. Rules that allow the using of Mail to Fax functionality for the specified e-mail address(es).
  • Deny. Rules that deny the using of Mail to Fax functionality for the specified e-mail address(es).

The following Mail to Fax Settings can be set or overridden by the Mail to Fax rules:

  • Delivery notification to user e-mail address
  • File types that can be used as e-mail attachments
  • Cover Pages
  • Sender Information
  • Fax Priority and Schedule
  • E-mail Templates : Fax successfully sent (Microsoft Fax Service) , Failed to send a fax (Microsoft Fax Service) , Failed to create fax (audio) job

Customization rules (Mail to Fax) - Microsoft Fax table contains the following information:

Rule

Unique number of the current rule.

E-mail

Specifies the e-mail address pattern for which the rule applies.

Allow

Specifies whether the rule allow or deny the using of Mail to Fax functionality for the specified e-mail address(es).

Receipts

Specifies whether custom or default Mail to Fax settings are used for fax delivery notifications .

Attachments

Specifies whether custom or default Mail to Fax settings are used for e-mail attachments.

Cover Pages

Specifies whether custom or default Mail to Fax settings are used for Cover Pages .

Sender Info

Specifies whether custom or default Mail to Fax settings are used for Sender Information .

Schedule

Specifies whether custom or default Mail to Fax settings are used for fax priority and schedule.

E-mail Templates

Specifies whether custom or default settings are used for E-mail Templates .

The following commands are available in the Mail to Fax Contextual Tab of the Ribbon:

Mail to Fax Rules

New (Ctrl + N)

Click to create new Mail to Fax rule.

Edit (Ctrl + E)

Click to edit Mail to Fax rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Mail to Fax rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Mail to Fax rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Mail to Fax rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Mail to Fax Contextual Tab are also available from the context menu of the list.


To create or edit Mail to Fax rule

To create or edit Mail to Fax rule - Microsoft Fax

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Mail to Fax Rules ››

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax (MS Fax), then click Customization.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Mail to Fax Rule window in the General panel, specify the e-mail address for which this rule applies. To select e-mail address from Address Book (Windows Contacts), click the Address Book button. Select the type of rule: Allow or Deny. More details can be found in the chapter Mail to Fax Rules Settings , General Settings section.

5. Switch to the Receipts panel.

6. In the Receipts panel, specify whether to use default or custom settings for fax delivery notifications. Specify whether e-mail sender should be notified via e-mail of a successful or failed fax delivery. Select format for the attached faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter Mail to Fax Rules Settings , Receipts Settings section.

7. Switch to the Attachments panel.

8. In the Attachments panel, specify whether to use default or custom settings for e-mail attachments. Specify whether the customer can use any types of e-mail attachments or only files with the specified extensions. More details can be found in the chapter Mail to Fax Rules Settings , Attachments Settings section.

9. Switch to the Cover Pages panel.

10. In the Cover Pages panel, specify whether to use default or custom settings for fax cover pages. Specify whether the customer can use cover pages. Select common or personal cover page template to be used. More details can be found in the chapter Mail to Fax Rules Settings , Cover Pages Settings section.

11. Switch to the Sender panel.

12. In the Sender panel, specify whether to use default or custom settings for sender information. Enter information about the fax sender. To import sender information for the specified e-mail address from Address Book (Windows Contacts), click the Address Book button. More details can be found in the chapter Mail to Fax Rules Settings , Sender Information Settings section.

13. Switch to the Schedule panel.

14. In the Schedule panel, specify whether to use default or custom settings for fax priority and schedule. Set the priority and specify whether to send faxes when discount rates apply. More details can be found in the chapter Mail to Fax Rules Settings , Schedule Settings section.

15. Switch to the Templates panel.

16. In the Templates panel, specify whether to use default or custom settings for e-mail templates. Configure e-mail templates to be used with the rule. More details can be found in the chapter Mail to Fax Rules Settings , E-mail Templates Settings section.

17. Click <OK> button to fix changes.

18. To change the preference order for Mail to Fax rules use Move Up and Move Down commands. One of the entries should be selected.

19. Click <Apply> button to save modified settings for Mail to Fax rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


To manage Mail to Fax rules

To manage Mail to Fax rules - Microsoft Fax

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Mail to Fax Rules ››

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax (MS Fax), then click Customization.

3. To change the preference order for Mail to Fax rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Mail to Fax Rules Settings

Mail to Fax Rules Settings - Microsoft Fax

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Mail to Fax Rules ››

This section provides information about settings, that you can do in the Mail to Fax Rule dialog.

  • General Settings
  • Receipts Settings
  • Attachments Settings
  • Cover Pages Settings
  • Sender Information Settings
  • Schedule Settings
  • E-mail Templates Settings


General Settings

General Settings (Mail to Fax Rule, Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

General Settings

E-mail address

The settings in this area allow to specify the E-mail address pattern for which the rule applies. The rule can be applied to single e-mail address, to the group of e-mails with the specified domain part or to all e-mail addresses.

E-mail address

If this option selected, the rule applies to single e-mail address.

<Address Book>

Click this button to select e-mail address from Address Book (Windows Contacts). When using this option, the Sender Information for the selected contact can be also imported from the Address Book.

E-mail group

If this option selected, the rule applies to the group of e-mails with the specified domain part.

Any e-mail address

If this option selected, the rule applies to all e-mail addresses.

Type of rule

The settings in this area allow to specify the type of rule. The rule can allow or deny the using of Mail to Fax functionality for the specified e-mail address(es).

Allow

If this option selected, the Mail to Fax function processes e-mails from the specified e-mail address(es).

Deny

If this option selected, the Mail to Fax function does not process e-mails from the specified e-mail address(es).


Receipts Settings

Receipts Settings (Mail to Fax Rule, Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Receipts Settings

On this page you can override the default settings for fax delivery notifications specified in the Delivery Receipts Settings (Mail to Fax) .

Use default Mail to Fax settings

If this option checked, the default settings for fax delivery notifications are used.

Click to configure e-mail templates

Click to switch to the Templates page.

Delivery Receipts

In this area, you can specify custom settings for fax delivery notifications that will be applied to the current rule only.

Delivery notification to user e-mail address

Specifies whether to send a notification of a successful or failed fax delivery to the sender's e-mail address.

Attach a copy of the sent fax in the following format

Specifies whether a copy of the sent fax should be attached to the e-mail message. Select the file format in which you want to receive a copy of the sent fax. Can be TIFF, PDF or SFF. Note that this option is ignored in the case of any errors in the fax job creation (not possible to convert your original document into the fax format, the specified fax number is invalid, e-mail address is blocked etc.). In this case the delivery notification is always sent without fax attachment.

The options below are responsible for how file names are generated for the attached faxes.

Use Default Filename Template (FAX...)

Select this option to use default filename template with the current rule. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected format).

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %RecipientName%. The name of the recipient.
      • %DocumentName%. If the fax is generated by the Mail to Fax - Microsoft Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string.
      • %Subject%. Contains the contents of the subject field on the cover page of the fax.
      • %PagesTotal%. The total number of pages in the fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
      • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as TSID specified in the Sender Information Settings , or it is specified by the settings of the fax device that was used for fax transmission.
      • %SubmissionTime%. The time that the fax was submitted for processing.
      • %OriginalScheduledTime%. The time that the fax was originally scheduled for transmission.
      • %StartTime%. The time that the fax began transmitting.
      • %EndTime%. The time that the fax completed transmission.
      • %Duration%. The duration of the fax transmission.
      • %Retries%. In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %DeviceName%. The name of the device on which the fax message was transmitted. Example: Fax Voip 14.4K TAPI Voice-Fax Modem #2.
      • %Status%. Operation completion code. Examples: OK (in the case of a successful fax sending), NO_ANSWER, BUSY.
      • %FaxMessageID%. The unique identifier for the outbound fax.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use System.Net.Mail method for sending e-mail messages.


Attachments Settings

Attachments Settings (Mail to Fax Rule, Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Attachments Settings

On this page you can override the default settings for e-mail attachments specified in the Mail to Fax Settings .

Use default Mail to Fax settings

If this option checked, the default settings for e-mail attachments are used.

Attachment types

In this area, you can specify custom settings for e-mail attachments that will be applied to the current rule only.

Allow any file types as e-mail attachments

If this option is selected, Mail to Fax will accept e-mails with any attachments. Please note that this in no way guarantees that your document will be correctly converted and faxed. See also in the E-mail attachments chapter of this user manual.

Allow only the specified file extensions

If this option is selected, Mail to Fax will only accept e-mail attachments with specified file extensions. Enter the file extensions in the text box below. The file extensions should be separated by a semicolon. Example: .TIF;.PDF;.TXT.


Cover Pages Settings

Cover Pages Settings (Mail to Fax Rule, Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Cover Pages Settings

On this page you can override the default settings for cover pages specified in the Cover Pages Settings (Mail to Fax) .

Use default Mail to Fax settings

If this option checked, the default settings for cover pages are used.

Click to configure sender information

Click to switch to the Sender page.

Cover Pages

In this area, you can specify custom settings for fax cover pages that will be applied to the current rule only.

Include cover page with faxes

Specifies whether the cover page will be added to the document and sent as the first page in the fax when using Mail to Fax function.

Allow to send faxes consisting only of a cover page

Specifies whether you can send faxes consisting only of a cover page when using Mail to Fax function.

Use common cover page template

If this option selected, the common cover page template stored on the fax server will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Notes

  • When using Mail to Fax function, you can specify cover page subject and cover page note in the body part of your e-mail message. The recipient name, as well as the recipient fax number can be specified in the subject of your e-mail message. See details in the Sending Cover Pages chapter of this user manual.
  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (Mail to Fax Rule) chapter of this user manual.


Sender Information Settings

Sender Information Settings (Mail to Fax Rule, Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Sender Information Settings

Sender information is displayed on cover pages. The Fax ID (TSID) is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. Company name and Fax ID (TSID) are also displayed at the top of each faxed page (Fax Headline).

On this page you can override the default settings for sender information specified in the Sender Information Settings (Mail to Fax) .

Use default Mail to Fax settings

If this option checked, the default settings for sender information are used.

Sender Information

In this area, you can specify custom settings for sender information that will be applied to the current rule only.

Use default sender information when using Mail to Fax function

If this option selected, the default sender information specified in the Windows Fax and Scan software (Tools -> Sender Information...) is used. You should understand that default sender information depends on the user account under which the Fax Voip (Fax Voip MsFax Mail service) is started.

Use the following sender information when using the Mail to Fax function

If this option selected, the Mail to Fax function uses the sender information specified below.

<Address Book>

Click this button to import sender information for the specified e-mail address from Address Book (Windows Contacts).

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

Title

The title associated with the sender.

Company

The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline). The Fax Headline is limited to 50 characters.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Fax ID (TSID)

The transmitting station identifier (TSID) for the sender's device. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters. Note that depending on the fax server settings, this option can be ignored and TSID specified in the settings of the fax device is actually transmitted, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.

Billing code

The billing code associated with the sender.

Notes

  • In the case of using Mail to Fax - Microsoft Fax function, the e-mail address, associated with the sender, that also can be displayed on the cover page is forcibly extracted from the e-mail message. The e-mail address, specified in the Windows Fax and Scan software (Tools -> Sender Information...) is ignored.


Schedule Settings

Schedule Settings (Mail to Fax Rule, Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Schedule Settings

On this page you can override the default settings for fax priority and schedule specified in the Mail to Fax Settings .

Use default Mail to Fax settings

If this option checked, the default settings for fax priority and schedule are used.

Priority and Schedule

In this area, you can specify custom settings for fax priority and schedule that will be applied to the current rule only.

Set priority

Specify the priority to use. All faxes that have a high priority will be sent before a fax that has a normal or a low priority. All faxes that have a normal priority will be sent before a fax that has a low priority. The default priority is normal.

Schedule faxes when discount rates apply

Specify if the fax should be sent when discount rates apply. On Windows Server computer, discount rate settings can be configured in Microsoft Fax Service Manager (Fax (Local) -> Properties -> Outbox). On Windows 10 (Windows 8.1, Windows 7) computer, discount rate settings can be configured in Windows Fax and Scan application (Tools -> Fax Settings -> Advanced).


E-mail Templates Settings

E-mail Templates Settings (Mail to Fax Rule, Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Email Templates Settings

On this page you can override the default settings for e-mail templates, see in the E-mail Templates chapter of this user manual.

Use default e-mail templates settings

If this option checked, the default settings for e-mail templates are used.

E-mail Templates

In this area, you can specify custom settings for e-mail templates that will be applied to the current rule only.

Select Template

Use this drop-down list to select the template you want to edit. You can configure the following e-mail templates: Fax successfully sent (Microsoft Fax Service), Failed to send a fax (Microsoft Fax Service), Failed to create fax (audio) job.

Use Default Template

Check this box if you don’t want to customize the selected template. The e-mail template embedded into the program code will be used in this case.

To customize the selected template, see notes below.

Notes

  • For more information on how to configure Fax successfully sent (Microsoft Fax Service) template, see E-mail Templates: Fax successfully sent (Microsoft Fax Service) . Settings for the Mail to Fax rule should be made in the same way.
  • For more information on how to configure Failed to send a fax (Microsoft Fax Service) template, see E-mail Templates: Failed to send a fax (Microsoft Fax Service) . Settings for the Mail to Fax rule should be made in the same way.
  • For more information on how to configure Failed to create fax (audio) job template, see E-mail Templates: Failed to create fax (audio) job . Settings for the Mail to Fax rule should be made in the same way.


Sending faxes from e-mails

Sending faxes from e-mails (Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ››

This section provides you with the necessary information on using Mail to Fax - Microsoft Fax function.

To create and send fax e-mail, see Composing of e-mail message .

To send faxes with cover pages, see Sending Cover Pages .

Supported e-mail attachments are discussed in the E-mail attachments chapter.

To use PDF files as e-mail attachments, see Using PDF files as attachment .

To configure a list of e-mail users that can use Mail to Fax function, see Blocking e-mail addresses .

For information about e-mail notifications of a successful or failed fax delivery, see E-mail notifications .

For information related to running Mail to Fax function as a Windows Service, see Using Mail to Fax as Windows Service .

Notes

  • To send faxes and audio messages using Mail to Fax (Mail to Audio) - Built-in lines function, please read Sending faxes and audio messages from e-mails (Built-in lines) chapter of this user manual.


Composing of e-mail message

Composing of e-mail message (Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Sending faxes from e-mails ››

To send a fax e-mail, you need to create an e-mail containing the following mandatory elements:

  • To: The e-mail address configured on the Fax Voip POP3 / IMAP Settings to accept fax e-mails (e.g. faxserver@t38faxvoip.com).
  • Subject: The subject line is used to determine the numbers you wish to send the fax to (e.g. 14256681718). You can specify not only Recipient Fax Number but also the Recipient Name (e.g. 16317801544<Andreas Grein>). You can also specify several fax recipients which should be separated by semicolons (e.g. 14256681718;16317801544<Andreas Grein>). The Recipient Name is usually displayed on fax cover page, see also in the Sending Cover Pages chapter of this user manual.
  • The email body. You can to leave this field empty. Optionally, you can specify cover page subject and cover page note in the body part of your e-mail message. See details in the Sending Cover Pages chapter of this user manual.
  • Attachments. The actual fax content is taken from the attachment. You can attach one or more files that will be merged into a single fax message. Note that sending multiple e-mail attachments is supported if only Fax Voip installed on Windows Vista and later. Supported file formats that can be converted into the fax are discussed in the E-mail attachments chapter. In the case of sending a fax consisting only of a cover page, you should not attach files to your e-mail message.

Notes

  • Sending multiple e-mail attachments is not supported if Fax Voip installed on Windows XP or Windows Server 2003. In this case, the 'Sending more than one fax document is not supported on this server' error will be returned in the fax delivery notification via e-mail when trying to send more than one attachment.


Sending Cover Pages

Sending Cover Pages (Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Sending faxes from e-mails ››

Mail to Fax - Microsoft Fax function allows you to use fax cover pages when sending faxes from e-mail. A cover page contains user-specified information about a fax sender and a recipient, and often a short message, together with system information, such as transmission date and time.

To specify common or personal cover page template to be used, see Cover Pages Settings (Mail to Fax) . The Include cover page with faxes option is responsable for adding the cover page to the fax document. The Allow to send faxes consisting only of a cover page option allows you to send single-page faxes in which the fax message is included as a cover page note. The settings for cover pages can be personalized for different sender e-mail addresses by using Mail to Fax Rules , see also Cover Pages Settings (Mail to Fax Rule) .

To specify sender information to be displayed on cover pages, see Sender Information Settings (Mail to Fax) . The sender information can be personalized for different sender e-mail addresses by using Mail to Fax Rules , see also Sender Information Settings (Mail to Fax Rule) . Note, that the e-mail address, associated with the sender, that also can be displayed on the cover page is forcibly extracted from the e-mail message.

The Recipient Name, as well as the Recipient Fax Number should be specified in the subject line of your e-mail message, see picture below.

Cover page subject and cover page note should be included in the body part of your e-mail message. The string that contains the contents of the cover page subject should be enclosed in square brackets and placed above the text that contains the contents of the cover page note. Empty strings in the beginning of the text and also between the subject and the note are ignored. The figure below shows how to create an e-mail message.

The figure below shows the cover page after faxing.


E-mail attachments

E-mail attachments (Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Sending faxes from e-mails ››

When using Mail to Fax - Microsoft Fax function, the actual fax content is taken from the e-mail attachment. You can attach one or more files that will be merged into a single fax message. Sending multiple e-mail attachments is supported if only Fax Voip installed on Windows Vista and later.

By default, the Fax Voip does not impose any restrictions on the types of attachments that you can use. Unfortunately, this in no way guarantees that your document will be correctly converted and faxed. To avoid undesirable problems, please test Mail to Fax function with different attachment types on your computer, configure your operating system (if necessary) and then specify file extensions that will be used with Mail to Fax in Fax Voip settings. The information below will help you to configure your system.

Your document (e-mail attachment) can be converted into a fax in two different ways:

  • Using Direct Converting to Fax feature.
  • Printing in the background (printto function) using standard Fax printer included in Windows Fax Service.

Direct Converting to Fax

Direct Converting to Fax feature allows to convert some of the most popular graphics file formats into compatible fax format (TIFF). Installing the application associated with the required file extension is not necessary. Supported file extensions: *.PDF, *.TIF, *.TIFF, *.SFF, *.QFX, *.BMP, *.JPG, *.JPEG, *.GIF, *.PNG, *.ICO, *.WMF, *.EMF. To use Direct Converting to Fax for the specified attachment type, flag the corresponding file extension in the Fax Voip Control Panel (Fax -> Fax Converter), see details in the Convert to Fax Settings chapter of this user manual.

Printing in the background

If Direct Converting to Fax is not supported and not configured for your file extension (e-mail attachment), Mail to Fax function trying to print it in the background using Fax printer. The application associated with the required file extension should be installed and registered on your computer. The associated application should support standard printto command that is used by Windows when printing a file. For example, to print text document (*.txt) notepad.exe application usually used. To print files in different graphics formats shimgvw.dll system library or Paint application typically used. To print files with .doc and .rtf extensions, installation of Microsoft Word is required.

Theoretically, any printable file can be used as e-mail attachment. However, not all is as good as we would like. For example, if you print with Microsoft Word (*. doc, * rtf), printing is not in the background. The associated application can show dialog boxes when printing, this requires the user to participate, which will make it impossible to automatically print the document. Some file types, which are normally printed “manually”, can not be printed in the background. In other words, the situation with printto is strongly dependent on the specific machine and applications installed on it.

The correct printto functionality can be easily fixed for the following file extensions: *.TXT, *.BMP, *.DIB, *.EMF, *.GIF, *.ICO, *.JFIF, *.JPE, *.JPEG, *.JPG, *.JXR, *.PNG, *.RLE, *.TIF, *.TIFF, *.WDP, *.WMF by using Repair ‘printto’ verbs command in the Fax Voip Control Panel (Fax -> Fax Converter), see details in the Printto Options chapter of this user manual. For Windows 10 users, see also To manually fix file associations on Windows 10 .

In the case of unsuccessful printing of your document (e-mail attachment), Mail to Fax function trying to use Direct Converting to Fax (if supported for this file extension).

In the case of unsuccessful printing, you typically may encounter two types of errors. In the first case, the Mail to Fax subsystem immediately returns 'No application is associated with the specified file for this operation' error in the fax delivery notification via e-mail. In the second case, the Mail to Fax subsystem returns 'The wait operation timed out' after 5 minutes of waiting, during which the Mail to Fax subsystem hangs. Such a long wait time is due to the internal timeout in FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods (Fax Service API) and can not be easily fixed in our application. For this reason, we recommend to block file extension by using Allow only the specified file extensions option (see below) or use Direct Converting to Fax feature for this file type (if possible).

To configure Mail to Fax to operate with specified e-mail attachments only

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax (MS Fax).

3. Select Allow only the specified file extensions option. Enter the file extensions in the text box on the right. The file extensions should be separated by a semicolon. Example: .TIF;.PDF;.TXT.

4. Click <Apply> button. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

The settings for e-mail attachments can be personalized for different sender e-mail addresses by using Mail to Fax Rules , see also Attachments Settings (Mail to Fax Rule) .

Notes

  • It is strongly recommended to use Direct Converting to Fax function if this is possible with file type you want to use. In the case of using Direct Converting to Fax, additional tests and installing the application associated with selected file type not required.
  • To fix printto associations for standard file extensions, use Repair ‘printto’ verbs function. See in the Printto Options chapter of this user manual. For Windows 10 users, see also To manually fix file associations on Windows 10 .
  • Please note, that due to design of the Windows Fax Service software, the background printing is used in any case. But In the case of using Direct Converting to Fax , the temporary TIFF file (the result of direct converting) will be printed instead of original document (e.g. PDF).


Using PDF files as attachments

Using PDF files as attachments (Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Sending faxes from e-mails ››

Adobe Portable Document Format (PDF) is one of the most popular formats when working with faxes. Therefore, we have to consider this topic separately. When using Mail to Fax feature, two different methods can be used, when preparing the fax from the original PDF document:

  • Direct Converting to Fax of your PDF document (recommended)
  • Printing the original PDF document (printto function) using standard Fax printer included in Windows Fax Service.

To use Direct Converting to Fax (recommended)

1. Open Fax Voip Control Panel.

2. Click Fax in TreeView, then click Fax Converter.

3. In the Select file types to be converted to fax format directly list, select the check box next to the Adobe PDF file type, to use direct converting for PDF files.

4. Click <Apply> button. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

To print PDF files using printto

If Direct Converting to Fax is disabled for PDF files, Fax Voip automatically prints PDF file using the standard program specified on your system for viewing and printing PDF files. Usually it is Adobe Acrobat Reader. Since version 8 of the Adobe Reader it has changed behavior when used to print PDF documents automatically. It will no longer close itself after being called using ShellExecute(printto, ...) API function. In this situation, PDF files can not be used as e-mail attachments.

Nevertheless, there is a solution to this issue. More information can be found at http://www.biopdf.com/ :

http://www.biopdf.com/acrowrap/close_adobe_reader.php

You need to download and install Acrobat Wrapper . In this case the Adobe Reader will be closed correctly after “printing”.

If you use Adobe Reader with Mail to Fax function for processing mails with PDF attachments, the following should be taken into account:

  • To automatically close PDF files after printing, the last version of Acrobat Wrapper should be installed after the installation of Adobe Reader.
  • The last Adobe Reader versions tested with current version of Acrobat Wrapper are Adobe Reader X version 11.0.23 and Adobe Reader DC 2021.001.20155.
  • After any updates of Adobe Reader you must to reinstall Acrobat Wrapper. In this regard, it is desirable to disable the automatic update of Adobe Reader.
  • The described method usually does not work on new operating systems, such as Windows 10, Windows 8/8.1 or Windows 7, in the case of configuring Mail to Fax as Windows Service regardless of the version of Adobe Reader and Acrobat Wrapper.

To download and install Adobe Reader do the following:

1. Go to this web page at adobe site: Download new and previous versions of Adobe Reader .

2. Select the operation system and the language. In the Select a version field select Reader 11.0.XX English for Windows or Reader DC 2021.X.X English for Windows. We recommend you to uncheck Google Chrome and Google Toolbar options, not clear if you need them.

3. Click Download now button and follow the installation instructions.

Notes

  • All the problems associated with 'print PDF files using printto' feature can not be considered as errors in the Fax Voip software. The recommendations in this chapter are provided 'AS IS' and any claims relating to this function are not considered by our support team.
  • To resolve problems arising as a result of failed tests, follow the instructions in the Mail to Fax Troubleshooting chapter of this user manual.


Blocking e-mail addresses

Blocking e-mail addresses (Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Sending faxes from e-mails ››

By default, Mail to Fax - Microsoft Fax function handles fax e-mails received from any e-mail address. This is not a good practice, since anyone who knows the e-mail address of the Fax Voip server can send unauthorized faxes. To avoid this, we strongly recommend that you set up a list of e-mail users who are allowed to use the Mail to Fax functionality. This task can be easily done with the help of Mail to Fax Rules .

To block an e-mail address

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax (MS Fax), then click Customization.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Mail to Fax Rule window, on the General page, specify the e-mail address for which the rule applies or select the e-mail address from Address Book (Windows Contacts) by clicking the Address Book button. To apply the rule to the group of e-mails, select E-mail group option and then specify the domain (e.g. gmail.com). To apply the rule to all e-mail addresses, select Any e-mail address option. In the Type of rule area, select Deny. See also in the chapter Mail to Fax Rules Settings , General Settings section.

5. Optionally, you can disable delivery notifications to the blocked e-mail address(es). To do this, on the Receipts page, uncheck Use default Mail to Fax settings option, and then uncheck Delivery notification to user e-mail address option. Otherwise, the e-mail user will receive a notification with 'Sorry, your e-mail address has been blocked...' error when trying to send an e-mail message. See also in the chapter Mail to Fax Rules Settings , Receipts Settings section.

6. Click <OK> button to fix changes.

7. To change the preference order for Mail to Fax rules use Move Up and Move Down commands. One of the entries should be selected.

8. Click <Apply> button to save modified settings for Mail to Fax rules. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

In this example, see the figure above, the using of Mail to Fax function is allowed for any e-mail address with @t38faxvoip.com domain part, except the robby@t38faxvoip.com address, for which the separated Deny rule is created. Note that the rule for 'robby@t38faxvoip.com' is placed before the rule for '*@t38faxvoip.com'. The Deny rule, which applies to all e-mail addresses (*@*), must be placed after all other rules.


E-mail notifications

E-mail notifications (Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Sending faxes from e-mails ››

When using Mail to Fax - Microsoft Fax function, the e-mail user can receive e-mail notifications of a successful or failed fax delivery. To enable or disable delivery notifications, see Delivery notification to user e-mail address option in the Delivery Receipts to user e-mail address (Mail to Fax) - Microsoft Fax chapter of this user manual. The settings can be personalized for different sender e-mail addresses by using Mail to Fax Rules , see also Receipts Settings (Mail to Fax Rule) .

In the case of failed fax delivery, an e-mail notification usually contains the error code and its description. The table below shows tipical errors, as well as some recommendations for troubleshooting.

Error | Error description | How to fix the problem
Fax successfully sent
OK |  |
Failed to send fax
Operation completion code, returned by the fax server. Example: NO_ANSWER. | Error description, returned by the fax server. Example: The receiving device did not answer the call. | Error returned by the fax server not always indicates a real problem (for example, the phone line can be really busy, the call was not answered, the dialed number is not a fax number etc.). In any case these errors are in no way related to Mail to Fax function. Try first to send a fax from the Windows Fax and Scan software. If does not work, configure Fax Voip and Windows Fax Service correct way. Please read this user manual.
Fax Recipients not specified. | At least one fax recipient should be specified in the subject of the e-mail message. | Specify the correct recipient fax number in the subject line of your e-mail message. For more details, see Composing of e-mail message .
Multiple attachments. | Your e-mail contains multiple attachments. Sending more than one fax document is not supported on this server. | Sending multiple e-mail attachments is supported if only Fax Voip installed on Windows Vista and later. For Windows XP or Windows Server 2003, create an e-mail with single attachment.
No attachments in your e-mail. | No attachments in your e-mail or unreadable attachment name. Sending cover pages only option is also disabled for your account. Nothing to send. | Create an e-mail that contains attachment(s), see Composing of e-mail message . Enable the Allow to send faxes consisting only of a cover page option, see Cover Pages Settings (Mail to Fax) . If you sent an e-mail with attachment, but the attachment somehow "lost" (strange...), try changing the type of incoming mail server from IMAP to POP3 or try with another server, see POP3 / IMAP Settings .
File extention not supported. | The file extention... is not supported. Error Index File = ... (with specifying the e-mail attachment name). Please contact the administrator of the fax server to get detailed information about supported formats. | Explicitly specify the extension of your file next to the option Allow only the specified file extensions or select Allow any file types as e-mail attachments option. For more details, see Mail to Fax Settings and E-mail attachments .
The document could not be converted into fax. | Error returned by the Direct Converting to Fax function ... Error Index File = ... (with specifying the e-mail attachment name that caused the error). | Most likely your file is corrupted.
Failed to submit fax job. Invalid attachment. | Error returned by the FaxDocument.ConnectedSubmit or FaxDocument.ConnectedSubmit2 methods (Fax Service API), usually 'No application is associated with the specified file for this operation' ... Error Index File = ... (with specifying the e-mail attachment name that caused the error). | Install the application associated with the required file extension. The associated application should support standard printto command that is used by Windows when printing a file. For more details, see E-mail attachments .
Failed to submit fax job. | Error returned by the FaxDocument.ConnectedSubmit or FaxDocument.ConnectedSubmit2 methods (Fax Service API), not associated with e-mail attachment file. | The solution to the problem depends on error returned.
Your e-mail address has been blocked.
Incorrect Sender e-mail. | Sorry, your e-mail address has been blocked. Please contact administrator of the server. | The e-mail address is blocked by the Mail to Fax Rules . For more details, see Blocking e-mail addresses .


Mail to Fax as Windows Service

Using Mail to Fax as Windows Service (Microsoft Fax)

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ›› Sending faxes from e-mails ››

The Fax Voip application, and also Mail to Fax - Microsoft Fax system can be configured as a Windows Service. The services can be automatically started on Windows startup, before user logon. This option is useful for multi-user systems. To properly configure Mail to Fax subsystem when running as a Windows Service, see Configure Mail to Fax (Mail to Audio) systems as Windows Service chapter of this user manual.

Run the service under user account

It is strongly recommended to run Fax Voip MsFax Mail service on behalf of the regular user account, and not under the local system or network service accounts. There are at least two reasons for this:

  • Ability to view and manage faxes generated by the service in Windows Fax and Scan application
  • Ability to configure file type associations (responsible for the correct printing of various documents)

Viewing and managing faxes in Windows Fax and Scan

The current user does not have access to faxes created by the other user. If the Fax Voip MsFax Mail service is started under Local System account, the faxes will also be created using Local System account. You are not able to view and manage faxes in the Windows Fax and Scan application in this case. There is no normal solution to this problem. You can do certain manipulations on the Fax Properties -> Security page, but this does not solve all the problems that you will encounter. If the Fax Voip MsFax Mail service is started under the specified user account, the specified user will be able to view and manage faxes generated by the service in the usual way (when logged into the system). Note that only one user (under which the service is running) can access the faxes.

Configuring file type associations

When creating a fax from your document, the Mail to Fax function trying to print the document in the background using Fax printer. The success of this operation is specified by the presence of the application associated with the required file extension that should be installed and correctly registered on your computer. The associated application should support standard printto command that is used by Windows when printing a file. The file type associations, responsible for the correct printing of various documents, can be easily configured for the current user account. However, there is no easy way to configure file type associations for the local system or network service accounts. If the Fax Voip MsFax Mail service is started under Local System account, the Mail to Fax function does not see your settings and usually not able to print the document. If the Fax Voip MsFax Mail service is started under the specified user account, the specified user can configure file type associations in the usual way (when logged into the system).

For more details, see also the folllowing chapters of this user manual: E-mail attachments , Printto Options , To manually fix file associations on Windows 10 .

Notes

  • When configuring Mail to Fax to use different e-mail attachments, always make tests under current user account before you re-configure Mail to Fax subsystem to be started as a Windows Service.
  • Repeat your tests after reconfiguring Mail to Fax subsystem to be started as a Windows Service.


To view Mail to Fax log

To view Mail to Fax log - Microsoft Fax

Fax Voip Control Panel ›› E-mail ›› Mail to Fax - Microsoft Fax ››

1. Open Fax Voip Control Panel.

2. Click Options in TreeView, then click E-mail Logs. Then select Enable Mail to Fax and Outgoing Routing Methods debug logging - Microsoft Fax option.

3. To automatically remove debug log file on Mail to Fax system (Fax Voip MsFax Mail service) startup, select Clear log at Mail to Fax service startup option.

4. Click <Apply> button.

To view Mail to Fax log click <View> button near the Enable Mail to Fax and Outgoing Routing Methods debug logging - Microsoft Fax checkbox.

Notes

  • To view detailed information about receiving e-mail messages, use Enable Receive Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.
  • To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.


Mail To Fax Troubleshooting

Fax Voip Control Panel ›› E-mail ››

  • Frequently Asked Questions (FAQ)
  • To view Mail to Fax (Mail to Audio) log - Built-in lines
  • To view Mail to Fax log - Microsoft Fax
  • General instructions for recovery of Mail to Fax function
  • Using e-mail attachments with file names in national languages


Frequently Asked Questions

Frequently Asked Questions (FAQ)

Fax Voip Control Panel ›› E-mail ›› Mail To Fax Troubleshooting ››

In the Fax Voip configuration I see 'Mail to Fax (Mail to Audio) - Built-in lines' and 'Mail to Fax - Microsoft Fax'. What's the difference between them? Which of these two functions should I use?

Briefly, Mail to Fax (Mail to Audio) - Built-in lines function uses Fax Voip built-in lines and Fax Voip Console application to send faxes and audio messages (Fax Voip built-in VOIP/ISDN Fax/Audio Lines license is required). Mail to Fax - Microsoft Fax function uses Windows Fax Service and Windows Fax and Scan application to send faxes (Fax Voip Virtual COM Ports (modems) license is required). Both functions have similar functionality.

I have configured email2fax but it does not work. I see a fax in the Outbox folder in the Fax Voip Console (in Windows Fax and Scan) but fax transmission always fails. Any suggestions?

The error returned not always indicates a real problem (for example, the phone line can be really busy, the call was not answered, the dialed number is not a fax number etc.). In any case, this in no way related to Mail to Fax function. Try first to send a fax from Fax Voip Console (from the Windows Fax and Scan software). If does not work, configure Fax Voip correct way. Please read this user manual.

I have a problem with email2fax service. When I send some PDF attachment I receive reply from system: 'Description: No attachments in your mail or unreadable attachment name... Nothing to send'. This problem does not apply to all attachments...

Try changing the type of incoming mail server from IMAP to POP3 or try with another server, see POP3 / IMAP Settings . Depending on the IMAP server and its settings, you may encounter this problem.

When I send DOC attachment I receive the following error: 'Failed to submit fax job. Invalid attachment... No application is associated with the specified file for this operation'. ('The document could not be printed or converted into the fax'.) How to fix?

Try to install the application associated with the required file extension. The associated application should support standard printto command that is used by Windows when printing a file. For example, to print files with .doc and .rtf extensions Microsoft Word should be installed on your computer where you have Fax Voip. For more details, see E-mail attachments (Built-in lines) and E-mail attachments (Microsoft Fax) .

When I send my attachment, email2fax (Microsoft Fax) hangs. Then I receive the following error: 'Failed to submit fax job. Invalid attachment... The wait operation timed out'. Why?

The Mail to Fax subsystem is not able to print your document and for some reason not able to return error immediately. It returns 'The wait operation timed out' after 5 minutes of waiting, during which the Mail to Fax subsystem hangs. Such a long wait time is due to the internal timeout in FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods (Fax Service API) and can not be easily fixed in our application. For this reason, we recommend you to block file extension by using Allow only the specified file extensions option (see in the E-mail attachments chapter) or use Direct Converting to Fax feature for this file type (if possible). In the case of using Mail to Fax (Mail to Audio) - Built-in lines function, the similar timeout for printing is 30 seconds.

Can I use e-mail attachments with filenames in Polish? It will be quite difficult to force 70 users in polish office to stop using polish chars...

The Fax Voip supports Unicode starting with version 7.1.1. The bug with the inability to work with PDF file names in Unicode (not in English) when using direct converting from PDF into TIFF, fixed in version 7.6.1. Thus you are unlikely to have problems because of this if you are using the latest Fax Voip version. But if you are in doubt, configure your system to support the Polish language, see Using e-mail attachments with file names in national languages .

Can I send Cover Pages with email2fax function?

Yes. This feature was added in Fax Voip version 8.1.1.

Can I use multiple e-mail attachments to be merged into a single fax message when using email2fax?

Yes. This feature was added in Fax Voip version 8.1.1.

Is it possible to customize the behavior of email2fax, depending on the sender's e-mail address?

Yes. This feature was added in Fax Voip version 8.1.1. For more details, see Mail to Fax (Mail to Audio) Rules - Built-in lines and Mail to Fax Rules - Microsoft Fax .

We can’t send outgoing faxes anymore through e-mail. Stopping and starting the service didn’t help...

Follow General instructions for recovery of Mail to Fax function .


Recovery of Mail to Fax function

General instructions for recovery of Mail to Fax function

Fax Voip Control Panel ›› E-mail ›› Mail To Fax Troubleshooting ››

As a result of failed experiments with various types of email attachments you may encounter situations when the mails are no longer accepted by Fax Voip and the Mail to Fax function does not work (it is assumed that all POP3 / IMAP Settings are correct). When this happens, an increased CPU usage may be displayed.

Examine the Mail to Fax (Mail to Audio) log - Built-in lines

1. Follow the instructions in the To view Mail to Fax (Mail to Audio) log - Built-in lines chapter to enable logging.

2. In the Fax Voip Control Panel, click <STOP> and then <START> to restart Mail to Fax (Mail to Audio) subsystem (Fax Voip Internal Mail service).

3. Wait at least 30 seconds. 'Printing... Failed. Timeout expired.' may be returned after 30 seconds of waiting (internal timeout), during which the Mail to Fax (Mail to Audio) subsystem hangs. This will be reflected in the log file and you will be able to fix the problem by blocking the bad file extension which caused an error, see in the E-mail attachments (Built-in lines) chapter of this user manual.

4. Click Options in TreeView, then click E-mail Logs. To view the log, click <View> button near the Enable Mail to Fax (Mail to Audio) debug logging - Built-in lines checkbox.

5. Examine the log file and try to fix the problem. You can also send the log file to our support team by e-mail.

Examine the Mail to Fax log - Microsoft Fax

1. Follow the instructions in the To view Mail to Fax log - Microsoft Fax chapter to enable logging.

2. In the Fax Voip Control Panel, click <STOP> and then <START> to restart Mail to Fax subsystem (Fax Voip MsFax Mail service).

3. Wait at least 5 minutes. The internal timeout of FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods (Fax Service API) is 5 minutes and this can not be easily fixed in our application. 'The wait operation timed out' may be returned after 5 minutes of waiting, during which the Mail to Fax subsystem hangs. This will be reflected in the log file and you will be able to fix the problem by blocking the bad file extension which caused an error, see in the E-mail attachments (Microsoft Fax) chapter of this user manual.

4. Click Options in TreeView, then click E-mail Logs. To view the log, click <View> button near the Enable Mail to Fax and Outgoing Routing Methods debug logging - Microsoft Fax checkbox.

5. Examine the log file and try to fix the problem. You can also send the log file to our support team by e-mail.

Try to disable 'Run Fax Voip as Windows service'

1. Open Fax Voip Control Panel.

2. Click Options in TreeView.

3. Unheck the Run Fax Voip as Windows service option and then click <Apply>.

4. Click <START>.

5. See if the problem has disappeared. Examine the log file.

Delete temporary files

1. Open Fax Voip Control Panel.

2. Click <STOP> button to stop Fax Voip.

3. In Windows Explorer open the *{CommonAppDataFolder}\FaxVoip folder, usually 'C:\ProgramData\FaxVoip'. The simplest way to do this is to select Open Fax Voip Folder (Inbox) command from the Fax Voip Tray Menu and then click Up button in the Windows Explorer window.

4. In the Fax Voip data folder find the folder *{CommonAppDataFolder}\FaxVoip\attach, usually 'C:\ProgramData\FaxVoip\attach', and open it. If there are any files in that folder, delete them. To investigate the problem, you can copy the existing files to another location before deleting, and then send them to our support team by e-mail.

5. In the Fax Voip data folder find the folder *{CommonAppDataFolder}\FaxVoip\mail, usually 'C:\ProgramData\FaxVoip\mail', and open it. If there are any files in that folder, delete them. To investigate the problem, you can copy the existing files to another location before deleting, and then send them to our support team by e-mail.

6. In the Fax Voip Control Panel, click <START>.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. On Windows XP the name of this folder is usually C:\Documents and Settings\All Users\Application Data. On Windows Vista, Windows 7, Windows 8/8.1, Windows 10, Windows Server 2008/2008R2, Windows Server 2012/2012R2, Windows Server 2016 and Windows Server 2019 the name of this folder is usually C:\ProgramData.
  • The Mail to Fax function is based on possibility of your system to use the printto function with different types of documents (e-mail attachments). The behavior with different types of attachments depends on your system and software installed. For more details, see also the folllowing chapters of this user manual: E-mail attachments (Built-in lines) , E-mail attachments (Microsoft Fax) , Printto Options , To manually fix file associations on Windows 10 . All the problems associated with specified attachment type can not be considered as errors in the Fax Voip program.
  • Mail To Fax function is provided 'AS IS'. Should understand that it is not the main function in our application. We are always ready to help you to solve different problems with Mail To Fax but any claims relating to this function are not considered by our support team.


E-mail attachments with file names in national languages

Using e-mail attachments with file names in national languages

Fax Voip Control Panel ›› E-mail ›› Mail To Fax Troubleshooting ››

Note that Fax Voip supports Unicode. Thus, you should not encounter problems described in this chapter and may use any file names for your e-mail attachments. Nevertheless the information below can be useful.

When sending faxes as email attachments, users often use long file names and write the names of files in their native language, such as Polish or Russian. Examples of files with such names are displayed in the picture below.

It is recommended that you use short file names written in English. If you still want to use your native language and have problems with such files, configure your operating system to support your language. The following examples illustrate how to do this for the Polish and Russian languages.

To configure Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2 do the following:

1. On Windows 10, Windows 8/8.1 or Windows Server 2019/2016/2012/2012R2 switch to Search pane, type control panel, and then click Control Panel. On other systems click Start, point to Control Panel.

2. In the Control Panel click Region (Region and Language).

3. In the Region (Region and Language) window select Administrative page.

4. On the Administrative page, in the Language for non-Unicode programs area click Change system locale.

5. In the Region Settings (Region and Language Settings) window select your national language, for example Polish (Poland).

6. Click OK.

7. In the Change System Locale dialog window click Restart now to restart the computer.

To configure Windows XP or Windows Server 2003 do the following:

1. Click Start, point to Control Panel, click Regional and Language Options.

2. Switch to Advanced panel.

3. In the Language for non-Unicode programs area select your national language, for example Russian.

4. Click Apply. Note that Windows installation CD may be required.

5. In the Change Regional Options dialog window click Yes to restart the computer.


SMTP Settings

Fax Voip Control Panel ›› E-mail ››

SMTP server responsible for sending outgoing e-mail messages. SMTP settings are required for the following Fax Voip functions:

  • Route through e-mail Incoming Routing Method (Built-in lines)
  • Route through e-mail Incoming Routing Method (Microsoft Fax)
  • E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) . Notification of a successful or failed fax or audio message delivery to the predefined e-mail address(es).
  • E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) . Notification of a successful or failed fax delivery to the predefined e-mail address(es).
  • Mail to Fax (Mail to Audio) - Built-in lines . Notification of a successful or failed fax or audio message delivery to the sender's e-mail address.
  • Mail to Fax - Microsoft Fax . Notification of a successful or failed fax delivery to the sender's e-mail address.
  • Delivery Receipts via E-mail (Built-in lines) . Notification of a successful or failed fax or audio message delivery to the predefined e-mail address(es).

SMTP settings may also be required with some other functions of sending faxes and audio messages, if delivery notification via e-mail is used.

It is assumed that you have an e-mail account, received from your Internet service provider or system administrator. Caution! To avoid unexpected problems this account should not be used by other e-mail clients to receive and send regular e-mails.

Send e-mail method

CDO.Message

Select this option, if you want to use Collaboration Data Objects (CDO) for Microsoft Windows 2000 (Cdosys.dll) to send e-mails from Fax Voip. Use this option if your SMTP server requires Implicit SSL connection (usually on port 465). You also need this method to send digitally signed e-mail messages.

System.Net.Mail

If this option selected, .Net Framework method is used to send e-mails. Use this option if your SMTP server requires Explicit SSL with sending STARTTLS command (usually port 587 or 25 used). You also need this method to ignore error if your SMTP server does not have valid SSL certificate.

Sender’s e-mail address

Specifies the e-mail address that Fax Voip use to send e-mails. When Fax Voip sends message, this e-mail address appears in the From box of the outgoing message.

Sender’s name

Specifies the friendly name associated with e-mail address used by Fax Voip. When Fax Voip sends message, this name appears in the From box of the outgoing message. The default name is FaxVoip, but you can leave it blank. In this case, the Sender’s e-mail address will be displayed in the From box instead of the name.

SMTP Server

Specifies your SMTP server for outgoing e-mail messages.

Port

Specifies the port number you connect to on your outgoing e-mail (SMTP) server. This port number is usually 25. In the case of using Implicit SSL connection port number is usually 465. If Explicit SSL with sending STARTTLS command is used, the port number is usually 587 or 25.

My server requires a secure connection (SSL)

Specifies whether to use the Secure Sockets Layer (SSL) security protocol when connecting to the SMTP server. The administrator of Internet service provider for the server will indicate if the SSL requirement exists.

SSL Mode

Implicit

Select this option, if your SMTP server requires Implicit SSL connection (usually on port 465). With this method an SSL session is established up front before any protocol commands are sent. Using this method the error is generated if your SMTP server does not have valid SSL certificate. Implicit SSL mode is implemented via CDO.Message method of sending e-mails.

Explicit (STARTTLS)

Select this option, if your SMTP server requires Explicit SSL (usually port 587 or 25 used). In this mode, the SMTP session begins on an unencrypted channel, then a STARTTLS command is issued by the client to the server to switch to secure communication using SSL. This method ignores error if your SMTP server does not have valid SSL certificate. Explicit SSL mode is implemented via System.Net.Mail method of sending e-mails.

My server requires authentication

Check this checkbox, if your SMTP server requires authentication.

Login

Specifies your SMTP account name. This is usually the same as the part of e-mail address to the left of the at sign (@).

Password

Provides a space to type the password assigned by your Internet service provider.

Send digitally signed e-mail messages

Adds digital signature to all messages that Fax Voip sends. If messages signed, recipients will be able to determine if a message is really from you. The valid digital certificate suitable for the specified Sender’s e-mail address must be installed into the certificate store on your system. It is recommended to install certificate into Local Machine Certificate Store to be possible to use it when Fax Voip is running as a Windows Service. When using this functionality with Route through e-mail Incoming Routing Method (Microsoft Fax) , the Network Service account, under which Windows Fax Service is started, should have read access permissions to your certificate private keys. The recipient does not need a digital ID to view signed messages.

Clear signing

A clear signed message separates the digital signature from the signed data. Non-S/MIME-enabled mail clients can read only clear signed messages. Use this option, when you don't know the recipient's S/MIME capabilities.

Opaque signing

Specifies whether digitally signed message should be encoded to help avoid tampering with the signature. If this option is on, users of e-mail programs that do not support S/MIME will not be able to read signed messages. When you do know that a recipient has S/MIME capability, you can use either clear or opaque signing.

<Certificate>

Click to display a dialog box that contains the properties of an X.509 certificate and its associated certificate chain. If valid certificate associated with specified Sender’s e-mail address not found, the information message is displayed. To be possible to use the certificate when Fax Voip is running as a Windows Service, the valid certificate must be installed into the Local Machine Certificate Store on your system. When using this functionality with Route through e-mail Incoming Routing Method (Microsoft Fax) , the Network Service account, under which Windows Fax Service is started, should have read access permissions to your certificate private keys. If your certificate is installed into the Current User Certificate Store, Fax Voip proposes to install it into the Local Machine Certificate Store. If your certificate is installed into the Local Machine Certificate Store, but Network Service account does not have read access permissions to private keys, Fax Voip proposes to grant read access permissions to private keys for fax service (Network Service account). Follow the instructions of the dialog boxes. Please note, that administrator privileges are required, to check access permissions for Network Service account and to install the certificate into the Local Machine Certificate Store. See more details in the To obtain and install secure e-mail certificate chapter of this user manual.

<Test>

Use this button to run built-in SMTP client for testing your SMTP settings before using.

Notes

  • Implicit SSL connection is supported with only CDO.Message method. Explicit SSL with sending STARTTLS command is supported with only System.Net.Mail method.
  • If your SMTP server does not have valid SSL certificate, use System.Net.Mail method.
  • To send digitally signed messages, use CDO.Message method.
  • To send digitally signed messages, the valid digital certificate suitable for the specified Sender’s e-mail address must be installed in the certificate store on your system. It is recommended to install certificate into Local Machine Certificate Store to be possible to use it when Fax Voip is running as a Windows Service. When using this functionality with Route through e-mail Incoming Routing Method (Microsoft Fax) , the Network Service account, under which Windows Fax Service is started, should have read access permissions to your certificate private keys. Please note that in most cases the enhanced protection of the private key should be disabled when you install your certificate. More information can be found in the To obtain and install secure e-mail certificate chapter of this user manual.
  • Fax Voip sends e-mail messages using UTF-8 encoding.
  • When using CDO.Message method for sending e-mail messages and the presence of unicode characters in the name of the attached file, these characters can be replaced by underlining ' _ '. The problem can be observed when using custom filename templates (implemented in Fax Voip version 8.2.1), usually when choosing a non-standard locale for formatting date and time. For more details see the following chapters: Format Settings (Route through e-mail, Built-in lines) , Format Settings (Route through e-mail, Microsoft Fax) , Format Settings (E-mail Delivery Receipts, Built-in lines) , Format Settings (E-mail Delivery Receipts, Microsoft Fax) , Delivery Receipts to user e-mail address (Mail to Fax/Audio) - Built-in lines , Receipts Settings (Mail to Fax/Audio Rule, Built-in lines) , Delivery Receipts to user e-mail address (Mail to Fax) - Microsoft Fax , Receipts Settings (Mail to Fax Rule, Microsoft Fax) , Delivery Receipts via E-mail (Built-in lines) . To fix the problem, use System.Net.Mail method for sending e-mail messages.
  • To verify your settings, use <Test> button, see in the Testing e-mail sending chapter. To view log, use Enable Send Mail debug logging option, see in the E-mail logs chapter of this user manual.


Obtain and install secure e-mail certificate

To obtain and install secure e-mail certificate

Fax Voip Control Panel ›› E-mail ›› SMTP Settings ››

To send digitally signed e-mail messages, the valid digital certificate suitable for the specified Sender’s e-mail address must be installed in the certificate store on your system. It is strongly recommended to install certificate into Local Machine Certificate Store to be possible to use it when Fax Voip is running as a Windows Service. When using this functionality with Route through e-mail Incoming Routing Method (Microsoft Fax) , the Network Service account, under which Windows Fax Service is started, should have read access permissions to your certificate private keys. If for some reason you install certificate into Current User Certificate Store, the enhanced protection of the private key should be disabled to be possible to sign outgoing messages in the automatic mode. The Fax Voip first trying to find the valid email certificate in Local Machine Certificate Store, and only then in the Current User Certificate Store.

To obtain certificate

Digital certificates are issued by independent certification authorities. When you apply for a digital certificate at a certification authority's Web site, your identity is verified before an ID is issued. There are different classes of digital certificates, each certifying to a different level of trustworthiness. For more information, visit the certification authority's Web site. You can use Free Secure Email Certificate from Sectigo (formerly Comodo CA) or Free Email certificate from Actalis .

After obtaining certificate, it is usually installed in the Current User Personal Certificate Store. To access your certificate, follow these steps:

1. Run Internet Explorer application. On the Tools menu click Internet options.

2. In the Internet Options dialog on the Content page, click Certificates.

3. In the Certificates window select Personal page and then double-click your certificate. Make sure that the information about the presence of the private key is displayed.

Having a valid certificate in the Current User Certificate Store does not provide automatic signing of e-mail messages in the case of running Fax Voip as a Windows Service. The certificate must be installed into the Local Machine Certificate Store. Moreover, when using this functionality with Route through e-mail Incoming Routing Method (Microsoft Fax) , the Network Service account, under which Windows Fax Service is started, should have read access permissions to your certificate private keys. The easiest way is to use the Fax Voip Control Panel to correctly re-install the certificate.

To re-install your certificate into Local Machine Store using Fax Voip Control Panel

It is assumed that the valid digital certificate suitable for the specified Sender’s e-mail address, is already installed into the Current User Certificate Store. To install the certificate into the Local Machine Certificate Store, do the following:

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click SMTP.

3. Click <Certificate> button.

4. In the dialog box window click Yes to install your certificate into the Local Machine Certificate Store and to grant read access to private keys for fax service (Network Service account). Administrator privileges are required.

5. In the next dialog box, click OK.

The subsequent sections show how to manually install the certificate into the Current User Certificate Store (not recommended) or Local Machine Certificate Store. As earlier, it is assumed that the valid digital certificate suitable for the specified Sender’s e-mail address, is already installed into the Current User Certificate Store. You must first export the certificate together with the private key and to store it in the Personal Information Exchange – PKCS #12 (.PFX) file.

To export certificate with private key

1. Run Internet Explorer application. On the Tools menu click Internet options.

2. In the Internet Options dialog on the Content page, click Certificates.

3. In the Certificates window select Personal page and then select your certificate. Click Export. Follow Certificate Export Wizard instructions.

4. On the Export Private Key page, select Yes, export the private key option.

5. On the Export File Format page, select Personal Information Exchange – PKCS #12 (.PFX) option. Select other options, except the option Delete the private key if export is successful as shown in the picture below.

6. On the next page enter password to protect the private key.

7. On the File to Export page specify the name of the file you want to export.

8. On the Completing the Certificate Export Wizard page click Finish to close the wizard.

Upon successful completion of this procedure, you can remove the certificate from Certificate Store if you plan to reinstall it. To do this click Remove in the Certificates window.

To install certificate into Current User Certificate Store (not recommended)

If for some reason you install certificate into Current User Certificate Store, for correct signing of outgoing messages in the automatic mode, the enhanced protection of the private key should be disabled when you install your certificate. In any case, signing will not work in the case of running Fax Voip as a Windows Service, and also with Route through e-mail Incoming Routing Method (Microsoft Fax) .

1. Double-click the .PFX file where your certificate with the private key is saved.

2. In the Certificate Import Wizard, on the first page select Current User option. Click Next and follow instructions.

3. On the Private key protection page, in the Import options area uncheck Enable strong private key protection option as shown in the picture below. If you do not do this, Fax Voip will not be able to automatically sign outgoing messages. Enter password for the private key. You can flag other available options if you want. Click Next.

4. On the Certificate Store page choose Automatically select the certificate store based on the type of certificate option. Click Next.

5. On the Completing the Certificate Import Wizard page click Finish to close the wizard.

To install certificate into Local Machine Certificate Store (recommended)

1. Double-click the .PFX file where your certificate with the private key is saved.

2. In the Certificate Import Wizard, on the first page select Local Machine option. Click Next and follow instructions. To install certificate into Local Machine Certificate Store, administrator privileges are required.

3. Follow Certificate Import Wizard instructions.

4. On the Private key protection page, enter password for the private key. You can flag available options in the Import options area if you want. Click Next.

5. On the Certificate Store page choose Automatically select the certificate store based on the type of certificate option. Click Next.

6. On the Completing the Certificate Import Wizard page click Finish to close the wizard.

To access certificates installed into Local Machine Certificate Store

1. Open a Command Prompt window.

2. Type mmc and press the ENTER key. Note that to view certificates in the local machine store, you must be in the Administrator role.

3. On the File menu, click Add/Remove Snap In.

4. In the Add or Remove Snap-ins dialog box, in the Available snap-ins list select Certificates. Click Add.

5. In the Certificates snap-in dialog box, select Computer account and click Next.

6. In the Select Computer dialog box, click Finish.

7. On the Add or Remove Snap-ins dialog box, click OK.

8. In the Console Root window, click Certificates (Local Computer) to view the certificate stores for the computer.

9. (Optional). On the File menu, click Save or Save As. Save the console file for later reuse.

Providing access to certificate private keys for fax service

1. Open the mmc Certificates snap-in, as shown in the previous section.

2. Right click your certificate. On the context menu, select All Tasks and then click Manage Private Keys... .

3. In the Permissions for ... private keys window click Add... .

4. In the Select Users or Groups dialog, enter NETWORK SERVICE and then click Check Names. Click OK.

5. In the Permissions for ... private keys window, in the Group or user names list, select NETWORK SERVICE. Grant Read access permissions for Network Service account, as shown in the picture below. Click Apply.

To view certificate in Fax Voip application

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click SMTP.

3. To view certificate click <Certificate> button. If valid certificate associated with specified Sender’s e-mail address found, it will be displayed. To verify access permissions for Network Service account, administrator privileges are required.


Testing e-mail sending

Testing e-mail sending with built-in SMTP client

Fax Voip Control Panel ›› E-mail ›› SMTP Settings ››

1. Open Fax Voip Control Panel.

2. You can use Enable Send Mail debug logging option to view e-mail sending log. To activate log option click Options in TreeView, then click E-mail logs. Then select Enable Send Mail debug logging option and click <Apply> button.

3. Click E-mail in TreeView, then click SMTP.

4. Click <Test> button to run built-in SMTP client. When sending digitally signed message, the certificate icon is displayed in the upper left corner of the Sending Test Mail window. The Log checkbox in the lower left corner indicates that Enable Send Mail debug logging option is active.

5. Specify the recipient's e-mail address in the To text box. You can specify not only e-mail but also the name of the recipient. You can also specify multiple recipients which should be separated by a semicolon. Example: sales@company.com;Support<support@company.com>. In the Cc and Bcc text boxes, you can specify the e-mail recipients that appear in the Cc and Bcc boxes of e-mail message respectively. Use <To>, <Cc> and <Bcc> buttons to select e-mail recipients from Address Book (Windows Contacts).

6. Change the text in the Subject field if you want.

7. Change the text in the main text field if you want to send a message with another mail body.

8. To select attachment, click <Attach> and choose the file that you want to send. To send e-mail without attachment, clear the text in the Attach field.

9. Click <Send> button to send e-mail message.

10. The message box with results of sending e-mail will be displayed. In the case of error you will see error number and error description in the message box. Click <OK> button to close built-in SMTP client. To view log of e-mail sending click Options in TreeView, then click E-mail logs, and then click <View> button near the Enable Send Mail debug logging checkbox.


POP3 / IMAP Settings

Fax Voip Control Panel ›› E-mail ››

POP3 / IMAP server responsible for receiving of e-mail messages. POP3 / IMAP settings are required for the following Fax Voip functions:

  • Mail to Fax (Mail to Audio) - Built-in lines . Sending faxes and audio messages from e-mails using Fax Voip built-in VOIP/ISDN Fax/Audio Lines.
  • Mail to Fax - Microsoft Fax . Sending faxes from e-mails using Windows Fax Service.

It is assumed that you have an e-mail account, received from your Internet service provider or system administrator. Caution! To avoid unexpected problems this account should not be used by other mail clients to receive and send regular e-mails.

Account type

Specifies the protocol to use for your incoming e-mail server. You can select between POP3 and IMAP.

Incoming mail Server

Specifies your POP3 / IMAP server for incoming messages. You can get this information from your Internet service provider (ISP) or local area network (LAN) administrator.

Port

Specifies the port number you connect to on your incoming e-mail server. This port number is usually 110 for POP3 servers and 143 for IMAP servers. In the case of using secure connection (SSL), the port number is usually 995 for POP3 servers and 993 for IMAP servers.

My server requires a secure connection (SSL)

Specifies whether to use the Secure Sockets Layer (SSL) security protocol when connecting to the POP3 / IMAP server. The administrator of Internet service provider for the server will indicate if the SSL requirement exists.

Login

Specifies your POP3 / IMAP account name. This is usually the same as the part of e-mail address to the left of the at sign (@).

Password

Provides a space to type the password assigned by your Internet service provider.

Check for new messages every ... sec

The interval for checking mailbox, using Mail to Fax (Mail to Audio) function. This value can vary from 10 to 60 seconds.

<Test>

Use this button to test your POP3 / IMAP settings before using.

Notes

  • If you sent an e-mail with attachment, but the attachment somehow "lost" (strange...), try changing the type of incoming mail server from IMAP to POP3 or try with another server. Depending on the IMAP server and its settings, you may encounter this problem.
  • If your server supports both POP3 and IMAP, it is recommended to use POP3. With some servers (e.g. in the case of pop.gmail.com / imap.gmail.com), incoming e-mail messages that are received and deleted via IMAP, can be then received again via POP3. This can lead to confusion.
  • In the case of using SSL connection, invalid POP3 / IMAP server SSL certificate is ignored.
  • To verify your settings, use <Test> button, see in the Testing POP3 / IMAP settings chapter. To view log, use Enable Receive Mail debug logging option, see in the E-mail logs chapter of this user manual.


Testing POP3 / IMAP Settings

Fax Voip Control Panel ›› E-mail ›› POP3/IMAP Settings ››

To test connection to POP3 / IMAP server

1. Open Fax Voip Control Panel.

2. Click E-mail in TreeView, then click POP3/IMAP. Click <Test> button.

3. Communication session with the incoming mail server will be displayed in the Testing Email Server window. Click <Close> to close the window. Note that Fax Voip does not download messages from the server and does not delete them in the testing process.

To view POP3 / IMAP log

1. Open Fax Voip Control Panel.

2. Click Options in TreeView, then click E-mail Logs. Then select Enable Receive Mail debug logging option and click <Apply> button.

To view POP3 / IMAP log click <View> button near the Enable Receive Mail debug logging checkbox.


Delivery Receipts (Built-in lines)

Delivery Receipts via E-mail (Built-in lines)

Fax Voip Control Panel ›› E-mail ››

In Fax Voip version 8.3.1, the E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) has been implemented, which duplicates the old functionality described in this chapter. For compatibility with some other functions, the old functionality was not removed and you can use both functions independently of each other.

Delivery notification receipts provide users with information about the success or failure of their sent faxes and audio messages. An e-mail receipt is sent to the predefined e-mail address(es), to confirm whether the fax or audio message has been sent correctly. Note that this functionality is completely independent from the similar function, which is used together with Mail to Fax (Mail to Audio) - Built-in lines , see Delivery notification to user e-mail address option in the Delivery Receipts to user e-mail address (Mail to Fax/Audio) - Built-in lines chapter of this user manual. The notification to e-mail is sent regardless of the method of creating a fax or audio message. The delivery receipt can be sent to one or more e-mail recipients. To, CC and BCC e-mail fields can be used. A copy of the sent fax can be attached to the e-mail message in TIFF, PDF or SFF format. A copy of the sent audio message can be attached to the e-mail message in WAV format.

To use Delivery Receipts via E-mail (Built-in lines) function, you must:

  • Configure SMTP settings
  • Configure 'Outgoing Fax (built-in lines)' e-mail template (if necessary)
  • Configure 'Outgoing Audio Message (built-in lines)' e-mail template (if necessary)

None

Select this option to disable delivery receipts.

E-mail To:

Select this option to enable delivery receipts. Specify the recipient's e-mail address in the text box on the right. You can specify not only e-mail but also the name of the recipient. You can also specify multiple recipients which should be separated by a semicolon. Example: sales@company.com;Support<support@company.com>.

CC:

Specify the e-mail recipients that appear in the Cc box of e-mail message.

BCC:

Specify the e-mail recipients that appear in the Bcc box of e-mail message.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

On the Fax tab page, you can specify whether a copy of the sent fax should be attached to the e-mail message. You can select the file format (TIFF, PDF or SFF) and specify filename template for attached faxes.

Attach a copy of the sent fax in the following format:

Specifies whether a copy of the sent fax should be attached to the e-mail message. Select the file format in which you want to receive a copy of the sent fax. Can be TIFF, PDF or SFF.

The options below are responsible for how file names are generated for the attached faxes.

Use Default Filename Template (FAX...)

Select this option to use default filename template. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected format).

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom fax filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %DocumentName%. If the fax is generated by the Mail to Fax - Built-in lines function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string. Otherwise replaced with an empty string.
      • %PagesTotal%. The total number of pages in the outgoing fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient.
      • %LocalFaxID%. The transmitting station identifier (TSID) that identifies you as a fax sender, sent to the fax recipient.
      • %SubmissionTime%. The time the outgoing fax was originally added for sending.
      • %OriginalScheduledTime%. The time the outgoing fax was originally scheduled for sending.
      • %StartTime%. The time when the outgoing fax call or fax transmission started.
      • %EndTime%. The time when the outgoing fax call or fax transmission ended.
      • %Duration%. The duration of the outgoing fax call or fax transmission.
      • %Retries%. The number of times the system has tried to send the fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %BitRateEcm%. Transmission rate. The 'e' attribute is used to indicate Error Correction Mode (ECM).
      • %FaxProtocol%. Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP, ISDN - audio fax via ISDN CAPI 2.0 line, ISDN-FAX B3-4-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3-5-SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
      • %Resolution%. Fax resolution. Can be one of the following values: 204x196 dpi (Fine), 204x98 dpi (Normal).
      • %Status%. Operation completion code. OK in the case of a successful fax sending. In the case of a failed fax sending contains the error description (in English).

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

On the Audio tab page, you can specify whether a copy of the sent audio message should be attached to the e-mail message. You can specify filename template for attached audio files.

Attach a copy of the sent audio message

Specifies whether a copy of the sent audio message (WAV file) should be attached to the e-mail message.

The options below are responsible for how file names are generated for the attached audio messages.

Use Default Filename Template (MESSAGE.wav)

Select this option to use default filename template. When specifying the default filename template, the audio attachment name is MESSAGE.wav.

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientPhoneNumber%, %StartTime% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom audio message filename template (replaced by actual data):

      • %RecipientPhoneNumber%. The phone number of the recipient.
      • %DocumentName%. If the audio message is generated by the Mail to Audio - Built-in lines function, this is the name of the original audio file including file extension. Otherwise replaced with an empty string.
      • %WavLength%. The length of the audio message in seconds.
      • %SubmissionTime%. The time the outgoing audio message was originally added for sending.
      • %OriginalScheduledTime%. The time the outgoing audio message was originally scheduled for sending.
      • %StartTime%. The time when the outgoing call or audio message transmission started.
      • %EndTime%. The time when the outgoing call or audio message transmission ended.
      • %Duration%. The duration of the outgoing call or audio message transmission.
      • %Retries%. The number of times the system has tried to send the audio message. The total number of possible retries depends on the limit set.
      • %Status%. Operation completion code. OK in the case of a successful sending of audio message. In the case of a failed sending of audio message contains the error description (in English).

The following variable is deprecated and supported only for compatibility with previous versions, do not use it in your new templates:

      • %WavLenth%. (typo in versions prior to 8.3.1) The length of the audio message in seconds. Instead, use %WavLength%.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats).

Notes

  • The Delivery Receipts via E-mail (Built-in lines) options can be overridden in the Fax Voip Send Fax Wizard (see Send a Fax with Fax Voip Virtual Printer chapter) and when using SendFax.exe command line tool (Built-in lines) .
  • The Delivery Receipts via E-mail (Built-in lines) options can be overridden in the Fax Voip Send Audio Message Wizard (see Sending Audio Messages from Fax Voip Console chapter) and when using SendAudio.exe command line tool (Built-in lines) .
  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use System.Net.Mail method for sending e-mail messages.


E-mail Templates

Fax Voip Control Panel ›› E-mail ››

E-mail Templates allow you to modify the standard text of the email messages used in the program. Both subject and body of the e-mail message can be changed according to your requirements and preferences.

Fax Voip sends e-mail messages in the following cases:

  • Mail to Fax (Mail to Audio) - Built-in lines . Notification of a successful or failed fax or audio message delivery to the sender's e-mail address.
  • Route through e-mail Incoming Routing Method (Built-in lines) . Forwarding received faxes to e-mail recipients. Notification of unsuccessful fax reception.
  • E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) . Notification of a successful or failed fax or audio message delivery to the predefined e-mail address(es).
  • Delivery Receipts via E-mail (Built-in lines) . Notification of a successful or failed fax or audio message delivery to the predefined e-mail address(es).
  • Mail to Fax - Microsoft Fax . Notification of a successful or failed fax delivery to the sender's e-mail address.
  • Route through e-mail Incoming Routing Method (Microsoft Fax) . Forwarding received faxes to e-mail recipients.
  • E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) . Notification of a successful or failed fax delivery to the predefined e-mail address(es).

The e-mail content is different for different functions, so each template must be configured individually. In the templates, you can use the so-called %variables% that are replaced by actual data. Examples: %CallerID%, %PagesReceived%, %Duration% etc. The sets of variables are different for different templates. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the Insert a variable button to the right of the text box and select a variable from the drop-down menu. To restore the E-mail Subject or E-mail Body text, proposed by default (do not confuse with the default template embedded into the program code, see Use Default Template option), completely clear the text box and then click Apply.

The following templates are available for configuring:

  • Incoming Fax (built-in lines) . Used with Route through e-mail Incoming Routing Method (Built-in lines) .
  • Outgoing Fax (built-in lines) . Used with Mail to Fax - Built-in lines function, E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) and Delivery Receipts via E-mail (Built-in lines) function.
  • Outgoing Audio Message (built-in lines) . Used with Mail to Audio - Built-in lines function, E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) and Delivery Receipts via E-mail (Built-in lines) function.
  • New Fax Received (Microsoft Fax Service) . Used with Route through e-mail Incoming Routing Method (Microsoft Fax) .
  • Fax successfully sent (Microsoft Fax Service) . Used with Mail to Fax - Microsoft Fax function and E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) in the case of successfully sent fax.
  • Failed to send a fax (Microsoft Fax Service) . Used with Mail to Fax - Microsoft Fax function and E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) in the case of failed fax sending.
  • Failed to create fax (audio) job . Used with Mail to Fax (Mail to Audio) - Built-in lines and Mail to Fax - Microsoft Fax functions in the case of errors when creating a fax or audio message job (not possible to convert your original file into correct fax/audio format, the specified fax/phone number is invalid, e-mail address is blocked etc.).

Select Template

Use this drop-down list to select the template you want to edit.

Use Default Template

Check this box if you don’t want to customize the selected template.

Notes

  • For more information on configuring a particular template, please read the relevant section of this chapter.


Incoming Fax (built-in lines)

E-mail Templates: Incoming Fax (built-in lines)

Fax Voip Control Panel ›› E-mail ›› E-mail Templates ››

Incoming Fax (built-in lines) template is used with Route through e-mail Incoming Routing Method (Built-in lines) when forwarding faxes received to Fax Voip Console to e-mail recipients and sending e-mail notifications of unsuccessful fax reception. To modify this template, select Incoming Fax (built-in lines) from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (Fax Received OK)

E-mail Subject in the case of successful fax reception.

E-mail Subject (Failed to receive a Fax)

E-mail Subject in the case of unsuccessful fax reception.

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the following variables: %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with Incoming Fax (built-in lines) template (replaced by actual data):

  • %CallingParty%. The full address of the calling party include prefixes (sip:, h323:, isdn: etc...). Examples: sip:17774731277@callcentric.com; h323:101@192.168.1.4; isdn:13195401289
  • %CallerID%. The fax number of the caller.
  • %CalledParty%. The full address of the called party include prefixes (sip:, h323:, isdn: etc...). Examples: sip:7545646464@192.168.1.2:5070; h323:7778888; isdn:13192418956
  • %CalledNumber%. The telephone number of the called party (DID).
  • %RemoteFaxID%. The Transmitting Subscriber ID (TSID) received from the fax sender.
  • %LocalFaxID%. The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.
  • %StartTime%. The time when fax reception started.
  • %EndTime%. The time when fax reception ended.
  • %Duration%. The duration of the incoming fax call or fax transmission.
  • %PagesReceived%. The number of delivered pages for received fax.
  • %BitRate%. Transmission rate.
  • %Ecm%. Error Correction Mode (ECM).
  • %FaxProtocol%. Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP or ISDN CAPI 2.0, ISDN-FAX B3:4:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3:5:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
  • %Resolution%. Fax resolution: Normal for 204 x 98 dots per inch (dpi), Fine for 204 x 196 dpi.
  • %Result%. Operation completion code. OK in the case of a successful fax reception. In the case of a failed fax reception contains the error description.
  • %ComputerName%. The name of the computer where Fax Voip installed.
  • %RemoteFaxIDOrCallerID%. The mechanism for replacement is as follows: equivalent to %RemoteFaxID% if sender’s Fax ID is not an empty string; otherwise equivalent to %CallerID% if CallerID is not an empty string; otherwise unknown sender string.
  • %CallerIDOrRemoteFaxID%. The mechanism for replacement is as follows: equivalent to %CallerID% if CallerID is not an empty string; otherwise equivalent to %RemoteFaxID% if sender’s Fax ID is not an empty string; otherwise unknown sender string.
  • %CallerIDAndRemoteFaxID%. The mechanism for replacement is as follows: equivalent to %CallerID% (%RemoteFaxID%) if both CallerID and sender’s Fax ID are not empty strings; otherwise equivalent to %CallerID% if CallerID is not an empty string; otherwise equivalent to %RemoteFaxID% if sender’s Fax ID is not an empty string; otherwise unknown sender string. Example: 19012223344 ( (901) 222-3344).

Notes

  • When using the Route through e-mail Incoming Routing Method (Built-in lines) , you can create personalized e-mail templates of this type for different rules, see in the E-mail Templates Settings (Route through e-mail, Built-in lines) chapter of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


Outgoing Fax (built-in lines)

E-mail Templates: Outgoing Fax (built-in lines)

Fax Voip Control Panel ›› E-mail ›› E-mail Templates ››

Outgoing Fax (built-in lines) template is used with Mail to Fax - Built-in lines function, E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) and Delivery Receipts via E-mail (Built-in lines) function when sending notifications of a successful or failed fax delivery to the sender's e-mail address or predefined e-mail address(es) respectively. To modify this template, select Outgoing Fax (built-in lines) from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (Fax Sent OK)

E-mail Subject in the case of successful fax sending.

E-mail Subject (Failed to send a Fax)

E-mail Subject in the case of unsuccessful fax sending.

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %ScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with Outgoing Fax (built-in lines) template (replaced by actual data):

  • %FaxNumber%. The fax number of the recipient.
  • %SenderEmail%. E-mail address associated with the sender. If the fax is generated by the Mail To Fax function, this is the sender's e-mail address extracted from the e-mail message. Otherwise replaced with an empty string.
  • %DocumentName%. If the fax is generated by the Mail To Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string. Otherwise replaced with an empty string.
  • %PagesTotal%. The total number of pages in the outgoing fax.
  • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient.
  • %LocalFaxID%. The Transmitting Subscriber ID (TSID) that identifies you as a fax sender, sent to the fax recipient.
  • %FaxHeader%. The text that is transmitted at the top of each faxed page.
  • %SubmissionTime%. The time the outgoing fax was originally added for sending.
  • %OriginalScheduledTime%. The time the outgoing fax was originally scheduled for sending.
  • %ScheduledTime%. The time the outgoing fax was scheduled for sending for the last time. This may be later than the original scheduled time due to delays, such as a busy number or due to previous unsuccessful retries.
  • %StartTime%. The time when the outgoing fax call or fax transmission started.
  • %EndTime%. The time when the outgoing fax call or fax transmission ended.
  • %Duration%. The duration of the outgoing fax call or fax transmission.
  • %BitRate%. Transmission rate.
  • %Ecm%. Error Correction Mode (ECM).
  • %FaxProtocol%. Fax protocol information. Can be one of the following values: T.38, G711-FAX - audio fax over G.711 codec via VOIP, ISDN - audio fax via ISDN CAPI 2.0 line, ISDN-FAX B3:4:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, ISDN-FAX B3:5:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
  • %PagesTransferred%. The number of successfully sent fax pages.
  • %Resolution%. Fax resolution: Normal for 204 x 98 dots per inch (dpi), Fine for 204 x 196 dpi.
  • %JobStatus%. Status of the fax job. Examples: Completed, Retries exceeded.
  • %ExtendedStatus%. Operation completion code. OK in the case of a successful fax sending. In the case of a failed fax sending contains the error description.
  • %Retries%. The number of times the system has tried to send the fax. The total number of possible retries depends on the limit set.
  • %ComputerName%. The name of the computer where Fax Voip installed.

The following variables are deprecated and supported only for compatibility with previous versions, do not use them in your new templates:

  • %EmailFrom%. E-mail address associated with the sender. Instead, use %SenderEmail%.
  • %OriginalFileName%. If the fax is generated by the Mail To Fax function, this is the original name of sender document including file extension. Instead, use %DocumentName%.
  • %OriginalSheduledTime%. (typo in versions prior to 8.1.1) The time the outgoing fax was originally scheduled for sending. Instead, use %OriginalScheduledTime%.
  • %SheduledTime%. (typo in versions prior to 8.1.1) The time the outgoing fax was scheduled for sending for the last time. Instead, use %ScheduledTime%.

Notes

  • When using the Mail to Fax - Built-in lines function, you can create personalized e-mail templates of this type for different e-mail addresses, see in the E-mail Templates Settings (Mail to Fax/Audio Rule, Built-in lines) chapter of this user manual.
  • When using the E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) , you can create personalized e-mail templates of this type for different rules, see in the E-mail Templates Settings (E-mail Delivery Receipts, Built-in lines) chapter of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


Outgoing Audio Message (built-in lines)

E-mail Templates: Outgoing Audio Message (built-in lines)

Fax Voip Control Panel ›› E-mail ›› E-mail Templates ››

Outgoing Audio Message (built-in lines) template is used with Mail to Audio - Built-in lines function, E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) and Delivery Receipts via E-mail (Built-in lines) function when sending notifications of a successful or failed audio message delivery to the sender's e-mail address or predefined e-mail address(es) respectively. To modify this template, select Outgoing Audio Message (built-in lines) from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (Audio Message Sent OK)

E-mail Subject in the case of successful audio message sending.

E-mail Subject (Failed to send Audio Message)

E-mail Subject in the case of unsuccessful sending of audio message.

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %ScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with Outgoing Audio Message (built-in lines) template (replaced by actual data):

  • %PhoneNumber%. The phone number of the recipient.
  • %SenderEmail%. E-mail address associated with the sender. If the audio message is generated by the Mail To Audio function, this is the sender's e-mail address extracted from the e-mail message. Otherwise replaced with an empty string.
  • %DocumentName%. If the audio message is generated by the Mail To Audio function, this is the name of the original audio file including file extension. Otherwise replaced with an empty string.
  • %WavLength%. The length of the audio message in seconds.
  • %WavFrequency%. The sample rate, kHz of the audio file.
  • %SubmissionTime%. The time the outgoing audio message was originally added for sending.
  • %OriginalScheduledTime%. The time the outgoing audio message was originally scheduled for sending.
  • %ScheduledTime%. The time the outgoing audio message was scheduled for sending for the last time. This may be later than the original scheduled time due to delays, such as a busy number or due to previous unsuccessful retries.
  • %StartTime%. The time when the outgoing call or audio message transmission started.
  • %EndTime%. The time when the outgoing call or audio message transmission ended.
  • %Duration%. The duration of the outgoing call or audio message transmission.
  • %JobStatus%. Status of the audio message job. Examples: Completed, Retries exceeded.
  • %ExtendedStatus%. Operation completion code. OK in the case of a successful sending of audio message. In the case of a failed sending of audio message contains the error description.
  • %Retries%. The number of times the system has tried to send the audio message. The total number of possible retries depends on the limit set.
  • %ComputerName%. The name of the computer where Fax Voip installed.

The following variables are deprecated and supported only for compatibility with previous versions, do not use them in your new templates:

  • %EmailFrom%. E-mail address associated with the sender. Instead, use %SenderEmail%.
  • %OriginalFileName%. If the audio message is generated by the Mail To Audio function, this is the name of the original audio file including file extension. Instead, use %DocumentName%.
  • %WavLenth%. (typo in versions prior to 8.3.1) The length of the audio message in seconds. Instead, use %WavLength%.
  • %OriginalSheduledTime%. (typo in versions prior to 8.1.1) The time the outgoing audio message was originally scheduled for sending. Instead, use %OriginalScheduledTime%.
  • %SheduledTime%. (typo in versions prior to 8.1.1) The time the outgoing audio message was scheduled for sending for the last time. Instead, use %ScheduledTime%.

Notes

  • When using the Mail to Audio - Built-in lines function, you can create personalized e-mail templates of this type for different e-mail addresses, see in the E-mail Templates Settings (Mail to Fax/Audio Rule, Built-in lines) chapter of this user manual.
  • When using the E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) , you can create personalized e-mail templates of this type for different rules, see in the E-mail Templates Settings (E-mail Delivery Receipts, Built-in lines) chapter of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


New Fax Received (Microsoft Fax Service)

E-mail Templates: New Fax Received (Microsoft Fax Service)

Fax Voip Control Panel ›› E-mail ›› E-mail Templates ››

New Fax Received (Microsoft Fax Service) template is used with Route through e-mail Incoming Routing Method (Microsoft Fax) when forwarding received faxes to e-mail recipients. To modify this template, select New Fax Received (Microsoft Fax Service) from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (New Fax Received)

E-mail Subject.

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the following variables: %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with New Fax Received (Microsoft Fax Service) template (replaced by actual data):

  • %CallerID%. The telephone number of the calling device.
  • %CalledNumber%. The telephone number of the called party (DID).
  • %RemoteFaxID%. The Transmitting Subscriber ID (TSID) received from the fax sender.
  • %LocalFaxID%. The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.
  • %StartTime%. The starting time for the fax job that received the fax document.
  • %EndTime%. The ending time for the fax job that received the fax document.
  • %Duration%. The total time that elapses between the beginning of fax reception and the end of fax reception.
  • %PagesReceived%. The number of pages in the received fax document.
  • %DeviceName%. The name of the device that received the fax document. Example: Fax Voip 14.4K TAPI Voice-Fax Modem #2.
  • %FaxMessageID%. The unique number that identifies the fax job that received the fax document.
  • %ComputerName%. The name of the computer where Fax Voip installed.
  • %RemoteFaxIDOrCallerID%. The mechanism for replacement is as follows: equivalent to %RemoteFaxID% if sender’s Fax ID is not an empty string; otherwise equivalent to %CallerID% if CallerID is not an empty string; otherwise unknown sender string.
  • %CallerIDOrRemoteFaxID%. The mechanism for replacement is as follows: equivalent to %CallerID% if CallerID is not an empty string; otherwise equivalent to %RemoteFaxID% if sender’s Fax ID is not an empty string; otherwise unknown sender string.
  • %CallerIDAndRemoteFaxID%. The mechanism for replacement is as follows: equivalent to %CallerID% (%RemoteFaxID%) if both CallerID and sender’s Fax ID are not empty strings; otherwise equivalent to %CallerID% if CallerID is not an empty string; otherwise equivalent to %RemoteFaxID% if sender’s Fax ID is not an empty string; otherwise unknown sender string. Example: 19012223344 ( (901) 222-3344).

Notes

  • When using the Route through e-mail Incoming Routing Method (Microsoft Fax) , you can create personalized e-mail templates of this type for different rules, see in the E-mail Templates Settings (Route through e-mail, Microsoft Fax) chapter of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


Fax successfully sent (Microsoft Fax Service)

E-mail Templates: Fax successfully sent (Microsoft Fax Service)

Fax Voip Control Panel ›› E-mail ›› E-mail Templates ››

Fax successfully sent (Microsoft Fax Service) template is used with Mail to Fax - Microsoft Fax function and E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) when sending notifications of a successful fax delivery to the sender's e-mail address or predefined e-mail address(es) respectively. To modify this template, select Fax successfully sent (Microsoft Fax Service) from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (Fax Sent OK)

E-mail Subject.

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with Fax successfully sent (Microsoft Fax Service) template (replaced by actual data):

  • %RecipientFaxNumber%. The fax number of the recipient.
  • %RecipientName%. The name of the recipient.

  • %SenderEmail%. E-mail address associated with the sender. If the fax is generated by the Mail to Fax - Microsoft Fax function, this is the sender's e-mail address extracted from the e-mail message.
  • %SenderName%. The name of the sender.
  • %SenderFaxNumber%. Fax number associated with the sender.
  • %SenderFaxID%. The transmitting station identifier (TSID) for the sender's device, specified in the Sender Information Settings . It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. Note that depending on the fax server settings, it may be different from the actually transmitted Fax ID, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual. See also the description of %LocalFaxID% variable.
  • %SenderCompany%. The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline).
  • %SenderDepartment%. The department name associated with the sender.
  • %SenderTitle%. The title associated with the sender.
  • %SenderOfficeLocation%. The office location of the sender.
  • %SenderHomePhone%. The home telephone number associated with the sender.
  • %SenderOfficePhone%. The office telephone number associated with the sender.
  • %SenderAddress%. The street address associated with the sender. Usually includes the city, state, zip code (postal code) and country/region for the sender.
  • %SenderBillingCode%. The billing code associated with the sender.

  • %DocumentName%. If the fax is generated by the Mail to Fax - Microsoft Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are separated by a semicolon. When sending a fax consisting only of a cover page, replaced with an empty string. When used with E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) and sending a fax in the usual way (from the Windows Fax and Scan software), can be constantly replaced by the pointless string (e. g. 'Test Fax'), due to errors in the Microsoft Fax software.
  • %HasCoverPage%. Indicates if the fax has a cover page. Supported only on Windows Vista and later. On Windows XP and Windows 2003 replaced with an empty string.
  • %Subject%. Contains the contents of the subject field on the cover page of the fax.
  • %PagesTotal%. The total number of pages in the outbound fax message.
  • %TiffSize%. The size, in kilobytes, of the Tagged Image File Format Class F (TIFF Class F) file associated with the outbound fax message.

  • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
  • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as %SenderFaxID%, or it is specified by the settings of the fax device that was used for fax transmission.
  • %Priority%. Priority used when sending the fax; for example, normal, low, or high priority.
  • %SubmissionTime%. The time that the outbound fax message was submitted for processing.
  • %OriginalScheduledTime%. The time that the fax message was originally scheduled for transmission.
  • %StartTime%. The time that the fax outbound message began transmitting.
  • %EndTime%. The time that the fax outbound message completed transmission.
  • %Duration%. The duration of the fax transmission.
  • %Retries%. The number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. The total number of possible retries depends on the limit set.
  • %DeviceName%. The name of the device on which the fax message was transmitted. Example: Fax Voip 14.4K TAPI Voice-Fax Modem #2.
  • %Status%. Operation completion code. OK in the case of a successful fax sending.
  • %FaxMessageID%. The unique identifier for the outbound fax message. This is the same ID that the fax job had when the job was active.
  • %ComputerName%. The name of the computer where Fax Voip installed.

The following variables are deprecated and supported only for compatibility with previous versions, do not use them in your new templates:

  • %FaxNumber%. The fax number of the recipient. Instead, use %RecipientFaxNumber%.
  • %EmailFrom%. E-mail address associated with the sender. Instead, use %SenderEmail%.
  • %FaxHeader%. The text that is transmitted at the top of each faxed page. Instead, use %SenderCompany%.
  • %OriginalFileName%. If the fax is generated by the Mail To Fax function, this is the original name of sender document including file extension. Instead, use %DocumentName%.
  • %OriginalSheduledTime%. (typo in versions prior to 8.1.1) The time that the fax message was originally scheduled for transmission. Instead, use %OriginalScheduledTime%.

Notes

  • When using the Mail to Fax - Microsoft Fax function, you can create personalized e-mail templates of this type for different e-mail addresses, see in the E-mail Templates Settings (Mail to Fax Rule, Microsoft Fax) chapter of this user manual.
  • When using the E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) , you can create personalized e-mail templates of this type for different rules, see in the E-mail Templates Settings (E-mail Delivery Receipts, Microsoft Fax) chapter of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


Failed to send a fax (Microsoft Fax Service)

E-mail Templates: Failed to send a fax (Microsoft Fax Service)

Fax Voip Control Panel ›› E-mail ›› E-mail Templates ››

Failed to send a fax (Microsoft Fax Service) template is used with Mail to Fax - Microsoft Fax function and E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) when sending notifications of failed fax delivery to the sender's e-mail address or predefined e-mail address(es) respectively. To modify this template, select Failed to send a fax (Microsoft Fax Service) from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (Failed to send a fax)

E-mail Subject.

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with Failed to send a fax (Microsoft Fax Service) template (replaced by actual data):

  • %RecipientFaxNumber%. The fax number of the recipient.
  • %RecipientName%. The name of the recipient.

  • %SenderEmail%. E-mail address associated with the sender. If the fax is generated by the Mail to Fax - Microsoft Fax function, this is the sender's e-mail address extracted from the e-mail message.
  • %SenderName%. The name of the sender.
  • %SenderFaxNumber%. Fax number associated with the sender.
  • %SenderFaxID%. The transmitting station identifier (TSID) for the sender's device, specified in the Sender Information Settings . It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. Note that depending on the fax server settings, it may be different from the actually transmitted Fax ID, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual. See also the description of %LocalFaxID% variable.
  • %SenderCompany%. The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline).
  • %SenderDepartment%. The department name associated with the sender.
  • %SenderTitle%. The title associated with the sender.
  • %SenderOfficeLocation%. The office location of the sender.
  • %SenderHomePhone%. The home telephone number associated with the sender.
  • %SenderOfficePhone%. The office telephone number associated with the sender.
  • %SenderAddress%. The street address associated with the sender. Usually includes the city, state, zip code (postal code) and country/region for the sender.
  • %SenderBillingCode%. The billing code associated with the sender.

  • %DocumentName%. If the fax is generated by the Mail to Fax - Microsoft Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are separated by a semicolon. When sending a fax consisting only of a cover page, replaced with an empty string. When used with E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) and sending a fax in the usual way (from the Windows Fax and Scan software), can be constantly replaced by the pointless string (e. g. 'Test Fax'), due to errors in the Microsoft Fax software.
  • %HasCoverPage%. Indicates if the fax has a cover page. Supported only on Windows Vista and later. On Windows XP and Windows 2003 replaced with an empty string.
  • %Subject%. Contains the contents of the subject field on the cover page of the fax.
  • %PagesTotal%. The total number of pages in the outbound fax job.
  • %TiffSize%. The size, in kilobytes, of the Tagged Image File Format Class F (TIFF Class F) file associated with the outbound fax job.

  • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
  • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as %SenderFaxID%, or it is specified by the settings of the fax device that was used for fax transmission.
  • %Priority%. Priority to use when sending the fax; for example, normal, low, or high priority.
  • %SubmissionTime%. The time that the outbound fax job was submitted for processing.
  • %OriginalScheduledTime%. The time that the fax job was originally scheduled for transmission.
  • %StartTime%. The time that the fax outbound job began transmitting.
  • %EndTime%. The time that the fax outbound job completed transmission.
  • %Duration%. The duration of the fax transmission.
  • %Retries%. The number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
  • %PagesTransferred%. The number of successfully sent fax pages.
  • %DeviceName%. The name of the device on which the fax message was transmitting. Example: Fax Voip 14.4K TAPI Voice-Fax Modem #2.
  • %Status%. Operation completion code. Example: NO_ANSWER.
  • %StatusText%. Error description. Example: The receiving device did not answer the call.
  • %FaxMessageID%. The unique identifier for the outbound fax job.
  • %ComputerName%. The name of the computer where Fax Voip installed.

The following variables are deprecated and supported only for compatibility with previous versions, do not use them in your new templates:

  • %FaxNumber%. The fax number of the recipient. Instead, use %RecipientFaxNumber%.
  • %EmailFrom%. E-mail address associated with the sender. Instead, use %SenderEmail%.
  • %FaxHeader%. The text that is transmitted at the top of each faxed page. Instead, use %SenderCompany%.
  • %OriginalFileName%. If the fax is generated by the Mail To Fax function, this is the original name of sender document including file extension. Instead, use %DocumentName%.
  • %OriginalSheduledTime%. (typo in versions prior to 8.1.1) The time that the fax job was originally scheduled for transmission. Instead, use %OriginalScheduledTime%.

Notes

  • When using the Mail to Fax - Microsoft Fax function, you can create personalized e-mail templates of this type for different e-mail addresses, see in the E-mail Templates Settings (Mail to Fax Rule, Microsoft Fax) chapter of this user manual.
  • When using the E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) , you can create personalized e-mail templates of this type for different rules, see in the E-mail Templates Settings (E-mail Delivery Receipts, Microsoft Fax) chapter of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


Failed to create fax (audio) job

E-mail Templates: Failed to create fax (audio) job

Fax Voip Control Panel ›› E-mail ›› E-mail Templates ››

Failed to create fax (audio) job template is used with Mail to Fax (Mail to Audio) - Built-in lines and Mail to Fax - Microsoft Fax functions in the case of errors in the fax (audio message) job creation (not possible to convert your original file into correct fax/audio format, the specified fax/phone number is invalid, e-mail address is blocked etc.). To modify this template, select Failed to create fax (audio) job from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (Failed to send a Fax or Audio Message)

E-mail Subject in the case of unsuccessful creation of fax or audio message job (not possible to convert your original file into correct fax/audio format, the specified fax/phone number is invalid etc.).

E-mail Subject (E-mail address blocked)

E-mail Subject in the case of blocked sender’s e-mail address (according to program settings).

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the %SubmissionTime% variable. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with Failed to create fax (audio) job template (replaced by actual data):

  • %MsgRecipients%. Depending on the nature of the error, the list of fax or audio message recipients or subject of the e-mail message received from e-mail sender.
  • %SenderEmail%. The sender's e-mail address extracted from the e-mail message.
  • %EmailSubject%. The subject of the e-mail message received from e-mail sender.
  • %DocumentName%. The original name of sender document including file extension. When sending multiple documents, they are separated by a semicolon. When sending a fax consisting only of a cover page, replaced with an empty string.
  • %SubmissionTime%. The time the e-mail message was received.
  • %Status%. A brief description of the error of creating fax or audio message job.
  • %StatusText%. Full description of the error of creating fax or audio message job.
  • %ComputerName%. The name of the computer where Fax Voip installed.

The following variables are deprecated and supported only for compatibility with previous versions, do not use them in your new templates:

  • %FaxNumber%. The recipient fax number. Instead, use %MsgRecipients%.
  • %PhoneNumber%. The recipient fax/phone number. Instead, use %MsgRecipients%.
  • %EmailFrom%. The sender's e-mail address extracted from the e-mail message. Instead, use %SenderEmail%.
  • %OriginalFileName%. The original name of sender document including file extension. Instead, use %DocumentName%.

Notes

  • When using the Mail to Fax (Mail to Audio) - Built-in lines and Mail to Fax - Microsoft Fax functions, you can create personalized e-mail templates of this type for different e-mail addresses, see in the E-mail Templates Settings (Mail to Fax/Audio Rule, Built-in lines) and E-mail Templates Settings (Mail to Fax Rule, Microsoft Fax) chapters of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


Options

Fax Voip Control Panel ››

  • Options and Logs
  • E-mail Logs
  • Incoming Routing Methods (Built-in lines) Logs
  • Incoming Routing Methods (Microsoft Fax) Logs
  • Outgoing Routing Methods (Built-in lines) Logs
  • Outgoing Routing Methods (Microsoft Fax) Logs
  • SendFax.exe (Built-in lines) Logs
  • SendFaxMS.exe (Microsoft Fax) Logs
  • SendAudio.exe (Built-in lines) Logs
  • Tray Notifications
  • Multi-Language Support
  • System Settings


Options and Logs

Fax Voip Control Panel ›› Options ››

Enable Call Routing logging

Use this option to configure and test the Outgoing VOIP Call Routing and Incoming VOIP Call Routing . Call Routing log file shows the 'path' for each outgoing or incoming call. Analysis of the log will help you to identify errors and to specify correct rules for calls. We recommend that you use this option only when you configure Fax Voip or when problems arise.

<View>

Use this button to view Call Routing log file.

<Delete>

Use this button to delete Call Routing log file.

<To Log Folder>

Use this button to open Fax Voip log folder in Windows Explorer.

Check for updates

Tick this option in order for Fax Voip to automatically check for new version of the program on start up. If the new version is available, the tray notification message is displayed. To download and install new version, you should click this message. Note that Fax Voip checks for updates no more frequently than once a day.

Run Fax Voip as Windows service

Select this option if you want to run Fax Voip as a Windows Service, see Configure Fax Voip as a Windows Service . Normally, when Fax Voip is configured as a service, it is started under a Local System account. Fax Voip mail services should be configured to be started under regular user account, see Configure Mail to Fax (Mail to Audio) systems as Windows Service . To change this option, administrator privileges are required.

Fax Voip Mail to Fax service (built-in lines) is configured to be started under this account:

The name of the account under which the Fax Voip Internal Mail service ( Mail to Fax (Mail to Audio) - Built-in lines function) is currently configured.

Fax Voip Mail to Fax service (MS Fax) is configured to be started under this account:

The name of the account under which the Fax Voip MsFax Mail service ( Mail to Fax - Microsoft Fax function) is currently configured.

<Select User Account>

Click to specify the user name and password of the account that will be used to run the Fax Voip mail services, see Configure Mail to Fax (Mail to Audio) systems as Windows Service . Administrator privileges are required.

Load automatically on Windows startup

In the case of configuring Fax Voip as a Windows Service, Fax Voip starts before user logon (as a service), if to use this option. In the case of configuring Fax Voip not as a service, Fax Voip starts after the user logon. To change this option when Fax Voip is running as a Windows Service, administrator privileges are required.

Load Fax Voip tray icon on Windows startup

Use this option if you want to load Fax Voip tray icon on Windows startup (after user logon). Note that in the case of configuring Fax Voip as a Windows Service, the presence of icon in the tray is not necessary for program operation.

Check for COM ports at startup

This option allows checks for Virtual COM Port availability maximum 10 seconds during Fax Voip application starting. Used in conjunction with the autorun of Virtual Serial Port Emulator at system startup. The point is that if you start Fax Voip without Emulation running, then Fax Voip will be unavailable via emulated COM port. (It makes sense to use in conjunction with Eterlogic.COM Virtual Serial Port Emulator ). Note that this option is incompatible with configuring Fax Voip as a Windows Service.


E-mail Logs

Fax Voip Control Panel ›› Options ››

Enable Mail to Fax (Mail to Audio) debug logging - Built-in lines

This option helps you to configure and test Mail to Fax (Mail to Audio) - Built-in lines and Delivery Receipts via E-mail (Built-in lines) functions. We recommend that you use this option only when you configure Fax Voip or when problems arise.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Clear log at Mail to Fax (Mail to Audio) service startup

Check this option to automatically remove debug log file on Mail to Fax (Mail to Audio) - Built-in lines system (Fax Voip Internal Mail service) startup.

Enable Mail to Fax and Outgoing Routing Methods debug logging - Microsoft Fax

This option helps you to configure and test Mail to Fax - Microsoft Fax function and Outgoing Routing Methods (Microsoft Fax) . We recommend that you use this option only when you configure Fax Voip or when problems arise.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Clear log at Mail to Fax and Delivery Receipts service startup

Check this option to automatically remove debug log file on Mail to Fax - Microsoft Fax system (Fax Voip MsFax Mail service) startup.

Enable Send Mail debug logging

This option helps you to configure and test your SMTP Settings . The log file shows results for each e-mail sending (used with Route through e-mail Incoming Routing Method (Built-in lines) , Route through e-mail Incoming Routing Method (Microsoft Fax) , E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) , E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) , Mail to Fax (Mail to Audio) - Built-in lines function, Mail to Fax - Microsoft Fax function, Delivery Receipts via E-mail (Built-in lines) function, and also when Testing e-mail sending with built-in SMTP client ). We recommend that you use this option only when you configure Fax Voip or when problems arise.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Enable Receive Mail debug logging

This option helps you to identify errors in your POP3 /IMAP settings . The log file shows results for each POP3 / IMAP session (used with Mail to Fax (Mail to Audio) - Built-in lines and Mail to Fax - Microsoft Fax functions). We recommend that you use this option only when you configure Fax Voip or when problems arise.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

<To Log Folder>

Use this button to open Fax Voip log folder in Windows Explorer.


Incoming Methods (Built-in lines) Logs

Incoming Routing Methods (Built-in lines) Logs

Fax Voip Control Panel ›› Options ››

Enable Incoming Routing Methods (Built-in lines) debug logging

The purpose of this option is to create a debug log file, which contains the essential information about Incoming Routing Methods (Built-in lines) actions. To view detailed logs for Incoming Routing Methods (Built-in lines) , use options described below.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Clear Incoming Routing Methods (Built-in lines) log at Fax Voip startup

Check this option to automatically remove debug log file when starting Fax Voip.

Enable 'Route through e-mail (Built-in lines)' incoming routing method debug logging

This option helps you to configure and test Route through e-mail Incoming Routing Method (Built-in lines) . Analysis of the log will help you to identify errors and to specify correct e-mail routing rules. To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Enable 'Store in a folder (Built-in lines)' incoming routing method debug logging

This option helps you to configure and test Store in a folder Incoming Routing Method (Built-in lines) . Analysis of the log will help you to identify errors and to specify correct rules for storing incoming faxes.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Enable 'Print (Built-in lines)' incoming routing method debug logging

This option helps you to configure and test Print Incoming Routing Method (Built-in lines) . Analysis of the log will help you to identify errors and to specify correct rules for printing incoming faxes.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

<To Log Folder>

Use this button to open Fax Voip log folder in Windows Explorer.


Incoming Methods (Microsoft Fax) Logs

Incoming Routing Methods (Microsoft Fax) Logs

Fax Voip Control Panel ›› Options ››

Enable Fax Voip Routing Extension debug logging

The purpose of this option is to create a debug log file, which contains the essential information about Fax Voip Routing Extension actions. The Fax Routing Extension is integrated into the Windows Fax Service. To view detailed logs for Incoming Routing Methods (Microsoft Fax) , use options described below.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file. Please note that you are not able to delete this file if Windows Fax Service is started.

Clear Fax Voip Routing Extension log at Windows Fax Service startup

Check this option to automatically remove debug log file on Windows Fax Service startup.

Enable 'Route through e-mail (Microsoft Fax)' incoming routing method debug logging

This option helps you to configure and test Route through e-mail Incoming Routing Method (Microsoft Fax) . Analysis of the log will help you to identify errors and to specify correct e-mail routing rules. To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Enable 'Store in a folder (Microsoft Fax)' incoming routing method debug logging

This option helps you to configure and test Store in a folder Incoming Routing Method (Microsoft Fax) . Analysis of the log will help you to identify errors and to specify correct rules for storing incoming faxes.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Enable 'Print (Microsoft Fax)' incoming routing method debug logging

This option helps you to configure and test Print Incoming Routing Method (Microsoft Fax) . Analysis of the log will help you to identify errors and to specify correct rules for printing incoming faxes.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

<To Log Folder>

Use this button to open Fax Voip log folder in Windows Explorer.


Outgoing Methods (Built-in lines) Logs

Outgoing Routing Methods (Built-in lines) Logs

Fax Voip Control Panel ›› Options ››

Enable Outgoing Routing Methods (Built-in lines) debug logging

The purpose of this option is to create a debug log file, which contains the essential information about Outgoing Routing Methods (Built-in lines) actions. To view detailed logs for Outgoing Routing Methods (Built-in lines) , use options described below.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Clear Outgoing Routing Methods (Built-in lines) log at Fax Voip startup

Check this option to automatically remove debug log file when starting Fax Voip.

Enable 'E-mail Delivery Receipts (Built-in lines)' outgoing routing method debug logging

This option helps you to configure and test E-mail Delivery Receipts Outgoing Routing Method (Built-in lines) . Analysis of the log will help you to identify errors and to specify correct e-mail routing rules. To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Enable 'Store in a folder (Built-in lines)' outgoing routing method debug logging

This option helps you to configure and test Store in a folder Outgoing Routing Method (Built-in lines) . Analysis of the log will help you to identify errors and to specify correct rules for storing outgoing faxes and audio messages.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Enable 'Print (Built-in lines)' outgoing routing method debug logging

This option helps you to configure and test Print Outgoing Routing Method (Built-in lines) . Analysis of the log will help you to identify errors and to specify correct rules for printing outgoing faxes.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

<To Log Folder>

Use this button to open Fax Voip log folder in Windows Explorer.


Outgoing Methods (Microsoft Fax) Logs

Outgoing Routing Methods (Microsoft Fax) Logs

Fax Voip Control Panel ›› Options ››

Enable Outgoing Routing Methods (Microsoft Fax) debug logging

This option helps you to configure and test Outgoing Routing Methods (Microsoft Fax) : E-mail Delivery Receipts , Store in a folder , Print , Custom . Analysis of the log will help you to identify errors and to specify correct routing rules. The Outgoing Routing Methods (Microsoft Fax) are called from the Mail to Fax - Microsoft Fax module (Fax Voip MsFax Mail service) and this is reflected in the other log, use Enable Mail to Fax and Outgoing Routing Methods debug logging - Microsoft Fax option, see more details in the E-mail Logs chapter. To view detailed information about sending e-mail messages when using E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) , use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

<To Log Folder>

Use this button to open Fax Voip log folder in Windows Explorer.


SendFax.exe (Built-in lines) Logs

Fax Voip Control Panel ›› Options ››

SendFax.exe debug log

In this area you can view or delete debug log, generated by the SendFax.exe command line utility (Built-in lines) . The debug log contains detailed information about SendFax.exe operations. To enable debug log, run SendFax.exe with /DebugLog command line option.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Clear debug log every time you start SendFax.exe

Check this option to automatically remove debug log file when SendFax.exe starts.

SendFax.exe simple log

In this area you can view or delete simple log, generated by the SendFax.exe command line utility (Built-in lines) . The simple log contains brief information about SendFax.exe operations. To enable simple log, run SendFax.exe with /Log command line option.

<View>

Use this button to view log file.

<Delete>

Use this button to delete log file.

<To Log Folder>

Use this button to open Fax Voip log folder in Windows Explorer.


SendFaxMS.exe (Microsoft Fax) Logs

Fax Voip Control Panel ›› Options ››

SendFaxMS.exe debug log

In this area you can view or delete debug log, generated by the SendFaxMS.exe command line utility (Microsoft Fax) . The debug log contains detailed information about SendFaxMS.exe operations. To enable debug log, run SendFaxMS.exe with /DebugLog command line option.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Clear debug log every time you start SendFaxMS.exe

Check this option to automatically remove debug log file when SendFaxMS.exe starts.

SendFaxMS.exe simple log

In this area you can view or delete simple log, generated by the SendFaxMS.exe command line utility (Microsoft Fax) . The simple log contains brief information about SendFaxMS.exe operations. To enable simple log, run SendFaxMS.exe with /Log command line option.

<View>

Use this button to view log file.

<Delete>

Use this button to delete log file.

<To Log Folder>

Use this button to open Fax Voip log folder in Windows Explorer.


SendAudio.exe (Built-in lines) Logs

Fax Voip Control Panel ›› Options ››

SendAudio.exe debug log

In this area you can view or delete debug log, generated by the SendAudio.exe command line utility (Built-in lines) . The debug log contains detailed information about SendAudio.exe operations. To enable debug log, run SendAudio.exe with /DebugLog command line option.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Clear debug log every time you start SendAudio.exe

Check this option to automatically remove debug log file when SendAudio.exe starts.

SendAudio.exe simple log

In this area you can view or delete simple log, generated by the SendAudio.exe command line utility (Built-in lines) . The simple log contains brief information about SendAudio.exe operations. To enable simple log, run SendAudio.exe with /Log command line option.

<View>

Use this button to view log file.

<Delete>

Use this button to delete log file.

<To Log Folder>

Use this button to open Fax Voip log folder in Windows Explorer.


Tray Notifications

Fax Voip Control Panel ›› Options ››

Tray Notifications inform you of Fax Voip events that are unrelated to your activity, by briefly displaying a balloon from an icon in the system notification area. Clicking of the notification usually allows you to perform the most obvious action. For example, you can quickly view received fax or listen to the audio message. You can enable or disable the appearance of different types of notifications.

New fax received

Tick this option in order to receive notifications of successfully received faxes. The notification provides information about the Calling Number and remote Fax Station ID. Clicking on the notification opens the Inbox folder in the Fax Voip Console , where you can view a received fax.

Failed to receive a fax

Tick this option to be notified of the unsuccessfully received faxes. The notification provides information about the Calling Number, remote Fax Station ID and the cause of failure. Clicking on the notification opens the Inbox folder in the Fax Voip Console , where you can view more information about the fax.

The fax was successfully sent

Tick this option in order to receive notifications of successfully sent faxes. The notification provides information about the Called Fax Number. Clicking on the notification opens the Outbox folder in the Fax Voip Console , where you can view more information about the fax.

The fax could not be sent

Tick this option to be notified of the unsuccessfully sent faxes. The notification provides information about the Called Fax Number and the cause of failure. Clicking on the notification opens the Outbox folder in the Fax Voip Console , where you can view more information about the fax.

Audio message was successfully sent

Tick this option in order to receive notifications of successfully played audio messages. We believe that the audio message was sent if it was played completely. The notification provides information about the phone number of the other party. Clicking on the notification opens the Outbox folder in the Fax Voip Console , where you can view more information about the audio message.

Audio message could not be sent

Tick this option to be notified of the unsuccessfully played audio messages. We believe that the audio message was not sent if it was not played completely. The notification provides information about the phone number of the other party and the cause of failure. Clicking on the notification opens the Outbox folder in the Fax Voip Console , where you can view more information about the audio message.

The fax was successfully sent (Fax-On-Demand)

Tick this option in order to receive notifications of successfully sent faxes when using Fax-On-Demand function. The notification provides information about the Calling Number (incoming call). Clicking on the notification opens the Fax-On-Demand folder in the Fax Voip Console , where you can view more information about the fax.

The fax could not be sent (Fax-On-Demand)

Tick this option to be notified of the unsuccessfully sent faxes when using Fax-On-Demand function. The notification provides information about the Calling Number (incoming call) and the cause of failure. Clicking on the notification opens the Fax-On-Demand folder in the Fax Voip Console , where you can view more information about the fax.

Notes

  • Note that notifications are used when sending and receiving faxes or audio messages via Fax Voip built-in VOIP/ISDN Fax/Audio Lines . See also Monitoring and notifying chapter of this user manual.
  • Using notifications is useful when working with a small amount of faxes (audio messages) on the user's computer. On the other hand, we recommend to disable notifications when working with a large number of faxes (audio messages) on the server.
  • To enable or disable New version available... message, use Check for updates option, see in the Options and Logs chapter.
  • Some types of Tray Notifications can not be disabled. For example, you can not disable the messages that inform you about using the trial version of the program.


Multi-Language Support

Fax Voip Control Panel ›› Options ››

In Fax Voip application you can create and use so-called Language Profiles. Thus the user can translate the Fax Voip program (in full or partially) to any desired language. Files with language settings are stored in the *{CommonAppDataFolder}\FaxVoip\Language folder. The name of the subfolder where language files of the separately taken profile are stored matches the profile name. The profile name is usually the language name. Language files are standard ini-files saved in Unicode (UTF-16). The ini file names are fixed and correspond to different modules of the Fax Voip.

After Fax Voip installation the following standard profiles are always present:

  • English (Default). Reserved name. Default profile embedded into the program code. Language ini files are not used. You can not edit or delete this profile, but you can create a new profile with its use.
  • English. Reserved name. After installation of the program is the same as the default profile. However language data is loaded from ini files. Unlike the default profile, you can edit or delete it. What you should understand when you reinstall the program or upgrade version, language data is always replaced by default data. For this reason it is best to create a new language profile if you want to customize it.

To create new Language Profile, see To create Language Profile .

To customize profile, see To edit Language Profile .

To read more about the structure of language ini-files, see Language files .

To change Fax Voip language, check the box for desired item in the Language Profiles list, see picture below. Click <Apply> button to save language settings. The changes will take effect immediately. Nevertheless, we recommend to completely restart Fax Voip after changing language settings.

The following commands are available in the Language Contextual Tab of the Ribbon:

Language Profiles

New (Ctrl + N)

Click to create new Language Profile.

Edit (Ctrl + E)

Click to edit the selected Language Profile. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete the selected Language Profile(s).

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Folder

Open Profile Folder

Click to open the folder with language files in Windows Explorer. One of the entries should be selected.

Most of the commands placed on the Language Contextual Tab are also available from the context menu of the list.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. On Windows XP the name of this folder is usually C:\Documents and Settings\All Users\Application Data. On Windows Vista, Windows 7, Windows 8/8.1, Windows 10, Windows Server 2008/2008R2, Windows Server 2012/2012R2, Windows Server 2016 and Windows Server 2019 the name of this folder is usually C:\ProgramData.


To create Language Profile

Fax Voip Control Panel ›› Options ›› Multi-Language Support ››

The new Language Profile can be created as a copy of one of the existing profiles. To create new profile, follow instructions below:

1. Open Fax Voip Control Panel.

2. Click Options in TreeView, then click Language.

3. To create new Language Profile click New.

4. In the New Language Profile dialog, in the Enter the Language Profile Name or select from the list field, type or select the name of your new profile. We recommend to use the language name as a profile name, but you are free to enter any name which you like.

5. From the Copy data from drop-down list, select the name of an existing profile from which you want to copy the language data.

6. Click <OK> button.

The new profile will be created and displayed in the language list. To customize profile (edit language data), see To edit Language Profile . To use profile, check the box for profile item, and then click <Apply>.


To edit Language Profile

Fax Voip Control Panel ›› Options ›› Multi-Language Support ››

After creating the new Language Profile you really have a copy of one of the earlier existed profiles, usually English (Default). To translate the program into the desired language, you need to edit the new Language Profile using one of the methods that you can find below in this chapter.

To edit Language Profile using Graphical User Interface (GUI):

1. Open Fax Voip Control Panel.

2. Click Options in TreeView, then click Language.

3. Select the profile you want to edit and then click Edit.

4. In the Edit Language Profile dialog, from the Compare with Profile drop-down list select the profile that will be used for comparison.

5. Click <OK> button.

6. In the Edit Language Profile:<name> dialog, select Ini File Name and Section that you want to edit.

The table that you can see in the figure below, contains the following columns:

Parameter

The internal name of the variable that stores the text that can be translated. The variable name is usually associated with the corresponding text in English.

Column #2 (text to compare)

Displays the text that matches the profile that you selected for comparison. This column is used exclusively for tips and can not be edited.

Column #3 (text to edit)

Displays the text that matches the profile that you selected for editing. You can edit the text in this column to do your translation.

7. Edit the text in the third column. In the case of multi-line strings, use \n for new line character (supported with some parameters).

8. After doing the necessary changes, click <Close> button.

All changes are automatically saved when you select another Ini File Name or another Section, as well as when closing Edit Language Profile:<name> window.

To use profile, check the box for profile item, and then click <Apply>. If the profile is already in use, restart Fax Voip to update language data (or double-change the current profile).

To manualy edit language files:

1. Open Fax Voip Control Panel.

2. Click Options in TreeView, then click Language.

3. Select the profile you want to edit and then click Open Profile Folder.

4. Edit ini-files manually using notepad or other text editor. To read more about the structure of language ini-files, see Language files .

To use profile, check the box for profile item, and then click <Apply>. If the profile is already in use, restart Fax Voip to update language data (or double-change the current profile).

Notes

  • sendfax.txt (help for SendFax.exe tool), SendFaxMS.txt (help for SendFaxMS.exe tool) and sendaudio.txt (help for SendAudio.exe tool) language files are exceptions and can not be edited using Graphical User Interface (GUI). You should manually edit these files.


Language files

Fax Voip Control Panel ›› Options ›› Multi-Language Support ››

Files with language settings are stored in the *{CommonAppDataFolder}\FaxVoip\Language folder. The name of the subfolder where language files of the separately taken profile are stored matches the profile name (usually the language name). Language files are standard ini-files saved in Unicode (UTF-16). The ini file names are fixed and correspond to different modules of the Fax Voip. The only exceptions are the sendfax.txt, SendFaxMS.txt and sendaudio.txt language files (help for SendFax.exe, SendFaxMS.exe and SendAudio.exe tools) that are not standard ini-files.

The ini-file structure is as follows:

[section1]

parameter11=value11

parameter12=value12

...

[section2]

parameter21=value21

parameter22=value22

...

In the case of multi-line strings, the \n new line character is used (supported with some parameters). In the case of missing ini-files, sections or some parameters, Fax Voip uses default strings from the English (default) language profile (for missing parameters).

You can manually customize language settings by changing string values in the ini-files. Below you will find a brief description of the Fax Voip language files.

T38setup.ini

Language settings for Fax Voip Control Panel.

Sections:

[Form_T38setup] The common elements of the main form.

[Help] Help system.

[Menu] Context menus.

[Ribbon_TabMain] Ribbon. Main tab.

[Ribbon_TabView] Ribbon. View tab.

[Ribbon_TabTools] Ribbon. Tools tab.

[Ribbon_TabSIPAccounts] Ribbon. SIP Accounts contextual tab.

[Ribbon_TabOutgoingPlan] Ribbon. Outgoing Plan contextual tab.

[Ribbon_TabIncomingPlan] Ribbon. Incoming Plan contextual tab.

[Ribbon_TabRouteMain] Ribbon. Incoming Methods (built-in lines) contextual tab.

[Ribbon_TabRouteEmail] Ribbon. Route through e-mail (built-in lines) contextual tab (Incoming Routing).

[Ribbon_TabRouteFolder] Ribbon. Store in a folder (built-in lines) contextual tab (Incoming Routing).

[Ribbon_TabRoutePrint] Ribbon. Print (built-in lines) contextual tab (Incoming Routing).

[Ribbon_TabRouteMainMS] Ribbon. Incoming Methods (Microsoft Fax) contextual tab.

[Ribbon_TabRouteEmailMS] Ribbon. Route through e-mail (Microsoft Fax) contextual tab (Incoming Routing).

[Ribbon_TabRouteFolderMS] Ribbon. Store in a folder (Microsoft Fax) contextual tab (Incoming Routing).

[Ribbon_TabRoutePrintMS] Ribbon. Print (Microsoft Fax) contextual tab (Incoming Routing).

[Ribbon_TabRouteOutMain] Ribbon. Outgoing Methods (built-in lines) contextual tab.

[Ribbon_TabRouteOutEmail] Ribbon. E-mail Receipts (built-in lines) contextual tab (Outgoing Routing).

[Ribbon_TabRouteOutFolder] Ribbon. Store in a folder (built-in lines) contextual tab (Outgoing Routing).

[Ribbon_TabRouteOutPrint] Ribbon. Print (built-in lines) contextual tab (Outgoing Routing).

[Ribbon_TabRouteOutMainMS] Ribbon. Outgoing Methods (Microsoft Fax) contextual tab.

[Ribbon_TabRouteOutEmailMS] Ribbon. E-mail Receipts (Microsoft Fax) contextual tab (Outgoing Routing).

[Ribbon_TabRouteOutFolderMS] Ribbon. Store in a folder (Microsoft Fax) contextual tab (Outgoing Routing).

[Ribbon_TabRouteOutPrintMS] Ribbon. Print (Microsoft Fax) contextual tab (Outgoing Routing).

[Ribbon_TabSendFaxExe] Ribbon. SendFax.exe contextual tab.

[Ribbon_TabSendFaxMSExe] Ribbon. SendFaxMS.exe contextual tab.

[Ribbon_TabSendAudioExe] Ribbon. SendAudio.exe contextual tab.

[Ribbon_TabMail2FaxRoute] Ribbon. Mail to Fax (built-in lines) contextual tab.

[Ribbon_TabMail2FaxMSRoute] Ribbon. Mail to Fax (Microsoft Fax) contextual tab.

[Ribbon_TabLanguage] Ribbon. Language contextual tab.

[Ribbon_Menu] Ribbon. Application Menu.

[Ribbon_Menu_SIPCodecs] Ribbon. SIP codecs list. Context menu.

[Ribbon_Menu_H323Phones] Ribbon. H.323 Telephone numbers list. Context menu.

[Ribbon_Menu_H323Codecs] Ribbon. H.323 codecs list. Context menu.

[Ribbon_Menu_ModemRouteIn] Ribbon. Incoming Modem Call Routing. Context menu.

[TreeView] TreeView which is displayed on the left side.

[VOIP] Voip Settings page.

[VOIP_SIP] SIP Settings page.

[VOIP_SIP_UserAgent] SIP User Agent page.

[VOIP_SIP_Registrations] SIP Registrations page.

[VOIP_SIP_T38] T.38 UDPTL Redundancy (SIP) page.

[VOIP_SIP_Codecs] SIP Voice Codec Settings page.

[VOIP_H323] H.323 Settings page.

[VOIP_H323_Gatekeeper] H.323 Gatekeeper page.

[VOIP_H323_T38] T.38 UDPTL Redundancy (H.323) page.

[VOIP_H323_Codecs] H.323 Voice Codec Settings page.

[VOIP_ISDNCAPI20] ISDN CAPI 2.0 Settings page.

[VOIP_ISDNCAPI20_CAPIFax] CAPI Fax Settings (B3 Protocol 4 or 5) page.

[VOIP_OutgoingPlan] Outgoing Voip Call Routing page.

[VOIP_IncomingPlan] Incoming Voip Call Routing page.

[PortsModems] Virtual COM Ports and Modems page.

[PortsModems_OutgoingPlan] Outgoing Modem Call Routing page.

[PortsModems_IncomingPlan] Incoming Modem Call Routing page.

[PortsModems_Codecs] Modem Voice Data Formats and Command Sets page.

[PortsModems_CallerID] Caller ID Settings (Incoming Modem Calls) page.

[Fax_IncomingMethods] Incoming Methods (Built-in lines) page.

[Fax_IncomingMethods_RouteThroughEmail] Route incoming faxes through e-mail (Built-in lines) page.

[Fax_IncomingMethods_StoreInFolder] Store incoming faxes in a folder (Built-in lines) page.

[Fax_IncomingMethods_Print] Print incoming faxes (Built-in lines) page.

[Fax_IncomingMethods_Custom] Custom routing for incoming faxes (Built-in lines) page.

[Fax_IncomingMethodsMS] Incoming Methods (Microsoft Fax) page.

[Fax_IncomingMethodsMS_RouteThroughEmail] Route incoming faxes through e-mail (Microsoft Fax) page.

[Fax_IncomingMethodsMS_StoreInFolder] Store incoming faxes in a folder (Microsoft Fax) page.

[Fax_IncomingMethodsMS_Print] Print incoming faxes (Microsoft Fax) page.

[Fax_IncomingMethodsMS_Custom] Custom routing for incoming faxes (Microsoft Fax) page.

[Fax_OutgoingMethods] Outgoing Methods (Built-in lines) page.

[Fax_OutgoingMethods_EmailReceipts] E-mail Delivery Receipts (Built-in lines) page.

[Fax_OutgoingMethods_StoreInFolder] Store outgoing faxes and audio messages in a folder (Built-in lines) page.

[Fax_OutgoingMethods_Print] Print outgoing faxes (Built-in lines) page.

[Fax_OutgoingMethods_Custom] Custom routing for outgoing faxes and audio messages (Built-in lines) page.

[Fax_OutgoingMethodsMS] Outgoing Methods (Microsoft Fax) page.

[Fax_OutgoingMethodsMS_EmailReceipts] E-mail Delivery Receipts (Microsoft Fax) page.

[Fax_OutgoingMethodsMS_StoreInFolder] Store outgoing faxes in a folder (Microsoft Fax) page.

[Fax_OutgoingMethodsMS_Print] Print outgoing faxes (Microsoft Fax) page.

[Fax_OutgoingMethodsMS_Custom] Custom routing for outgoing faxes (Microsoft Fax) page.

[Fax] Fax settings page.

[Fax_EcmRate] Fax Rate Limits and Error Correction page.

[Fax_FaxConverter] Convert to Fax page.

[Fax_Cover] Cover Pages (Built-in lines, Fax Voip Printer) page.

[Fax_Sender] Sender Information (Built-in lines, Fax Voip Printer) page.

[Fax_FaxViewer] Fax Viewer page.

[Fax_SendFaxExe] SendFax.exe command line tool - Built-in lines page.

[Fax_SendFaxMSExe] SendFaxMS.exe command line tool - Microsoft Fax page.

[Fax_SendFaxMSExe_Cover] Cover Pages (SendFaxMS.exe) - Microsoft Fax page.

[Fax_SendFaxMSExe_Sender] Sender Information (SendFaxMS.exe) - Microsoft Fax page.

[Fax_SendFaxMSExe_Receipts] E-mail Delivery Receipts (native, Microsoft Fax) - SendFaxMS.exe page.

[Audio] Audio settings page.

[Audio_SendAudioExe] SendAudio.exe command line tool - Built-in lines page.

[Email] Fax To Mail / Mail To Fax (Mail To Audio) and Delivery Receipts page.

[Email_Mail2Fax] Mail to Fax (Mail to Audio) - Built-in lines page.

[Email_Mail2Fax_Receipts] Delivery Receipts (Mail to Fax/Audio) - Built-in lines page.

[Email_Mail2Fax_Cover] Cover Pages (Mail to Fax) - Built-in lines page.

[Email_Mail2Fax_Sender] Sender Information (Mail to Fax) - Built-in lines page.

[Email_Mail2Fax_Route] Customization rules (Mail to Fax/Audio) - Built-in lines page.

[Email_Mail2FaxMS] Mail to Fax - Microsoft Fax page.

[Email_Mail2FaxMS_Receipts] Delivery Receipts (Mail to Fax) - Microsoft Fax page.

[Email_Mail2FaxMS_Cover] Cover Pages (Mail to Fax) - Microsoft Fax page.

[Email_Mail2FaxMS_Sender] Sender Information (Mail to Fax) - Microsoft Fax page.

[Email_Mail2FaxMS_Route] Customization rules (Mail to Fax) - Microsoft Fax page.

[Email_SMTP] SMTP settings page.

[Email_POP3IMAP] POP3/IMAP settings page.

[Email_Receipts] Delivery Receipts (Built-in lines) page.

[Email_Templates] E-mail Templates page.

[Options] Options and Logs, E-mail Logs, Incoming Routing Methods (Built-in lines) Logs, Incoming Routing Methods (Microsoft Fax) Logs, Outgoing Routing Methods (Built-in lines) Logs, Outgoing Routing Methods (Microsoft Fax) Logs, SendFax.exe (Built-in lines) Logs, SendFaxMS.exe (Microsoft Fax) Logs and SendAudio.exe (Built-in lines) Logs pages.

[Options_Notifications] Tray Notifications page.

[Options_Language] Language Settings page.

[Options_System] Operating System page.

[License] Licenses page.

[About] About page.

[Form_SIPregister] SIP registration (Create/Edit) dialog.

[Form_AddH323Number] Phone number (H.323) dialog.

[Form_VoipRouteOut] Voip Outgoing Call Routing Rule dialog, common elements.

[Form_VoipRouteOut_General] Voip Outgoing Call Routing Rule dialog, General page.

[Form_VoipRouteOut_Fax] Voip Outgoing Call Routing Rule dialog, Fax page.

[Form_VoipRouteOut_Codecs] Voip Outgoing Call Routing Rule dialog, Codecs page.

[Form_VoipRouteIn] Voip Incoming Call Routing Rule dialog, common elements.

[Form_VoipRouteIn_General] Voip Incoming Call Routing Rule dialog, General page.

[Form_VoipRouteIn_Fax] Voip Incoming Call Routing Rule dialog, Fax page.

[Form_VoipRouteIn_Codecs] Voip Incoming Call Routing Rule dialog, Codecs page.

[Form_COM] Select Ports dialog.

[Form_ChangeModems] Configuring Modems dialog.

[Form_ModemRouteIn] Modem Incoming Call Routing Rule dialog.

[Form_RouteEmail] (Built-in lines) Route through e-mail Rule dialog (Incoming Routing), common elements.

[Form_RouteEmail_General] (Built-in lines) Route through e-mail Rule dialog (Incoming Routing), General page.

[Form_RouteEmail_Email] (Built-in lines) Route through e-mail Rule dialog (Incoming Routing), E-mail page.

[Form_RouteEmail_Format] (Built-in lines) Route through e-mail Rule dialog (Incoming Routing), Format page.

[Form_RouteEmail_Templates] (Built-in lines) Route through e-mail Rule dialog (Incoming Routing), Templates page.

[Form_RouteFolder] (Built-in lines) Store in a folder Rule dialog (Incoming Routing), common elements.

[Form_RouteFolder_General] (Built-in lines) Store in a folder Rule dialog (Incoming Routing), General page.

[Form_RouteFolder_StoreInFolder] (Built-in lines) Store in a folder Rule dialog (Incoming Routing), Store in Folder page.

[Form_RouteFolder_Format] (Built-in lines) Store in a folder Rule dialog (Incoming Routing), Format page.

[Form_RoutePrint] (Built-in lines) Print Rule dialog (Incoming Routing), common elements.

[Form_RoutePrint_General] (Built-in lines) Print Rule dialog (Incoming Routing), General page.

[Form_RoutePrint_Print] (Built-in lines) Print Rule dialog (Incoming Routing), Print page.

[Form_RouteEmailMS] (Microsoft Fax) Route through e-mail Rule dialog (Incoming Routing), common elements.

[Form_RouteEmailMS_General] (Microsoft Fax) Route through e-mail Rule dialog (Incoming Routing), General page.

[Form_RouteEmailMS_Email] (Microsoft Fax) Route through e-mail Rule dialog (Incoming Routing), E-mail page.

[Form_RouteEmailMS_Format] (Microsoft Fax) Route through e-mail Rule dialog (Incoming Routing), Format page.

[Form_RouteEmailMS_Templates] (Microsoft Fax) Route through e-mail Rule dialog (Incoming Routing), Templates page.

[Form_RouteFolderMS] (Microsoft Fax) Store in a folder Rule dialog (Incoming Routing), common elements.

[Form_RouteFolderMS_General] (Microsoft Fax) Store in a folder Rule dialog (Incoming Routing), General page.

[Form_RouteFolderMS_StoreInFolder] (Microsoft Fax) Store in a folder Rule dialog (Incoming Routing), Store in Folder page.

[Form_RouteFolderMS_Format] (Microsoft Fax) Store in a folder Rule dialog (Incoming Routing), Format page.

[Form_RoutePrintMS] (Microsoft Fax) Print Rule dialog (Incoming Routing), common elements.

[Form_RoutePrintMS_General] (Microsoft Fax) Print Rule dialog (Incoming Routing), General page.

[Form_RoutePrintMS_Print] (Microsoft Fax) Print Rule dialog (Incoming Routing), Print page.

[Form_RouteOutEmail] (Built-in lines) E-mail Delivery Receipts Rule dialog (Outgoing Routing), common elements.

[Form_RouteOutEmail_General] (Built-in lines) E-mail Delivery Receipts Rule dialog (Outgoing Routing), General page.

[Form_RouteOutEmail_Email] (Built-in lines) E-mail Delivery Receipts Rule dialog (Outgoing Routing), E-mail page.

[Form_RouteOutEmail_Format] (Built-in lines) E-mail Delivery Receipts Rule dialog (Outgoing Routing), Format page.

[Form_RouteOutEmail_Templates] (Built-in lines) E-mail Delivery Receipts Rule dialog (Outgoing Routing), Templates page.

[Form_RouteOutFolder] (Built-in lines) Store in a folder Rule dialog (Outgoing Routing), common elements.

[Form_RouteOutFolder_General] (Built-in lines) Store in a folder Rule dialog (Outgoing Routing), General page.

[Form_RouteOutFolder_StoreInFolder] (Built-in lines) Store in a folder Rule dialog (Outgoing Routing), Store in Folder page.

[Form_RouteOutFolder_Format] (Built-in lines) Store in a folder Rule dialog (Outgoing Routing), Format page.

[Form_RouteOutPrint] (Built-in lines) Print Rule dialog (Outgoing Routing), common elements.

[Form_RouteOutPrint_General] (Built-in lines) Print Rule dialog (Outgoing Routing), General page.

[Form_RouteOutPrint_Print] (Built-in lines) Print Rule dialog (Outgoing Routing), Print page.

[Form_RouteOutEmailMS] (Microsoft Fax) E-mail Delivery Receipts Rule dialog (Outgoing Routing), common elements.

[Form_RouteOutEmailMS_General] (Microsoft Fax) E-mail Delivery Receipts Rule dialog (Outgoing Routing), General page.

[Form_RouteOutEmailMS_Email] (Microsoft Fax) E-mail Delivery Receipts Rule dialog (Outgoing Routing), E-mail page.

[Form_RouteOutEmailMS_Format] (Microsoft Fax) E-mail Delivery Receipts Rule dialog (Outgoing Routing), Format page.

[Form_RouteOutEmailMS_Templates] (Microsoft Fax) E-mail Delivery Receipts Rule dialog (Outgoing Routing), Templates page.

[Form_RouteOutFolderMS] (Microsoft Fax) Store in a folder Rule dialog (Outgoing Routing), common elements.

[Form_RouteOutFolderMS_General] (Microsoft Fax) Store in a folder Rule dialog (Outgoing Routing), General page.

[Form_RouteOutFolderMS_StoreInFolder] (Microsoft Fax) Store in a folder Rule dialog (Outgoing Routing), Store in Folder page.

[Form_RouteOutFolderMS_Format] (Microsoft Fax) Store in a folder Rule dialog (Outgoing Routing), Format page.

[Form_RouteOutPrintMS] (Microsoft Fax) Print Rule dialog (Outgoing Routing), common elements.

[Form_RouteOutPrintMS_General] (Microsoft Fax) Print Rule dialog (Outgoing Routing), General page.

[Form_RouteOutPrintMS_Print] (Microsoft Fax) Print Rule dialog (Outgoing Routing), Print page.

[Form_SendFaxExe] Configure SendFax.exe options dialog, common elements.

[Form_SendFaxExe_Recipients] Configure SendFax.exe options dialog, Recipients page.

[Form_SendFaxExe_Documents] Configure SendFax.exe options dialog, Documents page.

[Form_SendFaxExe_Converting] Configure SendFax.exe options dialog, Converting page.

[Form_SendFaxExe_Cover] Configure SendFax.exe options dialog, Cover Page page.

[Form_SendFaxExe_Sender] Configure SendFax.exe options dialog, Sender page.

[Form_SendFaxExe_Fax] Configure SendFax.exe options dialog, Fax page.

[Form_SendFaxExe_Schedule] Configure SendFax.exe options dialog, Schedule page.

[Form_SendFaxExe_Receipts] Configure SendFax.exe options dialog, Receipts page.

[Form_CheckFaxNumber] Check Fax Number dialog (called from Configure SendFax.exe options dialog).

[Form_Progress] Window that displays the progress of importing/removing fax/phone numbers (called from Configure SendFax.exe options, Configure SendFaxMS.exe options and Configure SendAudio.exe options dialogs).

[Form_SendFaxMSExe] Configure SendFaxMS.exe options dialog, common elements.

[Form_SendFaxMSExe_Recipients] Configure SendFaxMS.exe options dialog, Recipients page.

[Form_SendFaxMSExe_Documents] Configure SendFaxMS.exe options dialog, Documents page.

[Form_SendFaxMSExe_Converting] Configure SendFaxMS.exe options dialog, Converting page.

[Form_SendFaxMSExe_Cover] Configure SendFaxMS.exe options dialog, Cover Page page.

[Form_SendFaxMSExe_Sender] Configure SendFaxMS.exe options dialog, Sender page.

[Form_SendFaxMSExe_Schedule] Configure SendFaxMS.exe options dialog, Schedule page.

[Form_SendFaxMSExe_Receipts] Configure SendFaxMS.exe options dialog, Receipts page.

[Form_CheckFaxNumberMS] Check Fax Number dialog (called from Configure SendFaxMS.exe options dialog).

[Form_SmtpMSFax] SMTP Settings (Windows Fax Service) dialog.

[Form_SendAudioExe] Configure SendAudio.exe options dialog, common elements.

[Form_SendAudioExe_Recipients] Configure SendAudio.exe options dialog, Recipients page.

[Form_SendAudioExe_AudioFile] Configure SendAudio.exe options dialog, Audio File page.

[Form_SendAudioExe_Schedule] Configure SendAudio.exe options dialog, Schedule page.

[Form_SendAudioExe_Receipts] Configure SendAudio.exe options dialog, Receipts page.

[Form_CheckPhoneNumber] Check Phone Number dialog (called from Configure SendAudio.exe options dialog).

[Form_Mail2FaxRoute] (Built-in lines) Mail to Fax (Mail to Audio) Rule dialog, common elements.

[Form_Mail2FaxRoute_General] (Built-in lines) Mail to Fax (Mail to Audio) Rule dialog, General page.

[Form_Mail2FaxRoute_Receipts] (Built-in lines) Mail to Fax (Mail to Audio) Rule dialog, Receipts page.

[Form_Mail2FaxRoute_Attach] (Built-in lines) Mail to Fax (Mail to Audio) Rule dialog, Attachments page.

[Form_Mail2FaxRoute_Cover] (Built-in lines) Mail to Fax (Mail to Audio) Rule dialog, Cover Pages page.

[Form_Mail2FaxRoute_Sender] (Built-in lines) Mail to Fax (Mail to Audio) Rule dialog, Sender page.

[Form_Mail2FaxRoute_Fax] (Built-in lines) Mail to Fax (Mail to Audio) Rule dialog, Fax page.

[Form_Mail2FaxRoute_Templates] (Built-in lines) Mail to Fax (Mail to Audio) Rule dialog, Templates page.

[Form_Mail2FaxMSRoute] (Microsoft Fax) Mail to Fax Rule dialog, common elements.

[Form_Mail2FaxMSRoute_General] (Microsoft Fax) Mail to Fax Rule dialog, General page.

[Form_Mail2FaxMSRoute_Receipts] (Microsoft Fax) Mail to Fax Rule dialog, Receipts page.

[Form_Mail2FaxMSRoute_Attach] (Microsoft Fax) Mail to Fax Rule dialog, Attachments page.

[Form_Mail2FaxMSRoute_Cover] (Microsoft Fax) Mail to Fax Rule dialog, Cover Pages page.

[Form_Mail2FaxMSRoute_Sender] (Microsoft Fax) Mail to Fax Rule dialog, Sender page.

[Form_Mail2FaxMSRoute_Schedule] (Microsoft Fax) Mail to Fax Rule dialog, Schedule page.

[Form_Mail2FaxMSRoute_Templates] (Microsoft Fax) Mail to Fax Rule dialog, Templates page.

[Form_TestMail] Sending Test Mail dialog.

[Form_TestPop3] Testing Email Server (POP3/SMTP) window.

[Form_Mail2FaxService] Mail to Fax (Mail to Audio) services dialog.

[Form_License] Fax Voip Licensing window.

[Form_VerifyID] Verification codes window.

[Form_Install] Window that displays the progress of installation of Virtual COM Ports, Modems, etc.

[Form_AddLanguage] New Language Profile dialog.

[Form_CompareLanguage] Edit Language Profile dialog (where to specify language for comparison).

[Form_EditLanguage] Edit Language Profile window.

[Form_WinFaxService] Windows Fax Service Settings window.

Manager.ini

Language settings for Fax Voip Manager.

Sections:

[Help] Help system.

[Menu] Fax Voip menu in the system tray.

[Common] The common elements.

[Form_Trial] The window that appears in the trial version.

fvpcons.ini

Language settings for Fax Voip Console.

Sections:

[Form_Main] The common elements of the main form.

[TreeView] TreeView which is displayed on the left side.

[Menu] Main menu and context menus.

[Toolbar] Toolbar button text and tooltips.

[Ribbon_TabMain] Ribbon. Main tab.

[Ribbon_TabView] Ribbon. View tab.

[Ribbon_TabTools] Ribbon. Tools tab.

[Ribbon_Menu] Ribbon. Menu.

[FolderBar] Folder Bar.

[Help] Help system. Tips in the status bar.

[Outbox] The column headers (Outbox, fax).

[Inbox] The column headers (Inbox).

[FaxOnDemand] The column headers (Fax-on-Demand).

[Form_PropertiesOutbox] Properties window (Outbox, fax).

[Form_PropertiesAudioOutbox] Properties window (Outbox, audio message).

[Form_PropertiesInbox] Properties window (Inbox).

[Form_PropertiesFaxOnDemand] Properties window (Fax-on-Demand).

[Form_About] About window.

[Form_AddRemove] Add/Remove columns dialog.

[Dialog_SendFax] Fax message selection common dialog.

[Dialog_SendAudio] Audio Message selection common dialog.

[Dialog_SaveAs] Save as... common dialog (fax messages).

[Form_TIFF] TIFF properties dialog.

[Form_SFF] SFF properties dialog.

[Form_JPEG] JPEG properties dialog.

[Dialog_SaveAsAudio] Save as... common dialog (audio messages).

[Dialog_PreviewPanelColor] Preview Panel Color common dialog.

sendfoip.ini

Language settings for Fax Voip Send Fax Wizard.

Sections:

[Form_Main] The common elements of the main form.

[SendFax] Send Fax page.

[CoverPage] Cover Page page.

[Sender] Sender page.

[Schedule] Schedule page.

[DeliveryNotification] Delivery Notification page.

[Menu] Context menus.

[Form_CheckFaxNumber] Check Fax Number dialog.

[Form_Progress] Window that displays the progress of importing/removing fax numbers and adding multiple fax jobs.

[Help] Help system.

sendwave.ini

Language settings for Fax Voip Send Audio Message Wizard.

Sections:

[Form_Main] The common elements of the main form.

[SendAudio] Send Audio page.

[Schedule] Schedule page.

[DeliveryNotification] Delivery Notification page.

[Menu] Context menus.

[Form_CheckPhoneNumber] Check Phone Number dialog.

[Form_Progress] Window that displays the progress of importing/removing phone numbers and adding multiple audio message jobs.

[Help] Help system.

sendfax.ini

Language settings for SendFax.exe utility (Built-in lines).

Sections:

[App_Output] SendFax.exe actions and errors description.

sendfax.txt

Help text that displayed when running SendFax.exe utility (Built-in lines) without parameters. This is a text file in Unicode. Can not be edited using Graphical User Interface (GUI). Use notepad or other text editor to edit it.

SendFaxMS.ini

Language settings for SendFaxMS.exe utility (Microsoft Fax).

Sections:

[Form_Track] Fax track window, main elements.

[Help] Help system.

[Menu] Fax track window, main menu.

[Toolbar] Fax track window, toolbar button text and tooltips.

[Ribbon_TabMain] Fax track window. Ribbon. Main tab.

[Ribbon_TabView] Fax track window. Ribbon. View tab.

[Ribbon_Menu] Fax track window. Ribbon. Menu.

[Properties] Fax track window. Properties pane.

[FaxStatus_Short] Fax job status. Brief description.

[FaxStatus_Long] Fax job status. Long description.

[FaxExtStatus_Short] Extended fax status. Brief description.

[FaxExtStatus_Long] Extended fax status. Long description.

[FaxProperty_Value] Values ​​for fax properties.

[App_Output] SendFaxMS.exe actions and errors description.

SendFaxMS.txt

Help text that displayed when running SendFaxMS.exe utility (Microsoft Fax) without parameters. This is a text file in Unicode. Can not be edited using Graphical User Interface (GUI). Use notepad or other text editor to edit it.

sendaudio.ini

Language settings for SendAudio.exe utility (Built-in lines).

Sections:

[App_Output] SendAudio.exe actions and errors description.

sendaudio.txt

Help text that displayed when running SendAudio.exe utility (Built-in lines) without parameters. This is a text file in Unicode. Can not be edited using Graphical User Interface (GUI). Use notepad or other text editor to edit it.

TrayNotify.ini

Language settings for Tray Notifications.

Sections:

[New_Version] New version available notification.

[License] License notifications.

[Fax] Fax notifications (built-in lines).

[Audio] Audio messages notifications (built-in lines).

convert.ini

Language settings for converting files to different formats.

Sections:

[Convert] Different Message Boxes.

[Convert_ToFax] Error texts when converting to fax format.

[Convert_ToAudio] Error texts when converting to correct audio format.

Email.ini

Language settings for SMTP logs, SSL callback and signing e-mail messages.

Sections:

[SendMail] SMTP logs.

[SSL_Callback] SSL callback.

[Sign_Message] Signing e-mail messages.

mailtext.ini

Language settings for default e-mail templates (built-in lines).

Sections:

[Fax_In] Incoming faxes, Route through e-mail Incoming Routing Method.

[Fax_Out] Outgoing faxes, Mail To Fax, E-mail Delivery Receipts Outgoing Routing Method, Delivery Receipts.

[Audio_Out] Outgoing audio messages, Mail To Audio, E-mail Delivery Receipts Outgoing Routing Method, Delivery Receipts.

[Message_Out_Err] Outgoing faxes and audio messages, Mail To Fax and Mail To Audio. Errors when creating fax or audio message job.

mailtextMSFax.ini

Language settings for default e-mail templates (Microsoft Fax Service).

Sections:

[Fax_In] Incoming faxes, Route through e-mail Incoming Routing Method.

[Fax_Out] Outgoing faxes, Mail To Fax, E-mail Delivery Receipts Outgoing Routing Method.

FaxStatus.ini

Language settings for fax (audio message) status texts (buitlt-in lines, Fax Voip Console).

Sections:

[Fax_Job_Status] Outgoing fax (audio message) job status.

[Fax_Status_Out] Outgoing fax (audio message) extended status.

[Fax_Status_In] Incoming fax status.

[Fax_Status_OnDemand] Fax-On-Demand fax status.

[Fax_Err] Fax (audio message) errors.

FaxStatusMSFax.ini

Language settings for fax status texts (Microsoft Fax Service).

Sections:

[Fax_ExtStatus] Extended fax status.

FixPrintto.ini

Language settings for Repair ‘printto’ verbs function log.

Sections:

[Common] Common texts.

[Print_System] Actions related to the correction under system account.

[Fix_Printto] Other parameters.

printset.ini

Language settings for window that displays the progress of Fax Voip Virtual Printer installation/removing.

Sections:

[Form_Main] Window that displays the progress of Fax Voip Virtual Printer installation/removing.

[Log] Fax Voip Virtual Printer installation/removing log.

[Form_Test] Fax Voip Printer Test Utility window.

fvwincom.ini

Language settings for the auxiliary tool (fvwincom.exe), which is used during Fax Voip installation and removing.

Sections:

[Common] Common texts.

[Form_Remove] Uninstall FaxVoip window.

WinFaxService.ini

Language settings for Windows Fax Service installation utility.

Sections:

[Form_Install] Window that displays the progress of installation of Windows Fax Service.

[Common] Common texts.

FVBackup.ini

Language settings for Fax Voip Backup or Restore Wizard.

Sections:

[Form_Main] The text in the caption of the Wizard.

[Page_Welcome] Welcome to the Fax Voip Backup or Restore Wizard page.

[Page_BackupOrRestore] Backup or Restore Fax Voip page.

[Page_BackupOptions] What to Back Up page.

[Page_BackupPathAndName] Backup Type, Destination, and Name page.

[Page_BackupCompleted] Completing the Fax Voip Backup or Restore Wizard page (Backup).

[Page_RestorePath] Restore page.

[Page_RestoreOptions] What to Restore page.

[Page_RestoreCompleted] Completing the Fax Voip Backup or Restore Wizard page (Restore).

[Page_CannotContinue] Cannot Continue the Fax Voip Backup or Restore Wizard page.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. On Windows XP the name of this folder is usually C:\Documents and Settings\All Users\Application Data. On Windows Vista, Windows 7, Windows 8/8.1, Windows 10, Windows Server 2008/2008R2, Windows Server 2012/2012R2, Windows Server 2016 and Windows Server 2019 the name of this folder is usually C:\ProgramData.


System Settings

Fax Voip Control Panel ›› Options ››

The System panel displays information about the operating system and the current state of the system.

Operating System

The name of your operating system. This field also indicates the type of operating system (32-bit or 64-bit).

Boot System Options (current)

Current state of the /TESTSIGNING boot option and current state of the /DISABLE_INTEGRITY_CHECKS boot option are shown in this pane.

Virtual COM Port driver compatibility (current)

This panel shows whether you can use Fax Voip driver for Virtual COM Ports.

<Reboot>

Click this button to restart the operating system.

Notes

  • Starting with version 6.1.1 Fax Voip comes with its own digitally signed Virtual COM port driver that is fully compatible with 64-bit versions of Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008/2008R2.
  • Possibility to operate with third-party Virtual COM Port drivers depends on the compatibility of third-party software with the operating system that you use. Examples of usage are discussed in details in the chapter Using Fax Voip with 3-rd party Virtual COM Port Soft of this guide.


Run Fax Voip as Windows Service

Fax Voip can operate as a Windows Service. This option is not installed by default, so you should make the appropriate settings manually. Before using this option, we recommend that you verify the correct operation of Fax Voip in non-service mode. Normally, when Fax Voip is configured as a service, it is started under a Local System account.

  • Configure Fax Voip as a Windows Service
  • Configure Mail to Fax (Mail to Audio) systems as Windows Service
  • Fax Voip Services Overview


Configure Fax Voip as a Windows Service

To configure Fax Voip as a Windows Service

Run Fax Voip as Windows Service ››

1. Open Fax Voip Control Panel.

2. Click Options in TreeView.

3. Flag Run Fax Voip as Windows service box. To change this option, administrator privileges are required.

4. Flag Load automatically on Windows startup box, if you want to start Fax Voip on Windows startup before user logon (under a Local System account). To change this option when Fax Voip is running as a Windows Service, administrator privileges are required.

5. Click <Apply> button.

6. If a dialog box will appear, click <OK>.

7. In the Mail to Fax (Mail to Audio) services window, specify the user name and password of the account that will be used to run the Fax Voip mail services. The user account must be in the form DOMAIN\Username. By default, Fax Voip suggests you to use the current account (with administrator rights). You should not run these services under system or network service accounts. See also Configure Mail to Fax (Mail to Audio) systems as Windows Service . Click <OK>.

8. Make sure that the name of the selected account is displayed in the Fax Voip Mail to Fax service... is configured to be started under this account fields, see picture below.

9. Click <START> button to run Fax Voip as a Windows Service.

Fax Voip Service is running message will be shown in the Fax Voip status field. The current status of Fax Voip mail services is displayed in the status bar.


Fax Voip Services Overview

Run Fax Voip as Windows Service ››

When selecting the Run Fax Voip as Windows service option, Fax Voip installs the following Windows Services:

Fax Voip (Fax Voip T38 Fax and Voice service)

The basic service, which is responsible for starting the SIP/H.323/ISDN CAPI 2.0 client and for all operations with faxes. It is started under the Local System account.

Fax Voip FaxToFile (Fax Voip Fax to File and Mail internal system)

This service is responsible for processing with faxes and audio messages when using Fax Voip built-in VOIP/ISDN Fax/Audio Lines as well as for Incoming Routing Methods (Built-in lines): E-mail, Store in Folder, Print, Custom and Outgoing Routing Methods (Built-in lines): E-mail, Store in Folder, Print, Custom . It is started under the Local System account.

Fax Voip Internal Mail (Fax Voip Mail system based on built-in fax lines)

This service is responsible for Mail to Fax (Mail to Audio) - Built-in lines functionality. If you do not use this function, the service is not started. This service should be configured to be started under regular user account, see Configure Mail to Fax (Mail to Audio) systems as Windows Service .

Fax Voip MsFax Mail (Fax Voip Mail system based on Microsoft Fax service)

This service is responsible for Mail to Fax - Microsoft Fax functionality. Also used to call Outgoing Routing Methods (Microsoft Fax) . If you do not use these functions, the service is not started. This service should be configured to be started under regular user account, see Configure Mail to Fax (Mail to Audio) systems as Windows Service .

Notes

  • You should not manually install, remove or configure Fax Voip services using Microsoft Management Console. This can lead to unpredictable program behavior. To configure services, see To configure Fax Voip as a Windows Service .


T38, G711 and CAPI Fax Modes

T38, G711 (audio) and CAPI Fax Modes

Fax Voip supports receiving and sending faxes according to T.38 standard, as well as in audio mode (over G711-ulaw or G711-Alaw codecs). When sending or receiving faxes via ISDN CAPI 2.0 connection using built-in lines, you also can use CAPI fax based on CAPI 2.0 specification (B3 Protocol 4: T.30 for Group 3 fax or B3 Protocol 5: T.30 for Group 3 fax extended).

Both T.38 and audio fax (fax over G.711 codecs) have their advantages and disadvantages when sending/receiving faxes over VoIP.

T.38 - the most reliable standard used to transmit faxes over VoIP in real time. Isolates from the delays, timing jitter, and packet loss experienced in VoIP networks. T.38 support should be provided by your SIP or H.323 VoIP Service provider. Note that T.38 standard is fully compatible with using any of audio codecs (G.711 codecs are not required).

Sending a fax over the audio channel (G711 fax) is not so reliable. Nevertheless, this method can be used with almost any VoIP provider that supports G.711-ulaw or G.711-Alaw codecs. In this case, possibility and quality of faxing depends on many factors, such as the quality of VoIP termination or on the stability of the Internet channel on the client side. Despite the obvious disadvantages, G711 fax often operates very well and stable with many SIP and H.323 providers.

One of the common problems faced by customers is the incomplete support for T.38 on the side of VoIP Service provider. In other words, the provider announces T.38 support, but can not provide T.38 for some call destinations. Or does not have a stable termination to your desired destination. Fax Voip is able to automatically detect the presence or absence of T.38 support at the time of the current call.

In the case of sending or receiving faxes via ISDN CAPI 2.0 line using G711 audio fax mode, you should not expect problems as there are no delays typical for VoIP. On the other hand, we recommend to use CAPI fax mode instead of G711 audio fax mode when sending or receiving faxes via ISDN CAPI 2.0 connection using built-in lines.


Faxing with Virtual COM Ports

Faxing with Virtual COM Ports (Modems)

T38, G711 and CAPI Fax Modes ››

Fax Voip supports receiving and sending faxes, not only according to T.38 standard but also in audio mode (over G711-ulaw or G711-Alaw codecs), if to operate with Virtual COM Ports (modem lines). In practice, this means that you can now send a fax via any SIP or H.323 provider, for example via Betamax/Dellmont , even without T.38 support, and using a standard fax software, such as Microsoft Fax. Note that both T38 fax mode and G711 fax mode are fully compatible with Voice Modem Functionality .


Configure Fax Mode

To Configure Fax Mode

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ››

Fax Voip allows to use different Fax Modes, depending on the Call Routing. For example, all calls to numbers starting with '00' can be redirected to Betamax/Dellmont SIP network as G711 fax calls, and all calls to numbers beginning with '1' can be redirected to T38FAX SIP network as T38 fax calls. Thus, to configure outgoing faxes, editing of Outgoing VOIP Call Routing table is required. To configure incoming faxes editing of Incoming VOIP Call Routing table is required. To avoid possible problems with selecting correct Fax Mode, it is strongly recommended to pre-read detailed descriptions of the possible Fax Modes. See also Voice Codecs requirements chapter.


Configure Outgoing Fax Mode

To Configure Outgoing Fax Mode

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ›› Configure Fax Mode ››

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To create new rule click New. To edit an existing rule (applicable to one or more Virtual COM Ports) select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule dialog switch to the Fax panel.

5. In the Fax Support section, check (or uncheck) the appropriate options:

      • Select G.711 audio fax option to send audio faxes.
      • Select T.38 fax option to send T.38 faxes.
      • If you select Send T.38 re-invite option, Fax Voip will send T.38 re-invite without waiting for the T.38-invitation from the remote side.

6. Click <OK> button to fix changes.

7. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings.

Notes

  • To avoid possible problems with selecting correct Fax Mode, it is strongly recommended to pre-read detailed descriptions of the possible Outgoing Fax Modes .


Configure Incoming Fax Mode

To Configure Incoming Fax Mode

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ›› Configure Fax Mode ››

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. To create new rule click New. To edit an existing rule (applicable to Virtual COM Ports, with line: prefix) select it and click Edit (or double-click the selected rule).

4. In the VOIP Incoming Call Routing Rule dialog switch to the Fax panel.

5. In the Fax Support section, check (or uncheck) the appropriate options:

      • Select G.711 audio fax option to receive audio faxes.
      • Select T.38 fax option to receive T.38 faxes.
      • If you select Detect T.38 re-invite option, Fax Voip will switch to T38 fax only when detecting T.38 re-invite, sent from the other side.

6. Click <OK> button to fix changes.

7. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings.

Notes

  • To avoid possible problems with selecting correct Fax Mode, it is strongly recommended to pre-read detailed descriptions of the possible Incoming Fax Modes .


Outgoing Fax Modes

Outgoing Fax Modes for Virtual COM Ports (modems)

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ››

When making an outgoing call via the Virtual COM Port (modem), one of the four Fax Modes can be applied:

  • G711 fax
  • T38 fax
  • G711 fax + T38 fax
  • T38 fax with sending re-invite + G711 fax

To avoid possible problems with sending faxes, it is strongly recommended to pre-read detailed descriptions of the possible Outgoing Fax Modes.


G711 Fax Mode

G711 Fax Mode (G711)

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ›› Outgoing Fax Modes ››

Fax Voip will start in the mode of sending G711 fax. In the case of receiving T.38 re-invite from the other side, Fax Voip answers 'not supported' and continues to send a fax in audio mode, if the parties believe that this is possible. To set this mode in VOIP Outgoing Call Routing rule:

1. Check G.711 audio fax option.

2. Uncheck T.38 fax option.

3. Uncheck Send T.38 re-invite option.

Notes

  • It is recommended to use this mode with providers that do not support T.38 standard.
  • G.711 audio fax mode is always used when sending a fax via ISDN CAPI 2.0 line using Virtual COM Ports (modems).


T38 Fax Mode

T38 Fax Mode (T38)

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ›› Outgoing Fax Modes ››

If T.38 re-invite is received from the other side, Fax Voip switches to T.38 and sends the fax. If T.38 re-invite is not received, sending a fax is not happening. To set this mode in VOIP Outgoing Call Routing rule:

1. Uncheck G.711 audio fax option.

2. Check T.38 fax option.

3. Uncheck Send T.38 re-invite option.

Notes

  • It is recommended to use this mode with providers that have a stable support for T.38 standard.


G711 Fax + T38 Fax Mode

G711 Fax + T38 Fax Mode (G711,T38)

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ›› Outgoing Fax Modes ››

Fax Voip will start in the mode of sending G711 fax. If T.38 re-invite is received from the other side, Fax Voip switches to T.38 and sends T.38 fax. If T.38 re-invite not received, Fax Voip continues to use the audio mode (G711 fax) for sending a fax. To set this mode in VOIP Outgoing Call Routing rule:

1. Check G.711 audio fax option.

2. Check T.38 fax option.

3. Uncheck Send T.38 re-invite option.

Notes

  • It is recommended to use this mode with SIP/H.323 provider that does not have a stable support for T.38 standard. Or, for example, together with PBX, that operates with different SIP/H.323 providers (with support and without support for T.38).
  • This fax mode can be used instead of any of the above two modes.


T38 Fax with Re-invite + G711 Fax Mode

T38 Fax with Re-invite + G711 Fax Mode (T38+R,G711)

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ›› Outgoing Fax Modes ››

Fax Voip will start in the mode of sending T.38 fax (sends T.38 re-invite to the other side). With the positive response from the other side, Fax Voip sends T.38 fax. If the other party answers 'not supported', Fax Voip switches to G711 fax and sends the fax as audio. To set this mode in VOIP Outgoing Call Routing rule:

1. Check G.711 audio fax option.

2. Check T.38 fax option.

3. Check Send T.38 re-invite option.

Notes

  • It is recommended to use this mode only if the VOIP provider offers support for T.38, but for some reason does not generate T.38-reinvite, when the remote fax machine answers.
  • When using this mode CNG tone may not be transferred, depending on the capabilities of SIP/H.323 network.
  • Not recommended to use this mode to send a fax as G711 fax, because other side is not always able to answer 'not supported'. In the described situation switch to G711 fax will not happen and fax will not be transferred.
  • It is recommended to use this mode , if dummy G.729* codec is used, to ensure CNG tone generation.


Incoming Fax Modes

Incoming Fax Modes for Virtual COM Ports (modems)

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ››

When receiving incoming calls to the Virtual COM Port (modem), one of three Fax Modes can be applied:

  • G711 fax
  • T38 fax + G711 fax
  • G711 fax + T38 re-invite detection

To avoid possible problems with receiving faxes, it is strongly recommended to pre-read detailed descriptions of the possible Incoming Fax Modes.


G711 Fax Mode

G711 Fax Mode (G711)

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ›› Incoming Fax Modes ››

Fax Voip will start in the mode of receiving G711 fax. In the case of receiving T.38 re-invite from the other side, Fax Voip answers 'not supported' and continues to receive a fax in audio mode. To set this mode in VOIP Incoming Call Routing rule:

1. Check G.711 audio fax option.

2. Uncheck T.38 fax option.

3. Uncheck Detect T.38 re-invite option.

Notes

  • It is recommended to use this mode with providers that do not support T.38 standard.
  • G.711 audio fax mode is always used when receiving a fax via ISDN CAPI 2.0 line using Virtual COM Ports (modems).


T38 Fax + G711 Fax Mode

T38 Fax + G711 Fax Mode (T38,G711)

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ›› Incoming Fax Modes ››

Fax Voip will start in the mode of receiving T.38 fax (sends T.38 re-invite to the other side). If the other party answers 'not supported', Fax Voip switches to G711 fax and receives the fax as audio. To set this mode in VOIP Incoming Call Routing rule:

1. Check G.711 audio fax option.

2. Check T.38 fax option.

3. Uncheck Detect T.38 re-invite option.

Notes

  • It is recommended to use this mode with providers that have T.38 support.
  • Not recommended to use this mode to receive a fax as G711 fax, because other side is not always able to answer 'not supported'. In the described situation switch to G711 fax will not happen and fax will not be received.


G711 Fax + T38 Re-invite Detection Mode

G711 Fax + T38 Re-invite Detection Mode (T38R,G711)

T38, G711 and CAPI Fax Modes ›› Faxing with Virtual COM Ports ›› Incoming Fax Modes ››

Fax Voip will start in the mode of receiving G711 fax. If T.38 re-invite is received from the other side, Fax Voip switches to T.38 and receives T.38 fax. To set this mode in VOIP Incoming Call Routing rule:

1. Check G.711 audio fax option.

2. Uncheck T.38 fax option.

3. Check Detect T.38 re-invite option.

Notes

  • This mode can be used for compatibility with some SIP/H.323 providers and devices.
  • This mode can also be used instead of G711 fax mode, see above.


Faxing with Built-in VOIP/ISDN Fax/Audio Lines

T38, G711 and CAPI Fax Modes ››

With Fax Voip built-in VOIP/ISDN Fax/Audio Lines you can send and receive faxes in both T.38 and in audio mode (over G711-ulaw or G711-Alaw codecs). It means that you can send a fax via any SIP or H.323 provider, for example via Betamax/Dellmont SIP Network, even without T.38 support. When sending or receiving faxes via ISDN CAPI 2.0 connection using built-in lines, you also can use CAPI fax based on CAPI 2.0 specification (B3 Protocol 4: T.30 for Group 3 fax or B3 Protocol 5: T.30 for Group 3 fax extended). To send a fax, Fax Voip Virtual Printer is used. To view received faxes, Fax Voip Console is used. You can read more details about configuring and using Fax Voip built-in VOIP/ISDN Fax/Audio Lines in the Sending and Receiving Faxes (Audio Messages) with built-in VOIP/ISDN Fax/Audio lines chapter of this manual.

Possible fax modes are different in the case of VOIP connection and in the case of ISDN CAPI 2.0 connection and should be considered separately:

  • Fax Modes for built-in VOIP/ISDN Fax/Audio Lines using VOIP
  • Fax Modes for built-in VOIP/ISDN Fax/Audio Lines using ISDN CAPI 2.0


Fax Modes (VOIP)

Fax Modes for Built-in VOIP/ISDN Fax/Audio Lines (VOIP)

T38, G711 and CAPI Fax Modes ›› Faxing with Built-in VOIP/ISDN Fax/Audio Lines ››

When receiving or sending faxes via Fax Voip built-in VOIP/ISDN Fax/Audio Lines using VOIP connection (SIP or H.323), the following Fax Modes can be applied:

  • G711 fax
  • T38 fax + G711 fax (auto)
  • T38 fax with sending re-invite + G711 fax (auto)

To avoid possible problems with sending and receiving faxes, it is strongly recommended to pre-read detailed descriptions of the possible Fax Modes. You should pay attention to settings of Outgoing VOIP Call Routing and Incoming VOIP Call Routing rules. You should also take into account the Voice Codecs requirements (see below).


G711 Fax Mode

G711 Fax Mode (G711)

T38, G711 and CAPI Fax Modes ›› Faxing with Built-in VOIP/ISDN Fax/Audio Lines ›› Fax Modes (VOIP) ››

Starting in this mode, Fax Voip always sends or receives a fax in audio mode (over G711-ulaw or G711-Alaw codecs).

Notes

  • It is recommended to use this mode with VOIP providers that do not support T.38 standard.


T38 Fax + G711 Fax Mode

T38 Fax + G711 Fax Mode (T38, G711)

T38, G711 and CAPI Fax Modes ›› Faxing with Built-in VOIP/ISDN Fax/Audio Lines ›› Fax Modes (VOIP) ››

In the case of outgoing VOIP calls, if T.38 re-invite is received from the other side, Fax Voip switches to T.38 and sends T.38 fax. If T.38-reinvite not received, Fax Voip trying to switch to the audio fax mode (G711 fax).

In the case of incoming calls, Fax Voip will start in the mode of receiving T.38 fax (sends T.38 re-invite to the other side). If the other party answers 'not supported', Fax Voip switches to G711 fax and receives the fax as audio.

In the case of incoming calls, this mode is applyed automatically when you select Receive Faxes as Files with T.38 support in the Incoming VOIP Call Routing rule.

To apply this mode to outgoing calls do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To create new rule click New. To edit an existing rule (applicable to built-in lines) select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window, on the General page select From built-in lines (via Fax Voip Console) option, then select If to send a fax with T.38 support (VOIP) option.

5. Switch to the Fax panel.

6. In the Fax Support section, uncheck Send T.38 re-invite option.

7. Click <OK> button to fix changes.

8. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings.

Notes

  • It is recommended to use this mode with VOIP providers that have support for T.38 with stable T.38-reinvite from the other side in the case of outgoing calls.
  • Possibility to switch to G711 Fax is particularly useful in cases of instable support for T.38.
  • Not recommended to use this feature with SIP/H.323 providers without T.38 support, since depending on the properties of the VOIP network, switching to G711 fax mode may not work.
  • Note that CNG tone is not implemented in this mode in the case of outgoing H.323 calls. To ensure CNG tone generation in the case of H.323 calls, it is recommended to use T38 Fax with Re-invite + G711 Fax Mode to send T.38 faxes (if possible) or G711 Fax Mode to send audio faxes.


T38 Fax with Re-invite + G711 Fax Mode

T38 Fax with Re-invite + G711 Fax Mode (T38+R,G711)

T38, G711 and CAPI Fax Modes ›› Faxing with Built-in VOIP/ISDN Fax/Audio Lines ›› Fax Modes (VOIP) ››

This mode can only be applied to outgoing VOIP calls. Fax Voip sends T.38 re-invite to the other side. With the positive response from the other side, Fax Voip sends T.38 fax. If the other party answers 'not supported', Fax Voip switches to G711 fax and sends the fax as audio.

To apply this mode to outgoing calls do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To create new rule click New. To edit an existing rule (applicable to built-in lines) select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window, on the General page select From built-in lines (via Fax Voip Console) option, then select If to send a fax with T.38 support (VOIP) option.

5. Switch to the Fax panel.

6. In the Fax Support section, check Send T.38 re-invite option.

7. Click <OK> button to fix changes.

8. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings.

Notes

  • It is recommended to use this mode with VOIP providers that have support for T.38, but the other side does not send T.38-reinvite to Fax Voip or T.38-reinvite from the other side is not stable.
  • Possibility to switch to G711 Fax is particularly useful in cases of instable support for T.38.
  • Not recommended to use this feature with SIP/H.323 providers without T.38 support, since depending on the properties of the VOIP network, switching to G711 fax mode may not work. Nevertheless it should be noted that the fallback to G711 Fax operates quite well in this mode.
  • When using this mode CNG tone may not be transferred, depending on the capabilities of SIP/H.323 network.


Fax Modes (ISDN)

Fax Modes for Built-in VOIP/ISDN Fax/Audio Lines (ISDN CAPI 2.0)

T38, G711 and CAPI Fax Modes ›› Faxing with Built-in VOIP/ISDN Fax/Audio Lines ››

When receiving or sending faxes via Fax Voip built-in VOIP/ISDN Fax/Audio Lines using ISDN CAPI 2.0 connection, the following Fax Modes can be applied:

  • CAPI fax
  • G711 fax

To avoid possible problems with sending and receiving faxes, it is strongly recommended to pre-read detailed descriptions of the possible Fax Modes. You should pay attention to settings of Outgoing VOIP Call Routing and Incoming VOIP Call Routing rules.


CAPI Fax Mode

CAPI Fax Mode (B3:4:SFF or B3:5:SFF)

T38, G711 and CAPI Fax Modes ›› Faxing with Built-in VOIP/ISDN Fax/Audio Lines ›› Fax Modes (ISDN) ››

When sending or receiving faxes via ISDN CAPI 2.0 connection using built-in lines, you can use CAPI Fax Mode based on CAPI 2.0 specification. This method is commonly used by the standard CAPI 2.0 fax applications. Fax is transmitted according to B3 Protocol 4: T.30 for Group 3 fax or according to B3 Protocol 5: T.30 for Group 3 fax extended. To send and receive faxes, special SFF (Structured Fax File) file format is used. This method is currently implemented only with built-in lines.

To apply this mode to outgoing ISDN CAPI 2.0 calls via built-in lines do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To create new rule click New. To edit an existing rule (applicable to built-in lines) select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window, on the General page select From built-in lines (via Fax Voip Console) option.

5. In the Dial on Line area select ISDN CAPI 2.0 to route calls to CAPI 2.0 line. The option If to send a fax via ISDN CAPI 2.0 will be selected automatically.

6. Switch to the Fax panel.

7. In the Fax Support section, check CAPI fax (B3 Protocol 4 or 5) option.

8. In the CAPI Fax Settings (B3 Protocol 4 or 5) area configure B3 protocol and other CAPI fax parameters if need. Using of B3 Protocol 5 provides more possibilities. B3 Protocol 5 allows you to disable ECM (Error Correction). Moreover, using of B3 Protocol 5 provides more accurate statistics when sending a fax. In particular, the statistical data is transmitted via CONNECT_B3_ACTIVE_IND CAPI 2.0 message in the beginning of faxing, and not only via DISCONNECT_B3_IND message like we have in the case of using B3 Protocol 4. It is recommended to use B3 Protocol 5 if possible.

9. Click <OK> button to fix changes.

10. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings.

To apply this mode to incoming ISDN CAPI 2.0 calls via built-in lines do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. To create new rule click New. To edit an existing rule (applicable to built-in lines) select it and click Edit (or double-click the selected rule).

4. In the VOIP Incoming Call Routing Rule window, on the General page, in the VOIP Protocol area select ISDN CAPI 2.0 option to apply this rule to incoming ISDN calls.

5. In the Call to Fax Voip Line area select Receive Faxes as Files option to route incoming calls to built-in lines. In the Fax Protocol area select CAPI Fax option.

6. On the Fax page, in the CAPI Fax Settings (B3 Protocol 4 or 5) area configure B3 protocol and other CAPI fax parameters if need. Using of B3 Protocol 5 provides more possibilities. B3 Protocol 5 allows you to disable ECM (Error Correction). Moreover, using of B3 Protocol 5 provides more accurate statistics when receiving a fax. In particular, the statistical data is transmitted via CONNECT_B3_ACTIVE_IND CAPI 2.0 message in the beginning of faxing, and not only via DISCONNECT_B3_IND message like we have in the case of using B3 Protocol 4. It is recommended to use B3 Protocol 5 if possible.

7. Click <OK> button to fix changes.

8. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings.

Notes

  • It is recommended to use this mode with ISDN CAPI 2.0 connection via built-in lines if this is possible with your ISDN card.
  • CAPI Fax Mode is currently can not be used with the Send a fax (fax on demand) option in the case of incoming calls to built-in lines via ISDN CAPI 2.0 connection.


G711 Fax Mode

G711 Fax Mode (G711)

T38, G711 and CAPI Fax Modes ›› Faxing with Built-in VOIP/ISDN Fax/Audio Lines ›› Fax Modes (ISDN) ››

When sending or receiving faxes via ISDN CAPI 2.0 connection you can use audio fax mode (fax over G.711 codec). When sending/receiving faxes using this method, Fax Voip does not use fax features of your ISDN card, as it is usually done in the CAPI 2.0 fax applications. Fax is transmitted as standard audio data. Fax Voip operates the same way like analog fax machine that connected to the ISDN line via adapter. Fax Voip uses the same technology that is used when transmitting audio faxes via SIP or H.323 (Fax over G.711 codec).

To apply this mode to outgoing ISDN CAPI 2.0 calls via built-in lines do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To create new rule click New. To edit an existing rule (applicable to built-in lines) select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window, on the General page select From built-in lines (via Fax Voip Console) option.

5. In the Dial on Line area select ISDN CAPI 2.0 to route calls to CAPI 2.0 line. The option If to send a fax via ISDN CAPI 2.0 will be selected automatically.

6. Switch to the Fax panel.

7. In the Fax Support section, check G.711 audio fax option.

8. In the G.711 Audio Fax Settings area configure aditional fax parameters if need.

9. Click <OK> button to fix changes.

10. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings.

To apply this mode to incoming ISDN CAPI 2.0 calls via built-in lines do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. To create new rule click New. To edit an existing rule (applicable to built-in lines) select it and click Edit (or double-click the selected rule).

4. In the VOIP Incoming Call Routing Rule window, on the General page, in the VOIP Protocol area select ISDN CAPI 2.0 option to apply this rule to incoming ISDN calls.

5. In the Call to Fax Voip Line area select Receive Faxes as Files option to route incoming calls to built-in lines. In the Fax Protocol area select G.711 (audio) option.

6. On the Fax page, in the G.711 Audio Fax Settings area configure aditional fax parameters if need.

7. Click <OK> button to fix changes.

8. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings.

Notes

  • It is recommended to use this mode with ISDN CAPI 2.0 connection via built-in lines if only your ISDN card does not support native ISDN faxing.
  • This mode is currently always used with the Send a fax (fax on demand) option in the case of incoming calls to built-in lines via ISDN CAPI 2.0 connection.


Voice Codecs requirements

T38, G711 and CAPI Fax Modes ››

When configuring the Fax Mode, you should pay attention to the selection of Voice Codecs. The default SIP Voice Codecs or H.323 Voice Codecs configuration can be overridden by the Outgoing Voip Call Routing and Incoming Voip Call Routing rules.

When selecting voice codecs, you should be guided by the following rules:

  • T.38 fax is fully compatible with using of any audio codec. At least one audio codec must be selected. At least one of the selected codecs must be supported by your SIP or H.323 network.
  • G711 fax can only operate when using G.711-ulaw or G.711-Alaw codecs. Thus, at least one of these two codecs must be selected and supported by your SIP or H.323 network.
  • To prevent sending or receiving faxes in the audio mode, you can disable G.711-ulaw and G.711-Alaw codecs. This is possible if your SIP or H.323 provider supports one of the other voice codecs. Note that in the case of built-in lines and G711 fax mode this method will not only make it impossible to send/receive faxes, but also make it impossible to make outgoing calls and receive incoming calls.
  • To provide compatibility with audio fax when using codecs other than G.711-ulaw and G.711-Alaw, it is strongly recommended to use the highest preference for G.711-ulaw and G.711-Alaw. When Fax Voip switches to G711 fax mode, it makes re-invite to G.711-ulaw or G.711-Alaw, if necessary. Re-invite to G.711 is fully supported in Fax Voip in the case of incoming calls. However, in the case of outgoing calls, this feature is not finalized, so you should not rely on it. In the case of SIP, you can also provide the highest preference for G.711-ulaw and G.711-Alaw codecs for incoming calls. To do this, you should use the highest preference for G.711-ulaw and G.711-Alaw and additionally check Apply codec preference order to incoming calls option (Note, that this option is not recommended).
  • In the case of built-in lines and G711 fax mode the highest preference for G.711-ulaw and G.711-Alaw is not important, because in this mode Fax Voip ignores all the other codecs and does not include them in SIP/H.323 messages (the possibility of establishing connection with codec other than G.711-ulaw or G.711-Alaw is excluded). What is important is to have at least one of these codecs in the Voice Codecs list.
  • Dummy G.729* codec enables to report G.729 Audio Codec support for Fax T.38 Gateways that do not support G.711 and other supported audio formats; use this codec only for resolving compatibility issue. Typically, if dummy G.729* codec is used, T38 Fax with Re-invite mode for outgoing calls should be used too to ensure CNG tone generation. Note that T38 Fax with Re-invite mode is currently supported with both Virtual COM Ports (modems) and built-in lines.


Default SIP Codecs Settings

SIP Voice Codecs settings (default)

T38, G711 and CAPI Fax Modes ›› Voice Codecs requirements ››

To configure the default SIP Voice Codecs follow these steps:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Codecs.

3. To add a codec, select it in the Available codecs panel, then click <Add> button.

4. To remove a codec, select it in the Selected codecs panel, then click <Remove> button.

5. Use <Up> and <Down> buttons to change preference order for selected audio codecs. You should select one of the entries in the Selected codecs panel before using these buttons.

6. To ignore codec preference order of the other party and use Fax Voip codec preference order at the time of incoming call, check Apply codec preference order to incoming calls option. Note that this option is not in accordance with RFC3264. Nevertheless, we found it useful to add it.

7. Click <Apply> button to save codecs settings. Do not forget to restart Fax Voip to use new settings.


Default H.323 Codecs Settings

H.323 Voice Codecs settings (default)

T38, G711 and CAPI Fax Modes ›› Voice Codecs requirements ››

To configure the default H.323 Voice Codecs follow these steps:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click H.323, then click Codecs.

3. To add a codec, select it in the Available codecs panel, then click <Add> button.

4. To remove a codec, select it in the Selected codecs panel, then click <Remove> button.

5. Use <Up> and <Down> buttons to change preference order for selected audio codecs. You should select one of the entries in the Selected codecs panel before using these buttons.

6. Click <Apply> button to save codecs settings. Do not forget to restart Fax Voip to use new settings.


Outgoing Codecs Settings

Voice Codecs settings (Outgoing Call Routing)

T38, G711 and CAPI Fax Modes ›› Voice Codecs requirements ››

You can override the default Voice Codecs in the Outgoing VOIP Call Routing rule. To do it follow these steps:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule dialog switch to the Codecs panel.

5. To be able to change the default Voice Codecs configuration, uncheck Use Default option.

6. To add a codec, check it in the Voice Codecs list.

7. To remove a codec, uncheck it in the Voice Codecs list.

8. Use <Up> and <Down> buttons to change preference order for selected audio codecs. You should select one of the entries in the Voice Codecs list before using these buttons.

9. Click <OK> button to fix changes.

10. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings.


Incoming Codecs Settings

Voice Codecs settings (Incoming Call Routing)

T38, G711 and CAPI Fax Modes ›› Voice Codecs requirements ››

You can override the default Voice Codecs in the Incoming VOIP Call Routing rule. To do it follow these steps:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Incoming Call Routing Rule dialog switch to the Codecs panel.

5. To be able to change the default Voice Codecs configuration, uncheck Use Default option.

6. To add a codec, check it in the Voice Codecs list.

7. To remove a codec, uncheck it in the Voice Codecs list.

8. Use <Up> and <Down> buttons to change preference order for selected audio codecs. You should select one of the entries in the Voice Codecs list before using these buttons.

9. Click <OK> button to fix changes.

10. Click <Apply> button to save modified settings for rules. Do not forget to restart Fax Voip to operate with new settings.


Color Faxes over VOIP and ISDN

With Fax Voip it is possible to send and receive Color Faxes over VOIP and ISDN via Fax Voip Virtual COM Ports (modems). You can send and receive color faxes in both T.38 and audio (fax over G.711 codec) fax modes. In order to successfully send and receive color faxes the following requirements should be met:

  • Color faxes are always sent and received with ECM (Error Correction Mode) enabled. Fax Voip should be also configured with ECM enabled.
  • Color faxes are always sent and received in Fine Resolution (204*196 dpi).
  • Errors within the data being transmitted are not allowed. The quality of VOIP termination should be enough good, especially when transferring color faxes in audio mode (fax over G.711 codec).
  • To be able to send color faxes, appropriate software that allows the sending and receiving of color faxes should be installed at your computer.
  • The other party must have hardware or software installed that allows the sending and receiving of color faxes.

To send and receive color faxes over VOIP or ISDN, you should download and install Venta Fax software and configure it to operate with Fax Voip. Detailed instructions on how to configure Venta Fax to send and receive color faxes can be found in the Using Fax Voip with Venta Fax and Voice chapter of this manual.

We have also tested some other programs to send and receive color faxes. Unfortunately, all the other software implementations for color faxes are very poor and can not be used to send and receive color faxes over VOIP networks, no matter which side they are.

Notes

  • Color faxes are not currently supported with Fax Voip built-in VOIP/ISDN Fax/Audio Lines.


VOIP Network Requirements

VOIP Network Requirements for Color Faxes

Color Faxes over VOIP and ISDN ››

Color faxes are always sent and received with ECM (Error Correction Mode) enabled. Practice shows that some VOIP providers for some reason do not provide support for Error Correction Mode and this does not depend on the Fax Voip or your fax software settings. Note that sending and receiving of color faxes is not possible in this case.

At the same time, errors within the data being transmitted are not allowed. Experiments show that when using VOIP providers with poor quality of the termination, transfer of a color fax usually fails. Nevertheless transfer of black and white faxes can be quite successful in the cases described. This notification is especially true for color faxes transmitted in audio mode (fax over G.711 codec).

Thus, the requirements for VOIP network to send and receive color faxes can be formulated as follows:

  • ECM (Error Correction Mode) for faxes should be enabled in your VOIP network.
  • The quality of VOIP termination should be good enough.


Configure Fax Voip

To configure Fax Voip to send and receive Color Faxes

Color Faxes over VOIP and ISDN ››

Color faxes are always sent and received with ECM (Error Correction Mode) enabled. Therefore, you must enable ECM in Fax Voip settings. Note that ECM is always enabled in T.38 fax mode. Thus, if you do not plan to send and receive color faxes in audio mode (fax over G.711 codec), additional configuration is not required.

At the same time, errors within the data being transmitted are not allowed. Experiments show that when sending and receiving color faxes over VOIP in audio mode (fax over G.711 codec) at 14400 bitrate, transfer of a color fax usually fails. It is recommended to send and receive color faxes in audio mode with maximum bitrate of 9600. Note, that in the case of using ISDN CAPI 2.0 line no need to decrease bitrate.

To provide sending and receiving of color faxes in audio fax mode, do the following:

1. Open Fax Voip Control Panel.

2. Click Fax in TreeView, then click ECM/Rate.

3. In the Modem (COM port) lines section, in the Audio fax over G.711 codec area check ECM option (necessary).

4. In the Modem (COM port) lines section, in the Audio fax over G.711 codec area, in the Maximum bitrate field select 9600 (recommended when sending/receiving audio color faxes over VOIP).

5. Click <Apply> button to save settings. Do not forget to restart Fax Voip to operate with new settings.

Notes

  • Note that ECM (Error Correction Mode) and maximum bitrate can be overridden in the Outgoing Voip Call Routing and Incoming Voip Call Routing .


Fax Software Requirements

Color Faxes over VOIP and ISDN ››

To do color faxes possible, appropriate software that allows the sending and receiving of color faxes should be installed at your computer.

To send and receive color faxes over VOIP or ISDN, you should download and install Venta Fax software and configure it to operate with Fax Voip. Detailed instructions on how to configure Venta Fax to send and receive color faxes can be found in the Using Fax Voip with Venta Fax and Voice chapter of this manual.

We have also tested some other programs to send and receive color faxes. Unfortunately, all the other software implementations for color faxes are very poor and can not be used to send and receive color faxes over VOIP networks, no matter which side they are.


Remote Party Requirements

Remote Party Requirements for Color Faxes

Color Faxes over VOIP and ISDN ››

The other party must have hardware or software installed that allows the sending and receiving of color faxes. As a software, the other party can use Venta Fax & Voice to send and receive color faxes. Note that Venta Fax can also operate at PSTN line together with hardware modem.

If the receiving fax machine does not have color fax support, color fax software usually converts a color fax into a black-and-white version automatically at the time of transmission.


Caller ID

Caller ID, known also as Caller Identification (CID), is a telephone service, that transmits a caller's number to the called party's telephone equipment during the ringing signal, or when the call is being set up but before the call is answered. Where available, Caller ID can also provide a name associated with the calling telephone number. The information made available to the called party may be made visible on a telephone's own display or on a separate attached device.This information is sent once between the first and second ring. The modem can decode this caller information and display it on your computer monitor during the second ring period as part of the call progress ring message. Depending on the software, Caller Id can be used with various functions, such as "Black and White list".


Receiving Caller ID

Caller ID ››

Caller ID Number and Caller ID Name functions are supported with Virtual COM Ports (modems) by default. Additional settings are not required. Possibility to display both Caller ID Number and Caller ID Name depends on your fax software. For example, with Windows Fax and Scan, you can see only the number of the caller.

With Venta Fax & Voice you can see both Caller ID Number and Caller ID Name.

Notes

  • Caller ID function can operate with both direct COM Port connection and via TAPI (the modem driver should be installed). Fax Voip installs Fax Voip 14.4K TAPI Voice-Fax Modem driver for modems. Compared with the standard modem driver, this driver provides support for Caller ID Number and Caller ID Name. To add modems using Phone and Modems option in the Windows Control Panel not recommended.
  • Sending correct Caller ID Number is not always possible via VoIP Service Provider network. For this reason, many VoIP providers use Caller ID Name instead of Caller ID Number to report the correct caller's number.
  • Caller ID Name not supported with incoming ISDN CAPI 2.0 calls. Fax Voip shows Caller ID Name using the following format: CAPI:[C]:[B], where [C] is the controller’s number and [B] is the B-channel’s number.


Sending Caller ID (SIP)

Caller ID ››

When configuring the outgoing SIP calls from Fax Voip the following should be taken into account:

  • If SIP-Username (SIP-ID), specified for the call, consists only of digits, it will be transmitted to the called party's telephone equipment as Caller ID Number.
  • The Display Name, specified for the call, is transmitted to the called party's telephone equipment as Caller ID Name.

To configure default Display Name and Default Username do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView.

3. In the Display Name field enter the Display Name (will be transmitted as Caller ID Name).

4. In the Default Username field enter your phone number (will be transmitted as Caller ID Number).

5. Click <Apply> button to save modified settings. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

The Default Username can be overridden by the SIP Username.

To specify the SIP Username different from the Default Username do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click SIP.

3. Uncheck Use Default Username option.

4. In the SIP Username field enter your phone number (will be transmitted as Caller ID Number).

5. Click <Apply> button to save modified settings. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

The SIP Username can be overridden by SIP Registration and Outgoing VOIP Call Routing settings. The Display Name value can be changed in the Outgoing VOIP Call Routing settings.

To override the SIP Username and Display Name in the Outgoing VOIP Call Routing rule do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window, on the General page, in the Username field enter your phone number (will be transmitted as Caller ID Number). The Use Default option should be unchecked to be possible to change Username. Note that if the call is routed to the SIP server used for SIP Registration, the Username can not be selected arbitrarily and must match the Username specified in one of the entries in the SIP Registrations table.

5. In the Display Name field enter the Display Name (will be transmitted as Caller ID Name). The Use Default option should be unchecked to be possible to change Display Name.

6. Click <OK> button to fix changes.

7. Click <Apply> button to save modified settings for Outgoing VOIP Call Routing. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

Notes

  • Sending correct Caller ID Number is not always possible via VoIP network. For this reason, it is sometimes useful to enter a phone number in the Display Name field. It provides possibility to report your number as Caller ID Name instead of Caller ID Number.


Sending Caller ID (H.323)

Caller ID ››

When configuring the outgoing H.323 calls from Fax Voip the following should be taken into account:

  • By default, Fax Voip uses the top number from the H.323 Telephone numbers list to transmit it to the called party's telephone equipment as Caller ID Number.
  • The Display Name, specified for the call, is transmitted to the called party's telephone equipment as Caller ID Name.

To configure default Display Name do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView.

3. In the Display Name field enter the Display Name (will be transmitted as Caller ID Name).

4. Click <Apply> button to save modified settings. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

As for the list of H.323 Telephone numbers, you should understand the following:

  • If H.323 ID consists of digits, Fax Voip automatically adds it to the list of phone numbers.
  • If you use registration with H.323 Gatekeeper, H.235 authentication is used and H.235 login consists of digits, Fax Voip automatically adds H.235 login to the list of phone numbers.
  • Any other phone number can be added to this list. The phone numbers specified in this list are used in the process of registration with H.323 Gatekeeper (the list of phone numbers to which incoming calls are possible).
  • By default, Fax Voip uses the top number from the H.323 Telephone numbers list to transmit it to the called party's telephone equipment as Caller ID Number.

To add a new number to the Telephone numbers list and use it as default Caller ID Number, do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click H.323.

3. To add new phone number click <New> button.

4. In the Phone Number window enter the desired phone number and click <OK>.

5. Use the <Up> button to move the entered phone number to the top of the Telephone numbers list.

6. Click <Apply> button to save modified settings. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

The default Caller ID Number and default Caller ID Name (Display Name) value can be overridden by the Outgoing VOIP Call Routing settings.

To override Caller ID Number and Caller ID Name in the Outgoing VOIP Call Routing rule do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window, on the General page, in the Username field enter your phone number (will be transmitted as Caller ID Number). The Use Default option should be unchecked to be possible to change Username.

5. In the Display Name field enter the Display Name (will be transmitted as Caller ID Name). The Use Default option should be unchecked to be possible to change Display Name.

6. Click <OK> button to fix changes.

7. Click <Apply> button to save modified settings for Outgoing VOIP Call Routing. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

Notes

  • Sending correct Caller ID Number is not always possible via VoIP network. For this reason, it is sometimes useful to enter a phone number in the Display Name field. It provides possibility to report your number as Caller ID Name instead of Caller ID Number.


Sending Caller ID (ISDN CAPI 2.0)

Caller ID ››

When configuring the outgoing ISDN CAPI 2.0 calls from Fax Voip the following should be taken into account:

  • If ISDN Username (number), specified for the call, consists only of digits, it will be included in the CAPI 2.0 message when doing outgoing call and transmitted to the called party's telephone equipment as Caller ID Number.
  • Caller ID Name not supported with ISDN CAPI 2.0 calls.

To configure Default Username do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView.

3. In the Default Username field enter your phone number (will be transmitted as Caller ID Number).

4. Click <Apply> button to save modified settings. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

The Default Username can be overridden by the ISDN Username (number).

To specify the ISDN Username (number) different from the Default Username do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click ISDN CAPI 2.0.

3. Uncheck Use Default Username option.

4. In the ISDN Username (number) field enter your phone number (will be transmitted as Caller ID Number).

5. Click <Apply> button to save modified settings. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

The ISDN Username (number) can be overridden by the Outgoing VOIP Call Routing settings.

To override the ISDN Username (number) in the Outgoing VOIP Call Routing rule do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window, on the General page, in the Username field enter your phone number (will be transmitted as Caller ID Number). The Use Default option should be unchecked to be possible to change Username.

5. Click <OK> button to fix changes.

6. Click <Apply> button to save modified settings for Outgoing VOIP Call Routing. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

Notes

  • Username consisting of letters is ignored, so digits should be used to include CallerID into the CAPI 2.0 message.
  • Depending on the properties of your ISDN card and ISDN network, CallerID can be ignored and overridden by the ISDN equipment.
  • If you enter an incorrect ISDN number that does not satisfy your ISDN equipment settings, the outgoing call can be rejected. Note that when using username consisting of letters, such error is not possible.


Dial a Phone Number Extension

Large businesses use telephone extensions because it is not feasible for everyone in the company to have his or her own phone number. Extensions are internal lines through the company's switchboard exchange system. Using these extensions, inside callers have direct access to any department or staff member by dialing a simple number code. Outside callers who know the employee's extension number can also connect directly to their party.

When operating with Virtual COM Ports (modems), Fax Voip allows you to Dial a Phone Number Extension. In other words, with Fax Voip it is possible to dial a number, wait for the answer, then send additional DTMF tones into the telephone line. This feature can also be used in conjunction with a variety of interactive voice systems while making an outgoing call. For example, if you are using a phone calling card and call to access number, you can automatically enter PIN and then the destination phone number.


To Send a Fax to Number with Extension

To Send a Fax or Voice Message to Number with Extension

Dial a Phone Number Extension ››

To send a fax (or voice message) to phone number with extension you need to enter the number in a special format.

<Number> W <DTMF>

<Number> - phone number

'W' - to wait until the call answered

<DTMF> - the 'DTMF' part after the call answer, a string of the characters:

'0 1 2 3 4 5 6 7 8 9 * # A B C D ,'

The comma character (‘ , ‘) is used to add a pause of 2 seconds between the DTMF tones and can be used any number of times anywhere in the dial sequence. Note also that in the case of bad SIP signaling (the 'connected' message received, but the actual connection is not yet established) the ‘ W ‘ modifier may work incorrectly.

Example #1: sending a fax to the phone number with extension.

To send a fax to extension '100' of the number '13601234567', in the fax number field of your fax program, enter:

13601234567W,100

Example #2: sending a fax using a calling card to call.

Suppose that in the manual mode, you need to do the following:

1) Dial Access Number '14251234567'.

2) Select language (press '1' to select 'English'), then press pound key ('#').

3) Enter PIN-code '112233445566', then press pound key ('#').

4) Enter phone number '13601234567' where to send the fax, then press '#'.

5) Send a fax manually

To do this automatically using, for example, Windows Fax and Scan, simply type the following sequence of characters in the To box:

14251234567W,1#,112233445566#,,13601234567#

Fax Voip will automatically dial the phone access number, wait for a connection, select language, enter PIN, dial the destination fax number and send the fax. Pauses between sets of DTMF sequences will be provided by entering commas. The number of commas should be chosen empirically.

Notes

  • Dial a Phone Number Extension function is not currently supported with Fax Voip built-in VOIP/ISDN Fax/Audio Lines.


Fax On Demand

Fax on Demand allows callers to retrieve information via fax on the same call (from a fax machine). Fax on Demand is the ideal electronic assistant for companies and organizations who need to have information constantly available to their customers in places other than their website. Companies that provide sales, product, or other timely information to customers by fax find themselves miles ahead of the competition with Fax-on-Demand.

Fax-on-Demand makes an office more efficient, saving money and valuable time. Fax-on-Demand reduces overhead by handling these calls for information, thus reducing expenses for staffing, phones, postage, and printing. Telephone bills are lower because Fax-on-Demand one-call technology downloads documents on the customer's telephone call. Customers appreciate immediate access to fresh information.

Fax Voip allows you to build your Fax-on-Demand system using both Fax Voip built-in VOIP/ISDN Fax/Audio lines, as well as using Virtual COM ports (modems).

There is a possibility to send a specified fax when incoming call is routed to Fax Voip built-in VOIP/ISDN Fax/Audio lines. Different rules for incoming calls can be used with calls to different numbers for example. (See more details in the Incoming VOIP Call Routing chapter). Thus, depending on the called number, various fax documents can be sent to the caller. Full functional Fax-On-Demand system can be created if to use Fax Voip with your VOIP PBX. For example, different fax documents correspond to different pbx extensions. PBX can also perform the voice menu functions to navigate between fax documents. In this chapter we will consider the example of such configuration of Fax Voip and AXON PBX (modern version of AXON PBX should be used).

When operating with Virtual COM Ports (modems), the possibility to create Fax-On-Demand system depends only on your fax software. In this chapter we will show how to create full-functional Fax-On-Demand system using Venta Fax software. Fax Voip installs necessary script, voice and fax files in the *{CommonAppDataFolder}\FaxVoip\Plugins\VentaFax folder.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. On Windows XP the name of this folder is usually C:\Documents and Settings\All Users\Application Data. On Windows Vista, Windows 7, Windows 8/8.1 and Windows 10 the name of this folder is usually C:\ProgramData.


With built-in VOIP/ISDN Fax/Audio lines

To configure Fax On Demand with built-in VOIP/ISDN Fax/Audio lines

Fax On Demand ››

This section describes how to create Fax-On-Demand system using Fax Voip built-in VOIP/ISDN Fax/Audio lines.

  • To configure Fax Voip to send faxes during incoming call
  • To configure Voip PBX (AXON PBX example)


To configure Fax Voip

To configure Fax Voip to send faxes during incoming call

Fax On Demand ›› With built-in VOIP/ISDN Fax/Audio lines ››

In this chapter we consider the following example:

1. When an incoming call to number 101, Fax Voip sends fax#1.tif to caller.

2. When an incoming call to number 102, Fax Voip sends fax#2.tif to caller.

3. When an incoming call to number 103, Fax Voip sends fax#3.tif to caller.

4. In addition, we register Fax Voip with our SIP PBX with the following SIP extensions: 101, 102, 103. This will allow to use PBX functions to navigate between the fax documents. The basic ideas of PBX ​​settings will be discussed in the next chapter using AXON PBX example.

To configure Fax Voip do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. Click New to create the rule.

4. In the VOIP Protocol area select SIP option. In the VOIP Call From area select From Number (Username)= option, then select <any>. In the VOIP Call To area select To Number (Username)= option, then type 101.

5. In the Call To Fax Voip Line area select Send a fax (fax on demand) option. Use the button to the right of the text box Fax to be sent to select the fax document, that you want to use with the current rule. In our example we will select the fax *{CommonAppDataFolder}\FaxVoip\Plugins\ fax-on-demand\fax#1.tif. Test faxes are available after installation of Fax Voip program.

6. To send a fax as audio, select G.711(audio) option. To send a fax with T.38 support, select T.38 support option.

7. If T.38 support option is selected, should understand that there are 2 different ways to send T.38 fax. Switch to Fax page. In the Fax Support area, check Send T.38 re-invite option, to apply T38 Fax with Re-invite mode, see also T38 Fax with Re-invite + G711 Fax Mode (T38+R,G711) chapter of this user manual.

Uncheck Send T.38 re-invite option, if you don’t want to force T.38.

8. On the Fax page, configure other audio fax and T.38 parameters to change default settings if need. See also Incoming VOIP Call Routing Settings , Fax Settings chapter of this user manual. On Fax page you can also change or specify Fax Station ID and Fax Headline. In the Codecs page you can change voice codecs, that can be used with the rule.

9. Click <OK> button to save the rule.

10. Similarly create another 2 rules (steps 3-9): to send fax#2.tif when incoming call to number 102 and to send fax#3.tif when incoming call to number 103.

11. Click <Apply> to save changes.

12. (Optional). Click SIP in TreeView, then click Registrations.

13. (Optional). Create extensions 101,102,103 to be possible to use your Fax-On-Demand system with SIP PBX.

14. Click <Apply> to save changes.

15. Click <Stop>, then click <Start> to restart Fax Voip.

Notes

  • All incoming calls that uses Fax-On-Demand feature, are loged in the Fax Voip Console in the Fax-On-Demand folder.
  • To use Fax-On-Demand feature, you should have the Fax Voip built-in VOIP/ISDN Fax/Audio Lines license installed.
  • The basic number of allowed Fax-On-Demand rules is specified as the number of built-in VOIP/ISDN Fax/Audio Lines plus 1. The TRIAL version allows the use of no more than 2 rules.
  • To significantly increase the maximum number of available rules, you can purchase separate license Extended Incoming Routing (E-mail, Store In Folder, Print , Fax-On-Demand). Note that this license can not be used in the absence of the Fax Voip built-in VOIP/ISDN Fax/Audio Lines license
  • CAPI Fax Mode based on using CAPI 2.0 standards (B3 Protocol 4 or 5) is currently can not be used when Fax-On-Demand function is applied.
  • *{CommonAppDataFolder} - the system file directory containing application data for all users. On Windows XP the name of this folder is usually C:\Documents and Settings\All Users\Application Data. On Windows Vista, Windows 7, Windows 8/8.1 and Windows 10 the name of this folder is usually C:\ProgramData.


To configure PBX (AXON)

To configure VOIP PBX (AXON) to navigate between faxes (Fax-On-Demand)

Fax On Demand ›› With built-in VOIP/ISDN Fax/Audio lines ››

This chapter is not a detailed instruction on how to configure your PBX. Using the example of Axon PBX we want to explain the idea on how to ​​build a full-functional Fax-On-Demand system. To download the last version of AXON PBX please visit NCH Software website. The idea, described in this chapter can be reproduced with many other VOIP PBX systems. Should also configure Fax Voip to send faxes during incoming call , as described in the previous chapter.

1. In your SIP PBX create the following SIP extensions: 101, 102, 103. Fax Voip should be registered with SIP PBX using these extensions.

2. There is a Reserved extension, Internal IVR (number 501) in AXON. We are going to route incoming calls to this extension.

3. To do this, in the property Ring On of your External Line, specify the number 501.

4. When the incoming call answered, the AXON (Internal IVR) reproduces voice greeting. The user can select one of the extensions: 101,102,103 using DTMF, to be redirected to one of Fax Voip lines (using different Fax-On-Demand rules) and then receive one of the specified faxes: fax#1.tif, fax#2.tif or fax#3.tif.

5. For ease of navigation, you can replace the standard greeting by the another (more convenient) voice file, see the picture below.


With Virtual COM Ports (modems)

To configure Fax On Demand with Virtual COM Ports

Fax On Demand ››

When operating with Virtual COM Ports (modems), the possibility to create Fax-On-Demand system depends only on your fax software. In this chapter we will show how to create full-functional Fax-On-Demand system using Venta Fax software.


Venta Fax example

Fax on Demand using Venta Fax and Fax Voip

Fax On Demand ›› With Virtual COM Ports (modems) ››

To configure Venta Fax & Voice software with Fax Voip , see Using Fax Voip with Venta Fax & Voice chapter of this user manual.

To understand how to create Fax-on-Demand system with Venta Fax and Fax Voip, see To configure Fax on Demand system with Venta Fax and Fax Voip .


T.38 and G.711 fax modes

T.38 and G.711 fax modes when Fax on Demand is used

Fax On Demand ›› With Virtual COM Ports (modems) ››

When configuring incoming call routing to Virtual COM Ports (modems) in the case of using Fax-On-Demand should be careful with selecting T.38 mode if you want to send T.38 faxes back to caller. It should be understood that the behavior is different from the standard behavior when the fax program receives a fax. This may not allow to fully use the scenario like that shown in the example with Venta Fax script in some VOIP networks. Recall that this script allows you to receive or send a fax depending on user's selection.

To configure fax mode when Fax-on-Demand is used do the following:

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. Select the rule that route incoming calls to Virtual COM Ports (modems). Click Edit.

4. In the VOIP Incoming Call Routing Rule window switch to the Fax panel.

5. Configure fax mode in the Fax Support area.

The following fax modes are possible (the behavior is considered in terms of Fax-On-Demand function that sends a fax during incoming call):

G711 Fax Mode (G711)

This mode is the same that the mode G711 Fax Mode (G711) in the case of outgoing calls.

Fax Voip will start in the mode of sending G711 fax. In the case of receiving T.38 re-invite from the other side, Fax Voip answers 'not supported' and continues to send a fax in audio mode, if the parties believe that this is possible. To set this mode in VOIP Incoming Call Routing rule:

1. Check G.711 audio fax option.

2. Uncheck T.38 fax option.

3. Uncheck Detect T.38 re-invite option.

G711 Fax + T38 Re-invite Detection Mode (T38R,G711)

This mode is the same that the mode G711 Fax + T38 Fax Mode (G711,T38) in the case of outgoing calls.

Fax Voip will start in the mode of sending G711 fax. If T.38 re-invite is received from the caller side, Fax Voip switches to T.38 and sends the fax according T.38 standard. If T.38-reinvite not received, Fax Voip continues to use the audio mode (G711 fax) for sending a fax. To set this mode in VOIP Incoming Call Routing rule:

1. Check G.711 audio fax option.

2. Uncheck T.38 fax option.

3. Check Detect T.38 re-invite option.

T38 Fax + G711 Fax Mode (T38,G711)

This mode is the same that the mode T38 Fax with Re-invite + G711 Fax Mode (T38+R,G711) in the case of outgoing calls.

Fax Voip will start in the mode of sending T38 fax (sends T.38 re-invite to the caller side). With the positive response from the caller side, Fax Voip sends the fax as T.38. If the other party answers 'not supported', Fax Voip switches to G711 fax and sends the fax as audio. To set this mode in VOIP Incoming Call Routing rule:

1. Check G.711 audio fax option.

2. Check T.38 fax option.

3. Uncheck Detect T.38 re-invite option.

6. Click <OK> button.

7. In the Fax Voip Control Panel main window click <Apply> to save changes. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.

Notes

  • When sending a fax via ISDN CAPI 2.0 line G.711 audio fax mode is always used.


To prepare fax document

Fax On Demand ››

When using Fax-On-Demand function, fax documents should be prepared in advance and stored on your hard drive. The document must be prepared in the TIFF format compatible with Fax Voip or using your standard fax software, such as Venta Fax. Tools built into Fax Voip allow to create and save TIFF fax documents in required format. There are 2 methods to create and save correct TIFF file.

To create fax document using Fax Voip Printer follow instructions in the Send a Fax with Fax Voip Printer chapter:

1. Open the document you want to save in TIFF fax format.

2. On the File menu, click Print. On the Print dialog box, select printer Fax Voip. Then, click Print.

3. In the Fax Voip Send Fax Wizard, click Save As button.

4. In the Save as... dialog box select the path where you want to save the fax, enter fax file name and then click Save button.

5. Close Fax Voip Send Fax Wizard window.

To create fax document using Fax Voip Console follow instructions in the Send a Fax from Console chapter:

1. Click Start, point to Fax Voip T38 Fax & Voice, and then click Fax Voip Console.

2. On the File menu, click New Fax.

3. Select document you want to save in TIFF fax format, then click Open.

4. In the Fax Voip Send Fax Wizard, click Save As button.

5. In the Save as... dialog box select the path where you want to save the fax, enter fax file name and then click Save button.

6. Close Fax Voip Send Fax Wizard window.


Using Fax Voip with Windows Fax Service

Windows Fax Service and Windows Fax and Scan application is an integrated fax software included in all Windows versions. It is an extensible fax platform that you can use to deploy shared fax resources in your organization. Users within an organization can install a connection to a remote fax printer on a network fax server and send and receive faxes using shared fax devices located on the server, as well as from a local fax device attached to their computers. Fax administrators can configure, manage, and monitor these shared fax resources. Centralized management of server-based shared fax devices means easier management and maintenance, and lower costs. Fax users can send and receive faxes without the need to use manual fax machines, saving time and effort.

Fax Voip always trying to automatically install the Windows Fax Service on your computer during the installation process if not installed. To manually install Windows Fax Service on your computer, see To install the Windows Fax Service .

Windows Fax Service can operate with Fax Voip Virtual COM Ports via Fax Voip 14.4K TAPI Voice-Fax Modem driver. Compared with the standard modem driver, the Fax Voip 14.4K TAPI Voice-Fax Modem driver provides support for Caller ID. You should not add modems using Phone and Modems option in the Windows Control Panel. To install Virtual COM Ports and associated modems open Fax Voip Control Panel, select Ports and Modems, then click <Add/Remove> button, see To Add/Remove Fax Voip Virtual COM ports . To install or reinstall modems without reinstalling Virtual COM Ports, use <Modems> button, see also To Add/Remove Fax Voip Modems .

At the time of installation, Fax Voip always trying to automatically configure the Windows Fax Service to use Fax Voip 14.4K TAPI Voice-Fax Modem devices to send and receive faxes. To manually configure Windows Fax Service, see To configure the Windows Fax Service .

At the time of installation, Fax Voip configures the Windows Fax Service to use 'Fax Voip' as Fax Station ID for all Fax Voip 14.4K TAPI Voice-Fax Modem devices. To manually configure Fax Station ID and Fax Headline, see To configure Fax Station ID and Fax Headline .

Fax Voip Routing Extension (responsible for Incoming Routing Methods (Microsoft Fax): E-mail, Store in Folder, Print, Custom ) should be registered with Windows Fax Service. To register Fax Voip Routing Extension, restore fax service components, and also easily configure the Windows Fax Service to send/receive faxes via Fax Voip modems in one click, see Configure Fax Service using Fax Voip Control Panel .

To send a fax, using fax printer and Windows Fax and Scan software, see Sending Faxes . To send a fax, using Fax Voip printer, see Send a Fax with Fax Voip Virtual Printer and Windows Fax Service .

To receive faxes, using Windows Fax and Scan software, see Receiving Faxes .

To learn more about how to monitor the progress of incoming and outgoing faxes, see Monitoring and notifying .

With Fax Voip Virtual COM Ports (modems) and Windows Fax Service you also can use Mail to Fax - Microsoft Fax functionality and Outgoing Fax Routing Methods - Microsoft Fax : E-mail Delivery Receipts , Store in a Folder , Print , Custom Routing .

To configure fax server (Windows Server OS) to be shared with client computers, see Sharing Fax Resources .

To view and manage faxes created by another user, see To access faxes created by another user .

If you have problems, see Windows Fax Service Troubleshooting .

Notes

  • The maximum allowed number of fax devices that can be used with Windows Fax Service depends on the operating system. On Windows 10, Windows 8/8.1, Windows 7, Windows Vista and Windows XP the fax device limit is one. On Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2, Windows Server 2008/2008R2, Enterprise or Datacenter Edition, Windows Server 2003, Enterprise Edition, there is no fax device limit. On other versions of Windows 2008/2008R2 and Windows 2003, the fax device limit is usually four.
  • When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


Configure Fax Service using Fax Voip Control Panel

To configure Fax Service using Fax Voip Control Panel

Using Fax Voip with Windows Fax Service ››

You can easily configure the Windows Fax Service to send/receive faxes via Fax Voip modems in one click using the Configure Fax Service button in the Fax Voip Control Panel . This command also restores Windows Fax Service components on your computer (if necessary), and also re-registers the Fax Voip Routing Extension (responsible for Incoming Fax Routing Methods - Microsoft Fax ) with Windows Fax Service. Note that starting with version 8.1.1, the Fax Voip installation program automatically performs the specified actions. To configure fax service and to register Fax Voip Routing Extension without re-installation of the software do the following:

1. Open Fax Voip Control Panel. To do this click Start, point to Fax Voip T38 Fax & Voice; click Fax Voip Control Panel. Alternatively, you can select Fax Voip Control Panel command from the Fax Voip tray icon menu.

2. In the Fax Voip Control Panel, click Configure Fax Service in the Main tab of the Ribbon. Administrator privileges are required.

3. Wait until the program completes the necessary actions. The Windows Fax Service can be restarted several times.

4. In the Windows Fax Service Settings window you can specify necessary settings for configuring fax service with Fax Voip modems.

On Windows 10 computer, you should choose the Fax Voip 14.4K TAPI Voice-Fax Modem device that you want to use to send and receive faxes through the Windows Fax Service.

On Windows Server 2019 computer, the specified settings will be applied to all Fax Voip 14.4K TAPI Voice-Fax Modem devices currently installed in your system.

The following settings can be configured:

Send/receive options

Allow to send faxes

Specify whether to use Fax Voip modem(s) for sending faxes.

Allow to receive fax calls

Specify whether to use Fax Voip modem(s) for receiving faxes.

Automatically answer after ... rings

Select the number of rings after which the Fax Voip modem(s) can answer incoming phone call to try to receive a fax.

Identification

Use device Transmitting Subscriber ID (TSID)

Specifies whether the device's Transmitting Subscriber ID (TSID) defined in the properties of the fax device is transmitted to the recipient when an outgoing fax is sent. If this option is not enabled, the TSID used in the outgoing fax is the sender's fax number, as specified in the Sender Information. See also in the Configure Fax Station ID and Fax Headline chapter of this user manual.

TSID

Specify the Transmitting Subscriber Identification (TSID). The TSID is a text string that identifies you as a fax sender. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is limited to 20 characters.

CSID

Specify the Called Subscriber Identification (CSID). The CSID is a text string that identifies you as a fax recipient. It is transmitted to a fax sender when you receive a fax, and it might appear in the display of the sender's fax machine. The CSID is limited to 20 characters.

No, thanks. I will configure fax devices manually.

Flag this checkbox if you do not want the Fax Voip to automatically configure the fax service, or do not want to change the current configuration.

5. In the Windows Fax Service Settings window, click OK.

6. Wait until the program completes all necessary actions. The Windows Fax Service can be restarted several times.

7. To view the log, click Yes in the Message Box.

Below you can see the full list of actions produced by the Configure Fax Service command (actions marked as optional are not executed when the customer selects the No, thanks. I will configure fax devices manually checkbox, see pictures above):

  • Stopping Windows Fax Service.
  • Installing the Windows Fax Service, if not installed (all supported operation systems except Windows Vista and Windows Server 2008).
  • Installing Desktop Experience Feature, if not installed (Windows Server 2012/2012R2 and Windows Server 2008R2).
  • Registration of Fax Voip Routing Extension (responsible for Incoming Fax Routing Methods - Microsoft Fax ) with Windows Fax Service.
  • Configuring Windows Fax Service permissions definition.
  • Configuring Windows Fax Service to automatically start on Windows startup.
  • Creating Fax Account with the name 'Fax Voip' if it does not exist.
  • Configuring fax service to archive all successfully sent faxes to Sent Items folder. This is required for correct operation of the Outgoing Fax Routing Methods - Microsoft Fax .
  • On Windows 10 version 1709 or later and on Windows Server 2019: Fixing bug in Microsoft Modem Device Provider that does not store CallerID and TSID in the fax service database after receiving a fax on these Windows versions.
  • On Windows 10, Windows Server 2019 and Windows Server 2016: Fixing bug in Windows Fax and Scan software when 'Forward as E-mail' button is grayed out, while the MAPI e-mail client is installed in the system.
  • Creating Windows Fax and Scan shortcut on the desktop. On Windows 8 or later, creating Windows Fax and Scan shortcut in the Start menu. On Windows Server OS, creating Fax Service Manager shortcut on the desktop and in the Start menu.
  • (optional) Configuring Transmitting Subscriber ID (TSID) and Called Subscriber ID (CSID) for all Fax Voip 14.4K TAPI Voice-Fax Modem Fax Devices (default is 'Fax Voip'). Configuring Use device Transmitting Subscriber ID (TSID) option, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.
  • (optional) On Windows 10, Windows 8/8.1, Windows 7, Windows Vista and Windows XP: configuring the selected Fax Voip 14.4K TAPI Voice-Fax Modem Fax Device to send and/or receive faxes. By default, both sending and receiving faxes are allowed.
  • (optional) On Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2, Windows Server 2008/2008R2 and Windows Server 2003: configuring all Fax Voip 14.4K TAPI Voice-Fax Modem Fax Devices to send and/or receive faxes. By default, both sending and receiving faxes are allowed.
  • (optional) On Windows 10, Windows 8/8.1, Windows 7, Windows Vista and Windows XP: enabling Fax Monitor and fax notifications for the selected Fax Voip 14.4K TAPI Voice-Fax Modem Fax Device.
  • (optional) On Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2, Windows Server 2008/2008R2 and Windows Server 2003: enabling Fax Monitor and fax notifications for the first Fax Voip 14.4K TAPI Voice-Fax Modem Fax Device.
  • Enables / disables Fax Voip Routing Extension fax routing methods for all Fax Voip 14.4K TAPI Voice-Fax Modem Fax Devices, depending on the current settings.
  • Starting Windows Fax Service.


Install the Fax Service

To install the Windows Fax Service

Using Fax Voip with Windows Fax Service ››

Windows Fax Service (Windows Fax and Scan application) is usually installed on Windows 10, Windows 8/8.1, Windows 7 and Windows Vista computers by default.

Windows Fax Service (Fax Server role) is usually not installed on Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008/2008R2 computers by default.

Fax Voip always trying to automatically install the Windows Fax Service on your computer during the installation process if not installed. Please note that automatic installation of Windows Fax Service is not supported on Windows Vista and Windows Server 2008.

To manually install Windows Fax Service on Windows 10, Windows 8/8.1, Windows 7 or Windows Vista, see To install Windows Fax and Scan on Windows 10 computer .

To manually install Windows Fax Service on Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2, see To install the Fax Server role on Windows Server 2019 computer .

To manually install Windows Fax Service on old Windows XP or Windows Server 2003 computer, see To install Fax Services on Windows XP or Windows Server 2003 .

After manual installation of Windows Fax Service, you usually need to register Fax Voip Routing Extension with Windows Fax Service, see in the Configure Fax Service using Fax Voip Control Panel chapter of this user manual.


Windows 10

To install Windows Fax and Scan on Windows 10 computer

Using Fax Voip with Windows Fax Service ›› Install the Fax Service ››

1. Switch to Search pane, type control panel, and then click Control Panel.

2. In the Control Panel click Programs, and then click Turn Windows features on or off.

3. In the Turn Windows features on or off dialog box select Windows Fax and Scan, and then click OK.


Windows Server 2019

To install the Fax Server role on Windows Server 2019 computer

Using Fax Voip with Windows Fax Service ›› Install the Fax Service ››

1. Click the Start button, and then click Server Manager.

2. In the Server Manager in the left pane click Add roles and features.

3. In the Add Role and Features Wizard, on the Server Roles page, select the check box for Fax Server.

4. In the dialog box click Add Features to add required role services.

5. In the Add Role and Features Wizard click Next.

6. Follow the Add Role and Features Wizard. For more information, search Install the Fax Server Role in the Windows Help and Support.


Windows XP/ Server 2003

To install Fax Services on Windows XP or Windows Server 2003

Using Fax Voip with Windows Fax Service ›› Install the Fax Service ››

1. Click Start, point to Control Panel, click Add or Remove Programs.

2. In the Add or Remove Programs window click Add/Remove Windows Components.

3. In the Windows Components Wizard dialog check Fax Services; click <Next> button.

4. At the final step in the Windows Components Wizard click <Finish> button.


Configure the Fax Service

To configure the Windows Fax Service

Using Fax Voip with Windows Fax Service ››

At the time of installation, Fax Voip always trying to automatically configure the Windows Fax Service to use Fax Voip 14.4K TAPI Voice-Fax Modem devices to send and receive faxes.

To manually configure Windows Fax Service in Windows 10, Windows 8/8.1, Windows 7 or Windows Vista, see To configure the Fax Service in Windows 10 .

To manually configure Windows Fax Service in Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2, see To configure the Fax Service in Windows Server 2019 .

To manually configure Windows Fax Service on old Windows XP computer, see To configure the Fax Services in Windows XP .

To manually configure Windows Fax Service on old Windows Server 2003 computer, see To configure the Fax Services in Windows Server 2003 .


Windows 10

To configure the Fax Service in Windows 10

Using Fax Voip with Windows Fax Service ›› Configure the Fax Service ››

1. Switch to Search pane, type fax and scan, and then click Windows Fax and Scan.

Alternatively, you can select Windows Fax and Scan command from the Fax Voip tray icon menu or click Windows Fax and Scan in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In Windows Fax and Scan, on the Tools menu, click Fax Account... . If no fax modem account was created, click Add... .

3. Click Connect to a fax modem and follow the instructions of the wizard.

4. In Windows Fax and Scan, on the Tools menu, click Fax Settings....

5. In the Fax Settings window, on the General page click Select fax device....

6. On the Select Device dialog box, select the Fax Device Fax Voip 14.4K TAPI Voice-Fax Modem. Then, click OK.

7. In the Fax Settings window, on the General page select the Allow the device to send faxes check box. If you want to be able to receive incoming faxes, select the Allow the device to receive fax calls check box. Select Automatically answer... option. Then, click OK.


Windows Server 2019

To configure the Fax Service in Windows Server 2019

Using Fax Voip with Windows Fax Service ›› Configure the Fax Service ››

To access the Windows Fax and Scan

Switch to Search pane, type fax and scan, and then click Windows Fax and Scan.

Alternatively, you can select Windows Fax and Scan command from the Fax Voip tray icon menu or click Windows Fax and Scan in the Fax Voip Control Panel , in the Main tab of the Ribbon.

To access the Fax Service Manager

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Or switch to Search pane, type fax service manager, and then click Fax Service Manager.

Alternatively, you can select Fax Service Manager command from the Fax Voip tray icon menu or click Fax Service Manager in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane double-click Fax, double-click Devices and Providers, double-click Devices, and then right click on the Fax Device Fax Voip 14.4K TAPI Voice-Fax Modem. On the context menu, click Properties.

3. On the General page, select the Send faxes check box. If you want to be able to receive incoming faxes, select the Receive faxes check box and the Automatic Answer option. In the Transmitting Subscriber ID (TSID) box and in the Called Subscriber ID (CSID) box, optionally enter your fax number. Then, click OK.

4. On the left pane double-click on the Fax Device Fax Voip 14.4K TAPI Voice-Fax Modem, click Incoming Methods, and then in the right pane configure the incoming methods of interest if you want to automatically Print, Route through e-mail (Fax To Email) or Store in a folder received faxes.

To create Fax Account

1. In Windows Fax and Scan, on the Tools menu, click Fax Account... . If no fax modem account was created, click Add... .

2. Click Connect to a fax modem and follow the instructions of the wizard.


Windows XP

To configure the Fax Services in Windows XP

Using Fax Voip with Windows Fax Service ›› Configure the Fax Service ››

1. Click Start, point to All Programs, point to Accessories, point to Communications, point to Fax, and then click Fax Console.

2. If the Fax Configuration Wizard does not automatically start, then on the Tools menu, click Configure Fax....

3. On the Welcome to Fax Configuration Wizard page, click Next.

4. On the Sender Information page, type the optional information for the fax cover page. Then, click Next.

5. On the Select Device for Sending or Receiving Faxes page, select the Fax Device Fax Voip 14.4K TAPI Voice-Fax Modem. Select the Enable Send check box. If you want to be able to receive incoming faxes, select the Enable Receive check box. Select Automatically answer... option. Then, click Next.

6. On the Transmitting Subscriber Identification (TSID) page, optionnaly enter your fax number. Then, click Next.

7. On the Called Subscriber Identification (CSID) page, optionally enter your fax number. Then, click Next.

8. On the Routing Options page, select the Print it on check box if you want received faxes to be automatically printed. Then, click Next.

9. On the Completing the Fax Configuration Wizard page, click Finish.


Windows Server 2003

To configure the Fax Services in Windows Server 2003

Using Fax Voip with Windows Fax Service ›› Configure the Fax Service ››

To access the Fax Console

1. Click Start, point to All Programs, point to Accessories, point to Communications, point to Fax, and then click Fax Console.

2. If the Fax Configuration Wizard does not automatically start, then on the Tools menu, click Configure Fax....

3. On the Welcome to Fax Configuration Wizard page, click Next.

4. On the Sender Information page, type the optional information for the fax cover page. Then, click Next.

5. On the Select Devices for Sending Faxes page, select the Fax Devices Fax Voip 14.4K TAPI Voice-Fax Modem, Fax Voip 14.4K TAPI Voice-Fax Modem #2 and so on. Then, click Next.

6. On the Transmitting Subscriber Identification (TSID) page, optionally type your fax number. Then, click Next.

7. On the Select Devices for Receiving Faxes page, if you want to be able to receive incoming faxes, select the Fax Devices Fax Voip 14.4K TAPI Voice-Fax Modem, Fax Voip 14.4K TAPI Voice-Fax Modem #2 and so on. Make sure that the Automatically answer... option is selected. Then, click Next.

8. On the Called Subscriber Identification (CSID) page, optionally enter your fax number. Then, click Next.

9. On the Routing Options page, select the Print it on check box if you want received faxes to be automatically printed. Then, click Next.

10. On the Completing the Fax Configuration Wizard page, click Finish.

To access the Fax Service Manager

1. Click Start, point to All Programs, point to Accessories, point to Communications, point to Fax, and then click Fax Service Manager.

2. In the left pane, double-click Devices and Providers, double-click Devices, and then right click on the Fax Device Fax Voip 14.4K TAPI Voice-Fax Modem. On the context menu, click Properties.

3. On the General page, select the Send faxes check box. If you want to be able to receive incoming faxes, select the Receive faxes check box and the Automatic Answer option. In the Transmitting Subscriber ID (TSID) box and in the Called Subscriber ID (CSID) box, optionally type your fax number. Then, click OK.

4. On the left pane double-click on the Fax Device Fax Voip 14.4K TAPI Voice-Fax Modem, click Incoming Methods, and then in the right pane configure the incoming methods of interest if you want to automatically Print, Route through e-mail (Fax To Email) or Store in a folder received faxes.


Sharing Fax Resources

Using Fax Voip with Windows Fax Service ››

A fax printer located on a central fax server (Windows Server OS) can be shared among network users. Users can install remote fax printer connections to the fax server on their client computers (Windows 10, Windows 8.1 etc.), and thus send and receive faxes using fax devices located on the fax server.

To configure fax server in Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2 to be shared with client computers, see To configure Fax Server (Windows Server 2019) .

To connect a client computer to fax server located in your network, see To configure Fax Client (Windows 10) .

Notes

  • You cannot share fax resources on a workstation based operating system such as Windows 10, Windows 8/8.1 or Windows 7.
  • The instructions in this chapter assume that both computers (server and client) are configured as members of a workgroup.


Configure Fax Server

To configure Fax Server (Windows Server 2019)

Using Fax Voip with Windows Fax Service ›› Sharing Fax Resources ››

To share a fax printer

1. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel, under Hardware, click View devices and printers. In the list of printers, right-click Fax. On the context menu, click Printer properties. Alternatively, you can click Fax Printer Properties in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In the Fax Properties window, click the Sharing tab, select Share this printer, and then type a name for the printer that you want your network users to see. Then, click OK.

Set up user accounts

Your users must have an account to be able to access a fax server running Windows Server 2019.

To add a local user account, follow these steps:

1. Right click the Start button, and then click Computer Management. In the Computer Management, expand Local Users and Groups, right-click on Users, and then select New User.

2. In the New User window, enter the user name and password. Below the section where you enter the passwords, you will see four options connected to how the password will be treated. Choose the one that makes sense to you, click Create to create the user, and then close the window.

3. In the Computer Management, make sure the new user is displayed in the list of users.

You can configure a fax server so that when a user uses Windows Fax and Scan for the first time to send a fax, an account is automatically created. If you use this option, as soon as a user connects to the fax server, the account is automatically created.

If you want to limit users connecting to the fax server, you can disable this setting, in which case you must manually create the user accounts for all the users who need to access the fax server. In such a setting, if a user tries to connect to the server without having an account already, the connection attempt fails.

To automatically create a user account for a fax server, follow these steps:

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip tray icon menu or click Fax Service Manager in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, in the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Accounts tab, select the Auto-create accounts on connection check box so that an Administrator does not need to explicitly create each user account. Click OK.

To manually add a user account for a fax server, follow these steps:

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip tray icon menu or click Fax Service Manager in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, in the left pane double-click Fax, and then click Accounts.

3. In the right pane, view the existing accounts, and then determine which new accounts you want to add.

4. To add a new account, right-click Accounts, click New, and then click Account.

5. In Create New Account window, provide a user name and domain, and then click Create. Note that the user name must match the local user account you created earlier.

6. In the Microsoft Fax Service Manager, make sure the new account is displayed in the list of accounts.

To configure access the fax server inbox

To allow all user accounts to access the fax server inbox and view incoming messages, follow these steps:

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip tray icon menu or click Fax Service Manager in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, in the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Accounts tab, in the Reassign Setting area, select Off option to allow all user accounts to access the fax server inbox and view incoming messages. Click OK.

To allow individual user accounts to access the fax server inbox and view incoming messages, follow these steps:

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip tray icon menu or click Fax Service Manager in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, in the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Accounts tab, in the Reassign Setting area, select On option to reassign received fax messages to individual user accounts only. Click OK.

3. In the Microsoft Fax Service Manager, in the left pane right click on the Fax; on the context menu, click Properties; in the Fax (Local) Properties window switch to Security page.

4. On the Security page, click Advanced.

5. In the Advanced Security Settings for Fax window, select the permission entry associated with the desired user account and click Edit. If the permission entry does not exist, click Add, click Select a principal, type user accounts name, click Check Names, click OK.

6. In the Permission Entry for Fax window, click Show advanced permissions. Select the Manage server receive folder check box. Click OK. See picture below.

7. In the Advanced Security Settings for Fax window, click OK.


Configure Fax Client

To configure Fax Client (Windows 10)

Using Fax Voip with Windows Fax Service ›› Sharing Fax Resources ››

To connect a client computer to fax server located in your network, follow these steps:

1. In Windows Explorer, enter the name or address of the computer (Windows Server OS) in your network on which the shared fax server is installed. Click the Go to... button or press the Enter key.

2. In the Windows Security window, enter the username and password associated with the user account created on the server for sending faxes, see in the Configure Fax Server chapter of this user manual. Select Remember my credentials checkbox, this is very important. Click OK.

3. Make sure that the shared Fax printer is displayed in the folder.

4. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel click User Accounts, and then click Manage Windows Credentials.

5. In the Credential Manager, on Windows Credentials page make sure that you have an entry associated with your server computer and the user account created on the server for sending faxes. If there is no entry, create it by clicking the Add a Windows credential link, see picture below.

6. Switch to Search pane, type fax and scan, and then click Windows Fax and Scan. In Windows Fax and Scan, on the Tools menu, click Fax Account... . Click Add... .

7. On the Choose a fax modem or server page click Connect to a fax server on my network.

8. On the Type the fax server location page, enter the name or address of the computer (Windows Server OS) in your network on which the shared fax server is installed. Follow the instructions of the wizard.

9. Make sure that the fax account was created successfully.


Configure Fax Station ID and Fax Headline

To configure Fax Station ID and Fax Headline

Using Fax Voip with Windows Fax Service ››

When sending and receiving faxes, you usually need to specify Fax Station ID and Fax Headline, that can be configured in the Windows Fax Service software.

The Transmitting Subscriber Identification (TSID) is a Transmitting Fax Station ID. The TSID is a text string that identifies you as a fax sender. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters.

The Called Subscriber Identification (CSID) is a Fax Station ID, that is used with incoming faxes. The CSID is a text string that identifies you as a fax recipient. It is transmitted to a fax sender when you receive a fax, and it might appear in the display of the sender's fax machine. The CSID usually consists of the recipient's fax number and business name. Your CSID and TSID can be the same. The CSID is limited to 20 characters.

The Fax Headline is a text that is also transmitted at the top of each faxed page. Usually the name of your company. The Fax Headline is limited to 50 characters.

At the time of installation, Fax Voip configures the Windows Fax Service to use 'Fax Voip' as Fax Station ID for all Fax Voip 14.4K TAPI Voice-Fax Modem devices.

To configure Fax Station ID and Fax Headline in Windows 10, Windows 8/8.1, Windows 7 or Windows Vista, see To configure Fax Station ID and Fax Headline in Windows 10 .

To configure Fax Station ID and Fax Headline in Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2, see To configure Fax Station ID and Fax Headline in Windows Server 2019 .


Windows 10

To configure Fax Station ID and Fax Headline in Windows 10

Using Fax Voip with Windows Fax Service ›› Configure Fax Station ID and Fax Headline ››

Please note that starting from Fax Voip version 8.3.1 the Use device Transmitting Subscriber ID (TSID) option can be configured using Configure Fax Service button in the Fax Voip Control Panel , see Configure Fax Service using Fax Voip Control Panel . In this case, you do not need to manually edit the Windows Registry and restart the Windows Fax Service.

Outgoing Fax. Use Device TSID.

This method does not allow to override Fax Station ID (TSID).

1. To use this method should change UseDeviceTsid value to 1. Right click the Start button, and then click Run. Type regedit; click OK to start Registry Editor. Find HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Fax section. Create UseDeviceTsid (REG_DWORD) parameter, if does not exist. Change value of UseDeviceTsid to 1. See picture below.

2. Restart Windows Fax Service. To do it, click Restart Fax Service in the Fax Voip Control Panel , in the Main tab of the Ribbon.

3. In Windows Fax and Scan, on the Tools menu, click Fax Settings.... In the Fax Settings window, on the General page click More options.... In the More Options window, in the TSID box, specify your Fax Station ID. Maximum length is 20 characters. Click OK. In the Fax Settings window click OK.

4. In Windows Fax and Scan, on the Tools menu, click Sender Information.... In the Sender Information window, in the Company box, specify your Fax Headline. Maximum length is 50 characters. Click OK.

Outgoing Fax. Don't use Device TSID.

Using this method you can override Fax Station ID (TSID) when creating a fax.

1. To use this method should change UseDeviceTsid value to 0 (zero). Right click the Start button, and then click Run. Type regedit; click OK to start Registry Editor. Find HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Fax section. Create UseDeviceTsid (REG_DWORD) parameter, if does not exist. Change value of UseDeviceTsid to 0 (zero). See picture below.

2. Restart Windows Fax Service. To do it, click Restart Fax Service in the Fax Voip Control Panel , in the Main tab of the Ribbon.

3. In Windows Fax and Scan, on the Tools menu, click Sender Information.... In the Sender Information window, in the Fax number box, specify your Fax Station ID. Maximum length is 20 characters. In the Company box, specify your Fax Headline. Maximum length is 50 characters. Click OK.

Incoming Fax

1. In Windows Fax and Scan, on the Tools menu, click Fax Settings.... In the Fax Settings window, on the General page click More options.... In the More Options window, in the CSID box, specify your Fax Station ID. Maximum length is 20 characters. Click OK. In the Fax Settings window click OK.


Windows Server 2019

To configure Fax Station ID and Fax Headline in Windows Server 2019

Using Fax Voip with Windows Fax Service ›› Configure Fax Station ID and Fax Headline ››

Please note that starting from Fax Voip version 8.3.1 the Use device Transmitting Subscriber ID (TSID) option can be also configured using Configure Fax Service button in the Fax Voip Control Panel , see Configure Fax Service using Fax Voip Control Panel .

Outgoing Fax. Use Device TSID.

This method does not allow to override Fax Station ID (TSID).

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip tray icon menu or click Fax Service Manager in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Outbox page, check Use device Transmitting Subscriber ID (TSID) option. Click Apply.

3. In the Microsoft Fax Service Manager, on the left pane double-click Fax, double-click Devices and Providers, double-click Devices, and then right click on the Fax Device Fax Voip 14.4K TAPI Voice-Fax Modem. On the context menu, click Properties. On the General page, in the Transmitting Subscriber ID (TSID) box, specify your Fax Station ID. Maximum length is 20 characters. Click Apply.

4. In Windows Fax and Scan, on the Tools menu, click Sender Information.... In the Sender Information window, in the Company box, specify your Fax Headline. Maximum length is 50 characters. Click OK.

Outgoing Fax. Don't use Device TSID.

Using this method you can override Fax Station ID (TSID) when creating a fax.

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip tray icon menu or click Fax Service Manager in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Outbox page, uncheck Use device Transmitting Subscriber ID (TSID) option. Click Apply.

3. In Windows Fax and Scan, on the Tools menu, click Sender Information.... In the Sender Information window, in the Fax number box, specify your Fax Station ID. Maximum length is 20 characters. In the Company box, specify your Fax Headline. Maximum length is 50 characters. Click OK.

Incoming Fax

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip tray icon menu or click Fax Service Manager in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane double-click Fax, double-click Devices and Providers, double-click Devices, and then right click on the Fax Device Fax Voip 14.4K TAPI Voice-Fax Modem. On the context menu, click Properties. On the General page, in the Called Subscriber ID (CSID) box, specify your Fax Station ID. Maximum length is 20 characters. Click Apply.


Sending and Receiving Faxes

Using Fax Voip with Windows Fax Service ››

  • Sending Faxes
  • Receiving Faxes
  • Monitoring and notifying


Sending Faxes

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ››

You can send a fax from a Windows application by opening or creating a document in the application, and then printing it to a fax printer.

To send a fax in Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2, see To send a fax in Windows 10 or Windows Server 2019 .

To send a fax on old Windows XP or Windows Server 2003 computer, see To send a fax in Windows XP or Windows Server 2003 .

To send a fax from Fax Voip Control Panel, see Send a fax from Fax Voip .

To specify Fax Station ID and Fax Headline, see Configure sender information .

For instructions on selecting image quality of outgoing fax, see Adjust fax resolution .

To send a fax using SendFaxMS.exe command line utility, see SendFaxMS.exe command line tool . More details can be found in the Send a Fax using SendFaxMS.exe tool - Microsoft Fax chapter of this user manual.

To send a fax on behalf of another user account, see To send a fax using a different fax account .

To learn more about how to monitor the progress of faxes being sent, see Monitoring and notifying .


Send a fax in Windows 10/ Server 2019

To send a fax in Windows 10 or Windows Server 2019

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ›› Sending Faxes ››

To send a fax

1. Open or create the document in any Windows application that has a print option.

2. Click Print. On the Print dialog box, select an installed Fax printer from the drop-down list, and then click Print.

3. On the New Fax page, enter the recipient fax number in the To box.

4. Optionally select a Cover Page.

5. Optionally, enter the appropriate information in the Subject and Cover page notes boxes.

6. Optionally, configure sender information .

7. Click Send to send a fax.

Your computer will automatically call the fax number and send the fax.


Send a fax in Windows XP/ Server 2003

To send a fax in Windows XP or Windows Server 2003

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ›› Sending Faxes ››

To send a fax

1. Open or create the document in any Windows application that has a print option.

2. Click Print. On the Print dialog box, select an installed Fax printer from the drop-down list, and then click Print.

3. On the Welcome to the Send Fax Wizard page, click Next.

4. On the Recipient Information page, enter the recipient name in the To box and the recipient fax number in the Fax number box, and then click Add. When all recipients are added, click Next.

5. On the Preparing the Cover Page page, optionally select Select a cover page template with the following information check box and complete the corresponding information. Then, click Next.

6. On the Schedule page, click Next.

7. On the Completing the Send Fax Wizard page, click Finish.

Your computer will automatically call the fax numbers and send the fax.


Send a fax from Fax Voip

To send a fax from Fax Voip

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ›› Sending Faxes ››

1. In the Fax Voip Control Panel , in the Main tab of the Ribbon, in the Windows Fax Service / Windows Fax and Scan group, click Send Fax command.

2. In the Fax message selection dialog, select the document you want to send as a fax, and then click Open. Any printable document can be sent as a fax.

3. Follow the instructions in the previous chapter.

Notes

  • You can also send a fax by right clicking on the file in Windows Explorer and then selecting Fax recipient command from the Send to submenu.


Configure sender information

To configure sender information

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ›› Sending Faxes ››

The options below allow to override the Fax Station ID and Fax Headline when sending a fax .

1. On the New Fax page, on the Tools menu, click Sender Information....

2. To override the default settings, in the Sender Information window, check Use the information for this fax only option.

3. In the Fax number box, specify your Fax Station ID. Maximum length is 20 characters. Please note, that you can override TSID this way if only Use device Transmitting Subscriber ID (TSID) option is disabled, see in the Configure Fax Station ID and Fax Headline chapter.

4. In the Company box, specify your Fax Headline. Maximum length is 50 characters.

5. Click OK.


Adjust fax resolution

To adjust fax resolution

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ›› Sending Faxes ››

You can select the resolution for faxes that you send. Generic quality names, such as Normal (200x200 dpi) or Draft (200x100 dpi), are given to resolution options that are graded in dots per inch (dpi). These resolution options will not necessarily provide the quality of detail that you see when composing a document in a Windows application.

To specify fax printer settings:

1. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel click Hardware and Sound, and then click Devices and Printers. Right click on the Fax printer. On the context menu, click Printing preferences. Alternatively, you can click Fax Printer Properties in the Fax Voip Control Panel , in the Main tab of the Ribbon and then click Preferences....

2. In the Fax Printing Preferences window, choose a standard resolution from the Image quality list.

Note, that when you create and send a fax from a Windows application, the application may use individual settings that take precedence over the global printer properties. For this reason, we recommend you to check the printer resolution just before printing.


SendFaxMS.exe command line tool

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ›› Sending Faxes ››

When using Windows Fax Service and Windows Fax and Scan application, you can send a fax using the SendFaxMS.exe command line utility, which is included in the Fax Voip software and allows you to automatically create and track a fax job, see more details in the Send a Fax using SendFaxMS.exe tool - Microsoft Fax chapter of this user manual.

For more information about SendFaxMS.exe command line options, see SendFaxMS.exe command line options - Microsoft Fax .

Also, you have a useful visual tool that allows you to easily configure SendFaxMS.exe command line options and then run SendFaxMS.exe directly from the Fax Voip Control Panel, see To Configure and Run SendFaxMS.exe (Microsoft Fax) using Fax Voip Control Panel .


To send a fax using a different fax account

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ›› Sending Faxes ››

By default, the new fax is created on behalf of the current user who is logged in. This chapter explains how to send a fax using a different fax account. For example, this can be useful when several users want to share single fax account and have access to outgoing faxes created by any of these users.

To send a fax from Windows Fax and Scan

1. Run Windows Fax and Scan under a different user account, see To access faxes created by another user .

2. Click the New Fax button on the toolbar to open the New Fax dialog box.

3. On the New Fax page, enter the recipient fax number in the To box.

4. Optionally select a Cover Page.

5. Optionally, enter the appropriate information in the Subject and Cover page notes boxes.

6. Optionally, configure sender information .

7. You can attach a document to the fax message with the Attach button on the New Fax toolbar, insert a picture in the body of the fax with the Insert Picture button, and insert a scanned item with the Insert From Scanner button.

8. Click Send to send a fax.

To Send a Fax from a Windows application

The Windows Fax and Scan application should be started under a different user account, see To access faxes created by another user . The procedure is the same as described in the To send a fax in Windows 10 or Windows Server 2019 chapter, however by default, when printing to the Fax printer, you will receive an error as shown in the figure below.

As a workaround, you should grant read access to the current user's temp folder for the user account under which the Windows Fax and Scan is running. To grant access rights, follow these steps:

1. In Windows Explorer, navigate to the folder that contains the current user's temporary folder. The temporary folder (%temp%) for the current user account is usually C:\Users\<Account Name>\AppData\Local\Temp\.

2. Right-click the Temp folder, and then select Properties. In the Temp Properties window switch to Security page. Click Edit... .

3. In the Permissions for Temp window, in the Group or user names list, make sure there is an entry associated with the user account under which the Windows Fax and Scan is running. If the entry does not exist, click Add, type user accounts name, click Check Names, click OK.

4. In the Permissions for Temp window, in the Group or user names list, select the entry associated with the user account under which the Windows Fax and Scan is running. Grant Read access permissions for this account, as shown in the picture below. Click Apply.

To send a fax, follow these steps:

1. Make sure that Windows Fax and Scan application is already started under the desired user account, see To access faxes created by another user . Do not close the Windows Fax and Scan main window.

2. Follow the instructions in the To send a fax in Windows 10 or Windows Server 2019 chapter.

The new fax job will be created under the user account that is running Windows Fax and Scan, not under the current user account.


Receiving Faxes

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ››

To receive a fax in Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2, see To receive a fax in Windows 10 or Windows Server 2019 .

To receive a fax on old Windows XP or Windows Server 2003 computer, see To receive a fax in Windows XP or Windows Server 2003 .

To learn more about how to monitor the progress of incoming faxes, see Monitoring and notifying .


Windows 10/ Server 2019

To receive a fax in Windows 10 or Windows Server 2019

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ›› Receiving Faxes ››

If you configured the Windows Fax Service to automatically receive faxes, your computer will automatically answer the calls on the fax line and store the received faxes in Windows Fax and Scan.

To view received faxes

1. Switch to Search pane, type fax and scan, and then click Windows Fax and Scan. Alternatively, you can select Windows Fax and Scan command from the Fax Voip tray icon menu or click Windows Fax and Scan in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. On the left pane, select Inbox to view received faxes.


Windows XP/ Server 2003

To receive a fax in Windows XP or Windows Server 2003

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ›› Receiving Faxes ››

If you configured the Windows Fax Service to automatically receive faxes, your computer will automatically answer the calls on the fax line and store the received faxes in the Fax Console.

To view received faxes

1. Click Start, point to All Programs, point to Accessories, point to Communications, point to Fax, and then click Fax Console.

2. On the left panel, select Inbox to view received faxes.


Monitoring and notifying

Using Fax Voip with Windows Fax Service ›› Sending and Receiving Faxes ››

Fax notification is used to keep you informed of fax events as you work. Notification tracks different kinds of fax activity, including the progress of incoming and outgoing faxes, and the success or failure of faxes being sent or received. Notification methods are divided into two categories:

  • Visual notifications. These include an icon in the notification area, a balloon displayed next to the icon, and Fax Monitor.
  • Audio notifications. A sound is played to indicate fax events.

Fax Monitor

Fax Monitor is a tool that displays information about incoming and outgoing fax progress on a local fax device.

You can configure Fax Monitor for the following visual notifications:

  • Show the progress of incoming and outgoing faxes.
  • Notify of the success or failure of faxes being sent or received.

You can also configure Fax Monitor to produce audio notifications for fax actions, including:

  • When the fax line rings.
  • When a new fax is received.
  • When a fax is sent.
  • When a fax error is detected.

When Fax Monitor is open, you can manually disconnect a fax call being sent or received by clicking Disconnect.

Fax Monitor displays information about incoming and outgoing fax progress, including:

  • Status. The current status of an outgoing or incoming fax.
  • Elapsed Time. The time that has elapsed since the fax reception or transmission was initiated.
  • To/From. Sender or receiver information.

Specify notification settings in Windows 10

1. In Windows Fax and Scan, on the Tools menu, click Fax Settings....

2. On the Tracking page, specify the necessary settings as shown in the figure below.

3. Click Sound options... . Specify the necessary settings as shown in the figure below. Cick OK.

4. In the Fax Settings window click Apply.

Specify notification settings in Windows Server 2019

Please note, that on Windows Server computer fax notification can be enabled for only one specified fax device.

1. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel click Hardware, and then click Devices and Printers. Right click on the Fax printer. On the context menu, click Printer properties. Alternatively, you can click Fax Printer Properties in the Fax Voip Control Panel , in the Main tab of the Ribbon.

2. On the Tracking page, select the fax device to monitor. Specify the necessary settings as shown in the figure below.

3. Click Configure Sound Settings... . Specify the necessary settings as shown in the figure below. Cick OK.

4. In the Fax Properties window click Apply.


Send a Fax with Fax Voip Printer

Send a Fax with Fax Voip Virtual Printer and Windows Fax Service

Using Fax Voip with Windows Fax Service ››

  • Send a Fax using Fax Voip Printer and Windows Fax Service
  • Send a Fax to Multiple Recipients using Fax Voip Printer and Windows Fax Service


Send a Fax

Send a Fax using Fax Voip Printer and Windows Fax Service

Using Fax Voip with Windows Fax Service ›› Send a Fax with Fax Voip Printer ››

To send a fax

1. Open or create the document that you want to fax in any Windows application that has a print option.

2. Click Print. On the Print dialog box, select an installed Fax Voip printer from the drop-down list, and then click Print.

3. In the Fax Voip Send Fax Wizard, on the Recipient Information page enter the recipient fax number in the Fax number field and the recipient name in the Recipient name field (if necessary). The recipient name can be displayed on the cover page.

4. To send a fax to multiple recipients, type each recipient’s information, and then click Add to add the recipient to the list of fax recipients below. Or you can select one or more fax recipients from Address Book (Windows Contacts) using Address Book button. To be added to the list of fax recipients, the selected recipient should have non-empty Business fax field or non-empty Home fax field.

5. To send a fax via Windows Fax Service, check the Use Microsoft Fax Service to send this fax option.

6. When preparing a fax, you can add a cover page and configure additional fax options, see below. To preview the fax, click View Fax button.

7. To send a fax, click Send Fax button.

Fax Voip will create the fax job in the Windows Fax and Scan (Fax Console) application, in the Outbox folder. Windows Fax Service will automatically call the fax number and send the fax.

Cover Page

On this page you can override the default settings for cover pages specified in the Cover Pages Settings .

Click to configure sender information

Click to switch to the Sender page.

Include cover page

Specifies whether the cover page will be added to the document and sent as the first page in the fax. You can also create a fax consisting only of a cover page.

Use common cover page template

If this option selected, the common cover page template will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can store your cover page template in any other folder on your hard drive.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Subject line

In this box, you can specify the fax subject. This information is usually displayed on cover page. You can leave this field empty.

Cover page note

In this box, you can specify the text of a message or note from the sender that will appear on the cover page. You can leave this field empty.

Sender

Sender information is displayed on your cover page. On this page you can override the default settings for sender information specified in the Sender Information Settings .

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

Title

The title associated with the sender.

Company

The company name associated with the sender.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Fax Station ID

The transmitting station identifier (TSID) for the sender's device. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters. Note that depending on the fax server settings, this option can be ignored and TSID specified in the settings of the fax device is actually transmitted, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.

Fax Headline

Usually displayed at the top of each faxed page. The Fax Headline is limited to 50 characters. In the case of sending a fax through the Windows Fax Service, matches the Company field.

Schedule

On this page you can choose when your fax is scheduled for sending. You can send it immediately or specify a time in the next 24 hours.

Now

Select this option to send a fax immediately. This option is selected by default.

Specific time in the next 24 hours

Select this option to specify a time in the next 24 hours.

Delivery Notification

To configure Delivery Receipts via E-mail rules, see E-mail Delivery Receipts Outgoing Routing Method (Microsoft Fax) . When using Use Microsoft Fax Service to send this fax option, the Delivery Receipts via E-mail rules can not be displayed or overridden on this page.

Notes

  • Windows Fax Service (Windows Fax and Scan) should be installed and configured to operate with Fax Voip Virtual COM Ports (modems).
  • Note that you can use Fax Voip Virtual Printer to create Windows Fax Service fax jobs, that can be sent via lines of any type, with which Windows Fax Service is configured, not necessarily with Fax Voip Virtual COM Ports (modems). However, you should understand that this feature is a part of Fax Voip and you must have a license for the Fax Voip program to use this.
  • In order to avoid a poor quality fax picture, should pay attention to resolution settings that you have in both Fax Voip Virtual Printer and Fax (Microsoft Fax) printer. When printing to Fax Voip printer, the tiff file is initially created according to Fax Voip Virtual Printer settings. After clicking Send fax button, the tiff is converted using resolution, specified in the Fax (Microsoft Fax) printer. For example, if you have 200x200 in the Fax (Microsoft Fax) printer, you should also use 200x200 in the Fax Voip Virtual Printer settings.
  • The default Fax Station ID is specified in the Windows Fax Service settings. The possibility to change Fax Station ID should be also configured in the Windows Fax Service settings, see in the Configure Fax Station ID and Fax Headline chapter of this user manual.
  • Keep in mind, that this functionality is not designed to work in a terminal window of server operating system. This feature also can not be used via Remote Desktop Connection (RDP) if Fax Voip installed on Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2. More details can be found in the Troubleshooting using RDP chapter of this manual.
  • Note that Fax Voip Virtual Printer is not designed for sharing over network. The Fax Voip Send Fax Wizard window will always appear on the computer where Fax Voip installed.
  • To use Fax Voip Virtual Printer to send faxes via built-in lines, please follow instructions in the Send a Fax with Fax Voip Virtual Printer chapter of this user manual.


Send a Fax to Multiple Recipients

Send a Fax to Multiple Recipients using Fax Voip Printer and Windows Fax Service

Using Fax Voip with Windows Fax Service ›› Send a Fax with Fax Voip Printer ››

Possibility to use Fax Voip Virtual Printer to place fax jobs to Windows Fax Service is especially useful when creating a large number of faxes that you would like to send via Windows Fax and Scan software.

1. Prepare a list of fax numbers any way you want and save it to a plain text file. When preparing a file, you must be guided by the following rules:

      • Each row can contain a single fax number.
      • The fax number should be placed in the beginning of the row. Spaces and tabs at the beginning of the row are ignored.
      • The row can contain any additional information such as company name, phone number etc. This information should be separated from the fax number using any of the following delimiters: space, tab or semicolon.

An example of a text file is shown in the picture below.

2. Create a fax by printing to a Fax Voip Virtual Printer . You can also use the Send a Fax command in the Fax Voip Console .

3. To send a fax using Windows Fax Service (Windows Fax and Scan) be sure that the Use Microsoft Fax Service to send this fax option is checked.

4. In the Fax Voip Send Fax Wizard window, on the Send Fax page, click Add From File.

5. In the Open dialog box select the text file and click Open.

6. Fax Voip will automatically recognize fax numbers and will add them to the list.

7. In the Fax Voip Send Fax Wizard configure additional fax options if necessary. For details see in the Send a Fax using Fax Voip Printer and Windows Fax Service chapter.

8. Click Send Fax.

Fax Voip will automatically create multiple fax jobs in the Windows Fax and Scan (Fax Console) application, in the Outbox folder. Windows Fax Service will automatically call the fax numbers and send the faxes.

Notes

  • The procedure of adding multiple fax jobs to Windows Fax Service may take significant time. Depending on the number of recipients the time of waiting can be up to several minutes. The Fax Voip Send Fax Wizard can be not responsible during this procedure.
  • When adding multiple fax jobs to Windows Fax Service, it is recommended to configure Scheduled Time with some delay to prevent from beginning of sending faxes before completing the procedure of adding jobs.
  • Unfortunately, the Microsoft documentation does not specify the maximum number of fax jobs that can be placed in the Outbox in the Fax Console (in the Windows Fax and Scan). The maximum number of fax recipients, that can be added when creating a fax job is also not documented. Experiments show that the number of records in the Outbox and maximum number of recipients that you can add ​​may be different for different Windows versions. For example on Windows XP, the maximum number of faxes in the Outbox is about 23000. Usually you are not able to add more than 10000 fax recipients at a time. To avoid problems, crashes and loss of fax jobs, we recommend you to test such capabilities of Windows Fax Service on your computer in advance.
  • Note that in the case of working with a great number of faxes via a lot of fax lines, Windows Fax Service in combination with Fax Voip Virtual COM Ports (modems) is much more stable than operation via built-in lines and Fax Voip Console.
  • You also can add multiple fax recipients from Address Book (Windows Contacts) by using Address Book button on the Send Fax page.


To access faxes created by another user

Using Fax Voip with Windows Fax Service ››

This chapter explains how to access faxes created by another user under the current user account. For example, a fax server administrator wants to view and manage faxes created by other users. Or some service running under a different user account automatically generates fax jobs and you need to have access to these faxes, an example is the Mail to Fax - Microsoft Fax function from the Fax Voip package.

To run the Windows Fax and Scan under a different user account

1. Right click the Start button, and then click Command Prompt.

2. In the Command Prompt, run the following command:

runas.exe /savecred /user:SERVER1\FaxUser %windir%\system32\WFS.exe

In our example, SERVER1\FaxUser is the local user account (including the computer name) whose faxes we want to access.

3. Enter the password for the user specified in the command line if necessary, and then click ENTER. The /savecred option is used to save the credentials and to avoid entering a password on subsequent launches.

Windows Fax and Scan application will be started under the specified user account, not under the current user account.

Alternatively, you can create a windows shortcut to launch Windows Fax and Scan. The Target parameter should be as shown below:

C:\Windows\System32\runas.exe /savecred /user:SERVER1\FaxUser %windir%\system32\WFS.exe

To create Fax Account

Before adding a fax account, you need to grant the View service configuration access permission to fax server for the user under which the Windows Fax and Scan is running. To grant access rights, follow these steps:

1. In Windows 10, in Windows Fax and Scan, on the Tools menu, click Fax Settings..., and then switch to Security page. In Windows Server 2019, in the Microsoft Fax Service Manager, on the left pane right click on the Fax; on the context menu, click Properties; in the Fax (Local) Properties window switch to Security page.

2. On the Security page, click Advanced.

3. In the Advanced Security Settings for Fax window, select the permission entry associated with the desired user account and click Edit. If the permission entry does not exist, click Add, click Select a principal, type user accounts name, click Check Names, click OK.

4. In the Permission Entry for Fax window, click Show advanced permissions. Check View service configuration. Click OK. See picture below.

5. In the Advanced Security Settings for Fax window, click OK.

To add a Fax Account, follow these steps:

1. In Windows Fax and Scan, on the Tools menu, click Fax Account... . If no fax modem account was created, click Add... .

2. Click Connect to a fax modem and follow the instructions of the wizard.

To send a fax

To send a fax on behalf of another user account, see To send a fax using a different fax account .


Windows Fax Service Troubleshooting

Using Fax Voip with Windows Fax Service ››

CallerID problems in Windows 10 v.1709 or later and Windows Server 2019

Problem: Windows Fax Service does not store Caller ID and Transmitting Subscriber Identification (TSID) in the fax service database after receiving a fax on these Windows versions. You can see this information when you receive a fax (for example in the Fax monitor), but it becomes unavailable after finishing receiving the fax, and you have empty fields in the Windows Fax and Scan software, in the Inbox folder. Also, you cannot retrieve Caller ID and TSID using Fax Service API, in particular, the Incoming Routing Methods (Microsoft Fax) do not work properly. The problem does not appear, when receiving faxes via devices that are not modems and do not use standard Microsoft Modem Device Provider. For example, this bug does not affect the operation of Fax Voip Windows Fax Service Provider (Fax Voip FSP) software.

Solution: You should replace FXST30.dll with a similar file from earlier Windows 10 versions. You can find the Windows 10 version 1703 libraries (both 64-bit and 32-bit) in the Fax Voip installation folder, most likely the path will be as follows: C:\Program Files (x86)\FaxVoip\FXST30_DLL\Win10_1703\.

Please note that Fax Voip version 8.1.1 or later fixes this bug automatically at the time of installation. Or you can fix it by clicking Configure Fax Service command in the Fax Voip Control Panel , in the Main tab of the Ribbon, see also in the Configure Fax Service using Fax Voip Control Panel chapter of this user manual.

'Forward as E-mail' button is grayed out in Fax and Scan on Windows 10, Windows Server 2019 or Windows Server 2016

Problem: 'Forward as E-mail' button located on the toolbar in the Windows Fax and Scan software is grayed out, and you can not send e-mails directly from the program. At the same time, the MAPI mail client is installed and properly configured onto your system, and you can send e-mails using Send To -> Mail Recipient command or using the sending e-mail commands in other applications such as Paint, WordPad etc. Normally in this case, 'Forward as E-mail' command should be also available in Windows Fax and Scan. As an e-mail program that supports MAPI, you can use classic Windows Mail (formerly Outlook Express) software, which, by the way, can be easily installed in Windows 10 using Windows Mail Restore Tool developed by our company. Other examples of e-mail software with MAPI support are Microsoft Outlook, Mozilla Thunderbird etc.

Solution: To fix the problem and enable the 'Forward as E-mail' button in Windows Fax and Scan, you should create 'MAPI' = '1' (REG_SZ) value under the following registry key:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows Messaging Subsystem

Please note that Fax Voip version 8.1.1 or later fixes this bug automatically at the time of installation. Or you can fix it by clicking Configure Fax Service command in the Fax Voip Control Panel , in the Main tab of the Ribbon, see also in the Configure Fax Service using Fax Voip Control Panel chapter of this user manual.

Problems on Windows 8.1 / Windows Server 2012 R2

Please note that the issue described below is currently fixed by Microsoft in November 2014 update rollup for Windows RT 8.1, Windows 8.1, and Windows Server 2012 R2 (KB3000850) and currently is not present. If you encounter this problem on your Windows 8.1 or Windows Server 2012 R2 computer, we currently recommend you to update your system up to the latest version.

Problem: Microsoft Fax Service is stopped working. In the event viewer the following error is displayed:

The Fax Service Provider 'Microsoft Modem Device Provider' encountered a problem and needed to close.

Error Code: 0xC0000005

This error code indicates the cause of the error.

A Windows Error Report was generated with full details about the problem.

The Fax service will restart now.

-------------

Faulting application name: fxssvc.exe, version: 6.3.9600.16384, time stamp: 0x5215e627

Faulting module name: fxst30.dll, version: 6.3.9600.16384, Faulting application path: C:\Windows\system32\fxssvc.exe

Faulting module path: C:\Windows\system32\fxst30.dll

Solution: can be found in the 8.1 broke my Windows Fax article:

http://social.technet.microsoft.com/Forums/windows/en-US/57611007-4d60-4fe6-b81d-4b2c809e3a2a/81-broke-my-windows-fax

According to this article, you should replace FXST30.dll with a similar file from Windows 7. You can find the Windows 7 libraries (both 64-bit and 32-bit) in the Fax Voip installation folder, most likely the path will be as follows: C:\Program Files (x86)\FaxVoip\FXST30_DLL\Win7\.

Notes

  • We were not able to reproduce the problem on our test computers. However, some of our customers faced this problem and the above solution helped.
  • If the given solution does not completely solve the problem, try to use Eltima Virtual Serial Port Driver that is a little more stable in the case of different bugs on the side of fax software. To use Eltima Driver instead of native Fax Voip Virtual COM Ports driver, see in the Using Fax Voip with Eltima Virtual Serial Port Driver chapter of this user manual.
  • When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


Using Fax Voip with Fax & Voice Soft

With Fax Voip T38 Fax & Voice you may set up and use Windows Fax Service or any other third-party fax or voice application to send/receive faxes or audio messages via VoIP without hardware modems. Fax Voip emulates fax voice modems (Fax Class 1 protocol compliant). Virtual COM Port (modem) interface is a bridge between your fax or voice software and VoIP.

To configure your fax (voice) software, select the Fax Voip 14.4K TAPI Voice-Fax Modem device in the settings of your software. Depending on your software, you may need to specify the serial port instead of a modem. In this case, select the port associated with Fax Voip e.g. COM20. Also, you usually need to configure your software to automatically answer incoming calls.

Fax Voip T38 Fax & Voice has been successfully tested with many well-known fax and voice programs. To help you successfully configure your favorite fax software to operate with Fax Voip Virtual COM Ports (modems) we have written detailed instructions:

  • Using Fax Voip with Windows Fax Service *
  • Using Fax Voip with CallStation
  • Using Fax Voip with FaxTalk Messenger Pro 7.5
  • Using Fax Voip with BVRP Classic Phone Tools 9
  • Using Fax Voip with Venta Fax & Voice
  • Using Fax Voip with FaxAmatic

Notes

  • Please note that after installation of Fax Voip version 8.1.1 or later, the Fax Voip modems are automatically configured for using with Windows Fax Service. Before configuring any other standard fax/voice software, you should manually disable sending and receiving faxes in Windows Fax and Scan (Fax Service Manager), see To configure the Windows Fax Service .
  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


Using Fax Voip with CallStation

Using Fax Voip with Fax & Voice Soft ››

Unfortunately, the Impulse Technologies website (imptec.com) is no longer available (January 2018). You can download CallStation 6.0.0 from our website . To install the program follow installation wizard.

CallStation is a very simple but full-featured telephone utility that implements the functions of the answering machine with possibility to receive faxes.

CallStation is a TAPI compliant software and can operate with Fax Voip only via Fax Voip 14.4K TAPI Voice-Fax Modem driver. TAPI (Telephony Application Programming Interface) is a software interface developed by Intel and Microsoft that provides telephony services to applications. No needs to worry about modem initialization strings or selecting COM ports. Unlike other products, such as FaxTalk Messenger Pro or BVRP Classic Phone Tools , CallStation does not use the so-called passthrough mode when working with Voice Modems.

Compared with the standard modem driver, the Fax Voip 14.4K TAPI Voice-Fax Modem driver provides support for Caller ID Number and Caller ID Name. You should not add modems using Phone and Modems option in the Windows Control Panel. To install Virtual COM Ports and associated modems open Fax Voip Control Panel, select Ports and Modems, then click <Add/Remove> button, see To Add/Remove Fax Voip Virtual COM ports . To install or reinstall modems without reinstalling Virtual COM Ports, use <Modems> button, see also To Add/Remove Fax Voip Modems .

Starting with version 7.1.1 the Fax Voip program is equipped with a new TAPI compliant Fax Voip 14.4K TAPI Voice-Fax Modem driver. With this new driver voice modem functions are supported not only in the passthrough mode as it was in the previous versions, but also via standard TAPI functions. The standard Unimodem Full-Duplex Audio Device driver is automatically installed by Windows when installing modem driver.

When operating using Fax Voip 14.4K TAPI Voice-Fax Modem driver via TAPI and passthrough mode is disabled, the 8-bit unsigned linear PCM at 8000 Hz format is always used.

The installation of Fax Voip 14.4K TAPI Voice-Fax Modem driver also fixes the well-known playback bug with Unimodem Transform Module in Windows Vista and above (include Windows 10, both x64 and 32-bit) which prevents from playing audio through the modem to the phone line. Any telephony application that uses the modem wave driver to play audio through the modem will encounter this problem. This problem is debated for many years on Microsoft forums , but for some reasons has not been solved by Microsoft so far.

Also, in Fax Voip version 7.1.1 the Hardware Hangup by detecting CD dropping from lowering DTR signal feature was implemented. This is used by CallStation and many other TAPI applications to reset the modem.

Notes

  • Please note that after installation of Fax Voip version 8.1.1 or later, the Fax Voip modems are automatically configured for using with Windows Fax Service. Before configuring CallStation or any other standard fax/voice software, you should manually disable sending and receiving faxes in Windows Fax and Scan (Fax Service Manager), see To configure the Windows Fax Service .


Configure Modem with CallStation

To configure Modem with CallStation

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with CallStation ››

1. Start CallStation program.

2. In the main window, in menu select Settings, then click Main Options.

3. In the Main Options window, on the Modem page, from the Use this modem drop-down list select FaxVoip 14.4K TAPI Voice-Fax Modem.

4. In the Optional Modem Features area check CallerID box.

5. Click <OK>.

Notes

  • If you just installed new FaxVoip 14.4K TAPI Voice-Fax Modem driver, you should restart your computer before configuring modem with CallStation. Otherwise the modem wave driver error message will be displayed.


Answering System

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with CallStation ››

To automatically answer incoming calls and record voice messages, do the following:

1. Start CallStation program.

2. In the main window, in menu select Voice, then check Answer Calls.

3. On the Settings menu, click Voice Options.

4. In the Voice Options dialog, on General page check Screen calls while taking a message option to be possible to listen to the caller leaving a message through computer sound card.

5. Uncheck the Discard message if manually stopped option. Otherwise, the voice message can be deleted accidentally.

6. Click <OK>.

When a call comes in, a pop-up window is normally displayed. To immediately send the call to the answering system, click the Take Msg button.

Or you can wait and the system will answer the call after the selected number of rings. While your greeting is being played, the caller can press the '1' key on their touch-tone phone to skip the rest of the greeting.

If the Call Screening option is enabled, you can listen to the caller leaving a message through your sound card. If you decide you want to stop recording while the caller is leaving a message, simply click the Stop Msg button to stop the answering system. The caller can press the star (*) key on their touch-tone phone to stop the answering system.

When a message is left, the New Message indicator is incremented to show the total number of new calls. New calls are indicated in the Call Log by a "cassette tape" icon with a small star-burst. To listen to any messages in the Call Log, simply use the playback controls on the toolbar.

Notes

  • Both Caller ID Number and Caller ID Name functions are supported with CallStation and Fax Voip 14.4K TAPI Voice-Fax Modem driver.


Receiving a Fax

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with CallStation ››

To automatically detect incoming fax calls, do the following:

1. Start CallStation program.

2. In the main window, in menu select Fax, then check Receive Faxes.

The answering system must also be enabled for automatic fax detection.

When the answering system answers a call, as soon as it starts playing the greeting CallStation will begin listening for a fax tone.

If one is detected, the greeting will be stopped and CallStation will switch into fax receive mode. If you have a pop-up window enabled, the title bar will change to CallStation – Receiving a Fax. The fax status will be shown in the status line, and the buttons will change. Click the Details button to expand the window to see more detailed information about the fax being received.

After receiving a fax, the call is added to the Call Log with a red 'F' to indicate that it was a fax call. The New Faxes indicator is incremented (unless there was an error) to show how many new faxes have been received. To view a fax, double-click the item in the Call Log. Or, click the Fax Manager toolbar button, select the desired fax in the list, and click the View button.

To receive a fax manually

If you know that an incoming call is a fax call without answering first, simply click the Receive Fax button on the CallStation – Incoming Call pop-up window.


Voice Message Forwarding

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with CallStation ››

This feature can automatically forward messages to a pre-determined phone number. For example, if you have messages forwarded to your cell phone, you can receive your messages no matter where you are.

After a caller leaves a message CallStation will dial a phone number and inform you that you have a new message. Simply enter your access code and the message will be played. After the message is played you will be in the Remote Access mode. You can then access old messages, change settings, or simply hang up.

To configure this feature, do the following:

1. Start CallStation program.

2. In the main window, in menu select Settings, then click Voice Options.

3. In the Voice Options window, on the Message Forwarding page, in the Forward to this phone number field enter the phone number you want CallStation to forward your messages to.

4. On the Remote Access page, in the Access code field enter four digit code you would like to access your messages remotely.

5. Click <OK>.

6. In the main window, in menu select Voice, then check Forward Messages.


Fax Forwarding

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with CallStation ››

The automatic fax forwarding feature allows to forward incoming faxes after receipt to another fax number.

After receiving the fax CallStation will dial a fax number and send the fax to the other fax machine.

To configure this feature, do the following:

1. Start CallStation program.

2. In the main window, in menu select Settings, then click Fax Options.

3. In the Fax Options window, on the General page, in the Forward to this fax number field enter the phone number of the fax machine you want CallStation to forward your faxes to.

4. Click <OK>.

5. In the main window, in menu select Fax, then check Forward Faxes.

To forward a fax manually

1. Start CallStation program.

2. In the main window, click the Fax Manager toolbar button.

3. In the Fax Manager window, select the desired fax in the list, and click the Forward button.

4. In the Fax Forward dialog enter fax number. Click <OK>.

The CallStation will automatically call the fax number and send the fax.


Remote Access

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with CallStation ››

You can easily access your messages from any touch-tone phone. CallStation uses a speech engine to generate easy to follow voice menus.

When accessing your messages, CallStation will ask you for your access code. This prevents unauthorized people from getting access to your messages.

To specify access code, do the following:

1. Start CallStation program.

2. In the main window, in menu select Settings, then click Voice Options.

3. On the Remote Access page, in the Access code edit box enter a four-digit code you would like to access your messages remotely.

4. From the Press ... to enter Remote Access mode drop-down list, select which key on your telephone keypad you want to press during your greeting in order to enter the remote access mode. The default is '0'.

5. Click <OK>.

To access your messages dial your phone number, wait for CallStation to answer, then press the '0' key at any time during the greeting.

If you have a pop-up window enabled, the switching to Remote Access Mode is displayed in this window.

CallStation asks you for your access code. Enter your four-digit code. You will be presented with the following options:

  • Press 1 to play new messages.
  • Press 2 to play old messages.
  • Press 3 for setup options.

When CallStation plays back your messages, it speaks a time/day stamp at the end of each message so you know exactly when the message was left. CallStation can also speak the caller's phone number. While listening to your messages, you will have the following options:

  • Press 1 to repeat the message.
  • Press 2 to skip to the next message.
  • Press 3 to delete the message when finished.
  • Press # to abort.

From the main menu, if you press 3 for setup options you will be given the following options:

  • Press 1 to change the current greeting.
  • Press 2 to change the rings to answer.
  • Press 3 to change the toll saver.
  • Press # to return to the main menu.

Simply press the desired key and follow the instructions.


Using Fax Voip with FaxTalk Messenger Pro

Using Fax Voip with FaxTalk Messenger Pro 7.5

Using Fax Voip with Fax & Voice Soft ››

FaxTalk Messenger Pro 7.5 software can be downloaded from our website . To install the program follow the FaxTalk Messenger Pro Setup Wizard. For more information, please visit FaxTalk.com website.

Caution! Do not use the latest FaxTalk version, that is available for downloading on the official website. Due to numerous bugs in FaxTalk Messenger Pro 9 and FaxTalk Messenger Pro 8, they don't work with Fax Voip modems. And although the modem is properly detected during the installation of the program, the FaxTalk then continuously generates stupid errors during any attempt to initialize the modem. If you want to use newer versions, please contact FaxTalk Support to solve the indicated problems.

Currently, we recommend you to use the old FaxTalk Messenger Pro 7.5 version, which is free from errors and successfully tested with Fax Voip on Windows 10, Windows Server 2019 and older systems. When purchasing FaxTalk license, ask for the key for the specified version. To download FaxTalk Messenger Pro 7.5, use the link below:

http://www.t38faxvoip.com/downloads/ftmpdemo.exe

FaxTalk Messenger Pro 7.5 can operate with Fax Voip Virtual COM Ports via Fax Voip 14.4K TAPI Voice-Fax Modem driver. Compared with the standard modem driver, the Fax Voip 14.4K TAPI Voice-Fax Modem driver provides support for Caller ID Number and Caller ID Name. You should not add modems using Phone and Modems option in the Windows Control Panel. To install Virtual COM Ports and associated modems open Fax Voip Control Panel, select Ports and Modems, then click <Add/Remove> button, see To Add/Remove Fax Voip Virtual COM ports . To install or reinstall modems without reinstalling Virtual COM Ports, use <Modems> button, see also To Add/Remove Fax Voip Modems .

Notes

  • Please note that after installation of Fax Voip version 8.1.1 or later, the Fax Voip modems are automatically configured for using with Windows Fax Service. Before configuring FaxTalk Messenger Pro 7.5 or any other standard fax/voice software, you should manually disable sending and receiving faxes in Windows Fax and Scan (Fax Service Manager), see To configure the Windows Fax Service .


Configure Modem with FaxTalk

To configure Modem with FaxTalk Messenger Pro

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with FaxTalk Messenger Pro ››

1. Start FaxTalk Messenger Pro program.

2. In the main window, in menu select Tools, and then click Options.

3. In the FaxTalk Messenger Pro Settings window, in the left pane select Modem, then select modem entry, and then click <Change> button.

4. Follow the instructions of the wizard. In the Modem Selection window select Fax Voip 14.4K TAPI Voice-Fax Modem, attached to one of the Fax Voip Virtual COM Ports, then click <Next> button to start modem Auto-detection procedure.

5. At the end of Auto-detection the results will be displayed. The Fax Command Set for your modem will be auto-detected as Class 1. The Voice Command Set for your modem will be auto-detected as Conexant SP3131. You should agree with this auto-detection. Note that you can manually select another Voice Command Set, if to select Don’t query the modem, I will select it from a list option in the previous step. Some Voice Command Sets will be compatible, others are not.

6. In the Modem Query window click <Finish> button.

7. In the FaxTalk Messenger Pro Settings window click <OK> button.


Send a Fax

Send a Fax with FaxTalk Messenger Pro

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with FaxTalk Messenger Pro ››

To send a fax

1. Open or create the document in any Windows application that has a print option.

2. Click Print. On the Print dialog box, select the FaxTalk Messenger Pro 7.5 printer from the drop-down list, and then click Print.

3. In the Fax Wizard window (Step 1), enter the recipient fax number in the Fax field, and then click <Next> button.

4. At the final wizard step, click <Send> button.

The FaxTalk Messenger Pro program will automatically call the fax number and send the fax.


Configure Voice & Fax Mailbox

To configure Voice & Fax Answering Machine

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with FaxTalk Messenger Pro ››

1. In the main FaxTalk Messenger Pro window in menu select Tools, and then click Options.

2. In the FaxTalk Messenger Pro Settings window in the configuration list on the left, click Voice Messaging. On the Voice Messaging configuration page, select the Mailbox (Main Mailbox 1), and then click <Properties> button.

3. In the Main Mailbox Properties configuration panel make the necessary settings.

4. To play the Answering Machine Greeting before Receiving Fax or Recording Voice Massage check Play greeting to caller option.

5. Select the desired action in the Perform the following action field. Select Take Message option, if you want to have a possibility to Record Voice Messages. Select Receive Fax option, if you want to switch to the fax mode immediately after the greeting or immediately after a response to the incoming call. Select Hang Up option, if you do not want to receive Fax and Voice Messages after playing the greeting.

6. Check Automatically detect incoming faxes, if you want to have a possibility to detect and receive a fax when using a voice mailbox.

7. Click <OK> button.


Remote Access to Voice & Fax Mailbox

To configure Remote Access to Voice & Fax Mailbox

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with FaxTalk Messenger Pro ››

Remote Access to Mailbox allows the user to dial in from a remote location in order to check for received voice and fax messages. The user can manage fax-voice mailbox remotely via DTMF tones. DTMF Detection function is supported by Fax Voip. FaxTalk Messenger Pro provides a wide range of remote management functions: you can listen to and manage voice messages, overwrite Answering Machine Greeting remotely, listen to information about the faxes in your mailbox, etc. To enable Remote Access to Mailbox function, do the following:

1. In the main FaxTalk Messenger Pro window in menu select Tools, and then click Options.

2. In the FaxTalk Messenger Pro Settings window in the configuration list on the left, click Voice Messaging. On the Voice Messaging configuration page, select the Mailbox (Main Mailbox 1), and then click <Properties> button.

3. In the Main Mailbox Properties configuration panel in the Remote access settings section check This mailbox can be accessed remotely option.

4. Enter the Access Code to mailbox in the Password for remote access is: field, if need.

5. Click <OK> button.


Receive Incoming Fax & Voice Messages

To receive Incoming Fax & Voice Messages

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with FaxTalk Messenger Pro ››

By default the FaxTalk Messenger Pro starts when you start your operating system and can automatically respond to incoming calls. Depending on the settings made (see in the To configure Voice & Fax Answering Machine and To configure remote access to Voice & Fax mailbox sections) after the auto response, the FaxTalk Messenger Pro can:

1. To receive a Fax.

2. To record a Voice Message.

3. To provide Remote Access to Mailbox for caller.

At the time of playing the greeting, the following additional features are available:

1. To begin recording a voice message immediately by pressing *1 (star + 1).

2. To begin receiving a fax immediately by pressing *2 (star + 2).

3. To access FaxTalk Messenger Pro remotely by pressing # + 1 + #, where '1' is a mailbox number.

Notes

  • Both Caller ID Number and Caller ID Name functions are supported with FaxTalk Messenger Pro and Fax Voip Virtual COM Ports (modems).


Using Fax Voip with BVRP Classic Phone Tools

Using Fax Voip with BVRP Classic Phone Tools 9

Using Fax Voip with Fax & Voice Soft ››

BVRP Classic Phone Tools 9 software can be downloaded from our website . To install the program follow BVRP Setup Wizard. To purchase license, please contact Avanquest Software customer service.

Using versions of BVRP Classic Phone Tools below 9 is not recommended, because some voice functions described in this manual may not work properly with earlier versions.

BVRP Classic Phone Tools 9 can operate with Fax Voip Virtual COM Ports via Fax Voip 14.4K TAPI Voice-Fax Modem driver. Compared with the standard modem driver, the Fax Voip 14.4K TAPI Voice-Fax Modem driver provides support for Caller ID Number and Caller ID Name. You should not add modems using Phone and Modems option in the Windows Control Panel. To install Virtual COM Ports and associated modems open Fax Voip Control Panel, select Ports and Modems, then click <Add/Remove> button, see To Add/Remove Fax Voip Virtual COM ports . To install or reinstall modems without reinstalling Virtual COM Ports, use <Modems> button, see also To Add/Remove Fax Voip Modems .

Notes

  • Please note that after installation of Fax Voip version 8.1.1 or later, the Fax Voip modems are automatically configured for using with Windows Fax Service. Before configuring BVRP Classic Phone Tools 9 or any other standard fax/voice software, you should manually disable sending and receiving faxes in Windows Fax and Scan (Fax Service Manager), see To configure the Windows Fax Service .


Configure Modem with BVRP

To configure Modem with BVRP Classic Phone Tools

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with BVRP Classic Phone Tools ››

1. Start BVRP Classic Phone Tools program.

2. In the main window click <MENUS> button, then select Setup, then click General Setup.

3. In the General Setup window switch to Communication panel, then click <Change modem> button.

4. Follow the instructions of Device Configuration wizard. Select Fax Voip 14.4K TAPI Voice-Fax Modem, attached to one of the Fax Voip Virtual COM Ports, then click <Next> button.

5. In the next step, make sure that the Fax Voip is running. To start Auto-detection of the modem, click <Next> button.

6. At the end of Auto-detection the results will be displayed. The Fax Command Set for your modem will be auto-detected as Fax Class 1. The Voice Command Set for your modem will be auto-detected as Voice IS101 Lucent Handset Mulaw. You should agree with this auto-detection. Note that you can manually select another Voice Command Set, if to select Do not automatically detect the driver option in the previous step. Some Voice Command Sets will be compatible, others are not.

7. Click <Next> button, then click <Finish> button.

8. In the General Setup, on the Communication page, please make sure that the field Loadspeaker has the value Off, and the field Mode in the Reception section has the value Fax (even if you intend to use the Answering machine). If you see the other values, please correct.

9. Click <OK> button to close General Setup window and save settings.


Remote Message Retrieval

To configure Remote Message Retrieval function

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with BVRP Classic Phone Tools ››

Remote Message Retrieval allows the user to dial in from a remote location in order to check for received voice messages. The user can manage voice mailbox remotely via DTMF tones. DTMF Detection function is supported by Fax Voip. It should be noted that the Remote Message Retrieval functionality is implemented in the BVRP Classic Phone Tools program quite well and simply. For example for the implementation of this function in Venta Fax, the customer need to write special scripts that may not always be possible. Speaking frankly, we can also note some strangeness when using the Listening to all messages command (see below), but on the whole the function works very well.

1. In the main window click <MENUS> button, then select Setup, then click Answering Machine Setup.

2. In the General Setup window, on the Voice page click <Remote Msg. Retrieval> button.

3. In the Remote Message Retrieval window enter your desired Access Code. This code serves as a pin, and will be required of you each time you dial in remotely to access your messages. It must be four digits long.

4. Assign different values (i.e. phone keys) to each of the following functions: Message replay, Next message, Deleting a message, Listen to all messages.

5. Click <OK>.

6. To use this function, you should switch to Greeting and record mode for incoming calls (see in the To receive Incoming Fax & Voice Messages section of this chapter). Access Code must be entered at the time of listening the Answering Machine Greeting.


Send a Fax

Send a Fax with BVRP Classic Phone Tools

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with BVRP Classic Phone Tools ››

To send a fax

1. Open or create the document in any Windows application that has a print option.

2. Click Print. On the Print dialog box, select the CAPTURE FAX BVRP printer from the drop-down list, and then click Print.

3. In the BVRP Send Fax Wizard window, enter the recipient fax number in the Recipient Fax # field, then click <Next> button.

4. At the final wizard step, click <Finish> button.

5. In the Confirm Transmission window, click <Send> button.

The BVRP Classic Phone Tools program will automatically call the fax number and send the fax.


Receive Incoming Fax & Voice Messages

To receive Incoming Fax & Voice Messages

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with BVRP Classic Phone Tools ››

1. Start BVRP Classic Phone Tools program.

2. In the left pane of the program main window, click <VOICE MAIL> button.

3. Activate the desired Fax & Voice Answering Machine mode by selecting it in the lower right pane of the main program window. The activated mode will be indicated by a corresponding green light.

4. Select (activate) Answering machine off option, if you want to Receive Faxes only without Voice Modem Functionality.

5. Select (activate) Greeting only option, if you do not want to Receive both Fax & Voice Messages. For example, you can use the following voice greeting: “We are not able to take a call at this time. Please try again later”. After playing the greeting the connection breaks.

6. Select (activate) Greeting & record option, if you want have a possibility to Receive both Fax & Voice Messages. After playing the greeting you can leave a Voice Message or Send a Fax. This option also can be used with the Remote Message Retrieval function described above. Access Code must be entered at the time of listening the Answering Machine Greeting.

Your computer will automatically answer the calls and store the received faxes and voice messages.

Notes

  • Both Caller ID Number and Caller ID Name functions are supported with BVRP Classic Phone Tools and Fax Voip Virtual COM Ports (modems).


Using Fax Voip with Venta Fax & Voice

Using Fax Voip with Fax & Voice Soft ››

To install Venta Fax & Voice follow Venta Fax Setup Wizard.

Venta Fax & Voice can operate with Fax Voip Virtual COM Ports via direct COM port connection or via Fax Voip 14.4K TAPI Voice-Fax Modem driver. Compared with the standard modem driver, the Fax Voip 14.4K TAPI Voice-Fax Modem driver provides support for Caller ID Number and Caller ID Name. You should not add modems using Phone and Modems option in the Windows Control Panel. To install Virtual COM Ports and associated modems open Fax Voip Control Panel, select Ports and Modems, then click <Add/Remove> button, see To Add/Remove Fax Voip Virtual COM ports . To install or reinstall modems without reinstalling Virtual COM Ports, use <Modems> button, see also To Add/Remove Fax Voip Modems .

Notes

  • Please note that after installation of Fax Voip version 8.1.1 or later, the Fax Voip modems are automatically configured for using with Windows Fax Service. Before configuring Venta Fax & Voice or any other standard fax/voice software, you should manually disable sending and receiving faxes in Windows Fax and Scan (Fax Service Manager), see To configure the Windows Fax Service .


Configure Modem and Voice Command Set

To configure Modem and Voice Command Set

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

1. Start Venta Fax program. In the main window, on the toolbar, click Settings.

2. In the Program settings window select Modem, and then select Interacting with Modem.

To operate via modem driver, select the via TAPI option and then choose Fax Voip 14.4K TAPI Voice-Fax Modem. In the Confirmation dialog click <Yes>.

To use direct COM port connection, select the via port option and then choose port associated with Fax Voip, usually COM20. In the Confirmation dialog click <Yes>.

3. On the Modem - Properties page, in the Voice area click <Detect> button to start auto-detection of the modem. The Voice Command Set for your modem will be auto-detected as Conexant/Rockwell (V.253). You should agree with this auto-detection. Note that you can also select another Voice Command Set in the Command set field manually. Fax Voip operates with V.253, Conexant/Rockwell (V.253) and Conexant/Rockwell (V.253) (2) Voice Command Sets in terms of Venta Fax.

4. Click <Apply> button to save settings.


Configure Voice Data Format

To configure Voice Data Format

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

1. In the Venta Fax main window, on the toolbar click Settings.

2. In the Program settings window, click Voice in the TreeView, and then click General.

3. Venta Fax configures modem Voice Data Format at the time of auto-detecting of the Voice Command Set for your modem (see previous chapter). The default Voice Data Format for Fax Voip is the PCM/8bits/8000Hz.

4. To change Voice Data Format, select another format in the Modem voice data format list. Fax Voip supports PCM/8bits/8000Hz, A-LAW/8bits/8000Hz and uLAW/8bits/8000Hz Voice Data Formats in terms of Venta Fax.

5. Click <Apply> button to save settings.

Notes

  • Starting with Fax Voip version 7.1.1 16-bit linear PCM at 8000 Hz format is also supported by Fax Voip. To use this Voice Data Format with Venta Fax, you should manually select V.253 Voice Command Set on the Modem - Properties page, in the Voice area, in the Command set field. And then select PCM/16bits/8000Hz on the Voice - General page as described in the current chapter.


Voice Announcement before Fax Sending

To configure Voice Announcement before Fax Sending

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

Note that in most countries, the combination of fax and voice lines are not practiced. Therefore Voice Announcement before Fax Sending option is disabled in the Venta Fax by default. Once the connection is established, the program immediately sends the fax. Nevertheless, in some countries the situation when a human answers the call and then presses the 'Start' button on the fax machine is totally normal. Voice Announcement before Fax Sending function means: once the connection is established, Venta Fax produce an analysis of the voice in the telephone line. If a human answeres the call, Venta Fax transmits a Voice Announcement into the telephone line, then sends a fax. Emphasize that the use of this feature is not recommended if not assumed that a human answers the call.

To activate the Voice Announcement before Fax Sending do the following:

1. In the Venta Fax main window, on the toolbar click Settings.

2. In the Program settings window, click Fax in the TreeView, and then click General.

3. Uncheck the Disable voice mode when sending a fax option. Click <Apply> button.

4. In the Program settings window, click Folders and Files in the TreeView, and then click Service Files.

5. Check Announcement before sending fax option and select the wave file for voice message. You can use standard file (intro1.wav) or record your own greeting. Click <Apply> button to save settings.


Answering Machine Greeting

To configure Answering Machine Greeting

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

1. In the Venta Fax main window, on the toolbar click Settings.

2. In the Program settings window, click Folders and Files in the TreeView, and then click Service Files.

3. Check Answering machine greeting option and select the wave file for voice message. You can use standard file (greet1.wav) or record your own greeting.

4. Check Answering machine concluding announcement option and select wav file for concluding announcement. You can use standard file (final1.wav) or record your own file.

5. Click <Apply> button to save settings.


Answering Machine Remote Control

To configure Remote Control for Answering Machine

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

1. In the left pane of the Venta Fax main window, click the small button to the right of the Script Editor button (see picture).

2. In the menu, select the script you want to use for your Answering Machine (mailbox), for example 2mailbox script. The Venta Fax includes several standard scripts. You can also write your own scripts. To do this you should refer to the User Manual of the Venta Fax program.

3. In the Script Editor window, in the menu select Actions, and then select Activate loaded script. Then close the Script Editor.

4. In the Venta Fax main window, on the toolbar click Settings.

5. In the Program settings window, click Folders and Files in the TreeView, and then click Service Files.

6. Check Remote control script file option and select your script file for mailbox (in our example 2mailbox.vfa file). Click <Apply> button.

7. In the Program settings window, click Reception in the TreeView, then click Automatic.

8. Select and check Switch to remote control mode immediately after answering call option. This option allows to run the script immediately after the response to an incoming call.

9. Click <Apply> button to save settings.

Using scripts, you can manage your voice mailbox remotely via DTMF tones. DTMF Detection function is supported by Fax Voip.


To listen Line through Speakers

To listen to a telephone line through your computer speakers

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

1. Start Venta Fax program.

2. In the right pane of the Venta Fax main window, click (activate) the Real-time message review button (see picture below).

This feature allows you to listen to the line both in the case of incoming and outgoing calls up to the moment of starting of the fax transmission.

Note that in order to listen to the line with the outgoing fax calls, you should not turn off the voice mode. On the Fax - General page, uncheck Disable voice mode when sending a fax option, see picture below.


Send a Fax

Send a Fax with Venta Fax & Voice

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

To send a fax

1. Open or create the document in any Windows application that has a print option.

2. Click Print. On the Print dialog box, select the VentaFax printer from the drop-down list, and then click Print.

3. In the Venta Fax Message Wizard window, click <Next> button.

4. At step 3, in the Message Wizard window, in the Number field enter the recipient fax number, and then click <Finish> button.

The Venta Fax program will automatically call the fax number and send the fax.


Send a Voice Message

Send a Voice Message with Venta Fax & Voice

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

To send a Voice Message

1. Start Venta Fax program. In the main window, on the toolbar, click Send.

2. Select the wave file you want to send as voice message.

3. In the Message Transmission window, in the Number field enter the recipient phone number, and then click <Send with dialing number> button.

The Venta Fax program will automatically call the phone number and send the voice message.


Receive Incoming Fax & Voice Messages

To receive Incoming Fax & Voice Messages

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

1. Start Venta Fax program.

2. In the right pane of the Venta Fax main window, set the mode for Incoming Calls for your Fax & Voice Answering Machine.

3. To play Answering machine greeting into a telephone line before Receiving a Fax Message or (and) Recording a Voice Message, choose Announcement option.

4. To Receive Faxes, choose Fax option.

5. To Record Voice Messages, choose Record option.

6. To receive Caller ID information, choose Caller ID option.

7. Click <auto> button.

The Venta Fax will automatically answer the incoming calls on the Fax Voip line and store the received Fax & Voice Messages.

Notes

  • Both Caller ID Number and Caller ID Name functions are supported with Venta Fax & Voice and Fax Voip Virtual COM Ports (modems).


Fax on Demand

To configure Fax on Demand system with Venta Fax and Fax Voip

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

During installation Fax Voip creates *{CommonAppDataFolder}\FaxVoip\Plugins\VentaFax folder that contains necessary script, voice and fax files. To install and configure Venta Fax program with Fax Voip Virtual COM Port (modem), follow the instructions in the previous chapters of this user manual.

To test Fax-on-Demand system with Venta Fax and Fax Voip do the following:

1. Start Venta Fax program. In the Venta Fax main window, on the left toolbar, click Script Editor to start Script Editor.

2. In the Script Editor window, on the File menu click Open. In the Open dialog navigate to *{CommonAppDataFolder}\FaxVoip\Plugins\VentaFax folder, select fax_on_demand.vfa file and then click Open.

3. In the Script Editor window, in the menu select Actions, and then click Activate loaded script. Then close Script Editor.

4. In the Venta Fax main window, on the toolbar click Settings.

5. In the Program settings window, click Modem in the TreeView, and then click Properties.

6. On the Modem - Properties page, in the Voice area uncheck Do not use modem voice functions option. Click <Apply> button.

7. In the Program settings window, click Folders and Files in the TreeView, and then click Service Files. Check Remote control script file option and ensure that *{CommonAppDataFolder}\FaxVoip\Plugins\VentaFax\fax_on_demand.vfa script file is selected. Click <Apply> button.

8. In the Program settings window, click Reception in the TreeView, and then click Automatic. Select and check Switch to remote control mode immediately after answering call option. This option allows to run the script immediately after the response to an incoming call. Click <Apply> button to save settings.

9. In the Venta Fax main window click <auto> button.

The Venta Fax will automatically answer the incoming calls on the Fax Voip line and will run the fax_on_demand.vfa script.

After the call answered, the following actions can be selected:

      • If to press 1 and then press 1 => Venta Fax will send the fax#1.tif fax to caller (Fax-On-Demand)
      • If to press 1 and then press 2 => Venta Fax will send the fax#2.tif fax to caller (Fax-On-Demand)
      • If to press 1 and then press 3 => Venta Fax will send the fax#3.tif fax to caller (Fax-On-Demand)
      • If to press 2 => Venta Fax will receive a fax from caller (standard behavior)
      • If to press 3 => Venta Fax will be able to record a voice message

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. On Windows XP the name of this folder is usually C:\Documents and Settings\All Users\Application Data. On Windows Vista, Windows 7, Windows 8/8.1 and Windows 10 the name of this folder is usually C:\ProgramData.


VentaEngine Application

Venta Fax & Voice driver (VentaEngine)

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

The Venta Fax & Voice application is based on a compact application, the so-called VentaEngine. VentaEngine supports almost all the functions to work with fax and voice, which are present in the main application. This is an independent application, and can be used to automate the sending and receiving of fax and voice messages.

To open the VentaEngine application do the following:

1. Start Venta Fax program.

2. In the Windows Tray select Venta Fax icon. Right-click on the icon to call the context menu.

3. In the context menu select VentaEngine.

With VentaEngine application you can control fax and voice events visually (see pictures below). The first picture illustrates the process of Fax Transmission.

The next picture illustrates the process of Voice Recording.


Color Faxes

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ››

With Venta Fax & Voice you can send and receive Color Faxes over VOIP and ISDN via Fax Voip Virtual COM Ports (modems). You can send and receive color faxes in both T.38 and audio (fax over G.711 codec) fax modes. In order to successfully send and receive color faxes the following requirements should be met:

  • Color faxes are always sent and received with ECM (Error Correction Mode) enabled. Fax Voip should be also configured with ECM enabled.
  • Color faxes are always sent and received in Fine Resolution (204*196 dpi).
  • Errors within the data being transmitted are not allowed. The quality of VOIP termination should be enough good, especially when transferring color faxes in audio mode (fax over G.711 codec).
  • To be able to send color faxes, you need to make the appropriate settings for the VentaFax printer and Venta Fax program.
  • The other party must have hardware or software installed that allows the sending and receiving of color faxes.


VOIP Network Requirements

VOIP Network Requirements for Color Faxes

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ›› Color Faxes ››

Color faxes are always sent and received with ECM (Error Correction Mode) enabled. Practice shows that some VOIP providers for some reason do not provide support for Error Correction Mode and this does not depend on the Fax Voip or Venta Fax settings. Note that sending and receiving of color faxes is not possible in this case.

At the same time, errors within the data being transmitted are not allowed. Experiments show that when using VOIP providers with poor quality of the termination, transfer of a color fax usually fails. Nevertheless transfer of black and white faxes can be quite successful in the cases described. This notification is especially true for color faxes transmitted in audio mode (fax over G.711 codec).

Thus, the requirements for VOIP network to send and receive color faxes can be formulated as follows:

  • ECM (Error Correction Mode) for faxes should be enabled in your VOIP network.
  • The quality of VOIP termination should be good enough.


Configure Fax Voip

To configure Fax Voip to send and receive Color Faxes

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ›› Color Faxes ››

Color faxes are always sent and received with ECM (Error Correction Mode) enabled. Therefore, you must enable ECM in Fax Voip settings. Note that ECM is always enabled in T.38 fax mode. Thus, if you do not plan to send and receive color faxes in audio mode (fax over G.711 codec), additional configuration is not required.

At the same time, errors within the data being transmitted are not allowed. Experiments show that when sending and receiving color faxes in mode (fax over G.711 codec) at 14400 bitrate, transfer of a color fax usually fails. It is recommended to send and receive color faxes in audio mode with maximum bitrate of 9600. Note, that in the case of using ISDN CAPI 2.0 line no need to decrease bitrate.

To provide sending and receiving of color faxes in audio fax mode, do the following:

1. Open Fax Voip Control Panel.

2. Click Fax in TreeView, then click ECM/Rate.

3. In the Modem (COM port) lines section, in the Audio fax over G.711 codec area check ECM option (necessary).

4. In the Modem (COM port) lines section, in the Audio fax over G.711 codec area, in the Maximum bitrate field select 9600 (recommended when sending/receiving audio color faxes over VOIP).

5. Click <Apply> button to save settings. Do not forget to restart Fax Voip to operate with new settings.

Notes

  • Note that ECM (Error Correction Mode) and maximum bitrate can be overridden in the Outgoing Voip Call Routing and Incoming Voip Call Routing .


Configure Venta Fax to send Color Faxes

To configure Venta Fax to send Color Faxes

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ›› Color Faxes ››

To configure sending of color faxes, do the following:

1. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel click Hardware, and then click Devices and Printers.

2. In the Devices and Printers folder, right-click on the VentaFax printer. On the context menu, click Printer Properties.

3. In the VentaFax Properties window, on the General page click Preferences.

4. In the VentaFax Printing Preferences window, on the Paper/Quality page, in the Color area select Color option, and then click Apply.

5. Click Advanced button to view VentaFax Advanced Options.

6. In the VentaFax Advanced Options window, select Print Quality: 200x200 dots per inch. Color faxes are always sent and received in Fine Resolution (204*196 dpi).

7. Select Color Printing Mode: True Color (24bpp).

8. Select Compression for color tiff: LZW (recommended). LZW method provides compression with no reduction in quality. This is particularly important if the color fax you create will be sent to different fax machines and if it is not known in advance whether they work in color mode or only in black-and-white mode. The highest quality of black-and-white faxes is achieved when the original color fax has been generated without reduction in quality.

9. Click OK to return to the VentaFax Printing Preferences window.

10. In the VentaFax Printing Preferences window, click Apply, and then click OK.

11. In the VentaFax Properties window, click OK.

12. In the Venta Fax main window, on the toolbar click Settings.

13. In the Program settings window, click Fax in the TreeView, and then click Format.

14. On the Fax - Format page, click Color Faxes.

15. In the Color Faxes panel, in the Fax quality for transmission area specify the desired value of Fax Quality. Do not use too high quality, because it greatly increases the volume of data transmitted and hence the time of fax transmission. Using of poor quality leads to strong distortion of transmitted images, and also can not be recommended. According to our observations, using the Quality=20 gives a small transmission time (about 3 minutes for photos at rate of 14400) while maintaining the normal image quality, so can be recommended.

16. Click Apply to save settings.

Notes

  • The volume of data transmitted through a telephone line does not depend directly on the size of the generated file. During transmission the data undergoes additional compression. The degree of compression, as well as the resulting quality, is determined by the setting Fax quality during transmission, accessible under the Fax - Format - Color faxes page.
  • When generating a fax document, it is recommended to use LZW compression (for color faxes this is set as the default, see in the VentaFax Advanced Options printer settings). It is true that the file size can end up being several times greater than with JPEG compression. However, this will not affect the volume of data transmitted.
  • If a recipient's fax machine is unable to receive color faxes, the Venta Fax has to convert the fax document into black-and-white format. And a black-and-white fax message that has been converted from a color fax with JPEG compression of average or minimal quality could very well display some defects. For example, it might have unsightly extra dots around black symbols. So it is better to generate fax documents using LZW compression, to ensure there is no reduction in quality.
  • Another argument in favor of LZW, is that TIFF files compressed with this method can be viewed using standard Windows tools. In contrast, to view TIFF files compressed with JPEG one would need additional image viewing software having advanced features (for example, ACDSee Image Viewer).


Configure Venta Fax to receive Color Faxes

To configure Venta Fax to receive Color Faxes

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ›› Color Faxes ››

To configure receiving of color faxes, do the following:

1. In the Venta Fax main window, on the toolbar click Settings.

2. In the Program settings window, click Fax in the TreeView, and then click Format.

3. On the Fax - Format page, click Color Faxes.

4. In the Color Faxes panel, in the Incoming fax compression method area, select LZW (recommended).

5. Click Apply button to save settings.

Notes

  • The volume of data received through a telephone line does not depend on Venta Fax settings in the case of incoming faxes.
  • When saving a fax document, it is recommended to use LZW compression. It is true that the file size can end up being several times greater than with JPEG compression. However, TIFF files compressed with this method can be viewed using standard Windows tools. In contrast, to view TIFF files compressed with JPEG one would need additional image viewing software having advanced features (for example, ACDSee Image Viewer).


Remote Party Requirements

Remote Party Requirements for Color Faxes

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ›› Color Faxes ››

The other party must have hardware or software installed that allows the sending and receiving of color faxes. As a software, the other party can also use Venta Fax & Voice to send and receive color faxes. Note that Venta Fax can also operate at PSTN line together with hardware modem. We have also tested some other programs to send and receive color faxes. Unfortunately, all the other software implementations for color faxes are very poor and can not be used to send and receive color faxes over VOIP networks, no matter which side they are.

If the receiving fax machine does not have color fax support, a color fax will be automatically converted into a black-and-white version at the time of transmission.


Sending Color Faxes

Sending Color Faxes with Venta Fax & Voice

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ›› Color Faxes ››

In order to send a Color Fax, make the appropriate settings and follow the instructions in the Send a Fax with Venta Fax & Voice chapter.

If the fax is really transmitted in color mode, you will see Sending page (color) text in the Venta Fax main window.


Receiving Color Faxes

Receiving Color Faxes with Venta Fax & Voice

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with Venta Fax & Voice ›› Color Faxes ››

In order to receive faxes, follow the instructions in the To Receive Incoming Fax and Voice Messages section of this chapter. Venta Fax will automatically detect incoming Color Faxes.

If the fax is received in color mode, you will see Receiving page (color) text in the Venta Fax main window.


Using Fax Voip with FaxAmatic

Using Fax Voip with Fax & Voice Soft ››

FaxAmatic program can be downloaded from ElectraSoft website.

The most difficult aspect of configuring FaxAmatic (for use with Fax Voip) is to configure the modem. FaxAmatic does not support TAPI, so it can not be used with Fax Voip 14.4K TAPI Voice-Fax Modem driver. At the same time the default settings, proposed by FaxAmatic, are unsuitable to operate with Fax Voip via Virtual COM Port. Therefore, we ask you to carefully study the enclosed instructions.


Configure the FaxAmatic Program

To configure the FaxAmatic (for use with Fax Voip)

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with FaxAmatic ››

1. Start FaxAmatic.

2. Select Configure, then select Modem1.

3. Select one of the Fax Voip Virtual COM Ports in the COM-Port field, usually COM20.

4. Enter ATE0V1 in the FaxModem Initialization String field.

5. Select Xon/Xoff option in the Flow Control section.

6. Select Class1 (fax class of your modem) in the Class Override field.

7. Select Tone in the When Dialing, Use field.

8. Select Line 14400 - Port 19200 (newer modem) option in the phone-line / COM-port (modem baud rate speed) section.

9. Select Send and Receive Fax option in the Fax Modem Usage section.

10. Make sure that your settings are preserved.


Send a Fax

Send a Fax with FaxAmatic

Using Fax Voip with Fax & Voice Soft ›› Using Fax Voip with FaxAmatic ››

To send a fax

1. Open or create the document in any Windows application that has a print option.

2. Click Print. On the Print dialog box, select the ElectraSoft NT Print to Fax (ElectraSoft amd64 Fax) printer from the drop-down list, and then click Print.

3. In the FaxAmatic Send Fax window, enter the recipient name in the To field and the recipient fax number in the Fax # field.

4. To view fax, use View Fax button.

5. To change a fax for transmission,use Get Fax button.

6. Optionally select Include Cover page, if you want to include cover page.

7. Select Mode for your fax. Fine (200x200 dpi) or Coarse (200x100 dpi).

8. Click Send Fax to Single Recipient button.

FaxAmatic will automatically call the fax number and send the fax.


Configure Fax Voip with VoIP Service Providers

When sending and receiving faxes over VoIP, it is strongly recommended to use VoIP service providers with T.38 support. T.38 - the most reliable standard used to transmit faxes over VoIP in real time. Isolates from the delays, timing jitter, and packet loss experienced in VoIP networks.

Below you will find examples of VoIP (SIP) providers that support T.38:

  • Configure Fax Voip with T38FAX
  • Configure Fax Voip with Callcentric
  • Configure Fax Voip with babyTEL
  • Configure Fax Voip with MondoTalk

With Fax Voip you also can send/receive audio faxes (fax over G.711 codec). This can be used with VoIP providers that don't support T.38 but provide good-quality voice channel. See example below:

  • Configure Fax Voip with DellMont (Betamax) providers

Notes

  • Before doing settings, it is desirable to get acquainted with the general information that you can find in the Configure SIP Line chapter of this user manual.


T38FAX

Configure Fax Voip with T38FAX

Configure Fax Voip with VoIP Service Providers ››

T38FAX service allows you to send and receive T.38 faxes. This service provider also offers phone numbers in the United States. To get an account you can register at the T38FAX website .

Configure SIP account

Username (or SIP-ID): the phone number provided by T38FAX

Password: password

SIP Registrar Server: sip.t38fax.com

Configure Outgoing Call Routing

On the General page, in the Dial on Line area, check that the following settings are used:

VOIP Protocol: SIP

Dial on SIP Server: sip.t38fax.com

Username: the phone number provided by T38FAX

On the Fax page, in the Fax Support area, make sure that T.38 fax option is selected. This applies to the rule where you have From Line = COM:* and to the rule where you have From Line = <T38FAX>.

When sending a fax using Fax Voip Virtual Printer, choose T.38 support option in the Fax Voip Send Fax Wizard window.

Configure Incoming Call Routing

On the Fax page, in the Fax Support area, check that T.38 fax option is selected.


Callcentric.com

Configure Fax Voip with Callcentric

Configure Fax Voip with VoIP Service Providers ››

callcentric.com is a popular SIP provider in the United States. Callcentric supports both T.38 and audio faxes. This service provider also offers phone numbers in the US/Canada and many other countries. To get an account you can register at the Callcentric website .

Configure SIP account

Username (or SIP-ID): the phone number provided by the Callcentric

Password: password

SIP Registrar Server: callcentric.com

Configure Outgoing Call Routing

On the General page, in the Dial on Line area, check that the following settings are used:

VOIP Protocol: SIP

Dial on SIP Server: callcentric.com

Username: the phone number provided by the Callcentric

On the Fax page, in the Fax Support area, make sure that Send T.38 re-invite option is selected. This applies to the rule where you have From Line = COM:* and to the rule where you have From Line = <T38FAX>.

When sending a fax using Fax Voip Virtual Printer, it is recommended to choose T.38 support option in the Fax Voip Send Fax Wizard window.

Configure Incoming Call Routing

On the Fax page, in the Fax Support area, check that T.38 fax option is selected.


babyTEL

Configure Fax Voip with babyTEL

Configure Fax Voip with VoIP Service Providers ››

babyTEL is a popular SIP provider in the United States and Canada. babyTEL supports both T.38 and audio faxes. This service provider also offers phone numbers in the US/Canada. To get an account you can register at the babyTEL website .

Configure SIP account

Username (or SIP-ID): the phone number provided by babyTEL

Password: password

SIP Registrar Server: sip.babytel.ca

Outbound Proxy: nat2.babytel.ca:5065

Configure Outgoing Call Routing

On the General page, in the Dial on Line area, check that the following settings are used:

VOIP Protocol: SIP

Dial on SIP Server: sip.babytel.ca

Use Outbound Proxy: nat2.babytel.ca:5065

Username: the phone number provided by babyTEL

On the Fax page, in the Fax Support area, make sure that T.38 fax option is selected. This applies to the rule where you have From Line = COM:* and to the rule where you have From Line = <T38FAX>.

When sending a fax using Fax Voip Virtual Printer, it is recommended to choose T.38 support option in the Fax Voip Send Fax Wizard window.

Configure Incoming Call Routing

On the Fax page, in the Fax Support area, check that T.38 fax option is selected.


MondoTalk

Configure Fax Voip with MondoTalk

Configure Fax Voip with VoIP Service Providers ››

MondoTalk SIP service provider is located in Australia. MondoTalk supports both T.38 and audio faxes. Please note that we have tested T.38 only for outgoing calls to Australia. To get an account, please contact Mondotalk support team .

Configure SIP account

Username (or SIP-ID): the username provided by the MondoTalk

Password: password

SIP Registrar Server: sbc-syd-01.mondotalk.com

Configure Outgoing Call Routing

On the General page, in the Dial on Line area, check that the following settings are used:

VOIP Protocol: SIP

Dial on SIP Server: sbc-syd-01.mondotalk.com

Username: the username provided by the MondoTalk

On the Fax page, in the Fax Support area, make sure that Send T.38 re-invite option is selected. This applies to the rule where you have From Line = COM:* and to the rule where you have From Line = <T38FAX>.

When sending a fax using Fax Voip Virtual Printer, it is recommended to choose T.38 support option in the Fax Voip Send Fax Wizard window.


DellMont (Betamax)

Configure Fax Voip with DellMont (Betamax) providers

Configure Fax Voip with VoIP Service Providers ››

There is a huge amount of SIP providers associated with DellMont (Betamax) company, for example VoipBuster . The providers of this group do not support the T.38 protocol. The quality of a fax transmission over G.711 codec is heavily dependent on the country of destination. It may be noted that when calling to Europe the quality is very good. To register, please visit the website of one of the providers of the group. Rates on different websites may vary. The list of providers is placed below.

Configure SIP account

Username (or SIP-ID): the username that you received at the time of registration

Password: the password that you received at the time of registration

SIP Registrar Server: sip.voipbuster.com (valid for any of the providers of this group)

Configure Outgoing Call Routing

On the General page, in the Dial on Line area, check that the following settings are used:

VOIP Protocol: SIP

Dial on SIP Server: sip.voipbuster.com

Username: the username that you received at the time of registration

On the Fax page, in the Fax Support area, make sure that G.711 audio fax option is selected. It is recommended to disable the other options.

When sending a fax using Fax Voip Virtual Printer, choose Fax over G.711 option in the Fax Voip Send Fax Wizard window.

The dialed number should be entered using the following format: 00<country_code><area_code><phone_number>.

List of DellMont (Betamax) providers

        • Nonoh
        • 12Voip
        • Free Call
        • InternetCalls.com
        • JustVoip
        • VoipCheap.com
        • VoipCheap.co.uk
        • Low-rate Voip
        • NetAppel
        • PoivY
        • Sip Discount
        • VoipBuster
        • VoipRaider
        • VoipDiscount
        • VoipStunt
        • WebCall Direct
        • SMS Discount
        • SMSListo
        • VoipWise
        • Voice Trading
        • InterVoip.com
        • DialNow
        • VoipBusterPro
        • CallEasy.com
        • VoipZoom
        • ActionVoip
        • VoipBlast.com
        • Jumblo
        • VoipGain
        • Telbo
        • Rynga.com
        • PowerVoip.com
        • CheapVoip
        • BestVOIPReselling
        • CallingCredit.Com


Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines

Sending and Receiving Faxes (Audio Messages) with built-in VOIP/ISDN Fax/Audio lines

Fax Voip built-in VOIP/ISDN Fax/Audio Lines allow you to use Fax Voip without Virtual COM Ports (modems) and 3rd party fax software. No need to setup your fax program (Microsoft Fax etc.) to answer incoming fax calls or prepare outgoing faxes.

To send a fax, simply print the required document to the Fax Voip Virtual Printer .

You can send not only faxes, but also audio messages. See in the Sending Audio Messages from Fax Voip Console chapter of this user manual.

Depending on the Incoming VOIP Call Routing rules, Fax Voip can redirect incoming call to the built-in fax line and save a fax as TIFF, PDF or SFF file. The number of incoming T.38, G.711 or CAPI fax calls of this type are not limited in the current version. Optionally, the Fax on Demand (sending a fax document) function can be applied to incoming calls that are routed to built-in lines.

With Fax Voip built-in VOIP/ISDN Fax/Audio Lines you can send/receive both T.38 and audio (fax over G.711 codec) faxes. In the case of ISDN CAPI 2.0 calls, you can also send/receive faxes using CAPI Fax Mode (B3 Protocol 4 or 5).

To manage all outgoing faxes and audio messages and incoming faxes you should use Fax Voip Console application. All faxes in the Outbox and incoming faxes received in TIFF format can be viewed in the imaging program Windows Picture and Fax Viewer (Windows XP or Windows Server 2003) or in the Windows Photo Gallery (Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2). Faxes in the Inbox received in the PDF format can be viewed in the Adobe Acrobat Reader program. To view faxes received in the SFF format, you can for example install and use IrfanView application . There is also a possibility to use another programs to view faxes.

With Fax Voip built-in VOIP/ISDN Fax/Audio Lines you can use the following functions: Mail to Fax (Mail to Audio) - Built-in lines , Delivery Receipts via E-mail (Built-in lines) , Incoming Routing Methods (Built-in lines) : Route through e-mail , Store in a Folder , Print , Custom and Outgoing Routing Methods (Built-in lines) : E-mail Delivery Receipts , Store in a Folder , Print , Custom .

Notes

  • Fax Voip built-in VOIP/ISDN Fax/Audio Lines are licensed separately. Fax Voip built-in VOIP/ISDN Fax/Audio Lines license should be installed at your computer.


Configure Incoming Fax Lines

To Configure Incoming Fax Lines

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

In this chapter we consider the standard case, when Fax Voip receives a fax during an incoming call. The case of applying the Fax on Demand function (sending a fax during an incoming call) is considered separately in the appropriate chapter.

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. Click New to create new Incoming VOIP Call Routing rule.

4. In the VOIP Incoming Call Routing Rule window, on the General page specify the conditions under which this rule applies (in the VOIP Call From and VOIP Call To sections). More details can be found in the chapter Incoming VOIP Call Routing Settings , General Settings section.

5. In the Call To Fax Voip Line area select Receive Faxes as Files option to route calls to built-in lines, and then select T.38 support option to receive faxes with T.38 support enabled, G.711(audio) option to receive faxes as audio or select CAPI Fax option to receive faxes according to CAPI 2.0 specification (B3 Protocol 4 or 5).

Receive Faxes as Files

Use this option to route incoming calls to built-in lines. Faxes, routed to the built-in lines, are saved using the TIFF, PDF or SFF file format and can be viewed in the Fax Voip Console . Possible Fax Protocol options depend on the type of connection to be used (VOIP or ISDN CAPI 2.0).

In the case of receiving faxes via SIP or H.323 connection the following options can be selected in the Fax Protocol area:

T.38 support

Use this option to receive T.38 faxes via built-in lines. Fax Voip sends T.38 re-Invite immediately after the connection is established. If the other party answers 'not supported', Fax Voip switches to audio fax mode and receives the fax as audio.

G.711 (audio)

Use this option to receive faxes as audio via built-in lines.

In the case of receiving faxes via ISDN CAPI 2.0 line the following options can be selected in the Fax Protocol area:

CAPI Fax

Use this option to receive CAPI faxes via built-in lines according to CAPI 2.0 specification (B3 Protocol 4 or 5).

G.711 (audio)

Use this option to receive faxes as audio via built-in lines.

6. On the Fax page change the additional fax settings if necessary. More details can be found in the chapter Incoming VOIP Call Routing Settings , Fax Settings section.

7. On the Codecs page change the codecs settings if necessary. More details can be found in the chapter Incoming VOIP Call Routing Settings , Codecs Settings section.

8. Click <OK> button to fix your new rule.

9. To change the preference order for Incoming VOIP Call Routing rules use Move Up and Move Down commands. One of the entries should be selected.

10. In our example (see picture above) all incoming SIP calls with prefix '1' will be routed to built-in lines with T.38 support available, all other SIP calls will be routed to Virtual COM Ports (modems). All incoming H.323 calls with prefix '2' will be routed to built-in lines as audio fax calls, all other H.323 calls will be routed to Virtual COM Ports (modems). All incoming ISDN CAPI 2.0 calls with prefix '3' will be routed to built-in lines as CAPI Fax calls (B3 Protocol 5), all incoming ISDN CAPI 2.0 calls with prefix '4' will be routed to built-in lines as audio fax calls, all other ISDN CAPI 2.0 calls will be routed to Virtual COM Ports (modems).

11. Click <Apply> button to save modified settings for Incoming VOIP Call Routing. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Configure Outgoing Fax Lines

To Configure Outgoing Fax Lines

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. Click New to create new Outgoing VOIP Call Routing rule.

4. In the VOIP Outgoing Call Routing Rule window, on the General page select From built-in lines (via Fax Voip Console) option in the Call from Fax Voip Line section to apply the rule to outgoing calls from built-in lines, and then select If to send a fax with T.38 support (VOIP) option to send faxes with T.38 support enabled or If to send a fax as G.711 audio (VOIP) option to send audio faxes over VOIP. Or select option If to send a fax via ISDN CAPI 2.0 to send faxes via ISDN CAPI 2.0 line.

From built-in lines (via Fax Voip Console)

The rule applies to outgoing calls via built-in lines.

If to send a fax with T.38 support (VOIP)

The rule applies to outgoing VOIP T.38 fax calls via built-in lines.

If to send a fax as G.711 audio (VOIP)

The rule applies to outgoing VOIP audio fax calls via built-in lines.

If to send a fax via ISDN CAPI 2.0

The rule applies to outgoing ISDN CAPI 2.0 fax calls via built-in lines.

5. On the General page, specify the other conditions under which this rule applies (the original format of the dialed number). Select the VOIP protocol, SIP or H.323. Or select ISDN CAPI 2.0 option. In the case of SIP, in the Dial on SIP Server field, be sure to specify the name or address of the SIP server (SIP endpoint), where to route the call. In the case of H.323, in the Route to address field, be sure to specify the IP-address of H.323 endpoint where to route the call or select Route calls to Gatekeeper option to route calls via H.323 Gatekeeper. More details can be found in the chapter Outgoing VOIP Call Routing Settings , General Settings section.

6. Switch to the Fax panel. In the case of sending faxes with T.38 support (If to send a fax with T.38 support (VOIP) is selected) the option Send T.38 re-invite in the Fax panel will be enabled.

Send T.38 re-invite

If this option is checked, Fax Voip sends T.38 re-invite immediately after the connection is established.

If this option is unchecked, Fax Voip waits for T.38 re-invite from the other side.

7. In the case of sending faxes via ISDN CAPI 2.0 line (If to send a fax via ISDN CAPI 2.0 is selected) you can select between CAPI fax (B3 Protocol 4 or 5) and G.711 audio fax options

CAPI fax (B3 Protocol 4 or 5)

If this option is selected, Fax Voip sends a fax according to CAPI 2.0 specification using B3 Protocol 4 or 5.

G.711 audio fax

If this option is selected, Fax Voip sends a fax as audio.

8. On the Fax page, change the other fax settings if necessary. More details can be found in the chapter Outgoing VOIP Call Routing Settings , Fax Settings section.

9. On the Codecs page, change the codecs settings if necessary. More details can be found in the chapter Outgoing VOIP Call Routing Settings , Codecs Settings section.

10. Click <OK> button to fix the rule.

11. To change the preference order for Outgoing VOIP Call Routing rules use Move Up and Move Down commands. One of the entries should be selected.

12. In our example (see picture above) all outgoing calls with support for T.38 fax will be routed via H.323 Gatekeeper, all outgoing audio faxes (fax over G.711 codec) will be routed to the sip.voipbuster.com server. All isdn fax calls with prefix '1' will be routed via ISDN controller #2 using audio fax mode, all other isdn fax calls will be routed using CAPI fax mode (B3 Protocol 5) to ISDN CAPI 2.0 line.

13. Click <Apply> button to save modified settings for Outgoing VOIP Call Routing. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Configure Outgoing Audio Lines

To Configure Outgoing Audio Lines

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

1. Open Fax Voip Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. Click New to create new Outgoing VOIP Call Routing rule.

4. In the VOIP Outgoing Call Routing Rule window, on the General page select From built-in lines (via Fax Voip Console) option in the Call from Fax Voip Line section to apply the rule to outgoing calls from built-in lines, and then select If to send an audio message option to send audio messages.

5. On the General page, specify the other conditions under which this rule applies (the original format of the dialed number). Select the VOIP protocol, SIP or H.323. Or select ISDN CAPI 2.0 option. In the case of SIP, in the Dial on SIP Server field, be sure to specify the name or address of the SIP server (SIP endpoint), where to route the call. In the case of H.323, in the Route to address field, be sure to specify the IP-address of H.323 endpoint where to route the call or select Route calls to Gatekeeper option to route calls via H.323 Gatekeeper. More details can be found in the chapter Outgoing VOIP Call Routing Settings , General Settings section.

6. On the Codecs page, change the codecs settings if necessary. More details can be found in the chapter Outgoing VOIP Call Routing Settings , Codecs Settings section.

7. Click <OK> button to fix the rule.

8. To change the preference order for Outgoing VOIP Call Routing rules use Move Up and Move Down commands. One of the entries should be selected.

9. Click <Apply> button to save modified settings for Outgoing VOIP Call Routing. Do not forget to restart Fax Voip to operate with new settings. To do this click <STOP> button, then click <START> button.


Additional Fax Settings

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

To configure general fax settings, see Fax Settings . On the Fax settings page, you can configure Default Fax Mode, Fax Voip Printer Image Quality, default Fax Station ID and Fax Headline. On this page you can specify Number of retries and interval between retries for outgoing faxes. For incoming faxes you can select format for saving faxes: TIFF, PDF or SFF.

To configue Maximum bitrate and Error Correction (ECM), see Fax Rate Limits and Error Correction .

To configure T.38 UDPTL Redundancy in the case of SIP, see T.38 UDPTL Redundancy (SIP) .

To configure T.38 UDPTL Redundancy in the case of H.323, see T.38 UDPTL Redundancy (H.323) .

To configure B3 Protocol and other default CAPI fax settings for outgouing and incoming CAPI faxes, see CAPI Fax Setings .

To specify default cover page settings, see Cover Pages Settings (Built-in lines, Fax Voip Printer) .

To specify default information about the fax sender for inclusion on the cover page, see Sender Information Settings (Built-in lines, Fax Voip Printer) .

To use Direct Converting to Fax instead of Fax Voip Virtual Printer, see Convert to Fax Settings . See also Send a Fax using Direct Converting chapter of this user manual.


Send a Fax with Fax Voip Printer

Send a Fax with Fax Voip Virtual Printer

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

To send a fax

1. Open or create the document that you want to fax in any Windows application that has a print option.

2. Click Print. On the Print dialog box, select an installed Fax Voip printer from the drop-down list, and then click Print.

3. In the Fax Voip Send Fax Wizard, on the Recipient Information page enter the recipient fax number in the Fax number field and the recipient name in the Recipient name field (if necessary). The recipient name can be displayed on the cover page.

4. To send a fax to multiple recipients, type each recipient’s information, and then click Add to add the recipient to the list of fax recipients below. Or you can select one or more fax recipients from Address Book (Windows Contacts) using Address Book button. To be added to the list of fax recipients, the selected recipient should have non-empty Business fax field or non-empty Home fax field.

5. To send T.38 fax, select T.38 support option. To send an audio fax (fax over G.711 codec), select Fax over G.711 option. To send a fax via ISDN CAPI 2.0 line select ISDN option. To send a fax using built-in lines (via Fax Voip Console ), be sure that the Use Microsoft Fax Service to send this fax option is unchecked.

6. When preparing a fax, you can add a cover page and configure additional fax options, see below. To preview the fax, click View Fax button.

7. To send a fax, click Send Fax button.

Fax Voip will automatically call the fax number and send the fax. The results of fax sending can be viewed in the Fax Voip Console application, in the Outbox folder.

Cover Page

On this page you can override the default settings for cover pages specified in the Cover Pages Settings .

Click to configure sender information

Click to switch to the Sender page.

Include cover page

Specifies whether the cover page will be added to the document and sent as the first page in the fax. You can also create a fax consisting only of a cover page.

Use common cover page template

If this option selected, the common cover page template will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages. Please note that these are standard templates included in the operating system.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can store your cover page template in any other folder on your hard drive.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Subject line

In this box, you can specify the fax subject. This information is usually displayed on cover page. You can leave this field empty.

Cover page note

In this box, you can specify the text of a message or note from the sender that will appear on the cover page. You can leave this field empty.

Notes

  • When creating fax cover pages for sending via Fax Voip built-in lines, the system cover page templates and Fax Service API ( FaxPrintCoverPage function) are used. You also need Fax Cover Page Editor application to create your own personal cover page templates. For this reason, installation of the Windows Fax Service is required for this functionality, see in the Install the Fax Services chapter of this user manual.

Sender

Sender information is displayed on your cover page. On this page you can override the default settings for sender information specified in the Sender Information Settings .

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

Title

The title associated with the sender.

Company

The company name associated with the sender.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Fax Station ID

In this box, you can override the default Fax Station ID specified in the Fax Settings or in the Outgoing Voip Call Routing rule. The Fax Station ID is transmitted to the recipient when an outgoing fax is sent and limited to 20 characters. To use default settings, select <default> from the drop down list.

Fax Headline

In this box, you can override the default Fax Headline specified in the Fax Settings or in the Outgoing Voip Call Routing rule. Usually displayed at the top of each faxed page. The Fax Headline is limited to 50 characters. To use default settings, select <default> from the drop down list.

Schedule

On this page you can choose when your fax is scheduled for sending. You can send it immediately or specify a time in the next 24 hours.

Now

Select this option to send a fax immediately. This option is selected by default.

Specific time in the next 24 hours

Select this option to specify a time in the next 24 hours.

Delivery Notification

On this page you can specify that you want to receive a delivery notification receipt, to either confirm that your fax has been sent successfully or to notify you of a failure. The options on this page override the default behavior specified in the Delivery Receipts via E-mail (Built-in lines) settings.

Receipt options include:

Don’t notify

No notification is required.

E-mail To:

An e-mail message will be delivered to the specified e-mail address to confirm whether your fax has been successfully delivered or not. You can specify not only e-mail but also the name of the recipient. You can also specify multiple recipients which should be separated by a semicolon. Example: sales@company.com;Support<support@company.com>.

CC:

Specify the e-mail recipients that appear in the Cc box of e-mail message.

BCC:

Specify the e-mail recipients that appear in the Bcc box of e-mail message.

Attach a copy of the sent fax

Check this box to attach a copy of the sent fax to the e-mail message.

Fax Delivery Format:

Select the file format in which you want to receive a copy of the sent fax. Can be TIFF, PDF or SFF.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

To save a fax

You can save the fax on your hard drive as a TIFF file by using Save as button. For example, it may be useful for future use with the Fax-On-Demand function. In the Save as... dialog, you can specify whether to save your fax with the cover page included or not, see picture below. The information displayed on the cover page cannot be changed after saving.

Include cover page into the file to be saved

Select this option to include the cover page as the first page of your TIFF file.

Fax Number

The recipient fax number to be displayed on cover page when saving.

Recipient name

The recipient name to be displayed on cover page when saving.

Notes

  • Keep in mind, that Send a Fax with Fax Voip Virtual Printer feature is not designed to work in a terminal window of server operating system. This feature also can not be used via Remote Desktop Connection (RDP) if Fax Voip installed on Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2. More details can be found in the Troubleshooting using RDP chapter of this manual.
  • Note that Fax Voip Virtual Printer is not designed for sharing over network. The Fax Voip Send Fax Wizard window will always appear on the computer where Fax Voip installed.
  • You can also use Fax Voip Virtual Printer to place fax jobs to Windows Fax Service by using the Use Microsoft Fax Service to send this fax option. This feature is useful when creating a large number of faxes that you would like to send via Windows Fax Service / Fax and Scan software.


Send a Fax using Direct Converting

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

Direct Converting to Fax feature allows to convert some of the most popular graphics file formats into compatible fax format (TIFF) instead of using Fax Voip Virtual Printer. To configure Direct Converting to Fax, see Convert to Fax Settings chapter of this user manual.

To send a fax (using Direct Converting to Fax)

1. Click Start, point to Fax Voip T38 Fax and Voice, and then click Fax Voip Console.

2. On the File menu, click New Fax. Or click the New Fax button on the Main tab of the Ribbon.

3. Select the document you want to send as a fax (you should select the document of the type, for which Direct Converting to Fax is allowed according to your settings), then click Open. See also Sending Faxes from Fax Voip Console .

4. In the Fax Voip Send Fax Wizard specify the fax recipient, add a cover page and configure additional fax options, see details in the Send a Fax with Fax Voip Virtual Printer chapter.

5. Click Send button.

Notes

  • The Direct Converting to Fax function not applied if user prints a document using the Fax Voip Virtual Printer.
  • Keep in mind, that Send a Fax using Direct Converting feature can be used when you work in the terminal window of server operating system. This feature also can be used via Remote Desktop Connection (RDP) if Fax Voip installed on Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2 (any type of RDP session).
  • It’s recommended to use Direct Converting to Fax function with PDF files, especially if you use Mail to Fax function and PDF attachments .


Send a Fax to Multiple Recipients

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

The method described here is suitable for the case when the same fax document should be sent to a large number of fax recipients.

1. Prepare a list of fax numbers any way you want and save it to a plain text file. When preparing a file, you must be guided by the following rules:

      • Each row can contain a single fax number.
      • The fax number should be placed in the beginning of the row. Spaces and tabs at the beginning of the row are ignored.
      • The row can contain any additional information such as company name, phone number etc. This information should be separated from the fax number using any of the following delimiters: space, tab or semicolon.

An example of a text file is shown in the picture below.

2. Create a fax by printing to a Fax Voip Virtual Printer or by using the Send a Fax command in the Fax Voip Console .

3. In the Fax Voip Send Fax Wizard window, on the Send Fax page, click Add From File.

4. In the Open dialog box select the text file and click Open.

5. Fax Voip will automatically recognize fax numbers and will add them to the list.

6. In the Fax Voip Send Fax Wizard configure additional fax options if necessary. For details see in the Send a Fax with Fax Voip Virtual Printer chapter.

7. Click Send Fax.

Fax Voip will automatically create multiple fax jobs and place them into the Fax Voip Console .

Notes

  • For some reason during the procedure of adding multiple fax jobs, Fax Voip Console can be not responsible within some time. When adding multiple fax jobs (for example 100 or more faxes), we strongly recommend to manually close Fax Voip Console application before you click Send Fax.
  • When creating multiple fax jobs Fax Voip forcibly adds a 1 second delay in the Submission Time and Scheduled Time fields for each of the next job. This is done to allow easy sorting of fax jobs in the Fax Voip Console.
  • Alternatively, to add multiple fax jobs you can use SendFax.exe command line tool (Built-in lines) .
  • Also, you can add multiple fax recipients from Address Book (Windows Contacts) by using Address Book button on the Send Fax page.
  • You can also Send a Fax to Multiple Recipients using Fax Voip Printer and Windows Fax Service by using the Use Microsoft Fax Service to send this fax option. This feature is useful when creating a large number of faxes that you would like to send via Windows Fax Service / Fax and Scan software.


SendFax.exe command line tool

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

When using Fax Voip built-in VOIP/ISDN Fax/Audio Lines, you can send a fax using the SendFax.exe command line utility, which is included in the Fax Voip software and allows you to automatically create a fax job and place it in the Outbox folder in the Fax Voip Console , see more details in the Send a Fax using SendFax.exe tool - Built-in lines chapter of this user manual.

For more information about SendFax.exe command line options, see SendFax.exe command line options - Built-in lines .

Also, you have a useful visual tool that allows you to easily configure SendFax.exe command line options and then run SendFax.exe directly from the Fax Voip Control Panel, see To Configure and Run SendFax.exe (Built-in lines) using Fax Voip Control Panel .


Send an Audio Message

Sending Audio Messages

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

You can send not only faxes, but also audio messages.

Any audio file located on your computer can be sent through a telephone line using Fax Voip built-in lines. You can create your own audio file (usually wave or MP3) in any recording and sound editing program, and then convert your file using one of the available procedures. For transmission via telephone line 8 kHz 16-bit Mono wave files (.wav) are used.

To create an audio message using Fax Voip Console, see Sending Audio Messages from Fax Voip Console .

To create an audio message using command line, see SendAudio.exe command line tool . More details can be found in the Send Audio Message using SendAudio.exe tool - Built-in lines chapter of this user manual.


SendAudio.exe command line tool

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

When using Fax Voip built-in VOIP/ISDN Fax/Audio Lines, you can send an audio message using the SendAudio.exe command line utility, which is included in the Fax Voip software and allows you to automatically create an audio message job and place it in the Outbox folder in the Fax Voip Console , see more details in the Send Audio Message using SendAudio.exe tool - Built-in lines chapter of this user manual.

For more information about SendAudio.exe command line options, see SendAudio.exe command line options - Built-in lines .

Also, you have a useful visual tool that allows you to easily configure SendAudio.exe command line options and then run SendAudio.exe directly from the Fax Voip Control Panel, see To Configure and Run SendAudio.exe (Built-in lines) using Fax Voip Control Panel .


Monitoring and notifying

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

When sending or receiving a fax or audio message, the information about fax / audio message progress can be viewed in the Fax Voip Console .

Notifications are used to indicate the success or failure of faxes (audio messages) been received or been sent. To enable or disable notifications, see in the Tray Notifications chapter of this user manual.

Incoming fax notifications

In the case of a successful fax reception, the New fax received tray notification message is displayed. Clicking on the notification opens the Inbox folder in the Fax Voip Console , where you can view a received fax.

If the fax reception failed, the Failed to receive a fax tray notification message is displayed. Clicking on the notification opens the Inbox folder in the Fax Voip Console , where you can view more information about the fax.

Outgoing fax notifications

In the case of a successful fax transmission, The fax was sent successfully tray notification message is displayed. Clicking on the notification opens the Outbox folder in the Fax Voip Console , where you can view more information about the fax.

If the fax transmission failed, The fax could not be sent tray notification message is displayed. Clicking on the notification opens the Outbox folder in the Fax Voip Console , where you can view more information about the fax.

Outgoing audio message notifications

In the case of a successful transmission of audio message, The audio message was sent successfully tray notification message is displayed. Clicking on the notification opens the Outbox folder in the Fax Voip Console , where you can view more information about the audio message.

If the audio message transmission failed, The audio message could not be sent tray notification message is displayed. Clicking on the notification opens the Outbox folder in the Fax Voip Console , where you can view more information about the audio message.

Fax-on-Demand notifications

These notifications are similar to Outgoing Fax Notifications. Clicking on the notification opens the Fax-on-Demand folder in the Fax Voip Console , where you can view more information about the fax.

Notes

  • Using notifications is useful when working with a small amount of faxes (audio messages) on the user's computer. On the other hand, we recommend to disable notifications when working with a large number of faxes (audio messages) on the server.


Fax Voip Console

Fax Voip Console Application

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ››

To open Fax Voip Console, click Start, point to Fax Voip T38 Fax & Voice, and then click Fax Voip Console. Alternatively, you can select the Fax Voip Console command in the Fax Voip tray menu.

Fax Voip Console supports two modes of user interface: modern Ribbon mode and old-style Classic Toolbar mode.

Ribbon interface used by default after installation on Windows 7 or later. It is based on using Windows Ribbon Framework . This interface is similar to that used in the Windows Explorer, Paint and Wordpad. To enable Ribbon interface on Windows Vista or Windows Server 2008, see notes below in this chapter.

Fax Voip Console – Ribbon mode

Classic Toolbar mode is maintained mainly for backward compatibility with old operating systems such as Windows XP and Windows Server 2003. At the same time you can use this mode on all other operating systems on your preference. In this mode the classic menu bar and toolbar are available. This interface is similar to that used in the Windows Fax and Scan software.

Fax Voip Console – Classic Toolbar mode

The Fax Voip Console application allows you to manage all outgoing and incoming faxes and audio messages, sent or received using Fax Voip built-in VOIP/ISDN Fax/Audio Lines. In the Fax Voip Console you can also view a log of incoming calls, for which the Fax on Demand (using built-in lines) function was applied. You can also scroll up and down to see the chronological sequence of events.

Received or outgoing faxes can be easily viewed in the Preview Panel. Or you can view the fax in the TIFF viewer software, Adobe Acrobat Reader or SFF viewer software by double-clicking on it.

Outgoing audio messages can be easily listen by using the Preview Panel. To open any audio file in the audio player software, double-click on it.

The entries can be sorted on the any available field. To select the sort field, click on the header of the field and an arrow will appear. Click again on the arrow to sort the list in the ascending or descending order.

You can choose between 3 folders:

  • Outbox – the repository of all faxes and audio messages waiting to be sent or in the process of being sent or sent.
  • Inbox – the folder in which received faxes are stored.
  • Fax-on-Demand – the folder that keeps information about all incoming calls, for which the Fax on Demand (using built-in lines) function was applied.

Fax Voip Console Ribbon Commands

The following commands are available in the Application Menu:

New Fax (Ctrl + F)

Click to create a new fax to be sent to one or more recipients.

New Fax (Ctrl + F)

Click to create a new fax to be sent to one or more recipients.

Cover Page (Ctrl + C)

Click to create cover page only fax to be sent to one or more recipients.

Send test fax page

Click to create and send test fax page using Fax Voip Virtual Printer.

Audio Message (Ctrl + O)

Click to create audio message to be sent to one or more recipients.

View (F3)

Click to view the selected fax in the TIFF viewer software, Adobe Acrobat Reader or SFF viewer software.

Play (F3)

Click to play the selected audio message in the audio player software.

Print (Ctrl + P)

Click to print the selected fax.

Mail to

Click to send the selected fax or audio message by mail .

Save as (Ctrl + S)

Click to save the selected fax or audio message.

TIFF picture

Save the selected fax as TIFF file. TIFF files are commonly used for FAX transmission.

Adobe PDF file

Save the selected fax as PDF file. PDF format is useful to storage your documents and send them via e-mail.

Structured Fax File (SFF)

Save the selected fax as SFF file. SFF (Structured Fax File format) is used by ISDN devices that support CAPI.

PNG picture

Save the selected fax as PNG file. Use it on your computer or on the web.

JPEG picture

Save the selected fax as JPEG file. Use it on your computer, in email, or on the web.

BMP picture

Save the selected fax as BMP file. Use high quality bitmap images on your computer.

GIF picture

Save the selected fax as GIF file. Use it in email or on the web.

Other formats

Open the Save As dialog box to select from all possible file types.

Delete (Del)

Click to delete the selected entries.

Delete item (Del)

Click to delete the selected entries.

Delete all items

Click to delete all entries in the currently visible folder.

Delete fax or audio file (F8)

Click to delete faxes and audio messages associated with the selected entries. Note that this command does not remove the entries.

Delete all faxes and audio messages

Click to delete all faxes and audio messages in the currently visible folder. Note that this command does not remove the entries.

Fax

Forward

Click to forward the selected outgoing or received fax. Selecting this option opens the Fax Voip Send Fax Wizard window, where you can enter a fax number. (See also in the Send a Fax with Fax Voip Printer chapter of this user manual).

Pause

Click to pause a fax transmission .

Resume

Click to resume a fax transmission .

Restart

Click to re-send the selected outgoing fax in the case of failed transmission.

Audio

Forward

Click to forward the selected audio message. Selecting this option opens the Fax Voip Send Audio Message Wizard window, where you can enter a phone number. (See also in the Sending Audio Messages from Fax Voip Console chapter of this user manual).

Pause

Click to pause an audio message transmission .

Resume

Click to resume an audio message transmission .

Restart

Click to re-send the selected outgoing audio message in the case of failed transmission.

Properties (Ctrl + E)

Click to view properties of the selected fax or audio message.

Help (F1)

Click to open Help file. To display the application help system you also can use Help Button, which is placed in the upper right corner of the Ribbon.

Help (F1)

Click to open Help file. To display the application help system you also can use Help Button, which is placed in the upper right corner of the Ribbon.

About Fax Voip Console

Display program information, version number and copyright.

Exit (Ctrl + X)

Click to quit the Fax Voip Console.

Folders (Recent Items list)

Outbox

Click to display the Outbox folder.

Inbox

Click to display the Inbox folder.

Fax-on-Demand

Click to display the Fax-on-Demand folder.

The following commands are available in the Main tab:

Send

New Fax (Ctrl + F)

Click to create a new fax to be sent to one or more recipients.

Cover Page (Ctrl + C)

Click to create cover page only fax to be sent to one or more recipients.

Audio Message (Ctrl + O)

Click to create audio message to be sent to one or more recipients.

Folders

Outbox

Click to display the Outbox folder.

Inbox

Click to display the Inbox folder.

Document

View (F3)

Click to view the selected fax in the TIFF viewer software, Adobe Acrobat Reader or SFF viewer software.

Play (F3)

Click to play the selected audio message in the audio player software.

Delete (Del)

Click to delete the selected entries.

Delete item (Del)

Click to delete the selected entries.

Delete all items

Click to delete all entries in the currently visible folder.

Delete fax or audio file (F8)

Click to delete faxes and audio messages associated with the selected entries. Note that this command does not remove the entries.

Delete all faxes and audio messages

Click to delete all faxes and audio messages in the currently visible folder. Note that this command does not remove the entries.

Print (Ctrl + P)

Click to print the selected fax.

Mail to

Click to send the selected fax or audio message by mail .

Save as (Ctrl + S)

Click to save the selected fax or audio message.

TIFF picture

Save the selected fax as TIFF file. TIFF files are commonly used for FAX transmission.

Adobe PDF file

Save the selected fax as PDF file. PDF format is useful to storage your documents and send them via e-mail.

Structured Fax File (SFF)

Save the selected fax as SFF file. SFF (Structured Fax File format) is used by ISDN devices that support CAPI.

PNG picture

Save the selected fax as PNG file. Use it on your computer or on the web.

JPEG picture

Save the selected fax as JPEG file. Use it on your computer, in email, or on the web.

BMP picture

Save the selected fax as BMP file. Use high quality bitmap images on your computer.

GIF picture

Save the selected fax as GIF file. Use it in email or on the web.

Other formats

Open the Save As dialog box to select from all possible file types.

Open

Properties (Ctrl + E)

Click to view properties of the selected fax or audio message.

Open

Click to open the currently visible folder in Windows Explorer.

Windows Explorer

Click to open the currently visible folder in Windows Explorer.

Refresh (F5)

Click to refresh the contents of the currently visible folder.

Fax

Forward

Click to forward the selected outgoing or received fax. Selecting this option opens the Fax Voip Send Fax Wizard window, where you can enter a fax number. (See also in the Send a Fax with Fax Voip Printer chapter of this user manual).

Pause

Click to pause a fax transmission .

Resume

Click to resume a fax transmission .

Restart

Click to re-send the selected outgoing fax in the case of failed transmission.

Audio

Forward

Click to forward the selected audio message. Selecting this option opens the Fax Voip Send Audio Message Wizard window, where you can enter a phone number. (See also in the Sending Audio Messages from Fax Voip Console chapter of this user manual).

Pause

Click to pause an audio message transmission .

Resume

Click to resume an audio message transmission .

Restart

Click to re-send the selected outgoing audio message in the case of failed transmission.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + N)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Main tab are also available from the context menu of the folder and from the Application Menu.

The following commands are available in the View tab:

Panes

Preview Pane

Click to show or hide the Preview Pane.

Folder Bar

Click to show or hide the Folder Bar.

Status Bar

Click to show or hide the statusbar.

Ribbon

Uncheck this option to hide the Ribbon. After your confirmation the Fax Voip Console will be switched to Classic Toolbar mode. Restarting the application is required.

Toolbar

Flag this option to show the classic Toolbar. After your confirmation the Fax Voip Console will be switched to Classic Toolbar mode. Restarting the application is required.

Menu Bar

Flag this option to show the classic Menu Bar. After your confirmation the Fax Voip Console will be switched to Classic Toolbar mode. Restarting the application is required.

Current view

Add/Remove columns

Click to Add/Remove the columns to display and set their order. See also in the Configure Fax Voip Console views chapter of this manual.

Folder Bar Theme

This option allows you to choose the Visual Style of the Folder Bar in accordance with Visual Themes provided by the operating system. Simply choose the desired theme from the Drop-Down Gallery.

Preview Pane Color

Click to show the standard Color dialog where you can choose the background color of the Preview Pane. You can also show this dialog by clicking the right mouse button on the top or bottom part of the Preview Pane.

Default color

Click to use default background color of the Preview Pane.

Edit color

Click to show the standard Color dialog where you can choose the background color of the Preview Pane. You can also show this dialog by clicking the right mouse button on the top or bottom part of the Preview Pane.

Ribbon colors

Standard Theme

Select this option to use the default Ribbon theme specified by the operating system.

Custom Blend

Select this option to customize Ribbon colors. Please note that this option does not work correctly in Windows 10 version 1809 or later and in Windows Server 2019.

Background

Select the global background color for a customized ribbon.

Highlight

Select the global highlight color for a customized ribbon (Windows 7 only).

Text

Select the global text color for a customized ribbon.

Default view

Restore Defaults

Use this option to restore the default view of the Fax Voip Console.

Most of the commands placed on the View tab are also available from the Folder Bar context menu.

The following commands are available in the Tools tab:

Fax Voip Printer

Fax Voip Printer

Click to show Fax Voip Virtual Printer properties.

Send test fax page

Click to create and send test fax page using Fax Voip Virtual Printer.

Windows Contacts

Windows Contacts

Click to open Contacts folder.

New Contact

Allows you to add a new contact card to your Contacts.

Find People

Click to find people in your Contacts.

Address Book

Opens Address Book (Windows Contacts).

Fax Voip Settings

Fax Voip Control Panel

Click to open Fax Voip Control Panel .

Backup or Restore

Backup or Restore Wizard

Click to run Fax Voip Backup or Restore Wizard. Fax Voip Backup or Restore Wizard is used to save, restore or move your configuration and files to other computer. To use this option, administrator privileges are required.

The Quick Access Toolbar (QAT) is a small, customizable toolbar that exposes a set of Commands that are specified by the application or selected by the user.

By default, the Quick Access Toolbar (QAT) is located in the title bar of the Fax Voip Console window but can be configured to display below the ribbon. In addition to exposing Commands, the Quick Access Toolbar (QAT) also includes a customizable drop-down menu that contains the complete set of default Quick Access Toolbar (QAT) Commands (whether hidden or displayed in the Quick Access Toolbar (QAT)) and a set of Quick Access Toolbar (QAT) and ribbon options. Almost all ribbon controls can be added to the Quick Access Toolbar (QAT) through the context menu shown in the following screen shot.

Fax Voip Console Commands (Classic Toolbar mode)

The following commands are available in the Fax Voip Console Toolbar:

New Fax

Click to create a new fax to be sent to one or more recipients.

Cover Page

Click to create cover page only fax to be sent to one or more recipients.

New Audio

Click to create audio message to be sent to one or more recipients.

Refresh

Click to refresh the contents of the currently visible folder.

Open fax / audio message folder

Click to open the currently visible folder in Windows Explorer.

Outbox

Click to display the Outbox folder.

Inbox

Click to display the Inbox folder.

View

Click to view the selected fax in the TIFF viewer software, Adobe Acrobat Reader or SFF viewer software.

Play

Click to play the selected audio message in the audio player software.

Print

Click to print the selected fax.

Save as...

Click to save the selected fax or audio message.

Mail to

Click to send the selected fax or audio message by mail .

Properties

Click to view properties of the selected entry.

Pause

Click to pause a fax or audio message transmission .

Resume

Click to resume a fax or audio message transmission .

Restart the fax or audio message

Click to re-send the selected outgoing fax or audio message in the case of failed transmission.

Forward the fax or audio message to other recipient

Click to forward the selected outgoing or received fax or audio message. In the case of fax, selecting this option opens the Fax Voip Send Fax Wizard window, where you can enter a fax number. (See also in the Send a Fax with Fax Voip Printer chapter of this user manual). In the case of audio message, selecting this option opens the Fax Voip Send Audio Message Wizard window, where you can enter a phone number. (See also in the Sending Audio Messages from Fax Voip Console chapter of this user manual).

Delete fax or audio file

Click to delete faxes and audio messages associated with the selected entries. Note that this command does not remove the entries.

Delete all faxes and audio messages

Click to delete all faxes and audio messages in the currently visible folder. Note that this command does not remove the entries.

Delete

Click to delete the selected entries.

Delete all items

Click to delete all entries in the currently visible folder.

Help

Click to open Help file.

The following commands are available in the Fax Voip Console main menu:

File

You can also access most of the items of this menu by right-clicking on the selected entry.

Send a fax... (Ctrl + F)

Click to create a new fax to be sent to one or more recipients.

Send Cover Page (Ctrl + C)

Click to create cover page only fax to be sent to one or more recipients.

Send Audio Message (Ctrl + O)

Click to create audio message to be sent to one or more recipients.

View (F3)

Click to view the selected fax in the TIFF viewer software, Adobe Acrobat Reader or SFF viewer software.

Play (F3)

Click to play the selected audio message in the audio player software.

Print (Ctrl + P)

Click to print the selected fax.

Save As... (Ctrl + S)

Click to save the selected fax or audio message.

Mail To...

Click to send the selected fax or audio message by mail .

Pause

Click to pause a fax or audio message transmission .

Resume

Click to resume a fax or audio message transmission .

Restart

Click to re-send the selected outgoing fax or audio message in the case of failed transmission.

Forward

Click to forward the selected outgoing or received fax or audio message. In the case of fax, selecting this option opens the Fax Voip Send Fax Wizard window, where you can enter a fax number. (See also in the Send a Fax with Fax Voip Printer chapter of this user manual). In the case of audio message, selecting this option opens the Fax Voip Send Audio Message Wizard window, where you can enter a phone number. (See also in the Sending Audio Messages from Fax Voip Console chapter of this user manual).

Delete item (Del)

Click to delete the selected entries.

Delete fax/audio file (F8)

Click to delete faxes and audio messages associated with the selected entries. Note that this command does not remove the entries.

Delete all items

Click to delete all entries in the currently visible folder.

Delete all faxes and audio

Click to delete all faxes and audio messages in the currently visible folder. Note that this command does not remove the entries.

Properties (Ctrl + E)

Click to view properties of the selected entry.

Exit (Ctrl + X)

Click to quit the Fax Voip Console.

Edit

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + N)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

View

You can also access this menu by right-clicking on the toolbar.

Ribbon

Click to show the Ribbon (Windows Ribbon Framework). Fax Voip Console will be switched to Ribbon mode. Restarting the application is not required. Please note that this command is not available on Windows XP or Windows Server 2003.

Toolbar

Click to show or hide the toolbar.

Status Bar

Click to show or hide the statusbar.

Preview Panel

Click to show or hide the Preview Panel.

Folder Bar

Click to show or hide the Folder Bar.

Large icons

Tick this option to display large icons in the main toolbar.

Toolbar Theme (Windows Vista or higher)

This option allows you to choose the Toolbar Visual Style in accordance with Visual Themes provided by the operating system. Simply choose the desired theme from the context menu. You can use this option on Windows Vista, Windows 7, Windows 8/8.1, Windows 10, Windows Server 2008/2008R2, Windows Server 2012/2012R2, Windows Server 2016 and Windows Server 2019.

Folder Bar Theme (Windows Vista or higher)

This option allows you to choose the Visual Style of the Folder Bar in accordance with Visual Themes provided by the operating system. Simply choose the desired theme from the context menu. You can use this option on Windows Vista, Windows 7, Windows 8/8.1, Windows 10, Windows Server 2008/2008R2, Windows Server 2012/2012R2, Windows Server 2016 and Windows Server 2019.

Preview Panel Color

Shows the standard Color dialog where you can choose the background color of the Preview Panel. You can also show this dialog by clicking the right mouse button on the top or bottom part of the Preview Panel.

Refresh Folder (F5)

Click to refresh the contents of the currently visible folder.

Open in Windows Explorer...

Click to open the currently visible folder in Windows Explorer.

Restore Default View

Use this option to restore the default view of the Fax Voip Console.

Add/Remove columns

Click to Add/Remove the columns to display and set their order. See also in the Configure Fax Voip Console views chapter of this manual.

Tools

Fax Voip Control Panel

Click to open Fax Voip Control Panel .

Backup or Restore Wizard

Click to run Fax Voip Backup or Restore Wizard. Fax Voip Backup or Restore Wizard is used to save, restore or move your configuration and files to other computer. To use this option, administrator privileges are required.

Fax Voip Printer Configuration...

Click to show Fax Voip Virtual Printer properties.

Send Test Fax Page...

Click to create and send test fax page using Fax Voip Virtual Printer.

New Contact...

Allows you to add a new contact card to your Contacts. Please note that this command is not available on Windows XP or Windows Server 2003.

Find People...

Click to find people in your Contacts. Please note that this command is not available on Windows XP or Windows Server 2003.

Address Book (Windows Contacts)

Opens Address Book (Windows Contacts).

Windows Contacts (Folder)

Click to open Contacts folder. Please note that this command is not available on Windows XP or Windows Server 2003.

Help

Help Topics (F1)

Click to open Help file.

About Fax Voip Console

Display program information, version number and copyright.

Notes

  • Ribbon interface is not available on Windows XP and Windows Server 2003 operating systems.
  • To enable Ribbon interface on Windows Vista with Service Pack 2 (SP2) or Windows Server 2008 with SP2, Platform Update for Windows Vista / Platform Update for Windows Server 2008 should be installed. Windows Update service really does not work now on these old systems. And it is a headache for you, if your Vista system is not already updated. The only way is to manually download the necessary update (KB960362) from Microsoft Update Catalog . Please select the correct installation package depending on the name of your operating system. Before running the stand-alone installer, disconnect your computer from the internet network and then restart the system, in order to avoid the endless search for updates.


Outgoing Faxes and Audio Messages

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ››

To open Outbox folder, in the Fax Voip Console in the treeview click Fax Voip and then click Outbox.

The Outbox is the repository of all faxes and audio messages waiting to be sent or in the process of being sent or sent. After a fax or audio message is sent successfully, it is remains in the Outbox folder with OK status. The information about failed attempts to send a fax or audio message also can be viewed here.

Outgoing faxes can be easily viewed in the Preview Panel. You can navigate between the fax pages using the navigation buttons located at the bottom of the Preview Panel.

To view the selected fax using image viewer software, double-click it. Contents of a fax in the Outbox folder can be viewed as a TIFF file in the Windows Picture and Fax Viewer (Windows XP or Windows Server 2003) or in the Windows Photo Gallery (Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2).

You can easily listen to any audio message using the Preview Panel. You can play, stop or pause the selected audio message using the buttons located at the bottom of the Preview Panel. To open any audio file in the audio player software, double-click on it.

You can view the properties of the selected fax or audio message by clicking Properties in the File menu. Properties of each fax (audio message) are also displayed in the Outbox details pane. Information that can be displayed in the details pane are:

  • Icon.
  • Submission Time. The time the outgoing fax or audio message was originally added for sending.
  • Original Scheduled Time. The time the outgoing fax or audio message was originally scheduled for sending.
  • Scheduled Time. The time for which the fax or audio message job is currently scheduled. This may be later than the original scheduled time due to delays, such as a busy number or due to previous unsuccessful retries.
  • Start Time. The time when the outgoing call or fax/audio transmission started.
  • Duration. The duration of the outgoing call or fax/audio transmission.
  • Recipient Number. The recipient fax/phone number.
  • File. The name of the fax or audio file.
  • Status. Indicates current status of the fax or audio message job.
  • Extended Status. Contains additional information about an outgoing fax (audio message) or result of fax/audio transmission.
  • Retries. The number of times the system has tried to send your fax or audio message. The total number of possible retries depends on the limit set.
  • Pages/Sec. The number of successfully sent pages and the total number of pages in the outgoing fax. The length of the audio file in seconds.
  • Rate. Fax transmission rate. The 'e' attribute is used to indicate Error Correction Mode (ECM).
  • Resol./Freq. This field contains the resolution information for transmitted faxes: Normal for 204 x 98 dots per inch (dpi), Fine for 204 x 196 dpi. In the case of audio file, the sample rate, kHz of the audio file.
  • T.38. Fax protocol. Can be one of the following values: T.38, G.711 - audio fax over G.711 codec via VOIP, ISDN - audio fax via ISDN CAPI 2.0 line, B3:4:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, B3:5:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
  • Remote Fax ID. The Called Subscriber ID (CSID) received from the fax recipient.
  • Local Fax ID. The Transmitting Subscriber ID (TSID) that identifies you as a fax sender, sent to the fax recipient.
  • Fax Headline. The text that is transmitted at the top of each faxed page.
  • Sender E-mail. The e-mail address of fax or audio message sender. This field is used with Mail to Fax (Mail to Audio) - Built-in lines function.
  • Document Name. The original name of sender document (audio file). This field is used with Mail to Fax (Mail to Audio) - Built-in lines function.
  • E-mail To. Contains one or more e-mail addresses to which the delivery receipt will be sent. See Delivery Receipts via E-mail (Built-in lines) .
  • CC. Contains one or more e-mail addresses to which the copy (Cc) of e-mail delivery receipt will be sent. See Delivery Receipts via E-mail (Built-in lines) .
  • BCC. Contains one or more e-mail addresses to which the blind carbon copy (Bcc) of e-mail delivery receipt will be sent. See Delivery Receipts via E-mail (Built-in lines) .
  • Mail Format. The file format in which a copy of the sent fax or audio message will be attached. In the case of fax, can be TIFF, PDF or SFF. In the case of audio message, WAV format is used. See Delivery Receipts via E-mail (Built-in lines) .

The status of outgoing fax or audio message job will be indicated in the Status column of the details pane. An outgoing fax or audio message can be in any one of a number of states:

  • Pending. The fax or audio message was submitted and is waiting to be sent. The fax (audio message) might be waiting for a free line.
  • In progress. The Fax Voip is dialing or transmitting the fax or audio message.
  • Retrying. The outgoing job is pending a retry. The retry is attempted in accordance with the specified settings, as soon as Fax Voip line becomes available.
  • Retries exceeded. The number of attempts to send your fax or audio message has exceeded the set number of maximum retries. The fax (audio message) retains this status and remains in the Outbox until you restart transmission or delete the fax (audio message). If you restart transmission, the retries counter is reset to zero.
  • Paused. The fax or audio message has been paused.
  • Completed. Fax or audio message has been sent successfully. The fax or audio message remains in the Outbox until you delete it.
  • Failed. Sending a fax or audio message is not possible. For example the Fax Voip built-in VOIP/ISDN Fax/Audio Lines license is not activated on your computer or outgoing call routing not configured for built-in lines. In this case Fax Voip does not retry the fax (audio message) sending regardless of the settings. The fax (audio message) retains this status and remains in the Outbox until you restart transmission or delete the fax (audio message). Before restarting the fax (audio message) job you should check your current license and Outgoing VOIP Call Routing settings.

The Extended Status column contains additional information about an outgoing fax (audio message) or result of transmission. For example, the status for the fax (audio message) being sent might be Retrying, while Extended Status displays No answer, indicating that the last transmission attempt failed due to the call was not answered. Possible extended states include:

  • Operation not licensed. Sending a fax or audio message is not possible because the Fax Voip built-in VOIP/ISDN Fax/Audio Lines license is not activated on your computer.
  • No call route. Rules for outgoing calls of selected type (T.38 or G711fax or audio) are not specified.
  • Dialing. The program is dialing a fax/phone number.
  • Answered. The call is answered but the T.38 fax transmission has not started yet.
  • Sending T.38. The call is answered and fax application is sending a fax document as T.38 fax.
  • Sending audio fax. The call is answered and fax application is sending (or trying to send) a fax document as audio fax.
  • Sending page n of N. Fax page number currently transmitted and the total number of pages in the fax.
  • Sending audio. Sending audio file.
  • Disconnecting. The process of fax transmission is in its final stage.
  • No answer. The call was not answered. For example the receiving device did not answer the fax call or busy signal was detected. You also get this error if your SIP or H.323 line is unavailable because of incorrect settings or for some other reason.
  • Fax not detected after the response. The call was answered but fax was not detected at the remote side. For example remote fax machine did not start.
  • Waiting for statistics. The fax call is completed but fax application is not completed its work.
  • No response after sending a page. The outgoing fax was transmitted completely or partially, but the remote side has not confirmed the transfer of the last page.
  • The call dropped prematurely. This error usually occurs when connection dropped during a fax transmission. You should pay attention to the number of sent pages.
  • Remote party cleared call. The playback was stopped manually by the other side.
  • Application error or its closing when sending a fax. This error usually occurs when user stops Fax Voip application during a fax transmission. You should avoid such situations.
  • Application error or its closing when sending audio. This error usually occurs when user stops Fax Voip application during an audio file transmission. You should avoid such situations.
  • OK. Fax or audio message has been sent successfully.

Note that fax application may provide the extended completion codes. The error generated by the fax application usually points to the specific problem that occurred when sending a fax. In the case of sending a fax via ISDN CAPI 2.0 line using B3 protocol 4 or 5, CAPI 2.0 specific completion codes can be provided.


Incoming Faxes

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ››

To open Inbox folder, in the Fax Voip Console in the treeview click Fax Voip and then click Inbox.

The Inbox folder stores all received faxes.

Received faxes can be easily viewed in the Preview Panel. You can navigate between the fax pages using the navigation buttons located at the bottom of the Preview Panel.

To view the selected fax using image viewer software, double-click it. Depending on the Fax Voip settings, received faxes can be stored in the TIFF, PDF or SFF format. Faxes that stored in the TIFF format can be viewed in the Windows Picture and Fax Viewer (Windows XP or Windows Server 2003) or in the Windows Photo Gallery (Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2). Faxes received as PDF files can be viewed in the Adobe Acrobat Reader program. To view faxes received in the SFF format, you can install and use IrfanView software.

You can view the properties of the selected fax by clicking Properties in the File menu. Properties of each fax are also displayed in the Inbox details pane. Information that can be displayed in the details pane are:

  • Icon. TIFF, PDF or SFF icon, depending on the format in which the received fax is saved.
  • Start Time. The time when fax reception started.
  • Duration. The duration of the incoming fax call or fax transmission.
  • Calling Party. The fax number of the caller. The number is displayed in SIP, H.323 or ISDN format.
  • File. The name of the fax file.
  • Status. Current status of the incoming fax or operation completion code. In the case of a failed fax reception contains the error description.
  • Pages. The number of delivered pages for received faxes.
  • Rate. Transmission rate. The 'e' attribute is used to indicate Error Correction Mode (ECM).
  • Resolution. This field contains the resolution information for received faxes: Normal for 204 x 98 dots per inch (dpi), Fine for 204 x 196 dpi.
  • T.38. Fax protocol information. Can be one of the following values: T.38, G.711 - audio fax over G.711 codec via VOIP or ISDN CAPI 2.0, B3:4:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 4: T.30 for Group 3 fax, B3:5:SFF - fax via ISDN CAPI 2.0 line using B3 Protocol 5: T.30 for Group 3 fax extended.
  • Remote Fax ID. The Transmitting Subscriber ID (TSID) received from the fax sender.
  • Called Party. The telephone number of the called party. The number is displayed in SIP, H.323 or ISDN format.
  • Local Fax ID. The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.
  • Mail To. Contains one or more e-mail addresses to which the incoming fax has been routed (according to the Route through e-mail Incoming Method (Built-in lines) ).
  • CC. Contains one or more e-mail addresses to which the copy of e-mail message (Cc) has been sent (according to the Route through e-mail Incoming Method (Built-in lines) ).
  • BCC. Contains one or more e-mail addresses to which the blind carbon copy of e-mail message (Bcc) has been sent (according to the Route through e-mail Incoming Method (Built-in lines) ).
  • Mail Format. The fax delivery format (according to the Route through e-mail Incoming Method (Built-in lines) ). Can be TIFF, PDF or SFF.
  • Store in Folder. One or more folders locations where incoming fax has been stored (according to the Store in a folder Incoming Method (Built-in lines) ).
  • Save Format. The file format in which incoming fax has been stored (according to the Store in a folder Incoming Method (Built-in lines) ). Can be TIFF, PDF or SFF.
  • Print To. Printers for printing incoming fax (according to the Print Incoming Method (Built-in lines) ).

The Status column contains additional information about the results of fax reception. Possible states and completion codes include:

  • Incoming call... Incoming call detected.
  • Answered. The call is answered but the fax not started yet.
  • Receiving T.38. The call is answered and fax application is started in T.38 fax mode.
  • Receiving audio fax. The call is answered and fax application is started in audio fax mode.
  • Receiving CAPI 2.0 fax. The ISDN CAPI 2.0 call is answered and fax application is started to receive a fax according to B3 Protocol 4: T.30 for Group 3 fax or B3 Protocol 5: T.30 for Group 3 fax extended.
  • Receiving page n. Fax page number currently receiving.
  • Incoming call not answered. Incoming call detected but not answered for some reason.
  • Local fax not started. The call was answered but fax application was not started. For example the remote party does not support T.38 and can not do re-invite to G.711.
  • Fax not detected at other side. The call was answered and fax application was started. However, the calling party did not start fax transmission.
  • Waiting for statistics. The fax call is completed but fax application is not completed its work.
  • The call dropped prematurely. This error usually occurs when connection dropped during a fax transmission.
  • Application error or its closing when sending a fax. This error usually occurs when user stops Fax Voip application during a fax reception. You should avoid such situations.
  • OK. Successfully received fax.

Note that the fax application may provide the extended completion codes. The error generated by the fax application usually points to the specific problem that occurred when receiving a fax. In the case of receiving a fax via ISDN CAPI 2.0 line using B3 protocol 4 or 5, CAPI 2.0 specific completion codes can be provided.


Fax on Demand

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ››

To open Fax-on-Demand folder, in the Fax Voip Console in the treeview click Fax Voip and then click Fax-on-Demand.

Fax-on-Demand folder stores information about all incoming calls, for which the Fax on Demand (using built-in lines) function was applied.

Faxes can be easily viewed in the Preview Panel. You can navigate between the fax pages using the navigation buttons located at the bottom of the Preview Panel.

To view the selected fax using image viewer software, double-click it. Contents of a fax can be viewed as a TIFF file in the Windows Picture and Fax Viewer (Windows XP or Windows Server 2003) or in the Windows Photo Gallery (Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2).

You can view the properties of the selected fax by clicking Properties in the File menu. Properties of each fax are also displayed in the Fax-on-Demand details pane. Information that can be displayed in the details pane are:

  • Icon.
  • Start Time. The time the incoming fax call was started.
  • Duration. The duration of the incoming fax call or fax transmission.
  • Calling Party. The fax number of the caller. The number is displayed in SIP, H.323 or ISDN format.
  • File. The name of the fax file.
  • Status. Current status of the outgoing fax or operation completion code.
  • Pages. The number of successfully sent pages and the total number of pages in the outgoing fax.
  • Rate. Transmission rate. The 'e' attribute is used to indicate Error Correction Mode (ECM).
  • Resolution. This field contains the resolution information for transmitted faxes: Normal for 204 x 98 dots per inch (dpi), Fine for 204 x 196 dpi.
  • T.38. Fax protocol information. Can be one of the following values: T.38, G.711 - audio fax over G.711 codec via VOIP or ISDN CAPI 2.0 line.
  • Remote Fax ID. The Called Subscriber ID (CSID) received from the fax recipient.
  • Called Party. The telephone number of the called party. The number is displayed in SIP, H.323 or ISDN format.
  • Local Fax ID. The Transmitting Subscriber ID (TSID) that identifies you as a fax sender, sent to the fax recipient.
  • Fax Headline. The text that is transmitted at the top of each faxed page.
  • Call Token. Unique identifier of the call.

The Status column contains additional information about the results of fax sending. Possible states and completion codes include:

  • Incoming call... Incoming call detected.
  • Answered. The call is answered but the fax not started yet.
  • Sending T.38. The call is answered and fax application is sending a fax document as T.38 fax.
  • Sending audio fax. The call is answered and fax application is sending (or trying to send) a fax document as audio fax.
  • Sending page n of N. Fax page number currently transmitted and the total number of pages in the fax.
  • Disconnecting. The process of fax transmission is in its final stage.
  • Waiting for statistics. The fax call is completed but fax application is not completed its work.
  • No response after sending a page. The outgoing fax was transmitted completely or partially, but the remote side has not confirmed the transfer of the last page.
  • The call dropped prematurely. This error usually occurs when connection dropped during a fax transmission. You should pay attention to the number of sent pages.
  • Application error or its closing when sending a fax. This error usually occurs when user stops Fax Voip application during a fax transmission. You should avoid such situations.
  • OK. Fax has been sent successfully.

Note that the fax application may provide the extended completion codes. The error generated by the fax application usually points to the specific problem that occurred when sending a fax.


Send a Fax from Console

Sending Faxes from Fax Voip Console

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ››

1. Open Fax Voip Console .

2. On the File menu, click New Fax. Or click the New Fax button on the Main tab of the Ribbon.

To create a fax that consists of a cover page only, click the Cover Page button on the Main tab of the Ribbon.

3. In the Message selection dialog, select the document you want to send as a fax, and then click Open.

4. Follow the instructions in the Fax Voip Send Fax Wizard. More information can be found in the Send a Fax with Fax Voip Virtual Printer chapter of this manual.

Notes

  • In the Message selection dialog, you can use the upper right panel to quickly navigate to a folder with outgoing or incoming faxes.
  • Fax Voip automatically selects a method of creating the fax from the original document. By default, the Fax Voip Virtual Printer (printto method) is used to create the fax. Any printable document can be sent as a fax. The printto function should be specified in your system for the selected file type. If the Direct Converting to Fax function is specified for the selected file type, the Fax Voip Virtual Printer not used.
  • To preview the document you can use the Preview Panel in the lower left corner of the Message selection dialog box. Note that this panel displays the document using GDI/GDI+ and does not guarantee successful converting or printing of the selected document. On the other hand not all file formats suitable for converting or printing can be displayed.
  • To send test fax page (Fax Voip Virtual Printer is used) on the Tools tab of the Ribbon, click Send test fax page.
  • To use the described method of sending faxes when working in the terminal window of server operating system as well as via Remote Desktop Connection (RDP) if Fax Voip installed on Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2 (any type of RDP session), you should allow Direct Converting to Fax for the file types you are going to operate with.


Send Audio Message from Console

Sending Audio Messages from Fax Voip Console

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ››

1. Open Fax Voip Console .

2. On the File menu, click Audio Message. Or click the Audio Message button on the Main tab of the Ribbon.

3. In the Audio Message selection dialog, select the audio file, and then click Open.

4. In the Fax Voip Send Audio Message Wizard, on the Recipient Information page enter the recipient phone number in the Phone number field.

5. To send audio message to multiple recipients, type each recipient’s phone number in the Phone number field, and then click Add to add the phone number to the list of phone numbers.

6. To select one or more recipients from Address Book (Windows Contacts), use Address Book button. To be added to the Phone Number list, the selected recipient should have non-empty Business phone field or non-empty Home phone field.

7. To load a list of phone numbers from the text file, use Add From File button. The functionality is similar to the same function with loading list of fax numbers, see details in the Send a Fax to Multiple Recipients chapter of this user manual.

8. On the Schedule page, you can choose when your audio message is scheduled for sending. You can send it immediately or specify a time in the next 24 hours.

9. On the Delivery Notification page, you can specify that you want to receive a delivery notification receipt, to either confirm that your audio message has been sent successfully or to notify you of a failure. The options on this page override the default behavior specified in the Delivery Receipts via E-mail (Built-in lines) settings. Receipt options include:

      • Don’t notify. No notification is required.
      • E-mail message. An e-mail message will be delivered to the specified e-mail address to confirm whether your audio message has been successfully delivered or not. You will need to enter an e-mail address to which the receipt will be delivered. You can specify not only e-mail but also the name of the recipient. You can also specify multiple recipients which should be separated by a semicolon. Example: sales@company.com;Support<support@company.com>.

CC:

Specify the e-mail recipients that appear in the Cc box of e-mail message.

BCC:

Specify the e-mail recipients that appear in the Bcc box of e-mail message.

Attach a copy of the sent audio message

Check this box to attach a copy of the sent audio message (WAV file) to the e-mail message.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

10. To listen to your audio message, use the upper panel in the wizard. You can play, stop or pause the audio message. To open audio file in the audio player software, click Open in media player button.

11. Use Save as button to save the audio message.

12. Click Send Audio button.

Notes

  • In the Audio Message selection dialog, you can use the upper right panel to quickly navigate to one of the standard folders with audio files.
  • To listen to the original wave or MP3 audio file, you can use the Preview Panel in the lower left corner of the Audio message selection dialog box. Please note that the original audio file may sound much better than the file converted to the format suitable for transmission over a telephone line.
  • You can create your own audio file in any recording and sound editing program, and then convert your file using the procedure described here. For transmission via telephone line 8 kHz 16-bit Mono wave files (.wav) are used.


Managing Faxes and Audio Messages

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ››

This section provides you with instructions on using Fax Voip Console to manage outgoing and received faxes and audio messages in the Outbox , Inbox and Fax-on-Demand folders. The Outbox is the repository of all faxes and audio messages waiting to be sent or in the process of being sent or sent. The Inbox folder stores all received faxes. Fax-on-Demand folder stores information about all incoming calls, for which the Fax on Demand (using built-in lines) function was applied.

To view a fax, see View a fax .

To listen to an audio message, see Listening to an audio message .

To print a fax, see Print a fax .

To save a fax or audio message to a folder location, see Save a fax or audio message .

To mail a fax or audio message to an e-mail address, see Mail a fax or audio message .

To pause an outgoing fax or audio message and then resume its transmission, see Pause and resume a fax or audio message transmission .

To try resending a fax or audio message that has not been sent successfully, see Retry a failed transmission .

To forward a fax by faxing it to a recipient (or forward an audio message), see Forward a fax or audio message .

To delete a fax or audio message, see Delete a fax or audio message .


View a fax

To view a fax

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Managing Faxes and Audio Messages ››

To view a fax in the Preview Panel

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. In the details pane, select the fax you want to view. The selected fax will be displayed in the Preview Panel.

4. To select a page of multiple-page fax document, use navigation buttons at the bottom of the panel.

5. You can increase or decrease image size by changing the size of the panel. Simply drag the left edge of the panel using mouse.

Notes

  • Incoming faxes originally stored in PDF or SFF format are displayed in the Preview Panel with small delay.

To view a fax in the image viewer software

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. To view the fax, double-click the selected fax. You can also view the fax by right-clicking the fax in the details pane, and then on the context menu, clicking View.

Notes

  • Outgoing faxes and received faxes that stored in the TIFF format can be usually viewed in the Windows Picture and Fax Viewer (Windows XP or Windows Server 2003) or in the Windows Photo Gallery (Windows 10, Windows 8/8.1, Windows 7, Windows Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2). Faxes received as PDF files can be viewed in the Adobe Acrobat Reader program. To view faxes received in the SFF format, you can install and use IrfanView software. You can choose the programs that will be used to view faxes, see details in the Fax Viewer Settings chapter of this user manual.

To view the fax properties

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. To view properties of an individual fax, in the details pane, right-click the fax, and then click Properties.


Listening to an audio message

To listen to an audio message

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Managing Faxes and Audio Messages ››

To listen to an audio message using the Preview Panel

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder.

3. In the details pane, select the audio message that you would like to listen to. The selected audio message will be opened in the Preview Panel.

4. You can play, stop or pause the selected audio message using the buttons located at the bottom of the panel. You can move to any position in the audio file by using the slider. Current position and the total length of the audio file (in seconds) are displayed at the bottom part of the panel to the left of the control buttons.

5. You can increase or decrease the Preview Panel size by dragging the left edge of the panel with your mouse.

To listen to an audio message using audio player software

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder.

3. To open the audio file in the audio player software, double-click on the selected entry. You can also open the audio file by right-clicking the item in the details pane of the Outbox folder, and then on the context menu, clicking Play.

Notes

  • You can choose the programs that will be used to play audio files. See in the Audio Settings chapter of this user manual, Open WAV command option.

To view the audio message properties

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder.

3. To view properties of an individual audio message, in the details pane, right-click the audio message, and then click Properties.


Print a fax

To print a fax

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Managing Faxes and Audio Messages ››

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. In the details pane, right-click the fax, and then click Print.

Notes

  • You can also print a fax from the File menu. Select the item to be printed and on the File menu, click Print.


Save a fax or audio message

To save a fax or audio message

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Managing Faxes and Audio Messages ››

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. In the details pane, right-click the fax or audio message, and then click Save As.

Notes

  • You can also save a fax or audio message from the File menu. Select the item to be saved and on the File menu, click Save As.
  • More details can be found in the Saving Faxes into different formats chapter of this user manual.


Mail a fax or audio message

To mail a fax or audio message

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Managing Faxes and Audio Messages ››

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. In the details pane, right-click the fax or audio message, and then click Mail To.

4. Continue as you would to send any e-mail message.

Notes

  • You can also mail a fax or audio message from the File menu. Select the item to be sent, and on the File menu, click Mail To.
  • To use this functionality, the MAPI mail client should be installed and properly configured onto your system. As an e-mail program that supports MAPI, you can use classic Windows Mail (formerly Outlook Express) software, which, by the way, can be easily installed in Windows 10 using Windows Mail Restore Tool developed by our company. Other examples of e-mail software with MAPI support are Microsoft Outlook, Mozilla Thunderbird etc.


Pause and resume a fax or audio message transmission

To pause and resume a fax or audio message transmission

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Managing Faxes and Audio Messages ››

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder.

3. In the details pane, right-click the fax or audio message, and then click Pause to pause the transmission.

4. After a fax or audio message transmission is paused, click Resume to take it out of its paused state, making the fax or audio message ready for transmission once again.

Notes

  • You can also pause or resume an outgoing fax or audio message from the File menu. On the File menu, select Fax (or Audio), and then click the Pause or Resume command.
  • Only a fax or audio message with Pending or Retrying status can be paused.


Retry a failed transmission

To retry a failed transmission

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Managing Faxes and Audio Messages ››

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder.

3. In the details pane, right-click the fax or audio message, and then click Restart to retry the failed transmission.

Notes

  • You can also retry an outgoing fax or audio message transmission from the File menu. On the File menu, select Fax (or Audio), and then click the Restart command.
  • When an attempt to send a fax or audio message has failed and the maximum number of retries has been exceeded, the fax (audio message) remains in the Outbox. Using Restart attempts to resend the fax (audio message) once again, and the number of retries is reset to zero. A fax (audio message) that cannot be resent remains in the Outbox until you delete it.
  • When retrying a failed transmission, you cannot modify any of the information that was specified in the Fax Voip Send Fax Wizard or in the Fax Voip Send Audio Message Wizard. If the fax (audio message) failed because of an incorrect fax/phone number, delete the fax (audio message) and create a new one. To change fax (audio message) information (recipient fax/phone number, original fax mode) use Forward command instead.


Forward a fax or audio message

To forward a fax or audio message

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Managing Faxes and Audio Messages ››

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. In the details pane, right-click the fax or audio message, and then click Forward. Or click the Forward button on the Main tab of the Ribbon.

4. In the Fax Voip Send Fax Wizard (Fax Voip Send Audio Message Wizard) enter fax/phone number and change other options if need. Click Send Fax to send a fax. Click Send Audio to send an audio message.

Notes

  • You can also forward a fax or audio message from the File menu. Select the item to be sent and on the File menu, select Fax (or Audio), and then click Forward.
  • Please note that when forwarding a received fax, the copy of the fax is created and stored in the Outbox folder.
  • You can forward any fax or audio message in the Outbox independently of its current state. Fax Voip creates new fax (audio message) job during this procedure and operates with copy of your original fax (audio message) file.
  • Alternatively, you can forward any fax by printing the fax using the Fax Voip Virtual Printer.


Delete a fax or audio message

To delete a fax or audio message

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Managing Faxes and Audio Messages ››

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. In the details pane, right-click the fax or audio message you want to delete, and then click Delete.

4. Click Yes to confirm.

Notes

  • You can also delete single or multiple faxes or audio messages from the File menu. Select the item or items to be deleted from the details pane, and then click Delete or use the Delete button on the Main tab of the Ribbon.
  • To select multiple items for deletion, hold down the SHIFT key as you select.
  • To delete only fax (audio) file, on the File menu, select Delete, and then click Delete fax or audio file. Note that this command does not remove the entries.
  • To delete all entries in the currently visible folder, on the File menu, select Delete, and then click Delete all items.
  • To delete all faxes and audio messages in the currently visible folder, on the File menu, select Delete, and then click Delete all faxes and audio messages. Note that this command does not remove the entries.


Saving Faxes into different formats

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ››

Saving a fax in a graphics format stands for converting one or several fax pages from TIFF, PDF or SFF format to one of the common graphics formats (TIFF, PDF, SFF, BMP, JPEG, GIF, PNG and PCX).

To convert a fax into another format:

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. In the details pane, right-click the fax, and then click Save As.

4. In the Save As... dialog select the format to which you want to convert the document. Then specify a file name (by default the unique file name generated by the program is used).

5. If the fax document contains multiple pages, you can indicate which pages to convert. If several pages were selected for converting into a format which does not support multi-page documents (BMP, JPEG, GIF, PNG or PCX), then several files will be created as a result, with names containing the numbers of corresponding source pages. When saving a multi-page fax message in the TIFF, PDF or SFF format, users can also save it as several single-page files. To do that, flag the Split into pages option in the Save As... dialog.

6. Some viewers may incorrectly display TIFF files in draft quality (204*98 dpi). You can convert such fax messages to the standard resolution (204*196 dpi). To do that, press the Settings button in the Save As... dialog and check the Convert to standard resolution graphics option. A similar option is also available when saving faxes into SFF (Structured Fax File) format.

7. When you make all necessary settings, click Save button.


Save as... Dialog Options

Save as... Common Dialog Options

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Saving Faxes into different formats ››

File Name:

Specify a file name in this field (the same as the source file by default).

Save as type:

Select the format to which you want to convert the document. You can save the fax into one of the common graphics formats (TIFF, PDF, SFF, BMP, JPEG, GIF, PNG and PCX).

Pages:

All

Use this option to save all pages of the selected document.

Current

Use this option to save only the page currently displayed in the Preview Panel.

Selected

Use this option to save several fax pages selected using fields From and To.

Split into pages

Uncheck this option to save a fax as multi-page document. Flag this option to save a fax as several single-page files. Note that when saving into BMP, JPEG, GIF, PNG or PCX, the document is always splited into separate pages.

Preview Panel

Used to display the fax that you want to save. To select a page of multiple-page document, should use navigation buttons to the right of the preview panel. Current page number is displayed in the Status Bar.

Use original TIFF format

Flag this option if you do not want to convert fax document. If you save a document into TIFF format, original TIFF file is simply copied to the folder you specify. When saving into PDF format, a standard conversion will be used. If you use this option, GDI/GDI+ is not used. All pages are saved and without splitting into separate files.

<Settings>

Use this button to configure additional parameters of saving: TIFF compression format , JPEG Quality , Convert to standart resolution graphics option.

Status Bar

Displays the size of the source file in bytes, the total number of pages, current page number and the resolution of the original fax picture.

<Save>

When you make all necessary settings, click this button to save your fax document.


TIFF compression and resolution

TIFF compression format and TIFF resolution

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Saving Faxes into different formats ››

When saving a fax into TIFF format, you can select type of TIFF compression. Fax Voip can convert faxes into TIFF using the following TIFF compression formats:

  • PACKBITS
  • CCITTFAX3
  • CCITTFAX4
  • LZW
  • NO COMPRESSION

You can also use Convert to standard resolution (204*196 dpi) graphics option when saving TIFF files originally created with resolution 204*98 dpi. This can be useful, as some viewers may incorrectly display TIFF files in draft quality (204*98 dpi).

To do additional settings, follow these instructions:

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. In the details pane, right-click the fax, and then click Save As.

4. In the Save As... dialog, in the Save as type: field, select Faxes(*.tif) as the format to which you want to convert the document. Then specify a file name (by default the unique file name generated by the program is used).

5. Uncheck the Use original TIFF format option, then click Settings button.

6. In the TIFF properties dialog, in the Compression format pane, select the desired format of TIFF compression. You can select between the following options: PACKBITS, CCITTFAX3, CCITTFAX4, LZW or NO COMPRESSION.

7. Check Convert to standard resolution (204x196 dpi) graphics option if you want to save your TIFF in the 204x196 dpi resolution.

8. Click OK to save settings.

9. When you make all necessary settings, in the Save As... dialog, click Save button.

Notes

  • Received faxes initially stored in the CCITTFAX4 TIFF format.
  • Outgoing faxes generated by the Fax Voip Virtual Printer, originally stored in the CCITTFAX3 TIFF format.
  • When converting into PDF format, the CCITTFAX4 TIFF compression always used.
  • When you save a fax into TIFF file with different compression formats, Windows TIFF filters are used. You can view the saved TIFF files using Windows Picture and Fax Viewer or Windows Photo Gallery. Nevertheless, the correct viewing in any TIFF viewer or correct using with any fax program not guaranteed. Note that even different versions of Windows can understand the same TIFF compression format in different ways.


SFF resolution

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Saving Faxes into different formats ››

When saving a fax into SFF (Structured Fax File) format, Modified Huffman compression is always used.

You can use Convert to standard resolution (203*196 dpi) graphics option when saving SFF files originally created with resolution 203*98 dpi. This can be useful with some SFF viewers.

To do additional settings, follow these instructions:

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. In the details pane, right-click the fax, and then click Save As.

4. In the Save As... dialog, in the Save as type: field, select Structured Fax File(*.SFF) as the format to which you want to convert the document. Then specify a file name (by default the unique file name generated by the program is used).

5. Click Settings button.

6. In the SFF properties dialog, check Convert to standard resolution (203x196 dpi) graphics option if you want to save your SFF in the 203x196 dpi resolution.

7. Click OK to save settings.

8. When you make all necessary settings, in the Save As... dialog, click Save button.


JPEG Qualily

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ›› Saving Faxes into different formats ››

When saving a fax into JPEG format, you can select JPEG Quality value. Too high value of this parameter greatly increases file size. Too low can lead to significant loss of image quality.

To change JPEG Quality, follow these instructions:

1. Open Fax Voip Console .

2. In the Fax Voip Console, open the Outbox folder, Inbox folder or Fax-on-Demand folder.

3. In the details pane, right-click the fax, and then click Save As.

4. In the Save As... dialog, in the Save as type: field, select JPEG(*.JPG) as the format to which you want to convert the document. Then specify a file name (by default the unique file name generated by the program is used).

5. Click Settings button.

6. In the JPEG properties dialog, select the desired value of JPEG Quality.

7. Click OK to save settings.

8. When you make all necessary settings, in the Save As... dialog, click Save button.


Configure Fax Voip Console views

To configure Fax Voip Console views

Send and Receive a Fax (Audio) with built-in VOIP/ISDN Fax/Audio lines ›› Fax Voip Console ››

1. Open Fax Voip Console .

2. In the console tree, select the folder you would like to customize.

3. On the View tab of the Ribbon, click Add/Remove Columns. If Fax Voip Console is running in the Classic Toolbar mode, on the View menu, click Add/Remove Columns.

4. In the Add/Remove Columns dialog, you can:

      • Add a column. Click a column name in Available columns, and then click Add.
      • Remove a column. Click a column name in Displayed columns, and then click Remove.

Notes

  • You can change the display order of a column by moving it to the left in the display pane. To move a column, select the column to be moved in Displayed columns, and then click either Move Up to move to the left or Move Down to move a column to the right.
  • To view all of the displayed columns, you may need to maximize the window, adjust the column sizes, or use the scroll bar. To adjust column sizes, click the separator line between displayed column heads and drag to either side, as required.


Licences

  • License Types
  • View License Status
  • Purchase License
  • Add/Change License
  • Upgrade to version 8
  • License Support
  • Frequently Asked Questions (FAQ)


License Types

Licences ››

Fax Voip offers the following types of licenses:

Fax Voip T38 Fax & Voice Virtual COM Port license (version 8)

Depending on the license purchased, you can use one or more Virtual COM Ports (Voice Fax modems) simultaneously. With this type of license you can:

  • Send and receive T.38 and audio (over G.711 codec) faxes via SIP, H.323 or ISDN CAPI 2.0 network using standard fax software ( Windows Fax Service / Fax and Scan *, WinFax Pro and any other fax program that can operate with fax modems or COM ports directly).
  • Send and receive both T.38 and audio (over G.711 codec) faxes and Voice Messages via SIP, H.323 or ISDN CAPI 2.0 network using programs designed to work with Voice-Fax Modems ( BVRP Classic Phone Tools 9 , FaxTalk Messenger Pro 7.5 , CallStation , Venta Fax & Voice and other).
  • Use Mail to Fax - Microsoft Fax function. Multiple e-mail attachments, Cover pages , Mail to Fax Rules , E-mail Templates .
  • Use Basic Incoming Fax Routing - Microsoft Fax (Fax Voip Routing Extension): Route through e-mail , Store in a Folder , Print with limited number of rules.
  • Use Custom Routing - Microsoft Fax for incoming faxes (Fax Voip Routing Extension).
  • Use Basic Outgoing Fax Routing - Microsoft Fax : E-mail Delivery Receipts , Store in a Folder , Print with limited number of rules.
  • Use Custom Routing - Microsoft Fax for outgoing faxes.
  • Use SendFaxMS.exe - Microsoft Fax command line tool to send faxes.
  • Create simple and complex (to large number of recipients) Windows Fax Service fax jobs using Fax Voip Virtual Printer .

Fax Voip built-in VOIP/ISDN Fax/Audio Line license (version 8)

Depending on the license purchased, you can use one or more built-in fax/audio lines simultaneously. With this type of license you can:

  • Send T.38, audio (over G.711 codec) and CAPI (B3 Protocol 4 or 5) faxes using Fax Voip Virtual Printer via SIP, H.323 or ISDN CAPI 2.0 network.
  • Receive T.38, audio (over G.711 codec) and CAPI (B3 Protocol 4 or 5) faxes as TIFF, PDF or SFF files from SIP, H.323 or ISDN CAPI 2.0 network.
  • Send faxes with cover pages , as well as faxes consisting of only a cover page.
  • Send audio messages via SIP, H.323 or ISDN CAPI 2.0 network.
  • Manage outgoing and received faxes and audio messages using Fax Voip Console application.
  • Use Mail to Fax (Mail to Audio) - Built-in lines and Delivery Receipts via E-mail - Built-in lines functions. Multiple e-mail attachments, Cover pages , Mail to Fax (Mail to Audio) Rules , E-mail Templates .
  • Use Basic Incoming Fax Routing - Built-in lines : Route through e-mail , Store in a Folder , Print , Fax-On-Demand with limited number of rules.
  • Use Custom Routing - Built-in lines for incoming faxes.
  • Use Basic Outgoing Routing - Built-in lines : E-mail Delivery Receipts , Store in a Folder , Print with limited number of rules.
  • Use Custom Routing - Built-in lines for outgoing faxes and audio messages.
  • Use SendFax.exe - Built-in lines and SendAudio.exe - Built-in lines command line tools to send faxes and audio messages.

Any combination of Virtual COM Port and built-in VOIP/ISDN Fax/Audio Line types of licenses are allowed. Basic functionality such as Multiple SIP Registrations , Outgoing and Incoming Call Routing, sending/receiving both T.38 and audio (over G.711 codec) faxes etc. are supported with any type of license and regardless of the number of virtual serial ports and built-in lines.

Fax Voip Extended Fax Routing (E-mail, Store in Folder, Print, Fax-On-Demand) license (version 8)

To use this license, you should have the Fax Voip built-in VOIP/ISDN Fax/Audio Lines license or/and Fax Voip Virtual COM Ports (modems) license installed. This license allows to significantly increase the maximum number of available rules, that can be used with the following Incoming Routing Methods and Outgoing Routing Methods:

  • Route through e-mail - Built-in lines (Incoming Fax Routing)
  • Store in a Folder - Built-in lines (Incoming Fax Routing)
  • Print - Built-in lines (Incoming Fax Routing)
  • Fax-On-Demand - Built-in lines (Incoming Fax Routing)
  • E-mail Delivery Receipts - Built-in lines (Outgoing Routing)
  • Store in a Folder - Built-in lines (Outgoing Routing)
  • Print - Built-in lines (Outgoing Fax Routing)
  • Route through e-mail - Microsoft Fax (Incoming Fax Routing, Fax Voip Routing Extension)
  • Store in a Folder - Microsoft Fax (Incoming Fax Routing, Fax Voip Routing Extension)
  • Print - Microsoft Fax (Incoming Fax Routing, Fax Voip Routing Extension)
  • E-mail Delivery Receipts - Microsoft Fax (Outgoing Fax Routing)
  • Store in a Folder - Microsoft Fax (Outgoing Fax Routing)
  • Print - Microsoft Fax (Outgoing Fax Routing)

Notes

  • (* : When using Microsoft Fax and Windows Fax and Scan, we currently recommend you to use our new solution, Fax Voip Windows Fax Service Provider (Fax Voip FSP), which was released in 2017. Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties (no workarounds are used). Outgoing Fax Routing Methods implemented in Fax Voip FSP work regardless of the user account under which the fax job was created. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.


View License Status

To View License Status

Licences ››

1. Open Fax Voip Control Panel. To do this click Start, point to Fax Voip T38 Fax & Voice; click Fax Voip Control Panel.

2. To view your License Status, in the Fax Voip Control Panel click About in TreeView. Alternatively, you can select Fax Voip Control Panel command from the Fax Voip tray icon menu.

3. To view extended License Status, in the Fax Voip Control Panel click License in TreeView. The Licenses pane indicates the number of Virtual COM Ports, Built-in Fax/Audio Lines and the maximum number of available Fax Routing rules licensed on your computer.


Purchase License

To Purchase License

Licences ››

1. To purchase a license, you should visit our website:

http://www.t38faxvoip.com/buy.htm

2. Open Fax Voip Control Panel. To do this click Start, point to Fax Voip T38 Fax & Voice; click Fax Voip Control Panel.

3. In the Fax Voip Control Panel click License in TreeView, then click Buy Now button.

4. If you do not find the required license, for example, want to buy a non-standard number of Virtual COM Ports, Built-in Fax/Audio Lines or Extended Fax Routing rules, please contact our sales department ( sales@t38faxvoip.com ) to discuss the details of your future licenses. Note that Extended Fax Routing license should be purchased separately.

5. After doing payment, in the Fax Voip Control Panel click License in TreeView, then click Register.

6. The section To order License Key in the Fax Voip Licensing window indicates your computer's unique System ID. This information is required to generate your license key. You should select your SystemID, Copy and paste the SystemID in your document (e-mail). You should also provide the information that confirms your payment. This e-mail should be sent to sales@t38faxvoip.com .

7. Usually, we send you an e-mail with a proposal to send your System ID. You should specify a valid e-mail address when paying for a product to be possible to contact you.

Notes

  • Your SystemID depends on Hardware of your computer. If you are planning to do some changes with your Hardware, please do it before ordering your License Key.
  • If you already have previously purchased licenses and you want to increase the number of Virtual COM Ports (modems), Built-in Fax/Audio Lines or Extended Fax Routing rules on your computer, please inform our sales department about this. Changes the type of License will require replacement of License Key.
  • In the case of simultaneous buying Built-in Fax/Audio Lines license or/and Virtual COM Ports (modems) license and Extended Fax Routing license, in your e-mail with SystemID, please indicate that both licenses are intended for the same computer.
  • If you already have previously purchased Built-in Fax/Audio Lines or/and Virtual COM Ports (modems) licenses and you want to add Extended Fax Routing license to increase the number of Fax Routing rules on your computer, please provide us with the information about your valid Built-in Fax/Audio Lines or/and Virtual COM Ports (modems) license. Adding Extended Fax Routing license will require replacement of License Key.


Add/Change License

To Add/Change License

Licences ››

1. To Add New License or replace your License Key in the Fax Voip Control Panel click License in TreeView, then click Register button.

2. Copy the License Info from e-mail and paste it in the License Info field in section To activate License Key in the Fax Voip Licensing window. The first number indicates the number of Virtual COM Ports (modems), the second - the number of Built-in Fax/Audio Lines, the third - the number of Extended Fax Routing rules.

3. Copy the License Key from e-mail and paste it in the License Key field in section To activate License Key in the Fax Voip Licensing window.

4. Click Update button. To activate your License Key, administrator privileges are required.

5. Wait for the Fax Voip to configure and restart the services.

6. Click the License has been activated message in the system tray. Restart Fax Voip by clicking the Fax Voip T38 Fax & Voice shortcut on the desktop or using any other way.

7. Open the Fax Voip Control Panel by double-clicking the Fax Voip icon in the tray. Click About in TreeView and view License Status.

8. To view extended License Status in the Fax Voip Control Panel click License in TreeView.

Notes

  • Please Save your System ID and e-mail with your License Key.
  • The license key is checked before saving the key in the Windows registry. Thus, the possibility of accidentally entering of the invalid license key is excluded.
  • To remove license key, click Remove button. Administrator privileges are required.


Upgrade to version 8

Upgrade to Fax Voip version 8

Licences ››

If you are currently using an older version of Fax Voip (version 7 or earlier) you can upgrade to Fax Voip version 8 at a special discount. The Upgrade to Fax Voip version 8 option is available only for the computer for which Fax Voip has been licensed previously.

To upgrade your current license, do the following:

1. Open Fax Voip Control Panel. To do this click Start, point to Fax Voip T38 Fax & Voice; click Fax Voip Control Panel.

2. Click License in TreeView.

3. The Licenses pane shows all the licenses that are valid for previous versions of Fax Voip. The <Upgrade> button should be visible and available. If for some reason you don't see your old licenses, please contact our sales department .

4. Click <Upgrade>. You will be redirected to the payment page, where you can pay for the upgrade of your current license.

5. After doing payment, in the Fax Voip Control Panel click License in TreeView, then click Register.

6. In the Fax Voip Licensing window, in the To upgrade your License section click Click to show additional verification codes link. Administrator privileges are required.

7. Copy and paste the following information into your document (e-mail):

        • SystemID (-FV8 at the end)
        • Verification code #1 (-FV81 at the end)
        • Verification code #2 (-FV82 at the end, if only displayed)

The SystemID is required to generate your license key. Verification codes are required to verify that the Fax Voip really running on the computer for which you have valid license for previous versions of Fax Voip.

8. The email with SystemID and Verification codes should be sent to sales@t38faxvoip.com .

9. After receiving the new license key follow the instructions in the chapter To Add/Change License .

Notes

  • The upgrade version of Fax Voip 8 will check your hard drive to verify that you are a licensed user of a qualifying Fax Voip software product. Trial versions of Fax Voip software do not qualify as an eligible product. You will be unable to install the Fax Voip 8 upgrade if you do not have valid Fax Voip license already installed.
  • You can only upgrade an existing license (the same number of Virtual COM Ports, built-in lines and Fax Routing rules). If you need additional Virtual COM Ports, built-in lines or Fax Routing rules you can buy them separately.
  • License upgrade does not involve transfer of license to another computer and should be done on the computer where Fax Voip has been licensed previously.
  • The discount provided in case of upgrade depends on the current policy of Fax Voip Software and can be changed after some time.
  • Any questions regarding upgrade eligibility or upgrade requirements please send email to the sales department .


License Support

Licences ››

The license support period is 1 calendar year from the date of purchase of the license.

  • The license key is tied to a single computer and generated based on computer's unique System ID. By default the license key is not time-limited.
  • Free replacement of license key (generation of a new key for another System ID) due to the modification of computer hardware, reinstallation of the operating system, etc. is allowed during license support period (1 year). By default, the interval between changes of the license can not be less than 3 months. In any case, free replacement of license key during license support period is allowed no more than 2 (two) times.
  • When replacing the license key for free the old license key (System ID) is blocked and added to the blacklist. Thus, you can not ever use Fax Voip on your old computer after such replacement of license key.
  • The user of licensed version of the program has the right to pay for the extension of the license support. The cost of extending the license support for 1 year is set at 30% of the current price of your license at the time of renewal.
  • Any questions regarding license support please send email to the sales department .


Frequently Asked Questions

Frequently Asked Questions (FAQ)

Licences ››

I want to buy Fax Voip. How can I do it?

Please visit our website and go to the payment page . Select the license you want to buy and click Buy Now. Follow the instructions of the payment system.

I am going to buy Fax Voip. What kind of license do I need?

Detailed description of the differences between 2 types of licenses can be found in the License Types chapter of this manual as well as on our website on the payment page . With Fax Voip T38 Fax & Voice Virtual COM Port license you can send/receive faxes via standard fax program . With Fax Voip built-in VOIP/ISDN Fax/Audio Line license you can send/receive faxes and audio messages using Fax Voip Virtual Printer , Fax Voip Send Audio Message Wizard and Fax Voip Console . Licenses also differ in the number of ports or (and) lines, which corresponds to the number of faxes / audio messages you can send/receive simultaneously. The Extended Fax Routing (E-mail, Store In Folder, Print, Fax-On-Demand) license (should be purchased separately) is an extension to Fax Voip T38 Fax & Voice Virtual COM Port license or/and Fax Voip built-in VOIP/ISDN Fax/Audio Line license, and is needed for fax routing to a large number of recipients (for example, via e-mail).

What type of license do I have in trial version?

Fax Voip TRIAL operates as follows:

Fax Voip License

2 Virtual COM Ports

(T38/G711Fax/ISDN/Voice modems)

+2 built-in VOIP/ISDN Fax/Audio Lines (T38 and audio fax)

but with limited trial period of 15 days.

I would like to buy "Fax Voip SIP/H.323/ISDN T38 Fax & Voice License 9 Virtual COM Ports (T38/G711Fax/Voice modems)" but do not see such a license on your payment page... How can I buy it?

We can sell any number of Virtual COM Ports (modems) or (and) built-in lines. If you do not see the required license on our website on the payment page , please contact our sales department and we will send you a reference required to purchase the necessary license.

I have purchased a license. Where is my license key?...

As it's mentioned in chapter Purchase License of this manual, after doing payment you should send your SystemID to our sales department . We need your SystemID to generate your license key. Usually, we send you an e-mail with a proposal to send your System ID. You should specify a valid e-mail address when paying for a product to be possible to contact you. We usually try to contact you within a few hours after receiving the money from you (but no later than 48 hours, according to the requirements of the payment system).

I just ordered a "Fax Voip built-in VOIP/ISDN Fax/Audio Lines License", but I think I made a mistake... Can you please send me "Fax Voip SIP/H.323/ISDN T38 Fax & Voice License 1 Virtual COM Port" (the same price)?

Yes, you can ask us about this change. This can be done before getting the license key, and within a few days after getting the license key. Note that you are not able simultaneously use more than one license key on your computer.

I have purchased a license. However, when trying to send a fax, in the Fax Voip Console I get the error "Operation not licensed". Why?

What is the name of your license? To be possible to operate with Fax Voip Virtual Printer and Fax Voip Console , you should buy Fax Voip built-in VOIP/ISDN Fax Line license. Perhaps you purchased the "Fax Voip T38 Fax & Voice Virtual COM Port" license. Detailed description of the differences between 2 types of licenses can be found in the License Types chapter of this manual as well as on our website on the payment page .

I have purchased “Fax Voip built-in VOIP/ISDN Fax/Audio Lines License 1 Line (T38 and audio fax)”. We would like to add “1 Virtual COM Port” license to our license and to have “Fax Voip License 1 Virtual COM Port (T38/G711Fax/ISDN/Voice modem) +1 built-in VOIP/ISDN Fax/Audio Line (T38 and audio fax)”. What should I do?

Please visit our website . To add “1 Virtual COM Port” you now should pay for Fax Voip SIP/H.323/ISDN T38 Fax & Voice License 1 Virtual COM Port (T38/G711Fax/Voice modem) license and then contact our sales department . We will replace you current license key with the new key (the same computer) Fax Voip License 1 Virtual COM Port (T38/G711Fax/ISDN/Voice modem) +1 built-in VOIP/ISDN Fax/Audio Line (T38 and audio fax). If you do not see the required license you want to add, contact our sales department and we will send you a payment link required to purchase the necessary license. Please note that in this case you can not pay the price difference between 2 licenses and are have to pay the full price for the license that you want to add.

I have paid for my license, please send me the license key. I have installed the Fax Voip on a temporary server, the next weeks I will install Fax Voip on a new server. (Next month, year I am going to buy new computer or change my hard drive...) Can I ask for another license later?

You can ask for a temporary license key (with Expiration Date). In this case you will be able to ask for another license key (even for another computer) at the end of the license period. If you want to get a temporary license key instead of permanent, you should ask about it before getting a license. By default, we give you a permanent license key tied to a single SystemID.

What happens to my license if I reinstalled Fax Voip? What happens to my license if I reinstalled Windows? Do I have to ask for a new license key?

When removing and reinstalling the Fax Voip, your license key is stored in the Windows Registry. No need to enter it again.

The license is tied to your single computer (SystemID). If you use normal hardware computer, SystemID depends only on your hardware and does not depend on your Windows operation system. After reinstallation of your Windows you can use your license key without problem. In this case, you must re-enter the license key. If you use Virtual machine, SystemID not saved due to the lack of hardware as such. You should install Fax Voip at normal hardware computer to avoid problems of this kind. Free replacement of license key is allowed during license support period (1 year) and no more than 2 (two) times.

Where can I download “16 Virtual COM Ports” (or “8 Fax Lines”) trial version?

2 Virtual COM Ports (modems) and 2 built-in lines, available to you during the TRIAL period, more than enough for testing. The other lines will operate the same way. If you need more lines, you should purchase a license .

I am using a desktop at home but also a laptop when I go on a trip. Also, I sometimes work on my office computer... I never use both computers at the same time. Can you please give me a license key that will work on both machines?

The license is tied to a single computer. If you want to use Fax Voip on multiple computers, you should purchase a separate license for every computer.

Our trial is expired. Can I get an extension to your trial? (How can I reset trial period?)

We don’t know how to reset trial period at your computer. We also do not know how to hack our protection. 15 days is more than enough for testing. If you intend to use Fax Voip after 15 days, you should purchase a license .

We are a well known company, our products are known around the world... Can you please send us the license key, ideally not bound to a machine since we have a lot of testing machines..?

15 days is more than enough for testing. If you intend to use Fax Voip after 15 days, you should purchase a license . The license is tied to a single computer, therefore you need to purchase a separate license for every computer where you want to use Fax Voip. Well-known successful companies usually do not ask such a question. Moreover, our prices are relatively low.

My hard drive (my motherboard) died which was unexpected... Can you please send me another license?

We do not recommend you to install our software on old computers with bad hard drives. It should also be noted that the lifetime of the hard drive is at least 2-3 years (and this at a very rough handling). Free replacement of license key is allowed during license support period (1 year) and no more than 2 (two) times. Please contact our sales department .

I cloned my hard drive using the special program, deactivated the old one (because of hardware problem) and started the new one. But the Fax Voip is not licensed now. Then I removed Fax Voip from my machine, rebooted and reinstalled it. But the same problem...

The license is tied to a single computer (SystemID). Your SystemID can not be “cloned”, it depends on your hardware (hard drive). Free replacement of license key is allowed during license support period (1 year) and no more than 2 (two) times. Please contact our sales department .

I have reinstalled Windows and my SystemID changed. I use Virtual Machine (VMWare etc) and my virtual server crashed last Friday. Can you please send me another license?

We strongly do not recommend to install Fax Voip on virtual machines. Virtual machines are highly unstable and require frequent re-installation in which SystemID not saved due to the lack of hardware as such. Please install Fax Voip on normal hardware computer. In any case you can ask for new license key during license support period (1 year). The interval between changes of the license can not be less than 3 months. Free replacement of license key during license support period is allowed no more than 2 (two) times. Please contact our sales department .

I desided to use Fax Voip at another computer. Can you please send me another license? (How can I move my license?)

The license is tied to a single computer. Free replacement of license key is allowed during license support period (1 year) and no more than 2 (two) times. When replacing the license key for free the old license key (System ID) is blocked and added to the blacklist. Thus, you can not ever use Fax Voip on your old computer after such replacement of license key.

I want to be a reseller of your program. What should I do? Will I have any special discounts?

You can register as our affiliate at Share-it website and to get some discount (more details can be found at Share-it website ). If you need additional information how Share-it affiliate program works, you should contact Share-it Support Team.

I installed the new version of the Fax Voip 8.x.x. I have a valid license key installed, but Fax Voip still shows as trial version. Where is the problem?...

Most likely your license allows you to use Fax Voip version 7.6.1 or earlier. You can upgrade to Fax Voip version 8 at a special discount.

We have used illegal copy of Windows and were forced to destroy our computers (with Fax Voip license installed).... Can you please send me another Fax Voip license?

Sorry, but in this case, you definitely have to purchase a new Fax Voip license .


Backup or Restore Wizard

Fax Voip Backup or Restore Wizard

The Fax Voip Backup or Restore Wizard allows you to perform the following tasks:

  • To backup your current Fax Voip configuration and files.
  • To restore Fax Voip configuration and files from backup.
  • To move your current Fax Voip configuration and files to other computer.

To run Fax Voip Backup or Restore Wizard, administrator privileges are required.

There are different ways to run Fax Voip Backup or Restore Wizard:

  • In the Fax Voip Control Panel , click the Backup or Restore Wizard on the Tools tab of the Ribbon.
  • In the Fax Voip tray menu, click Backup or Restore Wizard. See also in the System Tray Menu Options chapter of this user manual.
  • In the Fax Voip Console , click the Backup or Restore Wizard on the Tools tab of the Ribbon.
  • You can run Fax Voip Backup or Restore Wizard manually by running FVBackup.exe file. This file is stored in the Fax Voip installation folder, usually C:\Program Files\FaxVoip.

Notes

  • Fax Voip Backup or Restore Wizard is initially implemented in Fax Voip version 6.5.1. With some limitations can be used with older Fax Voip versions .


Backup settings and files

To backup Fax Voip settings and files

Backup or Restore Wizard ››

1. Run Fax Voip Backup or Restore Wizard . To run Fax Voip Backup or Restore Wizard, administrator privileges are required. Click <Next>.

2. On the Backup or Restore Fax Voip page, select Back up Fax Voip settings and files option. Click <Next>.

3. On the What to Backup page specify backup options and then click <Next>.

The backup options are:

All Fax Voip Settings and files created in program operations

Select this option to save all possible Fax Voip settings and files.

Let me choose what to backup

Select this option to selectively save your settings and files. Tick the options for saving.

License Key

Tick this option to save your license key. Please note that your license key is tied to the current computer (SystemID) and can not be moved to other machine. Do not use this option when moving your configuration to other computer.

Settings (SIP, H.323, CAPI 2.0, Call Routing, Fax, E-mail etc...)

Tick this option to save your configuration. Please note that Mail to Fax (Mail to Audio) Settings - Built-in lines and Mail to Fax Settings - Microsoft Fax in version 8.1.1 or later are incompatible with similar settings in version 7.6.1 or earlier and can not be moved to the old version or vice versa. Starting with version 7.2.1, this option also saves custom E-mail Templates and Language Profiles (include profiles created by the user). You can move settings from Fax Voip version 6.4.1 or earlier to Fax Voip version 6.5.1 or later, but there is no backward compatibility between 6.5.1 and earlier versions, ie you can not move the settings from version 6.5.1 (or later) to an earlier version.

Incoming Methods (Route through e-mail, Store in a folder, Print)

Tick this option to save your Incoming Routing Methods (Built-in lines) and Incoming Routing Methods (Microsoft Fax) settings.

Outgoing Methods (E-mail Delivery Receipts, Store in a folder, Print)

Tick this option to save your Outgoing Routing Methods (Built-in lines) and Outgoing Routing Methods (Microsoft Fax) settings. Not applicable to versions prior to 8.3.1.

Mail to Fax Customization Rules

Tick this option to save your Mail to Fax (Mail to Audio) Rules - Built-in lines and Mail to Fax Rules - Microsoft Fax settings. Not applicable to versions prior to 8.1.1.

Fax Voip Console database

Tick this option to save Fax Voip database (faxvoip.mdb file). Fax Voip database is used to save information about all outgoing, incoming and Fax-on-Demand faxes and outgoing audio messages that you can see in the Fax Voip Console .

Sent and received faxes, audio messages

Tick this option to save outgoing and incoming faxes and audio messages stored in the Outbox and Inbox folders in the Fax Voip Console . Note that this option saves only the fax images and audio files. To save the related information, use the Fax Voip Console database option.

4. On the next page select the folder where to save your backup. Type the name of new folder where your backup files will be saved. By default the wizard prompts to create the folder on your desktop. Click <Next> to start backup.

5. On the Completing the Fax Voip Backup or Restore Wizard page you can check Show Backup files option to open the backup folder in the Windows Explorer. To close wizard, click <Finish>.


Restore settings and files

To restore Fax Voip settings and files

Backup or Restore Wizard ››

1. Run Fax Voip Backup or Restore Wizard . To run Fax Voip Backup or Restore Wizard, administrator privileges are required. Click <Next>.

2. On the Backup or Restore Fax Voip page, select Restore Fax Voip settings and files option. Click <Next>.

3. On the next page select the folder where your backup is stored. Click <Next>.

4. On the What to Restore page specify restore options and then click <Next> to start the restore procedure.

The restore options are:

Restore License Key

Tick this option to restore your license key. Please note that your license key is tied to the current computer (SystemID) and can not be moved to other machine.

Restore Settings (SIP, H.323, CAPI 2.0, Call Routing, Fax, E-mail etc...)

Tick this option to restore your configuration. Please note that Mail to Fax (Mail to Audio) Settings - Built-in lines and Mail to Fax Settings - Microsoft Fax in version 8.1.1 or later are incompatible with similar settings in version 7.6.1 or earlier and can not be moved from the old version or vice versa. Starting with version 7.2.1, this option also restores custom E-mail Templates and Language Profiles (include profiles created by the user). You can move settings from Fax Voip version 6.4.1 or earlier to Fax Voip version 6.5.1 or later, but there is no backward compatibility between 6.5.1 and earlier versions, ie you can not move the settings from version 6.5.1 (or later) to an earlier version.

Restore Incoming Methods (Route through e-mail, Store in a folder, Print)

Tick this option to restore your Incoming Routing Methods (Built-in lines) and Incoming Routing Methods (Microsoft Fax) settings.

Restore Outgoing Methods (E-mail Delivery Receipts, Store in a folder, Print)

Tick this option to restore your Outgoing Routing Methods (Built-in lines) and Outgoing Routing Methods (Microsoft Fax) settings. Not applicable to versions prior to 8.3.1.

Restore Mail to Fax Customization Rules

Tick this option to restore your Mail to Fax (Mail to Audio) Rules - Built-in lines and Mail to Fax Rules - Microsoft Fax settings. Not applicable to versions prior to 8.1.1.

Restore Fax Voip Console database

Tick this option to restore Fax Voip database (faxvoip.mdb file). Fax Voip database is used to save information about all outgoing, incoming and Fax-on-Demand faxes and outgoing audio messages that you can see in the Fax Voip Console .

Restore sent faxes and audio messages

Tick this option to restore outgoing faxes and audio messages stored in the Outbox folder in the Fax Voip Console . Note that this option restores only the fax images and audio files. To restore the related information, use the Restore Fax Voip Console database option.

Restore received faxes

Tick this option to restore incoming faxes stored in the Inbox folder in the Fax Voip Console . Note that this option restores only the fax images. To restore the related information, use the Restore Fax Voip Console database option.

5. On the Completing the Fax Voip Backup or Restore Wizard page click <Finish>.


Using Wizard with older versions

Using Fax Voip Backup or Restore Wizard with older versions

Backup or Restore Wizard ››

Moving your settings from version 7.6.1 (or earlier) to version 8.1.1 (or later)

Please note that Mail to Fax (Mail to Audio) Settings - Built-in lines and Mail to Fax Settings - Microsoft Fax in version 8.1.1 or later are incompatible with similar settings in version 7.6.1 or earlier and can not be moved from the old version or vice versa.

Using Fax Voip Backup or Restore Wizard with versions 6.4.1 or earlier

The Fax Voip Backup or Restore Wizard is initially implemented in Fax Voip version 6.5.1. With some limitations it can be used with versions 6.4.1 or earlier. The wizard is not included in Fax Voip version 6.4.1 or earlier. The last version of the Fax Voip Backup or Restore Wizard can be downloaded from our website :

http://www.t38faxvoip.com/downloads/NET_4_5/FVBackup.exe (compatible with .Net Framework 4.5)

http://www.t38faxvoip.com/downloads/NET_2_0/FVBackup.exe (compatible with .Net Framework 2.0)

You can run the wizard from any location on your computer.

To run Fax Voip Backup or Restore Wizard, administrator privileges are required.

When running the Fax Voip Backup or Restore Wizard with Fax Voip version 6.4.1 or earlier, the following should be taken into account:

  • The configuration (SIP, H.323, CAPI 2.0, Call Routing, Fax, E-mail etc...) stored with Fax Voip version 6.4.1 or earlier can be moved to Fax Voip version 6.5.1 or later or restored in version 6.4.1 or earlier.
  • There is no backward compatibility between 6.5.1 and earlier versions, ie you can not move the configuration (SIP, H.323, CAPI 2.0, Call Routing, Fax, E-mail etc...) from version 6.5.1 to an earlier version.
  • Other settings and files, such as Incoming Methods, Fax Voip database, sent and received faxes can be moved regardless of the Fax Voip version.
  • We did not test Fax Voip Backup or Restore Wizard with versions earlier than 6.4.1. Nevertheless, it should work with earlier versions, if only you don't use very old Fax Voip version.


Removing Fax Voip

  • To Remove Software


To Remove Software

Removing the Software

Removing Fax Voip ››

To remove Fax Voip from the local computer

1. Close all Fax Voip components to avoid possible problems.

2. Right click the Start button, and then click Apps and Features.

3. Select the Fax Voip entry, and then click Uninstall.

4. In the Uninstall Fax Voip wizard click Uninstall.

5. Specify uninstall options and then click Continue. If you want to keep settings and do not want to delete files created in program operations, leave the default options as shown in the picture below.

The uninstall options are:

All files

Select this option to completely remove the program from your computer. All your settings and files created in program operations (sent and received faxes, Fax Voip Console database, logs etc...) will be removed. Be careful! Deleted documents can not be restored.

Specified files

Select this option to keep settings and files created in program operations. Tick the components for removal.

Program Files

This option is always selected and can not be unchecked.

Virtual COM Ports and Modems

This option is always selected and can not be unchecked.

Fax Voip Routing Extension (Windows Fax Service)

This option is always selected and can not be unchecked.

Fax Voip Virtual Printer

This option is always selected and can not be unchecked.

Settings (SIP, H.323, CAPI 2.0, Call Routing, Fax, E-mail etc...)

Tick this option to delete your settings. This option also removes custom E-mail Templates and Language Profiles (include profiles created by the user).

Incoming Methods (Route through e-mail, Store in a folder, Print)

Tick this option to delete your Incoming Routing Methods (Built-in lines) and Incoming Routing Methods (Microsoft Fax) settings.

Outgoing Methods (E-mail Delivery Receipts, Store in a folder, Print)

Tick this option to delete your Outgoing Routing Methods (Built-in lines) and Outgoing Routing Methods (Microsoft Fax) settings.

Mail to Fax Customization Rules

Tick this option to delete Mail to Fax (Mail to Audio) Rules - Built-in lines and Mail to Fax Rules - Microsoft Fax .

Files created in program operations: sent and received faxes, audio messages, Fax Voip Console database, logs etc...

Tick this option to delete files created in program operations. Be careful! Deleted documents can not be restored.

6. At the final window of the Uninstall Fax Voip wizard click Finish.


Running Fax Voip via Remote Desktop

Running Fax Voip via Remote Desktop (RDP)

With Remote Desktop Connection (RDP) you can remotely configure and run applications at your computer. RDP is a standard Windows feature, no need to download complicated, sometimes poor-quality third-party software. You can use RDP to remotely install and configure Fax Voip application. The administrator account should be used.

To do necessary settings on the computer where Fax Voip installed, see Configure RDP on the computer I want to connect to .

To connect to the computer with Fax Voip from the other machine, see Connect to remote computer using RDP .

You can also operate with Fax Voip via RDP, but should take into account that, depending on the version of your operating system and connection method (console or terminal), some features may not work correctly. In particular, you can not use the Send a Fax with Fax Voip Virtual Printer function via a terminal connection to the server operating system. Also this feature will not work via any type of RDP connection if Fax Voip installed on Vista, Windows 7, Windows 8/8.1, Windows 10, Windows Server 2008/2008R2, Windows Server 2012/2012R2, Windows Server 2016 or Windows Server 2019 computer. We also can not guarantee correct operation of the program in the case of multiple connections to the server operating system via terminal sessions.

Some of the most well-known problems and solutions when connecting via RDP described in Troubleshooting using RDP section of this chapter.

Note that if you need remote assistance , you should grant access to your computer via standard RDP connection, as described in this chapter. It should be noted that our experts do not use any other software for remote assistance .


Configure RDP on the computer I want to connect to

Running Fax Voip via Remote Desktop ››

To configure RDP access on Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2

To allow remote connections on the computer you want to connect to:

1. Right click the Start button, and then click System. In the About window click System Info.

2. In the System window, in the left pane click Remote settings. If you're prompted for an administrator password or confirmation, type the password or provide confirmation.

3. In the Remote tab in the System Properties dialog box, under Remote Desktop, select Allow remote connection to this computers option. Uncheck Allow connections only from computers running Remote Desktop with Network Level Authentication option to be possible to access your computer from old clients.

4. If you're an administrator on the computer, your current user account will automatically be added to the list of remote users and you can skip other steps.

5. Click OK or Apply to save settings.

To configure RDP access on Windows XP or Windows Server 2003

To allow remote connections on the computer you want to connect to:

1. Click Start, point to Settings, then click Control Panel.

2. In the Control Panel, click System to open System Properties dialog box.

3. In the Remote tab in the System Properties dialog box, under Remote Desktop, select Enable Remote Desktop on this computer options.

4. If you're an administrator on the computer, your current user account will automatically be added to the list of remote users and you can skip other steps.

5. Click OK or Apply to save settings.

Notes

  • Not all editions of Windows include Remote Desktop Connection feature. See also documentation to your Windows operating system.
  • When configuring Remote Desktop Connection feature on Windows 10, Windows 8/8.1, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008/2008R2, you can also use Allow connections only from computers running Remote Desktop with Network Level Authentication option. But in this case you will not be able to connect to your computer using older operating systems such as Windows XP or Windows Server 2003.


Connect to remote computer using RDP

Running Fax Voip via Remote Desktop ››

To start Remote Desktop on the computer you want to work from:

1. Click Start, point to Windows Accessories; click Remote Desktop Connection.

If you intend to connect to the server operating system (Windows Server 2003, Windows Server 2008/2008R2, Windows Server 2012/2012R2, Windows Server 2016 or Windows Server 2019), we strongly recommend to connect via console session instead of using default terminal connection (see also Troubleshooting using RDP ). To configure your RDP client to operate in console mode, right click Remote Desktop Connection, select More, and then click Open file location. Right click Remote Desktop Connection shortcut, in the menu click Properties to open Remote Desktop Connection Properties dialog box. In the Shortcut tab, in the Target field add /admin option to have “%windir%\system32\mstsc.exe /admin” (see picture below). Note that with some older versions of the RDP client, you should use the /console option instead of the /admin option (see documentation to your Windows OS).

2. In the Remote Desktop Connection dialog box, in the Computer box, type the name of the computer that you want to connect to, and then click Connect. (You can also type the IP address instead of the computer name).

3. You will be asked for credentials when you connect.

Notes

  • The version of Remote Desktop Connection client depends on the edition, Service Pack version or version of your Windows. See also documentation to your Windows operating system.
  • To understand what option, /admin or /console, you need to use to run your Remote Desktop Connection client in the console mode, right click Start, click Run, type “mstsc.exe /?” and then click OK. All necessary information will be displayed in the dialog box.


Troubleshooting using RDP

Running Fax Voip via Remote Desktop ››

I am using Fax Voip running on Windows Server 2003 via Remote Desktop Connection. After sending the document to the Fax Voip Virtual Printer, Fax Voip Send Fax Wizard window does not appear on my screen. I am not able to enter the phone number where to send a fax. Where is the problem?

By default, your RDP client connects to your server using a terminal session. Keep in mind, that Send a Fax with Fax Voip Virtual Printer feature is not designed to work in a terminal window of server operating system. You should connect to your Windows Server 2003 operating system using the console session. The problem should be solved on the client side (on the computer you want to work from). To configure your RDP client to operate in console mode, select Remote Desktop Connection shortcut, in the menu click Properties to open Remote Desktop Connection Properties dialog box. In the Shortcut tab, in the Target field add /admin option to have “%windir%\system32\mstsc.exe /admin”. Note that with some older versions of the RDP client, you should use the /console option instead of the /admin option (see documentation to your client Windows OS). See also in the Connect to remote computer using RDP section of this chapter.

To resolve this problem, as an alternative, you can use Send a Fax using Direct Converting function to create and send the fax. See also Sending Faxes from Fax Voip Console chapter.

I am using Fax Voip running on Windows 10 (Windows 8, Windows 7, Vista, Windows Server 2019, Windows Server 2016, Windows Server 2012, Windows Server 2008) via Remote Desktop Connection. After sending the document to the Fax Voip Virtual Printer, Fax Voip Send Fax Wizard window does not appear on my screen. I am not able to enter the phone number where to send a fax. Where is the problem?

Unfortunately, currently there is no solution to this problem for these operating systems. Use the usual way to access the system.

To resolve this problem, as an alternative, you can use Send a Fax using Direct Converting function to create and send the fax. See also Sending Faxes from Fax Voip Console chapter.

I have many difficulties when I try to operate with Fax Voip via RDP connection. Where is the problem?

You should use the administrator account when access to your remote computer where Fax Voip installed. You should connect to your server operating system using the console session (see above).

I can not work properly with my fax program via RDP connection. What to do?

Try to find the answer in the documentation for your fax program or contact the developers of your program. You may have to use the console session instead of terminal session (see above). Perhaps your fax program is not designed to operate via RDP.


Virtual Machines Problems

Currently, the installation of Windows operating system on Virtual Machine is quite popular. Tens and hundreds of developers insist that their Virtual Machines provide exactly the same environment as provided by normal hardware computers. According to their statements, there are no difference between the operating system installed on Virtual Machine and the operating system installed in the usual way.

Unfortunately, in practice, the picture may be much more sad. Your system is unstable, you often have to reinstall it. You often have problems with standard features, drivers and so on. Your favorite programs are not working properly or crashing at the most inopportune moment. You start to blame the software developers and say that they write poor-quality programs.

So, is it possible to install Fax Voip on a Virtual Machine? Will it work on it?

Yes you can. But... FaxVoip Software does not give any warranties and accept no liability if Fax Voip program will not operate correctly when installed on a Virtual Machine. Fax Voip is a rather complicated application from a technical point of view. It is no wonder that any of the carefully concealed defects of your Virtual Machine may emerge and cause an error. In the case of error that can not be confirmed by reproducing the same problem on the hardware computer with the same operating system installed on it, our experts are unlikely to be able to help you. We test our program on the normal hardware machines and never use Virtual Machines. Perhaps your Virtual Machine is the best in the world, but please try to solve the problem with its developers, because they, not we, and not Windows developers states that the "Virtual Machine works just as well".

In other words, we strongly recommend that you install Fax Voip on the normal hardware-based computer.

Answers to questions frequently asked by users of Virtual Machines can be found in the Frequently Asked Questions (FAQ) section of this chapter.


Frequently Asked Questions

Frequently Asked Questions (FAQ)

Virtual Machines Problems ››

I have reinstalled Windows and my SystemID changed. I use Virtual Machine (VMWare etc) and my virtual server crashed last Friday. Can you please send me another license?

We strongly do not recommend to install Fax Voip on Virtual Machines. Virtual Machines are highly unstable and require frequent re-installation in which SystemID not saved due to the lack of hardware as such. Please install Fax Voip on normal hardware computer. If you still decided to ignore our recommendation and to install Fax Voip on a Virtual Machine, you should understand the following. In any case you can ask for new license key during license support period (1 year). The interval between changes of the license can not be less than 3 months. Free replacement of license key during license support period is allowed no more than 2 (two) times.

I have one problem with your software. On my VMWare Machine, Windows XP SP3 (Windows 7, Windows 10), when I send (receive) a fax, there are no problems. But then Fax Voip crashes. Do you have any suggestion, what can I do?

You can install Fax Voip on the same operation system installed on normal hardware-based machine.

Our specialists are not very good experts in the part of Virtual Machines and we are ready to confirm it. Please, address this question to VMware support. They are good experts in parts of Windows and should provide correct operation of Windows-compatible programs on their virtual systems.

Hi, I just upgraded from V7 to V8 of your Fax Voip and now not able to run Fax Voip Control Panel. In my log I see: Faulting application T38setup.exe, version 8.1.0.1, faulting module kernel32.dll...I have not had this error in previous version. I use VMWare... Can you fix the problem?

We do not give any warranties if Fax Voip program will not operate correctly when installed on a Virtual Machine. Maybe we've added some new function, used WIN API, that not been used in the previous version of Fax Voip. Likely to support this function is not finalized in your Virtual Machine. Please contact your VM Support Team and ask them to fix this issue.

Are you going to support Virtual Machines in the future?

We support the correct operation of our program in the Microsoft Windows operating systems. The correct functioning of the operating system is definitly the task for those who develop equipment (in the case of Virtual Machine, developers of your Virtual Machine).


Technical Support

You can contact our technical support by sending an e-mail to support@t38faxvoip.com

For the latest technical support information, please visit http://www.t38faxvoip.com

Sales department: sales@t38faxvoip.com

Notes

  • Our experts are also ready to help you via Remote Assistance .


Remote Assistance

Technical Support ››

In the case of non-standard problems, as well as to accelerate the solution of problems, our experts can provide Remote Assistance and help to correct the problem directly on your computer. To use this possibility, you must grant access to your computer via Remote Desktop connection (RDP) . To get Remote Assistance, please contact our Support Team .

Frequently Asked Questions (FAQ)

How do I configure my computer to your experts were able to access it and provide remote assistance?

You should to configure access via Remote Desktop Connection on your computer where Fax Voip installed. To do this, follow the instructions in the Configure RDP on the computer I want to connect to chapter.

What program do you use for remote access to my computer?

Our experts use a standard Remote Desktop Connection client produced by Microsoft, which is a part of Windows operating system. We use the standard procedure described in the Connect to remote computer using RDP chapter.

What are the necessary data, that I have to tell you?

You should provide us with IP-address of your computer, Username (must be an Administrator) and Password. Naturally, you should explain your problem to our experts. The need for Remote Assistance should be coordinated with our Support Team . If you use a Virtual Machine , we ask you to inform us about it in advance. We remind that our experts don't solve specific problems of virtual machines.

I have my TeamView (GoTo Meeting) software installed at my computer and my Session ID is 666-666-666 and valid during the next 10 minutes (3 hours). TeamView is a very good program. I am in office for 40 minutes (until 8 PM local time). Can you please see at my problem?

Our specialists do not use third-party software for remote access to your computer. These programs are not installed on our computers and can not be used for security reasons.

Note that Remote Assistance is usually offered in the case of obscure problems that can not be solved in the usual way for 5 minutes. Our experts usually takes some time to understand the problem on your computer and try to find a solution. After preliminary approval, and providing access to your computer, our expert will examine your problem over the next 24 hours (usually sooner) and will contact you.

Why should I give you access to my computer? I am not able to give you the administrator password. What are you going to do at my computer?

Strange question... You are asked to solve your problem and provide remote assistance. Naturally, our specialists will deal exclusively with the problems of our program on your computer.

Without access as an administrator, we will likely not be able to understand and resolve the problem, so it is necessary.

Of course, only you can make a final decision on the granting or not granting access to your computer.

I do not currently have a license for your program. (Fax Voip installed as a trial version). Can I ask you to provide remote assistance?

Yes you can. Please contact our Support Team . Note that customers who have paid for a license have a priority right to get support.


Other Products

  • Fax Voip Windows Fax Service Provider
  • Fax Voip Softphone
  • Windows Mail Restore Tool for Windows 10, 8.1 and 7


Fax Voip Windows Fax Service Provider

Other Products ››

Fax Voip Windows Fax Service Provider
T.38 and Audio Fax, SIP, H.323

www.t38faxvoip.com/fsp

Enables Microsoft Fax and Windows Fax and Scan, which are built into Windows, to send and receive T.38 and Audio Faxes using VoIP. ECM (Error Correction Mode) support. Multiple SIP Registrations. Call Routing. Mail to Fax. Incoming Fax Routing: Route through e-mail, Store in a folder, Print, Custom Routing. Outgoing Fax Routing: E-mail Delivery Receipts, Store in a folder, Print, Custom Routing.

About Fax Voip FSP

Fax Voip Windows Fax Service Provider (Fax Voip FSP) enables Microsoft Fax and Windows Fax and Scan, which are built right into Windows, to send and receive T.38 and audio (over G.711 codec) faxes using your VoIP (SIP or H.323) infrastructure without any further cost.

Windows Fax Service and Windows Fax and Scan application is an integrated fax software included in all Windows versions. It is an extensible fax platform that you can use to deploy shared fax resources in your organization. Users within an organization can install a connection to a remote fax printer on a network fax server and send and receive faxes using shared fax devices located on the server, as well as from a local fax device attached to their computers. Fax administrators can configure, manage, and monitor these shared fax resources. Centralized management of server-based shared fax devices means easier management and maintenance, and lower costs. Fax users can send and receive faxes without the need to use manual fax machines, saving time and effort.

Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.

Fax Voip FSP allows Windows Fax and Scan to receive Caller ID and Called Number (DID) - via Routing Information field.

Multiple SIP Registrations and Call Routing functions make your system the most flexible as well as allowing you to work with different SIP and H.323 providers simultaneously.

The Mail to Fax function will let you send faxes directly from your e-mail application. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages.

Fax Voip FSP Routing Extension allows you to route incoming faxes depending on the Caller Number (Caller ID) and Called Number (DID), using the following fax routing methods: Route through e-mail, Store in a folder, Print. Custom routing for incoming faxes allows you to easy add any routing functionality by using custom application that is started after receiving a fax.

Outgoing Fax Routing Methods: E-mail Delivery Receipts, Store in a Folder, Print allow you to route outgoing faxes depending on the recipient's fax number, the name of the computer user account who submitted the fax job, and the success or failure of sending the fax. Custom routing for outgoing faxes allows you to easy add any routing functionality by using custom application that is started after sending a fax.

Fax Voip FSP has been successfully tested with T38FAX , CALLCentric , babyTEL , MondoTalk and many other VoIP service providers.


Fax Voip Softphone

Other Products ››

Fax Voip Softphone
Phone, Fax, Call Recording, Random Calls

www.t38faxvoip.com/phone

SIP/H.323 software telephone. Call Recording. Playing audio messages into the telephone line. Sending and Receiving T.38 and Audio Faxes. Music on Hold. Call Transfer. Call Forwarding. Phone Book. Log Book. Random Phone Calls.

About Fax Voip Softphone

Fax Voip Softphone is a powerful and unique SIP / H.323 software telephone that lets users make phone calls, record calls, play audio files into the telephone line as well as send/receive T.38 and audio faxes from one single software application using any Voice over IP (VoIP) telephony provider. Fax Voip Softphone supports Music on Hold, Call Transfer and Call Forwarding.

Audio and Fax panel allows you to send pre-prepared faxes and audio messages in one click.

With Log Book you can easily view call history, view received and sent faxes and listen to call recordings and sent audio messages.

The Phone Book provides a convenient place to store information about your contacts.

Random Phone Calls function can be useful for your business, as well as for different testing purposes. The function allows you to automatically make repetitive phone calls to one or more target phone numbers. This function allows you to play audio messages into the telephone line, as well as to record phone calls.

Using the Fax Voip Softphone Control Panel, you can easily configure the softphone according to your requirements.

Fax Voip Softphone has been successfully tested with T38FAX , CALLCentric , babyTEL , MondoTalk and many other VoIP service providers.


Windows Mail Restore Tool for Windows 10, 8.1 and 7

Other Products ››

Windows Mail Restore Tool
for Windows 10, 8.1 and 7

www.winmail10.com

Enables to use classic Windows Mail (formerly Outlook Express) software on your Windows 10, Windows 8.1 or Windows 7 computer. Automatic restore after system updates. Backup and Restore Windows Mail message store and settings. Multi-language support.

About WM Restore Tool

Windows Mail Restore Tool (WM Restore Tool) enables to use classic Windows Mail (formerly Outlook Express) software on your Windows 10, Windows 8.1 or Windows 7 computer. Windows Mail (formerly Outlook Express), one of most used e-mail client worldwide, discontinued after Windows Vista, now available again for all newer versions of Windows.

Windows Mail has all the tools you need to exchange e-mail with colleagues and friends, or join newsgroups to trade ideas and information. Available Windows Mail interface languages: English, German, French, Spanish, Italian, Japanese, Chinese (Simplified), Chinese (Traditional), Arabic, Bulgarian, Croatian, Czech, Danish, Dutch, Estonian, Finnish, Greek, Hebrew, Hungarian, Korean, Latvian, Lithuanian, Norwegian, Polish, Portuguese (Brazil), Portuguese (Portugal), Romanian, Russian, Serbian, Slovak, Slovenian, Swedish, Thai, Turkish, Ukrainian.

Windows Mail supports the following mail and news protocols: POP3 (Post Office Protocol 3), SMTP (Simple Mail Transfer Protocol), IMAP (Internet Message Access Protocol), NNTP (Network News Transfer Protocol). Because SSL is supported, you can easily configure Windows Mail to be used with Gmail , Hotmail (Live, Outlook.com) and many other e-mail services. Windows Mail is fully compatible with Simple MAPI messaging functionality. Also, Windows Mail has a documented application programming interface (API) based on Component Object Model (COM).

WM Restore Tool provides you with an additional set of useful tools when working with Windows Mail application. You can easily create a backup, restore or move to other computer your settings and Windows Mail message store.